-- Copyright (C) 2022  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and any partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details, at
-- https://fpgasoftware.intel.com/eula.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 22.1std.0 Build 915 10/25/2022 SC Standard Edition"

-- DATE "03/14/2024 10:28:31"

-- 
-- Device: Altera 10M50DAF484I6G Package FBGA484
-- 

-- 
-- This VHDL file should be used for Questa Intel FPGA (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	bts_config IS
    PORT (
	\clk_ddr3_100_p(n)\ : IN std_logic := '0';
	\clk_lvds_125_p(n)\ : IN std_logic := '0';
	altera_reserved_tms : IN std_logic := '0';
	altera_reserved_tck : IN std_logic := '0';
	altera_reserved_tdi : IN std_logic := '0';
	altera_reserved_tdo : OUT std_logic;
	clk_ddr3_100_p : IN std_logic;
	clk_50_max10 : IN std_logic;
	clk_25_max10 : IN std_logic;
	clk_lvds_125_p : IN std_logic;
	clk_10_adc : IN std_logic;
	fpga_resetn : IN std_logic;
	user_led : OUT std_logic_vector(4 DOWNTO 0);
	user_pb : IN std_logic_vector(3 DOWNTO 0);
	user_dipsw : IN std_logic_vector(4 DOWNTO 0);
	usb_resetn : IN std_logic;
	usb_wrn : IN std_logic;
	usb_rdn : IN std_logic;
	usb_oen : IN std_logic;
	usb_addr : INOUT std_logic_vector(1 DOWNTO 0);
	usb_data : INOUT std_logic_vector(7 DOWNTO 0);
	usb_full : OUT std_logic;
	usb_empty : OUT std_logic;
	usb_scl : INOUT std_logic;
	usb_sda : INOUT std_logic;
	usb_clk : IN std_logic;
	pmoda_io : INOUT std_logic_vector(7 DOWNTO 0);
	pmodb_io : INOUT std_logic_vector(7 DOWNTO 0);
	qspi_clk : OUT std_logic;
	qspi_io : INOUT std_logic_vector(3 DOWNTO 0);
	qspi_csn : OUT std_logic;
	dac_sync : OUT std_logic;
	dac_sclk : OUT std_logic;
	dac_din : OUT std_logic;
	adc1in : OUT std_logic_vector(8 DOWNTO 1);
	adc2in : IN std_logic_vector(8 DOWNTO 1);
	uart_rx : IN std_logic;
	uart_tx : OUT std_logic;
	ip_sequrity : OUT std_logic;
	jtag_safe : OUT std_logic
	);
END bts_config;

-- Design Ports Information
-- clk_ddr3_100_p	=>  Location: PIN_N14,	 I/O Standard: Differential 1.5-V SSTL,	 Current Strength: Default
-- clk_lvds_125_p	=>  Location: PIN_P11,	 I/O Standard: LVDS,	 Current Strength: Default
-- clk_10_adc	=>  Location: PIN_N5,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- user_led[0]	=>  Location: PIN_T20,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[1]	=>  Location: PIN_U22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[2]	=>  Location: PIN_U21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[3]	=>  Location: PIN_AA21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[4]	=>  Location: PIN_AA22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- usb_full	=>  Location: PIN_H12,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_empty	=>  Location: PIN_C17,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- qspi_clk	=>  Location: PIN_B2,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- qspi_csn	=>  Location: PIN_C2,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- dac_sync	=>  Location: PIN_B10,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- dac_sclk	=>  Location: PIN_A7,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- dac_din	=>  Location: PIN_A8,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- adc1in[1]	=>  Location: PIN_F5,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- adc1in[2]	=>  Location: PIN_F4,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- adc1in[3]	=>  Location: PIN_J8,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- adc1in[4]	=>  Location: PIN_J9,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- adc1in[5]	=>  Location: PIN_J4,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- adc1in[6]	=>  Location: PIN_H3,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- adc1in[7]	=>  Location: PIN_K5,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- adc1in[8]	=>  Location: PIN_K6,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- uart_tx	=>  Location: PIN_W18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- ip_sequrity	=>  Location: PIN_E6,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- jtag_safe	=>  Location: PIN_D7,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_addr[0]	=>  Location: PIN_D17,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_addr[1]	=>  Location: PIN_E13,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_data[0]	=>  Location: PIN_B14,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_data[1]	=>  Location: PIN_E15,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_data[2]	=>  Location: PIN_E16,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_data[3]	=>  Location: PIN_H14,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_data[4]	=>  Location: PIN_J13,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_data[5]	=>  Location: PIN_C13,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_data[6]	=>  Location: PIN_C14,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_data[7]	=>  Location: PIN_A14,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_scl	=>  Location: PIN_J11,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- usb_sda	=>  Location: PIN_E12,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmoda_io[0]	=>  Location: PIN_C7,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmoda_io[1]	=>  Location: PIN_C8,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmoda_io[2]	=>  Location: PIN_A6,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmoda_io[3]	=>  Location: PIN_B7,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmoda_io[4]	=>  Location: PIN_D8,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmoda_io[5]	=>  Location: PIN_A4,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmoda_io[6]	=>  Location: PIN_A5,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmoda_io[7]	=>  Location: PIN_E9,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[0]	=>  Location: PIN_E8,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[1]	=>  Location: PIN_D5,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[2]	=>  Location: PIN_B5,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[3]	=>  Location: PIN_C4,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[4]	=>  Location: PIN_A2,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[5]	=>  Location: PIN_A3,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[6]	=>  Location: PIN_B4,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[7]	=>  Location: PIN_B3,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- qspi_io[0]	=>  Location: PIN_C6,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- qspi_io[1]	=>  Location: PIN_C3,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- qspi_io[2]	=>  Location: PIN_C5,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- qspi_io[3]	=>  Location: PIN_B1,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- clk_50_max10	=>  Location: PIN_M9,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- usb_clk	=>  Location: PIN_H11,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: Default
-- usb_rdn	=>  Location: PIN_D13,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: Default
-- clk_25_max10	=>  Location: PIN_M8,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- fpga_resetn	=>  Location: PIN_D9,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: Default
-- usb_resetn	=>  Location: PIN_B8,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: Default
-- usb_wrn	=>  Location: PIN_D14,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: Default
-- usb_oen	=>  Location: PIN_A9,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: Default
-- user_pb[2]	=>  Location: PIN_M22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[2]	=>  Location: PIN_J21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- adc2in[3]	=>  Location: PIN_G4,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- user_pb[1]	=>  Location: PIN_M21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[1]	=>  Location: PIN_H22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- adc2in[2]	=>  Location: PIN_J3,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- adc2in[6]	=>  Location: PIN_G3,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- adc2in[8]	=>  Location: PIN_E3,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- adc2in[7]	=>  Location: PIN_K4,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- user_dipsw[4]	=>  Location: PIN_G19,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- adc2in[5]	=>  Location: PIN_H4,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- user_pb[3]	=>  Location: PIN_N21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[3]	=>  Location: PIN_J22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- adc2in[4]	=>  Location: PIN_F3,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- user_dipsw[0]	=>  Location: PIN_H21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_pb[0]	=>  Location: PIN_L22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- adc2in[1]	=>  Location: PIN_E4,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- uart_rx	=>  Location: PIN_Y19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clk_ddr3_100_p(n)	=>  Location: PIN_N15,	 I/O Standard: Differential 1.5-V SSTL,	 Current Strength: Default
-- clk_lvds_125_p(n)	=>  Location: PIN_R11,	 I/O Standard: LVDS,	 Current Strength: Default
-- altera_reserved_tms	=>  Location: PIN_H2,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- altera_reserved_tck	=>  Location: PIN_G2,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- altera_reserved_tdi	=>  Location: PIN_L4,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- altera_reserved_tdo	=>  Location: PIN_M5,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF bts_config IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL \ww_clk_ddr3_100_p(n)\ : std_logic;
SIGNAL \ww_clk_lvds_125_p(n)\ : std_logic;
SIGNAL ww_altera_reserved_tms : std_logic;
SIGNAL ww_altera_reserved_tck : std_logic;
SIGNAL ww_altera_reserved_tdi : std_logic;
SIGNAL ww_altera_reserved_tdo : std_logic;
SIGNAL ww_clk_ddr3_100_p : std_logic;
SIGNAL ww_clk_50_max10 : std_logic;
SIGNAL ww_clk_25_max10 : std_logic;
SIGNAL ww_clk_lvds_125_p : std_logic;
SIGNAL ww_clk_10_adc : std_logic;
SIGNAL ww_fpga_resetn : std_logic;
SIGNAL ww_user_led : std_logic_vector(4 DOWNTO 0);
SIGNAL ww_user_pb : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_user_dipsw : std_logic_vector(4 DOWNTO 0);
SIGNAL ww_usb_resetn : std_logic;
SIGNAL ww_usb_wrn : std_logic;
SIGNAL ww_usb_rdn : std_logic;
SIGNAL ww_usb_oen : std_logic;
SIGNAL ww_usb_full : std_logic;
SIGNAL ww_usb_empty : std_logic;
SIGNAL ww_usb_clk : std_logic;
SIGNAL ww_qspi_clk : std_logic;
SIGNAL ww_qspi_csn : std_logic;
SIGNAL ww_dac_sync : std_logic;
SIGNAL ww_dac_sclk : std_logic;
SIGNAL ww_dac_din : std_logic;
SIGNAL ww_adc1in : std_logic_vector(8 DOWNTO 1);
SIGNAL ww_adc2in : std_logic_vector(8 DOWNTO 1);
SIGNAL ww_uart_rx : std_logic;
SIGNAL ww_uart_tx : std_logic;
SIGNAL ww_ip_sequrity : std_logic;
SIGNAL ww_jtag_safe : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC1~_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_ADC2~_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \clk_50_max10~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \clk_25_max10~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \usb_clk~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|altpll_0|prev_reset~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|altpll_0|sd1|pll7_INCLK_bus\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|altpll_0|sd1|pll7_CLK_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \altera_internal_jtag~TCKUTAPclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTADATAIN_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTAADDR_bus\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBADDR_bus\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTADATAIN_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTAADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTADATAIN_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTAADDR_bus\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBADDR_bus\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTADATAIN_bus\ : std_logic_vector(17 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTAADDR_bus\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBADDR_bus\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\ : std_logic_vector(17 DOWNTO 0);
SIGNAL \clk_ddr3_100_p~input_o\ : std_logic;
SIGNAL \clk_lvds_125_p~input_o\ : std_logic;
SIGNAL \clk_10_adc~input_o\ : std_logic;
SIGNAL \usb_addr[0]~input_o\ : std_logic;
SIGNAL \usb_addr[1]~input_o\ : std_logic;
SIGNAL \pmoda_io[4]~input_o\ : std_logic;
SIGNAL \pmoda_io[5]~input_o\ : std_logic;
SIGNAL \pmoda_io[6]~input_o\ : std_logic;
SIGNAL \pmoda_io[7]~input_o\ : std_logic;
SIGNAL \pmodb_io[4]~input_o\ : std_logic;
SIGNAL \pmodb_io[5]~input_o\ : std_logic;
SIGNAL \pmodb_io[6]~input_o\ : std_logic;
SIGNAL \pmodb_io[7]~input_o\ : std_logic;
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \~QUARTUS_CREATED_UNVM~~busy\ : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC1~~eoc\ : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC2~~eoc\ : std_logic;
SIGNAL \auto_hub|~GND~combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~_wirecell_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]~_wirecell_combout\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~padout\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~padout\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~padout\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~padout\ : std_logic;
SIGNAL \clk_25_max10~input_o\ : std_logic;
SIGNAL \clk_25_max10~inputclkctrl_outclk\ : std_logic;
SIGNAL \spi_master_dac|last_bit_rx[3]~0_combout\ : std_logic;
SIGNAL \fpga_resetn~input_o\ : std_logic;
SIGNAL \spi_master_dac|Add5~65_combout\ : std_logic;
SIGNAL \clk_50_max10~input_o\ : std_logic;
SIGNAL \clk_50_max10~inputclkctrl_outclk\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|wr_ptr[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\ : std_logic;
SIGNAL \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Add0~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Add0~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Add0~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|out_valid~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|out_valid~q\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|internal_out_ready~combout\ : std_logic;
SIGNAL \altera_reserved_tms~input_o\ : std_logic;
SIGNAL \altera_reserved_tck~input_o\ : std_logic;
SIGNAL \altera_reserved_tdi~input_o\ : std_logic;
SIGNAL \altera_internal_jtag~TMSUTAP\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[15]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3_combout\ : std_logic;
SIGNAL \altera_internal_jtag~TDIUTAP\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4_combout\ : std_logic;
SIGNAL \~GND~combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~5_combout\ : std_logic;
SIGNAL \~QIC_CREATED_GND~I_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_channel[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Add0~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Add0~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Add0~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|read~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Add1~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Add1~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|Equal0~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|Equal0~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|Equal3~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|received_esc~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|received_esc~q\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|Equal2~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_valid~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|received_channel~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|enable~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|received_channel~q\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_channel[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_channel[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_channel[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|enable~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|always0~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|always0~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|Equal0~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_startofpacket~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_startofpacket~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|always1~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~46_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|command[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_data[5]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|command[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|command[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|command[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Equal2~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Equal4~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Equal2~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~52_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\ : std_logic;
SIGNAL \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~55_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~56_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~49_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~50_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector54~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector53~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector36~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector37~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector37~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector37~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~1\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~1\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector36~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector36~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector35~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~3\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~3\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector35~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector35~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~5\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~5\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector34~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector34~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector34~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~7\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~7\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector33~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector33~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector33~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~9\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~9\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector32~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector32~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector32~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector31~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~11\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~11\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector31~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector31~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector30~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~13\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~13\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector30~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector30~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Equal10~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector28~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~15\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~15\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector29~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector29~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector29~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~17\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~18_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~17\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~18_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector28~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector28~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~19\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~20_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~19\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~20_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector27~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector27~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector27~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~21\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~22_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~21\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~22_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector26~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector26~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector26~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Equal10~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Equal10~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector25~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~23\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~24_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~23\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~24_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector25~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector25~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~25\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~26_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~25\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~26_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector24~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector24~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector24~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~27\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~28_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~27\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~28_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector23~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector23~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector23~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~29\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add3~30_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~29\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add0~30_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector22~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector22~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector22~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Equal10~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Equal10~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Equal10~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|address~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector54~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector68~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|command[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector69~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector69~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector69~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector69~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector69~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~1\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector68~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector68~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector68~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector68~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~3\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector67~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector67~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector67~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector67~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector67~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~5\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector66~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector66~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector66~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector66~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector66~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal1~9_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector81~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector81~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|write~q\ : std_logic;
SIGNAL \gpio_u0|user_led|always0~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector50~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector51~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector58~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector59~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector61~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector62~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~7\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector65~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector65~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector65~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector65~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector65~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~9\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector64~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector64~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector64~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector64~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector64~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~11\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector63~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector63~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector63~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector63~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector63~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~13\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector62~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector62~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector62~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector62~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~15\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector61~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector61~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector61~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector61~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~17\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~18_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector60~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector60~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector60~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector60~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector60~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~19\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~20_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector59~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector59~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector59~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector59~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~21\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~22_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector58~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector58~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector58~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector58~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~23\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~24_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector57~9_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector57~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector56~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector57~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector57~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector57~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector57~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~25\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~26_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector56~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector56~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector56~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector56~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector56~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector56~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~27\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~28_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector55~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector55~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector55~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector55~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector55~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector55~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~29\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~31\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~32_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector53~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector53~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector53~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector53~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector53~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector53~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~33\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~34_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector52~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector52~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector52~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector52~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector52~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~35\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~36_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector51~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector51~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector51~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector51~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~37\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~38_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector50~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector50~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector50~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector50~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~39\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~40_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector49~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector49~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector49~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector49~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector49~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~41\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~42_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector48~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector48~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector48~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector48~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector48~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal1~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal1~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~43\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~44_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector47~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector47~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector47~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector47~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector47~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector44~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector45~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~45\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~46_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector46~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector46~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector46~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector46~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector46~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~47\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~48_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector45~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector45~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector45~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector45~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~49\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~50_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector44~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector44~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector44~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector44~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal1~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~51\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~52_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector43~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector43~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector43~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector43~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector43~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal5~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal5~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_waitrequest_generated~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[9]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal7~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_agent|m0_write~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_waitrequest_generated~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal7~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal6~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal6~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_waitrequest_generated~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~8_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|always1~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|always1~8_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[8]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~19_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~11_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|always1~9_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[6]~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|always1~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|always1~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~22_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~14_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|always1~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|always1~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~20_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~12_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|always1~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal11~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|always1~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[11]~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal9~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~21_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~13_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal11~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal11~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[0]~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_waitrequest_generated~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~15_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal11~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal11~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal9~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data[105]~14_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_channel~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal13~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_channel~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal12~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal12~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_channel~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_channel[3]~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|altpll_0|wire_pfdena_reg_ena~0_combout\ : std_logic;
SIGNAL \gpio_u0|altpll_0|w_reset~combout\ : std_logic;
SIGNAL \gpio_u0|altpll_0|prev_reset~q\ : std_logic;
SIGNAL \gpio_u0|altpll_0|prev_reset~clkctrl_outclk\ : std_logic;
SIGNAL \gpio_u0|altpll_0|sd1|wire_pll7_fbout\ : std_logic;
SIGNAL \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[40]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~9_combout\ : std_logic;
SIGNAL \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\ : std_logic;
SIGNAL \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita7~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita7~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita8~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|max_cnt_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\ : std_logic;
SIGNAL \qspi_io[1]~input_o\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[71]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[71]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[70]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[71]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[71]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[70]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[122]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[69]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[39]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[38]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_combi~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_valid~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_combi~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_valid~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_rdid~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_combi~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_sid~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_valid~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_valid~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_valid~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[1][122]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_ready~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][122]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|uncompressor|sink_ready~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_read~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|cs3~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe1~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sprot_polling~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_fast_read~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~13\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~15\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg2~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs3~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[17]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[61]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[61]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[23]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[76]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[76]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_burstcount[2]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_beginbursttransfer~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_beginbursttransfer~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_begintransfer~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[23]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[23]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[25]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~17\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~18_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_burstcount[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_burstcount[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~21\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~22_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~23\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[7]~24_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[7]~25\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[8]~26_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~19\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[60]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[60]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[22]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[22]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[22]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[59]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[59]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[21]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[21]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[21]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[58]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[58]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[20]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[20]~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[20]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[57]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[57]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[19]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[19]~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[19]~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[56]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[56]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[18]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[18]~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[18]~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[55]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[55]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[17]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[17]~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[17]~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[54]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[54]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[16]~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[16]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[16]~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[53]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[53]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[15]~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[15]~8_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[52]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[52]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[14]~9_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[14]~9_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[51]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[51]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[13]~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[13]~10_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[50]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[50]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[12]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[12]~11_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[12]~11_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[49]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[49]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[11]~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[11]~12_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[48]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[48]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[10]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[10]~13_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[10]~13_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[47]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[47]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[9]~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[9]~14_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[46]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[46]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[8]~15_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[8]~15_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[45]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[45]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[7]~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[7]~16_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[44]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[44]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[6]~17_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[6]~17_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[43]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[43]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[5]~18_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[5]~18_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[42]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[42]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[4]~19_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[4]~19_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[41]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[41]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[3]~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[3]~20_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[40]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[40]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[2]~21_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[2]~21_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[39]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[39]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[1]~22_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[1]~22_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[38]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[38]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[0]~23_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[0]~23_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~1\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~3\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~5\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~7\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~9\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~11\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~13\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~15\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~17\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~19\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~21\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~23\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~25\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~27\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~29\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~31\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~33\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~35\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~37\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~39\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~41\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~43\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~45\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~46_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~59_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~60_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector4~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|unshifted_byteenable[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector5~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector4~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|WideOr3~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data[105]~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data~8_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data[105]~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data[105]~9_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data~10_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data~12_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector4~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector4~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[33]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[33]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][8]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Equal8~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector5~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector5~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector5~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[32]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[32]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][8]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector2~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|byteenable~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|byteenable~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector2~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector2~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector2~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[35]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[35]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][8]~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector3~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector3~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector3~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector3~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector3~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[34]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[34]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][8]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[25]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~47\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~48_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[18]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[16]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[18]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~50_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~51_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[26]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~36_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[0]~27_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~35_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[1]~26_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~34_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[2]~25_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~33_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[3]~24_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~32_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[4]~23_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~31_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[5]~22_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~30_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[6]~21_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~29_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[7]~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~28_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[8]~19_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~27_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[9]~18_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~26_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[10]~17_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~18_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~25_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[11]~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~24_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[12]~15_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~22_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~23_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[13]~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~24_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~22_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[14]~13_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~26_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[15]~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[9]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~19_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[16]~9_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~28_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[16]~11_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~18_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[17]~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~30_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[17]~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[10]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[10]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~17_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[18]~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~32_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[18]~9_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[19]~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~34_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[19]~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[12]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[12]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~15_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[20]~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~36_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[20]~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[21]~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~38_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[21]~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~13_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[22]~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~40_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[22]~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[23]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~42_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[23]~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[16]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[16]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~11_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[24]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~44_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[24]~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[24]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[22]~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[20]~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[19]~9_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[16]~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[13]~18_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[12]~19_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[11]~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[8]~21_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[6]~26_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[4]~24_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[3]~30_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[2]~29_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[1]~28_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|cs3~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe1~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[1]_OTERM9\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_OTERM25\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|reset_n_reg~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|reset_n_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wren_combi~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wren_internal~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[5]~25_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[7]~27_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[9]~22_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[10]~23_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[14]~17_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[15]~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[17]~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[18]~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[21]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[23]~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[25]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot[8]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check[9]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~11_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~13_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_add[3]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~9_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~17_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~15_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~18_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~19_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~21_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~22_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_polling~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~23_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_write_prot_reg_ena~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~15_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[0]_OTERM7\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_wren~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_RTM019_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_delay_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_dly_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_volatile_reg_ena[4]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~11_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs3~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~18_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe1~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|_~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[2]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux213_dataout~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage2_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita7~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita7~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita8~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|buf_empty_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~19_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs3~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe1~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[2]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2116_dataout~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cnt_bfend_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~9_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe1~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~9_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg_OTERM1\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_wrpoll_reg_ena~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_sppoll_reg_ena~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|cs3~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~21_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~22_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe1~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|cs4a[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~17_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_sector_protect~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg2~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always7~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~1\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~3\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~5\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~7\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~9\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~11\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount[2]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_empty_wire~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_nonvdummyclk_reg_ena~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_OTERM5\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_RTM023_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_sector_erase~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~11_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~13_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~15_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|reset_addren_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|reset_addren_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_write~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_write~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~10\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~11_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~12\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~13_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~14\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_write~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg_OTERM27\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[40]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_combi~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[122]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[69]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|data_valid_combi~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[1][122]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|comb~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_ready~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_ready~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~10_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[7]~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~23_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~16_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal1~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[5]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_waitrequest_generated~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~18_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[70]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal10~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[71]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[71]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[69]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[122]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[1][122]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_ready~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][122]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent|comb~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~17_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector54~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Add2~30_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector54~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector54~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector54~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal1~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal1~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|always1~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data~13_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_channel~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_channel~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~61_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~62_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~63_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector83~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector83~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|read~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[122]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[122]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][123]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[122]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[122]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[1][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][123]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][123]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[122]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~8_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|always1~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|router|src_data~11_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|Equal1~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_endofpacket~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_endofpacket~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector39~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|last_trans~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~40_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~41_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~42_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~43_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector70~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector70~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector71~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector71~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector71~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector71~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector74~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector74~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector74~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector74~3_combout\ : std_logic;
SIGNAL \qspi_io[2]~input_o\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][14]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~19_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][14]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[14]~19_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|product_info_0|Mux0~0_combout\ : std_logic;
SIGNAL \gpio_u0|product_info_0|av_data_read[25]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|comb~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal2~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal2~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~2_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~53_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_WD~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~12_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~13_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~5_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~7_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~49_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~50_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_INREG~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~52_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP1~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~55_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~56_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~57_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_END~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~41_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~40_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_INIT~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~42_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~43_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_SETUP~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~38_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~39_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_SETUP~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~10_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~31_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~32_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~33_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~30_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_WRITE~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always7~2_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|_~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always8~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always8~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~34_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~36_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_UPDATE~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~35_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_EXTRA~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~60_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_UPDATE~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~58_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~59_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~48_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~51_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP2~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~8_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~9_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~54_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_WR_INREG~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~14_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~46_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~47_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_BUSY~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_BUSY~_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~6_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~10_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~11_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal5~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~44_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~45_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_DUMMY~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~37_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always7~3_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_shiftnld~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_captnupdt~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_overwrite_reg~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~2_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal5~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~6_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~40_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[40]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~12_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~4_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~5_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~39_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~38_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~37_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~36_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~35_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~34_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~33_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~32_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~31_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~30_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~29_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~28_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~27_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~26_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~25_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~24_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~23_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~22_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~21_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~20_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~19_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~18_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~17_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~16_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~15_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~14_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_reg~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_reg~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~3_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~13_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~12_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~11_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~10_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~9_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~8_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~7_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~6_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~5_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~4_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~3_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~2_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regin~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rst_timer~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~12_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~1\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~2_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~14_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~3\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~4_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~13_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~5\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~6_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~11_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~7\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~8_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~10_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal1~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~12_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~1\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~2_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~14_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~3\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~4_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~13_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~5\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~6_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~11_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~7\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~8_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~10_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[40]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[39]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[38]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[37]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[36]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[35]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[34]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[33]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[32]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[31]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~20_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|Equal0~0_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|always0~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~31_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~32_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~66_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~67_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|out_data~0_combout\ : std_logic;
SIGNAL \gpio_u0|product_info_0|Mux0~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][30]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~21_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][30]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][30]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[30]~21_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[30]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~34_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][22]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~20_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][22]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][22]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[22]~20_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[22]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~33_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux9~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux9~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector74~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[6]~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~14_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[39]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[39]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[40]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[40]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[6]~7_combout\ : std_logic;
SIGNAL \uart_rx~input_o\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~7_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~1\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~2_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~6_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~3\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~4_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~5_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~5\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~6_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~4_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~7\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~8_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~3_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~9\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~10_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~2_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~11\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~12_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~1_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~13\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~14_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~1_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[5]~8_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[4]~9_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[3]~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[2]~10_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[1]~11_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|always4~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in~3_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[9]~4_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[8]~5_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[7]~6_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxrx_in_processxx3~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[38]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~12_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~8_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~9\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~10_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~11\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~12_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~13\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~14_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~15\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~16_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~17\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~18_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~19\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[6]~20_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[6]~21\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[7]~22_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~1_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~2_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_clk_en~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[9]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[8]~4_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~1_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~4_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[7]~5_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[6]~6_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[5]~7_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[4]~8_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[3]~9_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~10_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[1]~11_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~2_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~2_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[6]~13_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[6]~14_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[6]~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~31_combout\ : std_logic;
SIGNAL \pmoda_io[2]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[30]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[29]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[28]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[27]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[26]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[25]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[24]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[23]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~10_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~1_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~11_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~27_combout\ : std_logic;
SIGNAL \gpio_u0|adc1_out|data_out[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|adc1_out|always1~0_combout\ : std_logic;
SIGNAL \gpio_u0|pmod_output|always1~0_combout\ : std_logic;
SIGNAL \gpio_u0|pmod_output|readdata[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~28_combout\ : std_logic;
SIGNAL \adc2in[7]~input_o\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~29_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~13_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[6]~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~13_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~30_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector74~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector74~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector74~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector73~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[16]~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector82~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector82~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|out_endofpacket~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector0~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~57_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~58_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.0000~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector0~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector0~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector0~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector0~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|out_valid~q\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_valid~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_data[7]~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_channel_char~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_channel_char~q\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_data[6]~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector75~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector75~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector75~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector75~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector75~6_combout\ : std_logic;
SIGNAL \adc2in[6]~input_o\ : std_logic;
SIGNAL \gpio_u0|adc2_in|readdata[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~19_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[22]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~6_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~7_combout\ : std_logic;
SIGNAL \pmoda_io[1]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~17_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][5]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~9_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][5]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[5]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~10_combout\ : std_logic;
SIGNAL \gpio_u0|adc1_out|data_out[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~18_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][21]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~13_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][21]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[21]~13_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[21]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~23_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][29]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~15_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][29]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][29]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[29]~15_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[29]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~26_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][13]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~14_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][13]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[13]~14_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~18_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~24_combout\ : std_logic;
SIGNAL \gpio_u0|product_info_0|Mux0~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[27]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~25_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux10~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux10~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector75~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][5]~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~6_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_shift_empty~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_shift_empty~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[5]~7_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[5]~8_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][5]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[5]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][5]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][5]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[5]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~11_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~21_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector75~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector75~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_esc~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_esc~q\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_data[5]~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_data[5]~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector77~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector77~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector77~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector77~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector77~6_combout\ : std_logic;
SIGNAL \gpio_u0|product_info_0|av_data_read[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[21]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[20]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~14_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~15_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~39_combout\ : std_logic;
SIGNAL \gpio_u0|adc1_out|data_out[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~42_combout\ : std_logic;
SIGNAL \pmodb_io[3]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[3]~feeder_combout\ : std_logic;
SIGNAL \user_dipsw[3]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~41_combout\ : std_logic;
SIGNAL \gpio_u0|user_led|data_out[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|user_led|always0~0_combout\ : std_logic;
SIGNAL \user_pb[3]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~40_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~43_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~18_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_rd_strobe_onset~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~1_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[3]~19_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[3]~20_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][3]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][3]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[3]~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[3]~feeder_combout\ : std_logic;
SIGNAL \adc2in[4]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~45_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][3]~q\ : std_logic;
SIGNAL \qspi_io[3]~input_o\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][3]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[3]~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~17_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][3]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][3]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[3]~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~44_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~46_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][27]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~27_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][27]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][27]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[27]~27_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[27]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~43_combout\ : std_logic;
SIGNAL \gpio_u0|product_info_0|av_data_read[19]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][19]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~25_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][19]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[19]~25_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[19]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~40_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][11]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~26_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][11]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[11]~26_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~22_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~41_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~42_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux12~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux12~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector77~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector77~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector77~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_data[3]~9_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector78~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector78~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector78~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector78~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector78~0_combout\ : std_logic;
SIGNAL \gpio_u0|product_info_0|av_data_read[2]~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[19]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~0_combout\ : std_logic;
SIGNAL \pmodb_io[2]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[2]~feeder_combout\ : std_logic;
SIGNAL \user_dipsw[2]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~2_combout\ : std_logic;
SIGNAL \gpio_u0|adc1_out|data_out[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~3_combout\ : std_logic;
SIGNAL \user_pb[2]~input_o\ : std_logic;
SIGNAL \gpio_u0|user_led|data_out[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][2]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][2]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[2]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][2]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][2]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[2]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~5_combout\ : std_logic;
SIGNAL \adc2in[3]~input_o\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~6_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][2]~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~1_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~2_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[2]~1_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[2]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][2]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[2]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][26]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~9_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][26]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][26]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[26]~9_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[26]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[26]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~18_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][10]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][10]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][10]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[10]~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[10]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~16_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[10]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[10]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~15_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~16_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][18]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~8_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][18]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][18]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[18]~8_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[18]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[18]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~17_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux13~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux13~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector78~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector78~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector78~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_data[2]~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_data[2]~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\ : std_logic;
SIGNAL \qspi_io[0]~input_o\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][16]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~30_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][16]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][16]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[16]~30_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[16]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~27_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[16]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~44_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~45_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux15~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][24]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~31_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][24]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][24]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[24]~31_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[24]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~46_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][8]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~29_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][8]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[8]~29_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~26_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~58_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~1_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[8]~24_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[8]~25_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][8]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~9_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][8]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[8]~9_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~59_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~60_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux15~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector80~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector80~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector80~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector80~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector80~3_combout\ : std_logic;
SIGNAL \gpio_u0|user_led|data_out[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|altpll_0|sd1|wire_pll7_locked\ : std_logic;
SIGNAL \gpio_u0|altpll_0|sd1|pll_lock_sync~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|altpll_0|sd1|pll_lock_sync~q\ : std_logic;
SIGNAL \gpio_u0|altpll_0|sd1|locked~combout\ : std_logic;
SIGNAL \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe5a[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|altpll_0|readdata[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|altpll_0|readdata[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~50_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[18]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[17]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~23_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[16]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[12]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel_overwrite~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel_overwrite~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~24_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~25_combout\ : std_logic;
SIGNAL \gpio_u0|product_info_0|av_data_read[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~49_combout\ : std_logic;
SIGNAL \user_pb[0]~input_o\ : std_logic;
SIGNAL \user_dipsw[0]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~51_combout\ : std_logic;
SIGNAL \pmodb_io[0]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~52_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~53_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~19_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_erase_b4out_wire~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_erase_dly_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_erase_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_erase_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_combi~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|m_illegal_erase_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~18_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~21_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[0]~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|adc1_out|data_out[0]~feeder_combout\ : std_logic;
SIGNAL \adc2in[1]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~54_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~22_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~23_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~8_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[0]~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~28_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[0]~28_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~55_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~56_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~57_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector80~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector80~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_data[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_data[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector76~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][28]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~24_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][28]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[28]~24_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[28]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~39_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][20]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~23_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][20]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[20]~23_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[20]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~38_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux11~0_combout\ : std_logic;
SIGNAL \gpio_u0|product_info_0|av_data_read[12]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[12]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_en~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~21_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[12]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~35_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][12]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~22_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][12]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][12]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[12]~22_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~36_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~37_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux11~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector76~1_combout\ : std_logic;
SIGNAL \gpio_u0|adc1_out|data_out[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~34_combout\ : std_logic;
SIGNAL \pmoda_io[0]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[4]~feeder_combout\ : std_logic;
SIGNAL \user_dipsw[4]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~33_combout\ : std_logic;
SIGNAL \gpio_u0|user_led|data_out[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~12_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~13_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~32_combout\ : std_logic;
SIGNAL \adc2in[5]~input_o\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~35_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~36_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][4]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][4]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[4]~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][4]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~15_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][4]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[4]~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~37_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[4]~16_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~15_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[4]~17_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][4]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][4]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[4]~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~38_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector76~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector76~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector76~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector76~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector76~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector76~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_data[4]~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|in_ready~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|in_ready~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_sop~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_sop~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_sop~q\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_eop~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_eop~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_eop~q\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|in_ready~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector73~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector73~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector73~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][23]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~16_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][23]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][23]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[23]~16_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[23]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~27_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][31]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~18_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][31]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][31]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[31]~18_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[31]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~30_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~19_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~28_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][15]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~17_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][15]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[15]~17_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~29_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux8~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux8~1_combout\ : std_logic;
SIGNAL \gpio_u0|adc1_out|data_out[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~23_combout\ : std_logic;
SIGNAL \pmoda_io[3]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~8_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~9_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~22_combout\ : std_logic;
SIGNAL \adc2in[8]~input_o\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~25_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[7]~10_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~9_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[7]~11_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][7]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][7]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[7]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~26_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][7]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][7]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[7]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~11_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][7]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][7]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[7]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~24_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector73~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector73~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector73~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|in_ready~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|in_ready~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|in_ready~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|in_ready~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~51_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~53_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~54_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector70~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector70~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector70~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector71~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector70~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector70~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector70~7_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|write~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~44_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~45_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector38~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|first_trans~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector72~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector72~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector72~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|out_startofpacket~q\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_channel~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_channel~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|sent_channel~q\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|stored_channel[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|in_ready~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|in_ready~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~64_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~65_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][17]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~10_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][17]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][17]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[17]~10_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[17]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~19_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][25]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~12_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][25]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][25]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[25]~12_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[25]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[25]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~22_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][9]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~11_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][9]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[9]~11_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~21_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~17_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[9]~47_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~21_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][9]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][9]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[9]~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[9]~48_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux14~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Mux14~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector79~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector79~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector79~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector79~3_combout\ : std_logic;
SIGNAL \gpio_u0|altpll_0|pfdena_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|altpll_0|pfdena_reg~q\ : std_logic;
SIGNAL \gpio_u0|altpll_0|readdata[1]~0_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~3_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~4_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~5_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~8_combout\ : std_logic;
SIGNAL \pmodb_io[1]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[1]~feeder_combout\ : std_logic;
SIGNAL \user_dipsw[1]~input_o\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~10_combout\ : std_logic;
SIGNAL \gpio_u0|adc1_out|data_out[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~11_combout\ : std_logic;
SIGNAL \user_pb[1]~input_o\ : std_logic;
SIGNAL \gpio_u0|user_led|data_out[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~9_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_write_b4out_wire~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_write_dly_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_write_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_write_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|m_illegal_write_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~7_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][1]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][1]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[1]~1_combout\ : std_logic;
SIGNAL \adc2in[2]~input_o\ : std_logic;
SIGNAL \gpio_u0|dac_ctrl|data_out[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~13_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~14_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][1]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][1]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~3_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[1]~4_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[1]~5_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][1]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][1]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~15_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~16_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector79~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector79~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector79~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|p2b|out_data[1]~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~34_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~31_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal7~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~14\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~15_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~6\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~9_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~10\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~11_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~12\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~13_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\ : std_logic;
SIGNAL \usb_clk~input_o\ : std_logic;
SIGNAL \usb_clk~inputclkctrl_outclk\ : std_logic;
SIGNAL \usb_sda~input_o\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_1~0_combout\ : std_logic;
SIGNAL \usb_resetn~input_o\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_1~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[0]~1_combout\ : std_logic;
SIGNAL \usb_scl~input_o\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_1~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~59_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~60_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~70_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~71_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~57_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~56_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~58_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00100~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector24~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~73_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~74_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~61_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~62_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~68_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~69_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01110~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~72_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~8_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~55_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~48_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~47_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~50_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00110~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~63_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~7_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~75_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10010~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~80_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~81_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00000~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~78_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~79_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00001~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~10_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~76_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~77_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01100~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~9_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~11_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address~8_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~7\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~9_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~10\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~11_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~12\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~13_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~14\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[4]~15_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[4]~16\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[5]~17_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe15a[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~7_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|parity9~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~43_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~44_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~47_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\ : std_logic;
SIGNAL \usb_data[0]~input_o\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor7~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\ : std_logic;
SIGNAL \usb_data[1]~input_o\ : std_logic;
SIGNAL \usb_data[2]~input_o\ : std_logic;
SIGNAL \usb_data[3]~input_o\ : std_logic;
SIGNAL \usb_data[4]~input_o\ : std_logic;
SIGNAL \usb_data[5]~input_o\ : std_logic;
SIGNAL \usb_data[6]~input_o\ : std_logic;
SIGNAL \usb_data[7]~input_o\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|Equal0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|Equal2~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|always0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|received_esc~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|received_esc~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|out_data[5]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Equal2~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|Equal0~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|Equal1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|out_endofpacket~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|out_endofpacket~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~40_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~52_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector39~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~41_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~50_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~51_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector38~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|first_trans~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector70~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector72~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector0~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector72~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe15a[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~2_combout\ : std_logic;
SIGNAL \usb_rdn~input_o\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|int_rdempty~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdempty_eq_comp_lsb|data_wire[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|comb~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~7_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|parity6~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|sent_channel~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|in_ready~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~55_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~56_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~57_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector70~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector70~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector71~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector0~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector71~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector71~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector70~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector70~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector70~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector70~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector70~7_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector27~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector28~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector29~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector30~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector31~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector32~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector33~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector34~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector35~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector36~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector37~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector37~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector37~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~1\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~1\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector36~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector36~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~3\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~3\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector35~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector35~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~5\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~5\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector34~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector34~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~7\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~8_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~7\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~8_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector33~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector33~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~9\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~10_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~9\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~10_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector32~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector32~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~11\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~12_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~11\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~12_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector31~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector31~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~13\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~14_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~13\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~14_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector30~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector30~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~15\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~16_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~15\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~16_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector29~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector29~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~17\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~18_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~17\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~18_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector28~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector28~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~19\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~20_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~19\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~20_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector27~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector27~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector26~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~21\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~22_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~21\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~22_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector26~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector26~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Equal10~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector23~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector24~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector25~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~23\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~24_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~23\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~24_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector25~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector25~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~25\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~26_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~25\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~26_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector24~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector24~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~27\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~28_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~27\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~28_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector23~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector23~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector22~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~29\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add3~30_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~29\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Add0~30_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector22~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector22~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Equal10~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Equal10~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Equal10~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Equal10~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~53_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~54_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~58_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~45_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~46_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.0000~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~48_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR2~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_rdempty~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|parity6~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg~q\ : std_logic;
SIGNAL \usb_wrn~input_o\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|Equal0~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|Equal0~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~49_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR3~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~42_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector77~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector77~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector82~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector82~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector82~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|sent_eop~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|always0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~61_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~62_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.READ_ASSERT~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~59_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.READ_CMD_WAIT~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state~60_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|state.READ_DATA_WAIT~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|WideOr14~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector73~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector77~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector77~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector76~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector76~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector76~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector76~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector74~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector74~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector74~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector74~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector73~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector73~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector73~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|always0~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector78~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector78~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector78~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector78~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector79~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector79~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector79~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector79~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|sent_esc~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|sent_esc~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector75~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector75~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector75~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector75~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|always0~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|always0~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|in_ready~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|sent_sop~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|sent_sop~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|in_ready~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|in_ready~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector0~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector0~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|out_valid~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_valid~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|parity9~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_wrfull~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor6~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor4~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor6~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor4~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor3~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor3~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor5~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor2~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor5~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor2~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor1~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor1~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor0~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor0~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~1\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~3\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~5\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~7\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~8_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor6~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor4~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor6~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor4~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor3~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor3~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor5~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor2~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor5~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor2~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor1~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor1~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor0~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor0~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~1\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~3\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~5\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~7\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~8_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|WideOr0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux9~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux9~0_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sense~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sense~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|din_s1~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux11~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux11~0_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector33~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector33~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux10~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux10~0_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~7_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector32~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector31~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux8~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux8~0_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector30~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector29~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux6~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux6~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~9\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~10_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~9\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~10_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector28~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~11\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~12_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~11\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~12_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[2]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux5~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux5~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux4~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[3]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux4~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor7~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~13\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~14_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor7~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor7~combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~13\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~14_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~82_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~83_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01000~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~64_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01001~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~65_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01101~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~12_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~66_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~67_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00010~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector22~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector21~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector20~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~52_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~51_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~53_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~5\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~7\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~1\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~3\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo~q\ : std_logic;
SIGNAL \altera_internal_jtag~TCKUTAP\ : std_logic;
SIGNAL \altera_internal_jtag~TCKUTAPclkctrl_outclk\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|b2p|out_channel[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|enable~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|enable~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~48_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state~47_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|in_ready_0~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|Selector14~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|in_ready_0~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|in_ready_0~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|in_ready_0~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|in_ready_0~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|in_ready_0~q\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Add1~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|internal_out_valid~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|internal_out_valid~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Equal0~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Equal0~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|Equal0~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|internal_out_valid~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|next_empty~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|empty~q\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|internal_out_valid~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|internal_out_valid~q\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|next_full~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|next_full~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|next_full~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|next_full~3_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|next_full~4_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|full~q\ : std_logic;
SIGNAL \gpio_u0|master_0|fifo|write~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[17]~feeder_combout\ : std_logic;
SIGNAL \enable~combout\ : std_logic;
SIGNAL \spi_master_dac|count[31]~0_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~1\ : std_logic;
SIGNAL \spi_master_dac|Add5~2_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~3\ : std_logic;
SIGNAL \spi_master_dac|Add5~4_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~94_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~5\ : std_logic;
SIGNAL \spi_master_dac|Add5~6_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~93_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~7\ : std_logic;
SIGNAL \spi_master_dac|Add5~8_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~92_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~9\ : std_logic;
SIGNAL \spi_master_dac|Add5~10_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~91_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~11\ : std_logic;
SIGNAL \spi_master_dac|Add5~12_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~90_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~13\ : std_logic;
SIGNAL \spi_master_dac|Add5~14_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~89_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~15\ : std_logic;
SIGNAL \spi_master_dac|Add5~16_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~88_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~17\ : std_logic;
SIGNAL \spi_master_dac|Add5~18_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~87_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~7_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~19\ : std_logic;
SIGNAL \spi_master_dac|Add5~20_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~86_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~21\ : std_logic;
SIGNAL \spi_master_dac|Add5~22_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~85_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~23\ : std_logic;
SIGNAL \spi_master_dac|Add5~24_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~84_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~25\ : std_logic;
SIGNAL \spi_master_dac|Add5~26_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~83_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~27\ : std_logic;
SIGNAL \spi_master_dac|Add5~28_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~82_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~29\ : std_logic;
SIGNAL \spi_master_dac|Add5~30_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~81_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~31\ : std_logic;
SIGNAL \spi_master_dac|Add5~32_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~80_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~5_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~8_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~6_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~9_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~95_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~33\ : std_logic;
SIGNAL \spi_master_dac|Add5~34_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~79_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~35\ : std_logic;
SIGNAL \spi_master_dac|Add5~36_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~78_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~37\ : std_logic;
SIGNAL \spi_master_dac|Add5~38_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~77_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~39\ : std_logic;
SIGNAL \spi_master_dac|Add5~40_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~76_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~41\ : std_logic;
SIGNAL \spi_master_dac|Add5~42_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~75_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~43\ : std_logic;
SIGNAL \spi_master_dac|Add5~44_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~74_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~45\ : std_logic;
SIGNAL \spi_master_dac|Add5~46_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~73_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~47\ : std_logic;
SIGNAL \spi_master_dac|Add5~48_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~72_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~49\ : std_logic;
SIGNAL \spi_master_dac|Add5~50_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~71_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~2_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~51\ : std_logic;
SIGNAL \spi_master_dac|Add5~52_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~70_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~53\ : std_logic;
SIGNAL \spi_master_dac|Add5~54_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~69_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~55\ : std_logic;
SIGNAL \spi_master_dac|Add5~56_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~68_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~57\ : std_logic;
SIGNAL \spi_master_dac|Add5~58_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~67_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~1_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~59\ : std_logic;
SIGNAL \spi_master_dac|Add5~60_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~66_combout\ : std_logic;
SIGNAL \spi_master_dac|clk_ratio[31]~feeder_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~61\ : std_logic;
SIGNAL \spi_master_dac|Add5~62_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~64_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~0_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~3_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~4_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~10_combout\ : std_logic;
SIGNAL \cont~combout\ : std_logic;
SIGNAL \spi_master_dac|ss_n~0_combout\ : std_logic;
SIGNAL \spi_master_dac|state~q\ : std_logic;
SIGNAL \spi_master_dac|slave[0]~0_combout\ : std_logic;
SIGNAL \spi_master_dac|last_bit_rx[2]~1_combout\ : std_logic;
SIGNAL \spi_master_dac|last_bit_rx[1]~2_combout\ : std_logic;
SIGNAL \spi_master_dac|last_bit_rx[0]~3_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~1\ : std_logic;
SIGNAL \spi_master_dac|Add4~3\ : std_logic;
SIGNAL \spi_master_dac|Add4~5\ : std_logic;
SIGNAL \spi_master_dac|Add4~6_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~4_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~14_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[23]~0_combout\ : std_logic;
SIGNAL \spi_master_dac|Add1~1\ : std_logic;
SIGNAL \spi_master_dac|Add1~3\ : std_logic;
SIGNAL \spi_master_dac|Add1~4_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~16_combout\ : std_logic;
SIGNAL \spi_master_dac|Add1~5\ : std_logic;
SIGNAL \spi_master_dac|Add1~6_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~15_combout\ : std_logic;
SIGNAL \spi_master_dac|Add1~7\ : std_logic;
SIGNAL \spi_master_dac|Add1~8_combout\ : std_logic;
SIGNAL \cpha~combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~7\ : std_logic;
SIGNAL \spi_master_dac|Add4~8_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~13_combout\ : std_logic;
SIGNAL \spi_master_dac|Add1~9\ : std_logic;
SIGNAL \spi_master_dac|Add1~10_combout\ : std_logic;
SIGNAL \spi_master_dac|last_bit_rx[5]~feeder_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~9\ : std_logic;
SIGNAL \spi_master_dac|Add4~10_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~12_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal3~0_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal3~1_combout\ : std_logic;
SIGNAL \spi_master_dac|Add1~2_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~2_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~17_combout\ : std_logic;
SIGNAL \spi_master_dac|process_0~0_combout\ : std_logic;
SIGNAL \spi_master_dac|process_0~1_combout\ : std_logic;
SIGNAL \spi_master_dac|process_0~2_combout\ : std_logic;
SIGNAL \spi_master_dac|process_0~3_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[0]~26_combout\ : std_logic;
SIGNAL \spi_master_dac|assert_data~0_combout\ : std_logic;
SIGNAL \spi_master_dac|assert_data~q\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~1_cout\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~3_cout\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~5_cout\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~7_cout\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~9_cout\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~10_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[23]~2_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[23]~3_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[1]~25_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[2]~24_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[3]~23_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[4]~22_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[5]~21_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[6]~20_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[7]~19_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[8]~18_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[9]~17_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[10]~16_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[11]~15_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[12]~14_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[13]~13_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[14]~12_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[15]~11_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[16]~10_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[17]~9_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[18]~8_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[19]~7_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[20]~6_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[21]~5_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[22]~4_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[23]~1_combout\ : std_logic;
SIGNAL \spi_master_dac|mosi~reg0feeder_combout\ : std_logic;
SIGNAL \spi_master_dac|mosi~0_combout\ : std_logic;
SIGNAL \spi_master_dac|mosi~1_combout\ : std_logic;
SIGNAL \spi_master_dac|mosi~reg0_q\ : std_logic;
SIGNAL \spi_master_dac|mosi~2_combout\ : std_logic;
SIGNAL \spi_master_dac|mosi~en_q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|comb~0_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[7]~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector80~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector80~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector80~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|Selector80~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[0]~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[1]~7_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[1]~8_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[1]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[2]~9_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[2]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data~10_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[2]~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[3]~11_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[3]~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data~12_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[3]~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[4]~13_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[4]~2_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data~14_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[4]~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[5]~15_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[5]~3_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data~16_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[5]~5_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[6]~17_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[6]~4_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data~18_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[6]~6_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_enable_loopback.prbs8|out_prbs[7]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data[7]~19_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[7]~7_combout\ : std_logic;
SIGNAL \usb_oen~input_o\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[19]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[19]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[19]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~41_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[27]~32_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[20]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[20]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[20]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~37_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[28]~28_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[21]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[21]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[21]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~39_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[29]~30_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita30~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[22]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[22]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[22]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~40_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[30]~31_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita30~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita31~combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[23]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[23]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[23]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~38_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[31]~29_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[31]~11_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[26]~15_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[27]~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[28]~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[29]~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[30]~13_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg2~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita7~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita7~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita8~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_rreq~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[0]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~18_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[8]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~17_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][0]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[28]~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[24]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[24]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[24]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~19_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][0]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[16]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[16]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[16]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][0]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita7~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita7~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita8~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita7~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita7~COUT\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita8~combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~9_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[25]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[25]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[25]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~23_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][1]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[17]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[17]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[17]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~21_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][1]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[1]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~22_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][1]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[9]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][1]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[2]~3_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[2]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~26_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][2]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[10]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[10]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[10]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~25_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][2]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[26]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[26]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[26]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~27_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][2]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[18]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[18]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[18]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~24_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][2]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[3]~4_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[11]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~28_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][3]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[19]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[19]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[19]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~29_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][3]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[3]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~30_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][3]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[27]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[27]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[27]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~31_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][3]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[4]~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[20]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[20]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[20]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][4]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[4]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][4]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~0_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[28]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[28]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[28]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][4]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[12]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[12]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[12]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][4]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[5]~1_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[29]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[29]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[29]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[29]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~11_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][5]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[21]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[21]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[21]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][5]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[5]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][5]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[13]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~9_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][5]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[6]~2_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[30]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[30]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[30]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[30]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~15_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[14]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[6]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][6]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[22]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[22]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~13_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][6]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~1_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[23]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[23]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][7]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[7]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][7]~q\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[15]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][7]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata[31]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[31]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[31]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[31]~feeder_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][7]~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[4]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[6]~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~8_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~12_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~13_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~19_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~17_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~20_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[1]~17_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[1]~18_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[2]~15_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[2]~16_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~14_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[4]~10_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[4]~11_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~9_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[6]~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[7]_OTERM3\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~0_OTERM13\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_datain~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[5]~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|inout_wire~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[6]~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~4_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~5_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[7]~3_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~6_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~7_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~8_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|LessThan0~1_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|LessThan0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|LessThan0~2_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~1_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~q\ : std_logic;
SIGNAL \spi_master_dac|slave[0]~feeder_combout\ : std_logic;
SIGNAL \spi_master_dac|ss_n~1_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~1_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~2_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~3_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~4_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~feeder_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~3_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~q\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|txd~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|txd~q\ : std_logic;
SIGNAL \altera_internal_jtag~TDO\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\ : std_logic_vector(25 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\ : std_logic_vector(4 DOWNTO 0);
SIGNAL pmod_in : std_logic_vector(7 DOWNTO 0);
SIGNAL dac_ctrl : std_logic_vector(17 DOWNTO 0);
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe6a\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\ : std_logic_vector(40 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|counter\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|command\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|pmod_output|read_mux_out\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|user_dipsw|read_mux_out\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe5a\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ram_address_b\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|master_0|p2b|out_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_burstcount\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\ : std_logic_vector(23 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\ : std_logic_vector(23 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\ : std_logic_vector(25 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|dac_ctrl|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data\ : std_logic_vector(40 DOWNTO 0);
SIGNAL \gpio_u0|user_led|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|user_pb|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|product_info_0|av_data_read\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|pmod_output|data_out\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|adc1_out|read_mux_out\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|adc2_in|read_mux_out\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|dac_ctrl|data_out\ : std_logic_vector(17 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|prot_wire\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe4a\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|pmod_output|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|master_0|transacto|p2m|out_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|master_0|transacto|p2m|current_byte\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|master_0|transacto|p2m|byteenable\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \spi_master_dac|slave\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|master_0|fifo|out_payload\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ram_address_b\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|master_0|transacto|p2m|writedata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\ : std_logic_vector(18 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|p2b|out_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\ : std_logic_vector(10 DOWNTO 0);
SIGNAL \gpio_u0|user_pb|read_mux_out\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\ : std_logic_vector(32 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\ : std_logic_vector(40 DOWNTO 0);
SIGNAL \spi_master_dac|tx_buffer\ : std_logic_vector(23 DOWNTO 0);
SIGNAL \gpio_u0|master_0|transacto|p2m|counter\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|user_dipsw|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|out_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|current_byte\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\ : std_logic_vector(11 DOWNTO 0);
SIGNAL \gpio_u0|user_led|data_out\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\ : std_logic_vector(18 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|adc1_out|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|master_0|b2p|out_channel\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|master_0|fifo|wr_ptr\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \gpio_u0|adc1_out|data_out\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \spi_master_dac|clk_ratio\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe15a\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \spi_master_dac|count\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \spi_master_dac|ss_n\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|master_0|transacto|p2m|command\ : std_logic_vector(7 DOWNTO 0);
SIGNAL pmod_out : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|master_0|p2b|stored_channel\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ram_address_a\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\ : std_logic_vector(13 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|pmod_input|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \spi_master_dac|clk_toggles\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|pmod_input|read_mux_out\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|master_0|transacto|p2m|address\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \spi_master_dac|last_bit_rx\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \gpio_u0|master_0|fifo|rd_ptr\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe15a\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|burstcount_reg\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|altpll_0|sd1|wire_pll7_clk\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_dataoe\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \gpio_u0|master_0|transacto|p2m|read_data_buffer\ : std_logic_vector(23 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|rsp_mux|src_data\ : std_logic_vector(121 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \gpio_u0|adc2_in|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\ : std_logic_vector(137 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_sense_reset~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|master|p2m|ALT_INV_out_startofpacket~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|ALT_INV_cntr_cout[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|ALT_INV_WideOr0~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|ALT_INV_sda_out~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\ : std_logic;
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ALT_INV_wire_read_dout_quad_reg_ena[0]~0_combout\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|ALT_INV_altera_reset_synchronizer_int_chain_out~q\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_current_state.STATE_READ_CAPTURE~q\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\ : std_logic;
SIGNAL \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\ : std_logic;
SIGNAL \gpio_u0|uart_0|the_gpio_uart_0_tx|ALT_INV_txd~q\ : std_logic;
SIGNAL \spi_master_dac|ALT_INV_ss_n\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ALT_INV_ncs_reg~q\ : std_logic;
SIGNAL \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\ : std_logic;
SIGNAL \ALT_INV_altera_internal_jtag~TCKUTAPclkctrl_outclk\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\ : std_logic;
SIGNAL \ALT_INV_altera_internal_jtag~TMSUTAP\ : std_logic;
SIGNAL \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|ALT_INV_altera_reset_synchronizer_int_chain_out~clkctrl_outclk\ : std_logic;
SIGNAL \gpio_u0|altpll_0|ALT_INV_prev_reset~clkctrl_outclk\ : std_logic;
SIGNAL \ALT_INV_usb_oen~input_o\ : std_logic;
SIGNAL \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rsttimer~_wirecell_combout\ : std_logic;
SIGNAL \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rconfig~_wirecell_combout\ : std_logic;
SIGNAL \spi_master_dac|ALT_INV_state~q\ : std_logic;

BEGIN

\ww_clk_ddr3_100_p(n)\ <= \clk_ddr3_100_p(n)\;
\ww_clk_lvds_125_p(n)\ <= \clk_lvds_125_p(n)\;
ww_altera_reserved_tms <= altera_reserved_tms;
ww_altera_reserved_tck <= altera_reserved_tck;
ww_altera_reserved_tdi <= altera_reserved_tdi;
altera_reserved_tdo <= ww_altera_reserved_tdo;
ww_clk_ddr3_100_p <= clk_ddr3_100_p;
ww_clk_50_max10 <= clk_50_max10;
ww_clk_25_max10 <= clk_25_max10;
ww_clk_lvds_125_p <= clk_lvds_125_p;
ww_clk_10_adc <= clk_10_adc;
ww_fpga_resetn <= fpga_resetn;
user_led <= ww_user_led;
ww_user_pb <= user_pb;
ww_user_dipsw <= user_dipsw;
ww_usb_resetn <= usb_resetn;
ww_usb_wrn <= usb_wrn;
ww_usb_rdn <= usb_rdn;
ww_usb_oen <= usb_oen;
usb_full <= ww_usb_full;
usb_empty <= ww_usb_empty;
ww_usb_clk <= usb_clk;
qspi_clk <= ww_qspi_clk;
qspi_csn <= ww_qspi_csn;
dac_sync <= ww_dac_sync;
dac_sclk <= ww_dac_sclk;
dac_din <= ww_dac_din;
adc1in <= ww_adc1in;
ww_adc2in <= adc2in;
ww_uart_rx <= uart_rx;
uart_tx <= ww_uart_tx;
ip_sequrity <= ww_ip_sequrity;
jtag_safe <= ww_jtag_safe;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\~QUARTUS_CREATED_ADC1~_CHSEL_bus\ <= (\~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\);

\~QUARTUS_CREATED_ADC2~_CHSEL_bus\ <= (\~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\);

\gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~combout\);

\clk_50_max10~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \clk_50_max10~input_o\);

\clk_25_max10~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \clk_25_max10~input_o\);

\gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

\usb_clk~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \usb_clk~input_o\);

\gpio_u0|altpll_0|prev_reset~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \gpio_u0|altpll_0|prev_reset~q\);

\gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

\gpio_u0|altpll_0|sd1|pll7_INCLK_bus\ <= (gnd & \clk_50_max10~input_o\);

\gpio_u0|altpll_0|sd1|wire_pll7_clk\(0) <= \gpio_u0|altpll_0|sd1|pll7_CLK_bus\(0);
\gpio_u0|altpll_0|sd1|wire_pll7_clk\(1) <= \gpio_u0|altpll_0|sd1|pll7_CLK_bus\(1);
\gpio_u0|altpll_0|sd1|wire_pll7_clk\(2) <= \gpio_u0|altpll_0|sd1|pll7_CLK_bus\(2);
\gpio_u0|altpll_0|sd1|wire_pll7_clk\(3) <= \gpio_u0|altpll_0|sd1|pll7_CLK_bus\(3);
\gpio_u0|altpll_0|sd1|wire_pll7_clk\(4) <= \gpio_u0|altpll_0|sd1|pll7_CLK_bus\(4);

\altera_internal_jtag~TCKUTAPclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \altera_internal_jtag~TCKUTAP\);

\gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \gpio_u0|altpll_0|sd1|wire_pll7_clk\(0));

\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTADATAIN_bus\ <= (gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & 
gnd & gnd & gnd & gnd & gnd & \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[7]~7_combout\ & \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[6]~6_combout\ & \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[5]~5_combout\ & 
\gpio_u0|usb_debug_master_0|fifos|usbin_wdata[4]~4_combout\ & \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[3]~3_combout\ & \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[2]~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[1]~1_combout\ & 
\gpio_u0|usb_debug_master_0|fifos|usbin_wdata[0]~0_combout\);

\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTAADDR_bus\ <= (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ram_address_a\(7) & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(6) & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(5) & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(4) & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(3) & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(2) & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(1) & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(0));

\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBADDR_bus\ <= (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ram_address_b\(7) & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\ & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\ & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\ & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~_wirecell_combout\);

\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(0) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(0);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(1) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(1);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(2) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(2);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(3) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(3);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(4) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(4);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(5) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(5);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(6) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(6);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(7) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(7);

\gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTADATAIN_bus\ <= (gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & 
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(7) & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(6) & 
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(5) & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(4) & 
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(3) & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(2) & 
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(1) & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(0));

\gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTAADDR_bus\ <= (\gpio_u0|master_0|fifo|wr_ptr\(5) & \gpio_u0|master_0|fifo|wr_ptr\(4) & \gpio_u0|master_0|fifo|wr_ptr\(3) & \gpio_u0|master_0|fifo|wr_ptr\(2) & 
\gpio_u0|master_0|fifo|wr_ptr\(1) & \gpio_u0|master_0|fifo|wr_ptr\(0));

\gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBADDR_bus\ <= (\gpio_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\ & \gpio_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\ & \gpio_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\ & 
\gpio_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\ & \gpio_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\ & \gpio_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\);

\gpio_u0|master_0|fifo|out_payload\(0) <= \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(0);
\gpio_u0|master_0|fifo|out_payload\(1) <= \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(1);
\gpio_u0|master_0|fifo|out_payload\(2) <= \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(2);
\gpio_u0|master_0|fifo|out_payload\(3) <= \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(3);
\gpio_u0|master_0|fifo|out_payload\(4) <= \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(4);
\gpio_u0|master_0|fifo|out_payload\(5) <= \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(5);
\gpio_u0|master_0|fifo|out_payload\(6) <= \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(6);
\gpio_u0|master_0|fifo|out_payload\(7) <= \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(7);

\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTADATAIN_bus\ <= (gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd
& gnd & gnd & gnd & gnd & gnd & \usb_data[7]~input_o\ & \usb_data[6]~input_o\ & \usb_data[5]~input_o\ & \usb_data[4]~input_o\ & \usb_data[3]~input_o\ & \usb_data[2]~input_o\ & \usb_data[1]~input_o\ & \usb_data[0]~input_o\);

\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTAADDR_bus\ <= (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor7~combout\ & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(6) & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5) & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4) & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(3) & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2) & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(1) & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(0));

\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBADDR_bus\ <= (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ram_address_b\(7) & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\ & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\ & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\ & 
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~_wirecell_combout\);

\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(0);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(1);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(2);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(3) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(3);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(4);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(5) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(5);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(6);
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7) <= \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\(7);

\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTADATAIN_bus\ <= (gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & 
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(7) & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(6) & 
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(5) & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(4) & 
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(3) & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(2) & 
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(1) & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(0));

\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTAADDR_bus\ <= (
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(8) & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(7) & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(6) & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(5) & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4) & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3) & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2) & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1) & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(0));

\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBADDR_bus\ <= (
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~9_combout\ & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~8_combout\ & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~7_combout\ & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~6_combout\ & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~5_combout\ & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~4_combout\ & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~3_combout\ & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~2_combout\ & 
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~1_combout\);

\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(0) <= \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(0);
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(1) <= \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(1);
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(2) <= \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(2);
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(3) <= \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(3);
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(4) <= \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(4);
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(5) <= \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(5);
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(6) <= \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(6);
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(7) <= \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(7);
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_sense_reset~q\ <= NOT \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~q\;
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\ <= NOT \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\;
\gpio_u0|usb_debug_master_0|master|p2m|ALT_INV_out_startofpacket~q\ <= NOT \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\;
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|ALT_INV_cntr_cout[0]~0_combout\ <= NOT \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\;
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|ALT_INV_WideOr0~0_combout\ <= NOT \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\;
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|ALT_INV_sda_out~q\ <= NOT \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~q\;
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\ <= NOT \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\;
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ALT_INV_wire_read_dout_quad_reg_ena[0]~0_combout\ <= NOT \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\;
\gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|ALT_INV_altera_reset_synchronizer_int_chain_out~q\ <= NOT \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\;
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_current_state.STATE_READ_CAPTURE~q\ <= NOT \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\;
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\ <= NOT \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\;
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0) <= NOT \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset\(0);
\gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\ <= NOT \gpio_u0|usb_debug_master_0|fifos|comb~0_combout\;
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\ <= NOT \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\;
\gpio_u0|uart_0|the_gpio_uart_0_tx|ALT_INV_txd~q\ <= NOT \gpio_u0|uart_0|the_gpio_uart_0_tx|txd~q\;
\spi_master_dac|ALT_INV_ss_n\(0) <= NOT \spi_master_dac|ss_n\(0);
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ALT_INV_ncs_reg~q\ <= NOT \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~q\;
\gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\ <= NOT \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\;
\ALT_INV_altera_internal_jtag~TCKUTAPclkctrl_outclk\ <= NOT \altera_internal_jtag~TCKUTAPclkctrl_outclk\;
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\ <= NOT \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\;
\ALT_INV_altera_internal_jtag~TMSUTAP\ <= NOT \altera_internal_jtag~TMSUTAP\;
\gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|ALT_INV_altera_reset_synchronizer_int_chain_out~clkctrl_outclk\ <= NOT \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\;
\gpio_u0|altpll_0|ALT_INV_prev_reset~clkctrl_outclk\ <= NOT \gpio_u0|altpll_0|prev_reset~clkctrl_outclk\;
\ALT_INV_usb_oen~input_o\ <= NOT \usb_oen~input_o\;
\gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_wirecell_combout\ <= NOT \gpio_u0|usb_debug_master_0|fifos|comb~0_wirecell_combout\;
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rsttimer~_wirecell_combout\ <= NOT \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~_wirecell_combout\;
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rconfig~_wirecell_combout\ <= NOT \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~_wirecell_combout\;
\spi_master_dac|ALT_INV_state~q\ <= NOT \spi_master_dac|state~q\;

-- Location: LCCOMB_X44_Y52_N30
\~QUARTUS_CREATED_GND~I\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~QUARTUS_CREATED_GND~I_combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~QUARTUS_CREATED_GND~I_combout\);

-- Location: IOOBUF_X46_Y54_N2
\dac_din~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \spi_master_dac|mosi~reg0_q\,
	oe => \spi_master_dac|mosi~en_q\,
	devoe => ww_devoe,
	o => ww_dac_din);

-- Location: IOOBUF_X78_Y20_N9
\user_led[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|user_led|data_out\(0),
	devoe => ww_devoe,
	o => ww_user_led(0));

-- Location: IOOBUF_X78_Y21_N16
\user_led[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|user_led|data_out\(1),
	devoe => ww_devoe,
	o => ww_user_led(1));

-- Location: IOOBUF_X78_Y21_N23
\user_led[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|user_led|data_out\(2),
	devoe => ww_devoe,
	o => ww_user_led(2));

-- Location: IOOBUF_X78_Y3_N9
\user_led[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|user_led|data_out\(3),
	devoe => ww_devoe,
	o => ww_user_led(3));

-- Location: IOOBUF_X78_Y3_N2
\user_led[4]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|user_led|data_out\(4),
	devoe => ww_devoe,
	o => ww_user_led(4));

-- Location: IOOBUF_X49_Y54_N16
\usb_full~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|usb_debug_master_0|fifos|LessThan0~2_combout\,
	devoe => ww_devoe,
	o => ww_usb_full);

-- Location: IOOBUF_X74_Y54_N23
\usb_empty~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|int_rdempty~combout\,
	devoe => ww_devoe,
	o => ww_usb_empty);

-- Location: IOOBUF_X22_Y39_N16
\qspi_clk~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	devoe => ww_devoe,
	o => ww_qspi_clk);

-- Location: IOOBUF_X20_Y39_N16
\qspi_csn~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ALT_INV_ncs_reg~q\,
	devoe => ww_devoe,
	o => ww_qspi_csn);

-- Location: IOOBUF_X46_Y54_N9
\dac_sync~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \spi_master_dac|ALT_INV_ss_n\(0),
	devoe => ww_devoe,
	o => ww_dac_sync);

-- Location: IOOBUF_X49_Y54_N30
\dac_sclk~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \spi_master_dac|sclk~q\,
	devoe => ww_devoe,
	o => ww_dac_sclk);

-- Location: IOOBUF_X0_Y37_N16
\adc1in[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|adc1_out|data_out\(0),
	devoe => ww_devoe,
	o => ww_adc1in(1));

-- Location: IOOBUF_X0_Y37_N23
\adc1in[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|adc1_out|data_out\(1),
	devoe => ww_devoe,
	o => ww_adc1in(2));

-- Location: IOOBUF_X0_Y36_N16
\adc1in[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|adc1_out|data_out\(2),
	devoe => ww_devoe,
	o => ww_adc1in(3));

-- Location: IOOBUF_X0_Y36_N23
\adc1in[4]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|adc1_out|data_out\(3),
	devoe => ww_devoe,
	o => ww_adc1in(4));

-- Location: IOOBUF_X0_Y35_N16
\adc1in[5]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|adc1_out|data_out\(4),
	devoe => ww_devoe,
	o => ww_adc1in(5));

-- Location: IOOBUF_X0_Y35_N23
\adc1in[6]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|adc1_out|data_out\(5),
	devoe => ww_devoe,
	o => ww_adc1in(6));

-- Location: IOOBUF_X0_Y34_N16
\adc1in[7]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|adc1_out|data_out\(6),
	devoe => ww_devoe,
	o => ww_adc1in(7));

-- Location: IOOBUF_X0_Y34_N23
\adc1in[8]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|adc1_out|data_out\(7),
	devoe => ww_devoe,
	o => ww_adc1in(8));

-- Location: IOOBUF_X62_Y0_N9
\uart_tx~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|uart_0|the_gpio_uart_0_tx|ALT_INV_txd~q\,
	devoe => ww_devoe,
	o => ww_uart_tx);

-- Location: IOOBUF_X20_Y39_N2
\ip_sequrity~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_ip_sequrity);

-- Location: IOOBUF_X29_Y39_N16
\jtag_safe~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_jtag_safe);

-- Location: IOOBUF_X74_Y54_N16
\usb_addr[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => usb_addr(0));

-- Location: IOOBUF_X56_Y54_N16
\usb_addr[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => usb_addr(1));

-- Location: IOOBUF_X56_Y54_N2
\usb_data[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(0),
	oe => \ALT_INV_usb_oen~input_o\,
	devoe => ww_devoe,
	o => usb_data(0));

-- Location: IOOBUF_X74_Y54_N9
\usb_data[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(1),
	oe => \ALT_INV_usb_oen~input_o\,
	devoe => ww_devoe,
	o => usb_data(1));

-- Location: IOOBUF_X74_Y54_N2
\usb_data[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(2),
	oe => \ALT_INV_usb_oen~input_o\,
	devoe => ww_devoe,
	o => usb_data(2));

-- Location: IOOBUF_X60_Y54_N23
\usb_data[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(3),
	oe => \ALT_INV_usb_oen~input_o\,
	devoe => ww_devoe,
	o => usb_data(3));

-- Location: IOOBUF_X60_Y54_N30
\usb_data[4]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(4),
	oe => \ALT_INV_usb_oen~input_o\,
	devoe => ww_devoe,
	o => usb_data(4));

-- Location: IOOBUF_X58_Y54_N23
\usb_data[5]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(5),
	oe => \ALT_INV_usb_oen~input_o\,
	devoe => ww_devoe,
	o => usb_data(5));

-- Location: IOOBUF_X58_Y54_N16
\usb_data[6]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(6),
	oe => \ALT_INV_usb_oen~input_o\,
	devoe => ww_devoe,
	o => usb_data(6));

-- Location: IOOBUF_X58_Y54_N30
\usb_data[7]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|q_b\(7),
	oe => \ALT_INV_usb_oen~input_o\,
	devoe => ww_devoe,
	o => usb_data(7));

-- Location: IOOBUF_X49_Y54_N23
\usb_scl~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => usb_scl);

-- Location: IOOBUF_X56_Y54_N23
\usb_sda~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|ALT_INV_sda_out~q\,
	oe => VCC,
	devoe => ww_devoe,
	o => usb_sda);

-- Location: IOOBUF_X34_Y39_N2
\pmoda_io[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => pmoda_io(0));

-- Location: IOOBUF_X36_Y39_N30
\pmoda_io[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => pmoda_io(1));

-- Location: IOOBUF_X34_Y39_N30
\pmoda_io[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => pmoda_io(2));

-- Location: IOOBUF_X34_Y39_N23
\pmoda_io[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => pmoda_io(3));

-- Location: IOOBUF_X31_Y39_N2
\pmoda_io[4]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => pmod_out(4),
	oe => VCC,
	devoe => ww_devoe,
	o => pmoda_io(4));

-- Location: IOOBUF_X31_Y39_N23
\pmoda_io[5]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => pmod_out(5),
	oe => VCC,
	devoe => ww_devoe,
	o => pmoda_io(5));

-- Location: IOOBUF_X31_Y39_N16
\pmoda_io[6]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => pmod_out(6),
	oe => VCC,
	devoe => ww_devoe,
	o => pmoda_io(6));

-- Location: IOOBUF_X29_Y39_N2
\pmoda_io[7]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => pmod_out(7),
	oe => VCC,
	devoe => ww_devoe,
	o => pmoda_io(7));

-- Location: IOOBUF_X24_Y39_N9
\pmodb_io[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => pmodb_io(0));

-- Location: IOOBUF_X24_Y39_N30
\pmodb_io[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => pmodb_io(1));

-- Location: IOOBUF_X26_Y39_N30
\pmodb_io[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => pmodb_io(2));

-- Location: IOOBUF_X24_Y39_N2
\pmodb_io[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => pmodb_io(3));

-- Location: IOOBUF_X26_Y39_N2
\pmodb_io[4]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => pmod_out(0),
	oe => VCC,
	devoe => ww_devoe,
	o => pmodb_io(4));

-- Location: IOOBUF_X26_Y39_N9
\pmodb_io[5]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => pmod_out(1),
	oe => VCC,
	devoe => ww_devoe,
	o => pmodb_io(5));

-- Location: IOOBUF_X26_Y39_N23
\pmodb_io[6]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => pmod_out(2),
	oe => VCC,
	devoe => ww_devoe,
	o => pmodb_io(6));

-- Location: IOOBUF_X26_Y39_N16
\pmodb_io[7]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => pmod_out(3),
	oe => VCC,
	devoe => ww_devoe,
	o => pmodb_io(7));

-- Location: IOOBUF_X29_Y39_N9
\qspi_io[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin\(0),
	oe => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_dataoe\(0),
	devoe => ww_devoe,
	o => qspi_io(0));

-- Location: IOOBUF_X20_Y39_N9
\qspi_io[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin\(1),
	oe => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|inout_wire~0_combout\,
	devoe => ww_devoe,
	o => qspi_io(1));

-- Location: IOOBUF_X24_Y39_N23
\qspi_io[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~5_combout\,
	oe => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ALT_INV_wire_read_dout_quad_reg_ena[0]~0_combout\,
	devoe => ww_devoe,
	o => qspi_io(2));

-- Location: IOOBUF_X22_Y39_N23
\qspi_io[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~8_combout\,
	oe => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ALT_INV_wire_read_dout_quad_reg_ena[0]~0_combout\,
	devoe => ww_devoe,
	o => qspi_io(3));

-- Location: IOOBUF_X0_Y28_N23
\altera_reserved_tdo~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \altera_internal_jtag~TDO\,
	devoe => ww_devoe,
	o => ww_altera_reserved_tdo);

-- Location: IOIBUF_X0_Y18_N15
\clk_25_max10~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_25_max10,
	o => \clk_25_max10~input_o\);

-- Location: CLKCTRL_G3
\clk_25_max10~inputclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clk_25_max10~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk_25_max10~inputclkctrl_outclk\);

-- Location: LCCOMB_X51_Y53_N30
\spi_master_dac|last_bit_rx[3]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|last_bit_rx[3]~0_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \spi_master_dac|last_bit_rx[3]~0_combout\);

-- Location: IOIBUF_X31_Y39_N8
\fpga_resetn~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_fpga_resetn,
	o => \fpga_resetn~input_o\);

-- Location: LCCOMB_X47_Y50_N24
\spi_master_dac|Add5~65\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~65_combout\ = (\spi_master_dac|state~q\ & (!\spi_master_dac|count\(0) & !\spi_master_dac|Equal1~10_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datac => \spi_master_dac|count\(0),
	datad => \spi_master_dac|Equal1~10_combout\,
	combout => \spi_master_dac|Add5~65_combout\);

-- Location: IOIBUF_X0_Y18_N22
\clk_50_max10~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_50_max10,
	o => \clk_50_max10~input_o\);

-- Location: CLKCTRL_G4
\clk_50_max10~inputclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clk_50_max10~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk_50_max10~inputclkctrl_outclk\);

-- Location: LCCOMB_X51_Y27_N30
\gpio_u0|master_0|fifo|wr_ptr[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|wr_ptr[0]~0_combout\ = !\gpio_u0|master_0|fifo|wr_ptr\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|wr_ptr\(0),
	combout => \gpio_u0|master_0|fifo|wr_ptr[0]~0_combout\);

-- Location: LCCOMB_X43_Y38_N4
\gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\);

-- Location: FF_X43_Y38_N5
\gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1));

-- Location: LCCOMB_X43_Y38_N12
\gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ = \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1),
	combout => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\);

-- Location: FF_X43_Y38_N13
\gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0));

-- Location: LCCOMB_X43_Y38_N30
\gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ = \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0),
	combout => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\);

-- Location: FF_X43_Y38_N31
\gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

-- Location: CLKCTRL_G6
\gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\);

-- Location: FF_X51_Y27_N31
\gpio_u0|master_0|fifo|wr_ptr[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|wr_ptr[0]~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|wr_ptr\(0));

-- Location: LCCOMB_X51_Y27_N6
\gpio_u0|master_0|fifo|Add0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Add0~5_combout\ = \gpio_u0|master_0|fifo|wr_ptr\(1) $ (\gpio_u0|master_0|fifo|wr_ptr\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|wr_ptr\(1),
	datad => \gpio_u0|master_0|fifo|wr_ptr\(0),
	combout => \gpio_u0|master_0|fifo|Add0~5_combout\);

-- Location: FF_X51_Y27_N7
\gpio_u0|master_0|fifo|wr_ptr[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|Add0~5_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|wr_ptr\(1));

-- Location: LCCOMB_X51_Y27_N28
\gpio_u0|master_0|fifo|Add0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Add0~2_combout\ = \gpio_u0|master_0|fifo|wr_ptr\(2) $ (((\gpio_u0|master_0|fifo|wr_ptr\(1) & \gpio_u0|master_0|fifo|wr_ptr\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|wr_ptr\(1),
	datac => \gpio_u0|master_0|fifo|wr_ptr\(2),
	datad => \gpio_u0|master_0|fifo|wr_ptr\(0),
	combout => \gpio_u0|master_0|fifo|Add0~2_combout\);

-- Location: FF_X51_Y27_N29
\gpio_u0|master_0|fifo|wr_ptr[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|Add0~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|wr_ptr\(2));

-- Location: LCCOMB_X51_Y27_N16
\gpio_u0|master_0|fifo|Add0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Add0~3_combout\ = \gpio_u0|master_0|fifo|wr_ptr\(3) $ (((\gpio_u0|master_0|fifo|wr_ptr\(1) & (\gpio_u0|master_0|fifo|wr_ptr\(0) & \gpio_u0|master_0|fifo|wr_ptr\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|wr_ptr\(1),
	datab => \gpio_u0|master_0|fifo|wr_ptr\(0),
	datac => \gpio_u0|master_0|fifo|wr_ptr\(3),
	datad => \gpio_u0|master_0|fifo|wr_ptr\(2),
	combout => \gpio_u0|master_0|fifo|Add0~3_combout\);

-- Location: FF_X51_Y27_N17
\gpio_u0|master_0|fifo|wr_ptr[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|Add0~3_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|wr_ptr\(3));

-- Location: LCCOMB_X52_Y27_N30
\gpio_u0|master_0|fifo|out_valid~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|out_valid~feeder_combout\ = \gpio_u0|master_0|fifo|internal_out_valid~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|internal_out_valid~q\,
	combout => \gpio_u0|master_0|fifo|out_valid~feeder_combout\);

-- Location: FF_X52_Y27_N31
\gpio_u0|master_0|fifo|out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|out_valid~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|out_valid~q\);

-- Location: LCCOMB_X52_Y27_N28
\gpio_u0|master_0|fifo|internal_out_ready\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|internal_out_ready~combout\ = (\gpio_u0|master_0|transacto|p2m|in_ready_0~q\) # (!\gpio_u0|master_0|fifo|out_valid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|in_ready_0~q\,
	datad => \gpio_u0|master_0|fifo|out_valid~q\,
	combout => \gpio_u0|master_0|fifo|internal_out_ready~combout\);

-- Location: IOIBUF_X0_Y29_N15
\altera_reserved_tms~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_altera_reserved_tms,
	o => \altera_reserved_tms~input_o\);

-- Location: IOIBUF_X0_Y29_N22
\altera_reserved_tck~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_altera_reserved_tck,
	o => \altera_reserved_tck~input_o\);

-- Location: IOIBUF_X0_Y28_N15
\altera_reserved_tdi~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_altera_reserved_tdi,
	o => \altera_reserved_tdi~input_o\);

-- Location: JTAG_X43_Y40_N0
altera_internal_jtag : fiftyfivenm_jtag
PORT MAP (
	tms => \altera_reserved_tms~input_o\,
	tck => \altera_reserved_tck~input_o\,
	tdi => \altera_reserved_tdi~input_o\,
	tdouser => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo~q\,
	tdo => \altera_internal_jtag~TDO\,
	tmsutap => \altera_internal_jtag~TMSUTAP\,
	tckutap => \altera_internal_jtag~TCKUTAP\,
	tdiutap => \altera_internal_jtag~TDIUTAP\);

-- Location: LCCOMB_X46_Y39_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\);

-- Location: FF_X46_Y39_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(9));

-- Location: LCCOMB_X46_Y39_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(9),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9_combout\);

-- Location: FF_X46_Y39_N1
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(10));

-- Location: LCCOMB_X46_Y39_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(12),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(13),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12_combout\);

-- Location: FF_X46_Y39_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(13));

-- Location: LCCOMB_X46_Y39_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(13),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13_combout\);

-- Location: FF_X46_Y39_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(14));

-- Location: LCCOMB_X46_Y39_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(10),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(14),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10_combout\);

-- Location: FF_X46_Y39_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11));

-- Location: LCCOMB_X46_Y39_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \altera_internal_jtag~TMSUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(10),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11_combout\);

-- Location: FF_X46_Y39_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(12));

-- Location: LCCOMB_X46_Y39_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \altera_internal_jtag~TMSUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(12),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(14),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\);

-- Location: LCCOMB_X46_Y39_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[15]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[15]~feeder_combout\);

-- Location: FF_X46_Y39_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[15]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15));

-- Location: LCCOMB_X45_Y39_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TMSUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1_combout\);

-- Location: FF_X45_Y39_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0));

-- Location: LCCOMB_X45_Y39_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2_combout\);

-- Location: FF_X45_Y39_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2_combout\,
	sclr => \ALT_INV_altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(1));

-- Location: LCCOMB_X45_Y39_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0_combout\);

-- Location: FF_X45_Y39_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0_combout\,
	sclr => \ALT_INV_altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(2));

-- Location: LCCOMB_X46_Y39_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001101110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(2),
	datab => \altera_internal_jtag~TMSUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(9),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0_combout\);

-- Location: FF_X46_Y39_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0));

-- Location: LCCOMB_X46_Y39_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4_combout\);

-- Location: FF_X46_Y39_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4));

-- Location: LCCOMB_X46_Y39_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \altera_internal_jtag~TMSUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5_combout\);

-- Location: FF_X46_Y39_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5));

-- Location: LCCOMB_X46_Y39_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(6),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6_combout\);

-- Location: FF_X46_Y39_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(6));

-- Location: LCCOMB_X46_Y39_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(6),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7_combout\);

-- Location: FF_X46_Y39_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7));

-- Location: LCCOMB_X47_Y39_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7),
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\);

-- Location: FF_X50_Y39_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8));

-- Location: LCCOMB_X46_Y39_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1_combout\);

-- Location: FF_X46_Y39_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1));

-- Location: LCCOMB_X46_Y39_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15),
	datab => \altera_internal_jtag~TMSUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2_combout\);

-- Location: FF_X46_Y39_N7
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2));

-- Location: LCCOMB_X46_Y39_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3_combout\);

-- Location: FF_X46_Y39_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3));

-- Location: LCCOMB_X44_Y39_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TDIUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder_combout\);

-- Location: FF_X44_Y39_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(9));

-- Location: FF_X44_Y39_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(9),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(8));

-- Location: LCCOMB_X44_Y39_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(8),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder_combout\);

-- Location: FF_X44_Y39_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(7));

-- Location: LCCOMB_X44_Y39_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(7),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder_combout\);

-- Location: FF_X44_Y39_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(6));

-- Location: FF_X44_Y39_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(6),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(5));

-- Location: LCCOMB_X44_Y39_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(5),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder_combout\);

-- Location: FF_X44_Y39_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(4));

-- Location: LCCOMB_X44_Y39_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder_combout\);

-- Location: FF_X44_Y39_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(3));

-- Location: LCCOMB_X44_Y39_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0_combout\);

-- Location: FF_X44_Y39_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(2));

-- Location: LCCOMB_X44_Y39_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder_combout\);

-- Location: FF_X44_Y39_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1));

-- Location: LCCOMB_X44_Y39_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1_combout\);

-- Location: FF_X44_Y39_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(0));

-- Location: LCCOMB_X44_Y39_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(5),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\);

-- Location: LCCOMB_X44_Y39_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(9),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(6),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(7),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\);

-- Location: LCCOMB_X44_Y39_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0_combout\);

-- Location: FF_X44_Y39_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\);

-- Location: LCCOMB_X51_Y39_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4_combout\);

-- Location: LCCOMB_X26_Y33_N0
\~GND\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~GND~combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~GND~combout\);

-- Location: LCCOMB_X47_Y39_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \altera_internal_jtag~TDIUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~5_combout\);

-- Location: LCCOMB_X49_Y38_N26
\~QIC_CREATED_GND~I\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~QIC_CREATED_GND~I_combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~QIC_CREATED_GND~I_combout\);

-- Location: LCCOMB_X49_Y39_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datac => \~GND~combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0_combout\);

-- Location: LCCOMB_X49_Y39_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~1_combout\);

-- Location: LCCOMB_X49_Y39_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2_combout\);

-- Location: FF_X49_Y39_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0));

-- Location: LCCOMB_X50_Y39_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~0_combout\);

-- Location: LCCOMB_X50_Y39_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1_combout\);

-- Location: LCCOMB_X50_Y39_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~2_combout\);

-- Location: LCCOMB_X50_Y39_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3_combout\);

-- Location: FF_X50_Y39_N7
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1));

-- Location: LCCOMB_X50_Y39_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4_combout\);

-- Location: LCCOMB_X47_Y39_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0_combout\);

-- Location: FF_X47_Y39_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg~q\);

-- Location: LCCOMB_X51_Y39_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5_combout\);

-- Location: FF_X51_Y39_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(2));

-- Location: LCCOMB_X47_Y39_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0_combout\);

-- Location: FF_X47_Y39_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\);

-- Location: FF_X47_Y39_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~5_combout\,
	asdata => \~QIC_CREATED_GND~I_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4));

-- Location: LCCOMB_X50_Y39_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6_combout\);

-- Location: LCCOMB_X50_Y39_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~7_combout\);

-- Location: FF_X50_Y39_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~7_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0));

-- Location: LCCOMB_X49_Y39_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~6_combout\);

-- Location: LCCOMB_X49_Y39_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~6_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~7_combout\);

-- Location: LCCOMB_X49_Y39_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~7_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~8_combout\);

-- Location: FF_X50_Y39_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~8_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3));

-- Location: LCCOMB_X49_Y39_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \~GND~combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~4_combout\);

-- Location: FF_X49_Y39_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~4_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2));

-- Location: LCCOMB_X49_Y39_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \~GND~combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~3_combout\);

-- Location: FF_X49_Y39_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~3_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1));

-- Location: LCCOMB_X50_Y39_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0_combout\);

-- Location: FF_X49_Y39_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\);

-- Location: LCCOMB_X47_Y39_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\);

-- Location: LCCOMB_X44_Y39_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2_combout\);

-- Location: FF_X44_Y39_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\);

-- Location: LCCOMB_X47_Y39_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2_combout\);

-- Location: LCCOMB_X47_Y39_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TMSUTAP\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0_combout\);

-- Location: LCCOMB_X47_Y39_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2),
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1_combout\);

-- Location: LCCOMB_X47_Y39_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3_combout\);

-- Location: FF_X47_Y39_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3));

-- Location: LCCOMB_X49_Y35_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\);

-- Location: LCCOMB_X49_Y35_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\ = !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\);

-- Location: FF_X49_Y39_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\);

-- Location: FF_X49_Y39_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\);

-- Location: LCCOMB_X50_Y36_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\);

-- Location: LCCOMB_X49_Y36_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\);

-- Location: FF_X49_Y35_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(8));

-- Location: LCCOMB_X49_Y35_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(8) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\);

-- Location: FF_X49_Y35_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(7));

-- Location: LCCOMB_X49_Y35_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(7) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(7),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\);

-- Location: FF_X49_Y35_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(6));

-- Location: LCCOMB_X49_Y35_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(6) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(6),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\);

-- Location: FF_X49_Y35_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(5));

-- Location: LCCOMB_X49_Y35_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(5) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(5),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\);

-- Location: FF_X49_Y35_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(4));

-- Location: LCCOMB_X49_Y35_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(4) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\);

-- Location: FF_X49_Y35_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(3));

-- Location: LCCOMB_X49_Y35_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\);

-- Location: FF_X49_Y35_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(2));

-- Location: LCCOMB_X49_Y35_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(2)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\);

-- Location: FF_X49_Y35_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(1));

-- Location: LCCOMB_X49_Y35_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(1) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\);

-- Location: FF_X49_Y35_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(0));

-- Location: LCCOMB_X47_Y36_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\ = \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X47_Y36_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\);

-- Location: LCCOMB_X47_Y36_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X47_Y36_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(0));

-- Location: LCCOMB_X47_Y36_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X47_Y36_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1));

-- Location: LCCOMB_X46_Y35_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\);

-- Location: LCCOMB_X46_Y35_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\);

-- Location: LCCOMB_X49_Y36_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\);

-- Location: LCCOMB_X49_Y38_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\);

-- Location: LCCOMB_X49_Y36_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\))))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\);

-- Location: LCCOMB_X49_Y36_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\);

-- Location: FF_X49_Y36_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\);

-- Location: FF_X46_Y35_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\);

-- Location: LCCOMB_X46_Y35_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X46_Y35_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(0));

-- Location: LCCOMB_X46_Y35_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X46_Y35_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(1));

-- Location: LCCOMB_X46_Y35_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\);

-- Location: FF_X46_Y35_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(2));

-- Location: LCCOMB_X46_Y35_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\);

-- Location: FF_X46_Y35_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(3));

-- Location: LCCOMB_X46_Y35_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\);

-- Location: FF_X46_Y35_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(4));

-- Location: LCCOMB_X46_Y35_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\);

-- Location: FF_X46_Y35_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(5));

-- Location: LCCOMB_X46_Y35_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\);

-- Location: FF_X46_Y35_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(6));

-- Location: FF_X46_Y35_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(6),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\);

-- Location: LCCOMB_X45_Y35_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X45_Y35_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\);

-- Location: LCCOMB_X45_Y35_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X45_Y35_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(0));

-- Location: LCCOMB_X45_Y35_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X45_Y35_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(1));

-- Location: LCCOMB_X49_Y35_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(1) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\);

-- Location: LCCOMB_X49_Y36_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\);

-- Location: FF_X49_Y35_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(2));

-- Location: LCCOMB_X47_Y35_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\ = !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\);

-- Location: LCCOMB_X47_Y35_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\);

-- Location: FF_X47_Y35_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\);

-- Location: LCCOMB_X47_Y35_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X47_Y35_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\);

-- Location: LCCOMB_X47_Y35_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X47_Y35_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(0));

-- Location: LCCOMB_X47_Y35_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X47_Y35_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1));

-- Location: LCCOMB_X50_Y35_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\);

-- Location: LCCOMB_X49_Y35_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(2))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1)))))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(2),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\);

-- Location: FF_X49_Y35_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(1));

-- Location: LCCOMB_X49_Y35_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(1)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1))))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\);

-- Location: FF_X49_Y35_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(0));

-- Location: LCCOMB_X50_Y36_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\ = 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\);

-- Location: LCCOMB_X50_Y36_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & (\altera_internal_jtag~TDIUTAP\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \altera_internal_jtag~TDIUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\);

-- Location: LCCOMB_X50_Y36_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\);

-- Location: LCCOMB_X50_Y36_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\);

-- Location: FF_X50_Y36_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\);

-- Location: LCCOMB_X50_Y36_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\);

-- Location: LCCOMB_X52_Y36_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) $ (VCC)
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\ = CARRY(\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datad => VCC,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\);

-- Location: LCCOMB_X50_Y36_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\);

-- Location: LCCOMB_X50_Y35_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\);

-- Location: LCCOMB_X50_Y35_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ & 
-- (((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0))))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0) & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\);

-- Location: LCCOMB_X49_Y36_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\);

-- Location: FF_X50_Y35_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0));

-- Location: LCCOMB_X50_Y35_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0) $ 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\);

-- Location: LCCOMB_X50_Y35_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\);

-- Location: FF_X50_Y35_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1));

-- Location: LCCOMB_X50_Y35_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2) $ (((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\);

-- Location: FF_X50_Y35_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2));

-- Location: LCCOMB_X50_Y35_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1)) # 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\);

-- Location: LCCOMB_X50_Y35_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3) $ (((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\);

-- Location: FF_X50_Y35_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3));

-- Location: LCCOMB_X50_Y35_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\);

-- Location: LCCOMB_X51_Y36_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\ = ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101111101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\);

-- Location: LCCOMB_X51_Y36_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\ = ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111111001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\);

-- Location: FF_X52_Y36_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0));

-- Location: LCCOMB_X52_Y36_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\);

-- Location: LCCOMB_X51_Y36_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\);

-- Location: FF_X52_Y36_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1));

-- Location: LCCOMB_X52_Y36_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\);

-- Location: LCCOMB_X51_Y36_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\);

-- Location: FF_X52_Y36_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2));

-- Location: LCCOMB_X52_Y36_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\);

-- Location: LCCOMB_X50_Y36_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\);

-- Location: FF_X50_Y36_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(8));

-- Location: LCCOMB_X50_Y36_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(8) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\);

-- Location: FF_X50_Y36_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7));

-- Location: LCCOMB_X51_Y37_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\);

-- Location: FF_X51_Y37_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6));

-- Location: LCCOMB_X51_Y37_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\);

-- Location: FF_X51_Y37_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5));

-- Location: LCCOMB_X51_Y37_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\);

-- Location: FF_X51_Y37_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4));

-- Location: LCCOMB_X51_Y37_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\);

-- Location: FF_X51_Y37_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3));

-- Location: LCCOMB_X51_Y37_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\);

-- Location: FF_X51_Y37_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2));

-- Location: LCCOMB_X51_Y37_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\);

-- Location: FF_X51_Y37_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1));

-- Location: LCCOMB_X50_Y36_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\);

-- Location: FF_X50_Y36_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0));

-- Location: LCCOMB_X49_Y36_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\);

-- Location: FF_X51_Y37_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0));

-- Location: FF_X51_Y37_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2));

-- Location: FF_X51_Y37_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1));

-- Location: LCCOMB_X51_Y37_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2) & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\);

-- Location: FF_X51_Y37_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3));

-- Location: LCCOMB_X51_Y37_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3) & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3) $ (VCC)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100101000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3),
	datad => VCC,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\);

-- Location: LCCOMB_X52_Y36_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3)))))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\);

-- Location: FF_X52_Y36_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3));

-- Location: LCCOMB_X52_Y36_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\);

-- Location: FF_X51_Y37_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4));

-- Location: LCCOMB_X51_Y37_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\) # (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\);

-- Location: LCCOMB_X52_Y36_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4)))))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\);

-- Location: FF_X52_Y36_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4));

-- Location: LCCOMB_X52_Y36_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\);

-- Location: FF_X51_Y37_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5));

-- Location: LCCOMB_X51_Y37_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ $ (GND))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ & VCC))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\);

-- Location: LCCOMB_X52_Y36_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5)))))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\);

-- Location: FF_X52_Y36_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5));

-- Location: LCCOMB_X52_Y36_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\);

-- Location: FF_X51_Y37_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6));

-- Location: LCCOMB_X51_Y37_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\) # (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\);

-- Location: LCCOMB_X52_Y36_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6)))))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\);

-- Location: FF_X52_Y36_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6));

-- Location: LCCOMB_X52_Y36_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\);

-- Location: LCCOMB_X52_Y36_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\);

-- Location: LCCOMB_X51_Y37_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~feeder_combout\);

-- Location: FF_X51_Y37_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7));

-- Location: LCCOMB_X51_Y37_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ $ (GND))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ & VCC))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\);

-- Location: LCCOMB_X51_Y36_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7))))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\);

-- Location: FF_X52_Y36_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7));

-- Location: LCCOMB_X52_Y36_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\ $ 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8),
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\);

-- Location: LCCOMB_X51_Y37_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\);

-- Location: LCCOMB_X52_Y36_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8)))))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\);

-- Location: FF_X52_Y36_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8));

-- Location: LCCOMB_X52_Y36_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\);

-- Location: LCCOMB_X51_Y36_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\);

-- Location: LCCOMB_X51_Y36_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\);

-- Location: LCCOMB_X51_Y36_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\);

-- Location: LCCOMB_X51_Y36_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\ & 
-- (((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\);

-- Location: FF_X51_Y36_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\);

-- Location: LCCOMB_X50_Y35_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\);

-- Location: LCCOMB_X50_Y36_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\);

-- Location: LCCOMB_X51_Y35_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\);

-- Location: LCCOMB_X50_Y35_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\);

-- Location: LCCOMB_X50_Y35_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\);

-- Location: FF_X50_Y35_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\);

-- Location: LCCOMB_X50_Y35_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\);

-- Location: LCCOMB_X50_Y35_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & 
-- (((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0))))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) & ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\);

-- Location: FF_X50_Y35_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0));

-- Location: LCCOMB_X51_Y35_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) $ (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1))))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\);

-- Location: FF_X51_Y35_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1));

-- Location: LCCOMB_X51_Y35_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0)) # 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\);

-- Location: LCCOMB_X51_Y35_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\ $ (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2))))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\);

-- Location: FF_X51_Y35_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2));

-- Location: LCCOMB_X51_Y35_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2) & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\);

-- Location: LCCOMB_X40_Y26_N26
\gpio_u0|master_0|b2p|out_channel[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|out_channel[1]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(1),
	combout => \gpio_u0|master_0|b2p|out_channel[1]~feeder_combout\);

-- Location: LCCOMB_X51_Y27_N2
\gpio_u0|master_0|fifo|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Add0~0_combout\ = (\gpio_u0|master_0|fifo|wr_ptr\(1) & (\gpio_u0|master_0|fifo|wr_ptr\(2) & \gpio_u0|master_0|fifo|wr_ptr\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|wr_ptr\(1),
	datab => \gpio_u0|master_0|fifo|wr_ptr\(2),
	datad => \gpio_u0|master_0|fifo|wr_ptr\(0),
	combout => \gpio_u0|master_0|fifo|Add0~0_combout\);

-- Location: LCCOMB_X51_Y27_N22
\gpio_u0|master_0|fifo|Add0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Add0~1_combout\ = \gpio_u0|master_0|fifo|wr_ptr\(4) $ (((\gpio_u0|master_0|fifo|wr_ptr\(3) & \gpio_u0|master_0|fifo|Add0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|wr_ptr\(3),
	datac => \gpio_u0|master_0|fifo|wr_ptr\(4),
	datad => \gpio_u0|master_0|fifo|Add0~0_combout\,
	combout => \gpio_u0|master_0|fifo|Add0~1_combout\);

-- Location: FF_X51_Y27_N23
\gpio_u0|master_0|fifo|wr_ptr[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|Add0~1_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|wr_ptr\(4));

-- Location: LCCOMB_X51_Y27_N12
\gpio_u0|master_0|fifo|Add0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Add0~4_combout\ = \gpio_u0|master_0|fifo|wr_ptr\(5) $ (((\gpio_u0|master_0|fifo|wr_ptr\(3) & (\gpio_u0|master_0|fifo|Add0~0_combout\ & \gpio_u0|master_0|fifo|wr_ptr\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|wr_ptr\(3),
	datab => \gpio_u0|master_0|fifo|Add0~0_combout\,
	datac => \gpio_u0|master_0|fifo|wr_ptr\(5),
	datad => \gpio_u0|master_0|fifo|wr_ptr\(4),
	combout => \gpio_u0|master_0|fifo|Add0~4_combout\);

-- Location: FF_X51_Y27_N13
\gpio_u0|master_0|fifo|wr_ptr[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|Add0~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|wr_ptr\(5));

-- Location: FF_X52_Y27_N9
\gpio_u0|master_0|fifo|rd_ptr[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|rd_ptr\(2));

-- Location: LCCOMB_X52_Y27_N12
\gpio_u0|master_0|fifo|read~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|read~0_combout\ = (\gpio_u0|master_0|fifo|internal_out_valid~q\ & ((\gpio_u0|master_0|transacto|p2m|in_ready_0~q\) # (!\gpio_u0|master_0|fifo|out_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|in_ready_0~q\,
	datab => \gpio_u0|master_0|fifo|out_valid~q\,
	datad => \gpio_u0|master_0|fifo|internal_out_valid~q\,
	combout => \gpio_u0|master_0|fifo|read~0_combout\);

-- Location: LCCOMB_X52_Y27_N8
\gpio_u0|master_0|fifo|mem_rd_ptr[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\ = \gpio_u0|master_0|fifo|rd_ptr\(2) $ (((\gpio_u0|master_0|fifo|rd_ptr\(1) & (\gpio_u0|master_0|fifo|rd_ptr\(0) & \gpio_u0|master_0|fifo|read~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|rd_ptr\(1),
	datab => \gpio_u0|master_0|fifo|rd_ptr\(0),
	datac => \gpio_u0|master_0|fifo|rd_ptr\(2),
	datad => \gpio_u0|master_0|fifo|read~0_combout\,
	combout => \gpio_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\);

-- Location: LCCOMB_X52_Y27_N0
\gpio_u0|master_0|fifo|Add1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Add1~0_combout\ = (\gpio_u0|master_0|fifo|rd_ptr\(1) & (\gpio_u0|master_0|fifo|rd_ptr\(2) & \gpio_u0|master_0|fifo|rd_ptr\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|rd_ptr\(1),
	datab => \gpio_u0|master_0|fifo|rd_ptr\(2),
	datad => \gpio_u0|master_0|fifo|rd_ptr\(0),
	combout => \gpio_u0|master_0|fifo|Add1~0_combout\);

-- Location: FF_X52_Y27_N21
\gpio_u0|master_0|fifo|rd_ptr[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|rd_ptr\(3));

-- Location: LCCOMB_X52_Y27_N20
\gpio_u0|master_0|fifo|mem_rd_ptr[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\ = \gpio_u0|master_0|fifo|rd_ptr\(3) $ (((\gpio_u0|master_0|fifo|internal_out_valid~q\ & (\gpio_u0|master_0|fifo|Add1~0_combout\ & \gpio_u0|master_0|fifo|internal_out_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|internal_out_valid~q\,
	datab => \gpio_u0|master_0|fifo|Add1~0_combout\,
	datac => \gpio_u0|master_0|fifo|rd_ptr\(3),
	datad => \gpio_u0|master_0|fifo|internal_out_ready~combout\,
	combout => \gpio_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\);

-- Location: FF_X52_Y27_N17
\gpio_u0|master_0|fifo|rd_ptr[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|rd_ptr\(4));

-- Location: LCCOMB_X52_Y27_N16
\gpio_u0|master_0|fifo|mem_rd_ptr[4]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\ = \gpio_u0|master_0|fifo|rd_ptr\(4) $ (((\gpio_u0|master_0|fifo|read~0_combout\ & (\gpio_u0|master_0|fifo|rd_ptr\(3) & \gpio_u0|master_0|fifo|Add1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|read~0_combout\,
	datab => \gpio_u0|master_0|fifo|rd_ptr\(3),
	datac => \gpio_u0|master_0|fifo|rd_ptr\(4),
	datad => \gpio_u0|master_0|fifo|Add1~0_combout\,
	combout => \gpio_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\);

-- Location: LCCOMB_X52_Y27_N10
\gpio_u0|master_0|fifo|Add1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Add1~1_combout\ = (\gpio_u0|master_0|fifo|rd_ptr\(1) & (\gpio_u0|master_0|fifo|rd_ptr\(3) & (\gpio_u0|master_0|fifo|rd_ptr\(2) & \gpio_u0|master_0|fifo|rd_ptr\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|rd_ptr\(1),
	datab => \gpio_u0|master_0|fifo|rd_ptr\(3),
	datac => \gpio_u0|master_0|fifo|rd_ptr\(2),
	datad => \gpio_u0|master_0|fifo|rd_ptr\(0),
	combout => \gpio_u0|master_0|fifo|Add1~1_combout\);

-- Location: FF_X52_Y27_N27
\gpio_u0|master_0|fifo|rd_ptr[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|rd_ptr\(5));

-- Location: LCCOMB_X52_Y27_N26
\gpio_u0|master_0|fifo|mem_rd_ptr[5]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\ = \gpio_u0|master_0|fifo|rd_ptr\(5) $ (((\gpio_u0|master_0|fifo|rd_ptr\(4) & (\gpio_u0|master_0|fifo|Add1~1_combout\ & \gpio_u0|master_0|fifo|read~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|rd_ptr\(4),
	datab => \gpio_u0|master_0|fifo|Add1~1_combout\,
	datac => \gpio_u0|master_0|fifo|rd_ptr\(5),
	datad => \gpio_u0|master_0|fifo|read~0_combout\,
	combout => \gpio_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\);

-- Location: LCCOMB_X46_Y34_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\);

-- Location: LCCOMB_X51_Y37_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\);

-- Location: LCCOMB_X51_Y37_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\);

-- Location: LCCOMB_X49_Y37_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\);

-- Location: LCCOMB_X50_Y37_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0) $ (VCC)
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\ = CARRY(\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0),
	datad => VCC,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\);

-- Location: LCCOMB_X50_Y37_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\);

-- Location: LCCOMB_X50_Y37_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\);

-- Location: FF_X50_Y37_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0),
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0));

-- Location: LCCOMB_X50_Y37_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\);

-- Location: FF_X50_Y37_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1),
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1));

-- Location: LCCOMB_X50_Y37_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\);

-- Location: FF_X50_Y37_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2),
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2));

-- Location: LCCOMB_X50_Y37_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\);

-- Location: FF_X50_Y37_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3),
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3));

-- Location: LCCOMB_X50_Y37_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\);

-- Location: LCCOMB_X50_Y37_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\);

-- Location: FF_X50_Y37_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4),
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4));

-- Location: LCCOMB_X50_Y37_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\);

-- Location: FF_X50_Y37_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5),
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5));

-- Location: LCCOMB_X50_Y37_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\);

-- Location: LCCOMB_X50_Y37_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\);

-- Location: FF_X50_Y37_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6),
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6));

-- Location: LCCOMB_X50_Y37_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7) $ 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7),
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\);

-- Location: FF_X50_Y37_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7),
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7));

-- Location: LCCOMB_X50_Y37_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\ & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\);

-- Location: LCCOMB_X49_Y37_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\);

-- Location: LCCOMB_X47_Y36_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1) $ (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0))))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\);

-- Location: FF_X47_Y36_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1));

-- Location: LCCOMB_X47_Y36_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\);

-- Location: LCCOMB_X47_Y36_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2) $ (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\);

-- Location: FF_X47_Y36_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2));

-- Location: LCCOMB_X47_Y36_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0)) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1)) # (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\);

-- Location: LCCOMB_X47_Y36_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3) $ (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\);

-- Location: FF_X47_Y36_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3));

-- Location: LCCOMB_X47_Y36_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3) & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\);

-- Location: LCCOMB_X49_Y37_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\);

-- Location: LCCOMB_X49_Y37_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\) # 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\);

-- Location: LCCOMB_X49_Y37_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\);

-- Location: FF_X49_Y37_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\);

-- Location: LCCOMB_X49_Y37_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\);

-- Location: LCCOMB_X49_Y37_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\);

-- Location: FF_X49_Y37_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\);

-- Location: LCCOMB_X49_Y37_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000010111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\);

-- Location: LCCOMB_X49_Y37_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\) # 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\ & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\);

-- Location: FF_X49_Y37_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\);

-- Location: LCCOMB_X50_Y37_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\);

-- Location: LCCOMB_X47_Y36_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- (((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0))))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0)) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\);

-- Location: FF_X47_Y36_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0));

-- Location: LCCOMB_X47_Y36_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\);

-- Location: LCCOMB_X49_Y38_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\);

-- Location: LCCOMB_X49_Y37_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\);

-- Location: FF_X49_Y37_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\);

-- Location: LCCOMB_X50_Y37_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\);

-- Location: FF_X46_Y34_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7));

-- Location: LCCOMB_X46_Y34_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\);

-- Location: FF_X46_Y34_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6));

-- Location: LCCOMB_X46_Y34_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\);

-- Location: FF_X46_Y34_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5));

-- Location: LCCOMB_X46_Y34_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\);

-- Location: FF_X46_Y34_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4));

-- Location: LCCOMB_X46_Y34_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\);

-- Location: FF_X46_Y34_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3));

-- Location: LCCOMB_X46_Y34_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\);

-- Location: FF_X46_Y34_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2));

-- Location: LCCOMB_X49_Y34_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\);

-- Location: LCCOMB_X49_Y35_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\);

-- Location: LCCOMB_X47_Y36_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0) & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & 
-- (((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100001111000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\);

-- Location: FF_X47_Y36_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0));

-- Location: LCCOMB_X47_Y36_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1) $ 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000001000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\);

-- Location: FF_X47_Y36_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1));

-- Location: LCCOMB_X47_Y36_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1)) # 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\);

-- Location: LCCOMB_X47_Y36_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2) $ 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000001000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\);

-- Location: FF_X47_Y36_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2));

-- Location: LCCOMB_X44_Y37_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\);

-- Location: LCCOMB_X49_Y37_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\);

-- Location: FF_X47_Y37_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \altera_internal_jtag~TDIUTAP\,
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2));

-- Location: LCCOMB_X46_Y34_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\);

-- Location: LCCOMB_X50_Y37_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\);

-- Location: FF_X46_Y34_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15));

-- Location: FF_X47_Y37_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1));

-- Location: LCCOMB_X49_Y38_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\);

-- Location: LCCOMB_X49_Y37_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\ = ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\);

-- Location: LCCOMB_X49_Y37_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\);

-- Location: FF_X49_Y37_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\);

-- Location: LCCOMB_X46_Y34_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\);

-- Location: FF_X46_Y34_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14));

-- Location: FF_X47_Y37_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0));

-- Location: LCCOMB_X46_Y34_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\);

-- Location: FF_X46_Y34_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(13));

-- Location: LCCOMB_X46_Y34_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(13),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]~feeder_combout\);

-- Location: FF_X46_Y34_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12));

-- Location: LCCOMB_X46_Y34_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\);

-- Location: FF_X46_Y34_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(11));

-- Location: LCCOMB_X46_Y34_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(11),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]~feeder_combout\);

-- Location: FF_X46_Y34_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10));

-- Location: LCCOMB_X47_Y34_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\);

-- Location: FF_X47_Y34_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(9));

-- Location: LCCOMB_X49_Y37_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\);

-- Location: FF_X47_Y34_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(9),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5));

-- Location: LCCOMB_X47_Y34_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(9),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]~feeder_combout\);

-- Location: FF_X47_Y34_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(8));

-- Location: FF_X47_Y34_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(8),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4));

-- Location: LCCOMB_X47_Y34_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(8),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]~feeder_combout\);

-- Location: FF_X47_Y34_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7));

-- Location: FF_X47_Y34_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3));

-- Location: LCCOMB_X47_Y34_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\);

-- Location: FF_X47_Y34_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(6));

-- Location: FF_X47_Y34_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(6),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2));

-- Location: LCCOMB_X47_Y34_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]~feeder_combout\);

-- Location: FF_X47_Y34_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5));

-- Location: FF_X47_Y34_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1));

-- Location: LCCOMB_X47_Y34_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\);

-- Location: FF_X47_Y34_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(4));

-- Location: FF_X47_Y34_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(4),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0));

-- Location: LCCOMB_X47_Y34_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0),
	datad => VCC,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\);

-- Location: LCCOMB_X47_Y34_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\) # (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\);

-- Location: LCCOMB_X47_Y34_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ $ (GND))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ & VCC))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\);

-- Location: LCCOMB_X47_Y34_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\) # (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\);

-- Location: LCCOMB_X47_Y34_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ $ (GND))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ & VCC))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\);

-- Location: LCCOMB_X47_Y37_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\);

-- Location: LCCOMB_X47_Y37_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\);

-- Location: LCCOMB_X47_Y37_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\);

-- Location: LCCOMB_X46_Y37_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\);

-- Location: LCCOMB_X47_Y37_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0)) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ & 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\);

-- Location: LCCOMB_X47_Y37_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0) 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0) $ 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1))))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0) & 
-- (((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\);

-- Location: LCCOMB_X46_Y37_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\);

-- Location: LCCOMB_X47_Y37_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\);

-- Location: LCCOMB_X44_Y38_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\);

-- Location: LCCOMB_X44_Y38_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\);

-- Location: LCCOMB_X44_Y38_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\);

-- Location: LCCOMB_X44_Y37_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\);

-- Location: LCCOMB_X44_Y38_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\);

-- Location: LCCOMB_X44_Y37_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0) & ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\);

-- Location: LCCOMB_X44_Y37_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ 
-- & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\);

-- Location: LCCOMB_X44_Y37_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\);

-- Location: FF_X44_Y37_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0));

-- Location: LCCOMB_X45_Y38_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\ = CARRY(\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	datad => VCC,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\);

-- Location: LCCOMB_X45_Y38_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\);

-- Location: LCCOMB_X44_Y38_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ 
-- & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\);

-- Location: LCCOMB_X44_Y38_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\);

-- Location: FF_X44_Y38_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1));

-- Location: LCCOMB_X45_Y38_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\);

-- Location: LCCOMB_X44_Y37_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\);

-- Location: LCCOMB_X44_Y37_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\);

-- Location: LCCOMB_X44_Y37_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\);

-- Location: FF_X44_Y37_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2));

-- Location: LCCOMB_X45_Y38_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\);

-- Location: LCCOMB_X44_Y37_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ 
-- & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\);

-- Location: LCCOMB_X44_Y37_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\);

-- Location: FF_X44_Y37_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3));

-- Location: LCCOMB_X45_Y38_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\);

-- Location: LCCOMB_X44_Y38_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ 
-- & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\);

-- Location: LCCOMB_X44_Y38_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\);

-- Location: FF_X44_Y38_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4));

-- Location: LCCOMB_X45_Y38_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\);

-- Location: LCCOMB_X44_Y38_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ 
-- & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\);

-- Location: LCCOMB_X44_Y38_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\);

-- Location: FF_X44_Y38_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5));

-- Location: LCCOMB_X45_Y38_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\);

-- Location: LCCOMB_X44_Y38_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\);

-- Location: LCCOMB_X45_Y38_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\);

-- Location: LCCOMB_X44_Y38_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\);

-- Location: FF_X45_Y38_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6));

-- Location: LCCOMB_X45_Y38_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\);

-- Location: LCCOMB_X44_Y38_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ 
-- & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\);

-- Location: LCCOMB_X44_Y38_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\);

-- Location: FF_X44_Y38_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7));

-- Location: LCCOMB_X45_Y38_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\);

-- Location: LCCOMB_X47_Y37_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001100100011001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\);

-- Location: LCCOMB_X44_Y37_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\);

-- Location: LCCOMB_X47_Y37_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0))))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\);

-- Location: LCCOMB_X44_Y37_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\);

-- Location: FF_X44_Y37_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8));

-- Location: LCCOMB_X45_Y37_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\);

-- Location: LCCOMB_X46_Y37_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ 
-- & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\);

-- Location: FF_X46_Y37_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9));

-- Location: LCCOMB_X45_Y37_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\);

-- Location: LCCOMB_X46_Y37_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\);

-- Location: FF_X46_Y37_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10));

-- Location: LCCOMB_X45_Y37_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\);

-- Location: LCCOMB_X44_Y37_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\);

-- Location: LCCOMB_X47_Y37_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010110000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\);

-- Location: LCCOMB_X47_Y37_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\);

-- Location: LCCOMB_X44_Y37_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\);

-- Location: FF_X44_Y37_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11));

-- Location: LCCOMB_X45_Y37_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\);

-- Location: LCCOMB_X46_Y37_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\);

-- Location: LCCOMB_X47_Y37_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0) 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\);

-- Location: LCCOMB_X47_Y37_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\);

-- Location: LCCOMB_X46_Y37_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\);

-- Location: FF_X46_Y37_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12));

-- Location: LCCOMB_X45_Y37_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\);

-- Location: LCCOMB_X44_Y37_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\);

-- Location: FF_X44_Y37_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13));

-- Location: LCCOMB_X46_Y37_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\);

-- Location: FF_X47_Y34_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6));

-- Location: LCCOMB_X47_Y34_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\) # (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\);

-- Location: LCCOMB_X47_Y37_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) 
-- & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\);

-- Location: LCCOMB_X47_Y37_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\);

-- Location: LCCOMB_X45_Y37_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\);

-- Location: LCCOMB_X46_Y37_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\);

-- Location: FF_X46_Y37_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14));

-- Location: LCCOMB_X45_Y37_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\);

-- Location: LCCOMB_X46_Y37_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\);

-- Location: FF_X47_Y34_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(11),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7));

-- Location: LCCOMB_X47_Y34_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ $ (GND))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ & VCC))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\);

-- Location: LCCOMB_X46_Y37_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\);

-- Location: LCCOMB_X45_Y37_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\);

-- Location: FF_X45_Y37_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15));

-- Location: LCCOMB_X45_Y37_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\);

-- Location: LCCOMB_X45_Y38_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\);

-- Location: LCCOMB_X45_Y38_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\);

-- Location: LCCOMB_X45_Y37_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\);

-- Location: LCCOMB_X45_Y37_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\);

-- Location: LCCOMB_X46_Y37_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\);

-- Location: FF_X47_Y34_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(13),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9));

-- Location: FF_X47_Y34_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8));

-- Location: LCCOMB_X47_Y34_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\) # (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\);

-- Location: LCCOMB_X47_Y34_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ $ (GND))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ & VCC))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\);

-- Location: LCCOMB_X46_Y37_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\);

-- Location: LCCOMB_X46_Y37_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\);

-- Location: LCCOMB_X47_Y37_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\)) 
-- # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\);

-- Location: LCCOMB_X45_Y37_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\);

-- Location: LCCOMB_X46_Y37_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\);

-- Location: FF_X46_Y37_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16));

-- Location: LCCOMB_X45_Y37_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\);

-- Location: LCCOMB_X45_Y37_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\);

-- Location: FF_X45_Y37_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17));

-- Location: LCCOMB_X45_Y37_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\ $ 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18),
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\);

-- Location: LCCOMB_X47_Y34_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\);

-- Location: LCCOMB_X46_Y37_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\);

-- Location: LCCOMB_X47_Y37_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\ & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\ & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\);

-- Location: LCCOMB_X46_Y37_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\);

-- Location: FF_X46_Y37_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18));

-- Location: LCCOMB_X45_Y37_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\ = ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18)) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16)) # 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\);

-- Location: FF_X45_Y37_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\);

-- Location: LCCOMB_X46_Y36_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1) & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\);

-- Location: LCCOMB_X49_Y35_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\);

-- Location: FF_X49_Y34_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1));

-- Location: LCCOMB_X49_Y30_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\);

-- Location: LCCOMB_X47_Y30_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\);

-- Location: FF_X47_Y30_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\);

-- Location: LCCOMB_X47_Y30_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X47_Y30_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(0));

-- Location: LCCOMB_X47_Y30_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X47_Y30_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1));

-- Location: LCCOMB_X49_Y34_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\);

-- Location: FF_X49_Y34_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7));

-- Location: LCCOMB_X49_Y34_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]~feeder_combout\);

-- Location: FF_X49_Y34_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5));

-- Location: LCCOMB_X49_Y34_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\);

-- Location: FF_X49_Y34_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6));

-- Location: FF_X49_Y34_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3));

-- Location: LCCOMB_X49_Y34_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\);

-- Location: FF_X49_Y34_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4));

-- Location: LCCOMB_X49_Y34_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6) & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\);

-- Location: LCCOMB_X46_Y34_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~feeder_combout\);

-- Location: FF_X46_Y34_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(1));

-- Location: LCCOMB_X49_Y34_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\);

-- Location: FF_X49_Y34_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0));

-- Location: LCCOMB_X49_Y34_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\);

-- Location: FF_X49_Y34_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2));

-- Location: LCCOMB_X49_Y34_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2) & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\);

-- Location: FF_X49_Y34_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\);

-- Location: LCCOMB_X49_Y34_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7)) # ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\);

-- Location: LCCOMB_X49_Y34_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\);

-- Location: LCCOMB_X49_Y34_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\ 
-- & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\))) 
-- # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\) # 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\);

-- Location: FF_X49_Y34_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\);

-- Location: LCCOMB_X49_Y34_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1)) # 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\);

-- Location: LCCOMB_X49_Y34_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7)) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\);

-- Location: FF_X49_Y30_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(1));

-- Location: LCCOMB_X49_Y30_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\);

-- Location: LCCOMB_X49_Y34_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\);

-- Location: FF_X49_Y34_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\);

-- Location: LCCOMB_X50_Y30_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\);

-- Location: FF_X50_Y30_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\);

-- Location: LCCOMB_X50_Y30_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X50_Y30_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(0));

-- Location: LCCOMB_X50_Y30_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X50_Y30_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(1));

-- Location: LCCOMB_X50_Y30_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\);

-- Location: FF_X50_Y30_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(2));

-- Location: LCCOMB_X50_Y30_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\);

-- Location: FF_X50_Y30_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(3));

-- Location: LCCOMB_X50_Y30_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\);

-- Location: FF_X50_Y30_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(4));

-- Location: LCCOMB_X50_Y30_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\);

-- Location: FF_X50_Y30_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(5));

-- Location: FF_X50_Y30_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(5),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6));

-- Location: LCCOMB_X50_Y30_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\);

-- Location: FF_X50_Y30_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\);

-- Location: LCCOMB_X50_Y30_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\);

-- Location: FF_X49_Y30_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(1));

-- Location: LCCOMB_X49_Y30_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\);

-- Location: FF_X49_Y30_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(2));

-- Location: LCCOMB_X49_Y30_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\);

-- Location: FF_X49_Y30_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(2));

-- Location: LCCOMB_X49_Y30_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\);

-- Location: FF_X49_Y30_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(3));

-- Location: LCCOMB_X49_Y30_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\);

-- Location: FF_X49_Y30_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(3));

-- Location: LCCOMB_X49_Y30_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\);

-- Location: FF_X49_Y30_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(4));

-- Location: LCCOMB_X49_Y30_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\);

-- Location: FF_X49_Y30_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(4));

-- Location: LCCOMB_X49_Y30_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\ $ 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\);

-- Location: FF_X49_Y30_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(5));

-- Location: LCCOMB_X49_Y30_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\);

-- Location: FF_X49_Y30_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(5));

-- Location: LCCOMB_X49_Y30_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\);

-- Location: FF_X49_Y30_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(6));

-- Location: LCCOMB_X49_Y30_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\);

-- Location: FF_X49_Y30_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(6));

-- Location: LCCOMB_X49_Y30_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\);

-- Location: FF_X49_Y30_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(7));

-- Location: LCCOMB_X49_Y30_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\);

-- Location: FF_X49_Y30_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(7));

-- Location: M9K_X53_Y27_N0
\gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0\ : fiftyfivenm_ram_block
-- pragma translate_off
GENERIC MAP (
	clk0_output_clock_enable => "ena0",
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	logical_ram_name => "gpio:gpio_u0|gpio_master_0:master_0|altera_avalon_sc_fifo:fifo|altsyncram:mem_rtl_0|altsyncram_m4g1:auto_generated|ALTSYNCRAM",
	mixed_port_feed_through_mode => "old",
	operation_mode => "dual_port",
	port_a_address_clear => "none",
	port_a_address_width => 6,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 36,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 63,
	port_a_logical_ram_depth => 64,
	port_a_logical_ram_width => 8,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_b_address_clear => "none",
	port_b_address_clock => "clock0",
	port_b_address_width => 6,
	port_b_data_out_clear => "clear0",
	port_b_data_out_clock => "clock0",
	port_b_data_width => 36,
	port_b_first_address => 0,
	port_b_first_bit_number => 0,
	port_b_last_address => 63,
	port_b_logical_ram_depth => 64,
	port_b_logical_ram_width => 8,
	port_b_read_during_write_mode => "new_data_with_nbe_read",
	port_b_read_enable_clock => "clock0",
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portawe => \gpio_u0|master_0|fifo|write~combout\,
	portbre => VCC,
	clk0 => \clk_50_max10~inputclkctrl_outclk\,
	ena0 => \gpio_u0|master_0|fifo|internal_out_ready~combout\,
	clr0 => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|ALT_INV_altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	portadatain => \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTADATAIN_bus\,
	portaaddr => \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTAADDR_bus\,
	portbaddr => \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portbdataout => \gpio_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\);

-- Location: LCCOMB_X40_Y26_N14
\gpio_u0|master_0|b2p|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|Equal0~0_combout\ = (\gpio_u0|master_0|fifo|out_payload\(6) & !\gpio_u0|master_0|fifo|out_payload\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(6),
	datad => \gpio_u0|master_0|fifo|out_payload\(7),
	combout => \gpio_u0|master_0|b2p|Equal0~0_combout\);

-- Location: LCCOMB_X41_Y26_N2
\gpio_u0|master_0|b2p|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|Equal0~1_combout\ = (\gpio_u0|master_0|fifo|out_payload\(3) & (\gpio_u0|master_0|fifo|out_payload\(5) & (\gpio_u0|master_0|fifo|out_payload\(4) & \gpio_u0|master_0|b2p|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(3),
	datab => \gpio_u0|master_0|fifo|out_payload\(5),
	datac => \gpio_u0|master_0|fifo|out_payload\(4),
	datad => \gpio_u0|master_0|b2p|Equal0~0_combout\,
	combout => \gpio_u0|master_0|b2p|Equal0~1_combout\);

-- Location: LCCOMB_X41_Y26_N26
\gpio_u0|master_0|b2p|Equal3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|Equal3~0_combout\ = (!\gpio_u0|master_0|fifo|out_payload\(1) & (\gpio_u0|master_0|fifo|out_payload\(2) & (\gpio_u0|master_0|fifo|out_payload\(0) & \gpio_u0|master_0|b2p|Equal0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(1),
	datab => \gpio_u0|master_0|fifo|out_payload\(2),
	datac => \gpio_u0|master_0|fifo|out_payload\(0),
	datad => \gpio_u0|master_0|b2p|Equal0~1_combout\,
	combout => \gpio_u0|master_0|b2p|Equal3~0_combout\);

-- Location: LCCOMB_X42_Y26_N4
\gpio_u0|master_0|b2p|received_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|received_esc~0_combout\ = (\gpio_u0|master_0|transacto|p2m|in_ready_0~q\ & ((\gpio_u0|master_0|b2p|received_esc~q\ & ((!\gpio_u0|master_0|fifo|out_valid~q\))) # (!\gpio_u0|master_0|b2p|received_esc~q\ & 
-- (\gpio_u0|master_0|b2p|Equal3~0_combout\ & \gpio_u0|master_0|fifo|out_valid~q\)))) # (!\gpio_u0|master_0|transacto|p2m|in_ready_0~q\ & (((\gpio_u0|master_0|b2p|received_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|Equal3~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|in_ready_0~q\,
	datac => \gpio_u0|master_0|b2p|received_esc~q\,
	datad => \gpio_u0|master_0|fifo|out_valid~q\,
	combout => \gpio_u0|master_0|b2p|received_esc~0_combout\);

-- Location: FF_X42_Y26_N5
\gpio_u0|master_0|b2p|received_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|b2p|received_esc~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|received_esc~q\);

-- Location: LCCOMB_X41_Y26_N28
\gpio_u0|master_0|b2p|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|Equal2~0_combout\ = (!\gpio_u0|master_0|fifo|out_payload\(1) & (\gpio_u0|master_0|fifo|out_payload\(2) & (!\gpio_u0|master_0|fifo|out_payload\(0) & \gpio_u0|master_0|b2p|Equal0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(1),
	datab => \gpio_u0|master_0|fifo|out_payload\(2),
	datac => \gpio_u0|master_0|fifo|out_payload\(0),
	datad => \gpio_u0|master_0|b2p|Equal0~1_combout\,
	combout => \gpio_u0|master_0|b2p|Equal2~0_combout\);

-- Location: LCCOMB_X40_Y26_N16
\gpio_u0|master_0|b2p|out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|out_valid~0_combout\ = (\gpio_u0|master_0|fifo|out_payload\(1) $ (!\gpio_u0|master_0|fifo|out_payload\(2))) # (!\gpio_u0|master_0|fifo|out_payload\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(1),
	datab => \gpio_u0|master_0|fifo|out_payload\(2),
	datad => \gpio_u0|master_0|fifo|out_payload\(4),
	combout => \gpio_u0|master_0|b2p|out_valid~0_combout\);

-- Location: LCCOMB_X41_Y26_N20
\gpio_u0|master_0|b2p|out_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|out_valid~1_combout\ = (((\gpio_u0|master_0|b2p|out_valid~0_combout\) # (!\gpio_u0|master_0|b2p|Equal0~0_combout\)) # (!\gpio_u0|master_0|fifo|out_payload\(5))) # (!\gpio_u0|master_0|fifo|out_payload\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(3),
	datab => \gpio_u0|master_0|fifo|out_payload\(5),
	datac => \gpio_u0|master_0|b2p|out_valid~0_combout\,
	datad => \gpio_u0|master_0|b2p|Equal0~0_combout\,
	combout => \gpio_u0|master_0|b2p|out_valid~1_combout\);

-- Location: LCCOMB_X41_Y26_N12
\gpio_u0|master_0|b2p|received_channel~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|received_channel~0_combout\ = (!\gpio_u0|master_0|b2p|received_esc~q\ & ((\gpio_u0|master_0|b2p|received_channel~q\ & ((!\gpio_u0|master_0|b2p|out_valid~1_combout\))) # (!\gpio_u0|master_0|b2p|received_channel~q\ & 
-- (\gpio_u0|master_0|b2p|Equal2~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|received_esc~q\,
	datab => \gpio_u0|master_0|b2p|Equal2~0_combout\,
	datac => \gpio_u0|master_0|b2p|received_channel~q\,
	datad => \gpio_u0|master_0|b2p|out_valid~1_combout\,
	combout => \gpio_u0|master_0|b2p|received_channel~0_combout\);

-- Location: LCCOMB_X44_Y26_N28
\gpio_u0|master_0|transacto|p2m|enable~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|enable~0_combout\ = (\gpio_u0|master_0|fifo|out_valid~q\ & \gpio_u0|master_0|transacto|p2m|in_ready_0~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_valid~q\,
	datad => \gpio_u0|master_0|transacto|p2m|in_ready_0~q\,
	combout => \gpio_u0|master_0|transacto|p2m|enable~0_combout\);

-- Location: FF_X41_Y26_N13
\gpio_u0|master_0|b2p|received_channel\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|b2p|received_channel~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|received_channel~q\);

-- Location: LCCOMB_X41_Y26_N30
\gpio_u0|master_0|b2p|out_channel[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|out_channel[0]~0_combout\ = (\gpio_u0|master_0|b2p|received_channel~q\ & (\gpio_u0|master_0|transacto|p2m|enable~0_combout\ & ((\gpio_u0|master_0|b2p|out_valid~1_combout\) # (\gpio_u0|master_0|b2p|received_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|received_channel~q\,
	datab => \gpio_u0|master_0|b2p|out_valid~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|enable~0_combout\,
	datad => \gpio_u0|master_0|b2p|received_esc~q\,
	combout => \gpio_u0|master_0|b2p|out_channel[0]~0_combout\);

-- Location: FF_X40_Y26_N27
\gpio_u0|master_0|b2p|out_channel[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|b2p|out_channel[1]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|out_channel\(1));

-- Location: LCCOMB_X40_Y26_N20
\gpio_u0|master_0|b2p|out_channel[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|out_channel[2]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(2),
	combout => \gpio_u0|master_0|b2p|out_channel[2]~feeder_combout\);

-- Location: FF_X40_Y26_N21
\gpio_u0|master_0|b2p|out_channel[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|b2p|out_channel[2]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|out_channel\(2));

-- Location: FF_X40_Y26_N9
\gpio_u0|master_0|b2p|out_channel[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(3),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|out_channel\(3));

-- Location: LCCOMB_X40_Y26_N24
\gpio_u0|master_0|b2p|out_channel[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|out_channel[4]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(4),
	combout => \gpio_u0|master_0|b2p|out_channel[4]~feeder_combout\);

-- Location: FF_X40_Y26_N25
\gpio_u0|master_0|b2p|out_channel[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|b2p|out_channel[4]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|out_channel\(4));

-- Location: LCCOMB_X40_Y26_N8
\gpio_u0|master_0|transacto|p2m|enable~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|enable~2_combout\ = (!\gpio_u0|master_0|b2p|out_channel\(1) & (!\gpio_u0|master_0|b2p|out_channel\(2) & (!\gpio_u0|master_0|b2p|out_channel\(3) & !\gpio_u0|master_0|b2p|out_channel\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|out_channel\(1),
	datab => \gpio_u0|master_0|b2p|out_channel\(2),
	datac => \gpio_u0|master_0|b2p|out_channel\(3),
	datad => \gpio_u0|master_0|b2p|out_channel\(4),
	combout => \gpio_u0|master_0|transacto|p2m|enable~2_combout\);

-- Location: LCCOMB_X41_Y26_N4
\gpio_u0|master_0|b2p|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|always0~0_combout\ = (\gpio_u0|master_0|b2p|received_esc~q\) # (\gpio_u0|master_0|fifo|out_payload\(1) $ (!\gpio_u0|master_0|fifo|out_payload\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|fifo|out_payload\(1),
	datac => \gpio_u0|master_0|fifo|out_payload\(2),
	datad => \gpio_u0|master_0|b2p|received_esc~q\,
	combout => \gpio_u0|master_0|b2p|always0~0_combout\);

-- Location: LCCOMB_X41_Y26_N8
\gpio_u0|master_0|b2p|always0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|always0~1_combout\ = (!\gpio_u0|master_0|b2p|received_channel~q\ & (\gpio_u0|master_0|transacto|p2m|enable~0_combout\ & ((\gpio_u0|master_0|b2p|always0~0_combout\) # (!\gpio_u0|master_0|b2p|Equal0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|received_channel~q\,
	datab => \gpio_u0|master_0|b2p|Equal0~1_combout\,
	datac => \gpio_u0|master_0|b2p|always0~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|enable~0_combout\,
	combout => \gpio_u0|master_0|b2p|always0~1_combout\);

-- Location: LCCOMB_X41_Y26_N10
\gpio_u0|master_0|b2p|Equal0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|Equal0~2_combout\ = (!\gpio_u0|master_0|fifo|out_payload\(0) & (!\gpio_u0|master_0|fifo|out_payload\(2) & (\gpio_u0|master_0|fifo|out_payload\(1) & \gpio_u0|master_0|b2p|Equal0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(0),
	datab => \gpio_u0|master_0|fifo|out_payload\(2),
	datac => \gpio_u0|master_0|fifo|out_payload\(1),
	datad => \gpio_u0|master_0|b2p|Equal0~1_combout\,
	combout => \gpio_u0|master_0|b2p|Equal0~2_combout\);

-- Location: LCCOMB_X41_Y26_N16
\gpio_u0|master_0|b2p|out_startofpacket~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|out_startofpacket~0_combout\ = (!\gpio_u0|master_0|b2p|always0~1_combout\ & ((\gpio_u0|master_0|b2p|out_startofpacket~q\) # ((!\gpio_u0|master_0|b2p|received_esc~q\ & \gpio_u0|master_0|b2p|Equal0~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|received_esc~q\,
	datab => \gpio_u0|master_0|b2p|always0~1_combout\,
	datac => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	datad => \gpio_u0|master_0|b2p|Equal0~2_combout\,
	combout => \gpio_u0|master_0|b2p|out_startofpacket~0_combout\);

-- Location: FF_X41_Y26_N17
\gpio_u0|master_0|b2p|out_startofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|b2p|out_startofpacket~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|out_startofpacket~q\);

-- Location: LCCOMB_X41_Y26_N6
\gpio_u0|master_0|transacto|p2m|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|always1~0_combout\ = (\gpio_u0|master_0|transacto|p2m|enable~2_combout\ & (\gpio_u0|master_0|transacto|p2m|enable~1_combout\ & (\gpio_u0|master_0|b2p|always0~1_combout\ & \gpio_u0|master_0|b2p|out_startofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|enable~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|enable~1_combout\,
	datac => \gpio_u0|master_0|b2p|always0~1_combout\,
	datad => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	combout => \gpio_u0|master_0|transacto|p2m|always1~0_combout\);

-- Location: LCCOMB_X43_Y25_N20
\gpio_u0|master_0|transacto|p2m|state~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~46_combout\ = (!\gpio_u0|master_0|transacto|p2m|always1~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\) # ((!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~46_combout\);

-- Location: FF_X43_Y25_N21
\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~46_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\);

-- Location: LCCOMB_X41_Y25_N26
\gpio_u0|master_0|transacto|p2m|command[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|command[4]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(4),
	combout => \gpio_u0|master_0|transacto|p2m|command[4]~feeder_combout\);

-- Location: FF_X41_Y25_N27
\gpio_u0|master_0|transacto|p2m|command[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|command[4]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|command\(4));

-- Location: FF_X41_Y25_N23
\gpio_u0|master_0|transacto|p2m|command[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(0),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|command\(0));

-- Location: FF_X41_Y25_N11
\gpio_u0|master_0|transacto|p2m|command[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(1),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|command\(1));

-- Location: LCCOMB_X41_Y26_N24
\gpio_u0|master_0|b2p|out_data[5]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|out_data[5]~0_combout\ = \gpio_u0|master_0|fifo|out_payload\(5) $ (\gpio_u0|master_0|b2p|received_esc~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|fifo|out_payload\(5),
	datad => \gpio_u0|master_0|b2p|received_esc~q\,
	combout => \gpio_u0|master_0|b2p|out_data[5]~0_combout\);

-- Location: LCCOMB_X41_Y25_N6
\gpio_u0|master_0|transacto|p2m|command[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|command[5]~feeder_combout\ = \gpio_u0|master_0|b2p|out_data[5]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|b2p|out_data[5]~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|command[5]~feeder_combout\);

-- Location: FF_X41_Y25_N7
\gpio_u0|master_0|transacto|p2m|command[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|command[5]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|command\(5));

-- Location: LCCOMB_X41_Y25_N2
\gpio_u0|master_0|transacto|p2m|command[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|command[6]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(6),
	combout => \gpio_u0|master_0|transacto|p2m|command[6]~feeder_combout\);

-- Location: FF_X41_Y25_N3
\gpio_u0|master_0|transacto|p2m|command[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|command[6]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|command\(6));

-- Location: FF_X41_Y25_N29
\gpio_u0|master_0|transacto|p2m|command[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(7),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|command\(7));

-- Location: LCCOMB_X40_Y24_N14
\gpio_u0|master_0|transacto|p2m|command[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|command[3]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(3),
	combout => \gpio_u0|master_0|transacto|p2m|command[3]~feeder_combout\);

-- Location: FF_X40_Y24_N15
\gpio_u0|master_0|transacto|p2m|command[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|command[3]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|command\(3));

-- Location: LCCOMB_X41_Y25_N28
\gpio_u0|master_0|transacto|p2m|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Equal2~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|command\(5) & (!\gpio_u0|master_0|transacto|p2m|command\(6) & (!\gpio_u0|master_0|transacto|p2m|command\(7) & !\gpio_u0|master_0|transacto|p2m|command\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|command\(5),
	datab => \gpio_u0|master_0|transacto|p2m|command\(6),
	datac => \gpio_u0|master_0|transacto|p2m|command\(7),
	datad => \gpio_u0|master_0|transacto|p2m|command\(3),
	combout => \gpio_u0|master_0|transacto|p2m|Equal2~0_combout\);

-- Location: LCCOMB_X41_Y25_N10
\gpio_u0|master_0|transacto|p2m|Equal4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Equal4~0_combout\ = (\gpio_u0|master_0|transacto|p2m|command\(4) & (!\gpio_u0|master_0|transacto|p2m|command\(0) & (!\gpio_u0|master_0|transacto|p2m|command\(1) & \gpio_u0|master_0|transacto|p2m|Equal2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|command\(4),
	datab => \gpio_u0|master_0|transacto|p2m|command\(0),
	datac => \gpio_u0|master_0|transacto|p2m|command\(1),
	datad => \gpio_u0|master_0|transacto|p2m|Equal2~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Equal4~0_combout\);

-- Location: LCCOMB_X41_Y25_N22
\gpio_u0|master_0|transacto|p2m|Equal2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Equal2~1_combout\ = (!\gpio_u0|master_0|transacto|p2m|command\(1) & (!\gpio_u0|master_0|transacto|p2m|command\(0) & \gpio_u0|master_0|transacto|p2m|Equal2~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|command\(1),
	datac => \gpio_u0|master_0|transacto|p2m|command\(0),
	datad => \gpio_u0|master_0|transacto|p2m|Equal2~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Equal2~1_combout\);

-- Location: LCCOMB_X41_Y25_N24
\gpio_u0|master_0|transacto|p2m|state~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~52_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (\gpio_u0|master_0|transacto|p2m|enable~combout\ & ((\gpio_u0|master_0|transacto|p2m|command\(4)) # 
-- (!\gpio_u0|master_0|transacto|p2m|Equal2~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Equal2~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|command\(4),
	datad => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~52_combout\);

-- Location: LCCOMB_X41_Y25_N30
\gpio_u0|master_0|transacto|p2m|out_startofpacket~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ = ((!\gpio_u0|master_0|transacto|p2m|command\(0) & (\gpio_u0|master_0|transacto|p2m|Equal2~0_combout\ & !\gpio_u0|master_0|transacto|p2m|command\(1)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|command\(0),
	datab => \gpio_u0|master_0|transacto|p2m|Equal2~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|command\(1),
	datad => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\);

-- Location: LCCOMB_X32_Y23_N30
\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\);

-- Location: LCCOMB_X43_Y38_N10
\gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\);

-- Location: FF_X43_Y38_N11
\gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1));

-- Location: LCCOMB_X43_Y38_N6
\gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ = \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1),
	combout => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\);

-- Location: FF_X43_Y38_N7
\gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0));

-- Location: LCCOMB_X43_Y38_N26
\gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ = \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0),
	combout => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\);

-- Location: FF_X43_Y38_N27
\gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

-- Location: CLKCTRL_G12
\gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\);

-- Location: FF_X32_Y23_N31
\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\);

-- Location: LCCOMB_X43_Y26_N4
\gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\ = (\gpio_u0|master_0|transacto|p2m|enable~combout\ & ((\gpio_u0|master_0|b2p|out_startofpacket~q\))) # (!\gpio_u0|master_0|transacto|p2m|enable~combout\ & 
-- (\gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~q\,
	datad => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\);

-- Location: FF_X43_Y26_N5
\gpio_u0|master_0|transacto|p2m|state.GET_EXTRA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~q\);

-- Location: LCCOMB_X43_Y26_N12
\gpio_u0|master_0|transacto|p2m|state~55\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~55_combout\ = (\gpio_u0|master_0|transacto|p2m|enable~combout\ & (\gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~q\ & ((!\gpio_u0|master_0|b2p|out_startofpacket~q\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\ & (((\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datad => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state~55_combout\);

-- Location: FF_X43_Y26_N13
\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~55_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\);

-- Location: LCCOMB_X43_Y26_N28
\gpio_u0|master_0|transacto|p2m|state~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~56_combout\ = (\gpio_u0|master_0|transacto|p2m|enable~combout\ & (\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & (!\gpio_u0|master_0|b2p|out_startofpacket~q\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\ & (((\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datab => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~56_combout\);

-- Location: FF_X43_Y26_N29
\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~56_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\);

-- Location: LCCOMB_X43_Y26_N26
\gpio_u0|master_0|transacto|p2m|state~49\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~49_combout\ = (\gpio_u0|master_0|transacto|p2m|enable~combout\ & (\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & ((!\gpio_u0|master_0|b2p|out_startofpacket~q\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\ & (((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datad => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state~49_combout\);

-- Location: FF_X43_Y26_N27
\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~49_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\);

-- Location: LCCOMB_X43_Y26_N16
\gpio_u0|master_0|transacto|p2m|state~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~50_combout\ = (\gpio_u0|master_0|transacto|p2m|enable~combout\ & (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\ & (!\gpio_u0|master_0|b2p|out_startofpacket~q\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\ & (((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datab => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datad => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~50_combout\);

-- Location: FF_X43_Y26_N17
\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~50_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\);

-- Location: LCCOMB_X44_Y21_N4
\gpio_u0|master_0|transacto|p2m|Selector54~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector54~0_combout\ = (\gpio_u0|master_0|fifo|out_payload\(1) & \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(1),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector54~0_combout\);

-- Location: LCCOMB_X44_Y21_N28
\gpio_u0|master_0|transacto|p2m|Selector53~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector53~1_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector53~1_combout\);

-- Location: LCCOMB_X43_Y28_N14
\gpio_u0|master_0|transacto|p2m|Selector36~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector36~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(1),
	combout => \gpio_u0|master_0|transacto|p2m|Selector36~0_combout\);

-- Location: LCCOMB_X43_Y28_N12
\gpio_u0|master_0|transacto|p2m|Selector30~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\ = (\gpio_u0|master_0|transacto|p2m|command\(4) & \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|command\(4),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\);

-- Location: LCCOMB_X44_Y27_N0
\gpio_u0|master_0|transacto|p2m|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~0_combout\ = (\gpio_u0|master_0|transacto|p2m|enable~combout\ & (\gpio_u0|master_0|transacto|p2m|counter\(0) $ (VCC))) # (!\gpio_u0|master_0|transacto|p2m|enable~combout\ & (\gpio_u0|master_0|transacto|p2m|counter\(0) 
-- & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add0~1\ = CARRY((\gpio_u0|master_0|transacto|p2m|enable~combout\ & \gpio_u0|master_0|transacto|p2m|counter\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|counter\(0),
	datad => VCC,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~0_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~1\);

-- Location: LCCOMB_X42_Y27_N0
\gpio_u0|master_0|transacto|p2m|Add3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~0_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|counter\(0) $ (VCC))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|counter\(0) & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add3~1\ = CARRY((\gpio_u0|master_0|p2b|in_ready~combout\ & \gpio_u0|master_0|transacto|p2m|counter\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|counter\(0),
	datad => VCC,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~0_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~1\);

-- Location: LCCOMB_X43_Y28_N26
\gpio_u0|master_0|transacto|p2m|Selector37~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector37~1_combout\ = (\gpio_u0|master_0|transacto|p2m|Add0~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\) # ((\gpio_u0|master_0|transacto|p2m|Add3~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))) # (!\gpio_u0|master_0|transacto|p2m|Add0~0_combout\ & (\gpio_u0|master_0|transacto|p2m|Add3~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add0~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add3~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector37~1_combout\);

-- Location: LCCOMB_X43_Y28_N10
\gpio_u0|master_0|transacto|p2m|Selector37~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector37~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(0),
	combout => \gpio_u0|master_0|transacto|p2m|Selector37~0_combout\);

-- Location: LCCOMB_X43_Y28_N20
\gpio_u0|master_0|transacto|p2m|Selector37~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector37~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector37~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector37~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector30~2_combout\ & 
-- \gpio_u0|master_0|fifo|out_payload\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\,
	datab => \gpio_u0|master_0|fifo|out_payload\(0),
	datac => \gpio_u0|master_0|transacto|p2m|Selector37~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector37~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector37~2_combout\);

-- Location: FF_X43_Y28_N21
\gpio_u0|master_0|transacto|p2m|counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector37~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(0));

-- Location: LCCOMB_X42_Y27_N2
\gpio_u0|master_0|transacto|p2m|Add3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~2_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|counter\(1) & (\gpio_u0|master_0|transacto|p2m|Add3~1\ & VCC)) # (!\gpio_u0|master_0|transacto|p2m|counter\(1) & 
-- (!\gpio_u0|master_0|transacto|p2m|Add3~1\)))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|counter\(1) & (!\gpio_u0|master_0|transacto|p2m|Add3~1\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(1) & 
-- ((\gpio_u0|master_0|transacto|p2m|Add3~1\) # (GND)))))
-- \gpio_u0|master_0|transacto|p2m|Add3~3\ = CARRY((\gpio_u0|master_0|p2b|in_ready~combout\ & (!\gpio_u0|master_0|transacto|p2m|counter\(1) & !\gpio_u0|master_0|transacto|p2m|Add3~1\)) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- ((!\gpio_u0|master_0|transacto|p2m|Add3~1\) # (!\gpio_u0|master_0|transacto|p2m|counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|counter\(1),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~1\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~2_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~3\);

-- Location: LCCOMB_X44_Y27_N2
\gpio_u0|master_0|transacto|p2m|Add0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~2_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(1) & (!\gpio_u0|master_0|transacto|p2m|Add0~1\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(1) & ((\gpio_u0|master_0|transacto|p2m|Add0~1\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add0~3\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add0~1\) # (!\gpio_u0|master_0|transacto|p2m|counter\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(1),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~1\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~2_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~3\);

-- Location: LCCOMB_X43_Y27_N18
\gpio_u0|master_0|transacto|p2m|Selector36~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector36~1_combout\ = (\gpio_u0|master_0|transacto|p2m|Add3~2_combout\ & ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Add0~2_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|Add3~2_combout\ & (((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & \gpio_u0|master_0|transacto|p2m|Add0~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add3~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Add0~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector36~1_combout\);

-- Location: LCCOMB_X43_Y27_N10
\gpio_u0|master_0|transacto|p2m|Selector36~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector36~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector36~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector36~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector30~2_combout\ & 
-- \gpio_u0|master_0|fifo|out_payload\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector36~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\,
	datac => \gpio_u0|master_0|fifo|out_payload\(1),
	datad => \gpio_u0|master_0|transacto|p2m|Selector36~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector36~2_combout\);

-- Location: FF_X43_Y27_N11
\gpio_u0|master_0|transacto|p2m|counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector36~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(1));

-- Location: LCCOMB_X43_Y27_N6
\gpio_u0|master_0|transacto|p2m|Selector35~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector35~0_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(2) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(2),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector35~0_combout\);

-- Location: LCCOMB_X42_Y27_N4
\gpio_u0|master_0|transacto|p2m|Add3~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~4_combout\ = ((\gpio_u0|master_0|p2b|in_ready~combout\ $ (\gpio_u0|master_0|transacto|p2m|counter\(2) $ (!\gpio_u0|master_0|transacto|p2m|Add3~3\)))) # (GND)
-- \gpio_u0|master_0|transacto|p2m|Add3~5\ = CARRY((\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|counter\(2)) # (!\gpio_u0|master_0|transacto|p2m|Add3~3\))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- (\gpio_u0|master_0|transacto|p2m|counter\(2) & !\gpio_u0|master_0|transacto|p2m|Add3~3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|counter\(2),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~3\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~4_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~5\);

-- Location: LCCOMB_X44_Y27_N4
\gpio_u0|master_0|transacto|p2m|Add0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~4_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(2) & (\gpio_u0|master_0|transacto|p2m|Add0~3\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|counter\(2) & (!\gpio_u0|master_0|transacto|p2m|Add0~3\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add0~5\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(2) & !\gpio_u0|master_0|transacto|p2m|Add0~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(2),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~3\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~4_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~5\);

-- Location: LCCOMB_X43_Y27_N14
\gpio_u0|master_0|transacto|p2m|Selector35~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector35~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|Add3~4_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Add0~4_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|Add0~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add3~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add0~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector35~1_combout\);

-- Location: LCCOMB_X43_Y27_N12
\gpio_u0|master_0|transacto|p2m|Selector35~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector35~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector35~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector35~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector30~2_combout\ & 
-- \gpio_u0|master_0|fifo|out_payload\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector35~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector35~1_combout\,
	datad => \gpio_u0|master_0|fifo|out_payload\(2),
	combout => \gpio_u0|master_0|transacto|p2m|Selector35~2_combout\);

-- Location: FF_X43_Y27_N13
\gpio_u0|master_0|transacto|p2m|counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector35~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(2));

-- Location: LCCOMB_X42_Y27_N6
\gpio_u0|master_0|transacto|p2m|Add3~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~6_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|counter\(3) & (\gpio_u0|master_0|transacto|p2m|Add3~5\ & VCC)) # (!\gpio_u0|master_0|transacto|p2m|counter\(3) & 
-- (!\gpio_u0|master_0|transacto|p2m|Add3~5\)))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|counter\(3) & (!\gpio_u0|master_0|transacto|p2m|Add3~5\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(3) & 
-- ((\gpio_u0|master_0|transacto|p2m|Add3~5\) # (GND)))))
-- \gpio_u0|master_0|transacto|p2m|Add3~7\ = CARRY((\gpio_u0|master_0|p2b|in_ready~combout\ & (!\gpio_u0|master_0|transacto|p2m|counter\(3) & !\gpio_u0|master_0|transacto|p2m|Add3~5\)) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- ((!\gpio_u0|master_0|transacto|p2m|Add3~5\) # (!\gpio_u0|master_0|transacto|p2m|counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|counter\(3),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~5\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~6_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~7\);

-- Location: LCCOMB_X44_Y27_N6
\gpio_u0|master_0|transacto|p2m|Add0~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~6_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(3) & (!\gpio_u0|master_0|transacto|p2m|Add0~5\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(3) & ((\gpio_u0|master_0|transacto|p2m|Add0~5\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add0~7\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add0~5\) # (!\gpio_u0|master_0|transacto|p2m|counter\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(3),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~5\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~6_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~7\);

-- Location: LCCOMB_X43_Y27_N24
\gpio_u0|master_0|transacto|p2m|Selector34~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector34~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|Add3~6_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Add0~6_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|Add0~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add3~6_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add0~6_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector34~1_combout\);

-- Location: LCCOMB_X43_Y27_N22
\gpio_u0|master_0|transacto|p2m|Selector34~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector34~0_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(3) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(3),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector34~0_combout\);

-- Location: LCCOMB_X43_Y27_N26
\gpio_u0|master_0|transacto|p2m|Selector34~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector34~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector34~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector34~0_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(3) & 
-- \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(3),
	datab => \gpio_u0|master_0|transacto|p2m|Selector34~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector34~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector34~2_combout\);

-- Location: FF_X43_Y27_N27
\gpio_u0|master_0|transacto|p2m|counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector34~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(3));

-- Location: LCCOMB_X42_Y27_N8
\gpio_u0|master_0|transacto|p2m|Add3~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~8_combout\ = ((\gpio_u0|master_0|p2b|in_ready~combout\ $ (\gpio_u0|master_0|transacto|p2m|counter\(4) $ (!\gpio_u0|master_0|transacto|p2m|Add3~7\)))) # (GND)
-- \gpio_u0|master_0|transacto|p2m|Add3~9\ = CARRY((\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|counter\(4)) # (!\gpio_u0|master_0|transacto|p2m|Add3~7\))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- (\gpio_u0|master_0|transacto|p2m|counter\(4) & !\gpio_u0|master_0|transacto|p2m|Add3~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|counter\(4),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~7\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~8_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~9\);

-- Location: LCCOMB_X44_Y27_N8
\gpio_u0|master_0|transacto|p2m|Add0~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~8_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(4) & (\gpio_u0|master_0|transacto|p2m|Add0~7\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|counter\(4) & (!\gpio_u0|master_0|transacto|p2m|Add0~7\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add0~9\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(4) & !\gpio_u0|master_0|transacto|p2m|Add0~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(4),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~7\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~8_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~9\);

-- Location: LCCOMB_X45_Y27_N26
\gpio_u0|master_0|transacto|p2m|Selector33~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector33~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|Add0~8_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add3~8_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))) # (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|Add3~8_combout\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Add3~8_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Add0~8_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector33~1_combout\);

-- Location: LCCOMB_X45_Y27_N14
\gpio_u0|master_0|transacto|p2m|Selector33~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector33~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & 
-- \gpio_u0|master_0|transacto|p2m|counter\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(4),
	combout => \gpio_u0|master_0|transacto|p2m|Selector33~0_combout\);

-- Location: LCCOMB_X45_Y27_N4
\gpio_u0|master_0|transacto|p2m|Selector33~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector33~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector33~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector33~0_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(4) & 
-- \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector33~1_combout\,
	datab => \gpio_u0|master_0|fifo|out_payload\(4),
	datac => \gpio_u0|master_0|transacto|p2m|Selector33~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector33~2_combout\);

-- Location: FF_X45_Y27_N5
\gpio_u0|master_0|transacto|p2m|counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector33~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(4));

-- Location: LCCOMB_X44_Y27_N10
\gpio_u0|master_0|transacto|p2m|Add0~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~10_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(5) & (!\gpio_u0|master_0|transacto|p2m|Add0~9\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(5) & ((\gpio_u0|master_0|transacto|p2m|Add0~9\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add0~11\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add0~9\) # (!\gpio_u0|master_0|transacto|p2m|counter\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(5),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~9\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~10_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~11\);

-- Location: LCCOMB_X42_Y27_N10
\gpio_u0|master_0|transacto|p2m|Add3~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~10_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|counter\(5) & (\gpio_u0|master_0|transacto|p2m|Add3~9\ & VCC)) # (!\gpio_u0|master_0|transacto|p2m|counter\(5) & 
-- (!\gpio_u0|master_0|transacto|p2m|Add3~9\)))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|counter\(5) & (!\gpio_u0|master_0|transacto|p2m|Add3~9\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(5) & 
-- ((\gpio_u0|master_0|transacto|p2m|Add3~9\) # (GND)))))
-- \gpio_u0|master_0|transacto|p2m|Add3~11\ = CARRY((\gpio_u0|master_0|p2b|in_ready~combout\ & (!\gpio_u0|master_0|transacto|p2m|counter\(5) & !\gpio_u0|master_0|transacto|p2m|Add3~9\)) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- ((!\gpio_u0|master_0|transacto|p2m|Add3~9\) # (!\gpio_u0|master_0|transacto|p2m|counter\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|counter\(5),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~9\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~10_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~11\);

-- Location: LCCOMB_X43_Y27_N30
\gpio_u0|master_0|transacto|p2m|Selector32~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector32~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|Add3~10_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Add0~10_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|Add0~10_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add0~10_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add3~10_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector32~1_combout\);

-- Location: LCCOMB_X43_Y27_N2
\gpio_u0|master_0|transacto|p2m|Selector32~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector32~0_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(5) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(5),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector32~0_combout\);

-- Location: LCCOMB_X43_Y27_N16
\gpio_u0|master_0|transacto|p2m|Selector32~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector32~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector32~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector32~0_combout\) # ((\gpio_u0|master_0|b2p|out_data[5]~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|out_data[5]~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector32~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector32~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector32~2_combout\);

-- Location: FF_X43_Y27_N17
\gpio_u0|master_0|transacto|p2m|counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector32~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(5));

-- Location: LCCOMB_X43_Y26_N8
\gpio_u0|master_0|transacto|p2m|Selector31~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector31~0_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(6) & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(6),
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector31~0_combout\);

-- Location: LCCOMB_X42_Y27_N12
\gpio_u0|master_0|transacto|p2m|Add3~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~12_combout\ = ((\gpio_u0|master_0|p2b|in_ready~combout\ $ (\gpio_u0|master_0|transacto|p2m|counter\(6) $ (!\gpio_u0|master_0|transacto|p2m|Add3~11\)))) # (GND)
-- \gpio_u0|master_0|transacto|p2m|Add3~13\ = CARRY((\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|counter\(6)) # (!\gpio_u0|master_0|transacto|p2m|Add3~11\))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- (\gpio_u0|master_0|transacto|p2m|counter\(6) & !\gpio_u0|master_0|transacto|p2m|Add3~11\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|counter\(6),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~11\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~12_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~13\);

-- Location: LCCOMB_X44_Y27_N12
\gpio_u0|master_0|transacto|p2m|Add0~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~12_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(6) & (\gpio_u0|master_0|transacto|p2m|Add0~11\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|counter\(6) & (!\gpio_u0|master_0|transacto|p2m|Add0~11\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add0~13\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(6) & !\gpio_u0|master_0|transacto|p2m|Add0~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(6),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~11\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~12_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~13\);

-- Location: LCCOMB_X45_Y27_N30
\gpio_u0|master_0|transacto|p2m|Selector31~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector31~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|Add0~12_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Add3~12_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|Add3~12_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add3~12_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add0~12_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector31~1_combout\);

-- Location: LCCOMB_X43_Y26_N30
\gpio_u0|master_0|transacto|p2m|Selector31~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector31~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector31~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector31~1_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(6) & 
-- \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(6),
	datab => \gpio_u0|master_0|transacto|p2m|Selector31~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector31~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector31~2_combout\);

-- Location: FF_X43_Y26_N31
\gpio_u0|master_0|transacto|p2m|counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector31~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(6));

-- Location: LCCOMB_X46_Y27_N8
\gpio_u0|master_0|transacto|p2m|Selector30~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector30~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|counter\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(7),
	combout => \gpio_u0|master_0|transacto|p2m|Selector30~0_combout\);

-- Location: LCCOMB_X42_Y27_N14
\gpio_u0|master_0|transacto|p2m|Add3~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~14_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(7) & ((\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|Add3~13\ & VCC)) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- (!\gpio_u0|master_0|transacto|p2m|Add3~13\)))) # (!\gpio_u0|master_0|transacto|p2m|counter\(7) & ((\gpio_u0|master_0|p2b|in_ready~combout\ & (!\gpio_u0|master_0|transacto|p2m|Add3~13\)) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- ((\gpio_u0|master_0|transacto|p2m|Add3~13\) # (GND)))))
-- \gpio_u0|master_0|transacto|p2m|Add3~15\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(7) & (!\gpio_u0|master_0|p2b|in_ready~combout\ & !\gpio_u0|master_0|transacto|p2m|Add3~13\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(7) & 
-- ((!\gpio_u0|master_0|transacto|p2m|Add3~13\) # (!\gpio_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(7),
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~13\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~14_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~15\);

-- Location: LCCOMB_X44_Y27_N14
\gpio_u0|master_0|transacto|p2m|Add0~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~14_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(7) & (!\gpio_u0|master_0|transacto|p2m|Add0~13\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(7) & ((\gpio_u0|master_0|transacto|p2m|Add0~13\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add0~15\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add0~13\) # (!\gpio_u0|master_0|transacto|p2m|counter\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(7),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~13\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~14_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~15\);

-- Location: LCCOMB_X45_Y27_N20
\gpio_u0|master_0|transacto|p2m|Selector30~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector30~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|Add0~14_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add3~14_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))) # (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|Add3~14_combout\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Add3~14_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Add0~14_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector30~1_combout\);

-- Location: LCCOMB_X46_Y27_N2
\gpio_u0|master_0|transacto|p2m|Selector30~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector30~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector30~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector30~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector30~2_combout\ & 
-- \gpio_u0|master_0|fifo|out_payload\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector30~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector30~0_combout\,
	datac => \gpio_u0|master_0|fifo|out_payload\(7),
	datad => \gpio_u0|master_0|transacto|p2m|Selector30~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector30~3_combout\);

-- Location: FF_X46_Y27_N3
\gpio_u0|master_0|transacto|p2m|counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector30~3_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(7));

-- Location: LCCOMB_X46_Y27_N12
\gpio_u0|master_0|transacto|p2m|Equal10~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Equal10~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|counter\(5) & (!\gpio_u0|master_0|transacto|p2m|counter\(4) & (!\gpio_u0|master_0|transacto|p2m|counter\(6) & !\gpio_u0|master_0|transacto|p2m|counter\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(5),
	datab => \gpio_u0|master_0|transacto|p2m|counter\(4),
	datac => \gpio_u0|master_0|transacto|p2m|counter\(6),
	datad => \gpio_u0|master_0|transacto|p2m|counter\(7),
	combout => \gpio_u0|master_0|transacto|p2m|Equal10~2_combout\);

-- Location: LCCOMB_X43_Y28_N30
\gpio_u0|master_0|transacto|p2m|Selector22~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\ = (\gpio_u0|master_0|transacto|p2m|command\(4) & \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|command\(4),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\);

-- Location: LCCOMB_X43_Y28_N4
\gpio_u0|master_0|transacto|p2m|Selector28~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector28~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|counter\(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(9),
	combout => \gpio_u0|master_0|transacto|p2m|Selector28~0_combout\);

-- Location: LCCOMB_X44_Y27_N16
\gpio_u0|master_0|transacto|p2m|Add0~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~16_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(8) & (\gpio_u0|master_0|transacto|p2m|Add0~15\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|counter\(8) & (!\gpio_u0|master_0|transacto|p2m|Add0~15\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add0~17\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(8) & !\gpio_u0|master_0|transacto|p2m|Add0~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|counter\(8),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~15\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~16_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~17\);

-- Location: LCCOMB_X42_Y27_N16
\gpio_u0|master_0|transacto|p2m|Add3~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~16_combout\ = ((\gpio_u0|master_0|transacto|p2m|counter\(8) $ (\gpio_u0|master_0|p2b|in_ready~combout\ $ (!\gpio_u0|master_0|transacto|p2m|Add3~15\)))) # (GND)
-- \gpio_u0|master_0|transacto|p2m|Add3~17\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(8) & ((\gpio_u0|master_0|p2b|in_ready~combout\) # (!\gpio_u0|master_0|transacto|p2m|Add3~15\))) # (!\gpio_u0|master_0|transacto|p2m|counter\(8) & 
-- (\gpio_u0|master_0|p2b|in_ready~combout\ & !\gpio_u0|master_0|transacto|p2m|Add3~15\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(8),
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~15\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~16_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~17\);

-- Location: LCCOMB_X45_Y27_N12
\gpio_u0|master_0|transacto|p2m|Selector29~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector29~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|Add0~16_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Add3~16_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|Add3~16_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add0~16_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add3~16_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector29~1_combout\);

-- Location: LCCOMB_X45_Y27_N6
\gpio_u0|master_0|transacto|p2m|Selector29~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector29~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & 
-- \gpio_u0|master_0|transacto|p2m|counter\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(8),
	combout => \gpio_u0|master_0|transacto|p2m|Selector29~0_combout\);

-- Location: LCCOMB_X45_Y27_N28
\gpio_u0|master_0|transacto|p2m|Selector29~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector29~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector29~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector29~0_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(0) & 
-- \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector29~1_combout\,
	datab => \gpio_u0|master_0|fifo|out_payload\(0),
	datac => \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector29~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector29~2_combout\);

-- Location: FF_X45_Y27_N29
\gpio_u0|master_0|transacto|p2m|counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector29~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(8));

-- Location: LCCOMB_X42_Y27_N18
\gpio_u0|master_0|transacto|p2m|Add3~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~18_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(9) & ((\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|Add3~17\ & VCC)) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- (!\gpio_u0|master_0|transacto|p2m|Add3~17\)))) # (!\gpio_u0|master_0|transacto|p2m|counter\(9) & ((\gpio_u0|master_0|p2b|in_ready~combout\ & (!\gpio_u0|master_0|transacto|p2m|Add3~17\)) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- ((\gpio_u0|master_0|transacto|p2m|Add3~17\) # (GND)))))
-- \gpio_u0|master_0|transacto|p2m|Add3~19\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(9) & (!\gpio_u0|master_0|p2b|in_ready~combout\ & !\gpio_u0|master_0|transacto|p2m|Add3~17\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(9) & 
-- ((!\gpio_u0|master_0|transacto|p2m|Add3~17\) # (!\gpio_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(9),
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~17\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~18_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~19\);

-- Location: LCCOMB_X44_Y27_N18
\gpio_u0|master_0|transacto|p2m|Add0~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~18_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(9) & (!\gpio_u0|master_0|transacto|p2m|Add0~17\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(9) & ((\gpio_u0|master_0|transacto|p2m|Add0~17\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add0~19\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add0~17\) # (!\gpio_u0|master_0|transacto|p2m|counter\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|counter\(9),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~17\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~18_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~19\);

-- Location: LCCOMB_X43_Y27_N0
\gpio_u0|master_0|transacto|p2m|Selector28~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector28~1_combout\ = (\gpio_u0|master_0|transacto|p2m|Add3~18_combout\ & ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Add0~18_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|Add3~18_combout\ & (((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & \gpio_u0|master_0|transacto|p2m|Add0~18_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add3~18_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Add0~18_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector28~1_combout\);

-- Location: LCCOMB_X43_Y28_N24
\gpio_u0|master_0|transacto|p2m|Selector28~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector28~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector28~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector28~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector22~2_combout\ & 
-- \gpio_u0|master_0|fifo|out_payload\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector28~0_combout\,
	datac => \gpio_u0|master_0|fifo|out_payload\(1),
	datad => \gpio_u0|master_0|transacto|p2m|Selector28~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector28~2_combout\);

-- Location: FF_X43_Y28_N25
\gpio_u0|master_0|transacto|p2m|counter[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector28~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(9));

-- Location: LCCOMB_X42_Y27_N20
\gpio_u0|master_0|transacto|p2m|Add3~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~20_combout\ = ((\gpio_u0|master_0|transacto|p2m|counter\(10) $ (\gpio_u0|master_0|p2b|in_ready~combout\ $ (!\gpio_u0|master_0|transacto|p2m|Add3~19\)))) # (GND)
-- \gpio_u0|master_0|transacto|p2m|Add3~21\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(10) & ((\gpio_u0|master_0|p2b|in_ready~combout\) # (!\gpio_u0|master_0|transacto|p2m|Add3~19\))) # (!\gpio_u0|master_0|transacto|p2m|counter\(10) & 
-- (\gpio_u0|master_0|p2b|in_ready~combout\ & !\gpio_u0|master_0|transacto|p2m|Add3~19\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(10),
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~19\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~20_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~21\);

-- Location: LCCOMB_X44_Y27_N20
\gpio_u0|master_0|transacto|p2m|Add0~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~20_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(10) & (\gpio_u0|master_0|transacto|p2m|Add0~19\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|counter\(10) & (!\gpio_u0|master_0|transacto|p2m|Add0~19\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add0~21\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(10) & !\gpio_u0|master_0|transacto|p2m|Add0~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|counter\(10),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~19\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~20_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~21\);

-- Location: LCCOMB_X45_Y27_N10
\gpio_u0|master_0|transacto|p2m|Selector27~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector27~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|Add0~20_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Add3~20_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|Add3~20_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add3~20_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add0~20_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector27~1_combout\);

-- Location: LCCOMB_X46_Y27_N22
\gpio_u0|master_0|transacto|p2m|Selector27~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector27~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|counter\(10))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(10),
	combout => \gpio_u0|master_0|transacto|p2m|Selector27~0_combout\);

-- Location: LCCOMB_X45_Y27_N18
\gpio_u0|master_0|transacto|p2m|Selector27~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector27~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector27~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector27~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector22~2_combout\ & 
-- \gpio_u0|master_0|fifo|out_payload\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector27~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\,
	datac => \gpio_u0|master_0|fifo|out_payload\(2),
	datad => \gpio_u0|master_0|transacto|p2m|Selector27~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector27~2_combout\);

-- Location: FF_X45_Y27_N19
\gpio_u0|master_0|transacto|p2m|counter[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector27~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(10));

-- Location: LCCOMB_X42_Y27_N22
\gpio_u0|master_0|transacto|p2m|Add3~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~22_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(11) & ((\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|Add3~21\ & VCC)) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- (!\gpio_u0|master_0|transacto|p2m|Add3~21\)))) # (!\gpio_u0|master_0|transacto|p2m|counter\(11) & ((\gpio_u0|master_0|p2b|in_ready~combout\ & (!\gpio_u0|master_0|transacto|p2m|Add3~21\)) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- ((\gpio_u0|master_0|transacto|p2m|Add3~21\) # (GND)))))
-- \gpio_u0|master_0|transacto|p2m|Add3~23\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(11) & (!\gpio_u0|master_0|p2b|in_ready~combout\ & !\gpio_u0|master_0|transacto|p2m|Add3~21\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(11) & 
-- ((!\gpio_u0|master_0|transacto|p2m|Add3~21\) # (!\gpio_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(11),
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~21\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~22_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~23\);

-- Location: LCCOMB_X44_Y27_N22
\gpio_u0|master_0|transacto|p2m|Add0~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~22_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(11) & (!\gpio_u0|master_0|transacto|p2m|Add0~21\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(11) & ((\gpio_u0|master_0|transacto|p2m|Add0~21\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add0~23\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add0~21\) # (!\gpio_u0|master_0|transacto|p2m|counter\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(11),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~21\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~22_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~23\);

-- Location: LCCOMB_X45_Y27_N22
\gpio_u0|master_0|transacto|p2m|Selector26~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector26~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|Add0~22_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Add3~22_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|Add3~22_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add3~22_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add0~22_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector26~1_combout\);

-- Location: LCCOMB_X46_Y27_N10
\gpio_u0|master_0|transacto|p2m|Selector26~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector26~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|counter\(11))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(11),
	combout => \gpio_u0|master_0|transacto|p2m|Selector26~0_combout\);

-- Location: LCCOMB_X45_Y27_N2
\gpio_u0|master_0|transacto|p2m|Selector26~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector26~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector26~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector26~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector22~2_combout\ & 
-- \gpio_u0|master_0|fifo|out_payload\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector26~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector26~0_combout\,
	datad => \gpio_u0|master_0|fifo|out_payload\(3),
	combout => \gpio_u0|master_0|transacto|p2m|Selector26~2_combout\);

-- Location: FF_X45_Y27_N3
\gpio_u0|master_0|transacto|p2m|counter[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector26~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(11));

-- Location: LCCOMB_X46_Y27_N16
\gpio_u0|master_0|transacto|p2m|Equal10~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Equal10~1_combout\ = (!\gpio_u0|master_0|transacto|p2m|counter\(11) & (!\gpio_u0|master_0|transacto|p2m|counter\(10) & (!\gpio_u0|master_0|transacto|p2m|counter\(9) & !\gpio_u0|master_0|transacto|p2m|counter\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(11),
	datab => \gpio_u0|master_0|transacto|p2m|counter\(10),
	datac => \gpio_u0|master_0|transacto|p2m|counter\(9),
	datad => \gpio_u0|master_0|transacto|p2m|counter\(8),
	combout => \gpio_u0|master_0|transacto|p2m|Equal10~1_combout\);

-- Location: LCCOMB_X46_Y27_N14
\gpio_u0|master_0|transacto|p2m|Equal10~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Equal10~3_combout\ = (!\gpio_u0|master_0|transacto|p2m|counter\(3) & !\gpio_u0|master_0|transacto|p2m|counter\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|counter\(3),
	datad => \gpio_u0|master_0|transacto|p2m|counter\(2),
	combout => \gpio_u0|master_0|transacto|p2m|Equal10~3_combout\);

-- Location: LCCOMB_X46_Y27_N30
\gpio_u0|master_0|transacto|p2m|Selector25~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector25~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|counter\(12))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(12),
	combout => \gpio_u0|master_0|transacto|p2m|Selector25~0_combout\);

-- Location: LCCOMB_X42_Y27_N24
\gpio_u0|master_0|transacto|p2m|Add3~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~24_combout\ = ((\gpio_u0|master_0|transacto|p2m|counter\(12) $ (\gpio_u0|master_0|p2b|in_ready~combout\ $ (!\gpio_u0|master_0|transacto|p2m|Add3~23\)))) # (GND)
-- \gpio_u0|master_0|transacto|p2m|Add3~25\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(12) & ((\gpio_u0|master_0|p2b|in_ready~combout\) # (!\gpio_u0|master_0|transacto|p2m|Add3~23\))) # (!\gpio_u0|master_0|transacto|p2m|counter\(12) & 
-- (\gpio_u0|master_0|p2b|in_ready~combout\ & !\gpio_u0|master_0|transacto|p2m|Add3~23\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(12),
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~23\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~24_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~25\);

-- Location: LCCOMB_X44_Y27_N24
\gpio_u0|master_0|transacto|p2m|Add0~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~24_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(12) & (\gpio_u0|master_0|transacto|p2m|Add0~23\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|counter\(12) & (!\gpio_u0|master_0|transacto|p2m|Add0~23\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add0~25\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(12) & !\gpio_u0|master_0|transacto|p2m|Add0~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|counter\(12),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~23\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~24_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~25\);

-- Location: LCCOMB_X45_Y27_N0
\gpio_u0|master_0|transacto|p2m|Selector25~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector25~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|Add0~24_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Add3~24_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|Add3~24_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add3~24_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add0~24_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector25~1_combout\);

-- Location: LCCOMB_X45_Y27_N8
\gpio_u0|master_0|transacto|p2m|Selector25~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector25~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector25~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector25~1_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(4) & 
-- \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector25~0_combout\,
	datab => \gpio_u0|master_0|fifo|out_payload\(4),
	datac => \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector25~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector25~2_combout\);

-- Location: FF_X45_Y27_N9
\gpio_u0|master_0|transacto|p2m|counter[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector25~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(12));

-- Location: LCCOMB_X44_Y27_N26
\gpio_u0|master_0|transacto|p2m|Add0~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~26_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(13) & (!\gpio_u0|master_0|transacto|p2m|Add0~25\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(13) & ((\gpio_u0|master_0|transacto|p2m|Add0~25\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add0~27\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add0~25\) # (!\gpio_u0|master_0|transacto|p2m|counter\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|counter\(13),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~25\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~26_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~27\);

-- Location: LCCOMB_X42_Y27_N26
\gpio_u0|master_0|transacto|p2m|Add3~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~26_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|counter\(13) & (\gpio_u0|master_0|transacto|p2m|Add3~25\ & VCC)) # (!\gpio_u0|master_0|transacto|p2m|counter\(13) & 
-- (!\gpio_u0|master_0|transacto|p2m|Add3~25\)))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|counter\(13) & (!\gpio_u0|master_0|transacto|p2m|Add3~25\)) # (!\gpio_u0|master_0|transacto|p2m|counter\(13) & 
-- ((\gpio_u0|master_0|transacto|p2m|Add3~25\) # (GND)))))
-- \gpio_u0|master_0|transacto|p2m|Add3~27\ = CARRY((\gpio_u0|master_0|p2b|in_ready~combout\ & (!\gpio_u0|master_0|transacto|p2m|counter\(13) & !\gpio_u0|master_0|transacto|p2m|Add3~25\)) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- ((!\gpio_u0|master_0|transacto|p2m|Add3~25\) # (!\gpio_u0|master_0|transacto|p2m|counter\(13)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|counter\(13),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~25\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~26_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~27\);

-- Location: LCCOMB_X45_Y27_N16
\gpio_u0|master_0|transacto|p2m|Selector24~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector24~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|Add0~26_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Add3~26_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|Add3~26_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add0~26_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add3~26_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector24~1_combout\);

-- Location: LCCOMB_X46_Y27_N18
\gpio_u0|master_0|transacto|p2m|Selector24~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector24~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|counter\(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(13),
	combout => \gpio_u0|master_0|transacto|p2m|Selector24~0_combout\);

-- Location: LCCOMB_X45_Y27_N24
\gpio_u0|master_0|transacto|p2m|Selector24~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector24~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector24~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector24~0_combout\) # ((\gpio_u0|master_0|b2p|out_data[5]~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|out_data[5]~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector24~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector22~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector24~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector24~2_combout\);

-- Location: FF_X45_Y27_N25
\gpio_u0|master_0|transacto|p2m|counter[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector24~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(13));

-- Location: LCCOMB_X42_Y27_N28
\gpio_u0|master_0|transacto|p2m|Add3~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~28_combout\ = ((\gpio_u0|master_0|transacto|p2m|counter\(14) $ (\gpio_u0|master_0|p2b|in_ready~combout\ $ (!\gpio_u0|master_0|transacto|p2m|Add3~27\)))) # (GND)
-- \gpio_u0|master_0|transacto|p2m|Add3~29\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(14) & ((\gpio_u0|master_0|p2b|in_ready~combout\) # (!\gpio_u0|master_0|transacto|p2m|Add3~27\))) # (!\gpio_u0|master_0|transacto|p2m|counter\(14) & 
-- (\gpio_u0|master_0|p2b|in_ready~combout\ & !\gpio_u0|master_0|transacto|p2m|Add3~27\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(14),
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add3~27\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~28_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add3~29\);

-- Location: LCCOMB_X44_Y27_N28
\gpio_u0|master_0|transacto|p2m|Add0~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~28_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(14) & (\gpio_u0|master_0|transacto|p2m|Add0~27\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|counter\(14) & (!\gpio_u0|master_0|transacto|p2m|Add0~27\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add0~29\ = CARRY((\gpio_u0|master_0|transacto|p2m|counter\(14) & !\gpio_u0|master_0|transacto|p2m|Add0~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|counter\(14),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add0~27\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~28_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add0~29\);

-- Location: LCCOMB_X43_Y26_N20
\gpio_u0|master_0|transacto|p2m|Selector23~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector23~2_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\gpio_u0|master_0|transacto|p2m|Add0~28_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & ((\gpio_u0|master_0|transacto|p2m|counter\(14)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Add0~28_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|counter\(14),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector23~2_combout\);

-- Location: LCCOMB_X43_Y26_N22
\gpio_u0|master_0|transacto|p2m|Selector23~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector23~3_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|Add3~28_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector23~2_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\gpio_u0|master_0|transacto|p2m|Selector23~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add3~28_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector23~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector23~3_combout\);

-- Location: LCCOMB_X43_Y26_N0
\gpio_u0|master_0|transacto|p2m|Selector23~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector23~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector23~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & (\gpio_u0|master_0|transacto|p2m|command\(4) & 
-- \gpio_u0|master_0|fifo|out_payload\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datab => \gpio_u0|master_0|transacto|p2m|command\(4),
	datac => \gpio_u0|master_0|transacto|p2m|Selector23~3_combout\,
	datad => \gpio_u0|master_0|fifo|out_payload\(6),
	combout => \gpio_u0|master_0|transacto|p2m|Selector23~4_combout\);

-- Location: FF_X43_Y26_N1
\gpio_u0|master_0|transacto|p2m|counter[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector23~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(14));

-- Location: LCCOMB_X42_Y27_N30
\gpio_u0|master_0|transacto|p2m|Add3~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add3~30_combout\ = \gpio_u0|master_0|p2b|in_ready~combout\ $ (\gpio_u0|master_0|transacto|p2m|Add3~29\ $ (\gpio_u0|master_0|transacto|p2m|counter\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(15),
	cin => \gpio_u0|master_0|transacto|p2m|Add3~29\,
	combout => \gpio_u0|master_0|transacto|p2m|Add3~30_combout\);

-- Location: LCCOMB_X44_Y27_N30
\gpio_u0|master_0|transacto|p2m|Add0~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add0~30_combout\ = \gpio_u0|master_0|transacto|p2m|counter\(15) $ (\gpio_u0|master_0|transacto|p2m|Add0~29\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|counter\(15),
	cin => \gpio_u0|master_0|transacto|p2m|Add0~29\,
	combout => \gpio_u0|master_0|transacto|p2m|Add0~30_combout\);

-- Location: LCCOMB_X44_Y26_N6
\gpio_u0|master_0|transacto|p2m|Selector22~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector22~3_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\gpio_u0|master_0|transacto|p2m|Add0~30_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (!\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & ((\gpio_u0|master_0|transacto|p2m|counter\(15)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add0~30_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(15),
	combout => \gpio_u0|master_0|transacto|p2m|Selector22~3_combout\);

-- Location: LCCOMB_X43_Y26_N14
\gpio_u0|master_0|transacto|p2m|Selector22~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector22~4_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|Add3~30_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector22~3_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\gpio_u0|master_0|transacto|p2m|Selector22~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add3~30_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector22~3_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector22~4_combout\);

-- Location: LCCOMB_X43_Y26_N24
\gpio_u0|master_0|transacto|p2m|Selector22~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector22~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector22~4_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & (\gpio_u0|master_0|transacto|p2m|command\(4) & 
-- \gpio_u0|master_0|fifo|out_payload\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datab => \gpio_u0|master_0|transacto|p2m|command\(4),
	datac => \gpio_u0|master_0|transacto|p2m|Selector22~4_combout\,
	datad => \gpio_u0|master_0|fifo|out_payload\(7),
	combout => \gpio_u0|master_0|transacto|p2m|Selector22~5_combout\);

-- Location: FF_X43_Y26_N25
\gpio_u0|master_0|transacto|p2m|counter[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector22~5_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|counter\(15));

-- Location: LCCOMB_X46_Y27_N6
\gpio_u0|master_0|transacto|p2m|Equal10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Equal10~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|counter\(14) & (!\gpio_u0|master_0|transacto|p2m|counter\(13) & (!\gpio_u0|master_0|transacto|p2m|counter\(15) & !\gpio_u0|master_0|transacto|p2m|counter\(12))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(14),
	datab => \gpio_u0|master_0|transacto|p2m|counter\(13),
	datac => \gpio_u0|master_0|transacto|p2m|counter\(15),
	datad => \gpio_u0|master_0|transacto|p2m|counter\(12),
	combout => \gpio_u0|master_0|transacto|p2m|Equal10~0_combout\);

-- Location: LCCOMB_X46_Y27_N0
\gpio_u0|master_0|transacto|p2m|Equal10~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Equal10~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Equal10~2_combout\ & (\gpio_u0|master_0|transacto|p2m|Equal10~1_combout\ & (\gpio_u0|master_0|transacto|p2m|Equal10~3_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Equal10~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Equal10~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Equal10~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Equal10~3_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Equal10~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Equal10~4_combout\);

-- Location: LCCOMB_X43_Y28_N16
\gpio_u0|master_0|transacto|p2m|Equal10~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Equal10~5_combout\ = (!\gpio_u0|master_0|transacto|p2m|counter\(1) & (\gpio_u0|master_0|transacto|p2m|Equal10~4_combout\ & \gpio_u0|master_0|transacto|p2m|counter\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(1),
	datac => \gpio_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(0),
	combout => \gpio_u0|master_0|transacto|p2m|Equal10~5_combout\);

-- Location: LCCOMB_X43_Y24_N6
\gpio_u0|master_0|transacto|p2m|address~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|address~0_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & !\gpio_u0|master_0|transacto|p2m|Equal10~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \gpio_u0|master_0|transacto|p2m|Equal10~5_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|address~0_combout\);

-- Location: LCCOMB_X43_Y21_N30
\gpio_u0|master_0|transacto|p2m|Selector54~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector54~1_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector54~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((!\gpio_u0|master_0|transacto|p2m|address~0_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|Selector53~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector54~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector53~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector54~1_combout\);

-- Location: LCCOMB_X43_Y22_N24
\gpio_u0|master_0|transacto|p2m|Selector68~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector68~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector68~2_combout\);

-- Location: LCCOMB_X40_Y25_N30
\gpio_u0|master_0|transacto|p2m|command[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|command[2]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(2),
	combout => \gpio_u0|master_0|transacto|p2m|command[2]~feeder_combout\);

-- Location: FF_X40_Y25_N31
\gpio_u0|master_0|transacto|p2m|command[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|command[2]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|command\(2));

-- Location: LCCOMB_X42_Y22_N6
\gpio_u0|master_0|transacto|p2m|Add2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(2) & (\gpio_u0|master_0|transacto|p2m|command\(2) $ (VCC))) # (!\gpio_u0|master_0|transacto|p2m|address\(2) & (\gpio_u0|master_0|transacto|p2m|command\(2) & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~1\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(2) & \gpio_u0|master_0|transacto|p2m|command\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|master_0|transacto|p2m|command\(2),
	datad => VCC,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~0_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~1\);

-- Location: LCCOMB_X43_Y22_N14
\gpio_u0|master_0|transacto|p2m|Selector69~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector69~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(2) & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector69~0_combout\);

-- Location: LCCOMB_X42_Y22_N0
\gpio_u0|master_0|transacto|p2m|Selector69~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector69~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(2) $ (((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|command\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|master_0|transacto|p2m|command\(2),
	combout => \gpio_u0|master_0|transacto|p2m|Selector69~1_combout\);

-- Location: LCCOMB_X43_Y22_N4
\gpio_u0|master_0|transacto|p2m|Selector69~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector69~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(2) & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector69~2_combout\);

-- Location: LCCOMB_X43_Y22_N6
\gpio_u0|master_0|transacto|p2m|Selector69~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector69~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector69~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector69~2_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(2) & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector69~1_combout\,
	datab => \gpio_u0|master_0|fifo|out_payload\(2),
	datac => \gpio_u0|master_0|transacto|p2m|Selector69~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector69~3_combout\);

-- Location: LCCOMB_X43_Y22_N30
\gpio_u0|master_0|transacto|p2m|Selector69~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector69~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector69~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector69~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector43~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Add2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector69~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector69~3_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector69~4_combout\);

-- Location: FF_X43_Y22_N31
\gpio_u0|master_0|transacto|p2m|address[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector69~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(2));

-- Location: LCCOMB_X42_Y22_N8
\gpio_u0|master_0|transacto|p2m|Add2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|Add2~1\)) # (!\gpio_u0|master_0|transacto|p2m|address\(3) & ((\gpio_u0|master_0|transacto|p2m|Add2~1\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~3\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~1\) # (!\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~1\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~2_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~3\);

-- Location: LCCOMB_X43_Y22_N22
\gpio_u0|master_0|transacto|p2m|Selector68~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector68~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|Add2~2_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|address\(3))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|master_0|transacto|p2m|Selector68~1_combout\);

-- Location: LCCOMB_X43_Y22_N28
\gpio_u0|master_0|transacto|p2m|Selector68~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector68~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector68~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector68~1_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(3) & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(3),
	datab => \gpio_u0|master_0|transacto|p2m|Selector68~2_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector68~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector68~3_combout\);

-- Location: LCCOMB_X43_Y22_N26
\gpio_u0|master_0|transacto|p2m|Selector68~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector68~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(3) & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector68~0_combout\);

-- Location: LCCOMB_X43_Y22_N12
\gpio_u0|master_0|transacto|p2m|Selector68~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector68~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector68~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector68~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector43~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Add2~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector68~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector68~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add2~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector68~4_combout\);

-- Location: FF_X43_Y22_N13
\gpio_u0|master_0|transacto|p2m|address[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector68~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(3));

-- Location: LCCOMB_X42_Y22_N10
\gpio_u0|master_0|transacto|p2m|Add2~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~4_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(4) & (\gpio_u0|master_0|transacto|p2m|Add2~3\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(4) & (!\gpio_u0|master_0|transacto|p2m|Add2~3\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~5\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(4) & !\gpio_u0|master_0|transacto|p2m|Add2~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(4),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~3\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~4_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~5\);

-- Location: LCCOMB_X41_Y21_N10
\gpio_u0|master_0|transacto|p2m|Selector67~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector67~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(4) & (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(4),
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector67~2_combout\);

-- Location: LCCOMB_X41_Y21_N22
\gpio_u0|master_0|transacto|p2m|Selector67~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector67~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~4_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(4),
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Add2~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector67~1_combout\);

-- Location: LCCOMB_X41_Y21_N0
\gpio_u0|master_0|transacto|p2m|Selector67~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector67~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector67~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector67~1_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(4) & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector67~2_combout\,
	datab => \gpio_u0|master_0|fifo|out_payload\(4),
	datac => \gpio_u0|master_0|transacto|p2m|Selector67~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector67~3_combout\);

-- Location: LCCOMB_X41_Y21_N18
\gpio_u0|master_0|transacto|p2m|Selector67~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector67~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(4) & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(4),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector67~0_combout\);

-- Location: LCCOMB_X41_Y21_N8
\gpio_u0|master_0|transacto|p2m|Selector67~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector67~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector67~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector67~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~4_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~4_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector67~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector67~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector67~4_combout\);

-- Location: FF_X41_Y21_N9
\gpio_u0|master_0|transacto|p2m|address[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector67~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(4));

-- Location: LCCOMB_X42_Y22_N12
\gpio_u0|master_0|transacto|p2m|Add2~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~6_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(5) & (!\gpio_u0|master_0|transacto|p2m|Add2~5\)) # (!\gpio_u0|master_0|transacto|p2m|address\(5) & ((\gpio_u0|master_0|transacto|p2m|Add2~5\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~7\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~5\) # (!\gpio_u0|master_0|transacto|p2m|address\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(5),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~5\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~6_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~7\);

-- Location: LCCOMB_X40_Y22_N10
\gpio_u0|master_0|transacto|p2m|Selector66~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector66~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~6_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(5),
	datac => \gpio_u0|master_0|transacto|p2m|Add2~6_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector66~1_combout\);

-- Location: LCCOMB_X40_Y22_N24
\gpio_u0|master_0|transacto|p2m|Selector66~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector66~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(5) & (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(5),
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector66~2_combout\);

-- Location: LCCOMB_X40_Y22_N6
\gpio_u0|master_0|transacto|p2m|Selector66~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector66~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector66~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector66~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- \gpio_u0|master_0|b2p|out_data[5]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector66~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector66~2_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \gpio_u0|master_0|b2p|out_data[5]~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector66~3_combout\);

-- Location: LCCOMB_X40_Y22_N30
\gpio_u0|master_0|transacto|p2m|Selector66~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector66~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(5) & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|master_0|transacto|p2m|Selector66~0_combout\);

-- Location: LCCOMB_X40_Y22_N22
\gpio_u0|master_0|transacto|p2m|Selector66~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector66~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector66~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector66~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~6_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector66~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~6_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector66~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector66~4_combout\);

-- Location: FF_X40_Y22_N23
\gpio_u0|master_0|transacto|p2m|address[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector66~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(5));

-- Location: LCCOMB_X36_Y22_N30
\gpio_u0|mm_interconnect_0|router|Equal1~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal1~9_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(4) & !\gpio_u0|master_0|transacto|p2m|address\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(4),
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|router|Equal1~9_combout\);

-- Location: LCCOMB_X42_Y26_N28
\gpio_u0|master_0|transacto|p2m|Selector81~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector81~0_combout\ = (\gpio_u0|master_0|transacto|p2m|write~q\) # ((\gpio_u0|master_0|transacto|p2m|enable~combout\ & (\gpio_u0|master_0|transacto|p2m|write~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|write~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|write~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector81~0_combout\);

-- Location: LCCOMB_X42_Y24_N30
\gpio_u0|master_0|transacto|p2m|Selector81~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector81~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\)) # (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (((\gpio_u0|master_0|transacto|p2m|Selector81~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector81~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector81~1_combout\);

-- Location: FF_X42_Y24_N31
\gpio_u0|master_0|transacto|p2m|write\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector81~1_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|write~q\);

-- Location: LCCOMB_X32_Y23_N16
\gpio_u0|user_led|always0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|always0~1_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & \gpio_u0|master_0|transacto|p2m|write~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|user_led|always0~1_combout\);

-- Location: LCCOMB_X43_Y23_N4
\gpio_u0|master_0|transacto|p2m|Selector50~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector50~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\ & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|address\(21))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(21),
	combout => \gpio_u0|master_0|transacto|p2m|Selector50~2_combout\);

-- Location: LCCOMB_X43_Y23_N26
\gpio_u0|master_0|transacto|p2m|Selector51~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector51~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\ & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|address\(20))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(20),
	combout => \gpio_u0|master_0|transacto|p2m|Selector51~2_combout\);

-- Location: LCCOMB_X41_Y23_N24
\gpio_u0|master_0|transacto|p2m|Selector58~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector58~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(13) & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(13),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector58~2_combout\);

-- Location: LCCOMB_X42_Y23_N10
\gpio_u0|master_0|transacto|p2m|Selector59~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector59~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(12) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(12),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector59~2_combout\);

-- Location: LCCOMB_X42_Y23_N20
\gpio_u0|master_0|transacto|p2m|Selector61~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector61~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(10) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(10),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector61~2_combout\);

-- Location: LCCOMB_X42_Y23_N16
\gpio_u0|master_0|transacto|p2m|Selector62~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector62~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(9) & (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(9),
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector62~2_combout\);

-- Location: LCCOMB_X42_Y22_N14
\gpio_u0|master_0|transacto|p2m|Add2~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~8_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(6) & (\gpio_u0|master_0|transacto|p2m|Add2~7\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(6) & (!\gpio_u0|master_0|transacto|p2m|Add2~7\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~9\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(6) & !\gpio_u0|master_0|transacto|p2m|Add2~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(6),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~7\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~8_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~9\);

-- Location: LCCOMB_X40_Y22_N12
\gpio_u0|master_0|transacto|p2m|Selector65~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector65~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(6) & (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(6),
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector65~2_combout\);

-- Location: LCCOMB_X40_Y22_N0
\gpio_u0|master_0|transacto|p2m|Selector65~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector65~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~8_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(6),
	datad => \gpio_u0|master_0|transacto|p2m|Add2~8_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector65~1_combout\);

-- Location: LCCOMB_X40_Y22_N28
\gpio_u0|master_0|transacto|p2m|Selector65~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector65~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector65~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector65~1_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(6) & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector65~2_combout\,
	datab => \gpio_u0|master_0|fifo|out_payload\(6),
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector65~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector65~3_combout\);

-- Location: LCCOMB_X40_Y22_N8
\gpio_u0|master_0|transacto|p2m|Selector65~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector65~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(6) & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(6),
	combout => \gpio_u0|master_0|transacto|p2m|Selector65~0_combout\);

-- Location: LCCOMB_X40_Y22_N26
\gpio_u0|master_0|transacto|p2m|Selector65~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector65~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector65~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector65~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~8_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~8_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector65~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector65~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector65~4_combout\);

-- Location: FF_X40_Y22_N27
\gpio_u0|master_0|transacto|p2m|address[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector65~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(6));

-- Location: LCCOMB_X42_Y22_N16
\gpio_u0|master_0|transacto|p2m|Add2~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~10_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(7) & (!\gpio_u0|master_0|transacto|p2m|Add2~9\)) # (!\gpio_u0|master_0|transacto|p2m|address\(7) & ((\gpio_u0|master_0|transacto|p2m|Add2~9\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~11\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~9\) # (!\gpio_u0|master_0|transacto|p2m|address\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(7),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~9\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~10_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~11\);

-- Location: LCCOMB_X43_Y22_N0
\gpio_u0|master_0|transacto|p2m|Selector64~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector64~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (\gpio_u0|master_0|transacto|p2m|address\(7) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(7),
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector64~2_combout\);

-- Location: LCCOMB_X43_Y22_N20
\gpio_u0|master_0|transacto|p2m|Selector64~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector64~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~10_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(7),
	datac => \gpio_u0|master_0|transacto|p2m|Add2~10_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector64~1_combout\);

-- Location: LCCOMB_X43_Y22_N16
\gpio_u0|master_0|transacto|p2m|Selector64~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector64~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector64~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector64~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- \gpio_u0|master_0|fifo|out_payload\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector64~2_combout\,
	datac => \gpio_u0|master_0|fifo|out_payload\(7),
	datad => \gpio_u0|master_0|transacto|p2m|Selector64~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector64~3_combout\);

-- Location: LCCOMB_X43_Y22_N10
\gpio_u0|master_0|transacto|p2m|Selector64~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector64~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(7) & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(7),
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector64~0_combout\);

-- Location: LCCOMB_X43_Y22_N2
\gpio_u0|master_0|transacto|p2m|Selector64~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector64~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector64~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector64~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~10_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~10_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector64~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector64~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector64~4_combout\);

-- Location: FF_X43_Y22_N3
\gpio_u0|master_0|transacto|p2m|address[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector64~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(7));

-- Location: LCCOMB_X42_Y22_N18
\gpio_u0|master_0|transacto|p2m|Add2~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~12_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(8) & (\gpio_u0|master_0|transacto|p2m|Add2~11\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(8) & (!\gpio_u0|master_0|transacto|p2m|Add2~11\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~13\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(8) & !\gpio_u0|master_0|transacto|p2m|Add2~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(8),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~11\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~12_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~13\);

-- Location: LCCOMB_X41_Y23_N16
\gpio_u0|master_0|transacto|p2m|Selector63~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector63~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(8) & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(8),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector63~2_combout\);

-- Location: LCCOMB_X41_Y23_N18
\gpio_u0|master_0|transacto|p2m|Selector63~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector63~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~12_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(8),
	datab => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Add2~12_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector63~1_combout\);

-- Location: LCCOMB_X41_Y23_N4
\gpio_u0|master_0|transacto|p2m|Selector63~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector63~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector63~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector63~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & 
-- \gpio_u0|master_0|fifo|out_payload\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector63~2_combout\,
	datac => \gpio_u0|master_0|fifo|out_payload\(0),
	datad => \gpio_u0|master_0|transacto|p2m|Selector63~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector63~3_combout\);

-- Location: LCCOMB_X41_Y23_N22
\gpio_u0|master_0|transacto|p2m|Selector63~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector63~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(8) & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(8),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector63~0_combout\);

-- Location: LCCOMB_X41_Y23_N30
\gpio_u0|master_0|transacto|p2m|Selector63~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector63~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector63~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector63~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~12_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~12_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector63~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector63~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector63~4_combout\);

-- Location: FF_X41_Y23_N31
\gpio_u0|master_0|transacto|p2m|address[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector63~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(8));

-- Location: LCCOMB_X42_Y22_N20
\gpio_u0|master_0|transacto|p2m|Add2~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~14_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(9) & (!\gpio_u0|master_0|transacto|p2m|Add2~13\)) # (!\gpio_u0|master_0|transacto|p2m|address\(9) & ((\gpio_u0|master_0|transacto|p2m|Add2~13\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~15\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~13\) # (!\gpio_u0|master_0|transacto|p2m|address\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(9),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~13\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~14_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~15\);

-- Location: LCCOMB_X42_Y23_N24
\gpio_u0|master_0|transacto|p2m|Selector62~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector62~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|Add2~14_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|address\(9))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~14_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(9),
	datad => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector62~1_combout\);

-- Location: LCCOMB_X42_Y23_N6
\gpio_u0|master_0|transacto|p2m|Selector62~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector62~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector62~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector62~1_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(1) & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(1),
	datab => \gpio_u0|master_0|transacto|p2m|Selector62~2_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector62~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector62~3_combout\);

-- Location: LCCOMB_X42_Y23_N22
\gpio_u0|master_0|transacto|p2m|Selector62~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector62~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(9) & ((!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(9),
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector62~0_combout\);

-- Location: LCCOMB_X42_Y23_N14
\gpio_u0|master_0|transacto|p2m|Selector62~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector62~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector62~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector62~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~14_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector62~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~14_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector62~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector62~4_combout\);

-- Location: FF_X42_Y23_N15
\gpio_u0|master_0|transacto|p2m|address[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector62~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(9));

-- Location: LCCOMB_X42_Y22_N22
\gpio_u0|master_0|transacto|p2m|Add2~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~16_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(10) & (\gpio_u0|master_0|transacto|p2m|Add2~15\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(10) & (!\gpio_u0|master_0|transacto|p2m|Add2~15\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~17\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(10) & !\gpio_u0|master_0|transacto|p2m|Add2~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(10),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~15\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~16_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~17\);

-- Location: LCCOMB_X42_Y23_N18
\gpio_u0|master_0|transacto|p2m|Selector61~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector61~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~16_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(10),
	datab => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Add2~16_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector61~1_combout\);

-- Location: LCCOMB_X42_Y23_N26
\gpio_u0|master_0|transacto|p2m|Selector61~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector61~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector61~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector61~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & 
-- \gpio_u0|master_0|fifo|out_payload\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector61~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datac => \gpio_u0|master_0|fifo|out_payload\(2),
	datad => \gpio_u0|master_0|transacto|p2m|Selector61~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector61~3_combout\);

-- Location: LCCOMB_X42_Y23_N8
\gpio_u0|master_0|transacto|p2m|Selector61~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector61~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(10) & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(10),
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector61~0_combout\);

-- Location: LCCOMB_X42_Y23_N30
\gpio_u0|master_0|transacto|p2m|Selector61~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector61~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector61~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector61~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~16_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector61~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~16_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector61~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector61~4_combout\);

-- Location: FF_X42_Y23_N31
\gpio_u0|master_0|transacto|p2m|address[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector61~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(10));

-- Location: LCCOMB_X42_Y22_N24
\gpio_u0|master_0|transacto|p2m|Add2~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~18_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(11) & (!\gpio_u0|master_0|transacto|p2m|Add2~17\)) # (!\gpio_u0|master_0|transacto|p2m|address\(11) & ((\gpio_u0|master_0|transacto|p2m|Add2~17\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~19\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~17\) # (!\gpio_u0|master_0|transacto|p2m|address\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(11),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~17\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~18_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~19\);

-- Location: LCCOMB_X41_Y22_N18
\gpio_u0|master_0|transacto|p2m|Selector60~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector60~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~18_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(11)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(11),
	datad => \gpio_u0|master_0|transacto|p2m|Add2~18_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector60~1_combout\);

-- Location: LCCOMB_X41_Y22_N10
\gpio_u0|master_0|transacto|p2m|Selector60~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector60~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(11) & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(11),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector60~2_combout\);

-- Location: LCCOMB_X41_Y22_N22
\gpio_u0|master_0|transacto|p2m|Selector60~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector60~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector60~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector60~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & 
-- \gpio_u0|master_0|fifo|out_payload\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector60~1_combout\,
	datac => \gpio_u0|master_0|fifo|out_payload\(3),
	datad => \gpio_u0|master_0|transacto|p2m|Selector60~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector60~3_combout\);

-- Location: LCCOMB_X40_Y22_N14
\gpio_u0|master_0|transacto|p2m|Selector60~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector60~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(11) & ((!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(11),
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector60~0_combout\);

-- Location: LCCOMB_X40_Y22_N20
\gpio_u0|master_0|transacto|p2m|Selector60~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector60~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector60~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector60~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~18_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~18_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector60~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector60~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector60~4_combout\);

-- Location: FF_X40_Y22_N21
\gpio_u0|master_0|transacto|p2m|address[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector60~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(11));

-- Location: LCCOMB_X42_Y22_N26
\gpio_u0|master_0|transacto|p2m|Add2~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~20_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(12) & (\gpio_u0|master_0|transacto|p2m|Add2~19\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(12) & (!\gpio_u0|master_0|transacto|p2m|Add2~19\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~21\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(12) & !\gpio_u0|master_0|transacto|p2m|Add2~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(12),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~19\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~20_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~21\);

-- Location: LCCOMB_X42_Y23_N0
\gpio_u0|master_0|transacto|p2m|Selector59~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector59~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~20_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(12)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(12),
	datab => \gpio_u0|master_0|transacto|p2m|Add2~20_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector59~1_combout\);

-- Location: LCCOMB_X42_Y23_N12
\gpio_u0|master_0|transacto|p2m|Selector59~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector59~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector59~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector59~1_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(4) & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector59~2_combout\,
	datab => \gpio_u0|master_0|fifo|out_payload\(4),
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector59~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector59~3_combout\);

-- Location: LCCOMB_X42_Y23_N4
\gpio_u0|master_0|transacto|p2m|Selector59~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector59~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(12) & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(12),
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector59~0_combout\);

-- Location: LCCOMB_X42_Y23_N28
\gpio_u0|master_0|transacto|p2m|Selector59~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector59~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector59~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector59~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~20_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector59~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~20_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector59~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector59~4_combout\);

-- Location: FF_X42_Y23_N29
\gpio_u0|master_0|transacto|p2m|address[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector59~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(12));

-- Location: LCCOMB_X42_Y22_N28
\gpio_u0|master_0|transacto|p2m|Add2~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~22_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(13) & (!\gpio_u0|master_0|transacto|p2m|Add2~21\)) # (!\gpio_u0|master_0|transacto|p2m|address\(13) & ((\gpio_u0|master_0|transacto|p2m|Add2~21\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~23\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~21\) # (!\gpio_u0|master_0|transacto|p2m|address\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(13),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~21\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~22_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~23\);

-- Location: LCCOMB_X41_Y23_N20
\gpio_u0|master_0|transacto|p2m|Selector58~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector58~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~22_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(13)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(13),
	datab => \gpio_u0|master_0|transacto|p2m|Add2~22_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector58~1_combout\);

-- Location: LCCOMB_X41_Y23_N10
\gpio_u0|master_0|transacto|p2m|Selector58~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector58~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector58~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector58~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & 
-- \gpio_u0|master_0|b2p|out_data[5]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector58~2_combout\,
	datac => \gpio_u0|master_0|b2p|out_data[5]~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector58~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector58~3_combout\);

-- Location: LCCOMB_X41_Y23_N8
\gpio_u0|master_0|transacto|p2m|Selector58~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector58~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(13) & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(13),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector58~0_combout\);

-- Location: LCCOMB_X41_Y23_N12
\gpio_u0|master_0|transacto|p2m|Selector58~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector58~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector58~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector58~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~22_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector58~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~22_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector58~4_combout\);

-- Location: FF_X41_Y23_N13
\gpio_u0|master_0|transacto|p2m|address[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector58~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(13));

-- Location: LCCOMB_X42_Y22_N30
\gpio_u0|master_0|transacto|p2m|Add2~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~24_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(14) & (\gpio_u0|master_0|transacto|p2m|Add2~23\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(14) & (!\gpio_u0|master_0|transacto|p2m|Add2~23\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~25\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(14) & !\gpio_u0|master_0|transacto|p2m|Add2~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(14),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~23\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~24_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~25\);

-- Location: LCCOMB_X41_Y22_N2
\gpio_u0|master_0|transacto|p2m|Selector57~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector57~9_combout\ = (\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\) # 
-- (!\gpio_u0|master_0|fifo|out_payload\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|fifo|out_payload\(6),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector57~9_combout\);

-- Location: LCCOMB_X41_Y22_N26
\gpio_u0|master_0|transacto|p2m|Selector57~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector57~4_combout\ = (\gpio_u0|master_0|fifo|out_payload\(6) & \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(6),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector57~4_combout\);

-- Location: LCCOMB_X41_Y22_N0
\gpio_u0|master_0|transacto|p2m|Selector56~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector56~1_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector56~1_combout\);

-- Location: LCCOMB_X41_Y22_N28
\gpio_u0|master_0|transacto|p2m|Selector57~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector57~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector57~4_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|address~0_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|Selector56~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111110101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector57~4_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector56~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector57~5_combout\);

-- Location: LCCOMB_X41_Y22_N12
\gpio_u0|master_0|transacto|p2m|Selector57~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector57~6_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(14) & ((\gpio_u0|master_0|transacto|p2m|Selector57~5_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address\(14) & (((\gpio_u0|master_0|transacto|p2m|Selector57~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(14),
	datab => \gpio_u0|master_0|transacto|p2m|Selector57~5_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector57~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector57~6_combout\);

-- Location: LCCOMB_X41_Y22_N4
\gpio_u0|master_0|transacto|p2m|Selector57~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector57~7_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector57~6_combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector57~5_combout\) # ((!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector57~6_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector57~5_combout\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector57~7_combout\);

-- Location: LCCOMB_X41_Y22_N30
\gpio_u0|master_0|transacto|p2m|Selector57~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector57~8_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector57~7_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~24_combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector57~9_combout\) # 
-- (\gpio_u0|master_0|transacto|p2m|Selector43~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~24_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector57~9_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector57~7_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector57~8_combout\);

-- Location: FF_X41_Y22_N31
\gpio_u0|master_0|transacto|p2m|address[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector57~8_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(14));

-- Location: LCCOMB_X42_Y21_N0
\gpio_u0|master_0|transacto|p2m|Add2~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~26_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(15) & (!\gpio_u0|master_0|transacto|p2m|Add2~25\)) # (!\gpio_u0|master_0|transacto|p2m|address\(15) & ((\gpio_u0|master_0|transacto|p2m|Add2~25\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~27\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~25\) # (!\gpio_u0|master_0|transacto|p2m|address\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(15),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~25\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~26_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~27\);

-- Location: LCCOMB_X41_Y22_N6
\gpio_u0|master_0|transacto|p2m|Selector56~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector56~0_combout\ = (\gpio_u0|master_0|fifo|out_payload\(7) & \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|fifo|out_payload\(7),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector56~0_combout\);

-- Location: LCCOMB_X41_Y22_N8
\gpio_u0|master_0|transacto|p2m|Selector56~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector56~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector56~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|address~0_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|Selector56~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111110101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector56~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector56~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector56~2_combout\);

-- Location: LCCOMB_X40_Y22_N18
\gpio_u0|master_0|transacto|p2m|Selector56~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector56~3_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(15) & ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\) # ((\gpio_u0|master_0|transacto|p2m|Selector56~2_combout\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address\(15) & (((\gpio_u0|master_0|transacto|p2m|Selector56~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(15),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector56~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector56~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector56~3_combout\);

-- Location: LCCOMB_X41_Y22_N14
\gpio_u0|master_0|transacto|p2m|Selector56~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector56~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector56~2_combout\) # ((!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\) # (!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector56~2_combout\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector56~5_combout\);

-- Location: LCCOMB_X41_Y22_N16
\gpio_u0|master_0|transacto|p2m|Selector56~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector56~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector43~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector56~2_combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector56~3_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Selector56~2_combout\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector56~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector56~3_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector56~4_combout\);

-- Location: LCCOMB_X41_Y22_N24
\gpio_u0|master_0|transacto|p2m|Selector56~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector56~6_combout\ = (\gpio_u0|master_0|transacto|p2m|Add2~26_combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector56~4_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector56~3_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector56~5_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|Add2~26_combout\ & (\gpio_u0|master_0|transacto|p2m|Selector56~3_combout\ & (\gpio_u0|master_0|transacto|p2m|Selector56~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~26_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector56~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector56~5_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector56~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector56~6_combout\);

-- Location: FF_X41_Y22_N25
\gpio_u0|master_0|transacto|p2m|address[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector56~6_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(15));

-- Location: LCCOMB_X42_Y21_N2
\gpio_u0|master_0|transacto|p2m|Add2~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~28_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(16) & (\gpio_u0|master_0|transacto|p2m|Add2~27\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(16) & (!\gpio_u0|master_0|transacto|p2m|Add2~27\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~29\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(16) & !\gpio_u0|master_0|transacto|p2m|Add2~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(16),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~27\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~28_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~29\);

-- Location: LCCOMB_X44_Y21_N10
\gpio_u0|master_0|transacto|p2m|Selector55~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector55~0_combout\ = (\gpio_u0|master_0|fifo|out_payload\(0) & \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(0),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector55~0_combout\);

-- Location: LCCOMB_X43_Y21_N10
\gpio_u0|master_0|transacto|p2m|Selector55~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector55~1_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector55~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|address~0_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|Selector53~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011111110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector55~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector53~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector55~1_combout\);

-- Location: LCCOMB_X43_Y21_N18
\gpio_u0|master_0|transacto|p2m|Selector55~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector55~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector55~1_combout\) # ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector55~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector55~4_combout\);

-- Location: LCCOMB_X43_Y21_N22
\gpio_u0|master_0|transacto|p2m|Selector55~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector55~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(16) & ((\gpio_u0|master_0|transacto|p2m|Selector55~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address\(16) & (((\gpio_u0|master_0|transacto|p2m|Selector55~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector55~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(16),
	datac => \gpio_u0|master_0|transacto|p2m|Selector55~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector55~2_combout\);

-- Location: LCCOMB_X43_Y21_N16
\gpio_u0|master_0|transacto|p2m|Selector55~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector55~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector43~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector55~1_combout\ & (\gpio_u0|master_0|transacto|p2m|Selector55~2_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|Selector55~1_combout\ & ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector55~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector55~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector55~3_combout\);

-- Location: LCCOMB_X43_Y21_N24
\gpio_u0|master_0|transacto|p2m|Selector55~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector55~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Add2~28_combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector55~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector55~4_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector55~2_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|Add2~28_combout\ & (\gpio_u0|master_0|transacto|p2m|Selector55~4_combout\ & (\gpio_u0|master_0|transacto|p2m|Selector55~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~28_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector55~4_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector55~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector55~3_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector55~5_combout\);

-- Location: FF_X43_Y21_N25
\gpio_u0|master_0|transacto|p2m|address[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector55~5_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(16));

-- Location: LCCOMB_X42_Y21_N4
\gpio_u0|master_0|transacto|p2m|Add2~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~30_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(17) & (!\gpio_u0|master_0|transacto|p2m|Add2~29\)) # (!\gpio_u0|master_0|transacto|p2m|address\(17) & ((\gpio_u0|master_0|transacto|p2m|Add2~29\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~31\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~29\) # (!\gpio_u0|master_0|transacto|p2m|address\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(17),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~29\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~30_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~31\);

-- Location: LCCOMB_X42_Y21_N6
\gpio_u0|master_0|transacto|p2m|Add2~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~32_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(18) & (\gpio_u0|master_0|transacto|p2m|Add2~31\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(18) & (!\gpio_u0|master_0|transacto|p2m|Add2~31\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~33\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(18) & !\gpio_u0|master_0|transacto|p2m|Add2~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(18),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~31\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~32_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~33\);

-- Location: LCCOMB_X43_Y21_N8
\gpio_u0|master_0|transacto|p2m|Selector53~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector53~0_combout\ = (\gpio_u0|master_0|fifo|out_payload\(2) & \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(2),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector53~0_combout\);

-- Location: LCCOMB_X43_Y21_N20
\gpio_u0|master_0|transacto|p2m|Selector53~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector53~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector53~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|address~0_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|Selector53~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011111110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector53~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector53~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector53~2_combout\);

-- Location: LCCOMB_X43_Y21_N4
\gpio_u0|master_0|transacto|p2m|Selector53~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector53~3_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(18) & ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\) # ((\gpio_u0|master_0|transacto|p2m|Selector53~2_combout\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address\(18) & (((\gpio_u0|master_0|transacto|p2m|Selector53~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(18),
	datac => \gpio_u0|master_0|transacto|p2m|Selector53~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector53~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector53~3_combout\);

-- Location: LCCOMB_X43_Y21_N14
\gpio_u0|master_0|transacto|p2m|Selector53~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector53~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector43~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector53~2_combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector53~3_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Selector53~2_combout\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector53~2_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector53~3_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector53~4_combout\);

-- Location: LCCOMB_X43_Y21_N28
\gpio_u0|master_0|transacto|p2m|Selector53~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector53~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector53~2_combout\) # ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|Selector53~2_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector53~5_combout\);

-- Location: LCCOMB_X43_Y21_N0
\gpio_u0|master_0|transacto|p2m|Selector53~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector53~6_combout\ = (\gpio_u0|master_0|transacto|p2m|Add2~32_combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector53~4_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector53~3_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector53~5_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|Add2~32_combout\ & (\gpio_u0|master_0|transacto|p2m|Selector53~3_combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector53~5_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~32_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector53~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector53~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector53~5_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector53~6_combout\);

-- Location: FF_X43_Y21_N1
\gpio_u0|master_0|transacto|p2m|address[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector53~6_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(18));

-- Location: LCCOMB_X42_Y21_N8
\gpio_u0|master_0|transacto|p2m|Add2~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~34_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(19) & (!\gpio_u0|master_0|transacto|p2m|Add2~33\)) # (!\gpio_u0|master_0|transacto|p2m|address\(19) & ((\gpio_u0|master_0|transacto|p2m|Add2~33\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~35\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~33\) # (!\gpio_u0|master_0|transacto|p2m|address\(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(19),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~33\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~34_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~35\);

-- Location: LCCOMB_X43_Y23_N22
\gpio_u0|master_0|transacto|p2m|Selector52~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector52~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(19) & (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\ & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(19),
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector52~2_combout\);

-- Location: LCCOMB_X43_Y23_N8
\gpio_u0|master_0|transacto|p2m|Selector52~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector52~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|Add2~34_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|address\(19))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~34_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(19),
	datac => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector52~1_combout\);

-- Location: LCCOMB_X43_Y23_N2
\gpio_u0|master_0|transacto|p2m|Selector52~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector52~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector52~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector52~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\ & 
-- \gpio_u0|master_0|fifo|out_payload\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector52~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector52~1_combout\,
	datad => \gpio_u0|master_0|fifo|out_payload\(3),
	combout => \gpio_u0|master_0|transacto|p2m|Selector52~3_combout\);

-- Location: LCCOMB_X43_Y23_N28
\gpio_u0|master_0|transacto|p2m|Selector52~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector52~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(19) & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(19),
	combout => \gpio_u0|master_0|transacto|p2m|Selector52~0_combout\);

-- Location: LCCOMB_X43_Y23_N20
\gpio_u0|master_0|transacto|p2m|Selector52~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector52~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector52~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector52~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~34_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~34_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector52~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector52~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector52~4_combout\);

-- Location: FF_X43_Y23_N21
\gpio_u0|master_0|transacto|p2m|address[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector52~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(19));

-- Location: LCCOMB_X42_Y21_N10
\gpio_u0|master_0|transacto|p2m|Add2~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~36_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(20) & (\gpio_u0|master_0|transacto|p2m|Add2~35\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(20) & (!\gpio_u0|master_0|transacto|p2m|Add2~35\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~37\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(20) & !\gpio_u0|master_0|transacto|p2m|Add2~35\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(20),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~35\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~36_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~37\);

-- Location: LCCOMB_X43_Y23_N14
\gpio_u0|master_0|transacto|p2m|Selector51~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector51~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|Add2~36_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|address\(20))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Add2~36_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(20),
	combout => \gpio_u0|master_0|transacto|p2m|Selector51~1_combout\);

-- Location: LCCOMB_X43_Y23_N12
\gpio_u0|master_0|transacto|p2m|Selector51~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector51~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector51~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector51~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\ & 
-- \gpio_u0|master_0|fifo|out_payload\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector51~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector51~1_combout\,
	datad => \gpio_u0|master_0|fifo|out_payload\(4),
	combout => \gpio_u0|master_0|transacto|p2m|Selector51~3_combout\);

-- Location: LCCOMB_X43_Y23_N16
\gpio_u0|master_0|transacto|p2m|Selector51~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector51~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(20) & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(20),
	combout => \gpio_u0|master_0|transacto|p2m|Selector51~0_combout\);

-- Location: LCCOMB_X43_Y23_N0
\gpio_u0|master_0|transacto|p2m|Selector51~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector51~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector51~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector51~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~36_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector51~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~36_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector51~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector51~4_combout\);

-- Location: FF_X43_Y23_N1
\gpio_u0|master_0|transacto|p2m|address[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector51~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(20));

-- Location: LCCOMB_X42_Y21_N12
\gpio_u0|master_0|transacto|p2m|Add2~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~38_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(21) & (!\gpio_u0|master_0|transacto|p2m|Add2~37\)) # (!\gpio_u0|master_0|transacto|p2m|address\(21) & ((\gpio_u0|master_0|transacto|p2m|Add2~37\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~39\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~37\) # (!\gpio_u0|master_0|transacto|p2m|address\(21)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(21),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~37\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~38_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~39\);

-- Location: LCCOMB_X43_Y23_N18
\gpio_u0|master_0|transacto|p2m|Selector50~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector50~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~38_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(21)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(21),
	datac => \gpio_u0|master_0|transacto|p2m|Add2~38_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector50~1_combout\);

-- Location: LCCOMB_X43_Y23_N10
\gpio_u0|master_0|transacto|p2m|Selector50~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector50~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector50~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector50~1_combout\) # ((\gpio_u0|master_0|b2p|out_data[5]~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|out_data[5]~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector50~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector50~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector50~3_combout\);

-- Location: LCCOMB_X43_Y23_N6
\gpio_u0|master_0|transacto|p2m|Selector50~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector50~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(21) & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(21),
	combout => \gpio_u0|master_0|transacto|p2m|Selector50~0_combout\);

-- Location: LCCOMB_X43_Y23_N24
\gpio_u0|master_0|transacto|p2m|Selector50~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector50~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector50~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector50~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~38_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector50~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~38_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector50~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector50~4_combout\);

-- Location: FF_X43_Y23_N25
\gpio_u0|master_0|transacto|p2m|address[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector50~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(21));

-- Location: LCCOMB_X42_Y21_N14
\gpio_u0|master_0|transacto|p2m|Add2~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~40_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(22) & (\gpio_u0|master_0|transacto|p2m|Add2~39\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(22) & (!\gpio_u0|master_0|transacto|p2m|Add2~39\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~41\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(22) & !\gpio_u0|master_0|transacto|p2m|Add2~39\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(22),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~39\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~40_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~41\);

-- Location: LCCOMB_X43_Y24_N10
\gpio_u0|master_0|transacto|p2m|Selector49~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector49~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~40_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(22)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(22),
	datad => \gpio_u0|master_0|transacto|p2m|Add2~40_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector49~1_combout\);

-- Location: LCCOMB_X43_Y24_N14
\gpio_u0|master_0|transacto|p2m|Selector49~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector49~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(22) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(22),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector49~2_combout\);

-- Location: LCCOMB_X43_Y24_N12
\gpio_u0|master_0|transacto|p2m|Selector49~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector49~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector49~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector49~2_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(6) & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector49~1_combout\,
	datab => \gpio_u0|master_0|fifo|out_payload\(6),
	datac => \gpio_u0|master_0|transacto|p2m|Selector49~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector49~3_combout\);

-- Location: LCCOMB_X43_Y24_N20
\gpio_u0|master_0|transacto|p2m|Selector49~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector49~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(22) & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(22),
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector49~0_combout\);

-- Location: LCCOMB_X43_Y24_N30
\gpio_u0|master_0|transacto|p2m|Selector49~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector49~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector49~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector49~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~40_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector49~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~40_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector49~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector49~4_combout\);

-- Location: FF_X43_Y24_N31
\gpio_u0|master_0|transacto|p2m|address[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector49~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(22));

-- Location: LCCOMB_X42_Y21_N16
\gpio_u0|master_0|transacto|p2m|Add2~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~42_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(23) & (!\gpio_u0|master_0|transacto|p2m|Add2~41\)) # (!\gpio_u0|master_0|transacto|p2m|address\(23) & ((\gpio_u0|master_0|transacto|p2m|Add2~41\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~43\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~41\) # (!\gpio_u0|master_0|transacto|p2m|address\(23)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(23),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~41\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~42_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~43\);

-- Location: LCCOMB_X43_Y24_N28
\gpio_u0|master_0|transacto|p2m|Selector48~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector48~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(23) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(23),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector48~2_combout\);

-- Location: LCCOMB_X43_Y24_N26
\gpio_u0|master_0|transacto|p2m|Selector48~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector48~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|Add2~42_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|address\(23))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~42_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(23),
	datad => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector48~1_combout\);

-- Location: LCCOMB_X43_Y24_N24
\gpio_u0|master_0|transacto|p2m|Selector48~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector48~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector48~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector48~1_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(7) & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(7),
	datab => \gpio_u0|master_0|transacto|p2m|Selector48~2_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector48~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector48~3_combout\);

-- Location: LCCOMB_X43_Y24_N18
\gpio_u0|master_0|transacto|p2m|Selector48~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector48~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(23) & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(23),
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector48~0_combout\);

-- Location: LCCOMB_X43_Y24_N22
\gpio_u0|master_0|transacto|p2m|Selector48~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector48~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector48~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector48~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~42_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~42_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector48~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector48~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector48~4_combout\);

-- Location: FF_X43_Y24_N23
\gpio_u0|master_0|transacto|p2m|address[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector48~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(23));

-- Location: LCCOMB_X43_Y23_N30
\gpio_u0|mm_interconnect_0|router|Equal1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal1~3_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(22) & (!\gpio_u0|master_0|transacto|p2m|address\(21) & (!\gpio_u0|master_0|transacto|p2m|address\(23) & !\gpio_u0|master_0|transacto|p2m|address\(20))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(22),
	datab => \gpio_u0|master_0|transacto|p2m|address\(21),
	datac => \gpio_u0|master_0|transacto|p2m|address\(23),
	datad => \gpio_u0|master_0|transacto|p2m|address\(20),
	combout => \gpio_u0|mm_interconnect_0|router|Equal1~3_combout\);

-- Location: LCCOMB_X42_Y22_N4
\gpio_u0|mm_interconnect_0|router|Equal1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal1~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(13) & (!\gpio_u0|master_0|transacto|p2m|address\(14) & (!\gpio_u0|master_0|transacto|p2m|address\(12) & !\gpio_u0|master_0|transacto|p2m|address\(15))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(13),
	datab => \gpio_u0|master_0|transacto|p2m|address\(14),
	datac => \gpio_u0|master_0|transacto|p2m|address\(12),
	datad => \gpio_u0|master_0|transacto|p2m|address\(15),
	combout => \gpio_u0|mm_interconnect_0|router|Equal1~2_combout\);

-- Location: LCCOMB_X42_Y21_N18
\gpio_u0|master_0|transacto|p2m|Add2~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~44_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(24) & (\gpio_u0|master_0|transacto|p2m|Add2~43\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(24) & (!\gpio_u0|master_0|transacto|p2m|Add2~43\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~45\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(24) & !\gpio_u0|master_0|transacto|p2m|Add2~43\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(24),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~43\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~44_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~45\);

-- Location: LCCOMB_X40_Y21_N2
\gpio_u0|master_0|transacto|p2m|Selector47~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector47~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(24) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(24),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector47~2_combout\);

-- Location: LCCOMB_X40_Y21_N8
\gpio_u0|master_0|transacto|p2m|Selector47~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector47~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~44_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(24)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(24),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add2~44_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector47~1_combout\);

-- Location: LCCOMB_X40_Y21_N20
\gpio_u0|master_0|transacto|p2m|Selector47~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector47~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector47~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector47~1_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(0) & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(0),
	datab => \gpio_u0|master_0|transacto|p2m|Selector47~2_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector47~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector47~3_combout\);

-- Location: LCCOMB_X40_Y21_N22
\gpio_u0|master_0|transacto|p2m|Selector47~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector47~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(24) & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(24),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector47~0_combout\);

-- Location: LCCOMB_X40_Y21_N10
\gpio_u0|master_0|transacto|p2m|Selector47~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector47~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector47~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector47~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~44_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~44_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector47~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector47~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector47~4_combout\);

-- Location: FF_X40_Y21_N11
\gpio_u0|master_0|transacto|p2m|address[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector47~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(24));

-- Location: LCCOMB_X40_Y21_N12
\gpio_u0|master_0|transacto|p2m|Selector44~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector44~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(27) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(27),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector44~2_combout\);

-- Location: LCCOMB_X41_Y21_N16
\gpio_u0|master_0|transacto|p2m|Selector45~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector45~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(26) & (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(26),
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector45~2_combout\);

-- Location: LCCOMB_X42_Y21_N20
\gpio_u0|master_0|transacto|p2m|Add2~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~46_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(25) & (!\gpio_u0|master_0|transacto|p2m|Add2~45\)) # (!\gpio_u0|master_0|transacto|p2m|address\(25) & ((\gpio_u0|master_0|transacto|p2m|Add2~45\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~47\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~45\) # (!\gpio_u0|master_0|transacto|p2m|address\(25)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(25),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~45\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~46_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~47\);

-- Location: LCCOMB_X40_Y21_N6
\gpio_u0|master_0|transacto|p2m|Selector46~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector46~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(25) & (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(25),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector46~2_combout\);

-- Location: LCCOMB_X40_Y21_N16
\gpio_u0|master_0|transacto|p2m|Selector46~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector46~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|Add2~46_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|address\(25))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~46_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(25),
	datac => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector46~1_combout\);

-- Location: LCCOMB_X40_Y21_N28
\gpio_u0|master_0|transacto|p2m|Selector46~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector46~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector46~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector46~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\ & 
-- \gpio_u0|master_0|fifo|out_payload\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector46~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datac => \gpio_u0|master_0|fifo|out_payload\(1),
	datad => \gpio_u0|master_0|transacto|p2m|Selector46~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector46~3_combout\);

-- Location: LCCOMB_X40_Y21_N14
\gpio_u0|master_0|transacto|p2m|Selector46~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector46~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(25) & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(25),
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector46~0_combout\);

-- Location: LCCOMB_X40_Y21_N18
\gpio_u0|master_0|transacto|p2m|Selector46~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector46~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector46~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector46~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~46_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Add2~46_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector46~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector46~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector46~4_combout\);

-- Location: FF_X40_Y21_N19
\gpio_u0|master_0|transacto|p2m|address[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector46~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(25));

-- Location: LCCOMB_X42_Y21_N22
\gpio_u0|master_0|transacto|p2m|Add2~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~48_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(26) & (\gpio_u0|master_0|transacto|p2m|Add2~47\ $ (GND))) # (!\gpio_u0|master_0|transacto|p2m|address\(26) & (!\gpio_u0|master_0|transacto|p2m|Add2~47\ & VCC))
-- \gpio_u0|master_0|transacto|p2m|Add2~49\ = CARRY((\gpio_u0|master_0|transacto|p2m|address\(26) & !\gpio_u0|master_0|transacto|p2m|Add2~47\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(26),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~47\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~48_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~49\);

-- Location: LCCOMB_X41_Y21_N2
\gpio_u0|master_0|transacto|p2m|Selector45~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector45~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~48_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(26)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(26),
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Add2~48_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector45~1_combout\);

-- Location: LCCOMB_X41_Y21_N30
\gpio_u0|master_0|transacto|p2m|Selector45~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector45~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector45~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector45~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\ & 
-- \gpio_u0|master_0|fifo|out_payload\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector45~2_combout\,
	datac => \gpio_u0|master_0|fifo|out_payload\(2),
	datad => \gpio_u0|master_0|transacto|p2m|Selector45~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector45~3_combout\);

-- Location: LCCOMB_X41_Y21_N26
\gpio_u0|master_0|transacto|p2m|Selector45~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector45~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(26) & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(26),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector45~0_combout\);

-- Location: LCCOMB_X41_Y21_N14
\gpio_u0|master_0|transacto|p2m|Selector45~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector45~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector45~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector45~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~48_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector45~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~48_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector45~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector45~4_combout\);

-- Location: FF_X41_Y21_N15
\gpio_u0|master_0|transacto|p2m|address[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector45~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(26));

-- Location: LCCOMB_X42_Y21_N24
\gpio_u0|master_0|transacto|p2m|Add2~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~50_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(27) & (!\gpio_u0|master_0|transacto|p2m|Add2~49\)) # (!\gpio_u0|master_0|transacto|p2m|address\(27) & ((\gpio_u0|master_0|transacto|p2m|Add2~49\) # (GND)))
-- \gpio_u0|master_0|transacto|p2m|Add2~51\ = CARRY((!\gpio_u0|master_0|transacto|p2m|Add2~49\) # (!\gpio_u0|master_0|transacto|p2m|address\(27)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(27),
	datad => VCC,
	cin => \gpio_u0|master_0|transacto|p2m|Add2~49\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~50_combout\,
	cout => \gpio_u0|master_0|transacto|p2m|Add2~51\);

-- Location: LCCOMB_X40_Y21_N30
\gpio_u0|master_0|transacto|p2m|Selector44~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector44~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~50_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(27)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(27),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Add2~50_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector44~1_combout\);

-- Location: LCCOMB_X40_Y21_N26
\gpio_u0|master_0|transacto|p2m|Selector44~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector44~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector44~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector44~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\ & 
-- \gpio_u0|master_0|fifo|out_payload\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector44~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector44~1_combout\,
	datad => \gpio_u0|master_0|fifo|out_payload\(3),
	combout => \gpio_u0|master_0|transacto|p2m|Selector44~3_combout\);

-- Location: LCCOMB_X40_Y21_N4
\gpio_u0|master_0|transacto|p2m|Selector44~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector44~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(27) & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(27),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector44~0_combout\);

-- Location: LCCOMB_X40_Y21_N24
\gpio_u0|master_0|transacto|p2m|Selector44~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector44~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector44~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector44~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~50_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector44~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~50_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector44~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector44~4_combout\);

-- Location: FF_X40_Y21_N25
\gpio_u0|master_0|transacto|p2m|address[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector44~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(27));

-- Location: LCCOMB_X40_Y21_N0
\gpio_u0|mm_interconnect_0|router|Equal1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal1~1_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(24) & (!\gpio_u0|master_0|transacto|p2m|address\(27) & (!\gpio_u0|master_0|transacto|p2m|address\(26) & !\gpio_u0|master_0|transacto|p2m|address\(25))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(24),
	datab => \gpio_u0|master_0|transacto|p2m|address\(27),
	datac => \gpio_u0|master_0|transacto|p2m|address\(26),
	datad => \gpio_u0|master_0|transacto|p2m|address\(25),
	combout => \gpio_u0|mm_interconnect_0|router|Equal1~1_combout\);

-- Location: LCCOMB_X37_Y22_N8
\gpio_u0|mm_interconnect_0|router|Equal1~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal1~4_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~3_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~2_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|Equal1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal1~4_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~3_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~2_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal1~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\);

-- Location: LCCOMB_X42_Y21_N26
\gpio_u0|master_0|transacto|p2m|Add2~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Add2~52_combout\ = \gpio_u0|master_0|transacto|p2m|Add2~51\ $ (!\gpio_u0|master_0|transacto|p2m|address\(28))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(28),
	cin => \gpio_u0|master_0|transacto|p2m|Add2~51\,
	combout => \gpio_u0|master_0|transacto|p2m|Add2~52_combout\);

-- Location: LCCOMB_X41_Y21_N6
\gpio_u0|master_0|transacto|p2m|Selector43~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector43~2_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|address~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|Add2~52_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(28)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(28),
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Add2~52_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector43~2_combout\);

-- Location: LCCOMB_X41_Y21_N20
\gpio_u0|master_0|transacto|p2m|Selector43~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector43~3_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|address\(28) & (!\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(28),
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector43~3_combout\);

-- Location: LCCOMB_X41_Y21_N12
\gpio_u0|master_0|transacto|p2m|Selector43~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector43~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector43~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector43~3_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(4) & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector43~2_combout\,
	datab => \gpio_u0|master_0|fifo|out_payload\(4),
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~3_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector43~4_combout\);

-- Location: LCCOMB_X41_Y21_N24
\gpio_u0|master_0|transacto|p2m|Selector43~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector43~1_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(28) & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(28),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector43~1_combout\);

-- Location: LCCOMB_X41_Y21_N28
\gpio_u0|master_0|transacto|p2m|Selector43~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector43~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector43~4_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector43~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~52_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector43~4_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~52_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector43~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector43~5_combout\);

-- Location: FF_X41_Y21_N29
\gpio_u0|master_0|transacto|p2m|address[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector43~5_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(28));

-- Location: LCCOMB_X42_Y22_N2
\gpio_u0|mm_interconnect_0|router|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(8) & (!\gpio_u0|master_0|transacto|p2m|address\(9) & (!\gpio_u0|master_0|transacto|p2m|address\(10) & !\gpio_u0|master_0|transacto|p2m|address\(11))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(8),
	datab => \gpio_u0|master_0|transacto|p2m|address\(9),
	datac => \gpio_u0|master_0|transacto|p2m|address\(10),
	datad => \gpio_u0|master_0|transacto|p2m|address\(11),
	combout => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\);

-- Location: LCCOMB_X36_Y22_N10
\gpio_u0|mm_interconnect_0|router|Equal5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal5~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(7) & \gpio_u0|master_0|transacto|p2m|address\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(7),
	datad => \gpio_u0|master_0|transacto|p2m|address\(6),
	combout => \gpio_u0|mm_interconnect_0|router|Equal5~0_combout\);

-- Location: LCCOMB_X37_Y22_N0
\gpio_u0|mm_interconnect_0|router|Equal5~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal1~8_combout\ & (!\gpio_u0|master_0|transacto|p2m|address\(28) & (\gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|Equal5~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(28),
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal5~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\);

-- Location: LCCOMB_X35_Y23_N2
\gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\ = (\gpio_u0|user_led|always0~1_combout\ & (!\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|router|Equal5~1_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|user_led|always0~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal1~9_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\);

-- Location: LCCOMB_X35_Y23_N6
\gpio_u0|mm_interconnect_0|router|Equal5~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal5~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(6) & (\gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(4) & !\gpio_u0|master_0|transacto|p2m|address\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(6),
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(4),
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|router|Equal5~2_combout\);

-- Location: FF_X36_Y23_N27
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|router|Equal5~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(9));

-- Location: LCCOMB_X36_Y23_N2
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~1_combout\ = (\gpio_u0|master_0|transacto|p2m|write~q\) # ((\gpio_u0|master_0|transacto|p2m|read~q\ & ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(9)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datab => \gpio_u0|master_0|transacto|p2m|write~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(9),
	datad => \gpio_u0|master_0|transacto|p2m|read~q\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~1_combout\);

-- Location: LCCOMB_X36_Y23_N16
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~2_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (!\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|router|Equal5~2_combout\ & \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|router|Equal5~2_combout\,
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~2_combout\);

-- Location: LCCOMB_X36_Y23_N6
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~3_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~2_combout\ & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0) 
-- & (\gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\ & !\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1))) # (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0) & 
-- ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~3_combout\);

-- Location: FF_X36_Y23_N7
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~3_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X36_Y23_N22
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~4_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~2_combout\ & (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0) 
-- & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1)) # (!\gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~2_combout\,
	datac => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~4_combout\);

-- Location: FF_X36_Y23_N23
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~4_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X36_Y23_N24
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_waitrequest_generated~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_waitrequest_generated~0_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1)) # (\gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\ $ 
-- (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110011001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1),
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_waitrequest_generated~0_combout\);

-- Location: LCCOMB_X36_Y23_N26
\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[9]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[9]~2_combout\ = (\gpio_u0|master_0|transacto|p2m|write~q\) # ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(9)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|write~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(9),
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[9]~2_combout\);

-- Location: LCCOMB_X36_Y23_N20
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~1_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~0_combout\ & 
-- (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_waitrequest_generated~0_combout\ & (\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[9]~2_combout\ & \gpio_u0|master_0|transacto|p2m|read~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_waitrequest_generated~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[9]~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|read~q\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~1_combout\);

-- Location: FF_X36_Y23_N21
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X36_Y23_N28
\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[0]~2_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~1_combout\) # ((\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1)) # (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: FF_X36_Y23_N29
\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[0]~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X36_Y23_N18
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[9]~2_combout\ & (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1) & 
-- (\gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\ $ (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[9]~2_combout\,
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1),
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X36_Y23_N12
\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\gpio_u0|master_0|transacto|p2m|read~q\ & (\gpio_u0|mm_interconnect_0|router|Equal5~2_combout\ & 
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|master_0|transacto|p2m|read~q\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal5~2_combout\,
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X36_Y23_N10
\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(0) & (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1)) # (\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]~0_combout\)))) # (!\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: FF_X36_Y23_N11
\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X34_Y23_N28
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\gpio_u0|mm_interconnect_0|router|Equal1~9_combout\ & 
-- (!\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1) & \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~9_combout\,
	datac => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~0_combout\);

-- Location: LCCOMB_X35_Y23_N12
\gpio_u0|mm_interconnect_0|router|Equal7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal7~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(6) & (\gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(4) & \gpio_u0|master_0|transacto|p2m|address\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(6),
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(4),
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|router|Equal7~0_combout\);

-- Location: FF_X35_Y23_N15
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|router|Equal7~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(10));

-- Location: LCCOMB_X34_Y23_N4
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~1_combout\ = (\gpio_u0|master_0|transacto|p2m|write~q\) # ((\gpio_u0|master_0|transacto|p2m|read~q\ & ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(10)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(10),
	datac => \gpio_u0|master_0|transacto|p2m|write~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~1_combout\);

-- Location: LCCOMB_X34_Y23_N10
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~2_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~1_combout\ & 
-- (\gpio_u0|mm_interconnect_0|router|Equal7~0_combout\ & !\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal7~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~2_combout\);

-- Location: LCCOMB_X35_Y23_N0
\gpio_u0|mm_interconnect_0|adc1_out_s1_agent|m0_write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_agent|m0_write~0_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal7~0_combout\ & (\gpio_u0|master_0|transacto|p2m|write~q\ & (!\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1) & 
-- \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal7~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|write~q\,
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent|m0_write~0_combout\);

-- Location: LCCOMB_X35_Y24_N30
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~4_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~2_combout\ & (!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(0) & 
-- ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(1)) # (!\gpio_u0|mm_interconnect_0|adc1_out_s1_agent|m0_write~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~2_combout\,
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(1),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent|m0_write~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~4_combout\);

-- Location: FF_X35_Y24_N31
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~4_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X35_Y24_N24
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~3_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~2_combout\ & ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc1_out_s1_agent|m0_write~0_combout\ & !\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(1))) # (!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(0) & 
-- ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(0),
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent|m0_write~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~3_combout\);

-- Location: FF_X35_Y24_N25
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~3_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X35_Y23_N24
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_waitrequest_generated~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_waitrequest_generated~0_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(1)) # (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(0) $ 
-- (((!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~0_combout\) # (!\gpio_u0|user_led|always0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110111001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|user_led|always0~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(1),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_waitrequest_generated~0_combout\);

-- Location: LCCOMB_X35_Y23_N4
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~3_combout\ = (!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_waitrequest_generated~0_combout\ & ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(10)) # 
-- ((\gpio_u0|master_0|transacto|p2m|write~q\) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(10),
	datab => \gpio_u0|master_0|transacto|p2m|write~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_waitrequest_generated~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~3_combout\);

-- Location: LCCOMB_X35_Y23_N10
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~2_combout\ = (\gpio_u0|master_0|transacto|p2m|read~q\ & (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~3_combout\ & \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read~q\,
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~3_combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~2_combout\);

-- Location: FF_X35_Y23_N11
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X35_Y23_N30
\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[0]~2_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~2_combout\) # ((\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1)) # (!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: FF_X35_Y23_N31
\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[0]~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X35_Y23_N14
\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (\gpio_u0|master_0|transacto|p2m|read~q\ & (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~3_combout\ & 
-- (\gpio_u0|mm_interconnect_0|router|Equal7~0_combout\ & \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read~q\,
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg~3_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal7~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X35_Y23_N26
\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(0) & (!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]~0_combout\) # (\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1))))) # (!\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: FF_X35_Y23_N27
\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X38_Y21_N20
\gpio_u0|mm_interconnect_0|router|Equal7~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal7~1_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(4) & \gpio_u0|master_0|transacto|p2m|address\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(4),
	datac => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|router|Equal7~1_combout\);

-- Location: LCCOMB_X35_Y23_N28
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~0_combout\ = (!\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ & 
-- (\gpio_u0|mm_interconnect_0|router|Equal7~1_combout\ & \gpio_u0|master_0|transacto|p2m|address\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal7~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(6),
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~0_combout\);

-- Location: LCCOMB_X36_Y22_N26
\gpio_u0|mm_interconnect_0|router|Equal6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal6~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(4) & \gpio_u0|master_0|transacto|p2m|address\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(4),
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|router|Equal6~0_combout\);

-- Location: LCCOMB_X37_Y23_N8
\gpio_u0|mm_interconnect_0|router|Equal6~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal6~1_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(5) & (!\gpio_u0|master_0|transacto|p2m|address\(4) & (\gpio_u0|master_0|transacto|p2m|address\(6) & \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(5),
	datab => \gpio_u0|master_0|transacto|p2m|address\(4),
	datac => \gpio_u0|master_0|transacto|p2m|address\(6),
	datad => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|Equal6~1_combout\);

-- Location: FF_X37_Y23_N21
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|router|Equal6~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(12));

-- Location: LCCOMB_X37_Y23_N4
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~2_combout\ = (\gpio_u0|master_0|transacto|p2m|write~q\) # ((\gpio_u0|master_0|transacto|p2m|read~q\ & ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(12)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(12),
	datab => \gpio_u0|master_0|transacto|p2m|read~q\,
	datac => \gpio_u0|master_0|transacto|p2m|write~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~2_combout\);

-- Location: LCCOMB_X37_Y23_N12
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\gpio_u0|mm_interconnect_0|router|Equal6~1_combout\ & 
-- (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1) & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal6~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3_combout\);

-- Location: LCCOMB_X37_Y23_N16
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\gpio_u0|master_0|transacto|p2m|write~q\ & (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1) & 
-- \gpio_u0|mm_interconnect_0|router|Equal6~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|master_0|transacto|p2m|write~q\,
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|router|Equal6~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\);

-- Location: LCCOMB_X37_Y23_N18
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~5_combout\ = (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0) & (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1)) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3_combout\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~5_combout\);

-- Location: FF_X37_Y23_N19
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~5_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X37_Y23_N26
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~4_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3_combout\ & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0) & 
-- (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1) & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\)) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0) & 
-- (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3_combout\,
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~4_combout\);

-- Location: FF_X37_Y23_N27
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~4_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X37_Y23_N10
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_waitrequest_generated~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_waitrequest_generated~0_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1)) # (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0) $ 
-- (((!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\) # (!\gpio_u0|user_led|always0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|user_led|always0~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0),
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_waitrequest_generated~0_combout\);

-- Location: LCCOMB_X37_Y23_N20
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\ = (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_waitrequest_generated~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|write~q\) # 
-- ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(12)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_waitrequest_generated~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|write~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(12),
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X37_Y23_N28
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\ = (\gpio_u0|master_0|transacto|p2m|read~q\ & (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\ & 
-- (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read~q\,
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\);

-- Location: FF_X37_Y23_N29
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X37_Y23_N2
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]~2_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\) # ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1)) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: FF_X37_Y23_N3
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X37_Y23_N6
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\gpio_u0|mm_interconnect_0|router|Equal6~1_combout\ & (\gpio_u0|master_0|transacto|p2m|read~q\ & 
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal6~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|read~q\,
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X37_Y23_N30
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0) & (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1)) # (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0_combout\)))) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: FF_X37_Y23_N31
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X37_Y22_N20
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0_combout\ = (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|master_0|transacto|p2m|address\(6) & (!\gpio_u0|master_0|transacto|p2m|address\(28) & 
-- !\gpio_u0|master_0|transacto|p2m|address\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|master_0|transacto|p2m|address\(6),
	datac => \gpio_u0|master_0|transacto|p2m|address\(28),
	datad => \gpio_u0|master_0|transacto|p2m|address\(7),
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0_combout\);

-- Location: LCCOMB_X37_Y22_N24
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal6~0_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~8_combout\ & 
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal6~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\,
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\);

-- Location: LCCOMB_X37_Y23_N0
\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~8_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\ & (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1) & 
-- (\gpio_u0|user_led|always0~1_combout\ $ (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|user_led|always0~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0),
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~8_combout\);

-- Location: LCCOMB_X36_Y23_N14
\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & ((\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~8_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~0_combout\ & !\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_waitrequest_generated~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~8_combout\,
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_waitrequest_generated~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\);

-- Location: LCCOMB_X38_Y21_N0
\gpio_u0|mm_interconnect_0|router|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|always1~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(4) & (!\gpio_u0|master_0|transacto|p2m|address\(5) & \gpio_u0|master_0|transacto|p2m|read~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(4),
	datab => \gpio_u0|master_0|transacto|p2m|address\(5),
	datad => \gpio_u0|master_0|transacto|p2m|read~q\,
	combout => \gpio_u0|mm_interconnect_0|router|always1~0_combout\);

-- Location: LCCOMB_X36_Y21_N24
\gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write~combout\ = (\gpio_u0|mm_interconnect_0|router|always1~0_combout\ & (!\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|router|Equal5~1_combout\ & 
-- \gpio_u0|user_led|always0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|always1~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\,
	datad => \gpio_u0|user_led|always0~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write~combout\);

-- Location: LCCOMB_X36_Y21_N20
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter~0_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~0_combout\ & (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0) & 
-- ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1)) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write~combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter~0_combout\);

-- Location: FF_X36_Y21_N21
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X36_Y21_N10
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~1_combout\ = (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~0_combout\ 
-- & (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0) $ (\gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write~combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~1_combout\);

-- Location: FF_X36_Y21_N11
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X36_Y21_N30
\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[0]~3_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~1_combout\) # ((\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1)) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: FF_X36_Y21_N31
\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X36_Y21_N2
\gpio_u0|mm_interconnect_0|router|always1~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|always1~8_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(6) & (\gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ & \gpio_u0|mm_interconnect_0|router|always1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(6),
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|always1~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|always1~8_combout\);

-- Location: FF_X36_Y21_N29
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|router|always1~8_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(8));

-- Location: LCCOMB_X36_Y21_N28
\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[8]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[8]~1_combout\ = ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(8)) # (\gpio_u0|master_0|transacto|p2m|write~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(8),
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[8]~1_combout\);

-- Location: LCCOMB_X36_Y21_N26
\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & 
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[8]~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1),
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[8]~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X36_Y21_N18
\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~0_combout\ & (\gpio_u0|mm_interconnect_0|router|always1~8_combout\ & 
-- (\gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write~combout\ $ (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|router|always1~8_combout\,
	datad => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0),
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: LCCOMB_X36_Y21_N16
\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~2_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(0) & (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1)) # (\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~1_combout\)))) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~2_combout\);

-- Location: FF_X36_Y21_N17
\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used[1]~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X36_Y21_N14
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~0_combout\ = (!\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|router|always1~8_combout\ & 
-- (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[8]~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|router|always1~8_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[8]~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X36_Y21_N4
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter~1_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~0_combout\ & ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0) & 
-- (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1) & \gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write~combout\)) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0) & 
-- (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent|m0_write~combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter~1_combout\);

-- Location: FF_X36_Y21_N5
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X36_Y21_N6
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~19_combout\ = (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & 
-- (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0) $ (\gpio_u0|master_0|transacto|p2m|write~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~19_combout\);

-- Location: LCCOMB_X36_Y21_N22
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~11_combout\ = (\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~19_combout\ & (!\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|router|Equal5~1_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|always1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~19_combout\,
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|always1~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~11_combout\);

-- Location: LCCOMB_X36_Y23_N30
\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\ = (\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\) # ((\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~11_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~0_combout\ & !\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_waitrequest_generated~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_waitrequest_generated~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~11_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\);

-- Location: LCCOMB_X35_Y21_N4
\gpio_u0|mm_interconnect_0|router|always1~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|always1~9_combout\ = (\gpio_u0|master_0|transacto|p2m|read~q\ & (\gpio_u0|mm_interconnect_0|router|Equal6~0_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ & !\gpio_u0|master_0|transacto|p2m|address\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read~q\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal6~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(6),
	combout => \gpio_u0|mm_interconnect_0|router|always1~9_combout\);

-- Location: FF_X35_Y21_N13
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|router|always1~9_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(6));

-- Location: LCCOMB_X35_Y21_N12
\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[6]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[6]~5_combout\ = ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(6)) # (\gpio_u0|master_0|transacto|p2m|write~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(6),
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[6]~5_combout\);

-- Location: LCCOMB_X34_Y21_N16
\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~0_combout\ = (!\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[6]~5_combout\ & 
-- (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & \gpio_u0|mm_interconnect_0|router|always1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[6]~5_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|router|always1~9_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X34_Y21_N28
\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~1_combout\ = (!\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write~combout\ $ (\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~1_combout\);

-- Location: FF_X34_Y21_N29
\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X34_Y21_N22
\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[0]~3_combout\ = (\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~1_combout\) # ((\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1)) # (!\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: FF_X34_Y21_N23
\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X34_Y21_N6
\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[6]~5_combout\ & (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & 
-- !\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[6]~5_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1),
	combout => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X34_Y21_N20
\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\gpio_u0|mm_interconnect_0|router|always1~9_combout\ & (\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write~combout\ $ (\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|always1~9_combout\,
	datab => \gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: LCCOMB_X34_Y21_N12
\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~2_combout\ = (\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(0) & (!\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1)) # (\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~1_combout\)))) # (!\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~2_combout\);

-- Location: FF_X34_Y21_N13
\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used[1]~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X36_Y22_N28
\gpio_u0|mm_interconnect_0|router|always1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|always1~3_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(28) & (!\gpio_u0|master_0|transacto|p2m|address\(7) & \gpio_u0|master_0|transacto|p2m|read~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(28),
	datab => \gpio_u0|master_0|transacto|p2m|address\(7),
	datad => \gpio_u0|master_0|transacto|p2m|read~q\,
	combout => \gpio_u0|mm_interconnect_0|router|always1~3_combout\);

-- Location: LCCOMB_X36_Y22_N4
\gpio_u0|mm_interconnect_0|router|always1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|always1~4_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ & (!\gpio_u0|master_0|transacto|p2m|address\(6) & (\gpio_u0|mm_interconnect_0|router|Equal1~8_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|always1~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(6),
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|always1~3_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|always1~4_combout\);

-- Location: LCCOMB_X34_Y21_N8
\gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write~combout\ = (!\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|user_led|always0~1_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal6~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|always1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|user_led|always0~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal6~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|always1~4_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write~combout\);

-- Location: LCCOMB_X34_Y21_N30
\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter~1_combout\ = (!\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0) & (\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1)) # (!\gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter~1_combout\);

-- Location: FF_X34_Y21_N31
\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X34_Y21_N10
\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter~0_combout\ = (\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~0_combout\ & ((\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0) & 
-- (\gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write~combout\ & !\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1))) # (!\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0) & 
-- ((\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0),
	datab => \gpio_u0|mm_interconnect_0|user_pb_s1_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter~0_combout\);

-- Location: FF_X34_Y21_N11
\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X34_Y21_N14
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~22_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (!\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0) $ (\gpio_u0|master_0|transacto|p2m|write~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(0),
	datab => \gpio_u0|master_0|transacto|p2m|write~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~22_combout\);

-- Location: LCCOMB_X34_Y21_N24
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~14_combout\ = (!\gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~22_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal6~0_combout\ 
-- & \gpio_u0|mm_interconnect_0|router|always1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~22_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal6~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|always1~4_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~14_combout\);

-- Location: LCCOMB_X35_Y23_N22
\gpio_u0|mm_interconnect_0|router|always1~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|always1~5_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(4) & !\gpio_u0|master_0|transacto|p2m|address\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(4),
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|router|always1~5_combout\);

-- Location: LCCOMB_X32_Y23_N8
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\ = (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|user_led|always0~1_combout\ & 
-- (\gpio_u0|mm_interconnect_0|router|always1~4_combout\ & \gpio_u0|mm_interconnect_0|router|always1~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|user_led|always0~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|always1~4_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|always1~5_combout\,
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\);

-- Location: LCCOMB_X35_Y23_N20
\gpio_u0|mm_interconnect_0|router|always1~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|always1~7_combout\ = (\gpio_u0|master_0|transacto|p2m|read~q\ & (\gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ & (\gpio_u0|mm_interconnect_0|router|always1~5_combout\ & 
-- !\gpio_u0|master_0|transacto|p2m|address\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read~q\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|always1~5_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(6),
	combout => \gpio_u0|mm_interconnect_0|router|always1~7_combout\);

-- Location: FF_X35_Y23_N21
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|router|always1~7_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1));

-- Location: LCCOMB_X34_Y23_N6
\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~3_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1)) # ((\gpio_u0|master_0|transacto|p2m|write~q\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1),
	datab => \gpio_u0|master_0|transacto|p2m|write~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~3_combout\);

-- Location: LCCOMB_X32_Y23_N28
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ = (\gpio_u0|mm_interconnect_0|router|always1~7_combout\ & (\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~3_combout\ & 
-- (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & !\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|always1~7_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~3_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X32_Y23_N4
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\ = (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) & 
-- (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ & ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1)) # 
-- (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\);

-- Location: FF_X32_Y23_N5
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X32_Y23_N12
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\ & 
-- !\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1))) # (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) & 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\);

-- Location: FF_X32_Y23_N13
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X32_Y23_N24
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ = (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1) & 
-- (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) $ 
-- (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\,
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\);

-- Location: FF_X32_Y23_N25
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X32_Y23_N2
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1)) # 
-- (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: FF_X32_Y23_N3
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X32_Y23_N22
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~3_combout\ & 
-- !\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~3_combout\,
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X32_Y23_N20
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\ & (\gpio_u0|mm_interconnect_0|router|always1~7_combout\ & 
-- (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\ $ (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|router|always1~7_combout\,
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: LCCOMB_X32_Y23_N10
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~2_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0) & 
-- (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1)) # 
-- (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\)))) # (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~2_combout\);

-- Location: FF_X32_Y23_N11
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X32_Y23_N14
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~20_combout\ = (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & 
-- (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) $ (\gpio_u0|master_0|transacto|p2m|write~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~20_combout\);

-- Location: LCCOMB_X32_Y23_N26
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~12_combout\ = (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~20_combout\ & 
-- (\gpio_u0|mm_interconnect_0|router|always1~4_combout\ & \gpio_u0|mm_interconnect_0|router|always1~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~20_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|always1~4_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|always1~5_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~12_combout\);

-- Location: LCCOMB_X36_Y22_N0
\gpio_u0|mm_interconnect_0|router|always1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|always1~1_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(6) & \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(6),
	datad => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|always1~1_combout\);

-- Location: LCCOMB_X37_Y22_N14
\gpio_u0|mm_interconnect_0|router|Equal11~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal11~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(28) & \gpio_u0|master_0|transacto|p2m|address\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(28),
	datad => \gpio_u0|master_0|transacto|p2m|address\(7),
	combout => \gpio_u0|mm_interconnect_0|router|Equal11~0_combout\);

-- Location: LCCOMB_X36_Y22_N8
\gpio_u0|mm_interconnect_0|router|always1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|always1~2_combout\ = (\gpio_u0|mm_interconnect_0|router|always1~0_combout\ & (\gpio_u0|mm_interconnect_0|router|always1~1_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal11~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|always1~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|always1~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal11~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|always1~2_combout\);

-- Location: FF_X36_Y22_N27
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|router|always1~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(11));

-- Location: LCCOMB_X35_Y22_N10
\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[11]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[11]~4_combout\ = (\gpio_u0|master_0|transacto|p2m|write~q\) # ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(11)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|write~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(11),
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[11]~4_combout\);

-- Location: LCCOMB_X32_Y22_N20
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~0_combout\ = (\gpio_u0|mm_interconnect_0|router|always1~2_combout\ & (\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[11]~4_combout\ & 
-- (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & !\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|always1~2_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[11]~4_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X32_Y22_N16
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~1_combout\ = (!\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0) $ (\gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~1_combout\);

-- Location: FF_X32_Y22_N17
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X32_Y22_N14
\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[0]~3_combout\ = (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~1_combout\) # ((\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1)) # (!\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: FF_X32_Y22_N15
\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X32_Y22_N24
\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (!\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[11]~4_combout\ & 
-- \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[11]~4_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X32_Y22_N2
\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\gpio_u0|mm_interconnect_0|router|always1~2_combout\ & (\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0) $ (\gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|router|always1~2_combout\,
	datad => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: LCCOMB_X32_Y22_N10
\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~2_combout\ = (\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(0) & (!\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1)) # (\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~1_combout\)))) # (!\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~2_combout\);

-- Location: FF_X32_Y22_N11
\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used[1]~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X36_Y22_N2
\gpio_u0|mm_interconnect_0|router|Equal9~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal9~0_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ & (!\gpio_u0|master_0|transacto|p2m|address\(6) & (\gpio_u0|mm_interconnect_0|router|Equal11~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(6),
	datac => \gpio_u0|mm_interconnect_0|router|Equal11~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|Equal9~0_combout\);

-- Location: LCCOMB_X32_Y22_N4
\gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write~combout\ = (!\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|user_led|always0~1_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal9~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|always1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|user_led|always0~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal9~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|always1~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write~combout\);

-- Location: LCCOMB_X32_Y22_N12
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter~1_combout\ = (!\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0) & (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1)) # (!\gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter~1_combout\);

-- Location: FF_X32_Y22_N13
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X32_Y22_N26
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter~0_combout\ = (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~0_combout\ & ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write~combout\ & !\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1))) # (!\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0) & 
-- ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent|m0_write~combout\,
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter~0_combout\);

-- Location: FF_X32_Y22_N27
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X32_Y22_N8
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~21_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (!\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0) $ (\gpio_u0|master_0|transacto|p2m|write~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(0),
	datab => \gpio_u0|master_0|transacto|p2m|write~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~21_combout\);

-- Location: LCCOMB_X32_Y22_N30
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~13_combout\ = (!\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|router|Equal9~0_combout\ & (\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~21_combout\ 
-- & \gpio_u0|mm_interconnect_0|router|always1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|router|Equal9~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~21_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|always1~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~13_combout\);

-- Location: LCCOMB_X37_Y22_N28
\gpio_u0|mm_interconnect_0|router|Equal11~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal11~1_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(5) & \gpio_u0|master_0|transacto|p2m|address\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(5),
	datad => \gpio_u0|master_0|transacto|p2m|address\(6),
	combout => \gpio_u0|mm_interconnect_0|router|Equal11~1_combout\);

-- Location: LCCOMB_X37_Y22_N30
\gpio_u0|mm_interconnect_0|router|Equal11~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal11~2_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal11~0_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~8_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|Equal11~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal11~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal11~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|Equal11~2_combout\);

-- Location: FF_X37_Y22_N31
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|router|Equal11~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0));

-- Location: LCCOMB_X34_Y23_N26
\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[0]~6_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0)) # ((\gpio_u0|master_0|transacto|p2m|write~q\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0),
	datac => \gpio_u0|master_0|transacto|p2m|write~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[0]~6_combout\);

-- Location: LCCOMB_X37_Y22_N2
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~0_combout\ = (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1) & (!\gpio_u0|master_0|transacto|p2m|address\(28) & (\gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|address\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|master_0|transacto|p2m|address\(28),
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(7),
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~0_combout\);

-- Location: LCCOMB_X37_Y22_N16
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\ = (\gpio_u0|user_led|always0~1_combout\ & (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~0_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~8_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|Equal11~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|user_led|always0~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal11~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\);

-- Location: LCCOMB_X34_Y23_N22
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~2_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\ & 
-- (\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[0]~6_combout\ & ((\gpio_u0|master_0|transacto|p2m|read~q\) # (\gpio_u0|master_0|transacto|p2m|write~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read~q\,
	datab => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|write~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[0]~6_combout\,
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~2_combout\);

-- Location: LCCOMB_X38_Y33_N14
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~3_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~2_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(1) & ((!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(0)))) # 
-- (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\ & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~2_combout\,
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(0),
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~3_combout\);

-- Location: FF_X38_Y33_N15
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~3_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X38_Y33_N10
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~4_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~2_combout\ & 
-- (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(1)) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~2_combout\,
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(1),
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~4_combout\);

-- Location: FF_X38_Y33_N11
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~4_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X38_Y33_N24
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_waitrequest_generated~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_waitrequest_generated~0_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(1)) # 
-- (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(0) $ (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110100101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(1),
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_waitrequest_generated~0_combout\);

-- Location: LCCOMB_X34_Y23_N0
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[0]~6_combout\ & 
-- (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\ & (\gpio_u0|master_0|transacto|p2m|read~q\ & !\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_waitrequest_generated~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[0]~6_combout\,
	datab => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|read~q\,
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_waitrequest_generated~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~0_combout\);

-- Location: FF_X34_Y23_N1
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X34_Y23_N2
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[0]~3_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~0_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1)) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: FF_X34_Y23_N3
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X34_Y23_N8
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (((\gpio_u0|master_0|transacto|p2m|write~q\) # 
-- (\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0))) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datab => \gpio_u0|master_0|transacto|p2m|write~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0),
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X34_Y23_N20
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~1_combout\ = (\gpio_u0|master_0|transacto|p2m|read~q\ & (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_waitrequest_generated~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~0_combout\ & \gpio_u0|mm_interconnect_0|router|Equal11~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read~q\,
	datab => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_waitrequest_generated~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal11~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: LCCOMB_X34_Y23_N14
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~2_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(0) & (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1)) # (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~1_combout\)))) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~2_combout\);

-- Location: FF_X34_Y23_N15
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used[1]~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X37_Y22_N26
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (!\gpio_u0|master_0|transacto|p2m|address\(28) & 
-- (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1) & \gpio_u0|master_0|transacto|p2m|address\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(28),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|master_0|transacto|p2m|address\(7),
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~0_combout\);

-- Location: LCCOMB_X37_Y22_N18
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~0_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|router|Equal1~8_combout\ & \gpio_u0|mm_interconnect_0|router|Equal11~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal11~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\);

-- Location: LCCOMB_X35_Y22_N6
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~15_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal9~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(4) & (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|address\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal9~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(4),
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~15_combout\);

-- Location: LCCOMB_X37_Y22_N12
\gpio_u0|mm_interconnect_0|router|Equal11~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal11~3_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal1~4_combout\ & (!\gpio_u0|master_0|transacto|p2m|address\(28) & (\gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|address\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal1~4_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(28),
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(7),
	combout => \gpio_u0|mm_interconnect_0|router|Equal11~3_combout\);

-- Location: LCCOMB_X37_Y22_N10
\gpio_u0|mm_interconnect_0|router|Equal11~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal11~4_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal11~3_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~2_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~3_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|Equal1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal11~3_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~2_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~3_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal1~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|Equal11~4_combout\);

-- Location: LCCOMB_X36_Y22_N14
\gpio_u0|mm_interconnect_0|router|Equal9~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal9~1_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(4) & (!\gpio_u0|master_0|transacto|p2m|address\(5) & (\gpio_u0|mm_interconnect_0|router|Equal11~4_combout\ & !\gpio_u0|master_0|transacto|p2m|address\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(4),
	datab => \gpio_u0|master_0|transacto|p2m|address\(5),
	datac => \gpio_u0|mm_interconnect_0|router|Equal11~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(6),
	combout => \gpio_u0|mm_interconnect_0|router|Equal9~1_combout\);

-- Location: FF_X36_Y22_N15
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|router|Equal9~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(4));

-- Location: LCCOMB_X35_Y22_N28
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~0_combout\ = (\gpio_u0|master_0|transacto|p2m|read~q\ & ((\gpio_u0|master_0|transacto|p2m|write~q\) # ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(4)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|write~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(4),
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \gpio_u0|master_0|transacto|p2m|read~q\,
	combout => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X34_Y22_N6
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~2_combout\ = (\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~15_combout\ & (!\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1) & 
-- \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~15_combout\,
	datac => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~2_combout\);

-- Location: FF_X34_Y22_N7
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X34_Y22_N2
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~1_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\gpio_u0|mm_interconnect_0|router|Equal1~9_combout\ & 
-- (\gpio_u0|mm_interconnect_0|router|Equal9~0_combout\ & \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~9_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal9~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~1_combout\);

-- Location: LCCOMB_X34_Y22_N16
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[0]~1_combout\ = (\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1) & (((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~1_combout\) # ((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(0) & 
-- !\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[0]~1_combout\);

-- Location: FF_X34_Y22_N17
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[0]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X34_Y22_N30
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[1]~0_combout\ = (\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(0) & (!\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1)) # (\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~1_combout\)))) # (!\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: FF_X34_Y22_N31
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used[1]~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X34_Y22_N20
\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\ & (((!\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1) & 
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~15_combout\)) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_waitrequest_generated~0_combout\))) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\ 
-- & (!\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~15_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011101100001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_waitrequest_generated~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~15_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\);

-- Location: LCCOMB_X35_Y22_N26
\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~5_combout\ = (\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~14_combout\) # ((\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~12_combout\) # ((\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~13_combout\) # 
-- (\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~14_combout\,
	datab => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~12_combout\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~13_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~5_combout\);

-- Location: LCCOMB_X40_Y22_N2
\gpio_u0|mm_interconnect_0|router|src_data[105]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data[105]~14_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(6)) # (((!\gpio_u0|master_0|transacto|p2m|address\(5) & !\gpio_u0|master_0|transacto|p2m|address\(4))) # 
-- (!\gpio_u0|mm_interconnect_0|router|Equal11~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(6),
	datab => \gpio_u0|master_0|transacto|p2m|address\(5),
	datac => \gpio_u0|master_0|transacto|p2m|address\(4),
	datad => \gpio_u0|mm_interconnect_0|router|Equal11~4_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_data[105]~14_combout\);

-- Location: LCCOMB_X38_Y21_N4
\gpio_u0|mm_interconnect_0|router|src_data~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data~4_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal6~0_combout\ & (!\gpio_u0|mm_interconnect_0|router|Equal5~1_combout\ & ((!\gpio_u0|mm_interconnect_0|router|always1~4_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|router|Equal7~1_combout\)))) # (!\gpio_u0|mm_interconnect_0|router|Equal6~0_combout\ & (((!\gpio_u0|mm_interconnect_0|router|always1~4_combout\)) # (!\gpio_u0|mm_interconnect_0|router|Equal7~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal6~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal7~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|always1~4_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_data~4_combout\);

-- Location: LCCOMB_X38_Y21_N18
\gpio_u0|mm_interconnect_0|router|src_channel~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_channel~3_combout\ = (\gpio_u0|mm_interconnect_0|router|src_data[105]~14_combout\ & (\gpio_u0|mm_interconnect_0|router|src_data~4_combout\ & ((!\gpio_u0|mm_interconnect_0|router|Equal5~1_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|router|always1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|src_data[105]~14_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|src_data~4_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|always1~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_channel~3_combout\);

-- Location: LCCOMB_X42_Y21_N30
\gpio_u0|mm_interconnect_0|router|Equal13~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal13~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(28) & (!\gpio_u0|master_0|transacto|p2m|address\(27) & \gpio_u0|master_0|transacto|p2m|address\(26)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(28),
	datac => \gpio_u0|master_0|transacto|p2m|address\(27),
	datad => \gpio_u0|master_0|transacto|p2m|address\(26),
	combout => \gpio_u0|mm_interconnect_0|router|Equal13~0_combout\);

-- Location: LCCOMB_X38_Y21_N16
\gpio_u0|mm_interconnect_0|router|src_channel~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_channel~7_combout\ = (!\gpio_u0|mm_interconnect_0|router|always1~2_combout\ & (((!\gpio_u0|mm_interconnect_0|router|Equal5~1_combout\) # (!\gpio_u0|master_0|transacto|p2m|address\(4))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|always1~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(5),
	datac => \gpio_u0|master_0|transacto|p2m|address\(4),
	datad => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_channel~7_combout\);

-- Location: LCCOMB_X36_Y22_N24
\gpio_u0|mm_interconnect_0|router|Equal12~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal12~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(6) & (\gpio_u0|master_0|transacto|p2m|address\(28) & !\gpio_u0|master_0|transacto|p2m|address\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(6),
	datac => \gpio_u0|master_0|transacto|p2m|address\(28),
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|router|Equal12~0_combout\);

-- Location: LCCOMB_X36_Y22_N16
\gpio_u0|mm_interconnect_0|router|Equal12~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal12~1_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal1~8_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal12~0_combout\ & (!\gpio_u0|master_0|transacto|p2m|address\(7) & 
-- \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal12~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(7),
	datad => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|Equal12~1_combout\);

-- Location: LCCOMB_X37_Y22_N4
\gpio_u0|mm_interconnect_0|router|src_data~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(7) & (!\gpio_u0|master_0|transacto|p2m|address\(28) & (\gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ & !\gpio_u0|master_0|transacto|p2m|address\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(7),
	datab => \gpio_u0|master_0|transacto|p2m|address\(28),
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|router|src_data~2_combout\);

-- Location: LCCOMB_X36_Y22_N18
\gpio_u0|mm_interconnect_0|router|src_data~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data~3_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(4) & (((!\gpio_u0|mm_interconnect_0|router|Equal1~8_combout\)) # (!\gpio_u0|mm_interconnect_0|router|src_data~2_combout\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address\(4) & (((!\gpio_u0|mm_interconnect_0|router|always1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101001111110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|src_data~2_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|always1~4_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(4),
	datad => \gpio_u0|mm_interconnect_0|router|Equal1~8_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_data~3_combout\);

-- Location: LCCOMB_X38_Y22_N12
\gpio_u0|mm_interconnect_0|router|src_channel~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_channel~2_combout\ = (\gpio_u0|mm_interconnect_0|router|src_channel~7_combout\ & (!\gpio_u0|mm_interconnect_0|router|Equal11~2_combout\ & (!\gpio_u0|mm_interconnect_0|router|Equal12~1_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|src_data~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|src_channel~7_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal11~2_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal12~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|src_data~3_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_channel~2_combout\);

-- Location: LCCOMB_X38_Y22_N24
\gpio_u0|mm_interconnect_0|router|src_channel[3]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_channel[3]~6_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal13~0_combout\) # ((\gpio_u0|mm_interconnect_0|router|src_channel~2_combout\ & \gpio_u0|mm_interconnect_0|router|src_channel~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal13~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|src_channel~2_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|src_channel~3_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_channel[3]~6_combout\);

-- Location: LCCOMB_X35_Y22_N16
\gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & ((\gpio_u0|master_0|transacto|p2m|write~q\) # (\gpio_u0|master_0|transacto|p2m|read~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datac => \gpio_u0|master_0|transacto|p2m|write~q\,
	datad => \gpio_u0|master_0|transacto|p2m|read~q\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0_combout\);

-- Location: FF_X38_Y22_N29
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|router|src_channel[3]~6_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(3));

-- Location: LCCOMB_X38_Y22_N28
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0_combout\ & (((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(3)) # 
-- (\gpio_u0|master_0|transacto|p2m|write~q\)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(3),
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~0_combout\);

-- Location: LCCOMB_X43_Y27_N20
\gpio_u0|master_0|transacto|p2m|writedata[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[0]~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & !\gpio_u0|master_0|transacto|p2m|current_byte\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[0]~0_combout\);

-- Location: FF_X42_Y27_N11
\gpio_u0|master_0|transacto|p2m|writedata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(0),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(0));

-- Location: LCCOMB_X34_Y22_N12
\gpio_u0|altpll_0|wire_pfdena_reg_ena~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|altpll_0|wire_pfdena_reg_ena~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(2) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1) & 
-- \gpio_u0|user_led|always0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|user_led|always0~1_combout\,
	combout => \gpio_u0|altpll_0|wire_pfdena_reg_ena~0_combout\);

-- Location: LCCOMB_X34_Y22_N22
\gpio_u0|altpll_0|w_reset\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|altpll_0|w_reset~combout\ = (\gpio_u0|master_0|transacto|p2m|writedata\(0) & (\gpio_u0|mm_interconnect_0|router|Equal1~9_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal9~0_combout\ & \gpio_u0|altpll_0|wire_pfdena_reg_ena~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~9_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal9~0_combout\,
	datad => \gpio_u0|altpll_0|wire_pfdena_reg_ena~0_combout\,
	combout => \gpio_u0|altpll_0|w_reset~combout\);

-- Location: FF_X34_Y22_N23
\gpio_u0|altpll_0|prev_reset\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|altpll_0|w_reset~combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|altpll_0|prev_reset~q\);

-- Location: CLKCTRL_G19
\gpio_u0|altpll_0|prev_reset~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \gpio_u0|altpll_0|prev_reset~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \gpio_u0|altpll_0|prev_reset~clkctrl_outclk\);

-- Location: PLL_1
\gpio_u0|altpll_0|sd1|pll7\ : fiftyfivenm_pll
-- pragma translate_off
GENERIC MAP (
	auto_settings => "false",
	bandwidth_type => "medium",
	c0_high => 12,
	c0_initial => 1,
	c0_low => 12,
	c0_mode => "even",
	c0_ph => 0,
	c1_high => 0,
	c1_initial => 0,
	c1_low => 0,
	c1_mode => "bypass",
	c1_ph => 0,
	c1_use_casc_in => "off",
	c2_high => 0,
	c2_initial => 0,
	c2_low => 0,
	c2_mode => "bypass",
	c2_ph => 0,
	c2_use_casc_in => "off",
	c3_high => 0,
	c3_initial => 0,
	c3_low => 0,
	c3_mode => "bypass",
	c3_ph => 0,
	c3_use_casc_in => "off",
	c4_high => 0,
	c4_initial => 0,
	c4_low => 0,
	c4_mode => "bypass",
	c4_ph => 0,
	c4_use_casc_in => "off",
	charge_pump_current_bits => 1,
	clk0_counter => "c0",
	clk0_divide_by => 2,
	clk0_duty_cycle => 50,
	clk0_multiply_by => 1,
	clk0_phase_shift => "0",
	clk1_counter => "unused",
	clk1_divide_by => 0,
	clk1_duty_cycle => 50,
	clk1_multiply_by => 0,
	clk1_phase_shift => "0",
	clk2_counter => "unused",
	clk2_divide_by => 0,
	clk2_duty_cycle => 50,
	clk2_multiply_by => 0,
	clk2_phase_shift => "0",
	clk3_counter => "unused",
	clk3_divide_by => 0,
	clk3_duty_cycle => 50,
	clk3_multiply_by => 0,
	clk3_phase_shift => "0",
	clk4_counter => "unused",
	clk4_divide_by => 0,
	clk4_duty_cycle => 50,
	clk4_multiply_by => 0,
	clk4_phase_shift => "0",
	compensate_clock => "clock0",
	inclk0_input_frequency => 20000,
	inclk1_input_frequency => 0,
	loop_filter_c_bits => 0,
	loop_filter_r_bits => 27,
	m => 12,
	m_initial => 1,
	m_ph => 0,
	n => 1,
	operation_mode => "normal",
	pfd_max => 200000,
	pfd_min => 3076,
	self_reset_on_loss_lock => "off",
	simulation_type => "functional",
	switch_over_type => "auto",
	vco_center => 1538,
	vco_divide_by => 0,
	vco_frequency_control => "auto",
	vco_max => 3333,
	vco_min => 1538,
	vco_multiply_by => 0,
	vco_phase_shift_step => 208,
	vco_post_scale => 2)
-- pragma translate_on
PORT MAP (
	areset => \gpio_u0|altpll_0|prev_reset~clkctrl_outclk\,
	fbin => \gpio_u0|altpll_0|sd1|wire_pll7_fbout\,
	inclk => \gpio_u0|altpll_0|sd1|pll7_INCLK_bus\,
	locked => \gpio_u0|altpll_0|sd1|wire_pll7_locked\,
	fbout => \gpio_u0|altpll_0|sd1|wire_pll7_fbout\,
	clk => \gpio_u0|altpll_0|sd1|pll7_CLK_bus\);

-- Location: CLKCTRL_G18
\gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\);

-- Location: LCCOMB_X34_Y26_N4
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[40]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[40]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(4),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[40]~feeder_combout\);

-- Location: FF_X36_Y22_N17
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|router|Equal12~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(2));

-- Location: LCCOMB_X35_Y22_N18
\gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|write~q\) # 
-- ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(2)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|write~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(2),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~0_combout\);

-- Location: LCCOMB_X34_Y29_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~9_combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(0) $ (VCC)
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~10\ = 
-- CARRY(\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(0),
	datad => VCC,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~9_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~10\);

-- Location: LCCOMB_X43_Y38_N24
\gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\);

-- Location: FF_X43_Y38_N25
\gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1));

-- Location: LCCOMB_X43_Y38_N18
\gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ = \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1),
	combout => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\);

-- Location: FF_X43_Y38_N19
\gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0));

-- Location: LCCOMB_X43_Y38_N22
\gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ = \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0),
	combout => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\);

-- Location: FF_X43_Y38_N23
\gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

-- Location: CLKCTRL_G10
\gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\);

-- Location: FF_X32_Y29_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_combi~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\);

-- Location: LCCOMB_X35_Y34_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(0) $ (VCC)
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0~COUT\ = 
-- CARRY(\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0~COUT\);

-- Location: FF_X31_Y34_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\);

-- Location: LCCOMB_X35_Y34_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(1) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1~COUT\);

-- Location: FF_X35_Y34_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(1));

-- Location: LCCOMB_X35_Y34_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(2) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(2) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(2) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita1~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2~COUT\);

-- Location: FF_X35_Y34_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X35_Y34_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(3) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(3) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(3),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita2~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3~COUT\);

-- Location: FF_X35_Y34_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(3));

-- Location: LCCOMB_X35_Y34_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(4) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(4) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(4) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(4),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita3~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4~COUT\);

-- Location: FF_X35_Y34_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(4));

-- Location: LCCOMB_X35_Y34_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(5) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(5),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita4~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5~COUT\);

-- Location: FF_X35_Y34_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(5));

-- Location: LCCOMB_X35_Y34_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(6) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(6) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(6) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(6),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita5~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6~COUT\);

-- Location: FF_X35_Y34_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(6));

-- Location: LCCOMB_X35_Y34_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita7~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(7) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita7~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(7),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita6~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita7~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita7~COUT\);

-- Location: FF_X35_Y34_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita7~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(7));

-- Location: LCCOMB_X35_Y34_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~0_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(5) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(6) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(7) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(5),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(6),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(7),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~0_combout\);

-- Location: LCCOMB_X35_Y34_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita8~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita7~COUT\ $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(8),
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita7~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita8~combout\);

-- Location: FF_X35_Y34_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita8~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(8));

-- Location: LCCOMB_X35_Y34_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire\(0) = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(8),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire\(0));

-- Location: FF_X35_Y34_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|max_cnt_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire\(0),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|max_cnt_reg~q\);

-- Location: LCCOMB_X30_Y33_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_OTERM5\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_OTERM5\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~feeder_combout\);

-- Location: FF_X30_Y33_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\);

-- Location: IOIBUF_X20_Y39_N8
\qspi_io[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => qspi_io(1),
	o => \qspi_io[1]~input_o\);

-- Location: LCCOMB_X26_Y29_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[0]~feeder_combout\ = \qspi_io[1]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \qspi_io[1]~input_o\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[0]~feeder_combout\);

-- Location: LCCOMB_X35_Y25_N24
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[71]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[71]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|read~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|read~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[71]~feeder_combout\);

-- Location: LCCOMB_X38_Y22_N4
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\ = (\gpio_u0|mm_interconnect_0|router|src_channel[3]~6_combout\ & (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~q\ $ (!\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|src_channel[3]~6_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\);

-- Location: FF_X35_Y25_N25
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[71]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[71]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(71));

-- Location: LCCOMB_X35_Y25_N8
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[71]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[71]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(71)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(71),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[71]~feeder_combout\);

-- Location: FF_X35_Y25_N9
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[71]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[71]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(71));

-- Location: LCCOMB_X34_Y24_N22
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X34_Y24_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|din_s1~q\);

-- Location: FF_X31_Y27_N31
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|din_s1~q\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0));

-- Location: LCCOMB_X32_Y27_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~1_combout\ = (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(71) & 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(71),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~1_combout\);

-- Location: LCCOMB_X34_Y27_N22
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[70]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[70]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|write~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[70]~feeder_combout\);

-- Location: FF_X34_Y27_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[70]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[70]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(70));

-- Location: FF_X31_Y27_N7
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[70]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(70),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70));

-- Location: LCCOMB_X34_Y27_N0
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[71]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[71]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|read~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|read~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[71]~feeder_combout\);

-- Location: FF_X34_Y27_N1
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[71]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[71]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(71));

-- Location: LCCOMB_X29_Y27_N14
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[71]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[71]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(71)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(71),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[71]~feeder_combout\);

-- Location: FF_X29_Y27_N15
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[71]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[71]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71));

-- Location: LCCOMB_X34_Y27_N20
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[70]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[70]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|write~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[70]~feeder_combout\);

-- Location: FF_X34_Y27_N21
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[70]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[70]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(70));

-- Location: FF_X30_Y27_N9
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[70]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(70),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(70));

-- Location: LCCOMB_X29_Y27_N30
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[122]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[122]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[122]~feeder_combout\);

-- Location: FF_X29_Y27_N31
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[122]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(122));

-- Location: FF_X29_Y27_N19
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(122),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(122));

-- Location: LCCOMB_X34_Y27_N8
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[69]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[69]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|write~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[69]~feeder_combout\);

-- Location: FF_X34_Y27_N9
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[69]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[69]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(69));

-- Location: FF_X30_Y27_N7
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[69]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(69),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(69));

-- Location: LCCOMB_X29_Y27_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(70) & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(122) & 
-- !\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(69)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(70),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(122),
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(69),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X31_Y25_N16
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X31_Y25_N17
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|din_s1~q\);

-- Location: FF_X30_Y27_N21
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|din_s1~q\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0));

-- Location: LCCOMB_X29_Y27_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71) & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\ $ 
-- (((\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0)))))) # (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~0_combout\);

-- Location: LCCOMB_X30_Y27_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (((!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71) & !\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(70))) # (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(70),
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~0_combout\);

-- Location: LCCOMB_X29_Y27_N2
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~1_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~0_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~1_combout\);

-- Location: LCCOMB_X34_Y26_N6
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[39]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[39]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[39]~feeder_combout\);

-- Location: FF_X34_Y26_N7
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[39]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(39));

-- Location: FF_X35_Y26_N15
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(39),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(39));

-- Location: LCCOMB_X32_Y29_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\ & (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(39) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(39),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\);

-- Location: LCCOMB_X34_Y27_N12
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[38]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[38]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[38]~feeder_combout\);

-- Location: FF_X34_Y27_N13
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[38]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(38));

-- Location: FF_X30_Y27_N19
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(38),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38));

-- Location: LCCOMB_X29_Y27_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\ = (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71) 
-- & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71),
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\);

-- Location: LCCOMB_X32_Y29_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_combi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_combi~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\ & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38) & 
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_combi~0_combout\);

-- Location: FF_X32_Y29_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_combi~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_valid~q\);

-- Location: LCCOMB_X32_Y29_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_combi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_combi~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\ & (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38) & 
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_combi~0_combout\);

-- Location: FF_X32_Y29_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_combi~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_valid~q\);

-- Location: LCCOMB_X35_Y26_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~0_combout\ = (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40) & 
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(39))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(39),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~0_combout\);

-- Location: LCCOMB_X29_Y27_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~0_combout\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~1_combout\);

-- Location: LCCOMB_X30_Y27_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71) & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\ & (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71),
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~combout\);

-- Location: FF_X30_Y27_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_rdid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_rdid~q\);

-- Location: LCCOMB_X32_Y29_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_combi\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_combi~combout\ = (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\ & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38) & 
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_combi~combout\);

-- Location: FF_X32_Y29_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_sid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_combi~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_sid~q\);

-- Location: LCCOMB_X27_Y29_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_rdid~q\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_sid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_rdid~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_sid~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~0_combout\);

-- Location: LCCOMB_X27_Y29_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\ & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_sid~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_sid~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~0_combout\);

-- Location: LCCOMB_X27_Y29_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~0_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~1_combout\);

-- Location: FF_X27_Y29_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\);

-- Location: LCCOMB_X27_Y29_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\);

-- Location: FF_X32_Y29_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_valid~q\);

-- Location: LCCOMB_X27_Y29_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_rdid~q\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_rdid~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~0_combout\);

-- Location: LCCOMB_X27_Y29_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~q\) # ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_sid~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~0_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_sid~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_sid~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~1_combout\);

-- Location: FF_X27_Y29_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~q\);

-- Location: LCCOMB_X27_Y29_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~1_combout\);

-- Location: FF_X27_Y29_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_valid~q\);

-- Location: LCCOMB_X27_Y29_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_rdid~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_rdid~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~1_combout\);

-- Location: FF_X27_Y29_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~q\);

-- Location: LCCOMB_X27_Y29_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_en~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\);

-- Location: FF_X27_Y29_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_valid~q\);

-- Location: LCCOMB_X27_Y29_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_valid~q\) 
-- # (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_valid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_valid~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_valid~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~0_combout\);

-- Location: LCCOMB_X32_Y29_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_valid~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_valid~q\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_valid~q\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_valid~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_valid~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_valid~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\);

-- Location: FF_X31_Y25_N31
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[1][122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[1][122]~q\);

-- Location: LCCOMB_X31_Y25_N30
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~1_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[1][122]~q\) # ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[1][122]~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~1_combout\);

-- Location: LCCOMB_X31_Y25_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0)) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\) # ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0) & 
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][122]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][122]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~combout\);

-- Location: LCCOMB_X34_Y25_N14
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X34_Y25_N15
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|din_s1~q\);

-- Location: LCCOMB_X34_Y25_N26
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|din_s1~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X34_Y25_N27
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0));

-- Location: LCCOMB_X34_Y25_N28
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~feeder_combout\);

-- Location: FF_X34_Y25_N29
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\);

-- Location: LCCOMB_X31_Y25_N22
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X31_Y25_N23
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|din_s1~q\);

-- Location: FF_X31_Y25_N19
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|din_s1~q\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|dreg\(0));

-- Location: LCCOMB_X31_Y25_N10
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~combout\ & ((!\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|dreg\(0)))) 
-- # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~combout\ & (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~0_combout\);

-- Location: FF_X31_Y25_N11
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~q\);

-- Location: LCCOMB_X31_Y25_N0
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_ready~0_combout\ = \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~q\ $ (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|dreg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_ready~0_combout\);

-- Location: LCCOMB_X31_Y25_N4
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]~4_combout\ = ((!\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_ready~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][122]~q\) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~0_combout\)))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][122]~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_ready~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]~4_combout\);

-- Location: FF_X31_Y25_N5
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][122]~q\);

-- Location: LCCOMB_X31_Y25_N2
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0_combout\ = (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~0_combout\ & 
-- (!\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_ready~0_combout\ & ((!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][122]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][122]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_ready~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0_combout\);

-- Location: LCCOMB_X31_Y25_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[1]~1_combout\ = (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1)) # ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[1]~1_combout\);

-- Location: FF_X31_Y25_N29
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[1]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1));

-- Location: LCCOMB_X31_Y25_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[0]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0)) # (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) $ 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0_combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0_combout\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0_combout\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[0]~0_combout\);

-- Location: FF_X31_Y25_N9
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used[0]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0));

-- Location: LCCOMB_X31_Y25_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & 
-- !\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~0_combout\);

-- Location: LCCOMB_X31_Y25_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|uncompressor|sink_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|uncompressor|sink_ready~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0) & 
-- (!\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_ready~0_combout\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][122]~q\) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][122]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_ready~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|uncompressor|sink_ready~0_combout\);

-- Location: LCCOMB_X31_Y25_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~3_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0))))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~1_combout\) # ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0) & 
-- !\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|uncompressor|sink_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|uncompressor|sink_ready~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: FF_X31_Y25_N15
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X31_Y25_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]~2_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0) & 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|uncompressor|sink_ready~0_combout\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~1_combout\) # 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1))))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[0]~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|uncompressor|sink_ready~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]~2_combout\);

-- Location: FF_X31_Y25_N21
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X30_Y27_N0
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\ = (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\);

-- Location: LCCOMB_X30_Y27_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71)) # (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(70))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(71),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(70),
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~0_combout\);

-- Location: LCCOMB_X31_Y27_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\ = (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\);

-- Location: LCCOMB_X30_Y27_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70)) # (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(71)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70),
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(71),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0_combout\);

-- Location: LCCOMB_X32_Y27_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\);

-- Location: FF_X32_Y27_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_read\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_read~q\);

-- Location: LCCOMB_X30_Y27_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~0_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0_combout\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~0_combout\);

-- Location: LCCOMB_X30_Y27_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_read~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~1_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_read~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\);

-- Location: LCCOMB_X32_Y32_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~feeder_combout\);

-- Location: FF_X32_Y32_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\);

-- Location: LCCOMB_X34_Y31_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|cs3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|cs3~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe1~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|cs3~0_combout\);

-- Location: FF_X34_Y31_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|cs3~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~17_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe1~q\);

-- Location: LCCOMB_X34_Y31_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[1]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~17_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe1~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~17_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101001001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~17_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe1~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[1]~0_combout\);

-- Location: FF_X34_Y31_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[1]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1));

-- Location: LCCOMB_X34_Y33_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sprot_polling\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sprot_polling~combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0) & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sprot_polling~combout\);

-- Location: LCCOMB_X27_Y30_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~0_combout\);

-- Location: FF_X30_Y33_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\);

-- Location: LCCOMB_X29_Y35_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~feeder_combout\);

-- Location: FF_X29_Y35_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\);

-- Location: LCCOMB_X30_Y33_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\) # ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_rdid~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_rdid~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~0_combout\);

-- Location: FF_X30_Y27_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_fast_read\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_fast_read~q\);

-- Location: LCCOMB_X30_Y30_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_fast_read~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_fast_read~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~0_combout\);

-- Location: LCCOMB_X30_Y33_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~feeder_combout\);

-- Location: FF_X30_Y33_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\);

-- Location: LCCOMB_X30_Y33_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~0_combout\);

-- Location: FF_X30_Y33_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~q\);

-- Location: LCCOMB_X30_Y33_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~0_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~1_combout\);

-- Location: LCCOMB_X30_Y33_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~1_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_OTERM5\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_OTERM5\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_combout\);

-- Location: FF_X30_Y33_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_NEW_REG14\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\);

-- Location: LCCOMB_X30_Y30_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~0_combout\);

-- Location: LCCOMB_X31_Y30_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~12_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(6) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~11\ $ (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(6) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~11\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~13\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(6) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(6),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~11\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~12_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~13\);

-- Location: LCCOMB_X31_Y30_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~14_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(7) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~13\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~13\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~15\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~13\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(7),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~13\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~14_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~15\);

-- Location: LCCOMB_X31_Y30_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~14_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\ & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~14_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~4_combout\);

-- Location: FF_X31_Y30_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(7));

-- Location: LCCOMB_X31_Y30_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~16_combout\ = \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~15\ $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(8),
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~15\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~16_combout\);

-- Location: LCCOMB_X31_Y30_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~3_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~16_combout\ & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~16_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~3_combout\);

-- Location: FF_X31_Y30_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(8));

-- Location: LCCOMB_X31_Y30_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(0) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(7) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(1) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(7),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(8),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~0_combout\);

-- Location: LCCOMB_X30_Y30_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(4)) # ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~0_combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(4),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\);

-- Location: FF_X30_Y31_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~q\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg2~q\);

-- Location: LCCOMB_X30_Y32_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs3~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe1~q\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe1~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs3~0_combout\);

-- Location: LCCOMB_X31_Y34_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\);

-- Location: LCCOMB_X29_Y32_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(0) $ (VCC)
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0~COUT\ = 
-- CARRY(\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X29_Y31_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(24) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(24) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(24) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(24),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24~COUT\);

-- Location: LCCOMB_X29_Y31_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(25) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(25) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(25)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(25),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25~COUT\);

-- Location: LCCOMB_X29_Y29_N8
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[17]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(17),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[17]~feeder_combout\);

-- Location: FF_X29_Y29_N9
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[17]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(17));

-- Location: FF_X29_Y29_N1
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(17),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(17));

-- Location: LCCOMB_X34_Y27_N26
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[0]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[0]~feeder_combout\);

-- Location: FF_X34_Y27_N27
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(0));

-- Location: FF_X42_Y27_N23
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(0),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0));

-- Location: FF_X43_Y27_N21
\gpio_u0|master_0|transacto|p2m|writedata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(1),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(1));

-- Location: LCCOMB_X34_Y27_N14
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[1]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[1]~feeder_combout\);

-- Location: FF_X34_Y27_N15
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(1));

-- Location: FF_X30_Y27_N27
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(1),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1));

-- Location: LCCOMB_X30_Y27_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(70) & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38) & \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(70),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38),
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~0_combout\);

-- Location: LCCOMB_X30_Y27_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~0_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\);

-- Location: LCCOMB_X30_Y27_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ = (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0) & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1) 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\);

-- Location: LCCOMB_X29_Y30_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~10_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(17))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(25))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(17),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(25),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~10_combout\);

-- Location: LCCOMB_X31_Y28_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\);

-- Location: LCCOMB_X39_Y29_N12
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[61]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[61]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(25)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(25),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[61]~feeder_combout\);

-- Location: FF_X39_Y29_N13
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[61]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[61]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(61));

-- Location: LCCOMB_X39_Y29_N8
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[61]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[61]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(61)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(61),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[61]~feeder_combout\);

-- Location: FF_X39_Y29_N9
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[61]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[61]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(61));

-- Location: LCCOMB_X32_Y26_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[23]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[23]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(61)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(61),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[23]~feeder_combout\);

-- Location: LCCOMB_X37_Y28_N18
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[76]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[76]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[76]~feeder_combout\);

-- Location: FF_X37_Y28_N19
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[76]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[76]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(76));

-- Location: LCCOMB_X37_Y28_N14
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[76]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[76]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(76)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(76),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[76]~feeder_combout\);

-- Location: FF_X37_Y28_N15
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[76]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[76]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(76));

-- Location: LCCOMB_X32_Y28_N4
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_burstcount[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_burstcount[2]~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(76)) # ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(71) & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(71),
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(76),
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_burstcount[2]~0_combout\);

-- Location: LCCOMB_X32_Y24_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_beginbursttransfer~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_beginbursttransfer~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70) & !\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_burstcount[2]~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_burstcount[2]~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_beginbursttransfer~0_combout\);

-- Location: FF_X32_Y24_N9
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_beginbursttransfer\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_beginbursttransfer~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_beginbursttransfer~q\);

-- Location: LCCOMB_X32_Y24_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\ & (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_burstcount[2]~0_combout\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~q\))))) # 
-- (!\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70) & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_burstcount[2]~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~0_combout\);

-- Location: FF_X32_Y24_N21
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~q\);

-- Location: LCCOMB_X37_Y19_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~feeder_combout\);

-- Location: FF_X37_Y19_N1
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\);

-- Location: LCCOMB_X31_Y27_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer~q\) # ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\ & 
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_begintransfer~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_begintransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer~0_combout\);

-- Location: FF_X31_Y27_N9
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer~q\);

-- Location: LCCOMB_X31_Y27_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_begintransfer~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_begintransfer~0_combout\ = (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer~q\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(71)) # (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(71),
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_begintransfer~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_begintransfer~0_combout\);

-- Location: LCCOMB_X32_Y27_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_begintransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~1_combout\) # ((!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_beginbursttransfer~q\ & 
-- !\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|end_beginbursttransfer~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|in_transfer~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_begintransfer~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\);

-- Location: FF_X32_Y26_N17
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[23]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(23));

-- Location: LCCOMB_X32_Y27_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[23]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[23]~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(61)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(23)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(23),
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(61),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[23]~0_combout\);

-- Location: FF_X32_Y27_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[23]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(23));

-- Location: LCCOMB_X31_Y30_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[23]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[23]~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(23))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[23]~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(23),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[23]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[23]~0_combout\);

-- Location: LCCOMB_X29_Y30_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[25]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[25]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[23]~0_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~10_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~10_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[23]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[25]~0_combout\);

-- Location: LCCOMB_X34_Y29_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~16_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~14\)) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~14\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~17\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~14\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~14\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~16_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~17\);

-- Location: LCCOMB_X34_Y29_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~18_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~17\ $ 
-- (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~17\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~19\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~17\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~18_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~19\);

-- Location: FF_X32_Y28_N5
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|burstcount_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_burstcount[2]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|burstcount_reg\(0));

-- Location: LCCOMB_X32_Y28_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_burstcount[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_burstcount[0]~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_burstcount[2]~0_combout\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|burstcount_reg\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|burstcount_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_burstcount[2]~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_burstcount[0]~0_combout\);

-- Location: FF_X32_Y28_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_burstcount[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_burstcount[0]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_burstcount\(0));

-- Location: LCCOMB_X31_Y30_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_burstcount[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_burstcount[0]~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_burstcount\(0))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_burstcount[0]~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_burstcount\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_burstcount[0]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_burstcount[0]~0_combout\);

-- Location: FF_X31_Y30_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_burstcount[0]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\(2));

-- Location: LCCOMB_X34_Y29_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~4_combout\ = \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~4_combout\);

-- Location: LCCOMB_X34_Y29_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~20_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~19\)) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~19\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~21\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~19\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~19\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~20_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~21\);

-- Location: LCCOMB_X34_Y29_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~22_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~21\ $ 
-- (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~21\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~23\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~21\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~21\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~22_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~23\);

-- Location: FF_X34_Y29_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~22_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6));

-- Location: LCCOMB_X34_Y29_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[7]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[7]~24_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~23\)) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~23\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[7]~25\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~23\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[6]~23\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[7]~24_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[7]~25\);

-- Location: FF_X34_Y29_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[7]~24_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7));

-- Location: LCCOMB_X34_Y29_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[8]~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[8]~26_combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(8) $ (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[7]~25\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(8),
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[7]~25\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[8]~26_combout\);

-- Location: FF_X34_Y29_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[8]~26_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(8));

-- Location: LCCOMB_X34_Y29_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(8) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(1) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(8),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~1_combout\);

-- Location: LCCOMB_X34_Y29_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\ = ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~4_combout\ 
-- & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~1_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~4_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\);

-- Location: FF_X34_Y29_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[4]~18_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4));

-- Location: FF_X34_Y29_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[5]~20_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5));

-- Location: LCCOMB_X34_Y29_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~0_combout\);

-- Location: LCCOMB_X31_Y29_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~1_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\);

-- Location: FF_X31_Y30_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[23]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(25));

-- Location: LCCOMB_X40_Y28_N18
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[60]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[60]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(24)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(24),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[60]~feeder_combout\);

-- Location: FF_X40_Y28_N19
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[60]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[60]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(60));

-- Location: LCCOMB_X40_Y28_N26
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[60]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[60]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(60)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(60),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[60]~feeder_combout\);

-- Location: FF_X40_Y28_N27
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[60]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[60]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(60));

-- Location: LCCOMB_X32_Y28_N30
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[22]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[22]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(60)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(60),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[22]~feeder_combout\);

-- Location: FF_X32_Y28_N31
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[22]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(22));

-- Location: LCCOMB_X32_Y28_N2
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[22]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[22]~1_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(60))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(22))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(60),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(22),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[22]~1_combout\);

-- Location: FF_X32_Y28_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[22]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(22));

-- Location: LCCOMB_X31_Y28_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[22]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[22]~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(22))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[22]~1_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(22),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[22]~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[22]~1_combout\);

-- Location: FF_X31_Y28_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[22]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(24));

-- Location: LCCOMB_X40_Y28_N0
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[59]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[59]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(23)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(23),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[59]~feeder_combout\);

-- Location: FF_X40_Y28_N1
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[59]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[59]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(59));

-- Location: LCCOMB_X40_Y28_N30
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[59]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[59]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(59)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(59),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[59]~feeder_combout\);

-- Location: FF_X40_Y28_N31
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[59]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[59]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(59));

-- Location: LCCOMB_X32_Y28_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[21]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[21]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(59)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(59),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[21]~feeder_combout\);

-- Location: FF_X32_Y28_N15
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[21]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(21));

-- Location: LCCOMB_X32_Y28_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[21]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[21]~2_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(59))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(21))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(59),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(21),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[21]~2_combout\);

-- Location: FF_X32_Y28_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[21]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(21));

-- Location: LCCOMB_X31_Y28_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[21]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[21]~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(21))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[21]~2_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(21),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[21]~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[21]~2_combout\);

-- Location: FF_X31_Y28_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[21]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(23));

-- Location: LCCOMB_X41_Y24_N18
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[58]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[58]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(22)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(22),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[58]~feeder_combout\);

-- Location: FF_X41_Y24_N19
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[58]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[58]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(58));

-- Location: LCCOMB_X41_Y24_N26
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[58]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[58]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(58)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(58),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[58]~feeder_combout\);

-- Location: FF_X41_Y24_N27
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[58]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[58]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(58));

-- Location: LCCOMB_X32_Y28_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[20]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[20]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(58)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(58),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[20]~feeder_combout\);

-- Location: FF_X32_Y28_N9
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[20]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(20));

-- Location: LCCOMB_X32_Y28_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[20]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[20]~3_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(58))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(20))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(58),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(20),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[20]~3_combout\);

-- Location: FF_X32_Y28_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[20]~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(20));

-- Location: LCCOMB_X31_Y28_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[20]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[20]~3_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(20))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[20]~3_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(20),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[20]~3_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[20]~3_combout\);

-- Location: FF_X31_Y28_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[20]~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(22));

-- Location: LCCOMB_X37_Y26_N20
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[57]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[57]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(21)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(21),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[57]~feeder_combout\);

-- Location: FF_X37_Y26_N21
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[57]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[57]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(57));

-- Location: LCCOMB_X35_Y26_N2
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[57]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[57]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(57)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(57),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[57]~feeder_combout\);

-- Location: FF_X35_Y26_N3
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[57]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[57]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(57));

-- Location: LCCOMB_X32_Y28_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[19]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(57)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(57),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[19]~feeder_combout\);

-- Location: FF_X32_Y28_N17
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[19]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(19));

-- Location: LCCOMB_X32_Y28_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[19]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[19]~4_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(57)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(19),
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(57),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[19]~4_combout\);

-- Location: FF_X32_Y28_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[19]~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(19));

-- Location: LCCOMB_X31_Y28_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[19]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[19]~4_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(19)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[19]~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[19]~4_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(19),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[19]~4_combout\);

-- Location: FF_X31_Y28_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[19]~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(21));

-- Location: LCCOMB_X40_Y23_N18
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[56]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[56]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(20)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(20),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[56]~feeder_combout\);

-- Location: FF_X40_Y23_N19
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[56]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[56]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(56));

-- Location: LCCOMB_X40_Y23_N16
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[56]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[56]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(56)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(56),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[56]~feeder_combout\);

-- Location: FF_X40_Y23_N17
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[56]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[56]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(56));

-- Location: LCCOMB_X32_Y26_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[18]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[18]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(56)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(56),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[18]~feeder_combout\);

-- Location: FF_X32_Y26_N27
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[18]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(18));

-- Location: LCCOMB_X32_Y26_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[18]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[18]~5_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(56))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(18))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(56),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(18),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[18]~5_combout\);

-- Location: FF_X32_Y26_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[18]~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(18));

-- Location: LCCOMB_X31_Y28_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[18]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[18]~5_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(18))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[18]~5_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(18),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[18]~5_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[18]~5_combout\);

-- Location: FF_X31_Y28_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[18]~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(20));

-- Location: LCCOMB_X40_Y28_N28
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[55]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[55]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(19)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(19),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[55]~feeder_combout\);

-- Location: FF_X40_Y28_N29
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[55]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[55]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(55));

-- Location: LCCOMB_X39_Y28_N28
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[55]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[55]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(55)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(55),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[55]~feeder_combout\);

-- Location: FF_X39_Y28_N29
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[55]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[55]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(55));

-- Location: LCCOMB_X34_Y28_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[17]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(55)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(55),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[17]~feeder_combout\);

-- Location: FF_X34_Y28_N13
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[17]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(17));

-- Location: LCCOMB_X32_Y28_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[17]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[17]~6_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(55))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(17))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(55),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(17),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[17]~6_combout\);

-- Location: FF_X32_Y28_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[17]~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(17));

-- Location: LCCOMB_X31_Y28_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[17]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[17]~6_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(17))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[17]~6_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(17),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[17]~6_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[17]~6_combout\);

-- Location: FF_X31_Y28_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[17]~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(19));

-- Location: LCCOMB_X40_Y23_N4
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[54]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[54]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(18)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(18),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[54]~feeder_combout\);

-- Location: FF_X40_Y23_N5
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[54]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[54]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(54));

-- Location: LCCOMB_X40_Y23_N0
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[54]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[54]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(54)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(54),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[54]~feeder_combout\);

-- Location: FF_X40_Y23_N1
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[54]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[54]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(54));

-- Location: FF_X31_Y26_N1
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(54),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(16));

-- Location: LCCOMB_X31_Y26_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[16]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[16]~7_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(54))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(16))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(54),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(16),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[16]~7_combout\);

-- Location: LCCOMB_X31_Y26_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[16]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[16]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[16]~7_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[16]~7_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[16]~feeder_combout\);

-- Location: FF_X31_Y26_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[16]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(16));

-- Location: LCCOMB_X30_Y28_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[16]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[16]~7_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(16))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[16]~7_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(16),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[16]~7_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[16]~7_combout\);

-- Location: FF_X30_Y28_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[16]~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(18));

-- Location: LCCOMB_X40_Y23_N14
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[53]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[53]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(17),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[53]~feeder_combout\);

-- Location: FF_X40_Y23_N15
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[53]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[53]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(53));

-- Location: LCCOMB_X40_Y23_N12
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[53]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[53]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(53)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(53),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[53]~feeder_combout\);

-- Location: FF_X40_Y23_N13
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[53]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[53]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(53));

-- Location: LCCOMB_X32_Y26_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[15]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(53)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(53),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[15]~feeder_combout\);

-- Location: FF_X32_Y26_N15
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[15]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(15));

-- Location: LCCOMB_X32_Y26_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[15]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[15]~8_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(53))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(15))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(53),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(15),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[15]~8_combout\);

-- Location: FF_X32_Y26_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[15]~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(15));

-- Location: LCCOMB_X31_Y28_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[15]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[15]~8_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(15))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[15]~8_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(15),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[15]~8_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[15]~8_combout\);

-- Location: FF_X31_Y28_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[15]~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(17));

-- Location: LCCOMB_X40_Y23_N30
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[52]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[52]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(16),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[52]~feeder_combout\);

-- Location: FF_X40_Y23_N31
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[52]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[52]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(52));

-- Location: LCCOMB_X40_Y23_N10
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[52]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[52]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(52)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(52),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[52]~feeder_combout\);

-- Location: FF_X40_Y23_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[52]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[52]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(52));

-- Location: LCCOMB_X32_Y26_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[14]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(52)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(52),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[14]~feeder_combout\);

-- Location: FF_X32_Y26_N1
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[14]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(14));

-- Location: LCCOMB_X32_Y27_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[14]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[14]~9_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(52))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(52),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(14),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[14]~9_combout\);

-- Location: FF_X32_Y27_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[14]~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(14));

-- Location: LCCOMB_X32_Y27_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[14]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[14]~9_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(14))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[14]~9_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(14),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[14]~9_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[14]~9_combout\);

-- Location: FF_X32_Y27_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[14]~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(16));

-- Location: LCCOMB_X40_Y23_N28
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[51]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[51]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(15),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[51]~feeder_combout\);

-- Location: FF_X40_Y23_N29
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[51]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[51]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(51));

-- Location: LCCOMB_X40_Y23_N8
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[51]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[51]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(51)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(51),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[51]~feeder_combout\);

-- Location: FF_X40_Y23_N9
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[51]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[51]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(51));

-- Location: LCCOMB_X32_Y26_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[13]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(51)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(51),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[13]~feeder_combout\);

-- Location: FF_X32_Y26_N19
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[13]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(13));

-- Location: LCCOMB_X32_Y27_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[13]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[13]~10_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(51)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(13),
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(51),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[13]~10_combout\);

-- Location: FF_X32_Y27_N7
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[13]~10_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(13));

-- Location: LCCOMB_X32_Y27_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[13]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[13]~10_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(13))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[13]~10_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(13),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[13]~10_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[13]~10_combout\);

-- Location: FF_X32_Y27_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[13]~10_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(15));

-- Location: LCCOMB_X40_Y23_N26
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[50]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[50]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(14),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[50]~feeder_combout\);

-- Location: FF_X40_Y23_N27
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[50]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[50]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(50));

-- Location: LCCOMB_X40_Y23_N22
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[50]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[50]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(50)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(50),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[50]~feeder_combout\);

-- Location: FF_X40_Y23_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[50]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[50]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(50));

-- Location: LCCOMB_X32_Y26_N30
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[12]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(50)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(50),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[12]~feeder_combout\);

-- Location: FF_X32_Y26_N31
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[12]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(12));

-- Location: LCCOMB_X32_Y27_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[12]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[12]~11_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(50)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(12)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(12),
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(50),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[12]~11_combout\);

-- Location: FF_X32_Y27_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[12]~11_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(12));

-- Location: LCCOMB_X32_Y27_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[12]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[12]~11_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(12))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[12]~11_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(12),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[12]~11_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[12]~11_combout\);

-- Location: FF_X32_Y27_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[12]~11_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(14));

-- Location: LCCOMB_X35_Y25_N10
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[49]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[49]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(13),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[49]~feeder_combout\);

-- Location: FF_X35_Y25_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[49]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[49]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(49));

-- Location: LCCOMB_X35_Y25_N16
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[49]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[49]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(49)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(49),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[49]~feeder_combout\);

-- Location: FF_X35_Y25_N17
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[49]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[49]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(49));

-- Location: LCCOMB_X32_Y28_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[11]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(49)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(49),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[11]~feeder_combout\);

-- Location: FF_X32_Y28_N21
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[11]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(11));

-- Location: LCCOMB_X32_Y27_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[11]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[11]~12_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(49))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(11))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(49),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(11),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[11]~12_combout\);

-- Location: FF_X32_Y27_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[11]~12_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(11));

-- Location: LCCOMB_X32_Y27_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[11]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[11]~12_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(11))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[11]~12_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(11),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[11]~12_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[11]~12_combout\);

-- Location: FF_X32_Y27_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[11]~12_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(13));

-- Location: LCCOMB_X41_Y24_N12
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[48]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[48]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(12),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[48]~feeder_combout\);

-- Location: FF_X41_Y24_N13
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[48]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[48]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(48));

-- Location: LCCOMB_X41_Y24_N10
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[48]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[48]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(48)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(48),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[48]~feeder_combout\);

-- Location: FF_X41_Y24_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[48]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[48]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(48));

-- Location: LCCOMB_X32_Y26_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[10]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(48)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(48),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[10]~feeder_combout\);

-- Location: FF_X32_Y26_N13
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[10]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(10));

-- Location: LCCOMB_X32_Y27_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[10]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[10]~13_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(48))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(10))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(48),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(10),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[10]~13_combout\);

-- Location: FF_X32_Y27_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[10]~13_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(10));

-- Location: LCCOMB_X32_Y27_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[10]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[10]~13_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(10))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[10]~13_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(10),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[10]~13_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[10]~13_combout\);

-- Location: FF_X32_Y27_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[10]~13_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(12));

-- Location: LCCOMB_X40_Y28_N8
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[47]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[47]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(11),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[47]~feeder_combout\);

-- Location: FF_X40_Y28_N9
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[47]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[47]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(47));

-- Location: LCCOMB_X40_Y28_N20
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[47]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[47]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(47)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(47),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[47]~feeder_combout\);

-- Location: FF_X40_Y28_N21
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[47]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[47]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(47));

-- Location: LCCOMB_X32_Y28_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[9]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(47)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(47),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[9]~feeder_combout\);

-- Location: FF_X32_Y28_N7
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(9));

-- Location: LCCOMB_X32_Y28_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[9]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[9]~14_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(47)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(9),
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(47),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[9]~14_combout\);

-- Location: FF_X32_Y28_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[9]~14_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(9));

-- Location: LCCOMB_X31_Y29_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[9]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[9]~14_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(9)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[9]~14_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[9]~14_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(9),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[9]~14_combout\);

-- Location: FF_X31_Y29_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[9]~14_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(11));

-- Location: LCCOMB_X38_Y28_N22
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[46]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[46]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(10),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[46]~feeder_combout\);

-- Location: FF_X38_Y28_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[46]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[46]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(46));

-- Location: LCCOMB_X35_Y28_N8
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[46]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[46]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(46)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(46),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[46]~feeder_combout\);

-- Location: FF_X35_Y28_N9
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[46]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[46]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(46));

-- Location: LCCOMB_X32_Y28_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[8]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(46)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(46),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[8]~feeder_combout\);

-- Location: FF_X32_Y28_N27
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[8]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(8));

-- Location: LCCOMB_X32_Y28_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[8]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[8]~15_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(46))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(46),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(8),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[8]~15_combout\);

-- Location: FF_X32_Y28_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[8]~15_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(8));

-- Location: LCCOMB_X31_Y29_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[8]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[8]~15_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(8))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[8]~15_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(8),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[8]~15_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[8]~15_combout\);

-- Location: FF_X31_Y29_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[8]~15_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(10));

-- Location: LCCOMB_X35_Y25_N18
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[45]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[45]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(9),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[45]~feeder_combout\);

-- Location: FF_X35_Y25_N19
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[45]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[45]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(45));

-- Location: LCCOMB_X35_Y25_N0
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[45]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[45]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(45)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(45),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[45]~feeder_combout\);

-- Location: FF_X35_Y25_N1
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[45]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[45]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(45));

-- Location: LCCOMB_X32_Y26_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[7]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(45)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(45),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[7]~feeder_combout\);

-- Location: FF_X32_Y26_N11
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(7));

-- Location: LCCOMB_X32_Y26_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[7]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[7]~16_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(45)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(7),
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(45),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[7]~16_combout\);

-- Location: FF_X32_Y26_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[7]~16_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(7));

-- Location: LCCOMB_X31_Y29_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[7]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[7]~16_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(7))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[7]~16_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(7),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[7]~16_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[7]~16_combout\);

-- Location: FF_X31_Y29_N7
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[7]~16_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(9));

-- Location: LCCOMB_X37_Y26_N2
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[44]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[44]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(8),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[44]~feeder_combout\);

-- Location: FF_X37_Y26_N3
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[44]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[44]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(44));

-- Location: LCCOMB_X36_Y26_N14
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[44]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[44]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(44)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(44),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[44]~feeder_combout\);

-- Location: FF_X36_Y26_N15
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[44]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[44]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(44));

-- Location: LCCOMB_X32_Y26_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[6]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(44)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(44),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[6]~feeder_combout\);

-- Location: FF_X32_Y26_N23
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(6));

-- Location: LCCOMB_X32_Y26_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[6]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[6]~17_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(44))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(44),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(6),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[6]~17_combout\);

-- Location: FF_X32_Y26_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[6]~17_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(6));

-- Location: LCCOMB_X31_Y29_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[6]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[6]~17_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(6))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[6]~17_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(6),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[6]~17_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[6]~17_combout\);

-- Location: FF_X31_Y29_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[6]~17_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(8));

-- Location: LCCOMB_X35_Y25_N26
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[43]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[43]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(7),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[43]~feeder_combout\);

-- Location: FF_X35_Y25_N27
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[43]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[43]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(43));

-- Location: LCCOMB_X35_Y28_N18
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[43]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[43]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(43)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(43),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[43]~feeder_combout\);

-- Location: FF_X35_Y28_N19
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[43]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[43]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(43));

-- Location: LCCOMB_X34_Y28_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[5]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(43)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(43),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[5]~feeder_combout\);

-- Location: FF_X34_Y28_N15
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(5));

-- Location: LCCOMB_X34_Y28_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[5]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[5]~18_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(43)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(5),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(43),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[5]~18_combout\);

-- Location: FF_X34_Y28_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[5]~18_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(5));

-- Location: LCCOMB_X31_Y29_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[5]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[5]~18_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(5))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[5]~18_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(5),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[5]~18_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[5]~18_combout\);

-- Location: FF_X31_Y29_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[5]~18_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(7));

-- Location: LCCOMB_X35_Y25_N22
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[42]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[42]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(6),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[42]~feeder_combout\);

-- Location: FF_X35_Y25_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[42]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[42]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(42));

-- Location: LCCOMB_X35_Y28_N28
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[42]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[42]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(42)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(42),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[42]~feeder_combout\);

-- Location: FF_X35_Y28_N29
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[42]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[42]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(42));

-- Location: LCCOMB_X34_Y28_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[4]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(42)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(42),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[4]~feeder_combout\);

-- Location: FF_X34_Y28_N19
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(4));

-- Location: LCCOMB_X34_Y28_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[4]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[4]~19_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(42)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(4),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(42),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[4]~19_combout\);

-- Location: FF_X34_Y28_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[4]~19_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(4));

-- Location: LCCOMB_X31_Y29_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[4]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[4]~19_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(4))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[4]~19_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(4),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[4]~19_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[4]~19_combout\);

-- Location: FF_X31_Y29_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[4]~19_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(6));

-- Location: LCCOMB_X41_Y24_N16
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[41]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[41]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[41]~feeder_combout\);

-- Location: FF_X41_Y24_N17
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[41]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[41]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(41));

-- Location: LCCOMB_X40_Y28_N2
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[41]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[41]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(41)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(41),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[41]~feeder_combout\);

-- Location: FF_X40_Y28_N3
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[41]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[41]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(41));

-- Location: LCCOMB_X34_Y28_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(41)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(41),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[3]~feeder_combout\);

-- Location: FF_X34_Y28_N7
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(3));

-- Location: LCCOMB_X34_Y28_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[3]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[3]~20_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(41))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(41),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(3),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[3]~20_combout\);

-- Location: FF_X34_Y28_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[3]~20_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(3));

-- Location: LCCOMB_X31_Y29_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[3]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[3]~20_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(3))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[3]~20_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(3),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[3]~20_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[3]~20_combout\);

-- Location: FF_X31_Y29_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[3]~20_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(5));

-- Location: LCCOMB_X34_Y26_N14
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[40]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[40]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(4),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[40]~feeder_combout\);

-- Location: FF_X34_Y26_N15
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[40]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(40));

-- Location: LCCOMB_X35_Y26_N24
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[40]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[40]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(40)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(40),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[40]~feeder_combout\);

-- Location: FF_X35_Y26_N25
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[40]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(40));

-- Location: LCCOMB_X34_Y28_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[2]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(40)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(40),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[2]~feeder_combout\);

-- Location: FF_X34_Y28_N9
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(2));

-- Location: LCCOMB_X34_Y28_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[2]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[2]~21_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(40))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(40),
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(2),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[2]~21_combout\);

-- Location: FF_X34_Y28_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[2]~21_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(2));

-- Location: LCCOMB_X30_Y30_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[2]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[2]~21_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(2))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[2]~21_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(2),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[2]~21_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[2]~21_combout\);

-- Location: FF_X30_Y30_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[2]~21_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(4));

-- Location: LCCOMB_X37_Y28_N10
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[39]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[39]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[39]~feeder_combout\);

-- Location: FF_X37_Y28_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[39]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(39));

-- Location: LCCOMB_X37_Y28_N8
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[39]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[39]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(39)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(39),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[39]~feeder_combout\);

-- Location: FF_X37_Y28_N9
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[39]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(39));

-- Location: LCCOMB_X34_Y28_N30
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[1]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(39)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(39),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[1]~feeder_combout\);

-- Location: FF_X34_Y28_N31
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(1));

-- Location: LCCOMB_X34_Y28_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[1]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[1]~22_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(39))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(39),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[1]~22_combout\);

-- Location: FF_X34_Y28_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[1]~22_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(1));

-- Location: LCCOMB_X31_Y28_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[1]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[1]~22_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(1))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[1]~22_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[1]~22_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[1]~22_combout\);

-- Location: FF_X31_Y28_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[1]~22_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(3));

-- Location: LCCOMB_X37_Y28_N12
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[38]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[38]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[38]~feeder_combout\);

-- Location: FF_X37_Y28_N13
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[38]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(38));

-- Location: LCCOMB_X35_Y28_N16
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[38]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[38]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(38)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(38),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[38]~feeder_combout\);

-- Location: FF_X35_Y28_N17
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[38]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(38));

-- Location: LCCOMB_X34_Y28_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(38)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[0]~feeder_combout\);

-- Location: FF_X34_Y28_N11
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(0));

-- Location: LCCOMB_X34_Y28_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[0]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[0]~23_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(38)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|address_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_beginbursttransfer~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[0]~23_combout\);

-- Location: FF_X34_Y28_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[0]~23_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(0));

-- Location: LCCOMB_X31_Y28_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[0]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[0]~23_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(0))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[0]~23_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_addr\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|av_address[0]~23_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[0]~23_combout\);

-- Location: FF_X31_Y28_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[0]~23_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(2));

-- Location: LCCOMB_X30_Y29_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(2) $ (VCC))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2) 
-- & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(2) & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~1\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(2),
	datad => VCC,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~0_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~1\);

-- Location: LCCOMB_X30_Y29_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(3) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~1\ & VCC)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(3) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~1\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(3) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~1\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(3) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~1\) # (GND)))))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~3\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(3) & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~1\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3) & ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~1\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(3),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~1\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~2_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~3\);

-- Location: LCCOMB_X30_Y29_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~4_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(4) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4) $ (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~3\)))) # (GND)
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~5\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(4) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~3\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(4) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(4),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~3\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~4_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~5\);

-- Location: LCCOMB_X30_Y29_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~6_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(5) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~5\ & VCC)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(5) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~5\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(5) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~5\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~5\) # (GND)))))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~7\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(5) & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~5\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5) & ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~5\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(5),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~5\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~6_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~7\);

-- Location: LCCOMB_X30_Y29_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~8_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(6) $ (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~7\)))) # (GND)
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~9\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(6)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~7\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(6) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(6),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~7\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~8_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~9\);

-- Location: LCCOMB_X30_Y29_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~10_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(7) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~9\ & VCC)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(7) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~9\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(7) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~9\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~9\) # (GND)))))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~11\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(7) & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~9\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7) & ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~9\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(7),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~9\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~10_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~11\);

-- Location: LCCOMB_X30_Y29_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~12_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(8) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(8) $ (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~11\)))) # (GND)
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~13\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(8) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(8)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~11\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(8) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(8) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~11\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(8),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(8),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~11\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~12_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~13\);

-- Location: LCCOMB_X30_Y29_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~14_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(9) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~13\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(9) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~13\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~15\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~13\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(9),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~13\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~14_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~15\);

-- Location: LCCOMB_X30_Y29_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~16_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(10) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~15\ $ (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(10) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~15\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~17\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(10) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(10),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~15\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~16_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~17\);

-- Location: LCCOMB_X30_Y29_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~18_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(11) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~17\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(11) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~17\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~19\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~17\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(11),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~17\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~18_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~19\);

-- Location: LCCOMB_X30_Y29_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~20_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(12) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~19\ $ (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(12) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~19\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~21\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(12) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(12),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~19\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~20_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~21\);

-- Location: LCCOMB_X30_Y29_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~22_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(13) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~21\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(13) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~21\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~23\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~21\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(13),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~21\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~22_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~23\);

-- Location: LCCOMB_X30_Y28_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~24_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(14) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~23\ $ (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(14) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~23\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~25\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(14) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(14),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~23\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~24_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~25\);

-- Location: LCCOMB_X30_Y28_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~26_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(15) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~25\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(15) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~25\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~27\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~25\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(15),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~25\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~26_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~27\);

-- Location: LCCOMB_X30_Y28_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~28_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(16) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~27\ $ (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(16) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~27\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~29\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(16) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(16),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~27\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~28_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~29\);

-- Location: LCCOMB_X30_Y28_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~30_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(17) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~29\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(17) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~29\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~31\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~29\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(17),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~29\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~30_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~31\);

-- Location: LCCOMB_X30_Y28_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~32_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(18) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~31\ $ (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(18) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~31\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~33\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(18) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(18),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~31\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~32_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~33\);

-- Location: LCCOMB_X30_Y28_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~34_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(19) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~33\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(19) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~33\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~35\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~33\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(19),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~33\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~34_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~35\);

-- Location: LCCOMB_X30_Y28_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~36_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(20) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~35\ $ (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(20) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~35\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~37\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(20) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~35\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(20),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~35\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~36_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~37\);

-- Location: LCCOMB_X30_Y28_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~38_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(21) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~37\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(21) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~37\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~39\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~37\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(21)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(21),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~37\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~38_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~39\);

-- Location: LCCOMB_X30_Y28_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~40_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(22) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~39\ $ (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(22) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~39\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~41\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(22) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~39\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(22),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~39\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~40_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~41\);

-- Location: LCCOMB_X30_Y28_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~42_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(23) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~41\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(23) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~41\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~43\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~41\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(23)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(23),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~41\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~42_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~43\);

-- Location: LCCOMB_X30_Y28_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~44_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(24) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~43\ $ (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(24) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~43\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~45\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(24) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~43\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(24),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~43\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~44_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~45\);

-- Location: LCCOMB_X30_Y28_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~46_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(25) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~45\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(25) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~45\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~47\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~45\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(25)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_addr\(25),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~45\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~46_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~47\);

-- Location: LCCOMB_X43_Y25_N18
\gpio_u0|master_0|transacto|p2m|state~59\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~59_combout\ = (\gpio_u0|master_0|transacto|p2m|Equal8~0_combout\ & (\gpio_u0|master_0|p2b|in_ready~combout\ & (!\gpio_u0|master_0|transacto|p2m|Equal10~5_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Equal10~5_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state~59_combout\);

-- Location: LCCOMB_X42_Y25_N4
\gpio_u0|master_0|transacto|p2m|state~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~60_combout\ = (!\gpio_u0|master_0|transacto|p2m|always1~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|state~59_combout\) # ((\gpio_u0|master_0|transacto|p2m|Equal4~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|state~52_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Equal4~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state~52_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state~59_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~60_combout\);

-- Location: FF_X42_Y25_N5
\gpio_u0|master_0|transacto|p2m|state.READ_ASSERT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~60_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\);

-- Location: LCCOMB_X43_Y28_N6
\gpio_u0|master_0|transacto|p2m|unshifted_byteenable~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~2_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(1)) # (!\gpio_u0|master_0|transacto|p2m|Equal10~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(1),
	combout => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~2_combout\);

-- Location: LCCOMB_X43_Y28_N18
\gpio_u0|master_0|transacto|p2m|unshifted_byteenable~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~0_combout\ = (\gpio_u0|master_0|transacto|p2m|counter\(1)) # ((\gpio_u0|master_0|transacto|p2m|counter\(0)) # (!\gpio_u0|master_0|transacto|p2m|Equal10~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(1),
	datac => \gpio_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(0),
	combout => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~0_combout\);

-- Location: FF_X43_Y28_N7
\gpio_u0|master_0|transacto|p2m|unshifted_byteenable[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(1));

-- Location: LCCOMB_X42_Y28_N22
\gpio_u0|master_0|transacto|p2m|Selector4~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector4~5_combout\ = (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(1),
	combout => \gpio_u0|master_0|transacto|p2m|Selector4~5_combout\);

-- Location: LCCOMB_X43_Y28_N2
\gpio_u0|master_0|transacto|p2m|unshifted_byteenable[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|unshifted_byteenable[0]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable[0]~feeder_combout\);

-- Location: FF_X43_Y28_N3
\gpio_u0|master_0|transacto|p2m|unshifted_byteenable[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(0));

-- Location: LCCOMB_X42_Y28_N14
\gpio_u0|master_0|transacto|p2m|Selector5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector5~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\ & \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(0),
	combout => \gpio_u0|master_0|transacto|p2m|Selector5~0_combout\);

-- Location: LCCOMB_X42_Y28_N24
\gpio_u0|master_0|transacto|p2m|Selector4~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector4~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & ((\gpio_u0|master_0|transacto|p2m|Selector5~0_combout\) # 
-- (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|Selector5~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector4~2_combout\);

-- Location: LCCOMB_X42_Y26_N16
\gpio_u0|master_0|transacto|p2m|WideOr3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|WideOr3~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\) # 
-- (\gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~q\,
	combout => \gpio_u0|master_0|transacto|p2m|WideOr3~0_combout\);

-- Location: LCCOMB_X37_Y21_N16
\gpio_u0|mm_interconnect_0|router|src_data~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data~7_combout\ = (\gpio_u0|mm_interconnect_0|router|always1~0_combout\ & ((\gpio_u0|mm_interconnect_0|router|Equal9~0_combout\) # ((\gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|address\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal9~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|always1~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(6),
	combout => \gpio_u0|mm_interconnect_0|router|src_data~7_combout\);

-- Location: LCCOMB_X39_Y21_N18
\gpio_u0|mm_interconnect_0|router|src_data[105]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data[105]~5_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal12~1_combout\ & ((\gpio_u0|master_0|transacto|p2m|address\(27)) # ((!\gpio_u0|master_0|transacto|p2m|address\(28)) # 
-- (!\gpio_u0|master_0|transacto|p2m|address\(26)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(27),
	datab => \gpio_u0|master_0|transacto|p2m|address\(26),
	datac => \gpio_u0|mm_interconnect_0|router|Equal12~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(28),
	combout => \gpio_u0|mm_interconnect_0|router|src_data[105]~5_combout\);

-- Location: LCCOMB_X38_Y21_N14
\gpio_u0|mm_interconnect_0|router|src_data~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data~8_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(4) & (((\gpio_u0|master_0|transacto|p2m|address\(5) & \gpio_u0|mm_interconnect_0|router|always1~4_combout\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address\(4) & ((\gpio_u0|mm_interconnect_0|router|always1~4_combout\) # ((\gpio_u0|mm_interconnect_0|router|Equal5~1_combout\ & \gpio_u0|master_0|transacto|p2m|address\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(4),
	datab => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(5),
	datad => \gpio_u0|mm_interconnect_0|router|always1~4_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_data~8_combout\);

-- Location: LCCOMB_X38_Y21_N10
\gpio_u0|mm_interconnect_0|router|src_data[105]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data[105]~6_combout\ = (!\gpio_u0|mm_interconnect_0|router|Equal11~2_combout\ & (!\gpio_u0|mm_interconnect_0|router|Equal13~0_combout\ & \gpio_u0|mm_interconnect_0|router|src_data[105]~14_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal11~2_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal13~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|src_data[105]~14_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_data[105]~6_combout\);

-- Location: LCCOMB_X38_Y21_N22
\gpio_u0|mm_interconnect_0|router|src_data[105]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data[105]~9_combout\ = (\gpio_u0|mm_interconnect_0|router|src_data[105]~5_combout\) # ((\gpio_u0|mm_interconnect_0|router|src_data[105]~6_combout\ & ((\gpio_u0|mm_interconnect_0|router|src_data~7_combout\) # 
-- (\gpio_u0|mm_interconnect_0|router|src_data~8_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|src_data~7_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|src_data[105]~5_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|src_data~8_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|src_data[105]~6_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_data[105]~9_combout\);

-- Location: FF_X38_Y21_N23
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|router|src_data[105]~9_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0));

-- Location: FF_X38_Y22_N31
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|router|src_channel~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(1));

-- Location: LCCOMB_X38_Y21_N24
\gpio_u0|mm_interconnect_0|router|src_data~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data~10_combout\ = (!\gpio_u0|mm_interconnect_0|router|always1~2_combout\ & ((!\gpio_u0|mm_interconnect_0|router|Equal5~1_combout\) # (!\gpio_u0|master_0|transacto|p2m|address\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|always1~2_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(4),
	datad => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_data~10_combout\);

-- Location: LCCOMB_X38_Y21_N8
\gpio_u0|mm_interconnect_0|router|src_data~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data~12_combout\ = (!\gpio_u0|mm_interconnect_0|router|always1~7_combout\ & (\gpio_u0|mm_interconnect_0|router|src_data~10_combout\ & (\gpio_u0|mm_interconnect_0|router|src_data~4_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|src_data[105]~14_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|always1~7_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|src_data~10_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|src_data~4_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|src_data[105]~14_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_data~12_combout\);

-- Location: FF_X38_Y21_N9
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|router|src_data~12_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(2));

-- Location: LCCOMB_X38_Y22_N16
\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(1) & ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(2) $ 
-- (\gpio_u0|mm_interconnect_0|router|src_data~12_combout\)) # (!\gpio_u0|mm_interconnect_0|router|src_channel~2_combout\))) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(1) & ((\gpio_u0|mm_interconnect_0|router|src_channel~2_combout\) 
-- # (\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(2) $ (\gpio_u0|mm_interconnect_0|router|src_data~12_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111110110111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(1),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(2),
	datac => \gpio_u0|mm_interconnect_0|router|src_data~12_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|src_channel~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\);

-- Location: LCCOMB_X38_Y22_N2
\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~4_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\) # ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\) # 
-- (\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0) $ (\gpio_u0|mm_interconnect_0|router|src_data[105]~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0),
	datab => \gpio_u0|mm_interconnect_0|router|src_data[105]~9_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~4_combout\);

-- Location: LCCOMB_X39_Y22_N8
\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\ & 
-- ((!\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~4_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\);

-- Location: LCCOMB_X42_Y28_N2
\gpio_u0|master_0|transacto|p2m|Selector4~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector4~3_combout\ = (\gpio_u0|master_0|transacto|p2m|WideOr3~0_combout\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\) # 
-- (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|WideOr3~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector4~3_combout\);

-- Location: LCCOMB_X42_Y28_N0
\gpio_u0|master_0|transacto|p2m|Selector4~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector4~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector4~5_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector4~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|byteenable\(1) & 
-- !\gpio_u0|master_0|transacto|p2m|Selector4~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector4~5_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector4~2_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|byteenable\(1),
	datad => \gpio_u0|master_0|transacto|p2m|Selector4~3_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector4~4_combout\);

-- Location: FF_X42_Y28_N1
\gpio_u0|master_0|transacto|p2m|byteenable[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector4~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|byteenable\(1));

-- Location: LCCOMB_X39_Y29_N10
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[33]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[33]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|byteenable\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|byteenable\(1),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[33]~feeder_combout\);

-- Location: FF_X39_Y29_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[33]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[33]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(33));

-- Location: LCCOMB_X39_Y29_N0
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[33]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[33]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(33)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(33),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[33]~feeder_combout\);

-- Location: FF_X39_Y29_N1
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[33]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[33]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(33));

-- Location: LCCOMB_X36_Y30_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[1]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(33)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(33),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[1]~feeder_combout\);

-- Location: FF_X36_Y30_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(1));

-- Location: LCCOMB_X36_Y30_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(1)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(33)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(33),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~1_combout\);

-- Location: FF_X36_Y30_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][8]~q\);

-- Location: LCCOMB_X35_Y29_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[0]~1_combout\ = \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[0]~1_combout\);

-- Location: FF_X35_Y29_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[0]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0));

-- Location: LCCOMB_X35_Y29_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[1]~0_combout\ = \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) $ 
-- (((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[1]~0_combout\);

-- Location: FF_X35_Y29_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt[1]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1));

-- Location: LCCOMB_X43_Y28_N22
\gpio_u0|master_0|transacto|p2m|Equal8~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Equal8~1_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0)) # (\gpio_u0|master_0|transacto|p2m|current_byte\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \gpio_u0|master_0|transacto|p2m|Equal8~1_combout\);

-- Location: LCCOMB_X42_Y28_N8
\gpio_u0|master_0|transacto|p2m|Selector5~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector5~1_combout\ = (\gpio_u0|master_0|transacto|p2m|Equal8~1_combout\ & (\gpio_u0|master_0|transacto|p2m|byteenable\(0) & ((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Equal8~1_combout\ & (((\gpio_u0|master_0|transacto|p2m|Selector5~0_combout\) # (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|byteenable\(0),
	datab => \gpio_u0|master_0|transacto|p2m|Equal8~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector5~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector5~1_combout\);

-- Location: LCCOMB_X42_Y28_N6
\gpio_u0|master_0|transacto|p2m|Selector5~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector5~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector5~1_combout\) # ((!\gpio_u0|master_0|transacto|p2m|WideOr3~0_combout\ & \gpio_u0|master_0|transacto|p2m|byteenable\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|WideOr3~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector5~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|byteenable\(0),
	combout => \gpio_u0|master_0|transacto|p2m|Selector5~2_combout\);

-- Location: LCCOMB_X42_Y28_N26
\gpio_u0|master_0|transacto|p2m|Selector5~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector5~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector5~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & 
-- \gpio_u0|master_0|transacto|p2m|byteenable\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datac => \gpio_u0|master_0|transacto|p2m|byteenable\(0),
	datad => \gpio_u0|master_0|transacto|p2m|Selector5~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector5~3_combout\);

-- Location: FF_X42_Y28_N27
\gpio_u0|master_0|transacto|p2m|byteenable[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector5~3_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|byteenable\(0));

-- Location: LCCOMB_X38_Y29_N20
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[32]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[32]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|byteenable\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|byteenable\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[32]~feeder_combout\);

-- Location: FF_X38_Y29_N21
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[32]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[32]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(32));

-- Location: LCCOMB_X37_Y29_N4
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[32]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[32]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(32)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(32),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[32]~feeder_combout\);

-- Location: FF_X37_Y29_N5
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[32]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[32]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(32));

-- Location: LCCOMB_X37_Y29_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(32)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(32),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[0]~feeder_combout\);

-- Location: FF_X37_Y29_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(0));

-- Location: LCCOMB_X36_Y29_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(0)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(32)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(32),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~2_combout\);

-- Location: FF_X36_Y29_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][8]~q\);

-- Location: LCCOMB_X35_Y29_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0))))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][8]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][8]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][8]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][8]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~0_combout\);

-- Location: LCCOMB_X42_Y28_N4
\gpio_u0|master_0|transacto|p2m|Selector2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector2~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|byteenable\(3)) # ((\gpio_u0|master_0|transacto|p2m|current_byte\(1) & 
-- \gpio_u0|master_0|transacto|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|byteenable\(3),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector2~0_combout\);

-- Location: LCCOMB_X43_Y28_N8
\gpio_u0|master_0|transacto|p2m|unshifted_byteenable~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~1_combout\ = ((\gpio_u0|master_0|transacto|p2m|counter\(1) & \gpio_u0|master_0|transacto|p2m|counter\(0))) # (!\gpio_u0|master_0|transacto|p2m|Equal10~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(1),
	datac => \gpio_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|counter\(0),
	combout => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~1_combout\);

-- Location: FF_X42_Y28_N21
\gpio_u0|master_0|transacto|p2m|unshifted_byteenable[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~1_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(2));

-- Location: LCCOMB_X42_Y28_N20
\gpio_u0|master_0|transacto|p2m|byteenable~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|byteenable~0_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (((\gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(2)) # (\gpio_u0|master_0|transacto|p2m|current_byte\(1))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|byteenable\(3) & ((!\gpio_u0|master_0|transacto|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|byteenable\(3),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(2),
	datad => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \gpio_u0|master_0|transacto|p2m|byteenable~0_combout\);

-- Location: LCCOMB_X42_Y28_N12
\gpio_u0|master_0|transacto|p2m|byteenable~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|byteenable~1_combout\ = (\gpio_u0|master_0|transacto|p2m|byteenable~0_combout\ & (((\gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(0)) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|byteenable~0_combout\ & (\gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(1) & (\gpio_u0|master_0|transacto|p2m|current_byte\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(1),
	datab => \gpio_u0|master_0|transacto|p2m|byteenable~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(0),
	combout => \gpio_u0|master_0|transacto|p2m|byteenable~1_combout\);

-- Location: FF_X43_Y28_N9
\gpio_u0|master_0|transacto|p2m|unshifted_byteenable[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~1_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(3));

-- Location: LCCOMB_X42_Y28_N10
\gpio_u0|master_0|transacto|p2m|Selector2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector2~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\ & ((\gpio_u0|master_0|transacto|p2m|Equal8~1_combout\ & (\gpio_u0|master_0|transacto|p2m|byteenable~1_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|Equal8~1_combout\ & ((\gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(3))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|byteenable~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Equal8~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(3),
	combout => \gpio_u0|master_0|transacto|p2m|Selector2~1_combout\);

-- Location: LCCOMB_X42_Y28_N16
\gpio_u0|master_0|transacto|p2m|Selector2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector2~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector2~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector2~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|byteenable\(3) & 
-- !\gpio_u0|master_0|transacto|p2m|WideOr3~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|byteenable\(3),
	datab => \gpio_u0|master_0|transacto|p2m|Selector2~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|WideOr3~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector2~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector2~2_combout\);

-- Location: LCCOMB_X42_Y28_N30
\gpio_u0|master_0|transacto|p2m|Selector2~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector2~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector2~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & 
-- \gpio_u0|master_0|transacto|p2m|byteenable\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datac => \gpio_u0|master_0|transacto|p2m|byteenable\(3),
	datad => \gpio_u0|master_0|transacto|p2m|Selector2~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector2~3_combout\);

-- Location: FF_X42_Y28_N31
\gpio_u0|master_0|transacto|p2m|byteenable[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector2~3_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|byteenable\(3));

-- Location: LCCOMB_X39_Y29_N18
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[35]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[35]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|byteenable\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|byteenable\(3),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[35]~feeder_combout\);

-- Location: FF_X39_Y29_N19
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[35]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[35]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(35));

-- Location: LCCOMB_X39_Y29_N20
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[35]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[35]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(35)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(35),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[35]~feeder_combout\);

-- Location: FF_X39_Y29_N21
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[35]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[35]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(35));

-- Location: LCCOMB_X36_Y30_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(35)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(35),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[3]~feeder_combout\);

-- Location: FF_X36_Y30_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(3));

-- Location: LCCOMB_X36_Y30_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(3)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(35)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(35),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~3_combout\);

-- Location: FF_X36_Y30_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][8]~q\);

-- Location: LCCOMB_X42_Y28_N18
\gpio_u0|master_0|transacto|p2m|Selector3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector3~1_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|current_byte\(0))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & 
-- ((\gpio_u0|master_0|transacto|p2m|current_byte\(0) & ((\gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(1)))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110010011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(2),
	datad => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(1),
	combout => \gpio_u0|master_0|transacto|p2m|Selector3~1_combout\);

-- Location: LCCOMB_X42_Y28_N28
\gpio_u0|master_0|transacto|p2m|Selector3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector3~2_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\ & ((\gpio_u0|master_0|transacto|p2m|Selector3~1_combout\ & ((!\gpio_u0|master_0|transacto|p2m|current_byte\(1)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Selector3~1_combout\ & (\gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(0) & \gpio_u0|master_0|transacto|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|unshifted_byteenable\(0),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector3~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \gpio_u0|master_0|transacto|p2m|Selector3~2_combout\);

-- Location: LCCOMB_X42_Y26_N6
\gpio_u0|master_0|transacto|p2m|Selector3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector3~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|transacto|p2m|byteenable\(2)) # ((!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & 
-- \gpio_u0|master_0|transacto|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \gpio_u0|master_0|transacto|p2m|byteenable\(2),
	combout => \gpio_u0|master_0|transacto|p2m|Selector3~0_combout\);

-- Location: LCCOMB_X42_Y26_N22
\gpio_u0|master_0|transacto|p2m|Selector3~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector3~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector3~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector3~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|byteenable\(2) & 
-- !\gpio_u0|master_0|transacto|p2m|WideOr3~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|byteenable\(2),
	datab => \gpio_u0|master_0|transacto|p2m|WideOr3~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector3~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector3~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector3~3_combout\);

-- Location: LCCOMB_X42_Y26_N8
\gpio_u0|master_0|transacto|p2m|Selector3~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector3~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector3~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|byteenable\(2) & 
-- !\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector3~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|byteenable\(2),
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector3~4_combout\);

-- Location: FF_X42_Y26_N9
\gpio_u0|master_0|transacto|p2m|byteenable[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector3~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|byteenable\(2));

-- Location: LCCOMB_X37_Y26_N28
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[34]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[34]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|byteenable\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|byteenable\(2),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[34]~feeder_combout\);

-- Location: FF_X37_Y26_N29
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[34]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[34]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(34));

-- Location: LCCOMB_X36_Y26_N16
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[34]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[34]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(34)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(34),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[34]~feeder_combout\);

-- Location: FF_X36_Y26_N17
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[34]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[34]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(34));

-- Location: LCCOMB_X35_Y26_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[2]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(34)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(34),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[2]~feeder_combout\);

-- Location: FF_X35_Y26_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(2));

-- Location: LCCOMB_X36_Y29_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(2)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(34)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(34),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_byteenable\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~0_combout\);

-- Location: FF_X36_Y29_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_byteenable~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][8]~q\);

-- Location: LCCOMB_X35_Y29_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][8]~q\) # ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~0_combout\ & (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][8]~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][8]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][8]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\);

-- Location: LCCOMB_X31_Y29_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~2_combout\);

-- Location: LCCOMB_X35_Y29_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~2_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~2_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal11~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset~1_combout\);

-- Location: FF_X35_Y29_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\);

-- Location: LCCOMB_X35_Y29_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\ & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\);

-- Location: FF_X29_Y30_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[25]~0_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~46_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(25));

-- Location: LCCOMB_X29_Y30_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[25]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[25]~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(25))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(25),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[25]~2_combout\);

-- Location: LCCOMB_X27_Y29_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~0_combout\ = !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~0_combout\);

-- Location: FF_X27_Y29_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\);

-- Location: LCCOMB_X30_Y30_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\) 
-- # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\);

-- Location: LCCOMB_X29_Y33_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\);

-- Location: FF_X29_Y31_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[25]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(25));

-- Location: LCCOMB_X29_Y31_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita25~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26~COUT\);

-- Location: LCCOMB_X30_Y28_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~48_combout\ = !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~47\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~47\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~48_combout\);

-- Location: LCCOMB_X41_Y29_N8
\gpio_u0|master_0|transacto|p2m|writedata[18]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[18]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(2),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[18]~feeder_combout\);

-- Location: LCCOMB_X41_Y27_N16
\gpio_u0|master_0|transacto|p2m|writedata[16]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[16]~2_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & \gpio_u0|master_0|transacto|p2m|current_byte\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[16]~2_combout\);

-- Location: FF_X41_Y29_N9
\gpio_u0|master_0|transacto|p2m|writedata[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[18]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[16]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(18));

-- Location: LCCOMB_X29_Y29_N14
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[18]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[18]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(18)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(18),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[18]~feeder_combout\);

-- Location: FF_X29_Y29_N15
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[18]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(18));

-- Location: FF_X29_Y29_N21
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(18),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(18));

-- Location: LCCOMB_X29_Y28_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~50_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(18)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(26)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(26),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(18),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~50_combout\);

-- Location: LCCOMB_X29_Y28_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~51\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~51_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~48_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~50_combout\ & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~48_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~50_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~51_combout\);

-- Location: FF_X29_Y28_N7
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~51_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(26));

-- Location: LCCOMB_X29_Y30_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[26]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[26]~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(26))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(26),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[26]~0_combout\);

-- Location: FF_X29_Y31_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[26]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26));

-- Location: LCCOMB_X30_Y31_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg2~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~0_combout\);

-- Location: FF_X30_Y31_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\);

-- Location: LCCOMB_X35_Y29_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~36_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(0) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~36_combout\);

-- Location: LCCOMB_X30_Y27_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\) # (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\);

-- Location: FF_X31_Y29_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~36_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(0));

-- Location: LCCOMB_X27_Y31_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[0]~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[0]~27_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[0]~27_combout\);

-- Location: FF_X29_Y32_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[0]~27_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X29_Y32_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(1) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita0~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1~COUT\);

-- Location: LCCOMB_X35_Y29_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~35\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~35_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(1) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~35_combout\);

-- Location: FF_X35_Y29_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~35_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(1));

-- Location: LCCOMB_X27_Y32_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[1]~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[1]~26_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[1]~26_combout\);

-- Location: FF_X29_Y32_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[1]~26_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(1));

-- Location: LCCOMB_X29_Y32_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(2) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(2) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(2) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita1~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2~COUT\);

-- Location: LCCOMB_X31_Y28_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~34_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~0_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[0]~23_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[0]~23_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~34_combout\);

-- Location: FF_X31_Y28_N7
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~34_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(2));

-- Location: LCCOMB_X31_Y28_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[2]~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[2]~25_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[2]~25_combout\);

-- Location: FF_X29_Y32_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[2]~25_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X29_Y32_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(3) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(3) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(3),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita2~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3~COUT\);

-- Location: LCCOMB_X31_Y28_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~33\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~33_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~2_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[1]~22_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~2_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[1]~22_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~33_combout\);

-- Location: FF_X31_Y28_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~33_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(3));

-- Location: LCCOMB_X29_Y28_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[3]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[3]~24_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[3]~24_combout\);

-- Location: FF_X29_Y32_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[3]~24_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(3));

-- Location: LCCOMB_X29_Y32_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(4) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(4) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(4) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(4),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita3~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4~COUT\);

-- Location: LCCOMB_X29_Y30_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~32_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~4_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[2]~21_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~4_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[2]~21_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~32_combout\);

-- Location: FF_X29_Y30_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~32_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(4));

-- Location: LCCOMB_X29_Y30_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[4]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[4]~23_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(4) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(4),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[4]~23_combout\);

-- Location: FF_X29_Y32_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[4]~23_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(4));

-- Location: LCCOMB_X29_Y32_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(5) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(5),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita4~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5~COUT\);

-- Location: LCCOMB_X31_Y29_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~31_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~6_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[3]~20_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~6_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[3]~20_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~31_combout\);

-- Location: FF_X31_Y29_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~31_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(5));

-- Location: LCCOMB_X27_Y32_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[5]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[5]~22_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(5) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(5),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[5]~22_combout\);

-- Location: FF_X29_Y32_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[5]~22_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(5));

-- Location: LCCOMB_X29_Y32_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(6) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(6) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(6) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(6),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita5~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6~COUT\);

-- Location: LCCOMB_X31_Y29_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~30_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~8_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[4]~19_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~8_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[4]~19_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~30_combout\);

-- Location: FF_X31_Y29_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~30_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(6));

-- Location: LCCOMB_X29_Y30_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[6]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[6]~21_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[6]~21_combout\);

-- Location: FF_X29_Y32_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[6]~21_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(6));

-- Location: LCCOMB_X29_Y32_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(7) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(7),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita6~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7~COUT\);

-- Location: LCCOMB_X31_Y29_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~29_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~10_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[5]~18_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~10_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[5]~18_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~29_combout\);

-- Location: FF_X31_Y29_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~29_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(7));

-- Location: LCCOMB_X30_Y32_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[7]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[7]~20_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[7]~20_combout\);

-- Location: FF_X29_Y32_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[7]~20_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(7));

-- Location: LCCOMB_X29_Y32_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(8) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(8) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(8) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(8),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita7~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8~COUT\);

-- Location: LCCOMB_X31_Y29_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~28_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~12_combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[6]~17_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[6]~17_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~12_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~28_combout\);

-- Location: FF_X31_Y29_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~28_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(8));

-- Location: LCCOMB_X29_Y29_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[8]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[8]~19_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(8) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(8),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[8]~19_combout\);

-- Location: FF_X29_Y32_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[8]~19_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(8));

-- Location: LCCOMB_X29_Y32_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(9) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(9) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(9),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita8~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9~COUT\);

-- Location: LCCOMB_X30_Y29_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~27_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~14_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[7]~16_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~14_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[7]~16_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~27_combout\);

-- Location: FF_X30_Y29_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~27_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(9));

-- Location: LCCOMB_X27_Y32_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[9]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[9]~18_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(9) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(9),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[9]~18_combout\);

-- Location: FF_X29_Y32_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[9]~18_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(9));

-- Location: LCCOMB_X29_Y32_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(10) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(10) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(10) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(10),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita9~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10~COUT\);

-- Location: LCCOMB_X31_Y29_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~26_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~16_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[8]~15_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~16_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[8]~15_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~26_combout\);

-- Location: FF_X31_Y29_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~26_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(10));

-- Location: LCCOMB_X30_Y32_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[10]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[10]~17_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(10) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(10),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[10]~17_combout\);

-- Location: FF_X29_Y32_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[10]~17_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(10));

-- Location: LCCOMB_X29_Y32_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(11) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(11) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(11),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita10~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11~COUT\);

-- Location: LCCOMB_X31_Y29_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~25_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~18_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[9]~14_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~18_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[9]~14_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~25_combout\);

-- Location: FF_X31_Y29_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~25_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(11));

-- Location: LCCOMB_X29_Y30_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[11]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[11]~16_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(11))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(11),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[11]~16_combout\);

-- Location: FF_X29_Y32_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[11]~16_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(11));

-- Location: LCCOMB_X29_Y32_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(12) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(12) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(12) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(12),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita11~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12~COUT\);

-- Location: LCCOMB_X31_Y29_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~24_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~20_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[10]~13_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~20_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[10]~13_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~24_combout\);

-- Location: FF_X31_Y29_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~24_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(12));

-- Location: LCCOMB_X29_Y29_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[12]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[12]~15_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(12) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(12),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[12]~15_combout\);

-- Location: FF_X29_Y32_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[12]~15_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(12));

-- Location: LCCOMB_X29_Y32_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(13) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(13) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(13),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita12~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13~COUT\);

-- Location: LCCOMB_X29_Y30_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~23_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~22_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[11]~12_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~22_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[11]~12_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~23_combout\);

-- Location: FF_X29_Y30_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~23_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(13));

-- Location: LCCOMB_X27_Y32_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[13]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[13]~14_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(13))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(13),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[13]~14_combout\);

-- Location: FF_X29_Y32_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[13]~14_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(13));

-- Location: LCCOMB_X29_Y32_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(14) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(14) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(14) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(14),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita13~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14~COUT\);

-- Location: LCCOMB_X31_Y28_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~22_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~24_combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[12]~11_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[12]~11_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~24_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~22_combout\);

-- Location: FF_X31_Y28_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~22_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(14));

-- Location: LCCOMB_X29_Y28_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[14]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[14]~13_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(14))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(14),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[14]~13_combout\);

-- Location: FF_X29_Y32_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[14]~13_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(14));

-- Location: LCCOMB_X29_Y32_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(15) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(15) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(15),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita14~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15~COUT\);

-- Location: LCCOMB_X30_Y27_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~20_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~26_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[13]~10_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~26_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[13]~10_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~20_combout\);

-- Location: FF_X30_Y27_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~20_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(15));

-- Location: LCCOMB_X29_Y29_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[15]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[15]~12_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(15) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(15),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[15]~12_combout\);

-- Location: FF_X29_Y32_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[15]~12_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(15));

-- Location: LCCOMB_X29_Y31_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(16) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(16) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(16) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(16),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita15~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16~COUT\);

-- Location: LCCOMB_X40_Y26_N10
\gpio_u0|master_0|transacto|p2m|writedata[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[8]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(0),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[8]~feeder_combout\);

-- Location: LCCOMB_X41_Y26_N22
\gpio_u0|master_0|transacto|p2m|writedata[9]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[9]~3_combout\ = (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & \gpio_u0|master_0|transacto|p2m|current_byte\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[9]~3_combout\);

-- Location: FF_X40_Y26_N11
\gpio_u0|master_0|transacto|p2m|writedata[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[8]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[9]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(8));

-- Location: LCCOMB_X29_Y27_N4
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[8]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(8),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[8]~feeder_combout\);

-- Location: FF_X29_Y27_N5
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[8]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(8));

-- Location: FF_X29_Y27_N29
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(8),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(8));

-- Location: LCCOMB_X29_Y27_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~19_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(8)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(16)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(16),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(8),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~19_combout\);

-- Location: LCCOMB_X27_Y27_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[16]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[16]~9_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[14]~9_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~19_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~19_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[14]~9_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[16]~9_combout\);

-- Location: FF_X27_Y27_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[16]~9_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~28_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(16));

-- Location: LCCOMB_X27_Y31_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[16]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[16]~11_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(16) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(16),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[16]~11_combout\);

-- Location: FF_X29_Y31_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[16]~11_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(16));

-- Location: LCCOMB_X29_Y31_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(17) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(17) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(17),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita16~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17~COUT\);

-- Location: LCCOMB_X40_Y26_N18
\gpio_u0|master_0|transacto|p2m|writedata[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[9]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(1),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[9]~feeder_combout\);

-- Location: FF_X40_Y26_N19
\gpio_u0|master_0|transacto|p2m|writedata[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[9]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[9]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(9));

-- Location: LCCOMB_X34_Y27_N18
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[9]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(9),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[9]~feeder_combout\);

-- Location: FF_X34_Y27_N19
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(9));

-- Location: FF_X29_Y27_N1
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(9),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(9));

-- Location: LCCOMB_X29_Y27_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~18_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(9)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(17),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(9),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~18_combout\);

-- Location: LCCOMB_X29_Y28_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[17]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[17]~8_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[15]~8_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~18_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[15]~8_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~18_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[17]~8_combout\);

-- Location: FF_X29_Y28_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[17]~8_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~30_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(17));

-- Location: LCCOMB_X29_Y30_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[17]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[17]~10_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(17))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(17),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[17]~10_combout\);

-- Location: FF_X29_Y31_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[17]~10_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(17));

-- Location: LCCOMB_X29_Y31_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(18) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(18) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(18) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(18),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita17~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18~COUT\);

-- Location: LCCOMB_X40_Y26_N0
\gpio_u0|master_0|transacto|p2m|writedata[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[10]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(2),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[10]~feeder_combout\);

-- Location: FF_X40_Y26_N1
\gpio_u0|master_0|transacto|p2m|writedata[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[10]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[9]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(10));

-- Location: LCCOMB_X34_Y27_N6
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[10]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(10),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[10]~feeder_combout\);

-- Location: FF_X34_Y27_N7
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[10]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(10));

-- Location: FF_X29_Y27_N7
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(10),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(10));

-- Location: LCCOMB_X29_Y27_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~17_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(10)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(18)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(18),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(10),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~17_combout\);

-- Location: LCCOMB_X30_Y28_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[18]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[18]~7_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[16]~7_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~17_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~17_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[16]~7_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[18]~7_combout\);

-- Location: FF_X30_Y28_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[18]~7_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~32_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(18));

-- Location: LCCOMB_X30_Y31_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[18]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[18]~9_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(18))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(18),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[18]~9_combout\);

-- Location: FF_X29_Y31_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[18]~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(18));

-- Location: LCCOMB_X29_Y31_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(19) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(19) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(19),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita18~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19~COUT\);

-- Location: LCCOMB_X40_Y26_N30
\gpio_u0|master_0|transacto|p2m|writedata[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[11]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(3),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[11]~feeder_combout\);

-- Location: FF_X40_Y26_N31
\gpio_u0|master_0|transacto|p2m|writedata[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[11]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[9]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(11));

-- Location: LCCOMB_X29_Y29_N6
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[11]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(11),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[11]~feeder_combout\);

-- Location: FF_X29_Y29_N7
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[11]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(11));

-- Location: LCCOMB_X29_Y29_N10
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[11]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(11),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[11]~feeder_combout\);

-- Location: FF_X29_Y29_N11
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[11]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(11));

-- Location: LCCOMB_X30_Y29_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~16_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(11))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(19))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(11),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(19),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~16_combout\);

-- Location: LCCOMB_X30_Y29_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[19]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[19]~6_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[17]~6_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~16_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~16_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[17]~6_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[19]~6_combout\);

-- Location: FF_X30_Y29_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[19]~6_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~34_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(19));

-- Location: LCCOMB_X29_Y29_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[19]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[19]~8_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(19) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(19),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[19]~8_combout\);

-- Location: FF_X29_Y31_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[19]~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(19));

-- Location: LCCOMB_X29_Y31_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(20) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(20) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(20) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(20),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita19~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20~COUT\);

-- Location: LCCOMB_X40_Y26_N6
\gpio_u0|master_0|transacto|p2m|writedata[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[12]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(4),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[12]~feeder_combout\);

-- Location: FF_X40_Y26_N7
\gpio_u0|master_0|transacto|p2m|writedata[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[12]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[9]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(12));

-- Location: LCCOMB_X29_Y29_N26
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[12]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(12),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[12]~feeder_combout\);

-- Location: FF_X29_Y29_N27
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[12]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(12));

-- Location: FF_X29_Y29_N25
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(12),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(12));

-- Location: LCCOMB_X29_Y28_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~15_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(12)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(20)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(20),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(12),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~15_combout\);

-- Location: LCCOMB_X29_Y28_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[20]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[20]~5_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[18]~5_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~15_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~15_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[18]~5_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[20]~5_combout\);

-- Location: FF_X29_Y28_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[20]~5_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~36_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(20));

-- Location: LCCOMB_X29_Y28_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[20]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[20]~7_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(20))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(20),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[20]~7_combout\);

-- Location: FF_X29_Y31_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[20]~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(20));

-- Location: LCCOMB_X29_Y31_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(21) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(21) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(21)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(21),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita20~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21~COUT\);

-- Location: LCCOMB_X40_Y26_N28
\gpio_u0|master_0|transacto|p2m|writedata[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[13]~feeder_combout\ = \gpio_u0|master_0|b2p|out_data[5]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|b2p|out_data[5]~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|writedata[13]~feeder_combout\);

-- Location: FF_X40_Y26_N29
\gpio_u0|master_0|transacto|p2m|writedata[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[13]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[9]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(13));

-- Location: LCCOMB_X29_Y29_N16
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[13]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(13),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[13]~feeder_combout\);

-- Location: FF_X29_Y29_N17
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[13]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(13));

-- Location: LCCOMB_X29_Y29_N18
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[13]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(13),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[13]~feeder_combout\);

-- Location: FF_X29_Y29_N19
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[13]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(13));

-- Location: LCCOMB_X29_Y28_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~14_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(13)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(21)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(21),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(13),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~14_combout\);

-- Location: LCCOMB_X29_Y28_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[21]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[21]~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[19]~4_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~14_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[19]~4_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~14_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[21]~4_combout\);

-- Location: FF_X29_Y28_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[21]~4_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~38_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(21));

-- Location: LCCOMB_X27_Y31_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[21]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[21]~6_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(21) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(21),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[21]~6_combout\);

-- Location: FF_X29_Y31_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[21]~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(21));

-- Location: LCCOMB_X29_Y31_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(22) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(22) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(22) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(22),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita21~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22~COUT\);

-- Location: LCCOMB_X40_Y26_N12
\gpio_u0|master_0|transacto|p2m|writedata[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[14]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(6),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[14]~feeder_combout\);

-- Location: FF_X40_Y26_N13
\gpio_u0|master_0|transacto|p2m|writedata[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[14]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[9]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(14));

-- Location: LCCOMB_X29_Y29_N4
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[14]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(14),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[14]~feeder_combout\);

-- Location: FF_X29_Y29_N5
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[14]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(14));

-- Location: FF_X29_Y29_N13
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(14),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(14));

-- Location: LCCOMB_X29_Y28_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~13_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(14))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(22))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(14),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(22),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~13_combout\);

-- Location: LCCOMB_X29_Y28_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[22]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[22]~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[20]~3_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~13_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[20]~3_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~13_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[22]~3_combout\);

-- Location: FF_X29_Y28_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[22]~3_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~40_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(22));

-- Location: LCCOMB_X27_Y31_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[22]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[22]~5_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(22) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(22),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[22]~5_combout\);

-- Location: FF_X29_Y31_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[22]~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(22));

-- Location: LCCOMB_X29_Y31_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(23) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(23) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(23)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(23),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita22~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23~COUT\);

-- Location: LCCOMB_X40_Y26_N22
\gpio_u0|master_0|transacto|p2m|writedata[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[15]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(7),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[15]~feeder_combout\);

-- Location: FF_X40_Y26_N23
\gpio_u0|master_0|transacto|p2m|writedata[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[15]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[9]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(15));

-- Location: LCCOMB_X29_Y29_N22
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[15]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(15),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[15]~feeder_combout\);

-- Location: FF_X29_Y29_N23
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[15]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(15));

-- Location: FF_X29_Y29_N29
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(15),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(15));

-- Location: LCCOMB_X29_Y29_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~12_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(15)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(23)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(23),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(15),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~12_combout\);

-- Location: LCCOMB_X30_Y28_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[23]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[23]~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[21]~2_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~12_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~12_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[21]~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[23]~2_combout\);

-- Location: FF_X30_Y28_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[23]~2_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~42_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(23));

-- Location: LCCOMB_X29_Y30_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[23]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[23]~4_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(23) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(23),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[23]~4_combout\);

-- Location: FF_X29_Y31_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita23~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[23]~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(23));

-- Location: LCCOMB_X41_Y27_N14
\gpio_u0|master_0|transacto|p2m|writedata[16]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[16]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(0),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[16]~feeder_combout\);

-- Location: FF_X41_Y27_N15
\gpio_u0|master_0|transacto|p2m|writedata[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[16]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[16]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(16));

-- Location: LCCOMB_X29_Y29_N30
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[16]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[16]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(16),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[16]~feeder_combout\);

-- Location: FF_X29_Y29_N31
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[16]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(16));

-- Location: FF_X29_Y29_N3
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(16),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(16));

-- Location: LCCOMB_X29_Y29_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~11_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(16)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(24)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(24),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(16),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~11_combout\);

-- Location: LCCOMB_X30_Y29_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[24]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[24]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[22]~1_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ 
-- & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~11_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_addr[22]~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~11_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[24]~1_combout\);

-- Location: FF_X30_Y29_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[24]~1_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~44_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always8~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(24));

-- Location: LCCOMB_X30_Y31_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[24]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[24]~3_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(24) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(24),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[24]~3_combout\);

-- Location: FF_X29_Y31_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita24~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[24]~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(24));

-- Location: LCCOMB_X30_Y31_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[24]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[24]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(24) 
-- & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(24)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(24) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(24))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(24),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(24),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[24]~0_combout\);

-- Location: LCCOMB_X27_Y31_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[22]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[22]~6_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(22) & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(22)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(22))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(22),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(22),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[22]~6_combout\);

-- Location: LCCOMB_X29_Y28_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[20]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[20]~5_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(20) & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(20)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(20))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(20),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(20),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[20]~5_combout\);

-- Location: LCCOMB_X29_Y28_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[19]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[19]~9_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(19) & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(19)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(19))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(19),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(19),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[19]~9_combout\);

-- Location: LCCOMB_X27_Y31_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[16]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[16]~7_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(16) & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(16))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(16)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(16),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(16),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[16]~7_combout\);

-- Location: LCCOMB_X27_Y32_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[13]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[13]~18_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(13) & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(13))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(13) & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(13),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(13),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[13]~18_combout\);

-- Location: LCCOMB_X27_Y29_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[12]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[12]~19_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(12) & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(12)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(12) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(12)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(12),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(12),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[12]~19_combout\);

-- Location: LCCOMB_X29_Y30_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[11]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[11]~20_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(11) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(11)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(11) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(11))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(11),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(11),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[11]~20_combout\);

-- Location: LCCOMB_X27_Y29_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[8]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[8]~21_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(8) & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(8)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(8))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(8),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(8),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[8]~21_combout\);

-- Location: LCCOMB_X30_Y32_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[6]~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[6]~26_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(6) 
-- & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(6)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(6) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(6))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(6),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[6]~26_combout\);

-- Location: LCCOMB_X30_Y32_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[4]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[4]~24_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(4) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(4)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(4) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(4)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(4),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[4]~24_combout\);

-- Location: LCCOMB_X31_Y28_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[3]~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[3]~30_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(3) 
-- & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(3))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(3) & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(3),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(3),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[3]~30_combout\);

-- Location: LCCOMB_X31_Y28_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[2]~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[2]~29_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(2) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(2))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(2) & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[2]~29_combout\);

-- Location: LCCOMB_X27_Y32_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[1]~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[1]~28_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(1)) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(1))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[1]~28_combout\);

-- Location: LCCOMB_X27_Y32_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(0) = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(0) & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(0));

-- Location: FF_X31_Y35_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[1]_OTERM9\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(1));

-- Location: LCCOMB_X32_Y35_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|cs3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|cs3~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe1~q\ 
-- & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe1~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|cs3~0_combout\);

-- Location: FF_X32_Y35_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|cs3~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe1~q\);

-- Location: LCCOMB_X31_Y35_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[1]_NEW8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[1]_OTERM9\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~15_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(1) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe1~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~15_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101001001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~15_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe1~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[1]_OTERM9\);

-- Location: LCCOMB_X31_Y35_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[1]_OTERM9\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[0]_OTERM7\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[1]_OTERM9\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[0]_OTERM7\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_combout\);

-- Location: FF_X31_Y35_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_NEW_REG24\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_OTERM25\);

-- Location: FF_X30_Y35_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_OTERM25\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\);

-- Location: LCCOMB_X27_Y33_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~1_combout\);

-- Location: LCCOMB_X35_Y29_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset~0_combout\);

-- Location: FF_X35_Y29_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\);

-- Location: LCCOMB_X31_Y32_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE~q\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE~0_combout\);

-- Location: LCCOMB_X31_Y32_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|reset_n_reg~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|reset_n_reg~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|reset_n_reg~feeder_combout\);

-- Location: FF_X31_Y32_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|reset_n_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|reset_n_reg~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|reset_n_reg~q\);

-- Location: FF_X31_Y32_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE~0_combout\,
	clrn => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|reset_n_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE~q\);

-- Location: LCCOMB_X31_Y32_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|state.IDLE~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~feeder_combout\);

-- Location: FF_X31_Y32_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~feeder_combout\,
	clrn => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|reset_n_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~q\);

-- Location: LCCOMB_X34_Y32_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wren_combi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wren_combi~0_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\ & ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0)) # 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wren_combi~0_combout\);

-- Location: FF_X34_Y32_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wren_internal\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wren_combi~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wren_internal~q\);

-- Location: LCCOMB_X31_Y32_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\) # 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wren_internal~q\) # (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_write~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wren_internal~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_write~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0_combout\);

-- Location: LCCOMB_X29_Y33_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena~0_combout\);

-- Location: LCCOMB_X27_Y33_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\);

-- Location: FF_X27_Y32_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(0),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(0));

-- Location: LCCOMB_X26_Y32_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(1) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[1]~28_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(0) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[1]~28_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(1));

-- Location: FF_X26_Y32_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(1),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(1));

-- Location: LCCOMB_X26_Y32_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(2) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(1))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[2]~29_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[2]~29_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(2));

-- Location: FF_X26_Y32_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(2),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(2));

-- Location: LCCOMB_X26_Y32_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(3) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(2))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[3]~30_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[3]~30_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(3));

-- Location: FF_X26_Y32_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(3),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(3));

-- Location: LCCOMB_X26_Y32_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(4) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(3) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[4]~24_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010111010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[4]~24_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(3),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(4));

-- Location: FF_X26_Y32_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(4),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(4));

-- Location: LCCOMB_X27_Y32_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[5]~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[5]~25_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(5) & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(5)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(5))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[5]~25_combout\);

-- Location: LCCOMB_X26_Y32_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(5) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(4) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[5]~25_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(4),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[5]~25_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(5));

-- Location: FF_X26_Y32_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(5),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(5));

-- Location: LCCOMB_X26_Y32_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(6) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(5))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[6]~26_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[6]~26_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(6));

-- Location: FF_X26_Y32_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(6),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(6));

-- Location: LCCOMB_X30_Y32_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[7]~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[7]~27_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(7) 
-- & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(7)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(7) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(7))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(7),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[7]~27_combout\);

-- Location: LCCOMB_X26_Y32_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(7) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(6) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[7]~27_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(6),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[7]~27_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(7));

-- Location: FF_X26_Y32_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(7),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(7));

-- Location: LCCOMB_X25_Y32_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[8]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(8) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(7))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[8]~21_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[8]~21_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(8));

-- Location: FF_X25_Y32_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(8),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(8));

-- Location: LCCOMB_X27_Y32_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[9]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[9]~22_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(9) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(9)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(9) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(9))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(9),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(9),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[9]~22_combout\);

-- Location: LCCOMB_X26_Y32_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[9]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(9) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(8) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[9]~22_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(8),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[9]~22_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(9));

-- Location: FF_X26_Y32_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(9),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(9));

-- Location: LCCOMB_X30_Y32_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[10]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[10]~23_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(10) & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(10)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & (((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(10))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(10),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(10),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[10]~23_combout\);

-- Location: LCCOMB_X26_Y32_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[10]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(10) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(9) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[10]~23_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(9),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[10]~23_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(10));

-- Location: FF_X26_Y32_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(10),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(10));

-- Location: LCCOMB_X25_Y32_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[11]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(11) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(10))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[11]~20_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[11]~20_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(10),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(11));

-- Location: FF_X25_Y32_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(11),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(11));

-- Location: LCCOMB_X25_Y32_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[12]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(12) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(11))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[12]~19_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[12]~19_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(11),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(12));

-- Location: FF_X25_Y32_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(12),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(12));

-- Location: LCCOMB_X25_Y32_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[13]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(13) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(12))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[13]~18_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[13]~18_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(12),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(13));

-- Location: FF_X25_Y32_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(13),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(13));

-- Location: LCCOMB_X29_Y28_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[14]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[14]~17_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(14) & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(14)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(14))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(14),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(14),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[14]~17_combout\);

-- Location: LCCOMB_X25_Y32_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[14]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(14) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(13) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[14]~17_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(13),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[14]~17_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(14));

-- Location: FF_X25_Y32_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(14),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(14));

-- Location: LCCOMB_X29_Y28_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[15]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[15]~14_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(15) & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(15))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(15))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(15),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(15),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[15]~14_combout\);

-- Location: LCCOMB_X25_Y32_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[15]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(15) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(14) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[15]~14_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(14),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[15]~14_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(15));

-- Location: FF_X25_Y32_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(15),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(15));

-- Location: LCCOMB_X25_Y32_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[16]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(16) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(15) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[16]~7_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[16]~7_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(15),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(16));

-- Location: FF_X25_Y32_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(16),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(16));

-- Location: LCCOMB_X29_Y30_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[17]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[17]~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(17) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(17)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(17) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(17))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(17),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(17),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[17]~4_combout\);

-- Location: LCCOMB_X25_Y30_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[17]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(17) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(16))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[17]~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(16),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[17]~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(17));

-- Location: FF_X25_Y30_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(17),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(17));

-- Location: LCCOMB_X30_Y31_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[18]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[18]~8_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(18) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(18)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(18) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(18))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(18),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(18),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[18]~8_combout\);

-- Location: LCCOMB_X25_Y30_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[18]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(18) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(17) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[18]~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(17),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[18]~8_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(18));

-- Location: FF_X25_Y30_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(18),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(18));

-- Location: LCCOMB_X25_Y30_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[19]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(19) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(18))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[19]~9_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[19]~9_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(18),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(19));

-- Location: FF_X25_Y30_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(19),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(19));

-- Location: LCCOMB_X25_Y30_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[20]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(20) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(19))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[20]~5_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[20]~5_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(19),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(20));

-- Location: FF_X25_Y30_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(20),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(20));

-- Location: LCCOMB_X27_Y31_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[21]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[21]~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(21) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(21))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(21) & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(21))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(21),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(21),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[21]~2_combout\);

-- Location: LCCOMB_X27_Y31_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[21]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(21) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(20) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[21]~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(20),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[21]~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(21));

-- Location: FF_X27_Y31_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(21),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(21));

-- Location: LCCOMB_X27_Y31_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[22]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(22) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(21))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[22]~6_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[22]~6_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(21),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(22));

-- Location: FF_X27_Y31_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(22),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(22));

-- Location: LCCOMB_X29_Y30_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[23]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[23]~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(23) & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(23)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(23))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(23),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(23),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[23]~3_combout\);

-- Location: LCCOMB_X26_Y31_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[23]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(23) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(22) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[23]~3_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(22),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[23]~3_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(23));

-- Location: FF_X26_Y31_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(23),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(23));

-- Location: LCCOMB_X26_Y31_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[24]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(24) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(23) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[24]~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[24]~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(23),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(24));

-- Location: FF_X26_Y31_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(24),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(24));

-- Location: LCCOMB_X30_Y31_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[25]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[25]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(25) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(25)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(25) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(25)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(25),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(25),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[25]~1_combout\);

-- Location: LCCOMB_X26_Y31_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[25]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(25) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(24))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[25]~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(24),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[25]~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(25));

-- Location: FF_X26_Y31_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(25),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(25));

-- Location: LCCOMB_X27_Y30_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~5_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~5_combout\);

-- Location: FF_X27_Y30_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2));

-- Location: LCCOMB_X27_Y30_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~3_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~3_combout\);

-- Location: FF_X27_Y30_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6));

-- Location: LCCOMB_X27_Y30_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(4) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(4),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~4_combout\);

-- Location: FF_X27_Y30_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4));

-- Location: LCCOMB_X27_Y30_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~2_combout\);

-- Location: FF_X27_Y30_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3));

-- Location: LCCOMB_X26_Y30_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot[8]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot[8]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6) & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2)) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4)) # (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot[8]~0_combout\);

-- Location: LCCOMB_X26_Y30_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check[9]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check[9]~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6) & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check[9]~0_combout\);

-- Location: LCCOMB_X26_Y30_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~11_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(25) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(24)) # ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot[8]~0_combout\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(25) & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot[8]~0_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check[9]~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(25),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(24),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot[8]~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check[9]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~11_combout\);

-- Location: LCCOMB_X26_Y30_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~12_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(21))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2)) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(21),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~12_combout\);

-- Location: LCCOMB_X26_Y30_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~13_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6)) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(20) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(21)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~12_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(20),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~12_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(21),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~13_combout\);

-- Location: LCCOMB_X26_Y30_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(25) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot[8]~0_combout\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check[9]~0_combout\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(25) & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot[8]~0_combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(24))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(25),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(24),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot[8]~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check[9]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~0_combout\);

-- Location: LCCOMB_X27_Y30_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~6_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~6_combout\);

-- Location: FF_X27_Y30_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(5));

-- Location: LCCOMB_X26_Y30_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(17) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(17),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~3_combout\);

-- Location: LCCOMB_X26_Y30_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2) $ (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(5),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~3_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~4_combout\);

-- Location: LCCOMB_X25_Y30_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~7_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3) & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(18))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2) & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(16)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(18)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(16),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(18),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~7_combout\);

-- Location: LCCOMB_X25_Y30_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~8_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4)) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~7_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~7_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~8_combout\);

-- Location: LCCOMB_X25_Y30_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_add[3]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_add[3]~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4) $ (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_add[3]~0_combout\);

-- Location: LCCOMB_X25_Y30_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~5_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4) & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(22)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4) & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2)) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111001011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(22),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~5_combout\);

-- Location: LCCOMB_X25_Y30_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~6_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6)) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(20) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(22)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~5_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(20),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(22),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~5_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~6_combout\);

-- Location: LCCOMB_X25_Y30_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~9_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~8_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~6_combout\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(19)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_add[3]~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~8_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_add[3]~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~6_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(19),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~9_combout\);

-- Location: LCCOMB_X26_Y30_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(23)) # ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2) & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4)) # (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(23),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~1_combout\);

-- Location: LCCOMB_X26_Y30_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6)) # ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(21) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(23))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~1_combout\ & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(23)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111101010111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(21),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(23),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~2_combout\);

-- Location: LCCOMB_X26_Y30_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~10_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~4_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~9_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~4_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~9_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~10_combout\);

-- Location: LCCOMB_X26_Y30_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot\(7) = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6) $ 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2)) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100110110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot\(7));

-- Location: LCCOMB_X26_Y30_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check\(7) = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(23) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(23),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check\(7));

-- Location: LCCOMB_X25_Y30_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~16_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(18))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2) & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(18)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(16)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(16),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(18),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~16_combout\);

-- Location: LCCOMB_X25_Y30_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~17_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4)) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~16_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~16_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~17_combout\);

-- Location: LCCOMB_X25_Y30_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~14_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6)) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(19) & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(22)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(19),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(22),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~14_combout\);

-- Location: LCCOMB_X25_Y30_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~15_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~14_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4) $ (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~14_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~15_combout\);

-- Location: LCCOMB_X25_Y30_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~18_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(17) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2) $ (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(17),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~18_combout\);

-- Location: LCCOMB_X25_Y30_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~19_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(22))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~18_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(22),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~18_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~19_combout\);

-- Location: LCCOMB_X26_Y30_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~20_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~19_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~19_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~20_combout\);

-- Location: LCCOMB_X26_Y30_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~21_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check\(7) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~17_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~15_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~20_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|mask_prot_check\(7),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~17_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~15_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~20_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~21_combout\);

-- Location: LCCOMB_X26_Y30_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~22_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~10_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~11_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~13_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~21_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~11_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~13_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~10_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~21_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~22_combout\);

-- Location: LCCOMB_X31_Y35_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_polling~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_polling~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_polling~0_combout\);

-- Location: LCCOMB_X31_Y35_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sprot_polling~combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_polling~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sprot_polling~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_polling~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\);

-- Location: LCCOMB_X27_Y30_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|prot_wire[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|prot_wire\(0) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3)) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6)) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(3),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(6),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|prot_wire\(0));

-- Location: LCCOMB_X27_Y30_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~23_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~22_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|prot_wire\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~22_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|prot_wire\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~23_combout\);

-- Location: LCCOMB_X27_Y30_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_write_prot_reg_ena\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_write_prot_reg_ena~combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_wren~0_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_wren~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_write_prot_reg_ena~combout\);

-- Location: FF_X27_Y30_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~23_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_write_prot_reg_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\);

-- Location: LCCOMB_X34_Y35_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~14_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~14_combout\);

-- Location: LCCOMB_X34_Y35_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~15_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~14_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~14_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~15_combout\);

-- Location: LCCOMB_X31_Y35_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[0]_NEW6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[0]_OTERM7\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~15_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0) $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe1~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~15_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000001010010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~15_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe1~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[0]_OTERM7\);

-- Location: FF_X31_Y35_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a[0]_OTERM7\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0));

-- Location: LCCOMB_X31_Y35_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_wren~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_wren~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_wren~0_combout\);

-- Location: LCCOMB_X34_Y32_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_wren~0_combout\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_wren~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\);

-- Location: LCCOMB_X30_Y33_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_RTM019\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_RTM019_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~1_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_OTERM5\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_OTERM5\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_RTM019_combout\);

-- Location: FF_X30_Y33_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_NEW_REG16\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_RTM019_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\);

-- Location: FF_X31_Y32_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg_OTERM27\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\);

-- Location: LCCOMB_X31_Y32_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~q\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\);

-- Location: LCCOMB_X31_Y34_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~5_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~5_combout\);

-- Location: LCCOMB_X30_Y34_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~6_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~5_combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111100101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~5_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~6_combout\);

-- Location: LCCOMB_X26_Y29_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[7]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[7]~feeder_combout\);

-- Location: FF_X26_Y29_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(7));

-- Location: LCCOMB_X27_Y33_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[7]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[7]~feeder_combout\);

-- Location: FF_X30_Y31_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_delay_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_delay_reg~q\);

-- Location: LCCOMB_X30_Y31_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg2~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_delay_reg~q\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg2~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_delay_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~1_combout\);

-- Location: FF_X30_Y31_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~q\);

-- Location: FF_X31_Y31_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_dly_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_dly_reg~q\);

-- Location: LCCOMB_X31_Y31_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_volatile_reg_ena[4]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_volatile_reg_ena[4]~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_dly_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_dly_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_volatile_reg_ena[4]~0_combout\);

-- Location: FF_X27_Y33_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_volatile_reg_ena[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(7));

-- Location: LCCOMB_X27_Y33_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[5]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[5]~feeder_combout\);

-- Location: FF_X27_Y33_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_volatile_reg_ena[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(5));

-- Location: LCCOMB_X27_Y33_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[4]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[4]~feeder_combout\);

-- Location: FF_X27_Y33_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_volatile_reg_ena[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(4));

-- Location: LCCOMB_X27_Y33_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(4) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(5)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(7))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(6),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(7),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg~1_combout\);

-- Location: FF_X27_Y33_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(0));

-- Location: LCCOMB_X26_Y33_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(0) $ (VCC)
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0~COUT\ = 
-- CARRY(\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X29_Y30_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg2~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~0_combout\);

-- Location: LCCOMB_X29_Y30_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(25))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(25),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg~0_combout\);

-- Location: FF_X29_Y30_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg~q\);

-- Location: LCCOMB_X30_Y31_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26)) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(25) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(25),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_die_diff_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~0_combout\);

-- Location: LCCOMB_X29_Y33_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~11_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~11_combout\);

-- Location: LCCOMB_X30_Y32_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs3~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe1~q\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe1~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs3~0_combout\);

-- Location: LCCOMB_X30_Y32_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~16_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~16_combout\);

-- Location: LCCOMB_X30_Y35_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\);

-- Location: LCCOMB_X30_Y32_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~18_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~16_combout\ & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101110111011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~16_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~18_combout\);

-- Location: FF_X30_Y32_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs3~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~18_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe1~q\);

-- Location: LCCOMB_X30_Y32_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[0]~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0) $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe1~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[0]~2_combout\);

-- Location: FF_X30_Y32_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[0]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~18_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0));

-- Location: LCCOMB_X30_Y32_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[1]~1_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~2_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1) $ (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0) 
-- & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe1~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe1~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[1]~1_combout\);

-- Location: FF_X30_Y32_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[1]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~18_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1));

-- Location: LCCOMB_X30_Y32_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|_~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe1~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe1~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|_~0_combout\);

-- Location: LCCOMB_X30_Y32_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[2]~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(2) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|_~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|_~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[2]~0_combout\);

-- Location: FF_X30_Y32_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|cs4a[2]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~18_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(2));

-- Location: LCCOMB_X29_Y33_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(2) & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~1_combout\);

-- Location: LCCOMB_X29_Y33_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~11_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~11_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg~0_combout\);

-- Location: FF_X29_Y33_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg~q\);

-- Location: LCCOMB_X29_Y33_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~12_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_dummyclk_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~12_combout\);

-- Location: FF_X26_Y33_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~11_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X26_Y33_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(1) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita0~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1~COUT\);

-- Location: FF_X26_Y33_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~11_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(1));

-- Location: FF_X27_Y33_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(5),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(1));

-- Location: LCCOMB_X27_Y33_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(1) $ (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(1))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(0) & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(1) $ (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~1_combout\);

-- Location: LCCOMB_X26_Y33_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita2~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(2) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(2) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita2~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(2) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita1~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita2~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita2~COUT\);

-- Location: FF_X26_Y33_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita2~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~11_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X26_Y33_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita3~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(3) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita2~COUT\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(3),
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita2~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita3~combout\);

-- Location: FF_X26_Y33_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_comb_bita3~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~11_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(3));

-- Location: FF_X27_Y33_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(7),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(3));

-- Location: LCCOMB_X27_Y33_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(6) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(4)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(5))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(6),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(7),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg~0_combout\);

-- Location: FF_X27_Y33_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(2));

-- Location: LCCOMB_X27_Y33_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~0_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(3) & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(3) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(2) $ (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(2))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(3) & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(3) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(2) $ (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(3),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_cntr|auto_generated|counter_reg_bit\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dummyclk_reg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~0_combout\);

-- Location: LCCOMB_X29_Y33_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(2) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~0_combout\);

-- Location: LCCOMB_X29_Y33_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux213_dataout~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux213_dataout~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~0_combout\))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux213_dataout~0_combout\);

-- Location: LCCOMB_X30_Y34_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~2_combout\);

-- Location: FF_X30_Y34_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage2_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage2_reg~q\);

-- Location: LCCOMB_X30_Y34_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~7_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux213_dataout~0_combout\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage2_reg~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage2_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110111011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux213_dataout~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage2_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~7_combout\);

-- Location: LCCOMB_X31_Y35_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\);

-- Location: FF_X30_Y35_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\);

-- Location: LCCOMB_X29_Y34_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~q\) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~3_combout\);

-- Location: LCCOMB_X34_Y34_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(0) $ (VCC)
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0~COUT\ = 
-- CARRY(\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X30_Y34_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|buf_empty_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~0_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|buf_empty_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~0_combout\);

-- Location: LCCOMB_X31_Y34_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4_combout\);

-- Location: LCCOMB_X31_Y34_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\);

-- Location: FF_X34_Y34_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X34_Y34_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(1) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita0~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1~COUT\);

-- Location: FF_X34_Y34_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(1));

-- Location: LCCOMB_X34_Y34_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(2) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(2) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(2) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita1~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2~COUT\);

-- Location: FF_X34_Y34_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X34_Y34_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(3) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(3) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(3),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita2~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3~COUT\);

-- Location: FF_X34_Y34_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(3));

-- Location: LCCOMB_X34_Y34_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~3_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(3) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(3))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(0)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(0)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(3) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111101111011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(3),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~3_combout\);

-- Location: LCCOMB_X34_Y34_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(4) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(4) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(4) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(4),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita3~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4~COUT\);

-- Location: FF_X34_Y34_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(4));

-- Location: LCCOMB_X34_Y34_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(5) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(5),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita4~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5~COUT\);

-- Location: FF_X34_Y34_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(5));

-- Location: LCCOMB_X34_Y34_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~2_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(2) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(2))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(5)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(5)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(2) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111101111011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(5),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~2_combout\);

-- Location: LCCOMB_X34_Y34_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(6) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(6) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(6) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(6),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita5~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6~COUT\);

-- Location: FF_X34_Y34_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(6));

-- Location: LCCOMB_X34_Y34_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita7~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(7) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita7~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(7),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita6~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita7~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita7~COUT\);

-- Location: FF_X34_Y34_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita7~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(7));

-- Location: LCCOMB_X34_Y34_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita8~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita7~COUT\ $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(8),
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita7~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita8~combout\);

-- Location: FF_X34_Y34_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_comb_bita8~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(8));

-- Location: LCCOMB_X34_Y34_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~0_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(8) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(6) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(6))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(8)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(8) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(8)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(6) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110111111110110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(8),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(8),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(6),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~0_combout\);

-- Location: LCCOMB_X34_Y34_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~1_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(4) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(4))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(7)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(7)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(4) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111110110111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(7),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(4),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~1_combout\);

-- Location: LCCOMB_X34_Y34_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~4_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~3_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~2_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~0_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~3_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~2_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~4_combout\);

-- Location: LCCOMB_X34_Y34_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire\(0) = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~4_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(1) $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire[0]~4_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_read_cntr|auto_generated|counter_reg_bit\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire\(0));

-- Location: FF_X34_Y34_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|buf_empty_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr15|auto_generated|aneb_result_wire\(0),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|buf_empty_reg~q\);

-- Location: LCCOMB_X27_Y33_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~19_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~1_combout\) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~19_combout\);

-- Location: LCCOMB_X27_Y33_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~0_combout\ 
-- & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2_combout\);

-- Location: LCCOMB_X31_Y33_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs3~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe1~q\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe1~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs3~0_combout\);

-- Location: LCCOMB_X31_Y33_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~20_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~19_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~19_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~20_combout\);

-- Location: FF_X31_Y33_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs3~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~20_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe1~q\);

-- Location: LCCOMB_X31_Y33_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[0]~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~19_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0) $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~19_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe1~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[0]~0_combout\);

-- Location: FF_X31_Y33_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[0]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~20_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0));

-- Location: LCCOMB_X31_Y33_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~1_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1) $ 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe1~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~1_combout\);

-- Location: LCCOMB_X31_Y33_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[1]~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~1_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[1]~2_combout\);

-- Location: FF_X31_Y33_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[1]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~20_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1));

-- Location: LCCOMB_X31_Y33_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~0_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2) $ 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe1~q\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe1~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~0_combout\);

-- Location: LCCOMB_X31_Y33_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[2]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[2]~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~0_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|_~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[2]~1_combout\);

-- Location: FF_X31_Y33_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|cs4a[2]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~20_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2));

-- Location: LCCOMB_X31_Y33_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2116_dataout~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2116_dataout~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2116_dataout~0_combout\);

-- Location: FF_X31_Y33_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cnt_bfend_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2116_dataout~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cnt_bfend_reg~q\);

-- Location: LCCOMB_X31_Y35_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1) & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~0_combout\);

-- Location: FF_X31_Y35_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~q\);

-- Location: LCCOMB_X32_Y35_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cnt_bfend_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cnt_bfend_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~1_combout\);

-- Location: LCCOMB_X30_Y34_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|buf_empty_reg~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|buf_empty_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~0_combout\);

-- Location: FF_X30_Y34_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~q\);

-- Location: LCCOMB_X32_Y35_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~0_combout\);

-- Location: LCCOMB_X30_Y34_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~3_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~3_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~4_combout\);

-- Location: LCCOMB_X30_Y34_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~8_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~2_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~6_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~7_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~6_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~7_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~8_combout\);

-- Location: LCCOMB_X27_Y33_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_add_cycle_mux_datab_wire~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~0_combout\);

-- Location: LCCOMB_X27_Y33_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~9_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~8_combout\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~8_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~9_combout\);

-- Location: FF_X30_Y32_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs3~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe1~q\);

-- Location: LCCOMB_X30_Y32_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe1~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~1_combout\);

-- Location: FF_X30_Y32_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1));

-- Location: LCCOMB_X29_Y34_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~6_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~6_combout\);

-- Location: LCCOMB_X31_Y33_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1) & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0) & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~3_combout\);

-- Location: LCCOMB_X29_Y34_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~3_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~3_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~6_combout\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~6_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~3_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~4_combout\);

-- Location: LCCOMB_X29_Y34_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~5_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg2~q\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_read_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~5_combout\);

-- Location: FF_X29_Y34_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~q\);

-- Location: LCCOMB_X29_Y34_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~0_combout\);

-- Location: FF_X29_Y34_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~q\);

-- Location: LCCOMB_X30_Y35_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~10_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_read_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~10_combout\);

-- Location: LCCOMB_X31_Y33_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1) & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~0_combout\);

-- Location: LCCOMB_X31_Y33_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~0_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~1_combout\);

-- Location: LCCOMB_X30_Y34_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~10_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1)) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~10_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux211_dataout~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~1_combout\);

-- Location: LCCOMB_X31_Y33_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1) & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~2_combout\);

-- Location: LCCOMB_X31_Y35_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~0_combout\);

-- Location: LCCOMB_X31_Y33_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~2_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~0_combout\ & (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~2_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001010110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~3_combout\);

-- Location: LCCOMB_X29_Y34_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~7_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux213_dataout~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux213_dataout~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~7_combout\);

-- Location: LCCOMB_X32_Y35_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~5_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~5_combout\);

-- Location: LCCOMB_X30_Y34_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~8_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~5_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~7_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~7_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~5_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~8_combout\);

-- Location: LCCOMB_X30_Y34_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1) & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~1_combout\);

-- Location: LCCOMB_X30_Y34_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~1_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~2_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~3_combout\);

-- Location: LCCOMB_X30_Y34_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~0_combout\);

-- Location: LCCOMB_X30_Y34_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~9_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~8_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~3_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~8_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~3_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~9_combout\);

-- Location: LCCOMB_X31_Y35_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~4_combout\);

-- Location: LCCOMB_X31_Y35_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~5_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~3_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~4_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~13_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~13_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~3_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~9_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~5_combout\);

-- Location: LCCOMB_X31_Y35_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg_NEW0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg_OTERM1\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstage_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg_OTERM1\);

-- Location: FF_X31_Y35_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg_OTERM1\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg~q\);

-- Location: LCCOMB_X31_Y35_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_wrpoll_reg_ena~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_wrpoll_reg_ena~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_wrpoll_reg_ena~0_combout\);

-- Location: LCCOMB_X32_Y32_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_wrpoll_reg_ena~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_wrpoll_reg_ena~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_wrpoll_reg_ena~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg~0_combout\);

-- Location: FF_X32_Y32_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg~q\);

-- Location: LCCOMB_X32_Y32_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2~0_combout\);

-- Location: FF_X32_Y32_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2~q\);

-- Location: LCCOMB_X34_Y32_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1) & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg~0_combout\);

-- Location: FF_X34_Y32_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg~q\);

-- Location: LCCOMB_X32_Y32_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_sppoll_reg_ena~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_sppoll_reg_ena~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_sppoll_reg_ena~0_combout\);

-- Location: LCCOMB_X32_Y32_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_sppoll_reg_ena~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_sppoll_reg_ena~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_sppoll_reg_ena~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg~0_combout\);

-- Location: FF_X32_Y32_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg~q\);

-- Location: LCCOMB_X32_Y32_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~0_combout\);

-- Location: FF_X32_Y32_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\);

-- Location: LCCOMB_X32_Y32_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2~q\) # (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~0_combout\);

-- Location: LCCOMB_X30_Y34_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~1_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~5_combout\) # ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~5_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\);

-- Location: FF_X30_Y34_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux212_dataout~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\);

-- Location: FF_X31_Y32_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg~q\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\);

-- Location: LCCOMB_X31_Y31_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_dly_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_dly_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~0_combout\);

-- Location: LCCOMB_X31_Y34_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~1_combout\);

-- Location: FF_X27_Y30_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(0));

-- Location: LCCOMB_X27_Y30_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~1_combout\);

-- Location: FF_X27_Y30_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_int_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(7));

-- Location: LCCOMB_X27_Y30_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(0) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(7)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_int\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\);

-- Location: LCCOMB_X32_Y32_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\ & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~0_combout\);

-- Location: LCCOMB_X32_Y32_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|cs3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|cs3~0_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe1~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe1~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|cs3~0_combout\);

-- Location: LCCOMB_X32_Y32_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~21_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~21_combout\);

-- Location: LCCOMB_X32_Y32_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~22_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~21_combout\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~21_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~22_combout\);

-- Location: FF_X32_Y32_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|cs3~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~22_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe1~q\);

-- Location: LCCOMB_X32_Y32_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|cs4a[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|cs4a[0]~0_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe1~q\ $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe1~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|cs4a[0]~0_combout\);

-- Location: FF_X32_Y32_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|cs4a[0]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~22_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(0));

-- Location: LCCOMB_X32_Y32_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~1_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe1~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(0) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe1~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~1_combout\);

-- Location: LCCOMB_X32_Y32_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~2_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(1)) # ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~2_combout\);

-- Location: FF_X32_Y32_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a[1]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(1));

-- Location: LCCOMB_X32_Y32_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~16_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~16_combout\);

-- Location: LCCOMB_X34_Y32_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~17_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~16_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(1)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sprot_polling~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sprot_polling~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~16_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~17_combout\);

-- Location: LCCOMB_X34_Y31_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[0]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~17_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0) $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe1~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~17_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000001010010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~17_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg1~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe1~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[0]~1_combout\);

-- Location: FF_X34_Y31_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a[0]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0));

-- Location: LCCOMB_X35_Y32_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_flag_status_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~0_combout\);

-- Location: FF_X35_Y32_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\);

-- Location: LCCOMB_X30_Y33_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0) & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1) 
-- & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\);

-- Location: FF_X30_Y33_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_sector_protect\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_sector_protect~q\);

-- Location: LCCOMB_X31_Y33_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~1_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~0_combout\);

-- Location: LCCOMB_X30_Y33_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_sector_protect~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_sector_protect~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~0_combout\);

-- Location: FF_X30_Y33_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\);

-- Location: LCCOMB_X30_Y35_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\);

-- Location: LCCOMB_X29_Y33_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~0_combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|LessThan0~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~2_combout\);

-- Location: LCCOMB_X29_Y34_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~2_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[1]~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~0_combout\);

-- Location: LCCOMB_X29_Y34_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~q\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~15_combout\))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~q\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~15_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~1_combout\);

-- Location: FF_X29_Y34_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~q\);

-- Location: FF_X29_Y34_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~q\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg2~q\);

-- Location: LCCOMB_X29_Y34_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\);

-- Location: LCCOMB_X30_Y30_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always7~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always7~0_combout\);

-- Location: LCCOMB_X30_Y30_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~2_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\) # ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always7~0_combout\ $ (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always7~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~2_combout\);

-- Location: FF_X30_Y30_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(0));

-- Location: LCCOMB_X31_Y30_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~1\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always7~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always7~0_combout\,
	datad => VCC,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~1\);

-- Location: LCCOMB_X31_Y30_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(1) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~1\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~1\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~3\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~1\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(1),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~1\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~2_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~3\);

-- Location: LCCOMB_X31_Y30_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~2_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\ & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~2_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~1_combout\);

-- Location: FF_X31_Y30_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(1));

-- Location: LCCOMB_X31_Y30_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~3\ $ (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~3\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~5\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~3\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~4_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~5\);

-- Location: LCCOMB_X31_Y30_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~6_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(3) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~5\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(3) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~5\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~7\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~5\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(3),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~5\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~6_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~7\);

-- Location: LCCOMB_X30_Y30_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~8_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~6_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~6_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~8_combout\);

-- Location: FF_X30_Y30_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(3));

-- Location: LCCOMB_X31_Y30_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~8_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(4) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~7\ $ (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(4) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~7\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~9\ = CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(4) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(4),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~7\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~8_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~9\);

-- Location: LCCOMB_X31_Y30_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~7_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~8_combout\ & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~8_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~7_combout\);

-- Location: FF_X31_Y30_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(4));

-- Location: LCCOMB_X31_Y30_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~10_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(5) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~9\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~9\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~11\ = CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~9\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(5),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~9\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~10_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~11\);

-- Location: LCCOMB_X30_Y30_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~6_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~10_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~10_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~6_combout\);

-- Location: FF_X30_Y30_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(5));

-- Location: LCCOMB_X30_Y30_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~5_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~12_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~12_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~5_combout\);

-- Location: FF_X30_Y30_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(6));

-- Location: LCCOMB_X30_Y30_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(6) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(6),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~1_combout\);

-- Location: LCCOMB_X30_Y30_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(3) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(4) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(3),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\);

-- Location: LCCOMB_X30_Y30_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount[2]~0_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_burstcount[0]~0_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_burstcount[0]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount[2]~0_combout\);

-- Location: FF_X30_Y30_N7
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount[2]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount\(2));

-- Location: LCCOMB_X30_Y30_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount\(2) $ (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_mem_burstcount\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\);

-- Location: LCCOMB_X30_Y30_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~3_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add3~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~0_combout\);

-- Location: FF_X30_Y30_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2));

-- Location: LCCOMB_X29_Y33_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal13~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\);

-- Location: LCCOMB_X30_Y32_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[0]~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe1~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[0]~0_combout\);

-- Location: FF_X30_Y32_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|cs4a[0]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0));

-- Location: LCCOMB_X29_Y35_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\);

-- Location: LCCOMB_X29_Y35_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~feeder_combout\);

-- Location: FF_X29_Y35_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\);

-- Location: LCCOMB_X31_Y31_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\) 
-- # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0_combout\);

-- Location: FF_X26_Y29_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(0));

-- Location: LCCOMB_X26_Y29_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[1]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[1]~feeder_combout\);

-- Location: FF_X26_Y29_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(1));

-- Location: LCCOMB_X26_Y29_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[2]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[2]~feeder_combout\);

-- Location: FF_X26_Y29_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(2));

-- Location: LCCOMB_X26_Y29_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[3]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[3]~feeder_combout\);

-- Location: FF_X26_Y29_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(3));

-- Location: LCCOMB_X26_Y29_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[4]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[4]~feeder_combout\);

-- Location: FF_X26_Y29_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(4));

-- Location: LCCOMB_X26_Y29_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[5]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[5]~feeder_combout\);

-- Location: FF_X26_Y29_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(5));

-- Location: LCCOMB_X26_Y29_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[6]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[6]~feeder_combout\);

-- Location: FF_X26_Y29_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(6));

-- Location: LCCOMB_X27_Y33_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[6]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[6]~feeder_combout\);

-- Location: FF_X27_Y33_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_volatile_reg_ena[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(6));

-- Location: LCCOMB_X27_Y33_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_empty_wire~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_empty_wire~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(6) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(7) & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(5) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(6),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(7),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_reg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_empty_wire~0_combout\);

-- Location: LCCOMB_X31_Y34_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_nonvdummyclk_reg_ena\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_nonvdummyclk_reg_ena~combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_nonvdummyclk_reg_ena~combout\);

-- Location: LCCOMB_X30_Y33_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_NEW4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_OTERM5\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_nonvdummyclk_reg_ena~combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_empty_wire~0_combout\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_nonvdummyclk_reg_ena~combout\ & (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|volatile_empty_wire~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_nonvdummyclk_reg_ena~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_OTERM5\);

-- Location: LCCOMB_X30_Y33_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_RTM023\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_RTM023_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_OTERM5\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg_OTERM5\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_RTM023_combout\);

-- Location: FF_X30_Y33_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_NEW_REG20\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_RTM023_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\);

-- Location: LCCOMB_X30_Y35_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\);

-- Location: LCCOMB_X35_Y34_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|max_cnt_reg~q\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|max_cnt_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\);

-- Location: FF_X35_Y34_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_comb_bita0~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X35_Y34_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~1_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(0) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(2) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(1) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~1_combout\);

-- Location: LCCOMB_X35_Y34_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty[8]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\(8) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(8)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~0_combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|cmpr14|auto_generated|aneb_result_wire[0]~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwr_data_cntr|auto_generated|counter_reg_bit\(8),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\(8));

-- Location: LCCOMB_X30_Y35_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~1_combout\);

-- Location: LCCOMB_X31_Y35_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_polling~0_combout\) # ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write_polling~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~0_combout\);

-- Location: LCCOMB_X31_Y35_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~1_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~0_combout\) # ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\(8) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\(8),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~2_combout\);

-- Location: FF_X31_Y35_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\);

-- Location: FF_X30_Y27_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_sector_erase\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_sector_erase~q\);

-- Location: LCCOMB_X31_Y32_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_sector_erase~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_sector_erase~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~0_combout\);

-- Location: LCCOMB_X31_Y32_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~combout\);

-- Location: FF_X31_Y32_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~q\);

-- Location: LCCOMB_X31_Y32_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\);

-- Location: LCCOMB_X35_Y34_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\(8))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\(8)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100100011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\(8),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~2_combout\);

-- Location: LCCOMB_X31_Y31_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~11_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~11_combout\);

-- Location: LCCOMB_X30_Y34_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~12_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~11_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~10_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~10_combout\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_start_dummyclk_reg_ena~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~11_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~10_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~12_combout\);

-- Location: LCCOMB_X30_Y34_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~13_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~12_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~0_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~12_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_pgwrop_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_end_pgwrop_reg_ena~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~13_combout\);

-- Location: LCCOMB_X32_Y32_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~14_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2~q\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|st_busy_wire~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_wrpoll_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|start_sppoll_reg2~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~14_combout\);

-- Location: LCCOMB_X31_Y35_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~15_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~13_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~9_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~14_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~13_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~14_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~9_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~15_combout\);

-- Location: FF_X31_Y35_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~15_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\);

-- Location: LCCOMB_X31_Y34_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~feeder_combout\);

-- Location: FF_X31_Y34_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\);

-- Location: LCCOMB_X31_Y32_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_read_status~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rstat_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~0_combout\);

-- Location: FF_X31_Y32_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~q\);

-- Location: LCCOMB_X31_Y32_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|reset_addren_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|reset_addren_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~q\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|reset_addren_reg~0_combout\);

-- Location: FF_X31_Y32_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|reset_addren_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|reset_addren_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|reset_addren_reg~q\);

-- Location: LCCOMB_X31_Y32_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|reset_addren_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_erase_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|reset_addren_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~0_combout\);

-- Location: LCCOMB_X31_Y32_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~0_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\);

-- Location: LCCOMB_X31_Y34_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~1_combout\);

-- Location: LCCOMB_X32_Y30_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\) # 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\);

-- Location: LCCOMB_X32_Y29_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~0_combout\);

-- Location: FF_X32_Y29_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\);

-- Location: LCCOMB_X32_Y27_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_write~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70) & 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70),
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_write~0_combout\);

-- Location: FF_X32_Y27_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_write\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_write~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_write~q\);

-- Location: LCCOMB_X36_Y29_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_write~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_write~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_write~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_write~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\);

-- Location: LCCOMB_X36_Y29_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~1_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~1_combout\);

-- Location: FF_X36_Y29_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(0));

-- Location: LCCOMB_X36_Y29_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(0)) 
-- # (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~3_combout\);

-- Location: FF_X36_Y29_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(1));

-- Location: LCCOMB_X36_Y29_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(1)) 
-- # (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~2_combout\);

-- Location: FF_X36_Y29_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(2));

-- Location: LCCOMB_X36_Y29_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(2)) 
-- # (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~0_combout\);

-- Location: FF_X36_Y29_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(3));

-- Location: LCCOMB_X36_Y29_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(0) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(1) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(3) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg_full\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\);

-- Location: FF_X34_Y29_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(0));

-- Location: LCCOMB_X34_Y29_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~11_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(1) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~10\)) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~10\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~12\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~10\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(1),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[0]~10\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~11_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~12\);

-- Location: FF_X34_Y29_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~11_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(1));

-- Location: LCCOMB_X34_Y29_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~13_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~12\ $ 
-- (GND))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~12\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~14\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~12\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[1]~12\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~13_combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~14\);

-- Location: FF_X34_Y29_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[2]~13_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2));

-- Location: FF_X34_Y29_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt[3]~16_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3));

-- Location: LCCOMB_X34_Y29_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\(2) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\(2) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(3),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~0_combout\);

-- Location: LCCOMB_X34_Y29_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\(2) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\(2) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(7),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(6),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~1_combout\);

-- Location: LCCOMB_X34_Y29_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(8) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(8),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_burstcount\(2),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_burstcount_cnt\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~2_combout\);

-- Location: LCCOMB_X35_Y29_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~3_combout\);

-- Location: FF_X35_Y29_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_write\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal9~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_write~q\);

-- Location: LCCOMB_X31_Y32_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg_NEW26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg_OTERM27\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_write~q\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~combout\ & (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_write~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_reset_addren_reg_ena~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg_OTERM27\);

-- Location: LCCOMB_X31_Y32_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg~0_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg_OTERM1\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sprot_rstat_reg~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_rstat_reg_OTERM1\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~0_combout\);

-- Location: LCCOMB_X31_Y32_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~0_combout\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg_OTERM27\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_RTM019_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg_OTERM27\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_RTM019_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_status_reg~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_combout\);

-- Location: FF_X31_Y32_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_NEW_REG28\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\);

-- Location: LCCOMB_X32_Y30_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\) # ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~0_combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\);

-- Location: LCCOMB_X32_Y30_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~feeder_combout\);

-- Location: LCCOMB_X32_Y30_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~feeder_combout\);

-- Location: FF_X32_Y30_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~q\);

-- Location: FF_X32_Y30_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\);

-- Location: LCCOMB_X29_Y27_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~0_combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~1_combout\);

-- Location: LCCOMB_X30_Y27_N30
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~1_combout\ & 
-- (((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~1_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000111100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_csr_waitrequest~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~1_combout\);

-- Location: FF_X30_Y27_N31
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\);

-- Location: LCCOMB_X35_Y22_N4
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X35_Y22_N5
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|din_s1~q\);

-- Location: FF_X35_Y22_N11
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|din_s1~q\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|dreg\(0));

-- Location: LCCOMB_X35_Y22_N14
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~0_combout\ & ((\gpio_u0|mm_interconnect_0|router|Equal12~1_combout\ & 
-- ((!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|dreg\(0)))) # (!\gpio_u0|mm_interconnect_0|router|Equal12~1_combout\ & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~q\)))) # 
-- (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~0_combout\ & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal12~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~0_combout\);

-- Location: LCCOMB_X35_Y22_N12
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~feeder_combout\);

-- Location: FF_X35_Y22_N13
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~q\);

-- Location: LCCOMB_X35_Y22_N20
\gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~0_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal12~1_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~q\ $ (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal12~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\);

-- Location: FF_X34_Y26_N5
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[40]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(40));

-- Location: LCCOMB_X35_Y26_N30
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[40]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[40]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(40)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(40),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[40]~feeder_combout\);

-- Location: FF_X35_Y26_N31
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[40]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40));

-- Location: LCCOMB_X32_Y29_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_combi\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_combi~combout\ = (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\ & (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38) & 
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_combi~combout\);

-- Location: LCCOMB_X32_Y30_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~q\ 
-- & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~0_combout\);

-- Location: LCCOMB_X30_Y27_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~1_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\ & ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0)) # 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0),
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~1_combout\);

-- Location: LCCOMB_X30_Y27_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~2_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~1_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_en4b_addr~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_combi~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~2_combout\);

-- Location: LCCOMB_X32_Y29_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~3_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_combi~combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_combi~combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_status_combi~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~2_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_combi~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~3_combout\);

-- Location: FF_X32_Y29_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~q\);

-- Location: LCCOMB_X32_Y30_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~0_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_write~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_write~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~0_combout\);

-- Location: LCCOMB_X32_Y30_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~1_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~1_combout\);

-- Location: FF_X32_Y30_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~q\);

-- Location: LCCOMB_X32_Y30_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~q\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~q\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|local_waitrequest~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_mem_waitrequest~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\);

-- Location: LCCOMB_X32_Y30_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\) # (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_waitrequest~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\);

-- Location: LCCOMB_X34_Y27_N24
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[122]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[122]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[122]~feeder_combout\);

-- Location: FF_X34_Y27_N25
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[122]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(122));

-- Location: FF_X31_Y27_N27
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(122),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(122));

-- Location: LCCOMB_X34_Y27_N2
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[69]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[69]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|write~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[69]~feeder_combout\);

-- Location: FF_X34_Y27_N3
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[69]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[69]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(69));

-- Location: FF_X31_Y27_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[69]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(69),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(69));

-- Location: LCCOMB_X31_Y27_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~1_combout\ = (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(71)) # ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70) & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(122) & !\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(69))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(71),
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70),
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(122),
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(69),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~1_combout\);

-- Location: LCCOMB_X30_Y30_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|data_valid_combi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|data_valid_combi~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(1) 
-- & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(0) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_burstcount_cnt\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|data_valid_combi~0_combout\);

-- Location: FF_X30_Y30_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|data_valid_combi~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\);

-- Location: LCCOMB_X31_Y27_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70) & (!\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(69) & 
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(122)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(70),
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(69),
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(122),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~0_combout\);

-- Location: FF_X31_Y27_N21
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[1][122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[1][122]~q\);

-- Location: LCCOMB_X31_Y27_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~1_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\) # ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1) & 
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[1][122]~q\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[1][122]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[1][122]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~1_combout\);

-- Location: LCCOMB_X31_Y27_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~feeder_combout\);

-- Location: FF_X31_Y27_N15
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~q\);

-- Location: LCCOMB_X30_Y23_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~0_combout\ = (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~0_combout\);

-- Location: LCCOMB_X30_Y24_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|comb~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|comb~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~q\) # (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|comb~0_combout\);

-- Location: LCCOMB_X34_Y25_N4
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X34_Y25_N5
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|din_s1~q\);

-- Location: LCCOMB_X34_Y25_N6
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|din_s1~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X34_Y25_N7
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0));

-- Location: LCCOMB_X32_Y25_N4
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~feeder_combout\);

-- Location: FF_X32_Y25_N5
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\);

-- Location: FF_X32_Y23_N23
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|din_s1~q\);

-- Location: LCCOMB_X30_Y23_N20
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|din_s1~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X30_Y23_N21
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\(0));

-- Location: LCCOMB_X30_Y23_N16
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_ready~0_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\ $ (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_ready~0_combout\);

-- Location: LCCOMB_X31_Y27_N4
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~5_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1)) # ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_ready~0_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|comb~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|comb~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_ready~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~5_combout\);

-- Location: LCCOMB_X31_Y27_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~6_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~5_combout\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~1_combout\ & 
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~5_combout\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|m0_read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~6_combout\);

-- Location: FF_X31_Y27_N25
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X30_Y23_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0_combout\ = (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~0_combout\ & 
-- (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_ready~0_combout\ & ((!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~q\) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_ready~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0_combout\);

-- Location: LCCOMB_X30_Y23_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[1]~1_combout\ = (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1)) # ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[1]~1_combout\);

-- Location: FF_X30_Y23_N27
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[1]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1));

-- Location: LCCOMB_X30_Y23_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[0]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0)) # (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) $ 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0_combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0_combout\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0_combout\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[0]~0_combout\);

-- Location: FF_X30_Y23_N25
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used[0]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0));

-- Location: LCCOMB_X30_Y24_N30
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\) # 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0)) # ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~q\ & 
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][122]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~combout\);

-- Location: LCCOMB_X30_Y23_N2
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~combout\ & ((!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\(0)))) 
-- # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~combout\ & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~0_combout\);

-- Location: FF_X30_Y23_N3
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\);

-- Location: LCCOMB_X31_Y27_N2
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~2_combout\ = ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|comb~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\ $ (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\(0))))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001101110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|comb~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~2_combout\);

-- Location: LCCOMB_X31_Y27_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~3_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~1_combout\ & 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~2_combout\ & (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[0]~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~3_combout\);

-- Location: LCCOMB_X31_Y27_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~0_combout\ = ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\(0))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|comb~0_combout\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111110111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|comb~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X31_Y27_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\ & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1) & \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~0_combout\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~3_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1) & \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~3_combout\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~4_combout\);

-- Location: FF_X31_Y27_N13
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X31_Y27_N30
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\ & (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_to_out_synchronizer|dreg\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|avl_mem_waitrequest~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~0_combout\);

-- Location: LCCOMB_X37_Y26_N0
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~feeder_combout\);

-- Location: FF_X37_Y26_N1
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\);

-- Location: LCCOMB_X38_Y22_N26
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_toggle_flopped~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X38_Y22_N27
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|din_s1~q\);

-- Location: FF_X38_Y22_N25
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|din_s1~q\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|dreg\(0));

-- Location: LCCOMB_X38_Y22_N18
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~0_combout\ = (\gpio_u0|mm_interconnect_0|router|src_channel[3]~6_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~0_combout\ & 
-- ((!\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|dreg\(0)))) # (!\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~0_combout\ & (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~q\)))) # 
-- (!\gpio_u0|mm_interconnect_0|router|src_channel[3]~6_combout\ & (((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|src_channel[3]~6_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~0_combout\);

-- Location: LCCOMB_X38_Y22_N22
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~feeder_combout\);

-- Location: FF_X38_Y22_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~q\);

-- Location: LCCOMB_X38_Y22_N0
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_ready~0_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~q\ $ (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|dreg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_toggle~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_ready~0_combout\);

-- Location: LCCOMB_X38_Y22_N6
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~10_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_ready~0_combout\ & ((\gpio_u0|mm_interconnect_0|router|Equal13~0_combout\) # ((\gpio_u0|mm_interconnect_0|router|src_channel~3_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|src_channel~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|src_channel~3_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_ready~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal13~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|src_channel~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~10_combout\);

-- Location: FF_X38_Y22_N21
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|router|always1~6_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(7));

-- Location: LCCOMB_X38_Y22_N20
\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[7]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[7]~7_combout\ = ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(7)) # (\gpio_u0|master_0|transacto|p2m|write~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(7),
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[7]~7_combout\);

-- Location: LCCOMB_X34_Y24_N12
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|router|always1~6_combout\ & \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[7]~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|router|always1~6_combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[7]~7_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X34_Y24_N8
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter~1_combout\ = (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0) & (\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1)) # (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write~combout\,
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter~1_combout\);

-- Location: FF_X34_Y24_N9
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X34_Y24_N6
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~1_combout\ = (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~0_combout\ 
-- & (\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0) $ (\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write~combout\,
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~1_combout\);

-- Location: FF_X34_Y24_N7
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X34_Y24_N30
\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[0]~3_combout\ = (\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~1_combout\) # ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1)) # (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: FF_X34_Y24_N31
\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X34_Y24_N24
\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & 
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[7]~7_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[7]~7_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X34_Y24_N28
\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\gpio_u0|mm_interconnect_0|router|always1~6_combout\ & (\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write~combout\ $ (\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write~combout\,
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|router|always1~6_combout\,
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: LCCOMB_X34_Y24_N18
\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~2_combout\ = (\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(0) & (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1)) # (\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~1_combout\)))) # (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~2_combout\);

-- Location: FF_X34_Y24_N19
\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used[1]~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X34_Y24_N26
\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write~combout\ = (\gpio_u0|mm_interconnect_0|router|Equal7~1_combout\ & (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|router|always1~4_combout\ & 
-- \gpio_u0|user_led|always0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal7~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|router|always1~4_combout\,
	datad => \gpio_u0|user_led|always0~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write~combout\);

-- Location: LCCOMB_X34_Y24_N10
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter~0_combout\ = (\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~0_combout\ & ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0) & 
-- (\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write~combout\ & !\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1))) # (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0) & 
-- ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent|m0_write~combout\,
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter~0_combout\);

-- Location: FF_X34_Y24_N11
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X34_Y24_N4
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~23_combout\ = (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\gpio_u0|master_0|transacto|p2m|write~q\ $ 
-- (\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|write~q\,
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~23_combout\);

-- Location: LCCOMB_X34_Y24_N16
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~16_combout\ = (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|router|always1~4_combout\ & 
-- (\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~23_combout\ & \gpio_u0|mm_interconnect_0|router|Equal7~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|router|always1~4_combout\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~23_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal7~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~16_combout\);

-- Location: LCCOMB_X35_Y23_N18
\gpio_u0|mm_interconnect_0|router|Equal1~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal1~7_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(6) & (\gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(4) & !\gpio_u0|master_0|transacto|p2m|address\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(6),
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(4),
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|router|Equal1~7_combout\);

-- Location: FF_X35_Y21_N7
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|router|Equal1~7_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(5));

-- Location: LCCOMB_X35_Y22_N30
\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\gpio_u0|master_0|transacto|p2m|read~q\ & 
-- ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(5)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(5),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|master_0|transacto|p2m|read~q\,
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X36_Y21_N8
\gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~1_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(6) & (\gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~9_combout\ & 
-- !\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(6),
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~9_combout\,
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~1_combout\);

-- Location: LCCOMB_X35_Y21_N8
\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[5]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[5]~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(5)) # ((\gpio_u0|master_0|transacto|p2m|write~q\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(5),
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[5]~0_combout\);

-- Location: LCCOMB_X35_Y21_N6
\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~0_combout\ = (!\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[5]~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|router|Equal1~7_combout\ & \gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[5]~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~7_combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~0_combout\);

-- Location: LCCOMB_X35_Y21_N28
\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~2_combout\ = (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0) & (\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1)) # (!\gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1),
	datac => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~2_combout\);

-- Location: FF_X35_Y21_N29
\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X35_Y21_N2
\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_waitrequest_generated~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_waitrequest_generated~0_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1)) # (\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0) $ 
-- (((!\gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~1_combout\) # (!\gpio_u0|user_led|always0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|user_led|always0~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1),
	datac => \gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0),
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_waitrequest_generated~0_combout\);

-- Location: LCCOMB_X35_Y21_N10
\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~1_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~0_combout\ & 
-- (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_waitrequest_generated~0_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~7_combout\ & !\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_waitrequest_generated~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~7_combout\,
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~1_combout\);

-- Location: FF_X35_Y21_N11
\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X35_Y21_N14
\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[0]~2_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~1_combout\) # ((\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1)) # (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: FF_X35_Y21_N15
\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[0]~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X35_Y21_N24
\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal1~7_combout\ & (\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~0_combout\ & 
-- !\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_waitrequest_generated~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal1~7_combout\,
	datac => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_waitrequest_generated~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X35_Y21_N22
\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(0) & (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1)) # (\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]~0_combout\)))) # (!\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: FF_X35_Y21_N23
\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X35_Y21_N26
\gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~0_combout\ = (!\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & 
-- (\gpio_u0|mm_interconnect_0|router|Equal1~7_combout\ & \gpio_u0|master_0|transacto|p2m|write~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~7_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~0_combout\);

-- Location: LCCOMB_X35_Y21_N20
\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~1_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~0_combout\ & ((\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0) & 
-- (\gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~0_combout\ & !\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1))) # (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0) & 
-- ((\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1),
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~1_combout\);

-- Location: FF_X35_Y21_N21
\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X35_Y21_N0
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~18_combout\ = (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~1_combout\ & (\gpio_u0|user_led|always0~1_combout\ $ 
-- (\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|user_led|always0~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1),
	datac => \gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0),
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~18_combout\);

-- Location: LCCOMB_X39_Y21_N12
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[70]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[70]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|write~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[70]~feeder_combout\);

-- Location: LCCOMB_X36_Y22_N20
\gpio_u0|mm_interconnect_0|router|Equal10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal10~0_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(5) & (\gpio_u0|mm_interconnect_0|router|Equal11~4_combout\ & !\gpio_u0|master_0|transacto|p2m|address\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(5),
	datac => \gpio_u0|mm_interconnect_0|router|Equal11~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(6),
	combout => \gpio_u0|mm_interconnect_0|router|Equal10~0_combout\);

-- Location: FF_X36_Y22_N21
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|router|Equal10~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(13));

-- Location: LCCOMB_X35_Y22_N22
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0_combout\ & (\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~17_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(13)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(13),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|cp_valid~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~17_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\);

-- Location: FF_X39_Y21_N13
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[70]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[70]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(70));

-- Location: FF_X38_Y21_N11
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[70]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(70),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(70));

-- Location: LCCOMB_X39_Y21_N6
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[71]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[71]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|read~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|read~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[71]~feeder_combout\);

-- Location: FF_X39_Y21_N7
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[71]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[71]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(71));

-- Location: LCCOMB_X39_Y21_N10
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[71]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[71]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(71)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(71),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[71]~feeder_combout\);

-- Location: FF_X39_Y21_N11
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[71]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[71]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(71));

-- Location: LCCOMB_X38_Y22_N8
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~0_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~q\ $ (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~0_combout\);

-- Location: FF_X38_Y22_N11
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~q\);

-- Location: LCCOMB_X38_Y19_N26
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X38_Y19_N27
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|din_s1~q\);

-- Location: FF_X38_Y19_N13
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|din_s1~q\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0));

-- Location: LCCOMB_X38_Y19_N6
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~2_combout\ = (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(71) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(71),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~2_combout\);

-- Location: FF_X38_Y19_N7
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X39_Y21_N20
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[69]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[69]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|write~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[69]~feeder_combout\);

-- Location: FF_X39_Y21_N21
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[69]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[69]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(69));

-- Location: FF_X38_Y21_N31
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[69]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(69),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(69));

-- Location: LCCOMB_X39_Y21_N0
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[122]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[122]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[122]~feeder_combout\);

-- Location: FF_X39_Y21_N1
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[122]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(122));

-- Location: FF_X38_Y21_N1
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(122),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(122));

-- Location: FF_X37_Y21_N29
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[1][122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[1][122]~q\);

-- Location: LCCOMB_X37_Y21_N8
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1) & \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[1][122]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[1][122]~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X38_Y19_N8
\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(70) & (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(70),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~0_combout\);

-- Location: LCCOMB_X37_Y21_N28
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~1_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~0_combout\) # ((!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(69) & 
-- (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(122) & \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(69),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(122),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~0_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~1_combout\);

-- Location: LCCOMB_X36_Y20_N18
\gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~0_combout\ = (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & !\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~0_combout\);

-- Location: LCCOMB_X36_Y20_N12
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_ready~0_combout\ = \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\ $ (\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|dreg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_ready~0_combout\);

-- Location: LCCOMB_X36_Y20_N24
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0_combout\ = (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~0_combout\ & (!\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_ready~0_combout\ & 
-- ((!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][122]~q\) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][122]~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_ready~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0_combout\);

-- Location: LCCOMB_X36_Y20_N20
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[1]~1_combout\ = (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0_combout\ & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1)) # 
-- ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[1]~1_combout\);

-- Location: FF_X36_Y20_N21
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[1]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1));

-- Location: LCCOMB_X36_Y20_N6
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[0]~0_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0)) # 
-- (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) $ (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0_combout\)))) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0_combout\ & (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1))) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[0]~0_combout\);

-- Location: FF_X36_Y20_N7
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used[0]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0));

-- Location: LCCOMB_X36_Y20_N16
\gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0)) # ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][122]~q\ & \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][122]~q\,
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~combout\);

-- Location: LCCOMB_X36_Y20_N2
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~0_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~combout\ & (!\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|dreg\(0))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~combout\ & ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|dreg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~0_combout\);

-- Location: FF_X36_Y20_N3
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\);

-- Location: LCCOMB_X37_Y24_N14
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X37_Y24_N15
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|din_s1~q\);

-- Location: LCCOMB_X37_Y24_N6
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|din_s1~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X37_Y24_N7
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg\(0));

-- Location: LCCOMB_X37_Y24_N26
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~feeder_combout\);

-- Location: FF_X37_Y24_N27
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~q\);

-- Location: LCCOMB_X36_Y20_N4
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X36_Y20_N5
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|din_s1~q\);

-- Location: FF_X36_Y20_N19
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|din_s1~q\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|dreg\(0));

-- Location: LCCOMB_X36_Y20_N26
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~5_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1)) # ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|dreg\(0) $ 
-- (\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\)) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent|comb~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent|comb~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|dreg\(0),
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~5_combout\);

-- Location: LCCOMB_X38_Y21_N30
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\ = (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(71)) # ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(70) & 
-- (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(69) & \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(122))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(71),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(70),
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(69),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(122),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: LCCOMB_X38_Y19_N30
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~1_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~0_combout\ & (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~1_combout\);

-- Location: LCCOMB_X36_Y20_N22
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~6_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~5_combout\ & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\ & \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~1_combout\)))) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~5_combout\ & 
-- (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\ & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~5_combout\,
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\,
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~6_combout\);

-- Location: FF_X36_Y20_N23
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X36_Y20_N28
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~3_combout\ = ((!\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_ready~0_combout\ & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][122]~q\) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~0_combout\)))) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010111110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][122]~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_ready~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~3_combout\);

-- Location: FF_X36_Y20_N29
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][122]~q\);

-- Location: LCCOMB_X36_Y20_N14
\gpio_u0|mm_interconnect_0|uart_0_s1_agent|comb~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent|comb~0_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][122]~q\) # (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][122]~q\,
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent|comb~0_combout\);

-- Location: LCCOMB_X36_Y20_N30
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1) & (((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_ready~0_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0))) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent|comb~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent|comb~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_ready~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X37_Y19_N16
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter\(0) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\ & (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\,
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: LCCOMB_X36_Y20_N10
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~4_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~0_combout\) # ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\ & 
-- (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~1_combout\ & !\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\,
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~3_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~4_combout\);

-- Location: FF_X36_Y20_N11
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X38_Y19_N16
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0_combout\ = (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\,
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0_combout\);

-- Location: LCCOMB_X38_Y19_N2
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~1_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\ & 
-- (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(70)) # (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(71)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(70),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(71),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~1_combout\);

-- Location: LCCOMB_X38_Y19_N28
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~2_combout\ = (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter\(0) & \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~2_combout\);

-- Location: FF_X38_Y19_N29
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X38_Y19_N12
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\ & 
-- (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter\(0) & !\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\,
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X38_Y19_N22
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~0_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~0_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0)))) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~0_combout\ & (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~0_combout\);

-- Location: FF_X38_Y19_N23
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\);

-- Location: LCCOMB_X35_Y22_N8
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_toggle_flopped~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X35_Y22_N9
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|din_s1~q\);

-- Location: FF_X35_Y22_N25
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|din_s1~q\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|dreg\(0));

-- Location: LCCOMB_X35_Y22_N24
\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~17_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal9~0_combout\ & (\gpio_u0|master_0|transacto|p2m|address\(5) & (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|dreg\(0) $ 
-- (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal9~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(5),
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_to_in_synchronizer|dreg\(0),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_toggle~q\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~17_combout\);

-- Location: LCCOMB_X35_Y22_N0
\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~6_combout\ = (\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~17_combout\) # ((\gpio_u0|mm_interconnect_0|router|Equal12~1_combout\ & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~q\ $ 
-- (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_toggle~q\,
	datab => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~17_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal12~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~6_combout\);

-- Location: LCCOMB_X35_Y22_N2
\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\ = (\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~16_combout\) # ((\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~6_combout\) # ((\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~18_combout\ & 
-- \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~16_combout\,
	datab => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~18_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~6_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\);

-- Location: LCCOMB_X39_Y22_N0
\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\ = (\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\) # ((\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~5_combout\) # ((\gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~10_combout\) # 
-- (\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\,
	datab => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~5_combout\,
	datac => \gpio_u0|mm_interconnect_0|cmd_demux|sink_ready~10_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\,
	combout => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\);

-- Location: LCCOMB_X43_Y21_N12
\gpio_u0|master_0|transacto|p2m|Selector54~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector54~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector54~1_combout\) # ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector54~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector54~4_combout\);

-- Location: LCCOMB_X43_Y21_N26
\gpio_u0|master_0|transacto|p2m|Selector54~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector54~2_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(17) & ((\gpio_u0|master_0|transacto|p2m|Selector54~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|address\(17) & (((\gpio_u0|master_0|transacto|p2m|Selector54~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector54~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(17),
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector54~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector54~2_combout\);

-- Location: LCCOMB_X43_Y21_N6
\gpio_u0|master_0|transacto|p2m|Selector54~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector54~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector43~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector54~1_combout\ & (\gpio_u0|master_0|transacto|p2m|Selector54~2_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|Selector54~1_combout\ & ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector54~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector54~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector54~3_combout\);

-- Location: LCCOMB_X43_Y21_N2
\gpio_u0|master_0|transacto|p2m|Selector54~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector54~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector54~4_combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector54~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Add2~30_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector54~3_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|Selector54~4_combout\ & (\gpio_u0|master_0|transacto|p2m|Add2~30_combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector54~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector54~4_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Add2~30_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector54~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector54~3_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector54~5_combout\);

-- Location: FF_X43_Y21_N3
\gpio_u0|master_0|transacto|p2m|address[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector54~5_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|address\(17));

-- Location: LCCOMB_X42_Y21_N28
\gpio_u0|mm_interconnect_0|router|Equal1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal1~4_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(17) & (!\gpio_u0|master_0|transacto|p2m|address\(16) & (!\gpio_u0|master_0|transacto|p2m|address\(18) & !\gpio_u0|master_0|transacto|p2m|address\(19))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(17),
	datab => \gpio_u0|master_0|transacto|p2m|address\(16),
	datac => \gpio_u0|master_0|transacto|p2m|address\(18),
	datad => \gpio_u0|master_0|transacto|p2m|address\(19),
	combout => \gpio_u0|mm_interconnect_0|router|Equal1~4_combout\);

-- Location: LCCOMB_X37_Y22_N22
\gpio_u0|mm_interconnect_0|router|Equal1~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal1~5_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal1~4_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~3_combout\ & (!\gpio_u0|master_0|transacto|p2m|address\(28) & 
-- !\gpio_u0|master_0|transacto|p2m|address\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal1~4_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(28),
	datad => \gpio_u0|master_0|transacto|p2m|address\(7),
	combout => \gpio_u0|mm_interconnect_0|router|Equal1~5_combout\);

-- Location: LCCOMB_X37_Y22_N6
\gpio_u0|mm_interconnect_0|router|Equal1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ = (\gpio_u0|mm_interconnect_0|router|Equal1~5_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~2_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal1~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|Equal1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal1~5_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~2_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal1~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\);

-- Location: LCCOMB_X35_Y23_N8
\gpio_u0|mm_interconnect_0|router|always1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|always1~6_combout\ = (\gpio_u0|master_0|transacto|p2m|read~q\ & (\gpio_u0|mm_interconnect_0|router|Equal1~6_combout\ & (\gpio_u0|mm_interconnect_0|router|Equal7~1_combout\ & !\gpio_u0|master_0|transacto|p2m|address\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read~q\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal1~6_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal7~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(6),
	combout => \gpio_u0|mm_interconnect_0|router|always1~6_combout\);

-- Location: LCCOMB_X36_Y22_N22
\gpio_u0|mm_interconnect_0|router|src_data~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data~13_combout\ = (\gpio_u0|mm_interconnect_0|router|always1~6_combout\) # (((\gpio_u0|mm_interconnect_0|router|Equal9~0_combout\ & \gpio_u0|master_0|transacto|p2m|address\(5))) # 
-- (!\gpio_u0|mm_interconnect_0|router|src_data~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101110111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|always1~6_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|src_data~3_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal9~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|router|src_data~13_combout\);

-- Location: FF_X36_Y22_N23
\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|router|src_data~13_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(3));

-- Location: LCCOMB_X36_Y22_N6
\gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\ = \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(3) $ (((\gpio_u0|mm_interconnect_0|router|always1~6_combout\) # ((\gpio_u0|mm_interconnect_0|router|Equal10~0_combout\) 
-- # (!\gpio_u0|mm_interconnect_0|router|src_data~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001111000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|always1~6_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal10~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(3),
	datad => \gpio_u0|mm_interconnect_0|router|src_data~3_combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\);

-- Location: LCCOMB_X40_Y22_N4
\gpio_u0|mm_interconnect_0|router|src_channel~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_channel~4_combout\ = (!\gpio_u0|mm_interconnect_0|router|Equal12~1_combout\ & (((\gpio_u0|master_0|transacto|p2m|address\(5)) # (!\gpio_u0|master_0|transacto|p2m|address\(6))) # 
-- (!\gpio_u0|mm_interconnect_0|router|Equal11~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100010011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal11~4_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal12~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|address\(6),
	datad => \gpio_u0|master_0|transacto|p2m|address\(5),
	combout => \gpio_u0|mm_interconnect_0|router|src_channel~4_combout\);

-- Location: LCCOMB_X38_Y22_N30
\gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~1_combout\ = \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(1) $ ((((!\gpio_u0|mm_interconnect_0|router|src_channel~4_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|router|src_data~3_combout\)) # (!\gpio_u0|mm_interconnect_0|router|src_channel~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000011100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|src_channel~7_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|src_data~3_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(1),
	datad => \gpio_u0|mm_interconnect_0|router|src_channel~4_combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~1_combout\);

-- Location: LCCOMB_X38_Y21_N26
\gpio_u0|mm_interconnect_0|router|src_channel~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_channel~5_combout\ = (!\gpio_u0|mm_interconnect_0|router|always1~6_combout\ & (\gpio_u0|mm_interconnect_0|router|src_data[105]~14_combout\ & ((!\gpio_u0|mm_interconnect_0|router|Equal5~1_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|router|Equal6~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|Equal6~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|always1~6_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|src_data[105]~14_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_channel~5_combout\);

-- Location: LCCOMB_X38_Y21_N12
\gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~2_combout\ = \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(2) $ ((((\gpio_u0|mm_interconnect_0|router|always1~7_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|router|src_data~10_combout\)) # (!\gpio_u0|mm_interconnect_0|router|src_channel~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111110000111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|src_channel~5_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|src_data~10_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(2),
	datad => \gpio_u0|mm_interconnect_0|router|always1~7_combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~2_combout\);

-- Location: LCCOMB_X38_Y21_N2
\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\ = ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0) $ (\gpio_u0|mm_interconnect_0|router|src_data[105]~9_combout\)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~2_combout\)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0),
	datab => \gpio_u0|mm_interconnect_0|router|src_data[105]~9_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\);

-- Location: LCCOMB_X38_Y23_N8
\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (((!\gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\ & 
-- !\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\);

-- Location: LCCOMB_X42_Y24_N18
\gpio_u0|master_0|transacto|p2m|state~61\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~61_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\ & ((!\gpio_u0|master_0|b2p|out_startofpacket~q\) # (!\gpio_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datac => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state~61_combout\);

-- Location: LCCOMB_X36_Y24_N8
\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~2_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0)) # ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0)) # (\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~2_combout\);

-- Location: LCCOMB_X37_Y24_N2
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\ = \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\);

-- Location: LCCOMB_X34_Y25_N18
\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ & ((\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0))) # (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0)))) # (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0)) # (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111110110111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0),
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\);

-- Location: LCCOMB_X34_Y25_N30
\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~1_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0)) # ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\) # (\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~1_combout\);

-- Location: LCCOMB_X36_Y24_N18
\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~3_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0)) # ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0)) # (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~3_combout\);

-- Location: LCCOMB_X42_Y24_N22
\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~2_combout\) # ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0)) # ((\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~1_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~2_combout\,
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~1_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~3_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\);

-- Location: LCCOMB_X42_Y24_N14
\gpio_u0|master_0|transacto|p2m|state~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~62_combout\ = (!\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\ & (\gpio_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\ & ((!\gpio_u0|master_0|b2p|out_startofpacket~q\) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datac => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state~62_combout\);

-- Location: LCCOMB_X42_Y24_N12
\gpio_u0|master_0|transacto|p2m|state~63\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~63_combout\ = (\gpio_u0|master_0|transacto|p2m|state~61_combout\) # ((\gpio_u0|master_0|transacto|p2m|state~62_combout\ & ((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state~61_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state~62_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~63_combout\);

-- Location: FF_X42_Y24_N13
\gpio_u0|master_0|transacto|p2m|state.READ_CMD_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~63_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\);

-- Location: LCCOMB_X42_Y24_N20
\gpio_u0|master_0|transacto|p2m|Selector83~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector83~0_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\) # ((\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\ & \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector83~0_combout\);

-- Location: LCCOMB_X42_Y24_N28
\gpio_u0|master_0|transacto|p2m|Selector83~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector83~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\ & (((!\gpio_u0|master_0|transacto|p2m|Selector83~0_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\ & 
-- ((\gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\) # ((\gpio_u0|master_0|transacto|p2m|read~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_ASSERT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|read~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector83~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector83~1_combout\);

-- Location: FF_X42_Y24_N29
\gpio_u0|master_0|transacto|p2m|read\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector83~1_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read~q\);

-- Location: LCCOMB_X38_Y23_N30
\gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\ = (\gpio_u0|master_0|transacto|p2m|read~q\ & (!\gpio_u0|master_0|transacto|p2m|write~q\ & \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|read~q\,
	datac => \gpio_u0|master_0|transacto|p2m|write~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\);

-- Location: LCCOMB_X38_Y23_N20
\gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\ & (((!\gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\ & 
-- !\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\);

-- Location: FF_X37_Y23_N25
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X37_Y23_N24
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[1][123]~q\) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[1][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X37_Y23_N22
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]~1_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\))) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]~q\)))) # 
-- (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0) & (((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]~1_combout\);

-- Location: FF_X37_Y23_N23
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]~q\);

-- Location: LCCOMB_X39_Y23_N30
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\);

-- Location: FF_X34_Y21_N19
\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X34_Y21_N18
\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[1][123]~q\) # (!\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[1][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X34_Y21_N26
\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~1_combout\ = (\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem~0_combout\))) # (!\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~q\)))) # 
-- (!\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(0) & (((\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~1_combout\);

-- Location: FF_X34_Y21_N27
\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~q\);

-- Location: FF_X34_Y24_N21
\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X34_Y24_N20
\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[1][123]~q\) # (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[1][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X34_Y24_N2
\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~1_combout\ = (\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem~0_combout\))) # (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~q\)))) # 
-- (!\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(0) & (((\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~1_combout\);

-- Location: FF_X34_Y24_N3
\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~q\);

-- Location: LCCOMB_X34_Y24_N14
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~2_combout\ = (\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~q\ & ((\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~q\)))) # (!\gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~q\ & 
-- (\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_agent_rsp_fifo|mem[0][123]~q\,
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_agent_rsp_fifo|mem[0][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~2_combout\);

-- Location: FF_X35_Y21_N19
\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X35_Y21_N18
\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[1][123]~q\) # (!\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[1][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X35_Y21_N16
\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]~1_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0) & (((\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem~0_combout\)))) # 
-- (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]~1_combout\);

-- Location: FF_X35_Y21_N17
\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]~q\);

-- Location: FF_X34_Y22_N11
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X34_Y22_N10
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[1][123]~q\) # (!\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[1][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X34_Y22_N28
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~1_combout\ = (\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0) & (((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem~0_combout\)))) 
-- # (!\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~1_combout\);

-- Location: FF_X34_Y22_N29
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~q\);

-- Location: LCCOMB_X36_Y24_N28
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~1_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]~q\) # 
-- ((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~q\ & \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0) & 
-- (((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~q\ & \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_agent_rsp_fifo|mem[0][123]~q\,
	datac => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~1_combout\);

-- Location: FF_X36_Y21_N1
\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X36_Y21_N0
\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[1][123]~q\) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[1][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X36_Y21_N12
\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~1_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem~0_combout\))) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~q\)))) # 
-- (!\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(0) & (((\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem_used\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~1_combout\);

-- Location: FF_X36_Y21_N13
\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~q\);

-- Location: FF_X36_Y23_N25
\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X35_Y23_N16
\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[1][123]~q\) # (!\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[1][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X36_Y23_N0
\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]~1_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & (((\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem~0_combout\)))) # 
-- (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]~1_combout\);

-- Location: FF_X36_Y23_N1
\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]~q\);

-- Location: LCCOMB_X36_Y24_N30
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~3_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]~q\) # 
-- ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~q\)))) # (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|pmod_input_s1_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent_rsp_fifo|mem[0][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~3_combout\);

-- Location: FF_X32_Y23_N7
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X32_Y23_N6
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][123]~q\) # 
-- (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X32_Y23_N18
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~1_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\)))) # (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~1_combout\);

-- Location: FF_X32_Y23_N19
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~q\);

-- Location: FF_X34_Y23_N19
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X34_Y23_N18
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[1][123]~q\) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[1][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X34_Y23_N12
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~1_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & (((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem~0_combout\)))) 
-- # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~1_combout\);

-- Location: FF_X34_Y23_N13
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~q\);

-- Location: LCCOMB_X36_Y23_N8
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~0_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~q\ & ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~q\ & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~q\ & (((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~q\ & 
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][123]~q\,
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~0_combout\);

-- Location: LCCOMB_X35_Y24_N16
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~4_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~2_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~1_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~3_combout\) # (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~2_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~3_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~4_combout\);

-- Location: LCCOMB_X34_Y25_N10
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\ = \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0) $ (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011001100110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0),
	datab => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\);

-- Location: FF_X29_Y27_N17
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X29_Y27_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~2_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[1][123]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(122))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[1][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(122),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~2_combout\);

-- Location: FF_X31_Y25_N7
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used[1]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][123]~q\);

-- Location: LCCOMB_X32_Y25_N18
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[122]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[122]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][123]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem[0][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[122]~feeder_combout\);

-- Location: LCCOMB_X31_Y25_N6
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~combout\ & (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|dreg\(0) $ 
-- (!\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|rp_valid~combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_to_in_synchronizer|dreg\(0),
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_toggle~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\);

-- Location: FF_X32_Y25_N19
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[122]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(122));

-- Location: LCCOMB_X32_Y25_N26
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[122]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[122]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(122)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(122),
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[122]~feeder_combout\);

-- Location: FF_X32_Y25_N27
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[122]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(122));

-- Location: FF_X32_Y22_N19
\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X32_Y22_N18
\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[1][123]~q\) # (!\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[1][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X32_Y22_N28
\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]~1_combout\ = (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & (((\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem~0_combout\)))) # 
-- (!\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]~1_combout\);

-- Location: FF_X32_Y22_N29
\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]~q\);

-- Location: FF_X34_Y23_N31
\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X34_Y23_N30
\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[1][123]~q\) # (!\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[1][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X34_Y22_N18
\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~1_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem~0_combout\)) # (!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~q\))))) # 
-- (!\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~1_combout\);

-- Location: FF_X34_Y22_N19
\gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~q\);

-- Location: LCCOMB_X32_Y22_N22
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~6_combout\ = (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]~q\) # 
-- ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~q\)))) # (!\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & 
-- (((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_agent_rsp_fifo|mem[0][123]~q\,
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent_rsp_fifo|mem[0][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~6_combout\);

-- Location: FF_X31_Y27_N1
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X31_Y27_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~2_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[1][123]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(122))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[1][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(122),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~2_combout\);

-- Location: LCCOMB_X31_Y27_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][123]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][123]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~2_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][123]~feeder_combout\);

-- Location: FF_X31_Y27_N17
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][123]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem_used[1]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][123]~q\);

-- Location: LCCOMB_X31_Y23_N10
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[122]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[122]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][123]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rsp_fifo|mem[0][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[122]~feeder_combout\);

-- Location: LCCOMB_X30_Y23_N30
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~combout\ & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\ $ 
-- (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent|rp_valid~combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_toggle~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\);

-- Location: FF_X31_Y23_N11
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[122]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(122));

-- Location: LCCOMB_X31_Y23_N18
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[122]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[122]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(122)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(122),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[122]~feeder_combout\);

-- Location: FF_X31_Y23_N19
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[122]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(122));

-- Location: FF_X37_Y21_N31
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[1][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[1][123]~q\);

-- Location: LCCOMB_X37_Y21_N30
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~2_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[1][123]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(122)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(122),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[1][123]~q\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~2_combout\);

-- Location: LCCOMB_X36_Y20_N8
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][123]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][123]~feeder_combout\ = \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~2_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][123]~feeder_combout\);

-- Location: FF_X36_Y20_N9
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][123]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem_used[1]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][123]~q\);

-- Location: LCCOMB_X37_Y20_N24
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[122]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[122]~feeder_combout\ = \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][123]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rsp_fifo|mem[0][123]~q\,
	combout => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[122]~feeder_combout\);

-- Location: LCCOMB_X37_Y20_N22
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~combout\ & (\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\ $ 
-- (!\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_toggle~q\,
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent|rp_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\);

-- Location: FF_X37_Y20_N25
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[122]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(122));

-- Location: FF_X37_Y22_N29
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(122),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(122));

-- Location: LCCOMB_X34_Y25_N22
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\);

-- Location: LCCOMB_X32_Y22_N0
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~7_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(122) & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(122) & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\)))) # (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(122) & 
-- (\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(122) & ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(122),
	datab => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(122),
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~7_combout\);

-- Location: LCCOMB_X32_Y22_N6
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~8_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~6_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~7_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\ & \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(122))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(122),
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~6_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~7_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~8_combout\);

-- Location: LCCOMB_X39_Y22_N20
\gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\ & ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~4_combout\) # (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~8_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~4_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload[0]~8_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\);

-- Location: LCCOMB_X39_Y22_N6
\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~0_combout\ = \gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\ $ (\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0) $ 
-- (((\gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\ & \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0),
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~0_combout\);

-- Location: FF_X39_Y22_N7
\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0));

-- Location: LCCOMB_X39_Y22_N2
\gpio_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\ & (\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\ & 
-- ((!\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~4_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~combout\);

-- Location: LCCOMB_X39_Y22_N26
\gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~0_combout\ = \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1) $ (((\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0) & 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\ & \gpio_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~combout\)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0) & 
-- (\gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011010110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1),
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~0_combout\);

-- Location: LCCOMB_X39_Y22_N16
\gpio_u0|mm_interconnect_0|master_0_master_limiter|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|always1~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~3_combout\) # (((!\gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~3_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|always1~0_combout\);

-- Location: FF_X39_Y22_N27
\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1));

-- Location: LCCOMB_X39_Y22_N24
\gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~1_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1) & (((\gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\ & 
-- \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1),
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~1_combout\);

-- Location: LCCOMB_X39_Y22_N18
\gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~2_combout\ = \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(2) $ (((\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0) & 
-- (\gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~1_combout\ & !\gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0) & (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~1_combout\ & 
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000101111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(2),
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~2_combout\);

-- Location: FF_X39_Y22_N19
\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|master_0_master_limiter|next_pending_response_count~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|master_0_master_limiter|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(2));

-- Location: LCCOMB_X39_Y22_N28
\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(2) & ((!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(2) & (\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(2),
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\);

-- Location: LCCOMB_X39_Y22_N12
\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1) & (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1) & ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\ & (\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\ & ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\) # 
-- (\gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001100110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1),
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1_combout\);

-- Location: LCCOMB_X39_Y22_N10
\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~2_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1_combout\ & (\gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\ & 
-- (\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\ & \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\))) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\) # ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\ & \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~2_combout\);

-- Location: FF_X39_Y22_N11
\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\);

-- Location: LCCOMB_X38_Y22_N10
\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\ & !\gpio_u0|master_0|transacto|p2m|write~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \gpio_u0|master_0|transacto|p2m|write~q\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\);

-- Location: LCCOMB_X38_Y21_N28
\gpio_u0|mm_interconnect_0|router|src_data~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|router|src_data~11_combout\ = (\gpio_u0|mm_interconnect_0|router|always1~2_combout\) # ((\gpio_u0|mm_interconnect_0|router|src_data~8_combout\) # ((\gpio_u0|mm_interconnect_0|router|always1~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|always1~2_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|always1~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|router|src_data~8_combout\,
	datad => \gpio_u0|mm_interconnect_0|router|Equal5~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|router|src_data~11_combout\);

-- Location: LCCOMB_X38_Y21_N6
\gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~3_combout\ = \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0) $ (((\gpio_u0|mm_interconnect_0|router|src_data[105]~5_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|router|src_data[105]~6_combout\ & \gpio_u0|mm_interconnect_0|router|src_data~11_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001111000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|router|src_data[105]~6_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|src_data[105]~5_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0),
	datad => \gpio_u0|mm_interconnect_0|router|src_data~11_combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~3_combout\);

-- Location: LCCOMB_X38_Y22_N14
\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~3_combout\ = (\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\ & ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~3_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\) # (\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~3_combout\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~3_combout\);

-- Location: LCCOMB_X39_Y22_N30
\gpio_u0|master_0|transacto|p2m|Selector43~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\ = (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~3_combout\ & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\);

-- Location: LCCOMB_X41_Y26_N18
\gpio_u0|master_0|b2p|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|Equal1~0_combout\ = (\gpio_u0|master_0|fifo|out_payload\(0) & (!\gpio_u0|master_0|fifo|out_payload\(2) & (\gpio_u0|master_0|fifo|out_payload\(1) & \gpio_u0|master_0|b2p|Equal0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(0),
	datab => \gpio_u0|master_0|fifo|out_payload\(2),
	datac => \gpio_u0|master_0|fifo|out_payload\(1),
	datad => \gpio_u0|master_0|b2p|Equal0~1_combout\,
	combout => \gpio_u0|master_0|b2p|Equal1~0_combout\);

-- Location: LCCOMB_X41_Y26_N14
\gpio_u0|master_0|b2p|out_endofpacket~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|out_endofpacket~0_combout\ = (!\gpio_u0|master_0|b2p|always0~1_combout\ & ((\gpio_u0|master_0|b2p|out_endofpacket~q\) # ((!\gpio_u0|master_0|b2p|received_esc~q\ & \gpio_u0|master_0|b2p|Equal1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|received_esc~q\,
	datab => \gpio_u0|master_0|b2p|always0~1_combout\,
	datac => \gpio_u0|master_0|b2p|out_endofpacket~q\,
	datad => \gpio_u0|master_0|b2p|Equal1~0_combout\,
	combout => \gpio_u0|master_0|b2p|out_endofpacket~0_combout\);

-- Location: FF_X41_Y26_N15
\gpio_u0|master_0|b2p|out_endofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|b2p|out_endofpacket~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|out_endofpacket~q\);

-- Location: LCCOMB_X42_Y26_N14
\gpio_u0|master_0|transacto|p2m|Selector39~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector39~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|master_0|b2p|out_endofpacket~q\) # ((\gpio_u0|master_0|transacto|p2m|last_trans~q\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\gpio_u0|master_0|transacto|p2m|last_trans~q\ & !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|out_endofpacket~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|master_0|transacto|p2m|last_trans~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector39~0_combout\);

-- Location: FF_X42_Y26_N15
\gpio_u0|master_0|transacto|p2m|last_trans\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector39~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|last_trans~q\);

-- Location: LCCOMB_X42_Y26_N18
\gpio_u0|master_0|transacto|p2m|state~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~40_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((!\gpio_u0|master_0|transacto|p2m|write~0_combout\ & !\gpio_u0|master_0|b2p|out_startofpacket~q\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|write~0_combout\,
	datac => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state~40_combout\);

-- Location: LCCOMB_X42_Y24_N26
\gpio_u0|master_0|transacto|p2m|state~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~41_combout\ = (!\gpio_u0|master_0|transacto|p2m|command\(4) & (\gpio_u0|master_0|transacto|p2m|Equal2~1_combout\ & \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|command\(4),
	datac => \gpio_u0|master_0|transacto|p2m|Equal2~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state~41_combout\);

-- Location: LCCOMB_X42_Y26_N10
\gpio_u0|master_0|transacto|p2m|state~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~42_combout\ = (\gpio_u0|master_0|transacto|p2m|state~40_combout\) # ((!\gpio_u0|master_0|b2p|out_startofpacket~q\ & (\gpio_u0|master_0|transacto|p2m|enable~combout\ & 
-- \gpio_u0|master_0|transacto|p2m|state~41_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state~40_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state~41_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~42_combout\);

-- Location: LCCOMB_X42_Y26_N30
\gpio_u0|master_0|transacto|p2m|state~43\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~43_combout\ = (\gpio_u0|master_0|transacto|p2m|state~42_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector43~0_combout\ & (!\gpio_u0|master_0|transacto|p2m|always1~0_combout\ & 
-- !\gpio_u0|master_0|transacto|p2m|last_trans~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector43~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|last_trans~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state~42_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~43_combout\);

-- Location: FF_X42_Y26_N31
\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~43_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\);

-- Location: LCCOMB_X40_Y25_N8
\gpio_u0|master_0|transacto|p2m|Selector70~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector70~1_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & !\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector70~1_combout\);

-- Location: LCCOMB_X44_Y25_N0
\gpio_u0|master_0|transacto|p2m|Selector70~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector70~2_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (!\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector70~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector70~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector70~2_combout\);

-- Location: LCCOMB_X44_Y25_N10
\gpio_u0|master_0|transacto|p2m|Selector71~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector71~1_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & ((\gpio_u0|master_0|transacto|p2m|Selector70~2_combout\) # ((!\gpio_u0|master_0|transacto|p2m|Selector70~4_combout\ & 
-- !\gpio_u0|master_0|p2b|in_ready~combout\)))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (!\gpio_u0|master_0|transacto|p2m|Selector70~4_combout\ & (\gpio_u0|master_0|p2b|in_ready~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000010010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \gpio_u0|master_0|transacto|p2m|Selector70~4_combout\,
	datac => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector70~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector71~1_combout\);

-- Location: LCCOMB_X44_Y25_N30
\gpio_u0|master_0|transacto|p2m|Selector71~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector71~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector71~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|enable~combout\ $ 
-- (\gpio_u0|master_0|transacto|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector71~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector71~2_combout\);

-- Location: LCCOMB_X41_Y24_N4
\gpio_u0|master_0|transacto|p2m|Selector71~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector71~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector71~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- \gpio_u0|master_0|fifo|out_payload\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector71~2_combout\,
	datad => \gpio_u0|master_0|fifo|out_payload\(0),
	combout => \gpio_u0|master_0|transacto|p2m|Selector71~3_combout\);

-- Location: LCCOMB_X39_Y22_N14
\gpio_u0|master_0|transacto|p2m|out_startofpacket~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ = (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~3_combout\ & (\gpio_u0|master_0|transacto|p2m|last_trans~q\ & 
-- (\gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|last_trans~q\,
	datac => \gpio_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\);

-- Location: LCCOMB_X40_Y24_N16
\gpio_u0|master_0|transacto|p2m|Selector71~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector71~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector71~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & 
-- !\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector71~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector71~4_combout\);

-- Location: FF_X40_Y24_N17
\gpio_u0|master_0|transacto|p2m|current_byte[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector71~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|current_byte\(0));

-- Location: LCCOMB_X43_Y24_N0
\gpio_u0|master_0|transacto|p2m|Equal8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & \gpio_u0|master_0|transacto|p2m|current_byte\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\);

-- Location: LCCOMB_X41_Y25_N14
\gpio_u0|master_0|transacto|p2m|Selector74~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector74~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(6))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & ((\gpio_u0|master_0|transacto|p2m|command\(6))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(6),
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \gpio_u0|master_0|transacto|p2m|command\(6),
	combout => \gpio_u0|master_0|transacto|p2m|Selector74~0_combout\);

-- Location: LCCOMB_X42_Y25_N6
\gpio_u0|master_0|transacto|p2m|Selector74~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector74~1_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & ((\gpio_u0|master_0|transacto|p2m|counter\(6))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|counter\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110001001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|counter\(14),
	datad => \gpio_u0|master_0|transacto|p2m|counter\(6),
	combout => \gpio_u0|master_0|transacto|p2m|Selector74~1_combout\);

-- Location: LCCOMB_X41_Y25_N0
\gpio_u0|master_0|transacto|p2m|Selector74~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector74~2_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector74~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Equal8~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|out_data\(6))))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & (((\gpio_u0|master_0|transacto|p2m|out_data\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(6),
	datac => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector74~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector74~2_combout\);

-- Location: LCCOMB_X41_Y25_N4
\gpio_u0|master_0|transacto|p2m|Selector74~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector74~3_combout\ = (\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & \gpio_u0|master_0|transacto|p2m|Selector74~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector74~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector74~3_combout\);

-- Location: IOIBUF_X24_Y39_N22
\qspi_io[2]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => qspi_io(2),
	o => \qspi_io[2]~input_o\);

-- Location: LCCOMB_X25_Y28_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[2]~feeder_combout\ = \qspi_io[2]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \qspi_io[2]~input_o\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[2]~feeder_combout\);

-- Location: FF_X25_Y28_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(2));

-- Location: LCCOMB_X25_Y28_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[6]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[6]~feeder_combout\);

-- Location: FF_X25_Y28_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(6));

-- Location: LCCOMB_X25_Y28_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[6]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[6]~feeder_combout\);

-- Location: LCCOMB_X29_Y34_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~0_combout\);

-- Location: LCCOMB_X29_Y34_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~4_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1_combout\);

-- Location: FF_X25_Y28_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(6));

-- Location: LCCOMB_X26_Y24_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]~feeder_combout\);

-- Location: LCCOMB_X29_Y34_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[0]~1_combout\ = \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0) $ 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg2~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|dvalid_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[0]~1_combout\);

-- Location: FF_X29_Y34_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[0]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0));

-- Location: LCCOMB_X26_Y24_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[1]~0_combout\ = \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(1) $ 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[1]~0_combout\);

-- Location: FF_X26_Y24_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt[1]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(1));

-- Location: LCCOMB_X26_Y24_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\ & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1_combout\);

-- Location: FF_X26_Y24_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]~q\);

-- Location: FF_X26_Y23_N21
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~19_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][14]~q\);

-- Location: LCCOMB_X26_Y23_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~19_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][14]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][14]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~19_combout\);

-- Location: LCCOMB_X26_Y23_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][14]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~19_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~19_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][14]~feeder_combout\);

-- Location: LCCOMB_X30_Y23_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\);

-- Location: FF_X26_Y23_N9
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][14]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][14]~q\);

-- Location: LCCOMB_X27_Y23_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[14]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[14]~19_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][14]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][14]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][14]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][6]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[14]~19_combout\);

-- Location: FF_X27_Y23_N21
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[14]~19_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(14));

-- Location: LCCOMB_X27_Y23_N22
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[14]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(14),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[14]~feeder_combout\);

-- Location: FF_X27_Y23_N23
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[14]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(14));

-- Location: LCCOMB_X38_Y26_N26
\gpio_u0|product_info_0|Mux0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|product_info_0|Mux0~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(2) & \gpio_u0|master_0|transacto|p2m|address\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|product_info_0|Mux0~0_combout\);

-- Location: LCCOMB_X38_Y26_N4
\gpio_u0|product_info_0|av_data_read[25]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|product_info_0|av_data_read[25]~feeder_combout\ = \gpio_u0|product_info_0|Mux0~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|product_info_0|Mux0~0_combout\,
	combout => \gpio_u0|product_info_0|av_data_read[25]~feeder_combout\);

-- Location: FF_X38_Y26_N5
\gpio_u0|product_info_0|av_data_read[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|product_info_0|av_data_read[25]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|product_info_0|av_data_read\(25));

-- Location: FF_X38_Y26_N21
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|product_info_0|av_data_read\(25),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(25));

-- Location: LCCOMB_X38_Y25_N8
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(25))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(25),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\);

-- Location: LCCOMB_X39_Y37_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \clk_50_max10~input_o\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~combout\);

-- Location: CLKCTRL_G11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\);

-- Location: LCCOMB_X34_Y23_N16
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~1_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\ & (\gpio_u0|master_0|transacto|p2m|read~q\ & 
-- ((\gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0)) # (!\gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0),
	datab => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|read~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~1_combout\);

-- Location: LCCOMB_X40_Y31_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(4),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\);

-- Location: LCCOMB_X38_Y33_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|comb~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(1),
	datab => \gpio_u0|product_info_0|Mux0~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(0),
	datad => \gpio_u0|master_0|transacto|p2m|address\(4),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|comb~0_combout\);

-- Location: LCCOMB_X43_Y27_N4
\gpio_u0|master_0|transacto|p2m|writedata[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[3]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(3),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[3]~feeder_combout\);

-- Location: FF_X43_Y27_N5
\gpio_u0|master_0|transacto|p2m|writedata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[3]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(3));

-- Location: LCCOMB_X43_Y27_N8
\gpio_u0|master_0|transacto|p2m|writedata[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[2]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(2),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[2]~feeder_combout\);

-- Location: FF_X43_Y27_N9
\gpio_u0|master_0|transacto|p2m|writedata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[2]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(2));

-- Location: LCCOMB_X38_Y33_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal2~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|writedata\(3),
	datab => \gpio_u0|master_0|transacto|p2m|writedata\(2),
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal2~0_combout\);

-- Location: LCCOMB_X38_Y33_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(1),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|wait_latency_counter\(0),
	datad => \gpio_u0|master_0|transacto|p2m|address\(4),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~0_combout\);

-- Location: LCCOMB_X38_Y33_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~1_combout\);

-- Location: LCCOMB_X38_Y33_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\,
	datac => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~0_combout\);

-- Location: LCCOMB_X38_Y33_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal2~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal2~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|comb~0_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~1_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~0_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal2~1_combout\);

-- Location: LCCOMB_X38_Y33_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal2~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~feeder_combout\);

-- Location: LCCOMB_X38_Y33_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~2_combout\);

-- Location: LCCOMB_X39_Y37_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita0~combout\,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X40_Y33_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~53\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~48_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_WD~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~53_combout\);

-- Location: FF_X40_Y33_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_WD\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~53_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_WD~q\);

-- Location: LCCOMB_X40_Y33_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_WD~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~12_combout\);

-- Location: LCCOMB_X40_Y33_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~12_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~6_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~13_combout\);

-- Location: FF_X40_Y33_N17
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~13_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0));

-- Location: LCCOMB_X40_Y33_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_INREG~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~5_combout\);

-- Location: LCCOMB_X41_Y33_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|writedata\(3),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~5_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~6_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(3),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~7_combout\);

-- Location: FF_X41_Y33_N1
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~7_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(3));

-- Location: LCCOMB_X41_Y33_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~49\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(2),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~49_combout\);

-- Location: LCCOMB_X40_Y33_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~50\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~48_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_INREG~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~49_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~50_combout\);

-- Location: FF_X40_Y33_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_INREG\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~50_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_INREG~q\);

-- Location: LCCOMB_X40_Y33_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~0_combout\);

-- Location: LCCOMB_X40_Y33_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~52\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~48_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP1~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~0_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~52_combout\);

-- Location: FF_X40_Y33_N19
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~52_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP1~q\);

-- Location: LCCOMB_X40_Y33_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~55\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_WD~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP1~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~55_combout\);

-- Location: LCCOMB_X40_Y33_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~56\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP2~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_INREG~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_WR_INREG~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~55_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~56_combout\);

-- Location: LCCOMB_X40_Y37_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~57\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~56_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_END~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~57_combout\);

-- Location: FF_X40_Y37_N17
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_END\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~57_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_END~q\);

-- Location: LCCOMB_X41_Y33_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~41\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(2),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_END~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(3),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~41_combout\);

-- Location: LCCOMB_X41_Y37_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~40\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	datab => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_BUSY~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_INIT~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~40_combout\);

-- Location: FF_X41_Y37_N19
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_INIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~40_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_INIT~q\);

-- Location: LCCOMB_X41_Y37_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~42\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(4),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~41_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~1_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_INIT~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~42_combout\);

-- Location: LCCOMB_X41_Y37_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~43\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	datab => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~42_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_SETUP~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~43_combout\);

-- Location: FF_X41_Y37_N3
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_SETUP\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~43_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_SETUP~q\);

-- Location: LCCOMB_X41_Y37_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~38\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~1_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_INIT~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~38_combout\);

-- Location: LCCOMB_X41_Y37_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~39\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~38_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_SETUP~q\,
	datad => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~39_combout\);

-- Location: FF_X41_Y37_N11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_SETUP\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~39_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_SETUP~q\);

-- Location: LCCOMB_X40_Y37_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_DUMMY~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_SETUP~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_SETUP~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~10_combout\);

-- Location: LCCOMB_X41_Y37_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~31\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	datab => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~31_combout\);

-- Location: LCCOMB_X40_Y37_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~32\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~31_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~32_combout\);

-- Location: FF_X40_Y37_N7
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~32_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ~q\);

-- Location: LCCOMB_X40_Y37_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~33\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_SETUP~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~33_combout\);

-- Location: FF_X40_Y37_N9
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~33_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE~q\);

-- Location: LCCOMB_X40_Y37_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~30\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_WRITE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_SETUP~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~30_combout\);

-- Location: FF_X40_Y37_N15
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_WRITE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~30_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_WRITE~q\);

-- Location: LCCOMB_X40_Y37_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always7~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_WRITE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always7~2_combout\);

-- Location: LCCOMB_X39_Y37_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|_~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always7~2_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~10_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|_~0_combout\);

-- Location: FF_X39_Y37_N1
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita0~combout\,
	asdata => \~GND~combout\,
	sload => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~10_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X39_Y37_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita0~COUT\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita1~combout\,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita1~COUT\);

-- Location: FF_X39_Y37_N3
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita1~combout\,
	asdata => \~GND~combout\,
	sload => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~10_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(1));

-- Location: LCCOMB_X39_Y37_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita1~COUT\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita2~combout\,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita2~COUT\);

-- Location: FF_X39_Y37_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita2~combout\,
	asdata => \~GND~combout\,
	sload => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~10_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X39_Y37_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(3),
	datad => VCC,
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita2~COUT\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita3~combout\,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita3~COUT\);

-- Location: FF_X39_Y37_N7
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita3~combout\,
	asdata => \~GND~combout\,
	sload => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~10_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(3));

-- Location: LCCOMB_X39_Y37_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(4),
	datad => VCC,
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita3~COUT\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita4~combout\,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita4~COUT\);

-- Location: FF_X39_Y37_N9
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita4~combout\,
	asdata => \~GND~combout\,
	sload => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~10_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(4));

-- Location: LCCOMB_X39_Y37_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(5),
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita4~COUT\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita5~combout\);

-- Location: FF_X39_Y37_N11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_comb_bita5~combout\,
	asdata => \~GND~combout\,
	sload => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~10_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(5));

-- Location: LCCOMB_X39_Y37_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always8~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(5),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(4),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(3),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always8~0_combout\);

-- Location: LCCOMB_X39_Y37_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always8~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always8~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(1),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(2),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|counter|auto_generated|counter_reg_bit\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always8~1_combout\);

-- Location: LCCOMB_X40_Y37_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~34\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always8~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~34_combout\);

-- Location: LCCOMB_X40_Y37_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~36\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~34_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_UPDATE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~36_combout\);

-- Location: FF_X40_Y37_N23
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_UPDATE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~36_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_UPDATE~q\);

-- Location: LCCOMB_X40_Y37_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~35\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~34_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_EXTRA~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~35_combout\);

-- Location: FF_X40_Y37_N31
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_EXTRA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~35_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_EXTRA~q\);

-- Location: LCCOMB_X40_Y37_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~60\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~31_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_UPDATE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_EXTRA~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~60_combout\);

-- Location: FF_X40_Y37_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_UPDATE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~60_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_UPDATE~q\);

-- Location: LCCOMB_X40_Y37_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~58\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_UPDATE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_UPDATE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~58_combout\);

-- Location: LCCOMB_X41_Y37_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~59\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~58_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR~q\,
	datad => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~59_combout\);

-- Location: FF_X41_Y37_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~59_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR~q\);

-- Location: LCCOMB_X41_Y37_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~48\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~48_combout\);

-- Location: LCCOMB_X41_Y33_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~0_combout\);

-- Location: LCCOMB_X40_Y33_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~51\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~48_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP2~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~0_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~51_combout\);

-- Location: FF_X40_Y33_N31
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~51_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP2~q\);

-- Location: LCCOMB_X40_Y33_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP2~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~8_combout\);

-- Location: LCCOMB_X41_Y33_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|writedata\(2),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~6_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~9_combout\);

-- Location: FF_X41_Y33_N29
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~9_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(2));

-- Location: LCCOMB_X41_Y33_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(2),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(3),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~1_combout\);

-- Location: LCCOMB_X41_Y37_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(4),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~1_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_INIT~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~0_combout\);

-- Location: LCCOMB_X39_Y37_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_EXTRA~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_UPDATE~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~1_combout\);

-- Location: LCCOMB_X39_Y37_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always7~2_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~1_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always8~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\);

-- Location: LCCOMB_X40_Y37_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0_combout\);

-- Location: LCCOMB_X40_Y33_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~54\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|next_state.STATE_SAME~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~48_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_WR_INREG~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~54_combout\);

-- Location: FF_X40_Y33_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_WR_INREG\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~54_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_WR_INREG~q\);

-- Location: LCCOMB_X40_Y33_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~2_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_WR_INREG~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(4),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~14_combout\);

-- Location: FF_X40_Y33_N23
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~14_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(4));

-- Location: LCCOMB_X41_Y37_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~46\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(4),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~41_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~46_combout\);

-- Location: LCCOMB_X41_Y37_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~47\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~46_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_BUSY~q\,
	datad => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~47_combout\);

-- Location: FF_X41_Y37_N7
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_BUSY\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~47_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_BUSY~q\);

-- Location: LCCOMB_X38_Y33_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_BUSY~_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_BUSY~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_BUSY~_wirecell_combout\);

-- Location: FF_X38_Y33_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~feeder_combout\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_BUSY~_wirecell_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\);

-- Location: LCCOMB_X38_Y33_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|comb~0_combout\,
	datac => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~6_combout\);

-- Location: LCCOMB_X40_Y33_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_RD_APP1~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~10_combout\);

-- Location: LCCOMB_X40_Y33_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~6_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~10_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~11_combout\);

-- Location: FF_X40_Y33_N15
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg~11_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1));

-- Location: LCCOMB_X41_Y33_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal5~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(3),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal5~0_combout\);

-- Location: LCCOMB_X40_Y37_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~44\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal5~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_WRITE~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_CLR_END~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always8~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~44_combout\);

-- Location: LCCOMB_X40_Y37_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~45\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~44_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	datac => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_DUMMY~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~45_combout\);

-- Location: FF_X40_Y37_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_DUMMY\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~45_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_DUMMY~q\);

-- Location: LCCOMB_X41_Y37_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~37\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_DUMMY~q\,
	datab => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Selector0~2_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~37_combout\);

-- Location: FF_X41_Y37_N27
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state~37_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\);

-- Location: LCCOMB_X39_Y37_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always7~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_EXTRA~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_UPDATE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always7~3_combout\);

-- Location: LCCOMB_X39_Y37_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always7~2_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always7~3_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~0_combout\);

-- Location: FF_X39_Y37_N27
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~combout\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\);

-- Location: LCCOMB_X40_Y37_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_shiftnld\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_WRITE~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_EXTRA~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_shiftnld~combout\);

-- Location: LCCOMB_X42_Y37_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_captnupdt\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_captnupdt~combout\);

-- Location: LCCOMB_X40_Y37_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_SETUP~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_SETUP~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\);

-- Location: FF_X40_Y33_N3
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_overwrite_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_overwrite_reg~q\);

-- Location: LCCOMB_X41_Y37_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~1_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_overwrite_reg~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_DUMMY~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~2_combout\);

-- Location: FF_X41_Y37_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_current_state.STATE_READ_CAPTURE~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data\(12));

-- Location: LCCOMB_X41_Y33_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal5~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(2),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(3),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal5~1_combout\);

-- Location: LCCOMB_X41_Y33_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011001101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_DUMMY~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal5~1_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~6_combout\);

-- Location: FF_X41_Y33_N3
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~6_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_current_state.STATE_READ_CAPTURE~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data\(40));

-- Location: LCCOMB_X41_Y36_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~40\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data\(40),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~40_combout\);

-- Location: LCCOMB_X41_Y36_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[40]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~40_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[40]~feeder_combout\);

-- Location: LCCOMB_X42_Y37_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000111111001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always7~2_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\);

-- Location: FF_X41_Y36_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[40]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(40));

-- Location: LCCOMB_X41_Y37_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_SETUP~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_WRITE_SETUP~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~12_combout\);

-- Location: LCCOMB_X41_Y33_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_DUMMY~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~4_combout\);

-- Location: LCCOMB_X41_Y33_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_DUMMY~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~4_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~5_combout\);

-- Location: FF_X41_Y33_N7
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~5_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_current_state.STATE_READ_CAPTURE~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data\(39));

-- Location: LCCOMB_X41_Y36_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~39\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(40),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~12_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data\(39),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~39_combout\);

-- Location: FF_X41_Y36_N29
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~39_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(39));

-- Location: LCCOMB_X41_Y36_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~38\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(39),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~38_combout\);

-- Location: FF_X41_Y36_N9
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~38_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(38));

-- Location: LCCOMB_X41_Y36_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~37\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(38),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~37_combout\);

-- Location: FF_X41_Y36_N31
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[37]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~37_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(37));

-- Location: LCCOMB_X41_Y36_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~36\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(37),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~36_combout\);

-- Location: FF_X41_Y36_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[36]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~36_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(36));

-- Location: LCCOMB_X41_Y36_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~35\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(36),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~35_combout\);

-- Location: FF_X42_Y36_N25
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[35]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~35_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(35));

-- Location: LCCOMB_X42_Y36_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~34\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(35),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~34_combout\);

-- Location: FF_X42_Y36_N1
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[34]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~34_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(34));

-- Location: LCCOMB_X42_Y36_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~33\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(34),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~33_combout\);

-- Location: FF_X42_Y36_N23
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[33]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~33_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(33));

-- Location: LCCOMB_X42_Y36_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~32\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(33),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~32_combout\);

-- Location: FF_X42_Y36_N7
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[32]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~32_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(32));

-- Location: LCCOMB_X42_Y36_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~31\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(32),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~31_combout\);

-- Location: FF_X42_Y36_N19
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~31_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(31));

-- Location: LCCOMB_X42_Y36_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~30\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(31),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~30_combout\);

-- Location: FF_X42_Y36_N9
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~30_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(30));

-- Location: LCCOMB_X42_Y36_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~29\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(30),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~29_combout\);

-- Location: FF_X42_Y36_N29
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~29_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(29));

-- Location: LCCOMB_X42_Y36_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~28\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(29),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~28_combout\);

-- Location: FF_X42_Y36_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~28_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(28));

-- Location: LCCOMB_X42_Y36_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~27\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(28),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~27_combout\);

-- Location: FF_X42_Y36_N27
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~27_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(27));

-- Location: LCCOMB_X42_Y36_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~26\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(27),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~26_combout\);

-- Location: FF_X42_Y36_N15
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~26_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(26));

-- Location: LCCOMB_X42_Y36_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~25\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(26),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~25_combout\);

-- Location: FF_X42_Y36_N17
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~25_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(25));

-- Location: LCCOMB_X42_Y36_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~24\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(25),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~24_combout\);

-- Location: FF_X42_Y36_N31
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~24_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(24));

-- Location: LCCOMB_X42_Y36_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~23\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(24),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~23_combout\);

-- Location: FF_X42_Y36_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~23_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(23));

-- Location: LCCOMB_X42_Y36_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~22\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(23),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~22_combout\);

-- Location: FF_X42_Y36_N11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~22_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(22));

-- Location: LCCOMB_X42_Y36_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~21\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(22),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~21_combout\);

-- Location: FF_X42_Y36_N3
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~21_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(21));

-- Location: LCCOMB_X42_Y36_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~20\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(21),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~20_combout\);

-- Location: FF_X42_Y36_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~20_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(20));

-- Location: LCCOMB_X42_Y36_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~19\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(20),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~19_combout\);

-- Location: FF_X41_Y36_N15
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~19_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(19));

-- Location: LCCOMB_X41_Y36_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~18\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(19),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~18_combout\);

-- Location: FF_X41_Y36_N19
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~18_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(18));

-- Location: LCCOMB_X41_Y36_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~17\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(18),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~17_combout\);

-- Location: FF_X41_Y36_N27
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~17_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(17));

-- Location: LCCOMB_X41_Y36_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~16\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(17),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~16_combout\);

-- Location: FF_X41_Y36_N23
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~16_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(16));

-- Location: LCCOMB_X41_Y36_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(16),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~15_combout\);

-- Location: FF_X41_Y36_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~15_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(15));

-- Location: LCCOMB_X41_Y36_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(15),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~14_combout\);

-- Location: LCCOMB_X41_Y36_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[14]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~14_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[14]~feeder_combout\);

-- Location: FF_X41_Y36_N11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[14]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(14));

-- Location: LCCOMB_X40_Y33_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_reg~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_reg~feeder_combout\);

-- Location: FF_X40_Y33_N1
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_reg~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|always5~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_reg~q\);

-- Location: LCCOMB_X41_Y33_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_DUMMY~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|boot_sel_reg~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~3_combout\);

-- Location: FF_X41_Y33_N31
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data~3_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_current_state.STATE_READ_CAPTURE~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data\(13));

-- Location: LCCOMB_X41_Y36_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(14),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~12_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data\(13),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~13_combout\);

-- Location: FF_X41_Y36_N25
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~13_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(13));

-- Location: LCCOMB_X41_Y36_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg_data\(12),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(13),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~12_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~12_combout\);

-- Location: FF_X41_Y36_N1
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~12_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(12));

-- Location: LCCOMB_X41_Y37_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(12),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~11_combout\);

-- Location: FF_X42_Y37_N19
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~11_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(11));

-- Location: LCCOMB_X42_Y37_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(11),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~10_combout\);

-- Location: FF_X42_Y37_N27
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~10_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(10));

-- Location: LCCOMB_X42_Y37_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(10),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~9_combout\);

-- Location: FF_X42_Y37_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~9_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(9));

-- Location: LCCOMB_X42_Y37_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(9),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~8_combout\);

-- Location: FF_X42_Y37_N29
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~8_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(8));

-- Location: LCCOMB_X42_Y37_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(8),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~7_combout\);

-- Location: FF_X42_Y37_N3
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~7_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(7));

-- Location: LCCOMB_X42_Y37_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(7),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~6_combout\);

-- Location: FF_X42_Y37_N11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~6_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(6));

-- Location: LCCOMB_X42_Y37_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(6),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~5_combout\);

-- Location: FF_X42_Y37_N15
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~5_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(5));

-- Location: LCCOMB_X42_Y37_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(5),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~4_combout\);

-- Location: FF_X42_Y37_N31
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~4_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(4));

-- Location: LCCOMB_X42_Y37_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(4),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~3_combout\);

-- Location: FF_X42_Y37_N9
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~3_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(3));

-- Location: LCCOMB_X42_Y37_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(3),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~2_combout\);

-- Location: FF_X42_Y37_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~2_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(2));

-- Location: LCCOMB_X42_Y37_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(2),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~1_combout\);

-- Location: FF_X42_Y37_N23
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~1_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(1));

-- Location: LCCOMB_X42_Y37_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(1),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~0_combout\);

-- Location: FF_X42_Y37_N7
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|_~0_combout\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(0));

-- Location: LCCOMB_X42_Y37_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regin\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|write_reg|dffs\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regin~combout\);

-- Location: LCCOMB_X38_Y33_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rst_timer~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rst_timer~0_combout\);

-- Location: LCCOMB_X43_Y37_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rst_timer~0_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(0),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~12_combout\);

-- Location: FF_X43_Y37_N19
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~12_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(0));

-- Location: LCCOMB_X43_Y37_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(0),
	datad => VCC,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~1\);

-- Location: LCCOMB_X43_Y37_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(1),
	datad => VCC,
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~1\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~2_combout\,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~3\);

-- Location: LCCOMB_X43_Y37_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rst_timer~0_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~2_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~14_combout\);

-- Location: FF_X43_Y37_N29
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~14_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(1));

-- Location: LCCOMB_X43_Y37_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(2),
	datad => VCC,
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~3\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~4_combout\,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~5\);

-- Location: LCCOMB_X43_Y37_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rst_timer~0_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~4_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~13_combout\);

-- Location: FF_X43_Y37_N25
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~13_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(2));

-- Location: LCCOMB_X43_Y37_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(3),
	datad => VCC,
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~5\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~6_combout\,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~7\);

-- Location: LCCOMB_X43_Y37_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rst_timer~0_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~6_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~11_combout\);

-- Location: FF_X43_Y37_N31
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~11_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(3));

-- Location: LCCOMB_X43_Y37_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(4),
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~7\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~8_combout\);

-- Location: LCCOMB_X43_Y37_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rst_timer~0_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~8_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~10_combout\);

-- Location: FF_X43_Y37_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add1~10_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(4));

-- Location: LCCOMB_X43_Y37_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(4),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(3),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal1~0_combout\);

-- Location: LCCOMB_X43_Y37_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(2),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(1),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal1~0_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\);

-- Location: LCCOMB_X43_Y37_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~_wirecell_combout\);

-- Location: LCCOMB_X38_Y33_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_agent|m0_write~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~1_combout\);

-- Location: LCCOMB_X38_Y37_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~1_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(0),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~12_combout\);

-- Location: FF_X38_Y37_N25
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~12_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(0));

-- Location: LCCOMB_X38_Y37_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(0),
	datad => VCC,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~1\);

-- Location: LCCOMB_X38_Y37_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(1),
	datad => VCC,
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~1\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~2_combout\,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~3\);

-- Location: LCCOMB_X38_Y37_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~1_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~2_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~14_combout\);

-- Location: FF_X38_Y37_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~14_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(1));

-- Location: LCCOMB_X38_Y37_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(2),
	datad => VCC,
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~3\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~4_combout\,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~5\);

-- Location: LCCOMB_X38_Y37_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~1_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~4_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~13_combout\);

-- Location: FF_X38_Y37_N27
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~13_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(2));

-- Location: LCCOMB_X38_Y37_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(3),
	datad => VCC,
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~5\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~6_combout\,
	cout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~7\);

-- Location: LCCOMB_X38_Y37_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~1_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~6_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~11_combout\);

-- Location: FF_X38_Y37_N23
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~11_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(3));

-- Location: LCCOMB_X38_Y37_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(4),
	cin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~7\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~8_combout\);

-- Location: LCCOMB_X38_Y37_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|rconfig~1_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~8_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~10_combout\);

-- Location: FF_X38_Y37_N9
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Add0~10_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(4));

-- Location: LCCOMB_X38_Y37_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(4),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~0_combout\);

-- Location: LCCOMB_X38_Y37_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(2),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(1),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~0_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~1_combout\);

-- Location: LCCOMB_X39_Y37_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~1_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~combout\);

-- Location: LCCOMB_X43_Y37_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~_wirecell_combout\);

-- Location: RUBLOCK_X43_Y40_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|fiftyfivenm_rublock\ : fiftyfivenm_rublock
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	shiftnld => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_shiftnld~combout\,
	captnupdt => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_captnupdt~combout\,
	regin => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regin~combout\,
	rsttimer => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rsttimer~_wirecell_combout\,
	rconfig => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rconfig~_wirecell_combout\,
	regout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regout\);

-- Location: LCCOMB_X43_Y33_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[40]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[40]~feeder_combout\);

-- Location: LCCOMB_X41_Y37_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_CAPTURE~q\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_clk~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\);

-- Location: FF_X43_Y33_N19
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[40]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(40));

-- Location: LCCOMB_X42_Y33_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[39]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(40),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[39]~feeder_combout\);

-- Location: FF_X42_Y33_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[39]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(39));

-- Location: LCCOMB_X42_Y33_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[38]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(39),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[38]~feeder_combout\);

-- Location: FF_X42_Y33_N19
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[38]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(38));

-- Location: LCCOMB_X42_Y33_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[37]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(38),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[37]~feeder_combout\);

-- Location: FF_X42_Y33_N9
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[37]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[37]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(37));

-- Location: LCCOMB_X43_Y31_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[36]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(37),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[36]~feeder_combout\);

-- Location: FF_X43_Y31_N23
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[36]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[36]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(36));

-- Location: LCCOMB_X43_Y31_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[35]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(36),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[35]~feeder_combout\);

-- Location: FF_X43_Y31_N31
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[35]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[35]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(35));

-- Location: LCCOMB_X43_Y31_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[34]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(35),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[34]~feeder_combout\);

-- Location: FF_X43_Y31_N1
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[34]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[34]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(34));

-- Location: LCCOMB_X43_Y31_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[33]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(34),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[33]~feeder_combout\);

-- Location: FF_X43_Y31_N29
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[33]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[33]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(33));

-- Location: LCCOMB_X41_Y31_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[32]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(33),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[32]~feeder_combout\);

-- Location: FF_X41_Y31_N25
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[32]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[32]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(32));

-- Location: LCCOMB_X41_Y31_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[31]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(32),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[31]~feeder_combout\);

-- Location: FF_X41_Y31_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[31]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(31));

-- Location: LCCOMB_X41_Y33_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_UPDATE~q\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\);

-- Location: FF_X40_Y31_N17
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(31),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs\(1));

-- Location: LCCOMB_X40_Y31_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~20\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs\(1),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~20_combout\);

-- Location: LCCOMB_X38_Y26_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~1_combout\);

-- Location: LCCOMB_X39_Y31_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(4),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~1_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\);

-- Location: FF_X39_Y27_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~20_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(14));

-- Location: FF_X39_Y27_N17
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(14),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(14));

-- Location: LCCOMB_X38_Y27_N18
\gpio_u0|dac_ctrl|data_out[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[14]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(14),
	combout => \gpio_u0|dac_ctrl|data_out[14]~feeder_combout\);

-- Location: LCCOMB_X38_Y26_N20
\gpio_u0|dac_ctrl|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|Equal0~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(2) & !\gpio_u0|master_0|transacto|p2m|address\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|dac_ctrl|Equal0~0_combout\);

-- Location: LCCOMB_X37_Y23_N14
\gpio_u0|dac_ctrl|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|always0~0_combout\ = (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1) & (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\ & (\gpio_u0|dac_ctrl|Equal0~0_combout\ & 
-- !\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\,
	datac => \gpio_u0|dac_ctrl|Equal0~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0),
	combout => \gpio_u0|dac_ctrl|always0~0_combout\);

-- Location: FF_X38_Y27_N19
\gpio_u0|dac_ctrl|data_out[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[14]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(14));

-- Location: LCCOMB_X39_Y27_N2
\gpio_u0|dac_ctrl|readdata[14]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(14) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \gpio_u0|dac_ctrl|data_out\(14)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|dac_ctrl|data_out\(14),
	combout => \gpio_u0|dac_ctrl|readdata\(14));

-- Location: FF_X39_Y27_N3
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(14),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(14));

-- Location: LCCOMB_X39_Y27_N16
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~31_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(14)) # 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(14))))) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(14)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(14),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(14),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~31_combout\);

-- Location: LCCOMB_X37_Y25_N8
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~32_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~31_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(14) & \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(14),
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~31_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~32_combout\);

-- Location: LCCOMB_X42_Y24_N8
\gpio_u0|master_0|transacto|p2m|state~66\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~66_combout\ = (!\gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\ & (\gpio_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\ & ((!\gpio_u0|master_0|b2p|out_startofpacket~q\) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datac => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state~66_combout\);

-- Location: LCCOMB_X42_Y24_N24
\gpio_u0|master_0|transacto|p2m|state~67\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~67_combout\ = (\gpio_u0|master_0|transacto|p2m|state~66_combout\) # ((\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\ & (\gpio_u0|master_0|transacto|p2m|state~62_combout\ & 
-- \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state~62_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state~66_combout\,
	datad => \gpio_u0|mm_interconnect_0|cmd_demux|WideOr0~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~67_combout\);

-- Location: FF_X42_Y24_N25
\gpio_u0|master_0|transacto|p2m|state.READ_DATA_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~67_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\);

-- Location: LCCOMB_X42_Y24_N0
\gpio_u0|master_0|transacto|p2m|out_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|out_data~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\) # (\gpio_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\);

-- Location: FF_X37_Y25_N9
\gpio_u0|master_0|transacto|p2m|read_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~32_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(6));

-- Location: LCCOMB_X38_Y26_N12
\gpio_u0|product_info_0|Mux0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|product_info_0|Mux0~2_combout\ = \gpio_u0|master_0|transacto|p2m|address\(3) $ (\gpio_u0|master_0|transacto|p2m|address\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|product_info_0|Mux0~2_combout\);

-- Location: FF_X38_Y26_N13
\gpio_u0|product_info_0|av_data_read[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|product_info_0|Mux0~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|product_info_0|av_data_read\(30));

-- Location: LCCOMB_X38_Y26_N16
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]~feeder_combout\ = \gpio_u0|product_info_0|av_data_read\(30)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|product_info_0|av_data_read\(30),
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]~feeder_combout\);

-- Location: FF_X38_Y26_N17
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30));

-- Location: LCCOMB_X25_Y24_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]~feeder_combout\);

-- Location: LCCOMB_X26_Y24_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3_combout\);

-- Location: FF_X25_Y24_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]~q\);

-- Location: FF_X29_Y23_N25
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~21_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][30]~q\);

-- Location: LCCOMB_X29_Y23_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~21_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][30]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][30]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~21_combout\);

-- Location: LCCOMB_X29_Y23_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][30]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][30]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~21_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~21_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][30]~feeder_combout\);

-- Location: FF_X29_Y23_N15
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][30]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][30]~q\);

-- Location: LCCOMB_X27_Y23_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[30]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[30]~21_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][30]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][30]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][30]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][6]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[30]~21_combout\);

-- Location: FF_X27_Y23_N15
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[30]~21_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(30));

-- Location: LCCOMB_X27_Y23_N28
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[30]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[30]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(30)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(30),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[30]~feeder_combout\);

-- Location: FF_X27_Y23_N29
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[30]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(30));

-- Location: LCCOMB_X37_Y25_N30
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~34_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(30)) # 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30) & 
-- (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30),
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(30),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~34_combout\);

-- Location: FF_X37_Y25_N31
\gpio_u0|master_0|transacto|p2m|read_data_buffer[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~34_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(22));

-- Location: LCCOMB_X27_Y24_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]~feeder_combout\);

-- Location: LCCOMB_X26_Y24_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2_combout\);

-- Location: FF_X27_Y24_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]~q\);

-- Location: FF_X26_Y23_N3
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~20_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][22]~q\);

-- Location: LCCOMB_X26_Y23_N2
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~20_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][22]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][22]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~20_combout\);

-- Location: LCCOMB_X26_Y23_N30
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][22]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][22]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~20_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~20_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][22]~feeder_combout\);

-- Location: FF_X26_Y23_N31
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][22]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][22]~q\);

-- Location: LCCOMB_X27_Y23_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[22]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[22]~20_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][22]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][22]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][6]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][22]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[22]~20_combout\);

-- Location: FF_X27_Y23_N27
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[22]~20_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(22));

-- Location: LCCOMB_X27_Y23_N24
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[22]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[22]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(22)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(22),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[22]~feeder_combout\);

-- Location: FF_X27_Y23_N25
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[22]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(22));

-- Location: LCCOMB_X37_Y25_N22
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~33\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~33_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(22) & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\) # 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30))))) # 
-- (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(22) & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(22),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~33_combout\);

-- Location: FF_X37_Y25_N23
\gpio_u0|master_0|transacto|p2m|read_data_buffer[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~33_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(14));

-- Location: LCCOMB_X37_Y25_N24
\gpio_u0|master_0|transacto|p2m|Mux9~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux9~0_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|current_byte\(1))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & 
-- ((\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|read_data_buffer\(14))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & ((\gpio_u0|master_0|transacto|p2m|out_data\(6))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100111001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(14),
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(6),
	combout => \gpio_u0|master_0|transacto|p2m|Mux9~0_combout\);

-- Location: LCCOMB_X37_Y25_N2
\gpio_u0|master_0|transacto|p2m|Mux9~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux9~1_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & ((\gpio_u0|master_0|transacto|p2m|Mux9~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(22)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Mux9~0_combout\ & (\gpio_u0|master_0|transacto|p2m|read_data_buffer\(6))))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (((\gpio_u0|master_0|transacto|p2m|Mux9~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(6),
	datac => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(22),
	datad => \gpio_u0|master_0|transacto|p2m|Mux9~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Mux9~1_combout\);

-- Location: LCCOMB_X37_Y25_N12
\gpio_u0|master_0|transacto|p2m|Selector74~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector74~4_combout\ = (\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\ & (\gpio_u0|master_0|transacto|p2m|Mux9~1_combout\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|out_data\(6)) # ((\gpio_u0|master_0|transacto|p2m|Mux9~1_combout\ & \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Mux9~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(6),
	combout => \gpio_u0|master_0|transacto|p2m|Selector74~4_combout\);

-- Location: LCCOMB_X27_Y24_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]~feeder_combout\);

-- Location: LCCOMB_X26_Y24_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\ & !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux2110_dataout~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_cnt\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0_combout\);

-- Location: FF_X27_Y24_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]~q\);

-- Location: FF_X25_Y23_N13
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][6]~q\);

-- Location: LCCOMB_X25_Y23_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~4_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][6]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][6]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~4_combout\);

-- Location: LCCOMB_X25_Y23_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][6]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~4_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~4_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][6]~feeder_combout\);

-- Location: FF_X25_Y23_N11
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][6]~q\);

-- Location: LCCOMB_X31_Y23_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[6]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[6]~4_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][6]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]~q\))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][6]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][6]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][6]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[6]~4_combout\);

-- Location: FF_X31_Y23_N17
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[6]~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(6));

-- Location: LCCOMB_X32_Y25_N6
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[6]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(6),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[6]~feeder_combout\);

-- Location: FF_X32_Y25_N7
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(6));

-- Location: LCCOMB_X36_Y25_N10
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~14_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(6) & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(6),
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~14_combout\);

-- Location: LCCOMB_X40_Y22_N16
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[39]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[39]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[39]~feeder_combout\);

-- Location: FF_X40_Y22_N17
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[39]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(39));

-- Location: LCCOMB_X40_Y20_N6
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[39]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[39]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(39)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(39),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[39]~feeder_combout\);

-- Location: FF_X40_Y20_N7
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[39]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39));

-- Location: LCCOMB_X39_Y21_N30
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[40]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[40]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|address\(4),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[40]~feeder_combout\);

-- Location: FF_X39_Y21_N31
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[40]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(40));

-- Location: LCCOMB_X39_Y20_N8
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[40]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[40]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(40)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(40),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[40]~feeder_combout\);

-- Location: FF_X39_Y20_N9
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[40]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40));

-- Location: LCCOMB_X39_Y17_N14
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[6]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[6]~7_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(7)) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(7),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[6]~7_combout\);

-- Location: IOIBUF_X62_Y0_N15
\uart_rx~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_uart_rx,
	o => \uart_rx~input_o\);

-- Location: LCCOMB_X40_Y17_N24
\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|din_s1~feeder_combout\ = \uart_rx~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \uart_rx~input_o\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X40_Y17_N25
\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|din_s1~q\);

-- Location: LCCOMB_X40_Y17_N2
\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg[0]~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|din_s1~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X40_Y17_N3
\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0));

-- Location: LCCOMB_X40_Y17_N20
\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~feeder_combout\);

-- Location: FF_X40_Y17_N21
\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\);

-- Location: LCCOMB_X40_Y17_N6
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~7_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\ & (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(0) & (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(0),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~7_combout\);

-- Location: FF_X40_Y17_N7
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(0));

-- Location: LCCOMB_X41_Y17_N0
\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~1\ = CARRY(\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(0),
	datad => VCC,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~1\);

-- Location: LCCOMB_X41_Y17_N2
\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~2_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(1) & (\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~1\ & VCC)) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(1) & 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~1\))
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~3\ = CARRY((!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(1) & !\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~1\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(1),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~1\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~2_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~3\);

-- Location: LCCOMB_X40_Y17_N0
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~6_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~2_combout\ & (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\ & (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~2_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~6_combout\);

-- Location: FF_X40_Y17_N1
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(1));

-- Location: LCCOMB_X41_Y17_N4
\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~4_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(2) & ((GND) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~3\))) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(2) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~3\ $ (GND)))
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~5\ = CARRY((\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(2)) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(2),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~3\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~4_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~5\);

-- Location: LCCOMB_X40_Y17_N22
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~5_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~4_combout\ & ((\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0))) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\))) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~4_combout\ & (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ 
-- (((\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011101111001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~4_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~5_combout\);

-- Location: FF_X40_Y17_N23
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(2));

-- Location: LCCOMB_X41_Y17_N6
\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~6_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(3) & (\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~5\ & VCC)) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(3) & 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~5\))
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~7\ = CARRY((!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(3) & !\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~5\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(3),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~5\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~6_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~7\);

-- Location: LCCOMB_X40_Y17_N18
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~4_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~6_combout\) # ((\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~6_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~4_combout\);

-- Location: FF_X40_Y17_N19
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(3));

-- Location: LCCOMB_X41_Y17_N8
\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~8_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(4) & ((GND) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~7\))) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(4) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~7\ $ (GND)))
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~9\ = CARRY((\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(4)) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(4),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~7\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~8_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~9\);

-- Location: LCCOMB_X40_Y17_N30
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~3_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\ & (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ 
-- (((!\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0)))))) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\ & (\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~8_combout\ & (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ 
-- $ (!\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~8_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~3_combout\);

-- Location: FF_X40_Y17_N31
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(4));

-- Location: LCCOMB_X41_Y17_N10
\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~10_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(5) & (\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~9\ & VCC)) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(5) & 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~9\))
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~11\ = CARRY((!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(5) & !\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(5),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~9\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~10_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~11\);

-- Location: LCCOMB_X40_Y17_N8
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~2_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\ & (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ 
-- (((\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0)))))) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\ & ((\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~10_combout\) # 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ (\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010110111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~10_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~2_combout\);

-- Location: FF_X40_Y17_N9
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(5));

-- Location: LCCOMB_X41_Y17_N12
\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~12_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(6) & ((GND) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~11\))) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(6) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~11\ $ (GND)))
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~13\ = CARRY((\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(6)) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(6),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~11\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~12_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~13\);

-- Location: LCCOMB_X40_Y17_N16
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~1_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\) # ((\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~12_combout\) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~12_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~1_combout\);

-- Location: FF_X40_Y17_N17
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(6));

-- Location: LCCOMB_X41_Y17_N14
\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~14_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~13\ $ (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(7),
	cin => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~13\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~14_combout\);

-- Location: LCCOMB_X40_Y17_N14
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~0_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\ & (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ 
-- (((!\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0)))))) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\ & (\gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~14_combout\ & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ (!\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|Add0~14_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~0_combout\);

-- Location: FF_X40_Y17_N15
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(7));

-- Location: LCCOMB_X40_Y17_N10
\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~0_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(4) & (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(5) & (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(7) & 
-- !\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(4),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(5),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(7),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(6),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~0_combout\);

-- Location: LCCOMB_X40_Y17_N26
\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~1_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(3) & !\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(3),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(2),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~1_combout\);

-- Location: LCCOMB_X40_Y17_N4
\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~0_combout\ & (!\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(1) & (\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~1_combout\ & 
-- !\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~0_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(1),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~1_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_rate_counter\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\);

-- Location: LCCOMB_X40_Y17_N28
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en~0_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\ & (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ $ 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|Equal0~2_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en~0_combout\);

-- Location: FF_X40_Y17_N29
\gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en~q\);

-- Location: LCCOMB_X39_Y17_N4
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\) # ((\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0) & 
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\);

-- Location: FF_X39_Y17_N15
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[6]~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(6));

-- Location: LCCOMB_X39_Y17_N10
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[5]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[5]~8_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(6)) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(6),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[5]~8_combout\);

-- Location: FF_X39_Y17_N11
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[5]~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(5));

-- Location: LCCOMB_X39_Y17_N12
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[4]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[4]~9_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(5)) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(5),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[4]~9_combout\);

-- Location: FF_X39_Y17_N13
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[4]~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(4));

-- Location: LCCOMB_X39_Y17_N20
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[3]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[3]~0_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(4),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[3]~0_combout\);

-- Location: FF_X39_Y17_N21
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[3]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(3));

-- Location: LCCOMB_X39_Y17_N8
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[2]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[2]~10_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(3)) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(3),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[2]~10_combout\);

-- Location: FF_X39_Y17_N9
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[2]~10_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(2));

-- Location: LCCOMB_X39_Y17_N18
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[1]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[1]~11_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(2),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[1]~11_combout\);

-- Location: FF_X39_Y17_N19
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[1]~11_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(1));

-- Location: LCCOMB_X39_Y17_N16
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~2_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(1),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~2_combout\);

-- Location: FF_X39_Y17_N17
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0));

-- Location: LCCOMB_X39_Y17_N26
\gpio_u0|uart_0|the_gpio_uart_0_rx|always4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|always4~0_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0) & (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\ & 
-- !\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxsync_rxdxx1~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|always4~0_combout\);

-- Location: FF_X39_Y17_N27
\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|always4~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\);

-- Location: LCCOMB_X39_Y17_N2
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in~3_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0) & \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|baud_clk_en~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in~3_combout\);

-- Location: LCCOMB_X39_Y17_N24
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[9]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[9]~4_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\) # ((\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in~3_combout\ 
-- & ((\gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0)))) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in~3_combout\ & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in~3_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(9),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|the_altera_std_synchronizer|dreg\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[9]~4_combout\);

-- Location: FF_X39_Y17_N25
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[9]~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(9));

-- Location: LCCOMB_X39_Y17_N0
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[8]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[8]~5_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(9),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[8]~5_combout\);

-- Location: FF_X39_Y17_N1
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[8]~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(8));

-- Location: LCCOMB_X39_Y17_N30
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[7]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[7]~6_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(8)) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(8),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|do_start_rx~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[7]~6_combout\);

-- Location: FF_X39_Y17_N31
\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[7]~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_in[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(7));

-- Location: FF_X38_Y17_N23
\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxrx_in_processxx3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxrx_in_processxx3~q\);

-- Location: LCCOMB_X38_Y17_N20
\gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxrx_in_processxx3~q\ & !\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxrx_in_processxx3~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\);

-- Location: FF_X38_Y17_N19
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(7),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(6));

-- Location: LCCOMB_X39_Y23_N26
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[38]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[38]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[38]~feeder_combout\);

-- Location: FF_X39_Y23_N27
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[38]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(38));

-- Location: FF_X39_Y20_N31
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(38),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38));

-- Location: LCCOMB_X38_Y17_N18
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~12_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(6) & !\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(6),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~12_combout\);

-- Location: LCCOMB_X39_Y23_N6
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[1]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[1]~feeder_combout\);

-- Location: FF_X39_Y23_N7
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(1));

-- Location: LCCOMB_X39_Y23_N28
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[1]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(1),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[1]~feeder_combout\);

-- Location: FF_X39_Y23_N29
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(1));

-- Location: LCCOMB_X39_Y19_N12
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[1]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(1),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[1]~feeder_combout\);

-- Location: LCCOMB_X39_Y19_N28
\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & 
-- (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1_combout\);

-- Location: FF_X39_Y19_N13
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(1));

-- Location: LCCOMB_X39_Y23_N10
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[2]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(2),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[2]~feeder_combout\);

-- Location: FF_X39_Y23_N11
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(2));

-- Location: LCCOMB_X39_Y23_N14
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[2]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(2),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[2]~feeder_combout\);

-- Location: FF_X39_Y23_N15
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(2));

-- Location: LCCOMB_X39_Y19_N10
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[2]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(2),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[2]~feeder_combout\);

-- Location: FF_X39_Y19_N11
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(2));

-- Location: LCCOMB_X39_Y23_N4
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[3]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(3),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[3]~feeder_combout\);

-- Location: FF_X39_Y23_N5
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(3));

-- Location: FF_X39_Y23_N31
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(3),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(3));

-- Location: LCCOMB_X39_Y19_N20
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(3),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[3]~feeder_combout\);

-- Location: FF_X39_Y19_N21
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(3));

-- Location: FF_X42_Y27_N1
\gpio_u0|master_0|transacto|p2m|writedata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(4),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(4));

-- Location: LCCOMB_X39_Y23_N12
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[4]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(4),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[4]~feeder_combout\);

-- Location: FF_X39_Y23_N13
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(4));

-- Location: LCCOMB_X39_Y23_N8
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[4]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(4),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[4]~feeder_combout\);

-- Location: FF_X39_Y23_N9
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(4));

-- Location: LCCOMB_X39_Y19_N0
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[4]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(4),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[4]~feeder_combout\);

-- Location: FF_X39_Y19_N1
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(4));

-- Location: LCCOMB_X43_Y27_N28
\gpio_u0|master_0|transacto|p2m|writedata[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[5]~feeder_combout\ = \gpio_u0|master_0|b2p|out_data[5]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|b2p|out_data[5]~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|writedata[5]~feeder_combout\);

-- Location: FF_X43_Y27_N29
\gpio_u0|master_0|transacto|p2m|writedata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[5]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(5));

-- Location: LCCOMB_X39_Y23_N22
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[5]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(5),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[5]~feeder_combout\);

-- Location: FF_X39_Y23_N23
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(5));

-- Location: LCCOMB_X40_Y23_N20
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[5]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(5),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[5]~feeder_combout\);

-- Location: FF_X40_Y23_N21
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(5));

-- Location: LCCOMB_X39_Y19_N8
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[5]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(5),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[5]~feeder_combout\);

-- Location: FF_X39_Y19_N9
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(5));

-- Location: FF_X42_Y27_N3
\gpio_u0|master_0|transacto|p2m|writedata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(6),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(6));

-- Location: LCCOMB_X39_Y23_N18
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[6]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(6),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[6]~feeder_combout\);

-- Location: FF_X39_Y23_N19
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(6));

-- Location: LCCOMB_X39_Y23_N2
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[6]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(6),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[6]~feeder_combout\);

-- Location: FF_X39_Y23_N3
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(6));

-- Location: LCCOMB_X39_Y19_N2
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[6]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(6),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[6]~feeder_combout\);

-- Location: FF_X39_Y19_N3
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(6));

-- Location: LCCOMB_X40_Y32_N14
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~8_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(0) $ (VCC)
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~9\ = CARRY(\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(0),
	datad => VCC,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~8_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~9\);

-- Location: LCCOMB_X40_Y32_N4
\gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~2_combout\) # (\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~2_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0_combout\);

-- Location: FF_X40_Y32_N15
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~8_combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(0));

-- Location: LCCOMB_X40_Y32_N16
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~10_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(1) & (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~9\ & VCC)) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(1) & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~9\))
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~11\ = CARRY((!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(1) & !\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(1),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[0]~9\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~10_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~11\);

-- Location: FF_X40_Y32_N17
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~10_combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(1));

-- Location: LCCOMB_X40_Y32_N18
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~12_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(2) & ((GND) # (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~11\))) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(2) & (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~11\ $ (GND)))
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~13\ = CARRY((\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(2)) # (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(2),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[1]~11\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~12_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~13\);

-- Location: FF_X40_Y32_N19
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~12_combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(2));

-- Location: LCCOMB_X40_Y32_N20
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~14_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(3) & (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~13\ & VCC)) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(3) & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~13\))
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~15\ = CARRY((!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(3) & !\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(3),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[2]~13\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~14_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~15\);

-- Location: FF_X40_Y32_N21
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~14_combout\,
	asdata => VCC,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(3));

-- Location: LCCOMB_X40_Y32_N10
\gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~0_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(2) & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(1) & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(0) & 
-- !\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(2),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(1),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(0),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(3),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~0_combout\);

-- Location: LCCOMB_X40_Y32_N22
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~16_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(4) & ((GND) # (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~15\))) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(4) & (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~15\ $ (GND)))
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~17\ = CARRY((\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(4)) # (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(4),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[3]~15\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~16_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~17\);

-- Location: FF_X40_Y32_N23
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~16_combout\,
	asdata => VCC,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(4));

-- Location: LCCOMB_X40_Y32_N24
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~18_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(5) & (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~17\ & VCC)) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(5) & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~17\))
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~19\ = CARRY((!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(5) & !\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(5),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[4]~17\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~18_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~19\);

-- Location: FF_X40_Y32_N25
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~18_combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(5));

-- Location: LCCOMB_X40_Y32_N26
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[6]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[6]~20_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(6) & ((GND) # (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~19\))) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(6) & (\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~19\ $ (GND)))
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[6]~21\ = CARRY((\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(6)) # (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(6),
	datad => VCC,
	cin => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[5]~19\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[6]~20_combout\,
	cout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[6]~21\);

-- Location: FF_X40_Y32_N27
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[6]~20_combout\,
	asdata => VCC,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(6));

-- Location: LCCOMB_X40_Y32_N28
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[7]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[7]~22_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[6]~21\ $ (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(7),
	cin => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[6]~21\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[7]~22_combout\);

-- Location: FF_X40_Y32_N29
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter[7]~22_combout\,
	asdata => VCC,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|uart_0|the_gpio_uart_0_tx|always4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(7));

-- Location: LCCOMB_X40_Y32_N12
\gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~1_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(4) & !\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(4),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(5),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~1_combout\);

-- Location: LCCOMB_X40_Y32_N8
\gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~2_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~0_combout\ & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(7) & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(6) & 
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~0_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(7),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_rate_counter\(6),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~1_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~2_combout\);

-- Location: FF_X40_Y32_N9
\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_clk_en\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|Equal0~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_clk_en~q\);

-- Location: LCCOMB_X41_Y19_N20
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[9]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[9]~3_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\) # ((!\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_clk_en~q\ & 
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_clk_en~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(9),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[9]~3_combout\);

-- Location: FF_X41_Y19_N21
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[9]~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(9));

-- Location: FF_X42_Y27_N5
\gpio_u0|master_0|transacto|p2m|writedata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(7),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(7));

-- Location: LCCOMB_X39_Y23_N20
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[7]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(7),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[7]~feeder_combout\);

-- Location: FF_X39_Y23_N21
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(7));

-- Location: LCCOMB_X39_Y23_N16
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[7]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(7),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[7]~feeder_combout\);

-- Location: FF_X39_Y23_N17
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(7));

-- Location: LCCOMB_X39_Y19_N22
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[7]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(7),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[7]~feeder_combout\);

-- Location: FF_X39_Y19_N23
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(7));

-- Location: LCCOMB_X40_Y19_N12
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[8]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[8]~4_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & ((\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(7)))) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & (\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(9),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(7),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[8]~4_combout\);

-- Location: LCCOMB_X40_Y19_N14
\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~1_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(3) & 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(4) & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(2) & 
-- !\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(3),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(4),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(2),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(5),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~1_combout\);

-- Location: LCCOMB_X41_Y19_N24
\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(8) & 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(7) & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(6) & 
-- !\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(8),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(7),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(6),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(9),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0_combout\);

-- Location: LCCOMB_X41_Y19_N8
\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~4_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~1_combout\ & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(1) & 
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~1_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(1),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~4_combout\);

-- Location: LCCOMB_X41_Y19_N12
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[0]~0_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(1) & \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_clk_en~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(1),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_clk_en~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[0]~0_combout\);

-- Location: LCCOMB_X41_Y19_N28
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[0]~2_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[0]~0_combout\) # 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(0) & !\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[0]~0_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(0),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[0]~2_combout\);

-- Location: FF_X41_Y19_N29
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[0]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(0));

-- Location: LCCOMB_X41_Y19_N22
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\) # ((\gpio_u0|uart_0|the_gpio_uart_0_tx|baud_clk_en~q\ & 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(0)) # (!\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~4_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|baud_clk_en~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\);

-- Location: FF_X40_Y19_N13
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[8]~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(8));

-- Location: LCCOMB_X40_Y19_N24
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[7]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[7]~5_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & (\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(6))) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & ((\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(6),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(8),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[7]~5_combout\);

-- Location: FF_X40_Y19_N25
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[7]~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(7));

-- Location: LCCOMB_X40_Y19_N16
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[6]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[6]~6_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & (\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(5))) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & ((\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(5),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(7),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[6]~6_combout\);

-- Location: FF_X40_Y19_N17
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[6]~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(6));

-- Location: LCCOMB_X40_Y19_N18
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[5]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[5]~7_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & (\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(4))) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & ((\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(4),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(6),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[5]~7_combout\);

-- Location: FF_X40_Y19_N19
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[5]~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(5));

-- Location: LCCOMB_X40_Y19_N20
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[4]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[4]~8_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & (\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(3))) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & ((\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(3),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(5),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[4]~8_combout\);

-- Location: FF_X40_Y19_N21
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[4]~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(4));

-- Location: LCCOMB_X40_Y19_N10
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[3]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[3]~9_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & (\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(2))) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & ((\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(2),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(4),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[3]~9_combout\);

-- Location: FF_X40_Y19_N11
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[3]~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(3));

-- Location: LCCOMB_X40_Y19_N26
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~10_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & (\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(1))) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & ((\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(1),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(3),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~10_combout\);

-- Location: FF_X40_Y19_N27
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~10_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(2));

-- Location: LCCOMB_X39_Y23_N24
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[0]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[0]~feeder_combout\);

-- Location: FF_X39_Y23_N25
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(0));

-- Location: LCCOMB_X39_Y23_N0
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[0]~feeder_combout\);

-- Location: FF_X39_Y23_N1
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(0));

-- Location: LCCOMB_X39_Y19_N4
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[0]~feeder_combout\);

-- Location: FF_X39_Y19_N5
\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(0));

-- Location: LCCOMB_X40_Y19_N6
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[1]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[1]~11_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & ((\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(0)))) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & (\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(2),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[1]~11_combout\);

-- Location: FF_X40_Y19_N7
\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[1]~11_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_in[2]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(1));

-- Location: LCCOMB_X41_Y19_N30
\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~2_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(1) & \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(1),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~1_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~2_combout\);

-- Location: LCCOMB_X40_Y19_N0
\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~0_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~2_combout\ & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(0) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\ & \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~2_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(0),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~0_combout\);

-- Location: FF_X40_Y19_N1
\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\);

-- Location: LCCOMB_X38_Y19_N20
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\ & 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~q\) # (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~1_combout\)))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\ & (((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~q\) # 
-- (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111011101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_translator|waitrequest_reset_override~q\,
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~q\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~0_combout\);

-- Location: FF_X38_Y19_N21
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~q\);

-- Location: LCCOMB_X39_Y20_N30
\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & 
-- !\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\);

-- Location: LCCOMB_X38_Y19_N24
\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~2_combout\ = (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(70) & (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~q\ & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\ & \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(70),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~2_combout\);

-- Location: LCCOMB_X40_Y19_N28
\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~0_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~2_combout\) # ((!\gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\ & \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|do_load_shifter~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~2_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~0_combout\);

-- Location: FF_X40_Y19_N29
\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\);

-- Location: LCCOMB_X38_Y19_N4
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\);

-- Location: FF_X39_Y19_N7
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(6),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(6));

-- Location: LCCOMB_X38_Y20_N4
\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\);

-- Location: LCCOMB_X39_Y19_N6
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[6]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[6]~13_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(6)))) # (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(6),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[6]~13_combout\);

-- Location: LCCOMB_X39_Y20_N4
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[6]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[6]~14_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~12_combout\) # ((\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[6]~13_combout\) # 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\ & \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~12_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[6]~13_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(6),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[6]~14_combout\);

-- Location: FF_X39_Y20_N5
\gpio_u0|uart_0|the_gpio_uart_0_regs|readdata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[6]~14_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(6));

-- Location: LCCOMB_X39_Y20_N2
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[6]~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(6),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[6]~feeder_combout\);

-- Location: FF_X39_Y20_N3
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(6));

-- Location: FF_X39_Y20_N11
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][6]~q\);

-- Location: LCCOMB_X39_Y20_N10
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~4_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][6]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][6]~q\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(6),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~4_combout\);

-- Location: LCCOMB_X37_Y20_N6
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0_combout\) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\);

-- Location: FF_X38_Y20_N5
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][6]~q\);

-- Location: LCCOMB_X37_Y20_N0
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[6]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[6]~4_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][6]~q\))) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(6))))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & (((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][6]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(6),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][6]~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[6]~4_combout\);

-- Location: FF_X37_Y20_N1
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[6]~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(6));

-- Location: FF_X37_Y25_N27
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(6),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(6));

-- Location: LCCOMB_X37_Y25_N26
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~31_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~14_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(6) & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~14_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(6),
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~31_combout\);

-- Location: IOIBUF_X34_Y39_N29
\pmoda_io[2]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmoda_io(2),
	o => \pmoda_io[2]~input_o\);

-- Location: LCCOMB_X38_Y35_N8
\pmod_in[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_in(6) = LCELL(\pmoda_io[2]~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \pmoda_io[2]~input_o\,
	combout => pmod_in(6));

-- Location: LCCOMB_X39_Y28_N4
\gpio_u0|pmod_input|read_mux_out[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_input|read_mux_out\(6) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & pmod_in(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => pmod_in(6),
	combout => \gpio_u0|pmod_input|read_mux_out\(6));

-- Location: FF_X39_Y28_N5
\gpio_u0|pmod_input|readdata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_input|read_mux_out\(6),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_input|readdata\(6));

-- Location: LCCOMB_X39_Y28_N10
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[6]~feeder_combout\ = \gpio_u0|pmod_input|readdata\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|pmod_input|readdata\(6),
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[6]~feeder_combout\);

-- Location: FF_X39_Y28_N11
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(6));

-- Location: LCCOMB_X41_Y31_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[30]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(31),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[30]~feeder_combout\);

-- Location: FF_X41_Y31_N19
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[30]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(30));

-- Location: LCCOMB_X41_Y31_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[29]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(30),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[29]~feeder_combout\);

-- Location: FF_X41_Y31_N11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[29]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(29));

-- Location: LCCOMB_X41_Y31_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[28]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(29),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[28]~feeder_combout\);

-- Location: FF_X41_Y31_N31
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[28]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(28));

-- Location: LCCOMB_X41_Y31_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[27]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(28),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[27]~feeder_combout\);

-- Location: FF_X41_Y31_N1
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[27]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(27));

-- Location: LCCOMB_X41_Y31_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[26]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(27),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[26]~feeder_combout\);

-- Location: FF_X41_Y31_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[26]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(26));

-- Location: LCCOMB_X41_Y31_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[25]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(26),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[25]~feeder_combout\);

-- Location: FF_X41_Y31_N15
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[25]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(25));

-- Location: LCCOMB_X41_Y31_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[24]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(25),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[24]~feeder_combout\);

-- Location: FF_X41_Y31_N7
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[24]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(24));

-- Location: LCCOMB_X40_Y31_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(24),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[2]~feeder_combout\);

-- Location: LCCOMB_X41_Y33_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_UPDATE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~1_combout\);

-- Location: FF_X40_Y31_N27
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1\(2));

-- Location: LCCOMB_X41_Y31_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[23]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(24),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[23]~feeder_combout\);

-- Location: FF_X41_Y31_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[23]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(23));

-- Location: FF_X40_Y31_N29
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(23),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(6));

-- Location: LCCOMB_X40_Y31_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1\(2),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(6),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~10_combout\);

-- Location: LCCOMB_X41_Y31_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(24),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[2]~feeder_combout\);

-- Location: LCCOMB_X41_Y33_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(2),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_UPDATE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~1_combout\);

-- Location: FF_X41_Y31_N17
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2\(2));

-- Location: LCCOMB_X39_Y31_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|product_info_0|Mux0~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~10_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~11_combout\);

-- Location: FF_X39_Y31_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~11_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(6));

-- Location: FF_X39_Y28_N9
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(6),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(6));

-- Location: LCCOMB_X39_Y28_N8
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~27_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(6) & ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(6) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(6) & 
-- (((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(6) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(6),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(6),
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~27_combout\);

-- Location: LCCOMB_X35_Y27_N14
\gpio_u0|adc1_out|data_out[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|data_out[6]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(6),
	combout => \gpio_u0|adc1_out|data_out[6]~feeder_combout\);

-- Location: LCCOMB_X35_Y24_N12
\gpio_u0|adc1_out|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|always1~0_combout\ = (!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(0) & (\gpio_u0|mm_interconnect_0|adc1_out_s1_agent|m0_write~0_combout\ & (\gpio_u0|dac_ctrl|Equal0~0_combout\ & 
-- !\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(0),
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_agent|m0_write~0_combout\,
	datac => \gpio_u0|dac_ctrl|Equal0~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|wait_latency_counter\(1),
	combout => \gpio_u0|adc1_out|always1~0_combout\);

-- Location: FF_X35_Y27_N15
\gpio_u0|adc1_out|data_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|data_out[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|adc1_out|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|data_out\(6));

-- Location: LCCOMB_X35_Y27_N22
\gpio_u0|adc1_out|read_mux_out[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|read_mux_out\(6) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (\gpio_u0|adc1_out|data_out\(6) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|adc1_out|data_out\(6),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|adc1_out|read_mux_out\(6));

-- Location: FF_X35_Y27_N23
\gpio_u0|adc1_out|readdata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|read_mux_out\(6),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|readdata\(6));

-- Location: FF_X35_Y27_N11
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc1_out|readdata\(6),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(6));

-- Location: LCCOMB_X36_Y23_N4
\gpio_u0|pmod_output|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_output|always1~0_combout\ = (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1) & (\gpio_u0|dac_ctrl|Equal0~0_combout\ & (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0) & 
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(1),
	datab => \gpio_u0|dac_ctrl|Equal0~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|wait_latency_counter\(0),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_agent|m0_write~0_combout\,
	combout => \gpio_u0|pmod_output|always1~0_combout\);

-- Location: FF_X36_Y31_N27
\gpio_u0|pmod_output|data_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(6),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|pmod_output|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|data_out\(6));

-- Location: LCCOMB_X36_Y31_N26
\pmod_out[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_out(6) = LCELL(\gpio_u0|pmod_output|data_out\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|pmod_output|data_out\(6),
	combout => pmod_out(6));

-- Location: LCCOMB_X36_Y31_N12
\gpio_u0|pmod_output|read_mux_out[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_output|read_mux_out\(6) = (pmod_out(6) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => pmod_out(6),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|pmod_output|read_mux_out\(6));

-- Location: LCCOMB_X36_Y27_N28
\gpio_u0|pmod_output|readdata[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_output|readdata[6]~feeder_combout\ = \gpio_u0|pmod_output|read_mux_out\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|pmod_output|read_mux_out\(6),
	combout => \gpio_u0|pmod_output|readdata[6]~feeder_combout\);

-- Location: FF_X36_Y27_N29
\gpio_u0|pmod_output|readdata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_output|readdata[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|readdata\(6));

-- Location: LCCOMB_X35_Y27_N18
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[6]~feeder_combout\ = \gpio_u0|pmod_output|readdata\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|pmod_output|readdata\(6),
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[6]~feeder_combout\);

-- Location: FF_X35_Y27_N19
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(6));

-- Location: LCCOMB_X35_Y27_N10
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~28_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(6)) # 
-- ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(6))))) # (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(6),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(6),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~28_combout\);

-- Location: IOIBUF_X0_Y34_N1
\adc2in[7]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_adc2in(7),
	o => \adc2in[7]~input_o\);

-- Location: LCCOMB_X37_Y27_N8
\gpio_u0|adc2_in|read_mux_out[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc2_in|read_mux_out\(6) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\adc2in[7]~input_o\ & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \adc2in[7]~input_o\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|adc2_in|read_mux_out\(6));

-- Location: FF_X37_Y27_N9
\gpio_u0|adc2_in|readdata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc2_in|read_mux_out\(6),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc2_in|readdata\(6));

-- Location: FF_X37_Y27_N1
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc2_in|readdata\(6),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(6));

-- Location: LCCOMB_X40_Y27_N28
\gpio_u0|dac_ctrl|data_out[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[6]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(6),
	combout => \gpio_u0|dac_ctrl|data_out[6]~feeder_combout\);

-- Location: FF_X40_Y27_N29
\gpio_u0|dac_ctrl|data_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(6));

-- Location: LCCOMB_X40_Y27_N26
\gpio_u0|dac_ctrl|readdata[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(6) = (\gpio_u0|dac_ctrl|data_out\(6) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dac_ctrl|data_out\(6),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|dac_ctrl|readdata\(6));

-- Location: FF_X40_Y27_N27
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(6),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(6));

-- Location: LCCOMB_X37_Y27_N0
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~29_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(6)) # 
-- ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(6))))) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(6),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(6),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~29_combout\);

-- Location: LCCOMB_X26_Y29_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[6]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[6]~feeder_combout\);

-- Location: LCCOMB_X29_Y33_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load~combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load~combout\);

-- Location: FF_X26_Y29_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(6));

-- Location: LCCOMB_X27_Y29_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\) # ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~q\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_sid_en~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\);

-- Location: LCCOMB_X32_Y30_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2_combout\);

-- Location: FF_X30_Y25_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(6),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(6));

-- Location: LCCOMB_X30_Y25_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~12_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(6)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(6),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(6),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~12_combout\);

-- Location: LCCOMB_X29_Y25_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\ = ((!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111011111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent|m0_read~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\);

-- Location: LCCOMB_X29_Y25_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~13_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~12_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\ 
-- & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(6),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~12_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~13_combout\);

-- Location: FF_X29_Y25_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~13_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(6));

-- Location: FF_X27_Y25_N29
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][6]~q\);

-- Location: LCCOMB_X27_Y25_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~4_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][6]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][6]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(6),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~4_combout\);

-- Location: LCCOMB_X29_Y25_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][6]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~4_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~4_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][6]~feeder_combout\);

-- Location: LCCOMB_X30_Y25_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0_combout\) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|read~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0_combout\);

-- Location: FF_X29_Y25_N7
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][6]~q\);

-- Location: LCCOMB_X30_Y25_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[6]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[6]~4_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][6]~q\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(6))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][6]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(6),
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][6]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[6]~4_combout\);

-- Location: FF_X30_Y25_N29
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[6]~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(6));

-- Location: FF_X34_Y25_N17
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(6),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(6));

-- Location: LCCOMB_X34_Y25_N16
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~13_combout\ = (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(6) & (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0) $ 
-- (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110000001100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0),
	datab => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(6),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~13_combout\);

-- Location: LCCOMB_X37_Y25_N0
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~30_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~27_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~28_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~29_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~13_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~27_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~28_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~29_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~13_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~30_combout\);

-- Location: LCCOMB_X37_Y25_N14
\gpio_u0|master_0|transacto|p2m|Selector74~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector74~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector74~4_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~31_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~30_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector74~4_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~31_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[6]~30_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector74~5_combout\);

-- Location: LCCOMB_X38_Y25_N4
\gpio_u0|master_0|transacto|p2m|Selector74~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector74~6_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & (\gpio_u0|master_0|transacto|p2m|command\(6))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & ((\gpio_u0|master_0|transacto|p2m|out_data\(6))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|command\(6),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(6),
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector74~6_combout\);

-- Location: LCCOMB_X37_Y25_N6
\gpio_u0|master_0|transacto|p2m|Selector74~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector74~7_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector74~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector74~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector74~5_combout\) # 
-- (\gpio_u0|master_0|transacto|p2m|Selector74~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector74~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector74~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector74~5_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector74~6_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector74~7_combout\);

-- Location: FF_X37_Y25_N7
\gpio_u0|master_0|transacto|p2m|out_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector74~7_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|out_data\(6));

-- Location: LCCOMB_X46_Y27_N28
\gpio_u0|master_0|transacto|p2m|Selector73~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector73~1_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|counter\(15)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & ((\gpio_u0|master_0|transacto|p2m|counter\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110010000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \gpio_u0|master_0|transacto|p2m|counter\(15),
	datad => \gpio_u0|master_0|transacto|p2m|counter\(7),
	combout => \gpio_u0|master_0|transacto|p2m|Selector73~1_combout\);

-- Location: LCCOMB_X44_Y25_N26
\gpio_u0|master_0|transacto|p2m|writedata[16]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[16]~1_combout\ = (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & \gpio_u0|master_0|transacto|p2m|current_byte\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[16]~1_combout\);

-- Location: LCCOMB_X43_Y25_N12
\gpio_u0|master_0|transacto|p2m|Selector82~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector82~0_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|writedata[16]~1_combout\ & (\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\))) # 
-- (!\gpio_u0|master_0|p2b|in_ready~combout\ & (((\gpio_u0|master_0|transacto|p2m|out_endofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|writedata[16]~1_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \gpio_u0|master_0|transacto|p2m|out_endofpacket~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector82~0_combout\);

-- Location: LCCOMB_X43_Y25_N16
\gpio_u0|master_0|transacto|p2m|Selector82~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector82~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\gpio_u0|master_0|transacto|p2m|Equal10~5_combout\))) # (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & 
-- (\gpio_u0|master_0|transacto|p2m|Selector82~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector82~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Equal10~5_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector82~1_combout\);

-- Location: FF_X43_Y25_N17
\gpio_u0|master_0|transacto|p2m|out_endofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector82~1_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|out_endofpacket~q\);

-- Location: LCCOMB_X44_Y25_N14
\gpio_u0|master_0|transacto|p2m|Selector0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector0~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\) # ((\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & ((!\gpio_u0|master_0|transacto|p2m|current_byte\(0)) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \gpio_u0|master_0|transacto|p2m|Selector0~1_combout\);

-- Location: LCCOMB_X43_Y25_N22
\gpio_u0|master_0|transacto|p2m|state~57\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~57_combout\ = (\gpio_u0|master_0|transacto|p2m|Equal8~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\) # ((\gpio_u0|master_0|transacto|p2m|Equal10~5_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))) # (!\gpio_u0|master_0|transacto|p2m|Equal8~0_combout\ & (((\gpio_u0|master_0|transacto|p2m|Equal10~5_combout\ & \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Equal10~5_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state~57_combout\);

-- Location: LCCOMB_X43_Y25_N0
\gpio_u0|master_0|transacto|p2m|state~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~58_combout\ = (\gpio_u0|master_0|transacto|p2m|always1~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.0000~q\ & ((!\gpio_u0|master_0|p2b|in_ready~combout\) # 
-- (!\gpio_u0|master_0|transacto|p2m|state~57_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state~57_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.0000~q\,
	datad => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~58_combout\);

-- Location: FF_X43_Y25_N1
\gpio_u0|master_0|transacto|p2m|state.0000\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~58_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.0000~q\);

-- Location: LCCOMB_X43_Y25_N30
\gpio_u0|master_0|transacto|p2m|Selector0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector0~2_combout\ = (\gpio_u0|master_0|transacto|p2m|out_valid~q\ & ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\) # ((\gpio_u0|master_0|transacto|p2m|state.0000~q\) # 
-- (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.0000~q\,
	datac => \gpio_u0|master_0|transacto|p2m|out_valid~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector0~2_combout\);

-- Location: LCCOMB_X44_Y25_N20
\gpio_u0|master_0|transacto|p2m|Selector0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector0~3_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector0~1_combout\) # ((!\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector0~2_combout\) # 
-- (!\gpio_u0|master_0|transacto|p2m|Selector70~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110101011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector0~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector70~4_combout\,
	datac => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector0~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector0~3_combout\);

-- Location: LCCOMB_X43_Y25_N2
\gpio_u0|master_0|transacto|p2m|Selector0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector0~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (\gpio_u0|master_0|transacto|p2m|enable~combout\ & !\gpio_u0|master_0|transacto|p2m|Equal2~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Equal2~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector0~0_combout\);

-- Location: LCCOMB_X43_Y25_N8
\gpio_u0|master_0|transacto|p2m|Selector0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector0~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector0~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector0~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector0~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector0~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector0~4_combout\);

-- Location: FF_X43_Y25_N9
\gpio_u0|master_0|transacto|p2m|out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector0~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|out_valid~q\);

-- Location: LCCOMB_X43_Y29_N8
\gpio_u0|master_0|p2b|out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_valid~0_combout\ = (\gpio_u0|master_0|transacto|p2m|out_valid~q\) # ((\gpio_u0|master_0|p2b|out_valid~q\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6) 
-- $ (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_valid~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datac => \gpio_u0|master_0|p2b|out_valid~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	combout => \gpio_u0|master_0|p2b|out_valid~0_combout\);

-- Location: FF_X43_Y29_N9
\gpio_u0|master_0|p2b|out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|out_valid~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|out_valid~q\);

-- Location: LCCOMB_X43_Y29_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\ = (\gpio_u0|master_0|p2b|out_valid~q\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6))) # (!\gpio_u0|master_0|p2b|out_valid~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datac => \gpio_u0|master_0|p2b|out_valid~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\);

-- Location: LCCOMB_X47_Y30_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\);

-- Location: FF_X47_Y30_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\);

-- Location: LCCOMB_X47_Y30_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X47_Y30_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\);

-- Location: LCCOMB_X47_Y30_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X47_Y30_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(0));

-- Location: FF_X47_Y30_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(0),
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1));

-- Location: LCCOMB_X47_Y30_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1) $ 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\);

-- Location: FF_X50_Y34_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0));

-- Location: FF_X50_Y34_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15),
	sload => VCC,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1));

-- Location: LCCOMB_X50_Y34_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\);

-- Location: FF_X50_Y34_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2));

-- Location: LCCOMB_X50_Y34_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\);

-- Location: LCCOMB_X49_Y37_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\);

-- Location: LCCOMB_X49_Y37_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\);

-- Location: FF_X49_Y37_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\);

-- Location: LCCOMB_X44_Y38_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\ & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\);

-- Location: LCCOMB_X44_Y38_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\);

-- Location: FF_X44_Y38_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\);

-- Location: LCCOMB_X50_Y35_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\);

-- Location: LCCOMB_X51_Y36_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\);

-- Location: LCCOMB_X51_Y35_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\ & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\);

-- Location: LCCOMB_X51_Y35_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0_combout\);

-- Location: LCCOMB_X49_Y38_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\);

-- Location: LCCOMB_X51_Y34_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\);

-- Location: LCCOMB_X51_Y34_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0) & 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0) & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) 
-- # (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\);

-- Location: LCCOMB_X50_Y35_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\);

-- Location: FF_X51_Y34_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0));

-- Location: LCCOMB_X52_Y35_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\ = CARRY(\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0),
	datad => VCC,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\);

-- Location: LCCOMB_X52_Y35_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\);

-- Location: LCCOMB_X52_Y35_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~12_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~12_combout\);

-- Location: FF_X52_Y35_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~12_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1));

-- Location: LCCOMB_X52_Y35_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\);

-- Location: LCCOMB_X52_Y35_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\);

-- Location: FF_X52_Y35_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2));

-- Location: LCCOMB_X52_Y35_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\);

-- Location: LCCOMB_X52_Y34_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\);

-- Location: FF_X52_Y34_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3));

-- Location: LCCOMB_X52_Y35_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\);

-- Location: LCCOMB_X52_Y35_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4)) 
-- # (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\);

-- Location: FF_X52_Y35_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4));

-- Location: LCCOMB_X52_Y35_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\);

-- Location: LCCOMB_X52_Y35_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\);

-- Location: FF_X52_Y35_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5));

-- Location: LCCOMB_X52_Y35_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\);

-- Location: LCCOMB_X52_Y35_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6)) 
-- # (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\);

-- Location: FF_X52_Y35_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6));

-- Location: LCCOMB_X52_Y35_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\);

-- Location: LCCOMB_X52_Y35_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\);

-- Location: FF_X52_Y35_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7));

-- Location: LCCOMB_X52_Y35_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\);

-- Location: LCCOMB_X51_Y35_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6) & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\ & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\);

-- Location: LCCOMB_X51_Y34_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\);

-- Location: LCCOMB_X51_Y34_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\);

-- Location: LCCOMB_X51_Y34_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\);

-- Location: LCCOMB_X51_Y34_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\);

-- Location: LCCOMB_X51_Y34_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\);

-- Location: LCCOMB_X51_Y34_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\);

-- Location: LCCOMB_X51_Y34_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\);

-- Location: LCCOMB_X51_Y34_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\);

-- Location: LCCOMB_X52_Y35_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\);

-- Location: FF_X51_Y34_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8));

-- Location: LCCOMB_X52_Y34_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\);

-- Location: FF_X51_Y34_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9));

-- Location: LCCOMB_X52_Y34_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\);

-- Location: FF_X51_Y34_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10));

-- Location: LCCOMB_X52_Y34_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\);

-- Location: FF_X51_Y34_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11));

-- Location: LCCOMB_X52_Y34_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\);

-- Location: FF_X51_Y34_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12));

-- Location: LCCOMB_X52_Y34_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\);

-- Location: FF_X51_Y34_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13));

-- Location: LCCOMB_X52_Y34_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\);

-- Location: FF_X51_Y34_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14));

-- Location: LCCOMB_X52_Y34_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\);

-- Location: FF_X51_Y34_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15));

-- Location: LCCOMB_X51_Y34_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\);

-- Location: LCCOMB_X52_Y34_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16) & ((GND) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\ $ (GND)))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\);

-- Location: FF_X51_Y34_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16));

-- Location: LCCOMB_X51_Y34_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\);

-- Location: LCCOMB_X52_Y34_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\ & VCC)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\))
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\ = CARRY((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\);

-- Location: FF_X51_Y34_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17));

-- Location: LCCOMB_X52_Y34_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18) $ 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18),
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\);

-- Location: LCCOMB_X51_Y34_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18) & 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\);

-- Location: LCCOMB_X52_Y34_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\);

-- Location: FF_X52_Y34_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18));

-- Location: LCCOMB_X51_Y34_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\);

-- Location: LCCOMB_X51_Y34_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\);

-- Location: LCCOMB_X52_Y34_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\);

-- Location: LCCOMB_X51_Y34_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\);

-- Location: LCCOMB_X51_Y35_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\);

-- Location: LCCOMB_X51_Y35_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\);

-- Location: LCCOMB_X50_Y34_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\);

-- Location: LCCOMB_X50_Y34_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\);

-- Location: LCCOMB_X50_Y34_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\);

-- Location: LCCOMB_X50_Y34_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\);

-- Location: LCCOMB_X50_Y34_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\);

-- Location: LCCOMB_X50_Y34_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\);

-- Location: LCCOMB_X50_Y34_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\ = CARRY(!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\,
	datad => VCC,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\);

-- Location: LCCOMB_X50_Y34_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\ & 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\ & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) 
-- & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\);

-- Location: LCCOMB_X50_Y34_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\ 
-- & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\);

-- Location: LCCOMB_X50_Y34_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\ & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\);

-- Location: LCCOMB_X50_Y34_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\ & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\);

-- Location: LCCOMB_X50_Y34_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\ & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\);

-- Location: LCCOMB_X50_Y34_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\ = CARRY((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\ & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\,
	datad => VCC,
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\,
	cout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\);

-- Location: LCCOMB_X50_Y34_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\) # 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	cin => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\);

-- Location: LCCOMB_X51_Y35_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\) # 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\);

-- Location: LCCOMB_X51_Y35_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\);

-- Location: FF_X51_Y35_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\);

-- Location: LCCOMB_X51_Y35_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1_combout\ = 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0_combout\ & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1_combout\);

-- Location: LCCOMB_X51_Y35_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1_combout\) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\);

-- Location: FF_X51_Y35_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\);

-- Location: LCCOMB_X42_Y29_N26
\gpio_u0|master_0|p2b|out_data[7]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_data[7]~6_combout\ = (!\gpio_u0|master_0|p2b|in_ready~5_combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(7) & \gpio_u0|master_0|p2b|in_ready~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|p2b|in_ready~5_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(7),
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|p2b|out_data[7]~6_combout\);

-- Location: FF_X42_Y29_N27
\gpio_u0|master_0|p2b|out_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|out_data[7]~6_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|out_data\(7));

-- Location: LCCOMB_X45_Y32_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\ = \gpio_u0|master_0|p2b|out_data\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|p2b|out_data\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\);

-- Location: LCCOMB_X43_Y29_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\ = (\gpio_u0|master_0|p2b|out_valid~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6) $ (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datac => \gpio_u0|master_0|p2b|out_valid~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\);

-- Location: FF_X45_Y32_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(7));

-- Location: LCCOMB_X45_Y32_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\);

-- Location: FF_X45_Y32_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7));

-- Location: LCCOMB_X46_Y32_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\);

-- Location: FF_X46_Y32_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(7));

-- Location: LCCOMB_X46_Y32_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(7))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(7),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\);

-- Location: LCCOMB_X47_Y32_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\ = ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\);

-- Location: FF_X46_Y32_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7));

-- Location: LCCOMB_X42_Y29_N12
\gpio_u0|master_0|p2b|sent_channel_char~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|sent_channel_char~0_combout\ = (\gpio_u0|master_0|p2b|in_ready~5_combout\) # ((\gpio_u0|master_0|p2b|sent_channel_char~q\ & ((!\gpio_u0|master_0|p2b|in_ready~0_combout\) # (!\gpio_u0|master_0|p2b|in_ready~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~5_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~4_combout\,
	datac => \gpio_u0|master_0|p2b|sent_channel_char~q\,
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|p2b|sent_channel_char~0_combout\);

-- Location: FF_X42_Y29_N13
\gpio_u0|master_0|p2b|sent_channel_char\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|sent_channel_char~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|sent_channel_char~q\);

-- Location: LCCOMB_X42_Y29_N24
\gpio_u0|master_0|p2b|out_data[6]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_data[6]~5_combout\ = (\gpio_u0|master_0|p2b|in_ready~5_combout\ & (((!\gpio_u0|master_0|p2b|sent_channel_char~q\)))) # (!\gpio_u0|master_0|p2b|in_ready~5_combout\ & ((\gpio_u0|master_0|transacto|p2m|out_data\(6)) # 
-- ((!\gpio_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011101000111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(6),
	datab => \gpio_u0|master_0|p2b|sent_channel_char~q\,
	datac => \gpio_u0|master_0|p2b|in_ready~5_combout\,
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|p2b|out_data[6]~5_combout\);

-- Location: FF_X42_Y29_N25
\gpio_u0|master_0|p2b|out_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|out_data[6]~5_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|out_data\(6));

-- Location: LCCOMB_X45_Y32_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\ = \gpio_u0|master_0|p2b|out_data\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|p2b|out_data\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\);

-- Location: FF_X45_Y32_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(6));

-- Location: LCCOMB_X45_Y32_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\);

-- Location: FF_X45_Y32_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6));

-- Location: LCCOMB_X46_Y32_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\);

-- Location: FF_X46_Y32_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(6));

-- Location: LCCOMB_X46_Y32_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(6))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(6),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\);

-- Location: FF_X46_Y32_N1
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6));

-- Location: LCCOMB_X41_Y25_N12
\gpio_u0|master_0|transacto|p2m|Selector75~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector75~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(5))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & ((\gpio_u0|master_0|transacto|p2m|command\(5))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(5),
	datad => \gpio_u0|master_0|transacto|p2m|command\(5),
	combout => \gpio_u0|master_0|transacto|p2m|Selector75~0_combout\);

-- Location: LCCOMB_X46_Y27_N20
\gpio_u0|master_0|transacto|p2m|Selector75~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector75~1_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|counter\(5) & (!\gpio_u0|master_0|transacto|p2m|current_byte\(0)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (((\gpio_u0|master_0|transacto|p2m|current_byte\(0) & \gpio_u0|master_0|transacto|p2m|counter\(13)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(5),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \gpio_u0|master_0|transacto|p2m|counter\(13),
	combout => \gpio_u0|master_0|transacto|p2m|Selector75~1_combout\);

-- Location: LCCOMB_X43_Y25_N28
\gpio_u0|master_0|transacto|p2m|Selector75~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector75~2_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector75~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data\(5) & 
-- \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\)))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(5),
	datab => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	datac => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector75~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector75~2_combout\);

-- Location: LCCOMB_X42_Y25_N28
\gpio_u0|master_0|transacto|p2m|Selector75~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector75~3_combout\ = (\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & \gpio_u0|master_0|transacto|p2m|Selector75~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector75~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector75~3_combout\);

-- Location: LCCOMB_X41_Y25_N8
\gpio_u0|master_0|transacto|p2m|Selector75~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector75~6_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & (\gpio_u0|master_0|transacto|p2m|command\(5))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & ((\gpio_u0|master_0|transacto|p2m|out_data\(5))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|command\(5),
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(5),
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector75~6_combout\);

-- Location: IOIBUF_X0_Y35_N8
\adc2in[6]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_adc2in(6),
	o => \adc2in[6]~input_o\);

-- Location: LCCOMB_X36_Y27_N10
\gpio_u0|adc2_in|read_mux_out[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc2_in|read_mux_out\(5) = (\adc2in[6]~input_o\ & (!\gpio_u0|master_0|transacto|p2m|address\(3) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc2in[6]~input_o\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|adc2_in|read_mux_out\(5));

-- Location: LCCOMB_X37_Y27_N30
\gpio_u0|adc2_in|readdata[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc2_in|readdata[5]~feeder_combout\ = \gpio_u0|adc2_in|read_mux_out\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|adc2_in|read_mux_out\(5),
	combout => \gpio_u0|adc2_in|readdata[5]~feeder_combout\);

-- Location: FF_X37_Y27_N31
\gpio_u0|adc2_in|readdata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc2_in|readdata[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc2_in|readdata\(5));

-- Location: FF_X37_Y27_N15
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc2_in|readdata\(5),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(5));

-- Location: LCCOMB_X37_Y27_N6
\gpio_u0|dac_ctrl|data_out[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[5]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(5),
	combout => \gpio_u0|dac_ctrl|data_out[5]~feeder_combout\);

-- Location: FF_X37_Y27_N7
\gpio_u0|dac_ctrl|data_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(5));

-- Location: LCCOMB_X37_Y27_N16
\gpio_u0|dac_ctrl|readdata[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(5) = (\gpio_u0|dac_ctrl|data_out\(5) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dac_ctrl|data_out\(5),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|dac_ctrl|readdata\(5));

-- Location: FF_X37_Y27_N17
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(5),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(5));

-- Location: LCCOMB_X37_Y27_N14
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~19_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(5)) # 
-- ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(5))))) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(5),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(5),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~19_combout\);

-- Location: LCCOMB_X40_Y31_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(23),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[1]~feeder_combout\);

-- Location: FF_X40_Y31_N23
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1\(1));

-- Location: LCCOMB_X41_Y31_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[22]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(23),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[22]~feeder_combout\);

-- Location: FF_X41_Y31_N3
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[22]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(22));

-- Location: FF_X40_Y31_N11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(22),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(5));

-- Location: LCCOMB_X40_Y31_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1\(1),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(5),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~6_combout\);

-- Location: LCCOMB_X41_Y31_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(23),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[1]~feeder_combout\);

-- Location: FF_X41_Y31_N9
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2\(1));

-- Location: LCCOMB_X39_Y31_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|product_info_0|Mux0~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~6_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2\(1),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~7_combout\);

-- Location: FF_X39_Y31_N17
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~7_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(5));

-- Location: FF_X36_Y24_N15
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(5),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(5));

-- Location: IOIBUF_X36_Y39_N29
\pmoda_io[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmoda_io(1),
	o => \pmoda_io[1]~input_o\);

-- Location: LCCOMB_X36_Y31_N20
\pmod_in[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_in(5) = LCELL(\pmoda_io[1]~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \pmoda_io[1]~input_o\,
	combout => pmod_in(5));

-- Location: LCCOMB_X36_Y24_N6
\gpio_u0|pmod_input|read_mux_out[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_input|read_mux_out\(5) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & pmod_in(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => pmod_in(5),
	combout => \gpio_u0|pmod_input|read_mux_out\(5));

-- Location: FF_X36_Y24_N7
\gpio_u0|pmod_input|readdata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_input|read_mux_out\(5),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_input|readdata\(5));

-- Location: LCCOMB_X36_Y24_N2
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[5]~feeder_combout\ = \gpio_u0|pmod_input|readdata\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|pmod_input|readdata\(5),
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[5]~feeder_combout\);

-- Location: FF_X36_Y24_N3
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(5));

-- Location: LCCOMB_X36_Y24_N14
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~17_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(5)) # 
-- ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(5))))) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(5),
	datad => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(5),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~17_combout\);

-- Location: FF_X27_Y25_N19
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][5]~q\);

-- Location: LCCOMB_X26_Y29_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[5]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[5]~feeder_combout\);

-- Location: FF_X26_Y29_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(5));

-- Location: FF_X30_Y25_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(5),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(5));

-- Location: LCCOMB_X30_Y25_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~8_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(5)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(5),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~8_combout\);

-- Location: LCCOMB_X29_Y25_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~9_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~8_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\ 
-- & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(5),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~8_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~9_combout\);

-- Location: FF_X29_Y25_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(5));

-- Location: LCCOMB_X27_Y25_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~2_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][5]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][5]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(5),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~2_combout\);

-- Location: LCCOMB_X27_Y25_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][5]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~2_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][5]~feeder_combout\);

-- Location: FF_X27_Y25_N13
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][5]~q\);

-- Location: LCCOMB_X30_Y25_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[5]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[5]~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][5]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(5)))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][5]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][5]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(5),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[5]~2_combout\);

-- Location: FF_X30_Y25_N7
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[5]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(5));

-- Location: FF_X34_Y25_N3
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(5),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(5));

-- Location: LCCOMB_X34_Y25_N2
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~10_combout\ = (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(5) & (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0) $ 
-- (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110000001100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0),
	datab => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(5),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~10_combout\);

-- Location: LCCOMB_X35_Y27_N20
\gpio_u0|adc1_out|data_out[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|data_out[5]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(5),
	combout => \gpio_u0|adc1_out|data_out[5]~feeder_combout\);

-- Location: FF_X35_Y27_N21
\gpio_u0|adc1_out|data_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|data_out[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|adc1_out|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|data_out\(5));

-- Location: LCCOMB_X35_Y27_N26
\gpio_u0|adc1_out|read_mux_out[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|read_mux_out\(5) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (\gpio_u0|adc1_out|data_out\(5) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|adc1_out|data_out\(5),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|adc1_out|read_mux_out\(5));

-- Location: FF_X35_Y27_N27
\gpio_u0|adc1_out|readdata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|read_mux_out\(5),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|readdata\(5));

-- Location: FF_X35_Y27_N9
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc1_out|readdata\(5),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(5));

-- Location: FF_X36_Y31_N31
\gpio_u0|pmod_output|data_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(5),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|pmod_output|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|data_out\(5));

-- Location: LCCOMB_X36_Y31_N30
\pmod_out[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_out(5) = LCELL(\gpio_u0|pmod_output|data_out\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|pmod_output|data_out\(5),
	combout => pmod_out(5));

-- Location: LCCOMB_X36_Y31_N18
\gpio_u0|pmod_output|read_mux_out[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_output|read_mux_out\(5) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (pmod_out(5) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => pmod_out(5),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|pmod_output|read_mux_out\(5));

-- Location: FF_X36_Y31_N19
\gpio_u0|pmod_output|readdata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_output|read_mux_out\(5),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|readdata\(5));

-- Location: LCCOMB_X35_Y27_N2
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[5]~feeder_combout\ = \gpio_u0|pmod_output|readdata\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|pmod_output|readdata\(5),
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[5]~feeder_combout\);

-- Location: FF_X35_Y27_N3
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(5));

-- Location: LCCOMB_X35_Y27_N8
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~18_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(5)) # 
-- ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(5))))) # (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(5),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(5),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~18_combout\);

-- Location: LCCOMB_X36_Y25_N22
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~20_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~19_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~17_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~10_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~18_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~19_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~17_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~10_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~18_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~20_combout\);

-- Location: LCCOMB_X25_Y28_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[1]~feeder_combout\ = \qspi_io[1]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \qspi_io[1]~input_o\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[1]~feeder_combout\);

-- Location: FF_X25_Y28_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(1));

-- Location: LCCOMB_X25_Y28_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[5]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[5]~feeder_combout\);

-- Location: FF_X25_Y28_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(5));

-- Location: LCCOMB_X25_Y28_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[5]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[5]~feeder_combout\);

-- Location: FF_X25_Y28_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(5));

-- Location: LCCOMB_X27_Y24_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]~feeder_combout\);

-- Location: FF_X27_Y24_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]~q\);

-- Location: FF_X29_Y23_N17
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~13_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][21]~q\);

-- Location: LCCOMB_X29_Y23_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~13_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][21]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][21]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~13_combout\);

-- Location: FF_X30_Y23_N31
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~13_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][21]~q\);

-- Location: LCCOMB_X31_Y23_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[21]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[21]~13_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][21]~q\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][21]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][5]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][21]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[21]~13_combout\);

-- Location: FF_X31_Y23_N25
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[21]~13_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(21));

-- Location: LCCOMB_X32_Y24_N4
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[21]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[21]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(21)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(21),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[21]~feeder_combout\);

-- Location: FF_X32_Y24_N5
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[21]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(21));

-- Location: LCCOMB_X36_Y25_N0
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~23_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(21) & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(21),
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~23_combout\);

-- Location: FF_X36_Y25_N1
\gpio_u0|master_0|transacto|p2m|read_data_buffer[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~23_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(13));

-- Location: LCCOMB_X25_Y24_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]~feeder_combout\);

-- Location: FF_X25_Y24_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]~q\);

-- Location: FF_X25_Y23_N15
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~15_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][29]~q\);

-- Location: LCCOMB_X25_Y23_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~15_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][29]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][29]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~15_combout\);

-- Location: LCCOMB_X26_Y23_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][29]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][29]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~15_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~15_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][29]~feeder_combout\);

-- Location: FF_X26_Y23_N17
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][29]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][29]~q\);

-- Location: LCCOMB_X27_Y23_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[29]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[29]~15_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][29]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][29]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][29]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][5]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[29]~15_combout\);

-- Location: FF_X27_Y23_N19
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[29]~15_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(29));

-- Location: LCCOMB_X27_Y23_N16
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[29]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[29]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(29)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(29),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[29]~feeder_combout\);

-- Location: FF_X27_Y23_N17
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[29]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(29));

-- Location: LCCOMB_X34_Y25_N0
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~26_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(29) & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(29),
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~26_combout\);

-- Location: FF_X34_Y25_N1
\gpio_u0|master_0|transacto|p2m|read_data_buffer[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~26_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(21));

-- Location: FF_X26_Y23_N25
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~14_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][13]~q\);

-- Location: LCCOMB_X26_Y24_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]~feeder_combout\);

-- Location: FF_X26_Y24_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]~q\);

-- Location: LCCOMB_X26_Y23_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~14_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][13]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][13]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~14_combout\);

-- Location: LCCOMB_X26_Y23_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][13]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~14_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~14_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][13]~feeder_combout\);

-- Location: FF_X26_Y23_N29
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][13]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][13]~q\);

-- Location: LCCOMB_X31_Y24_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[13]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[13]~14_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][13]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]~q\))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][13]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][13]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][5]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[13]~14_combout\);

-- Location: FF_X31_Y24_N29
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[13]~14_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(13));

-- Location: LCCOMB_X31_Y24_N22
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[13]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(13),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[13]~feeder_combout\);

-- Location: FF_X31_Y24_N23
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[13]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(13));

-- Location: LCCOMB_X38_Y27_N14
\gpio_u0|dac_ctrl|data_out[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[13]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(13),
	combout => \gpio_u0|dac_ctrl|data_out[13]~feeder_combout\);

-- Location: FF_X38_Y27_N15
\gpio_u0|dac_ctrl|data_out[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[13]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(13));

-- Location: LCCOMB_X39_Y27_N12
\gpio_u0|dac_ctrl|readdata[13]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(13) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \gpio_u0|dac_ctrl|data_out\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|dac_ctrl|data_out\(13),
	combout => \gpio_u0|dac_ctrl|readdata\(13));

-- Location: FF_X39_Y27_N13
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(13),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(13));

-- Location: FF_X40_Y31_N15
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(30),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs\(0));

-- Location: LCCOMB_X40_Y31_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~18\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs\(0),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~18_combout\);

-- Location: LCCOMB_X39_Y31_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[13]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~18_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[13]~feeder_combout\);

-- Location: FF_X39_Y31_N7
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[13]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(13));

-- Location: FF_X39_Y24_N23
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(13),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(13));

-- Location: LCCOMB_X39_Y24_N22
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~24_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(13) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(13) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(13) & 
-- (((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(13) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(13),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(13),
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~24_combout\);

-- Location: LCCOMB_X38_Y26_N0
\gpio_u0|product_info_0|Mux0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|product_info_0|Mux0~1_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(3) & \gpio_u0|master_0|transacto|p2m|address\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|product_info_0|Mux0~1_combout\);

-- Location: FF_X38_Y26_N1
\gpio_u0|product_info_0|av_data_read[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|product_info_0|Mux0~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|product_info_0|av_data_read\(27));

-- Location: LCCOMB_X38_Y24_N14
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[27]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[27]~feeder_combout\ = \gpio_u0|product_info_0|av_data_read\(27)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|product_info_0|av_data_read\(27),
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[27]~feeder_combout\);

-- Location: FF_X38_Y24_N15
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[27]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(27));

-- Location: LCCOMB_X39_Y24_N18
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(27))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(27),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\);

-- Location: LCCOMB_X39_Y24_N30
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~25_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~24_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(13) & \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(13),
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~24_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~25_combout\);

-- Location: FF_X39_Y24_N31
\gpio_u0|master_0|transacto|p2m|read_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~25_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(5));

-- Location: LCCOMB_X37_Y25_N4
\gpio_u0|master_0|transacto|p2m|Mux10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux10~0_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & ((\gpio_u0|master_0|transacto|p2m|current_byte\(1)) # ((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(5))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & ((\gpio_u0|master_0|transacto|p2m|out_data\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(5),
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(5),
	combout => \gpio_u0|master_0|transacto|p2m|Mux10~0_combout\);

-- Location: LCCOMB_X37_Y25_N18
\gpio_u0|master_0|transacto|p2m|Mux10~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux10~1_combout\ = (\gpio_u0|master_0|transacto|p2m|Mux10~0_combout\ & (((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(21)) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Mux10~0_combout\ & (\gpio_u0|master_0|transacto|p2m|read_data_buffer\(13) & ((\gpio_u0|master_0|transacto|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(13),
	datab => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(21),
	datac => \gpio_u0|master_0|transacto|p2m|Mux10~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \gpio_u0|master_0|transacto|p2m|Mux10~1_combout\);

-- Location: LCCOMB_X37_Y25_N28
\gpio_u0|master_0|transacto|p2m|Selector75~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector75~4_combout\ = (\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\ & (\gpio_u0|master_0|transacto|p2m|Mux10~1_combout\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|out_data\(5)) # ((\gpio_u0|master_0|transacto|p2m|Mux10~1_combout\ & \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Mux10~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(5),
	combout => \gpio_u0|master_0|transacto|p2m|Selector75~4_combout\);

-- Location: FF_X39_Y20_N23
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][5]~q\);

-- Location: FF_X38_Y17_N13
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(6),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(5));

-- Location: LCCOMB_X38_Y17_N12
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~6_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(5) & !\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(5),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~6_combout\);

-- Location: LCCOMB_X40_Y19_N2
\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_shift_empty~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_shift_empty~0_combout\ = ((\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(0)) # ((\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0_combout\))) # (!\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~2_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(0),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_shift_empty~0_combout\);

-- Location: FF_X40_Y19_N3
\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_shift_empty\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_shift_empty~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_shift_empty~q\);

-- Location: FF_X39_Y19_N31
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(5),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(5));

-- Location: LCCOMB_X39_Y19_N30
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[5]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[5]~7_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(5)))) # (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & (!\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_shift_empty~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_shift_empty~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(5),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[5]~7_combout\);

-- Location: LCCOMB_X40_Y19_N8
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[5]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[5]~8_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~6_combout\) # ((\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[5]~7_combout\) # 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(5) & \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(5),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~6_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[5]~7_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[5]~8_combout\);

-- Location: FF_X40_Y19_N9
\gpio_u0|uart_0|the_gpio_uart_0_regs|readdata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[5]~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(5));

-- Location: LCCOMB_X39_Y20_N20
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[5]~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(5),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[5]~feeder_combout\);

-- Location: FF_X39_Y20_N21
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(5));

-- Location: LCCOMB_X39_Y20_N22
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~2_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][5]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][5]~q\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(5),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~2_combout\);

-- Location: LCCOMB_X38_Y20_N20
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][5]~feeder_combout\ = \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~2_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][5]~feeder_combout\);

-- Location: FF_X38_Y20_N21
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][5]~q\);

-- Location: LCCOMB_X37_Y20_N12
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[5]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[5]~2_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & 
-- (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][5]~q\)) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(5)))))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & (((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][5]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][5]~q\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(5),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[5]~2_combout\);

-- Location: FF_X37_Y20_N13
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[5]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(5));

-- Location: FF_X36_Y21_N3
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(5),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(5));

-- Location: LCCOMB_X27_Y24_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]~feeder_combout\);

-- Location: FF_X27_Y24_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]~q\);

-- Location: LCCOMB_X29_Y23_N30
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][5]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~2_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][5]~feeder_combout\);

-- Location: FF_X29_Y23_N31
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][5]~q\);

-- Location: LCCOMB_X30_Y23_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~2_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][5]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][5]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~2_combout\);

-- Location: LCCOMB_X30_Y23_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][5]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~2_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~2_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][5]~feeder_combout\);

-- Location: FF_X30_Y23_N13
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][5]~q\);

-- Location: LCCOMB_X31_Y23_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[5]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[5]~2_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][5]~q\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][5]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][5]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][5]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[5]~2_combout\);

-- Location: FF_X31_Y23_N7
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[5]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(5));

-- Location: FF_X34_Y23_N7
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(5),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(5));

-- Location: LCCOMB_X36_Y25_N8
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~11_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(5) & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(5),
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~11_combout\);

-- Location: LCCOMB_X36_Y25_N24
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~21_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~11_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(5) & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(5),
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~11_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~21_combout\);

-- Location: LCCOMB_X36_Y25_N4
\gpio_u0|master_0|transacto|p2m|Selector75~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector75~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector75~4_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~20_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~21_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~20_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector75~4_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[5]~21_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector75~5_combout\);

-- Location: LCCOMB_X41_Y25_N18
\gpio_u0|master_0|transacto|p2m|Selector75~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector75~7_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector75~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector75~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector75~6_combout\) # 
-- (\gpio_u0|master_0|transacto|p2m|Selector75~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector75~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector75~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector75~6_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector75~5_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector75~7_combout\);

-- Location: FF_X41_Y25_N19
\gpio_u0|master_0|transacto|p2m|out_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector75~7_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|out_data\(5));

-- Location: LCCOMB_X42_Y29_N16
\gpio_u0|master_0|p2b|sent_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|sent_esc~0_combout\ = (\gpio_u0|master_0|p2b|in_ready~6_combout\ & ((\gpio_u0|master_0|p2b|in_ready~0_combout\ & (!\gpio_u0|master_0|p2b|in_ready~4_combout\)) # (!\gpio_u0|master_0|p2b|in_ready~0_combout\ & 
-- ((\gpio_u0|master_0|p2b|sent_esc~q\))))) # (!\gpio_u0|master_0|p2b|in_ready~6_combout\ & (((\gpio_u0|master_0|p2b|sent_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~6_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~4_combout\,
	datac => \gpio_u0|master_0|p2b|sent_esc~q\,
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|p2b|sent_esc~0_combout\);

-- Location: FF_X42_Y29_N17
\gpio_u0|master_0|p2b|sent_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|sent_esc~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|sent_esc~q\);

-- Location: LCCOMB_X43_Y25_N24
\gpio_u0|master_0|p2b|out_data[5]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_data[5]~7_combout\ = \gpio_u0|master_0|transacto|p2m|out_data\(5) $ (\gpio_u0|master_0|p2b|sent_esc~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(5),
	datad => \gpio_u0|master_0|p2b|sent_esc~q\,
	combout => \gpio_u0|master_0|p2b|out_data[5]~7_combout\);

-- Location: LCCOMB_X42_Y29_N22
\gpio_u0|master_0|p2b|out_data[5]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_data[5]~8_combout\ = (\gpio_u0|master_0|p2b|in_ready~5_combout\ & (!\gpio_u0|master_0|p2b|sent_channel_char~q\)) # (!\gpio_u0|master_0|p2b|in_ready~5_combout\ & (((\gpio_u0|master_0|p2b|out_data[5]~7_combout\) # 
-- (!\gpio_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101110001011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|sent_channel_char~q\,
	datab => \gpio_u0|master_0|p2b|out_data[5]~7_combout\,
	datac => \gpio_u0|master_0|p2b|in_ready~5_combout\,
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|p2b|out_data[5]~8_combout\);

-- Location: FF_X42_Y29_N23
\gpio_u0|master_0|p2b|out_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|out_data[5]~8_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|out_data\(5));

-- Location: LCCOMB_X45_Y32_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\ = \gpio_u0|master_0|p2b|out_data\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|p2b|out_data\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\);

-- Location: FF_X45_Y32_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(5));

-- Location: LCCOMB_X45_Y32_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\);

-- Location: FF_X45_Y32_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5));

-- Location: LCCOMB_X46_Y32_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\);

-- Location: FF_X46_Y32_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(5));

-- Location: LCCOMB_X46_Y32_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(5))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(5),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\);

-- Location: FF_X46_Y32_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5));

-- Location: LCCOMB_X47_Y32_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\))))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\);

-- Location: FF_X47_Y32_N31
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\);

-- Location: LCCOMB_X50_Y32_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\ = (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6) & (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\);

-- Location: LCCOMB_X40_Y24_N10
\gpio_u0|master_0|transacto|p2m|Selector77~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector77~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(3))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & ((\gpio_u0|master_0|transacto|p2m|command\(3))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(3),
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \gpio_u0|master_0|transacto|p2m|command\(3),
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector77~0_combout\);

-- Location: LCCOMB_X46_Y27_N26
\gpio_u0|master_0|transacto|p2m|Selector77~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector77~2_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (((!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & \gpio_u0|master_0|transacto|p2m|counter\(11))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|counter\(3) & (\gpio_u0|master_0|transacto|p2m|current_byte\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100101001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \gpio_u0|master_0|transacto|p2m|counter\(3),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \gpio_u0|master_0|transacto|p2m|counter\(11),
	combout => \gpio_u0|master_0|transacto|p2m|Selector77~2_combout\);

-- Location: LCCOMB_X44_Y25_N18
\gpio_u0|master_0|transacto|p2m|Selector77~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector77~1_combout\ = (\gpio_u0|master_0|transacto|p2m|out_data\(3) & (((\gpio_u0|master_0|transacto|p2m|current_byte\(1) & \gpio_u0|master_0|transacto|p2m|current_byte\(0))) # (!\gpio_u0|master_0|p2b|in_ready~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(3),
	combout => \gpio_u0|master_0|transacto|p2m|Selector77~1_combout\);

-- Location: LCCOMB_X44_Y25_N4
\gpio_u0|master_0|transacto|p2m|Selector77~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector77~3_combout\ = (\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & ((\gpio_u0|master_0|transacto|p2m|Selector77~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector77~2_combout\ & 
-- \gpio_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector77~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datac => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector77~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector77~3_combout\);

-- Location: LCCOMB_X40_Y24_N8
\gpio_u0|master_0|transacto|p2m|Selector77~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector77~6_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & ((\gpio_u0|master_0|transacto|p2m|command\(3)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(3),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|command\(3),
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector77~6_combout\);

-- Location: LCCOMB_X38_Y26_N30
\gpio_u0|product_info_0|av_data_read[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|product_info_0|av_data_read[3]~feeder_combout\ = \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~1_combout\,
	combout => \gpio_u0|product_info_0|av_data_read[3]~feeder_combout\);

-- Location: FF_X38_Y26_N31
\gpio_u0|product_info_0|av_data_read[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|product_info_0|av_data_read[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|product_info_0|av_data_read\(3));

-- Location: LCCOMB_X38_Y26_N6
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[3]~feeder_combout\ = \gpio_u0|product_info_0|av_data_read\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|product_info_0|av_data_read\(3),
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[3]~feeder_combout\);

-- Location: FF_X38_Y26_N7
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(3));

-- Location: LCCOMB_X43_Y31_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[21]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(22),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[21]~feeder_combout\);

-- Location: FF_X43_Y31_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[21]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(21));

-- Location: LCCOMB_X43_Y31_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[20]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(21),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[20]~feeder_combout\);

-- Location: FF_X43_Y31_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[20]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(20));

-- Location: FF_X42_Y31_N29
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(20),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(3));

-- Location: LCCOMB_X42_Y31_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(31),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[3]~feeder_combout\);

-- Location: FF_X42_Y31_N11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1\(3));

-- Location: LCCOMB_X42_Y31_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(3),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1\(3),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~14_combout\);

-- Location: LCCOMB_X41_Y31_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(31),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[3]~feeder_combout\);

-- Location: FF_X41_Y31_N29
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2\(3));

-- Location: LCCOMB_X39_Y31_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|product_info_0|Mux0~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~14_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2\(3),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~15_combout\);

-- Location: FF_X39_Y31_N25
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~15_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(3));

-- Location: FF_X38_Y26_N15
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(3));

-- Location: LCCOMB_X38_Y26_N14
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~39\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~39_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(3) & ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(3) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(3) & (((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(3) & 
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(3),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(3),
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~39_combout\);

-- Location: LCCOMB_X36_Y27_N6
\gpio_u0|adc1_out|data_out[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|data_out[3]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(3),
	combout => \gpio_u0|adc1_out|data_out[3]~feeder_combout\);

-- Location: FF_X36_Y27_N7
\gpio_u0|adc1_out|data_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|data_out[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|adc1_out|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|data_out\(3));

-- Location: LCCOMB_X36_Y27_N18
\gpio_u0|adc1_out|read_mux_out[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|read_mux_out\(3) = (\gpio_u0|adc1_out|data_out\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|adc1_out|data_out\(3),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|adc1_out|read_mux_out\(3));

-- Location: FF_X36_Y27_N19
\gpio_u0|adc1_out|readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|read_mux_out\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|readdata\(3));

-- Location: FF_X36_Y27_N31
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc1_out|readdata\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(3));

-- Location: FF_X36_Y31_N25
\gpio_u0|pmod_output|data_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|pmod_output|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|data_out\(3));

-- Location: LCCOMB_X36_Y31_N24
\pmod_out[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_out(3) = LCELL(\gpio_u0|pmod_output|data_out\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|pmod_output|data_out\(3),
	combout => pmod_out(3));

-- Location: LCCOMB_X37_Y31_N18
\gpio_u0|pmod_output|read_mux_out[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_output|read_mux_out\(3) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & pmod_out(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => pmod_out(3),
	combout => \gpio_u0|pmod_output|read_mux_out\(3));

-- Location: FF_X37_Y31_N19
\gpio_u0|pmod_output|readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_output|read_mux_out\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|readdata\(3));

-- Location: LCCOMB_X37_Y31_N6
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[3]~feeder_combout\ = \gpio_u0|pmod_output|readdata\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|pmod_output|readdata\(3),
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[3]~feeder_combout\);

-- Location: FF_X37_Y31_N7
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(3));

-- Location: LCCOMB_X36_Y27_N30
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~42_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(3)) # 
-- ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(3))))) # (!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(3),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(3),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~42_combout\);

-- Location: IOIBUF_X24_Y39_N1
\pmodb_io[3]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmodb_io(3),
	o => \pmodb_io[3]~input_o\);

-- Location: LCCOMB_X40_Y36_N18
\pmod_in[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_in(3) = LCELL(\pmodb_io[3]~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \pmodb_io[3]~input_o\,
	combout => pmod_in(3));

-- Location: LCCOMB_X41_Y28_N28
\gpio_u0|pmod_input|read_mux_out[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_input|read_mux_out\(3) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & pmod_in(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => pmod_in(3),
	combout => \gpio_u0|pmod_input|read_mux_out\(3));

-- Location: FF_X41_Y28_N29
\gpio_u0|pmod_input|readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_input|read_mux_out\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_input|readdata\(3));

-- Location: LCCOMB_X41_Y28_N0
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[3]~feeder_combout\ = \gpio_u0|pmod_input|readdata\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|pmod_input|readdata\(3),
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[3]~feeder_combout\);

-- Location: FF_X41_Y28_N1
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(3));

-- Location: IOIBUF_X78_Y30_N8
\user_dipsw[3]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(3),
	o => \user_dipsw[3]~input_o\);

-- Location: LCCOMB_X41_Y28_N4
\gpio_u0|user_dipsw|read_mux_out[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_dipsw|read_mux_out\(3) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \user_dipsw[3]~input_o\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \user_dipsw[3]~input_o\,
	combout => \gpio_u0|user_dipsw|read_mux_out\(3));

-- Location: FF_X41_Y28_N5
\gpio_u0|user_dipsw|readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_dipsw|read_mux_out\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_dipsw|readdata\(3));

-- Location: FF_X41_Y28_N11
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|user_dipsw|readdata\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(3));

-- Location: LCCOMB_X41_Y28_N10
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~41_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(3)) # 
-- ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(3) & \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & 
-- (((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(3) & \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(3),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(3),
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~41_combout\);

-- Location: LCCOMB_X38_Y28_N10
\gpio_u0|user_led|data_out[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|data_out[3]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(3),
	combout => \gpio_u0|user_led|data_out[3]~feeder_combout\);

-- Location: LCCOMB_X35_Y21_N30
\gpio_u0|user_led|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|always0~0_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~0_combout\ & (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0) & (\gpio_u0|dac_ctrl|Equal0~0_combout\ & 
-- !\gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_agent|m0_write~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(0),
	datac => \gpio_u0|dac_ctrl|Equal0~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_translator|wait_latency_counter\(1),
	combout => \gpio_u0|user_led|always0~0_combout\);

-- Location: FF_X38_Y28_N11
\gpio_u0|user_led|data_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_led|data_out[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|user_led|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_led|data_out\(3));

-- Location: LCCOMB_X39_Y25_N22
\gpio_u0|user_led|readdata[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|readdata\(3) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\gpio_u0|user_led|data_out\(3) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datab => \gpio_u0|user_led|data_out\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|user_led|readdata\(3));

-- Location: FF_X39_Y25_N23
\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_led|readdata\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(3));

-- Location: IOIBUF_X78_Y25_N8
\user_pb[3]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(3),
	o => \user_pb[3]~input_o\);

-- Location: LCCOMB_X39_Y25_N8
\gpio_u0|user_pb|read_mux_out[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_pb|read_mux_out\(3) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \user_pb[3]~input_o\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \user_pb[3]~input_o\,
	combout => \gpio_u0|user_pb|read_mux_out\(3));

-- Location: FF_X39_Y25_N9
\gpio_u0|user_pb|readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_pb|read_mux_out\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_pb|readdata\(3));

-- Location: FF_X39_Y25_N1
\gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|user_pb|readdata\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(3));

-- Location: LCCOMB_X39_Y25_N0
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~40_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(3) & ((\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(3) & \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(3) & 
-- (((\gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(3) & \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(3),
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(3),
	datad => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~40_combout\);

-- Location: LCCOMB_X39_Y26_N28
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~43\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~43_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~39_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~42_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~41_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~40_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~39_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~42_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~41_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~40_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~43_combout\);

-- Location: FF_X38_Y17_N7
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(4),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(3));

-- Location: LCCOMB_X38_Y17_N6
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~18_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(3) & !\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(3),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~18_combout\);

-- Location: FF_X38_Y19_N19
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(3),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(3));

-- Location: LCCOMB_X38_Y18_N0
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_rd_strobe_onset~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_rd_strobe_onset~0_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(71) & !\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(71),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_rd_strobe_onset~0_combout\);

-- Location: LCCOMB_X38_Y17_N28
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~0_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~q\) # ((\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxrx_in_processxx3~q\ & 
-- !\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxrx_in_processxx3~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~0_combout\);

-- Location: LCCOMB_X38_Y19_N0
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~1_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~0_combout\ & (((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~q\) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0_combout\)) # (!\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_rd_strobe_onset~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_rd_strobe_onset~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|end_begintransfer~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~1_combout\);

-- Location: FF_X38_Y19_N1
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~q\);

-- Location: LCCOMB_X38_Y19_N10
\gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\ & (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(70) & 
-- (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(70),
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|wait_latency_counter~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0_combout\);

-- Location: LCCOMB_X38_Y17_N2
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~0_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0_combout\ & ((\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~q\) # ((\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~q\ & 
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~0_combout\);

-- Location: FF_X38_Y17_N3
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~q\);

-- Location: LCCOMB_X38_Y19_N18
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[3]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[3]~19_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(3))) # (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & ((\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(3),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[3]~19_combout\);

-- Location: LCCOMB_X37_Y19_N24
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[3]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[3]~20_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~18_combout\) # ((\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[3]~19_combout\) # 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\ & \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(3),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~18_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[3]~19_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[3]~20_combout\);

-- Location: FF_X37_Y19_N25
\gpio_u0|uart_0|the_gpio_uart_0_regs|readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[3]~20_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(3));

-- Location: LCCOMB_X37_Y20_N28
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[3]~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(3),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[3]~feeder_combout\);

-- Location: FF_X37_Y20_N29
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(3));

-- Location: LCCOMB_X39_Y20_N12
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~6_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~6_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][3]~feeder_combout\);

-- Location: FF_X39_Y20_N13
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][3]~q\);

-- Location: LCCOMB_X38_Y20_N6
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~6_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][3]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][3]~q\,
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(3),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~6_combout\);

-- Location: FF_X38_Y20_N7
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][3]~q\);

-- Location: LCCOMB_X37_Y20_N2
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[3]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[3]~6_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][3]~q\))) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(3))))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & (((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][3]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(3),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][3]~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[3]~6_combout\);

-- Location: FF_X37_Y20_N3
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[3]~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(3));

-- Location: LCCOMB_X37_Y24_N18
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(3),
	combout => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[3]~feeder_combout\);

-- Location: FF_X37_Y24_N19
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(3));

-- Location: LCCOMB_X40_Y27_N6
\gpio_u0|dac_ctrl|data_out[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[3]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(3),
	combout => \gpio_u0|dac_ctrl|data_out[3]~feeder_combout\);

-- Location: FF_X40_Y27_N7
\gpio_u0|dac_ctrl|data_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(3));

-- Location: LCCOMB_X40_Y27_N18
\gpio_u0|dac_ctrl|readdata[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(3) = (\gpio_u0|dac_ctrl|data_out\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dac_ctrl|data_out\(3),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|dac_ctrl|readdata\(3));

-- Location: FF_X40_Y27_N19
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(3));

-- Location: IOIBUF_X0_Y36_N8
\adc2in[4]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_adc2in(4),
	o => \adc2in[4]~input_o\);

-- Location: LCCOMB_X37_Y24_N8
\gpio_u0|adc2_in|read_mux_out[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc2_in|read_mux_out\(3) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\adc2in[4]~input_o\ & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \adc2in[4]~input_o\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|adc2_in|read_mux_out\(3));

-- Location: FF_X37_Y24_N9
\gpio_u0|adc2_in|readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc2_in|read_mux_out\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc2_in|readdata\(3));

-- Location: FF_X37_Y24_N5
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc2_in|readdata\(3),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(3));

-- Location: LCCOMB_X37_Y24_N4
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~45\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~45_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(3)) # 
-- ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(3) & \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- (((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(3) & \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(3),
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(3),
	datad => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~45_combout\);

-- Location: FF_X29_Y24_N31
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][3]~q\);

-- Location: IOIBUF_X22_Y39_N22
\qspi_io[3]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => qspi_io(3),
	o => \qspi_io[3]~input_o\);

-- Location: LCCOMB_X25_Y28_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[3]~feeder_combout\ = \qspi_io[3]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \qspi_io[3]~input_o\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[3]~feeder_combout\);

-- Location: FF_X25_Y28_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(3));

-- Location: LCCOMB_X25_Y28_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[3]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[3]~feeder_combout\);

-- Location: FF_X25_Y28_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(3));

-- Location: LCCOMB_X27_Y24_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]~feeder_combout\);

-- Location: FF_X27_Y24_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]~q\);

-- Location: LCCOMB_X29_Y24_N30
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~6_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][3]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][3]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~6_combout\);

-- Location: LCCOMB_X29_Y24_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~6_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~6_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][3]~feeder_combout\);

-- Location: FF_X29_Y24_N19
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][3]~q\);

-- Location: LCCOMB_X30_Y24_N4
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[3]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[3]~6_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][3]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]~q\))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][3]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][3]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][3]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[3]~6_combout\);

-- Location: LCCOMB_X31_Y24_N18
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[3]~6_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[3]~6_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[3]~feeder_combout\);

-- Location: FF_X31_Y24_N19
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(3));

-- Location: LCCOMB_X32_Y24_N18
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(3),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[3]~feeder_combout\);

-- Location: FF_X32_Y24_N19
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(3));

-- Location: LCCOMB_X26_Y29_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[3]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[3]~feeder_combout\);

-- Location: FF_X26_Y29_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(3));

-- Location: FF_X30_Y25_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(3),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(3));

-- Location: LCCOMB_X30_Y25_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~16_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(3))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(3))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~16_combout\);

-- Location: LCCOMB_X29_Y25_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~17_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~16_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\ 
-- & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(3),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~16_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~17_combout\);

-- Location: FF_X29_Y25_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~17_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(3));

-- Location: FF_X29_Y25_N3
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][3]~q\);

-- Location: LCCOMB_X29_Y25_N2
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~6_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][3]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][3]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(3),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~6_combout\);

-- Location: LCCOMB_X29_Y25_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~6_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~6_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][3]~feeder_combout\);

-- Location: FF_X29_Y25_N25
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][3]~q\);

-- Location: LCCOMB_X30_Y25_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[3]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[3]~6_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][3]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(3))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][3]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(3),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][3]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[3]~6_combout\);

-- Location: FF_X30_Y25_N17
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[3]~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(3));

-- Location: LCCOMB_X31_Y24_N6
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(3),
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[3]~feeder_combout\);

-- Location: FF_X31_Y24_N7
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(3));

-- Location: LCCOMB_X35_Y24_N14
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~44_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(3) & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\ & \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(3))))) # (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(3) & 
-- (((\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\ & \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(3),
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(3),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~44_combout\);

-- Location: LCCOMB_X36_Y24_N4
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~46_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~45_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~44_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\ & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(3),
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~45_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~44_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~46_combout\);

-- Location: LCCOMB_X25_Y24_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]~feeder_combout\);

-- Location: FF_X25_Y24_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]~q\);

-- Location: FF_X26_Y23_N27
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~27_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][27]~q\);

-- Location: LCCOMB_X26_Y23_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~27_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][27]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][27]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~27_combout\);

-- Location: LCCOMB_X29_Y23_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][27]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][27]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~27_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~27_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][27]~feeder_combout\);

-- Location: FF_X29_Y23_N27
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][27]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][27]~q\);

-- Location: LCCOMB_X27_Y23_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[27]~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[27]~27_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][27]~q\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][27]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][3]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][27]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[27]~27_combout\);

-- Location: FF_X27_Y23_N1
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[27]~27_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(27));

-- Location: LCCOMB_X31_Y24_N24
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[27]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[27]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(27)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(27),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[27]~feeder_combout\);

-- Location: FF_X31_Y24_N25
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[27]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(27));

-- Location: LCCOMB_X39_Y24_N14
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~43\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~43_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(27) & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\) # 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(27))))) # 
-- (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(27) & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(27)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(27),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(27),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~43_combout\);

-- Location: FF_X39_Y24_N15
\gpio_u0|master_0|transacto|p2m|read_data_buffer[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~43_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(19));

-- Location: LCCOMB_X38_Y26_N22
\gpio_u0|product_info_0|av_data_read[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|product_info_0|av_data_read[19]~feeder_combout\ = \gpio_u0|dac_ctrl|Equal0~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|Equal0~0_combout\,
	combout => \gpio_u0|product_info_0|av_data_read[19]~feeder_combout\);

-- Location: FF_X38_Y26_N23
\gpio_u0|product_info_0|av_data_read[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|product_info_0|av_data_read[19]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|product_info_0|av_data_read\(19));

-- Location: FF_X39_Y24_N7
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|product_info_0|av_data_read\(19),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19));

-- Location: LCCOMB_X27_Y24_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]~feeder_combout\);

-- Location: FF_X27_Y24_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]~q\);

-- Location: FF_X29_Y23_N7
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~25_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][19]~q\);

-- Location: LCCOMB_X29_Y23_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~25_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][19]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][19]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~25_combout\);

-- Location: FF_X30_Y23_N19
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~25_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][19]~q\);

-- Location: LCCOMB_X31_Y23_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[19]~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[19]~25_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][19]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][19]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][3]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][19]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[19]~25_combout\);

-- Location: FF_X31_Y23_N23
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[19]~25_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(19));

-- Location: LCCOMB_X31_Y23_N12
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[19]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(19)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(19),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[19]~feeder_combout\);

-- Location: FF_X31_Y23_N13
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[19]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(19));

-- Location: LCCOMB_X39_Y24_N20
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~40_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19) & ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(19))))) # (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19) & 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(19)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19),
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(19),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~40_combout\);

-- Location: FF_X39_Y24_N21
\gpio_u0|master_0|transacto|p2m|read_data_buffer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~40_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(11));

-- Location: LCCOMB_X25_Y24_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]~feeder_combout\);

-- Location: FF_X25_Y24_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]~q\);

-- Location: FF_X25_Y23_N19
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~26_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][11]~q\);

-- Location: LCCOMB_X25_Y23_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~26_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][11]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][11]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~26_combout\);

-- Location: LCCOMB_X29_Y23_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][11]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~26_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~26_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][11]~feeder_combout\);

-- Location: FF_X29_Y23_N9
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][11]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][11]~q\);

-- Location: LCCOMB_X31_Y23_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[11]~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[11]~26_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][11]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][11]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][3]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][11]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[11]~26_combout\);

-- Location: FF_X31_Y23_N1
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[11]~26_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(11));

-- Location: LCCOMB_X31_Y24_N2
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[11]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(11),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[11]~feeder_combout\);

-- Location: FF_X31_Y24_N3
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[11]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(11));

-- Location: LCCOMB_X40_Y27_N20
\gpio_u0|dac_ctrl|data_out[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[11]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(11),
	combout => \gpio_u0|dac_ctrl|data_out[11]~feeder_combout\);

-- Location: FF_X40_Y27_N21
\gpio_u0|dac_ctrl|data_out[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[11]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(11));

-- Location: LCCOMB_X40_Y27_N12
\gpio_u0|dac_ctrl|readdata[11]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(11) = (\gpio_u0|dac_ctrl|data_out\(11) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dac_ctrl|data_out\(11),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|dac_ctrl|readdata\(11));

-- Location: FF_X40_Y27_N13
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(11),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(11));

-- Location: FF_X40_Y31_N3
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(28),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(11));

-- Location: LCCOMB_X40_Y31_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~22\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(11),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~22_combout\);

-- Location: LCCOMB_X39_Y31_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[11]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~22_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[11]~feeder_combout\);

-- Location: FF_X39_Y31_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[11]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(11));

-- Location: FF_X39_Y24_N3
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(11),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(11));

-- Location: LCCOMB_X39_Y24_N2
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~41_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(11)) # 
-- ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(11) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- (((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(11) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(11),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(11),
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~41_combout\);

-- Location: LCCOMB_X39_Y24_N12
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~42_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~41_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(11) & \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(11),
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~41_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~42_combout\);

-- Location: FF_X39_Y24_N13
\gpio_u0|master_0|transacto|p2m|read_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~42_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(3));

-- Location: LCCOMB_X40_Y24_N12
\gpio_u0|master_0|transacto|p2m|Mux12~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux12~0_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & ((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(3)) # ((\gpio_u0|master_0|transacto|p2m|current_byte\(1))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (((!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & \gpio_u0|master_0|transacto|p2m|out_data\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101111001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(3),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(3),
	combout => \gpio_u0|master_0|transacto|p2m|Mux12~0_combout\);

-- Location: LCCOMB_X40_Y24_N26
\gpio_u0|master_0|transacto|p2m|Mux12~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux12~1_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & ((\gpio_u0|master_0|transacto|p2m|Mux12~0_combout\ & (\gpio_u0|master_0|transacto|p2m|read_data_buffer\(19))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Mux12~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(11)))))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (((\gpio_u0|master_0|transacto|p2m|Mux12~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(19),
	datab => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(11),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \gpio_u0|master_0|transacto|p2m|Mux12~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Mux12~1_combout\);

-- Location: LCCOMB_X40_Y24_N24
\gpio_u0|master_0|transacto|p2m|Selector77~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector77~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Mux12~1_combout\ & ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\) # ((\gpio_u0|master_0|transacto|p2m|out_data\(3) & 
-- !\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|Mux12~1_combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(3) & (!\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Mux12~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(3),
	datac => \gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector77~4_combout\);

-- Location: LCCOMB_X40_Y24_N2
\gpio_u0|master_0|transacto|p2m|Selector77~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector77~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector77~4_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~43_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~46_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~43_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[3]~46_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector77~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector77~5_combout\);

-- Location: LCCOMB_X40_Y24_N0
\gpio_u0|master_0|transacto|p2m|Selector77~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector77~7_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector77~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector77~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector77~6_combout\) # 
-- (\gpio_u0|master_0|transacto|p2m|Selector77~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector77~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector77~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector77~6_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector77~5_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector77~7_combout\);

-- Location: FF_X40_Y24_N1
\gpio_u0|master_0|transacto|p2m|out_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector77~7_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|out_data\(3));

-- Location: LCCOMB_X42_Y29_N28
\gpio_u0|master_0|p2b|out_data[3]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_data[3]~9_combout\ = (\gpio_u0|master_0|p2b|in_ready~5_combout\ & (!\gpio_u0|master_0|p2b|sent_channel_char~q\)) # (!\gpio_u0|master_0|p2b|in_ready~5_combout\ & (((\gpio_u0|master_0|transacto|p2m|out_data\(3)) # 
-- (!\gpio_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|sent_channel_char~q\,
	datab => \gpio_u0|master_0|p2b|in_ready~5_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(3),
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|p2b|out_data[3]~9_combout\);

-- Location: FF_X42_Y29_N29
\gpio_u0|master_0|p2b|out_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|out_data[3]~9_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|out_data\(3));

-- Location: LCCOMB_X45_Y32_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\ = \gpio_u0|master_0|p2b|out_data\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|p2b|out_data\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\);

-- Location: FF_X45_Y32_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(3));

-- Location: LCCOMB_X45_Y32_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\);

-- Location: FF_X45_Y32_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3));

-- Location: LCCOMB_X46_Y32_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\);

-- Location: FF_X46_Y32_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(3));

-- Location: LCCOMB_X46_Y32_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(3))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(3),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\);

-- Location: FF_X46_Y32_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3));

-- Location: LCCOMB_X46_Y27_N24
\gpio_u0|master_0|transacto|p2m|Selector78~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector78~1_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|counter\(2) & (!\gpio_u0|master_0|transacto|p2m|current_byte\(0)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (((\gpio_u0|master_0|transacto|p2m|current_byte\(0) & \gpio_u0|master_0|transacto|p2m|counter\(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(2),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \gpio_u0|master_0|transacto|p2m|counter\(10),
	combout => \gpio_u0|master_0|transacto|p2m|Selector78~1_combout\);

-- Location: LCCOMB_X43_Y25_N26
\gpio_u0|master_0|transacto|p2m|Selector78~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector78~2_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector78~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data\(2) & 
-- \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\)))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & (((\gpio_u0|master_0|transacto|p2m|out_data\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector78~1_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(2),
	datad => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector78~2_combout\);

-- Location: LCCOMB_X40_Y25_N26
\gpio_u0|master_0|transacto|p2m|Selector78~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector78~3_combout\ = (\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & \gpio_u0|master_0|transacto|p2m|Selector78~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector78~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector78~3_combout\);

-- Location: LCCOMB_X40_Y25_N28
\gpio_u0|master_0|transacto|p2m|Selector78~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector78~6_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & ((\gpio_u0|master_0|transacto|p2m|command\(2)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(2),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|command\(2),
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector78~6_combout\);

-- Location: LCCOMB_X40_Y25_N22
\gpio_u0|master_0|transacto|p2m|Selector78~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector78~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(2))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & ((\gpio_u0|master_0|transacto|p2m|command\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(2),
	datab => \gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|command\(2),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector78~0_combout\);

-- Location: LCCOMB_X38_Y26_N2
\gpio_u0|product_info_0|av_data_read[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|product_info_0|av_data_read[2]~0_combout\ = !\gpio_u0|master_0|transacto|p2m|address\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|product_info_0|av_data_read[2]~0_combout\);

-- Location: FF_X38_Y26_N3
\gpio_u0|product_info_0|av_data_read[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|product_info_0|av_data_read[2]~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|product_info_0|av_data_read\(2));

-- Location: FF_X38_Y25_N9
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|product_info_0|av_data_read\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(2));

-- Location: LCCOMB_X40_Y31_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(30),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[2]~feeder_combout\);

-- Location: FF_X40_Y31_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1\(2));

-- Location: LCCOMB_X43_Y31_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[19]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(20),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[19]~feeder_combout\);

-- Location: FF_X43_Y31_N9
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[19]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(19));

-- Location: FF_X40_Y31_N31
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(19),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(2));

-- Location: LCCOMB_X40_Y31_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1\(2),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(2),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~0_combout\);

-- Location: LCCOMB_X41_Y31_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(30),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[2]~feeder_combout\);

-- Location: FF_X41_Y31_N23
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2\(2));

-- Location: LCCOMB_X39_Y31_N30
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|product_info_0|Mux0~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~0_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~1_combout\);

-- Location: FF_X39_Y31_N31
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~1_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(2));

-- Location: FF_X39_Y25_N15
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(2));

-- Location: LCCOMB_X39_Y25_N14
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~0_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(2) & ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(2) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(2) & (((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(2) & 
-- \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(2),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(2),
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~0_combout\);

-- Location: IOIBUF_X26_Y39_N29
\pmodb_io[2]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmodb_io(2),
	o => \pmodb_io[2]~input_o\);

-- Location: LCCOMB_X41_Y38_N16
\pmod_in[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_in(2) = LCELL(\pmodb_io[2]~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \pmodb_io[2]~input_o\,
	combout => pmod_in(2));

-- Location: LCCOMB_X41_Y28_N16
\gpio_u0|pmod_input|read_mux_out[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_input|read_mux_out\(2) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & pmod_in(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => pmod_in(2),
	combout => \gpio_u0|pmod_input|read_mux_out\(2));

-- Location: FF_X41_Y28_N17
\gpio_u0|pmod_input|readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_input|read_mux_out\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_input|readdata\(2));

-- Location: LCCOMB_X41_Y28_N18
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[2]~feeder_combout\ = \gpio_u0|pmod_input|readdata\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|pmod_input|readdata\(2),
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[2]~feeder_combout\);

-- Location: FF_X41_Y28_N19
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(2));

-- Location: IOIBUF_X78_Y30_N1
\user_dipsw[2]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(2),
	o => \user_dipsw[2]~input_o\);

-- Location: LCCOMB_X41_Y28_N26
\gpio_u0|user_dipsw|read_mux_out[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_dipsw|read_mux_out\(2) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \user_dipsw[2]~input_o\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \user_dipsw[2]~input_o\,
	combout => \gpio_u0|user_dipsw|read_mux_out\(2));

-- Location: FF_X41_Y28_N27
\gpio_u0|user_dipsw|readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_dipsw|read_mux_out\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_dipsw|readdata\(2));

-- Location: FF_X41_Y28_N13
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|user_dipsw|readdata\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(2));

-- Location: LCCOMB_X41_Y28_N12
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~2_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(2)) # 
-- ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(2) & \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & 
-- (((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(2) & \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(2),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(2),
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~2_combout\);

-- Location: LCCOMB_X36_Y27_N0
\gpio_u0|adc1_out|data_out[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|data_out[2]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(2),
	combout => \gpio_u0|adc1_out|data_out[2]~feeder_combout\);

-- Location: FF_X36_Y27_N1
\gpio_u0|adc1_out|data_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|data_out[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|adc1_out|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|data_out\(2));

-- Location: LCCOMB_X36_Y27_N8
\gpio_u0|adc1_out|read_mux_out[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|read_mux_out\(2) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\gpio_u0|adc1_out|data_out\(2) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|adc1_out|data_out\(2),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|adc1_out|read_mux_out\(2));

-- Location: FF_X36_Y27_N9
\gpio_u0|adc1_out|readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|read_mux_out\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|readdata\(2));

-- Location: FF_X36_Y27_N27
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc1_out|readdata\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(2));

-- Location: FF_X36_Y31_N11
\gpio_u0|pmod_output|data_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|pmod_output|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|data_out\(2));

-- Location: LCCOMB_X36_Y31_N10
\pmod_out[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_out(2) = LCELL(\gpio_u0|pmod_output|data_out\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|pmod_output|data_out\(2),
	combout => pmod_out(2));

-- Location: LCCOMB_X36_Y31_N28
\gpio_u0|pmod_output|read_mux_out[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_output|read_mux_out\(2) = (pmod_out(2) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => pmod_out(2),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|pmod_output|read_mux_out\(2));

-- Location: FF_X36_Y31_N29
\gpio_u0|pmod_output|readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_output|read_mux_out\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|readdata\(2));

-- Location: FF_X36_Y27_N11
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|pmod_output|readdata\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(2));

-- Location: LCCOMB_X36_Y27_N26
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~3_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(2)) # 
-- ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(2))))) # (!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(2),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(2),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~3_combout\);

-- Location: IOIBUF_X78_Y25_N1
\user_pb[2]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(2),
	o => \user_pb[2]~input_o\);

-- Location: LCCOMB_X39_Y25_N26
\gpio_u0|user_pb|read_mux_out[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_pb|read_mux_out\(2) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & \user_pb[2]~input_o\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => \user_pb[2]~input_o\,
	combout => \gpio_u0|user_pb|read_mux_out\(2));

-- Location: FF_X39_Y25_N27
\gpio_u0|user_pb|readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_pb|read_mux_out\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_pb|readdata\(2));

-- Location: FF_X39_Y25_N25
\gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|user_pb|readdata\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(2));

-- Location: LCCOMB_X38_Y28_N26
\gpio_u0|user_led|data_out[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|data_out[2]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(2),
	combout => \gpio_u0|user_led|data_out[2]~feeder_combout\);

-- Location: FF_X38_Y28_N27
\gpio_u0|user_led|data_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_led|data_out[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|user_led|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_led|data_out\(2));

-- Location: LCCOMB_X39_Y25_N18
\gpio_u0|user_led|readdata[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|readdata\(2) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \gpio_u0|user_led|data_out\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|user_led|data_out\(2),
	combout => \gpio_u0|user_led|readdata\(2));

-- Location: FF_X39_Y25_N19
\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_led|readdata\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(2));

-- Location: LCCOMB_X39_Y25_N24
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~1_combout\ = (\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(2)) # 
-- ((\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(2))))) # (!\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(2),
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(2),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~1_combout\);

-- Location: LCCOMB_X40_Y25_N14
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~4_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~0_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~2_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~3_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~2_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~3_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~4_combout\);

-- Location: LCCOMB_X25_Y28_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[2]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[2]~feeder_combout\);

-- Location: FF_X25_Y28_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(2));

-- Location: LCCOMB_X27_Y24_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]~feeder_combout\);

-- Location: FF_X27_Y24_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]~q\);

-- Location: LCCOMB_X29_Y23_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][2]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][2]~feeder_combout\);

-- Location: FF_X29_Y23_N21
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][2]~q\);

-- Location: LCCOMB_X30_Y23_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][2]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][2]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~0_combout\);

-- Location: FF_X30_Y23_N7
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][2]~q\);

-- Location: LCCOMB_X31_Y23_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[2]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][2]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][2]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][2]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][2]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[2]~0_combout\);

-- Location: FF_X31_Y23_N27
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[2]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(2));

-- Location: FF_X32_Y23_N17
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(2));

-- Location: FF_X30_Y25_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(2),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(2));

-- Location: LCCOMB_X30_Y25_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~2_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(2)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~2_combout\);

-- Location: LCCOMB_X26_Y29_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[2]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[2]~feeder_combout\);

-- Location: FF_X26_Y29_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(2));

-- Location: LCCOMB_X29_Y25_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~3_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~2_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\ 
-- & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~2_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~3_combout\);

-- Location: FF_X29_Y25_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(2));

-- Location: FF_X29_Y25_N17
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][2]~q\);

-- Location: LCCOMB_X29_Y25_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][2]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(2),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][2]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~0_combout\);

-- Location: LCCOMB_X29_Y25_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][2]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][2]~feeder_combout\);

-- Location: FF_X29_Y25_N27
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][2]~q\);

-- Location: LCCOMB_X31_Y25_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[2]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][2]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(2))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][2]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][2]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[2]~0_combout\);

-- Location: LCCOMB_X32_Y25_N24
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[2]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[2]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[2]~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[2]~feeder_combout\);

-- Location: FF_X32_Y25_N25
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(2));

-- Location: FF_X36_Y25_N31
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(2));

-- Location: LCCOMB_X36_Y25_N30
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~5_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(2) & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(2) & \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\)))) # (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(2) & 
-- (((\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(2) & \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(2),
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(2),
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~5_combout\);

-- Location: IOIBUF_X0_Y36_N1
\adc2in[3]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_adc2in(3),
	o => \adc2in[3]~input_o\);

-- Location: LCCOMB_X37_Y24_N22
\gpio_u0|adc2_in|read_mux_out[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc2_in|read_mux_out\(2) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\adc2in[3]~input_o\ & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \adc2in[3]~input_o\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|adc2_in|read_mux_out\(2));

-- Location: FF_X37_Y24_N23
\gpio_u0|adc2_in|readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc2_in|read_mux_out\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc2_in|readdata\(2));

-- Location: FF_X37_Y24_N29
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc2_in|readdata\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(2));

-- Location: LCCOMB_X38_Y27_N28
\gpio_u0|dac_ctrl|data_out[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[2]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(2),
	combout => \gpio_u0|dac_ctrl|data_out[2]~feeder_combout\);

-- Location: FF_X38_Y27_N29
\gpio_u0|dac_ctrl|data_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(2));

-- Location: LCCOMB_X39_Y28_N2
\gpio_u0|dac_ctrl|readdata[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(2) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & \gpio_u0|dac_ctrl|data_out\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dac_ctrl|data_out\(2),
	combout => \gpio_u0|dac_ctrl|readdata\(2));

-- Location: FF_X39_Y28_N3
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(2));

-- Location: LCCOMB_X37_Y24_N28
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~6_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(2)) # 
-- ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(2))))) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(2),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(2),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~6_combout\);

-- Location: LCCOMB_X39_Y20_N14
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][2]~feeder_combout\ = \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~0_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][2]~feeder_combout\);

-- Location: FF_X39_Y20_N15
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][2]~q\);

-- Location: FF_X38_Y17_N31
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(3),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(2));

-- Location: LCCOMB_X38_Y17_N30
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~0_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(2) & !\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(2),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~0_combout\);

-- Location: LCCOMB_X39_Y17_N6
\gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~1_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(3)) # ((\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(5)) # 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(6)) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(3),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(5),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(6),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(4),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~1_combout\);

-- Location: LCCOMB_X39_Y17_N22
\gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~0_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(8)) # ((\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(9)) # 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(7)) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(8),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(9),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(7),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~0_combout\);

-- Location: LCCOMB_X39_Y17_N28
\gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~2_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~1_combout\) # ((\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(1)) # 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~0_combout\) # (\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~1_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(1),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~0_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(2),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~2_combout\);

-- Location: LCCOMB_X38_Y17_N24
\gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~0_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0_combout\ & ((\gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~q\) # ((!\gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~2_combout\ & 
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~2_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~0_combout\);

-- Location: FF_X38_Y17_N25
\gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~q\);

-- Location: FF_X39_Y19_N19
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(2),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(2));

-- Location: LCCOMB_X39_Y19_N18
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[2]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[2]~1_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(2)))) # (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & (\gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(2),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[2]~1_combout\);

-- Location: LCCOMB_X40_Y19_N22
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[2]~2_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~0_combout\) # ((\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[2]~1_combout\) # 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(2) & \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(2),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~0_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[2]~1_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[2]~2_combout\);

-- Location: FF_X40_Y19_N23
\gpio_u0|uart_0|the_gpio_uart_0_regs|readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[2]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(2));

-- Location: FF_X37_Y20_N23
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(2),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(2));

-- Location: LCCOMB_X38_Y20_N14
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~0_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][2]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][2]~q\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(2),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~0_combout\);

-- Location: FF_X38_Y20_N15
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][2]~q\);

-- Location: LCCOMB_X37_Y20_N30
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[2]~0_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][2]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(2)))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][2]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][2]~q\,
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(2),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[2]~0_combout\);

-- Location: FF_X37_Y20_N31
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[2]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(2));

-- Location: FF_X36_Y24_N1
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(2),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(2));

-- Location: LCCOMB_X36_Y24_N0
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~7_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~5_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~6_combout\) # ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(2) 
-- & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~5_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~6_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(2),
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~7_combout\);

-- Location: FF_X29_Y24_N13
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][26]~q\);

-- Location: LCCOMB_X25_Y24_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]~feeder_combout\);

-- Location: FF_X25_Y24_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]~q\);

-- Location: LCCOMB_X29_Y24_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~9_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][26]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][26]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~9_combout\);

-- Location: LCCOMB_X29_Y24_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][26]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][26]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~9_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~9_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][26]~feeder_combout\);

-- Location: FF_X29_Y24_N1
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][26]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][26]~q\);

-- Location: LCCOMB_X30_Y24_N2
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[26]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[26]~9_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][26]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][26]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][26]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][2]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[26]~9_combout\);

-- Location: LCCOMB_X31_Y24_N4
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[26]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[26]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[26]~9_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[26]~9_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[26]~feeder_combout\);

-- Location: FF_X31_Y24_N5
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[26]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(26));

-- Location: LCCOMB_X32_Y24_N12
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[26]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[26]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(26)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(26),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[26]~feeder_combout\);

-- Location: FF_X32_Y24_N13
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[26]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(26));

-- Location: LCCOMB_X37_Y25_N16
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~18_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(26) & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\) # 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30))))) # 
-- (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(26) & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(26),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~18_combout\);

-- Location: FF_X37_Y25_N17
\gpio_u0|master_0|transacto|p2m|read_data_buffer[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~18_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(18));

-- Location: FF_X29_Y24_N17
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][10]~q\);

-- Location: LCCOMB_X25_Y24_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]~feeder_combout\);

-- Location: FF_X25_Y24_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]~q\);

-- Location: LCCOMB_X29_Y24_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~7_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][10]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][10]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~7_combout\);

-- Location: LCCOMB_X29_Y24_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][10]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~7_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~7_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][10]~feeder_combout\);

-- Location: FF_X29_Y24_N9
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][10]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][10]~q\);

-- Location: LCCOMB_X30_Y24_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[10]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[10]~7_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][10]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][10]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][10]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][2]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[10]~7_combout\);

-- Location: FF_X30_Y24_N19
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[10]~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(10));

-- Location: LCCOMB_X30_Y24_N0
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[10]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(10),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[10]~feeder_combout\);

-- Location: FF_X30_Y24_N1
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[10]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(10));

-- Location: FF_X40_Y31_N25
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(27),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(10));

-- Location: LCCOMB_X40_Y31_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~16\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(10),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~16_combout\);

-- Location: LCCOMB_X39_Y31_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[10]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~16_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[10]~feeder_combout\);

-- Location: FF_X39_Y31_N27
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[10]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(10));

-- Location: FF_X39_Y27_N25
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(10),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(10));

-- Location: LCCOMB_X40_Y27_N14
\gpio_u0|dac_ctrl|data_out[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[10]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(10),
	combout => \gpio_u0|dac_ctrl|data_out[10]~feeder_combout\);

-- Location: FF_X40_Y27_N15
\gpio_u0|dac_ctrl|data_out[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[10]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(10));

-- Location: LCCOMB_X40_Y27_N24
\gpio_u0|dac_ctrl|readdata[10]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(10) = (\gpio_u0|dac_ctrl|data_out\(10) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dac_ctrl|data_out\(10),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|dac_ctrl|readdata\(10));

-- Location: FF_X40_Y27_N25
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(10),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(10));

-- Location: LCCOMB_X39_Y27_N24
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~15_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(10)) # 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(10))))) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(10),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(10),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~15_combout\);

-- Location: LCCOMB_X34_Y25_N8
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~16_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~15_combout\) # ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(10) & 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(10),
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~15_combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~16_combout\);

-- Location: FF_X34_Y25_N9
\gpio_u0|master_0|transacto|p2m|read_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~16_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(2));

-- Location: FF_X29_Y24_N27
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][18]~q\);

-- Location: LCCOMB_X27_Y24_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]~feeder_combout\);

-- Location: FF_X27_Y24_N7
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]~q\);

-- Location: LCCOMB_X29_Y24_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~8_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][18]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][18]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~8_combout\);

-- Location: LCCOMB_X29_Y24_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][18]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][18]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~8_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~8_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][18]~feeder_combout\);

-- Location: FF_X29_Y24_N25
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][18]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][18]~q\);

-- Location: LCCOMB_X30_Y24_N16
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[18]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[18]~8_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][18]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][18]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][18]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][2]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[18]~8_combout\);

-- Location: LCCOMB_X31_Y24_N30
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[18]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[18]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[18]~8_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[18]~8_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[18]~feeder_combout\);

-- Location: FF_X31_Y24_N31
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[18]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(18));

-- Location: LCCOMB_X32_Y24_N16
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[18]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[18]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(18)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(18),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[18]~feeder_combout\);

-- Location: FF_X32_Y24_N17
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[18]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(18));

-- Location: LCCOMB_X36_Y25_N18
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~17_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(18) & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(18),
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~17_combout\);

-- Location: FF_X36_Y25_N19
\gpio_u0|master_0|transacto|p2m|read_data_buffer[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~17_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(10));

-- Location: LCCOMB_X40_Y25_N12
\gpio_u0|master_0|transacto|p2m|Mux13~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux13~0_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|current_byte\(1))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & 
-- ((\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|read_data_buffer\(10))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & ((\gpio_u0|master_0|transacto|p2m|out_data\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100111001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(10),
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(2),
	combout => \gpio_u0|master_0|transacto|p2m|Mux13~0_combout\);

-- Location: LCCOMB_X40_Y25_N4
\gpio_u0|master_0|transacto|p2m|Mux13~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux13~1_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & ((\gpio_u0|master_0|transacto|p2m|Mux13~0_combout\ & (\gpio_u0|master_0|transacto|p2m|read_data_buffer\(18))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Mux13~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(2)))))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (((\gpio_u0|master_0|transacto|p2m|Mux13~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(18),
	datac => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(2),
	datad => \gpio_u0|master_0|transacto|p2m|Mux13~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Mux13~1_combout\);

-- Location: LCCOMB_X40_Y25_N0
\gpio_u0|master_0|transacto|p2m|Selector78~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector78~4_combout\ = (\gpio_u0|master_0|transacto|p2m|out_data\(2) & (((\gpio_u0|master_0|transacto|p2m|Mux13~1_combout\ & \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\))) # (!\gpio_u0|master_0|transacto|p2m|out_data\(2) & (\gpio_u0|master_0|transacto|p2m|Mux13~1_combout\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(2),
	datab => \gpio_u0|master_0|transacto|p2m|Mux13~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector78~4_combout\);

-- Location: LCCOMB_X40_Y25_N2
\gpio_u0|master_0|transacto|p2m|Selector78~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector78~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector78~4_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~4_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~7_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~4_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[2]~7_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector78~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector78~5_combout\);

-- Location: LCCOMB_X40_Y25_N6
\gpio_u0|master_0|transacto|p2m|Selector78~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector78~7_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector78~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector78~6_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector78~0_combout\) # 
-- (\gpio_u0|master_0|transacto|p2m|Selector78~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector78~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector78~6_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector78~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector78~5_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector78~7_combout\);

-- Location: FF_X40_Y25_N7
\gpio_u0|master_0|transacto|p2m|out_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector78~7_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|out_data\(2));

-- Location: LCCOMB_X43_Y25_N4
\gpio_u0|master_0|p2b|out_data[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_data[2]~2_combout\ = (\gpio_u0|master_0|transacto|p2m|out_data\(2)) # (!\gpio_u0|master_0|p2b|in_ready~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|p2b|in_ready~4_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(2),
	combout => \gpio_u0|master_0|p2b|out_data[2]~2_combout\);

-- Location: LCCOMB_X43_Y29_N12
\gpio_u0|master_0|p2b|out_data[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_data[2]~3_combout\ = (\gpio_u0|master_0|p2b|in_ready~5_combout\ & (!\gpio_u0|master_0|p2b|sent_channel_char~q\)) # (!\gpio_u0|master_0|p2b|in_ready~5_combout\ & (((\gpio_u0|master_0|p2b|out_data[2]~2_combout\ & 
-- \gpio_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|sent_channel_char~q\,
	datab => \gpio_u0|master_0|p2b|out_data[2]~2_combout\,
	datac => \gpio_u0|master_0|p2b|in_ready~5_combout\,
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|p2b|out_data[2]~3_combout\);

-- Location: FF_X43_Y29_N13
\gpio_u0|master_0|p2b|out_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|out_data[2]~3_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|out_data\(2));

-- Location: LCCOMB_X45_Y32_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\ = \gpio_u0|master_0|p2b|out_data\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|p2b|out_data\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\);

-- Location: FF_X45_Y32_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(2));

-- Location: LCCOMB_X45_Y32_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\);

-- Location: FF_X45_Y32_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2));

-- Location: LCCOMB_X46_Y32_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[2]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[2]~feeder_combout\);

-- Location: FF_X46_Y32_N11
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[2]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(2));

-- Location: LCCOMB_X46_Y32_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(2))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(2),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\);

-- Location: FF_X46_Y32_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2));

-- Location: IOIBUF_X29_Y39_N8
\qspi_io[0]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => qspi_io(0),
	o => \qspi_io[0]~input_o\);

-- Location: LCCOMB_X25_Y28_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[0]~feeder_combout\ = \qspi_io[0]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \qspi_io[0]~input_o\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[0]~feeder_combout\);

-- Location: FF_X25_Y28_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(0));

-- Location: LCCOMB_X25_Y28_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[0]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[0]~feeder_combout\);

-- Location: FF_X25_Y28_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(0));

-- Location: LCCOMB_X27_Y24_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]~feeder_combout\);

-- Location: FF_X27_Y24_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]~q\);

-- Location: FF_X29_Y23_N13
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~30_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][16]~q\);

-- Location: LCCOMB_X29_Y23_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~30_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][16]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][16]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~30_combout\);

-- Location: LCCOMB_X30_Y23_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][16]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][16]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~30_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~30_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][16]~feeder_combout\);

-- Location: FF_X30_Y23_N11
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][16]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][16]~q\);

-- Location: LCCOMB_X31_Y23_N2
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[16]~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[16]~30_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][16]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][16]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][16]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][0]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[16]~30_combout\);

-- Location: FF_X31_Y23_N3
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[16]~30_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(16));

-- Location: LCCOMB_X38_Y23_N0
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[16]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[16]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(16),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[16]~feeder_combout\);

-- Location: FF_X38_Y23_N1
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[16]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(16));

-- Location: FF_X40_Y31_N19
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(33),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs\(3));

-- Location: LCCOMB_X40_Y31_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~27\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs\(3),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~27_combout\);

-- Location: LCCOMB_X39_Y27_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[16]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~27_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[16]~feeder_combout\);

-- Location: FF_X39_Y27_N15
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[16]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(16));

-- Location: FF_X39_Y27_N29
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(16),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(16));

-- Location: FF_X40_Y27_N31
\gpio_u0|dac_ctrl|data_out[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(16),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(16));

-- Location: LCCOMB_X39_Y27_N10
\gpio_u0|dac_ctrl|readdata[16]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(16) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \gpio_u0|dac_ctrl|data_out\(16)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|dac_ctrl|data_out\(16),
	combout => \gpio_u0|dac_ctrl|readdata\(16));

-- Location: FF_X39_Y27_N11
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(16),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(16));

-- Location: LCCOMB_X39_Y27_N28
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~44_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(16)) # 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(16))))) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(16)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(16),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(16),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~44_combout\);

-- Location: LCCOMB_X39_Y24_N16
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~45\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~45_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~44_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(16) & \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(16),
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~44_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~45_combout\);

-- Location: FF_X39_Y24_N17
\gpio_u0|master_0|transacto|p2m|read_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~45_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(8));

-- Location: LCCOMB_X40_Y24_N30
\gpio_u0|master_0|transacto|p2m|Mux15~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux15~0_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (((\gpio_u0|master_0|transacto|p2m|current_byte\(1))))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & 
-- ((\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|read_data_buffer\(8))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & ((\gpio_u0|master_0|transacto|p2m|out_data\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001111100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(8),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(0),
	combout => \gpio_u0|master_0|transacto|p2m|Mux15~0_combout\);

-- Location: LCCOMB_X25_Y24_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]~feeder_combout\);

-- Location: FF_X25_Y24_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]~q\);

-- Location: FF_X25_Y23_N29
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~31_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][24]~q\);

-- Location: LCCOMB_X25_Y23_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~31_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][24]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][24]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~31_combout\);

-- Location: LCCOMB_X26_Y23_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][24]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][24]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~31_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~31_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][24]~feeder_combout\);

-- Location: FF_X26_Y23_N1
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][24]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][24]~q\);

-- Location: LCCOMB_X30_Y24_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[24]~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[24]~31_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][24]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]~q\))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][24]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][24]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][0]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[24]~31_combout\);

-- Location: FF_X30_Y24_N23
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[24]~31_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(24));

-- Location: LCCOMB_X31_Y24_N12
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[24]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[24]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(24)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(24),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[24]~feeder_combout\);

-- Location: FF_X31_Y24_N13
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[24]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(24));

-- Location: LCCOMB_X38_Y24_N28
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~46_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(24)) # 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & (((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30) & 
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(24),
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30),
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~46_combout\);

-- Location: FF_X38_Y24_N29
\gpio_u0|master_0|transacto|p2m|read_data_buffer[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~46_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(16));

-- Location: LCCOMB_X26_Y24_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]~feeder_combout\);

-- Location: FF_X26_Y24_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]~q\);

-- Location: FF_X26_Y23_N23
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~29_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][8]~q\);

-- Location: LCCOMB_X26_Y23_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~29_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][8]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][8]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~29_combout\);

-- Location: FF_X30_Y23_N23
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~29_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][8]~q\);

-- Location: LCCOMB_X30_Y24_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[8]~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[8]~29_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][8]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]~q\))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][8]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][8]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][0]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[8]~29_combout\);

-- Location: FF_X30_Y24_N11
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[8]~29_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(8));

-- Location: LCCOMB_X31_Y24_N8
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[8]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(8),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[8]~feeder_combout\);

-- Location: FF_X31_Y24_N9
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[8]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(8));

-- Location: FF_X40_Y31_N1
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(25),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(8));

-- Location: LCCOMB_X40_Y31_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~26\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(8),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~26_combout\);

-- Location: FF_X39_Y31_N15
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~26_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(8));

-- Location: FF_X39_Y27_N9
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(8),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(8));

-- Location: LCCOMB_X40_Y27_N16
\gpio_u0|dac_ctrl|data_out[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[8]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(8),
	combout => \gpio_u0|dac_ctrl|data_out[8]~feeder_combout\);

-- Location: FF_X40_Y27_N17
\gpio_u0|dac_ctrl|data_out[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[8]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(8));

-- Location: LCCOMB_X40_Y27_N4
\gpio_u0|dac_ctrl|readdata[8]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(8) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\gpio_u0|dac_ctrl|data_out\(8) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dac_ctrl|data_out\(8),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dac_ctrl|readdata\(8));

-- Location: FF_X40_Y27_N5
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(8),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(8));

-- Location: LCCOMB_X39_Y27_N8
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~58_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(8)) # 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(8))))) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(8),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(8),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~58_combout\);

-- Location: LCCOMB_X38_Y17_N22
\gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~0_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0) & (\gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxrx_in_processxx3~q\ & 
-- !\gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(0),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|delayed_unxrx_in_processxx3~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(9),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~0_combout\);

-- Location: LCCOMB_X38_Y17_N26
\gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~1_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0_combout\ & ((\gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~q\) # ((\gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~2_combout\ & 
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|WideOr0~2_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~0_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~1_combout\);

-- Location: FF_X38_Y17_N27
\gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~q\);

-- Location: LCCOMB_X38_Y19_N14
\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~0_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0_combout\ & ((\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~q\) # ((\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\ & 
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|status_wr_strobe~0_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_ready~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_wr_strobe_onset~2_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~0_combout\);

-- Location: FF_X38_Y19_N15
\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~q\);

-- Location: LCCOMB_X38_Y17_N10
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[8]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[8]~24_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~q\) # ((\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~q\) # ((\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~q\) # 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_overrun~q\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|break_detect~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[8]~24_combout\);

-- Location: LCCOMB_X39_Y21_N28
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[8]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(8),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[8]~feeder_combout\);

-- Location: FF_X39_Y21_N29
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[8]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(8));

-- Location: LCCOMB_X39_Y20_N16
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[8]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(8),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[8]~feeder_combout\);

-- Location: FF_X39_Y20_N17
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[8]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(8));

-- Location: FF_X38_Y19_N17
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(8),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(8));

-- Location: LCCOMB_X38_Y20_N18
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[8]~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[8]~25_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(8)))) # (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & (\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[8]~24_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[8]~24_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(8),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[8]~25_combout\);

-- Location: FF_X38_Y20_N19
\gpio_u0|uart_0|the_gpio_uart_0_regs|readdata[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[8]~25_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(8));

-- Location: LCCOMB_X37_Y20_N14
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[8]~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(8),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[8]~feeder_combout\);

-- Location: FF_X37_Y20_N15
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[8]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(8));

-- Location: LCCOMB_X39_Y20_N24
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][8]~feeder_combout\ = \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~9_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~9_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][8]~feeder_combout\);

-- Location: FF_X39_Y20_N25
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][8]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][8]~q\);

-- Location: LCCOMB_X38_Y20_N2
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~9_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][8]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(8),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][8]~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~9_combout\);

-- Location: FF_X38_Y20_N3
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][8]~q\);

-- Location: LCCOMB_X37_Y20_N8
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[8]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[8]~9_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][8]~q\))) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(8))))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & (((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][8]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(8),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][8]~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[8]~9_combout\);

-- Location: FF_X37_Y20_N9
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[8]~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(8));

-- Location: FF_X38_Y24_N11
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(8),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(8));

-- Location: LCCOMB_X38_Y24_N10
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~59\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~59_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(25)) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(8) & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\)))) # (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(8) & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(25),
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(8),
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~59_combout\);

-- Location: LCCOMB_X38_Y24_N12
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~60_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~58_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~59_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(8) & \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(8),
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~58_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~59_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~60_combout\);

-- Location: FF_X38_Y24_N13
\gpio_u0|master_0|transacto|p2m|read_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[8]~60_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(0));

-- Location: LCCOMB_X39_Y24_N28
\gpio_u0|master_0|transacto|p2m|Mux15~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux15~1_combout\ = (\gpio_u0|master_0|transacto|p2m|Mux15~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(16)) # ((!\gpio_u0|master_0|transacto|p2m|current_byte\(0))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Mux15~0_combout\ & (((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(0) & \gpio_u0|master_0|transacto|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Mux15~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(16),
	datac => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(0),
	datad => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \gpio_u0|master_0|transacto|p2m|Mux15~1_combout\);

-- Location: LCCOMB_X40_Y24_N6
\gpio_u0|master_0|transacto|p2m|Selector80~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector80~1_combout\ = (\gpio_u0|master_0|transacto|p2m|out_data\(0) & (((\gpio_u0|master_0|transacto|p2m|Mux15~1_combout\ & \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\))) # (!\gpio_u0|master_0|transacto|p2m|out_data\(0) & (\gpio_u0|master_0|transacto|p2m|Mux15~1_combout\ & ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(0),
	datab => \gpio_u0|master_0|transacto|p2m|Mux15~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector80~1_combout\);

-- Location: LCCOMB_X40_Y24_N20
\gpio_u0|master_0|transacto|p2m|Selector80~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector80~5_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & (\gpio_u0|master_0|transacto|p2m|command\(0))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & ((\gpio_u0|master_0|transacto|p2m|out_data\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|command\(0),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(0),
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector80~5_combout\);

-- Location: LCCOMB_X40_Y24_N22
\gpio_u0|master_0|transacto|p2m|Selector80~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector80~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & ((\gpio_u0|master_0|transacto|p2m|out_data\(0)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & (\gpio_u0|master_0|transacto|p2m|command\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|command\(0),
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(0),
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector80~0_combout\);

-- Location: LCCOMB_X43_Y28_N28
\gpio_u0|master_0|transacto|p2m|Selector80~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector80~2_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|counter\(0) & (!\gpio_u0|master_0|transacto|p2m|current_byte\(0)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (((\gpio_u0|master_0|transacto|p2m|current_byte\(0) & \gpio_u0|master_0|transacto|p2m|counter\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|counter\(0),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \gpio_u0|master_0|transacto|p2m|counter\(8),
	combout => \gpio_u0|master_0|transacto|p2m|Selector80~2_combout\);

-- Location: LCCOMB_X42_Y24_N6
\gpio_u0|master_0|transacto|p2m|Selector80~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector80~3_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector80~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data\(0) & 
-- \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\)))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(0),
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector80~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector80~3_combout\);

-- Location: LCCOMB_X38_Y28_N24
\gpio_u0|user_led|data_out[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|data_out[0]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	combout => \gpio_u0|user_led|data_out[0]~feeder_combout\);

-- Location: FF_X38_Y28_N25
\gpio_u0|user_led|data_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_led|data_out[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|user_led|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_led|data_out\(0));

-- Location: LCCOMB_X37_Y24_N20
\gpio_u0|user_led|readdata[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|readdata\(0) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & \gpio_u0|user_led|data_out\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => \gpio_u0|user_led|data_out\(0),
	combout => \gpio_u0|user_led|readdata\(0));

-- Location: FF_X37_Y24_N21
\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_led|readdata\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X34_Y22_N4
\gpio_u0|altpll_0|sd1|pll_lock_sync~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|altpll_0|sd1|pll_lock_sync~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|altpll_0|sd1|pll_lock_sync~feeder_combout\);

-- Location: FF_X34_Y22_N5
\gpio_u0|altpll_0|sd1|pll_lock_sync\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_locked\,
	d => \gpio_u0|altpll_0|sd1|pll_lock_sync~feeder_combout\,
	clrn => \gpio_u0|altpll_0|ALT_INV_prev_reset~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|altpll_0|sd1|pll_lock_sync~q\);

-- Location: LCCOMB_X34_Y22_N14
\gpio_u0|altpll_0|sd1|locked\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|altpll_0|sd1|locked~combout\ = (\gpio_u0|altpll_0|sd1|wire_pll7_locked\ & \gpio_u0|altpll_0|sd1|pll_lock_sync~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|altpll_0|sd1|wire_pll7_locked\,
	datac => \gpio_u0|altpll_0|sd1|pll_lock_sync~q\,
	combout => \gpio_u0|altpll_0|sd1|locked~combout\);

-- Location: FF_X34_Y22_N15
\gpio_u0|altpll_0|stdsync2|dffpipe3|dffe4a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|altpll_0|sd1|locked~combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe4a\(0));

-- Location: LCCOMB_X34_Y22_N8
\gpio_u0|altpll_0|stdsync2|dffpipe3|dffe5a[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe5a[0]~feeder_combout\ = \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe4a\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe4a\(0),
	combout => \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe5a[0]~feeder_combout\);

-- Location: FF_X34_Y22_N9
\gpio_u0|altpll_0|stdsync2|dffpipe3|dffe5a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe5a[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe5a\(0));

-- Location: FF_X34_Y22_N27
\gpio_u0|altpll_0|stdsync2|dffpipe3|dffe6a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe5a\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe6a\(0));

-- Location: LCCOMB_X34_Y22_N26
\gpio_u0|altpll_0|readdata[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|altpll_0|readdata[0]~1_combout\ = (\gpio_u0|master_0|transacto|p2m|address\(2) & ((\gpio_u0|altpll_0|prev_reset~q\))) # (!\gpio_u0|master_0|transacto|p2m|address\(2) & (\gpio_u0|altpll_0|stdsync2|dffpipe3|dffe6a\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|altpll_0|stdsync2|dffpipe3|dffe6a\(0),
	datad => \gpio_u0|altpll_0|prev_reset~q\,
	combout => \gpio_u0|altpll_0|readdata[0]~1_combout\);

-- Location: LCCOMB_X34_Y22_N0
\gpio_u0|altpll_0|readdata[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|altpll_0|readdata[0]~2_combout\ = (\gpio_u0|altpll_0|readdata[0]~1_combout\ & (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1) & 
-- \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|altpll_0|readdata[0]~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_agent_rsp_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~1_combout\,
	combout => \gpio_u0|altpll_0|readdata[0]~2_combout\);

-- Location: FF_X34_Y22_N1
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|altpll_0|readdata[0]~2_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X36_Y24_N10
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~50_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|av_readdata_pre\(0))))) # (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|av_readdata_pre\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(0),
	datad => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|av_readdata_pre\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~50_combout\);

-- Location: LCCOMB_X43_Y31_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[18]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(19),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[18]~feeder_combout\);

-- Location: FF_X43_Y31_N15
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[18]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(18));

-- Location: LCCOMB_X43_Y31_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[17]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(18),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[17]~feeder_combout\);

-- Location: FF_X43_Y31_N11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[17]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(17));

-- Location: FF_X42_Y31_N15
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(17),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(0));

-- Location: LCCOMB_X42_Y31_N12
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(28),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[0]~feeder_combout\);

-- Location: FF_X42_Y31_N13
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1\(0));

-- Location: LCCOMB_X42_Y31_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~23\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110010011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(0),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~23_combout\);

-- Location: FF_X43_Y31_N27
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(28),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2\(0));

-- Location: LCCOMB_X43_Y31_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[16]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(17),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[16]~feeder_combout\);

-- Location: FF_X43_Y31_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[16]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(16));

-- Location: LCCOMB_X43_Y31_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[15]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(16),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[15]~feeder_combout\);

-- Location: FF_X43_Y31_N3
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[15]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(15));

-- Location: LCCOMB_X43_Y31_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[14]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(15),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[14]~feeder_combout\);

-- Location: FF_X43_Y31_N25
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[14]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(14));

-- Location: LCCOMB_X43_Y31_N16
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[13]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(14),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[13]~feeder_combout\);

-- Location: FF_X43_Y31_N17
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[13]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(13));

-- Location: LCCOMB_X42_Y33_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[12]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(13),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[12]~feeder_combout\);

-- Location: FF_X42_Y33_N11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs[12]~feeder_combout\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|comb~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(12));

-- Location: LCCOMB_X42_Y33_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel_overwrite~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(12),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel_overwrite~feeder_combout\);

-- Location: LCCOMB_X41_Y33_N14
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(0),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(2),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|current_state.STATE_READ_UPDATE~q\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|operations_reg\(1),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~0_combout\);

-- Location: FF_X42_Y33_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel_overwrite\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel_overwrite~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel_overwrite~q\);

-- Location: LCCOMB_X43_Y31_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~24\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~23_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2\(0),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel_overwrite~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~24_combout\);

-- Location: LCCOMB_X39_Y31_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~25\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~24_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|busy~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~25_combout\);

-- Location: FF_X39_Y31_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~25_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(0));

-- Location: FF_X36_Y24_N21
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X38_Y26_N24
\gpio_u0|product_info_0|av_data_read[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|product_info_0|av_data_read[0]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|address\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|product_info_0|av_data_read[0]~feeder_combout\);

-- Location: FF_X38_Y26_N25
\gpio_u0|product_info_0|av_data_read[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|product_info_0|av_data_read[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|product_info_0|av_data_read\(0));

-- Location: LCCOMB_X37_Y24_N24
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[0]~feeder_combout\ = \gpio_u0|product_info_0|av_data_read\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|product_info_0|av_data_read\(0),
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[0]~feeder_combout\);

-- Location: FF_X37_Y24_N25
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X36_Y24_N20
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~49\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~49_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(0),
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~49_combout\);

-- Location: IOIBUF_X78_Y25_N15
\user_pb[0]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(0),
	o => \user_pb[0]~input_o\);

-- Location: LCCOMB_X37_Y24_N30
\gpio_u0|user_pb|read_mux_out[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_pb|read_mux_out\(0) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\user_pb[0]~input_o\ & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \user_pb[0]~input_o\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|user_pb|read_mux_out\(0));

-- Location: FF_X37_Y24_N31
\gpio_u0|user_pb|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_pb|read_mux_out\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_pb|readdata\(0));

-- Location: FF_X36_Y24_N23
\gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|user_pb|readdata\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(0));

-- Location: IOIBUF_X78_Y29_N1
\user_dipsw[0]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(0),
	o => \user_dipsw[0]~input_o\);

-- Location: LCCOMB_X37_Y24_N16
\gpio_u0|user_dipsw|read_mux_out[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_dipsw|read_mux_out\(0) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & \user_dipsw[0]~input_o\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => \user_dipsw[0]~input_o\,
	combout => \gpio_u0|user_dipsw|read_mux_out\(0));

-- Location: FF_X37_Y24_N17
\gpio_u0|user_dipsw|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_dipsw|read_mux_out\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_dipsw|readdata\(0));

-- Location: LCCOMB_X36_Y24_N12
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre[0]~feeder_combout\ = \gpio_u0|user_dipsw|readdata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|user_dipsw|readdata\(0),
	combout => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre[0]~feeder_combout\);

-- Location: FF_X36_Y24_N13
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X36_Y24_N22
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~51\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~51_combout\ = (\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(0))))) # (!\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(0),
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~51_combout\);

-- Location: FF_X36_Y31_N1
\gpio_u0|pmod_output|data_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|pmod_output|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|data_out\(0));

-- Location: LCCOMB_X36_Y31_N0
\pmod_out[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_out(0) = LCELL(\gpio_u0|pmod_output|data_out\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|pmod_output|data_out\(0),
	combout => pmod_out(0));

-- Location: LCCOMB_X36_Y31_N22
\gpio_u0|pmod_output|read_mux_out[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_output|read_mux_out\(0) = (pmod_out(0) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => pmod_out(0),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|pmod_output|read_mux_out\(0));

-- Location: FF_X36_Y31_N23
\gpio_u0|pmod_output|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_output|read_mux_out\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|readdata\(0));

-- Location: FF_X36_Y31_N13
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|pmod_output|readdata\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(0));

-- Location: IOIBUF_X24_Y39_N8
\pmodb_io[0]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmodb_io(0),
	o => \pmodb_io[0]~input_o\);

-- Location: LCCOMB_X35_Y24_N10
\pmod_in[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_in(0) = LCELL(\pmodb_io[0]~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \pmodb_io[0]~input_o\,
	combout => pmod_in(0));

-- Location: LCCOMB_X35_Y24_N8
\gpio_u0|pmod_input|read_mux_out[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_input|read_mux_out\(0) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & pmod_in(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => pmod_in(0),
	combout => \gpio_u0|pmod_input|read_mux_out\(0));

-- Location: FF_X35_Y24_N9
\gpio_u0|pmod_input|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_input|read_mux_out\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_input|readdata\(0));

-- Location: FF_X36_Y24_N17
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|pmod_input|readdata\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X36_Y24_N16
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~52_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(0) & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(0))))) # (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(0) & 
-- (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(0),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~52_combout\);

-- Location: LCCOMB_X36_Y24_N24
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~53\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~53_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~50_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~49_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~51_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~52_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~50_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~49_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~51_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~52_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~53_combout\);

-- Location: LCCOMB_X39_Y25_N20
\gpio_u0|dac_ctrl|data_out[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[0]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	combout => \gpio_u0|dac_ctrl|data_out[0]~feeder_combout\);

-- Location: FF_X39_Y25_N21
\gpio_u0|dac_ctrl|data_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(0));

-- Location: LCCOMB_X39_Y25_N30
\gpio_u0|dac_ctrl|readdata[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(0) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\gpio_u0|dac_ctrl|data_out\(0) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datab => \gpio_u0|dac_ctrl|data_out\(0),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dac_ctrl|readdata\(0));

-- Location: FF_X39_Y25_N31
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(0));

-- Location: FF_X26_Y29_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(0),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(0));

-- Location: LCCOMB_X26_Y29_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~19_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~19_combout\);

-- Location: FF_X30_Y25_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(0),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(0));

-- Location: LCCOMB_X30_Y25_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~20_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(0)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~20_combout\);

-- Location: LCCOMB_X32_Y30_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_erase_b4out_wire\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_erase_b4out_wire~combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_erase_b4out_wire~combout\);

-- Location: FF_X32_Y30_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_erase_dly_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_erase_b4out_wire~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_erase_dly_reg~q\);

-- Location: LCCOMB_X32_Y30_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_erase_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_erase_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_erase_dly_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_erase_dly_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_erase_reg~0_combout\);

-- Location: FF_X32_Y30_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_erase_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_erase_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_erase_reg~q\);

-- Location: LCCOMB_X29_Y27_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~2_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(70) & 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(70),
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rsp_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~2_combout\);

-- Location: LCCOMB_X32_Y29_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~0_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\ & (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~0_combout\);

-- Location: LCCOMB_X32_Y29_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_combi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_combi~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_erase_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_reg~q\ & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~0_combout\) # (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_erase_reg~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_combi~0_combout\);

-- Location: FF_X32_Y29_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_combi~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_reg~q\);

-- Location: LCCOMB_X32_Y29_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~1_combout\ = (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\ & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(40),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(38),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~1_combout\);

-- Location: FF_X32_Y29_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|m_illegal_erase_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|m_illegal_erase_reg~q\);

-- Location: LCCOMB_X32_Y29_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~18_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_combi~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|m_illegal_erase_reg~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_combi~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_combi~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_erase_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_combi~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|m_illegal_erase_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_combi~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~18_combout\);

-- Location: LCCOMB_X32_Y29_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~21_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~18_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~19_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~20_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~19_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~20_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~18_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~21_combout\);

-- Location: FF_X32_Y29_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~21_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(0));

-- Location: FF_X29_Y25_N31
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][0]~q\);

-- Location: LCCOMB_X29_Y25_N30
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~7_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][0]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][0]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~7_combout\);

-- Location: LCCOMB_X29_Y25_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~7_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~7_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][0]~feeder_combout\);

-- Location: FF_X29_Y25_N23
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][0]~q\);

-- Location: LCCOMB_X30_Y25_N4
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[0]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[0]~7_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][0]~q\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(0))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][0]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(0),
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][0]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[0]~7_combout\);

-- Location: FF_X30_Y25_N5
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[0]~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(0));

-- Location: LCCOMB_X31_Y24_N0
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[0]~feeder_combout\);

-- Location: FF_X31_Y24_N1
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(0));

-- Location: LCCOMB_X35_Y27_N24
\gpio_u0|adc1_out|data_out[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|data_out[0]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	combout => \gpio_u0|adc1_out|data_out[0]~feeder_combout\);

-- Location: FF_X35_Y27_N25
\gpio_u0|adc1_out|data_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|data_out[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|adc1_out|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|data_out\(0));

-- Location: LCCOMB_X35_Y27_N16
\gpio_u0|adc1_out|read_mux_out[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|read_mux_out\(0) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (\gpio_u0|adc1_out|data_out\(0) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|adc1_out|data_out\(0),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|adc1_out|read_mux_out\(0));

-- Location: FF_X35_Y27_N17
\gpio_u0|adc1_out|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|read_mux_out\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|readdata\(0));

-- Location: FF_X35_Y24_N21
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc1_out|readdata\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(0));

-- Location: IOIBUF_X0_Y37_N1
\adc2in[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_adc2in(1),
	o => \adc2in[1]~input_o\);

-- Location: LCCOMB_X35_Y24_N28
\gpio_u0|adc2_in|read_mux_out[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc2_in|read_mux_out\(0) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (\adc2in[1]~input_o\ & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \adc2in[1]~input_o\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|adc2_in|read_mux_out\(0));

-- Location: FF_X35_Y24_N29
\gpio_u0|adc2_in|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc2_in|read_mux_out\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc2_in|readdata\(0));

-- Location: LCCOMB_X35_Y24_N0
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[0]~feeder_combout\ = \gpio_u0|adc2_in|readdata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|adc2_in|readdata\(0),
	combout => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[0]~feeder_combout\);

-- Location: FF_X35_Y24_N1
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X35_Y24_N20
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~54_combout\ = (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(0))))) # (!\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(0),
	datad => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~54_combout\);

-- Location: FF_X39_Y19_N27
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(0),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(0));

-- Location: LCCOMB_X39_Y19_N26
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~22_combout\ = (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (((\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(0)) # 
-- (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38))))) # (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(0) & 
-- ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(0),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~22_combout\);

-- Location: LCCOMB_X38_Y17_N8
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[0]~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(1),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[0]~feeder_combout\);

-- Location: FF_X38_Y17_N9
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(0));

-- Location: LCCOMB_X38_Y17_N0
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~23_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & ((\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~22_combout\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38)))) # (!\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~22_combout\ & (\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(0) & 
-- !\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~22_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(0),
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~23_combout\);

-- Location: FF_X38_Y17_N1
\gpio_u0|uart_0|the_gpio_uart_0_regs|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[0]~23_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(0));

-- Location: LCCOMB_X38_Y20_N8
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[0]~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(0),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[0]~feeder_combout\);

-- Location: FF_X38_Y20_N9
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X38_Y20_N10
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~8_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~8_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][0]~feeder_combout\);

-- Location: FF_X38_Y20_N11
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][0]~q\);

-- Location: LCCOMB_X38_Y20_N28
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~8_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][0]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][0]~q\,
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(0),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~8_combout\);

-- Location: FF_X38_Y20_N29
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][0]~q\);

-- Location: LCCOMB_X37_Y20_N10
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[0]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[0]~8_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][0]~q\))) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & (((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][0]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][0]~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[0]~8_combout\);

-- Location: FF_X37_Y20_N11
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[0]~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(0));

-- Location: FF_X37_Y24_N3
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(0),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(0));

-- Location: LCCOMB_X27_Y24_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]~feeder_combout\);

-- Location: FF_X27_Y24_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]~q\);

-- Location: FF_X29_Y23_N11
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~28_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][0]~q\);

-- Location: LCCOMB_X29_Y23_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~28_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][0]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][0]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~28_combout\);

-- Location: LCCOMB_X29_Y23_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~28_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~28_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][0]~feeder_combout\);

-- Location: FF_X29_Y23_N23
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][0]~q\);

-- Location: LCCOMB_X31_Y23_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[0]~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[0]~28_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][0]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][0]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][0]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][0]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[0]~28_combout\);

-- Location: FF_X31_Y23_N15
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[0]~28_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(0));

-- Location: LCCOMB_X31_Y24_N20
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[0]~feeder_combout\);

-- Location: FF_X31_Y24_N21
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(0));

-- Location: LCCOMB_X38_Y24_N6
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~55\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~55_combout\ = (\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(0) & ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(0) & \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\)))) # (!\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(0) & 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(0) & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(0),
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(0),
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~55_combout\);

-- Location: LCCOMB_X38_Y24_N18
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~56_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~54_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~55_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(0) & \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(0),
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~54_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~55_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~56_combout\);

-- Location: LCCOMB_X39_Y24_N24
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~57\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~57_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~53_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~56_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~53_combout\,
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(0),
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~56_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~57_combout\);

-- Location: LCCOMB_X40_Y24_N28
\gpio_u0|master_0|transacto|p2m|Selector80~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector80~4_combout\ = (\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & ((\gpio_u0|master_0|transacto|p2m|Selector80~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~57_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & (\gpio_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~57_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector80~3_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[0]~57_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector80~4_combout\);

-- Location: LCCOMB_X40_Y24_N18
\gpio_u0|master_0|transacto|p2m|Selector80~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector80~6_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector80~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector80~5_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector80~0_combout\) # 
-- (\gpio_u0|master_0|transacto|p2m|Selector80~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector80~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector80~5_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector80~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector80~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector80~6_combout\);

-- Location: FF_X40_Y24_N19
\gpio_u0|master_0|transacto|p2m|out_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector80~6_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|out_data\(0));

-- Location: LCCOMB_X43_Y29_N10
\gpio_u0|master_0|p2b|out_data[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_data[0]~0_combout\ = ((\gpio_u0|master_0|transacto|p2m|out_data\(0)) # ((\gpio_u0|master_0|transacto|p2m|out_endofpacket~q\ & !\gpio_u0|master_0|p2b|sent_eop~q\))) # (!\gpio_u0|master_0|p2b|in_ready~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~4_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(0),
	datac => \gpio_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datad => \gpio_u0|master_0|p2b|sent_eop~q\,
	combout => \gpio_u0|master_0|p2b|out_data[0]~0_combout\);

-- Location: LCCOMB_X43_Y29_N30
\gpio_u0|master_0|p2b|out_data[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_data[0]~1_combout\ = (\gpio_u0|master_0|p2b|out_data[0]~0_combout\ & (!\gpio_u0|master_0|p2b|in_ready~5_combout\ & ((\gpio_u0|master_0|p2b|sent_sop~q\) # (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|out_data[0]~0_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~5_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datad => \gpio_u0|master_0|p2b|sent_sop~q\,
	combout => \gpio_u0|master_0|p2b|out_data[0]~1_combout\);

-- Location: FF_X43_Y29_N31
\gpio_u0|master_0|p2b|out_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|out_data[0]~1_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|out_data\(0));

-- Location: LCCOMB_X45_Y32_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\ = \gpio_u0|master_0|p2b|out_data\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|p2b|out_data\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\);

-- Location: FF_X45_Y32_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(0));

-- Location: LCCOMB_X45_Y32_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\);

-- Location: FF_X45_Y32_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0));

-- Location: LCCOMB_X46_Y32_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]~feeder_combout\);

-- Location: FF_X46_Y32_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(0));

-- Location: LCCOMB_X46_Y32_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(0))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(0),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\);

-- Location: FF_X46_Y32_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0));

-- Location: LCCOMB_X47_Y32_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1) & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2) & !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1) & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2) & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\);

-- Location: LCCOMB_X41_Y24_N22
\gpio_u0|master_0|transacto|p2m|Selector76~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector76~6_combout\ = (\gpio_u0|master_0|transacto|p2m|enable~combout\ & ((\gpio_u0|master_0|transacto|p2m|Equal2~1_combout\ & ((\gpio_u0|master_0|transacto|p2m|out_data\(4)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Equal2~1_combout\ & (\gpio_u0|master_0|transacto|p2m|command\(4))))) # (!\gpio_u0|master_0|transacto|p2m|enable~combout\ & (((\gpio_u0|master_0|transacto|p2m|out_data\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|command\(4),
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(4),
	datac => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Equal2~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector76~6_combout\);

-- Location: LCCOMB_X25_Y28_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[4]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[4]~feeder_combout\);

-- Location: FF_X25_Y28_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(4));

-- Location: LCCOMB_X25_Y28_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[4]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[4]~feeder_combout\);

-- Location: FF_X25_Y28_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(4));

-- Location: LCCOMB_X25_Y24_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]~feeder_combout\);

-- Location: FF_X25_Y24_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]~q\);

-- Location: FF_X29_Y23_N1
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~24_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][28]~q\);

-- Location: LCCOMB_X29_Y23_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~24_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][28]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][28]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~24_combout\);

-- Location: FF_X30_Y23_N17
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~24_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][28]~q\);

-- Location: LCCOMB_X31_Y23_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[28]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[28]~24_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][28]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][28]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][4]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][28]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[28]~24_combout\);

-- Location: FF_X31_Y23_N21
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[28]~24_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(28));

-- Location: LCCOMB_X31_Y23_N28
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[28]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[28]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(28)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(28),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[28]~feeder_combout\);

-- Location: FF_X31_Y23_N29
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[28]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(28));

-- Location: LCCOMB_X39_Y26_N10
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~39\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~39_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(28) & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(28),
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~39_combout\);

-- Location: FF_X39_Y26_N11
\gpio_u0|master_0|transacto|p2m|read_data_buffer[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~39_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(20));

-- Location: LCCOMB_X27_Y24_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]~feeder_combout\);

-- Location: FF_X27_Y24_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]~q\);

-- Location: FF_X29_Y23_N5
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~23_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][20]~q\);

-- Location: LCCOMB_X29_Y23_N4
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~23_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][20]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][20]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~23_combout\);

-- Location: FF_X30_Y23_N15
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~23_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][20]~q\);

-- Location: LCCOMB_X31_Y23_N30
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[20]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[20]~23_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][20]~q\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][20]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][4]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][20]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[20]~23_combout\);

-- Location: FF_X31_Y23_N31
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[20]~23_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(20));

-- Location: LCCOMB_X34_Y23_N24
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[20]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[20]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(20)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(20),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[20]~feeder_combout\);

-- Location: FF_X34_Y23_N25
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[20]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(20));

-- Location: LCCOMB_X38_Y25_N2
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~38_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(20) & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\) # 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(25) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(20) & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(25) & 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(20),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(25),
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~38_combout\);

-- Location: FF_X38_Y25_N3
\gpio_u0|master_0|transacto|p2m|read_data_buffer[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~38_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(12));

-- Location: LCCOMB_X39_Y26_N16
\gpio_u0|master_0|transacto|p2m|Mux11~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux11~0_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & ((\gpio_u0|master_0|transacto|p2m|current_byte\(0)) # ((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(12))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & ((\gpio_u0|master_0|transacto|p2m|out_data\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(12),
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(4),
	combout => \gpio_u0|master_0|transacto|p2m|Mux11~0_combout\);

-- Location: FF_X40_Y27_N1
\gpio_u0|dac_ctrl|data_out[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(12),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(12));

-- Location: LCCOMB_X39_Y26_N22
\gpio_u0|dac_ctrl|readdata[12]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(12) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (\gpio_u0|dac_ctrl|data_out\(12) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|dac_ctrl|data_out\(12),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|dac_ctrl|readdata\(12));

-- Location: FF_X39_Y26_N23
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(12),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(12));

-- Location: LCCOMB_X38_Y26_N28
\gpio_u0|product_info_0|av_data_read[12]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|product_info_0|av_data_read[12]~3_combout\ = !\gpio_u0|master_0|transacto|p2m|address\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|product_info_0|av_data_read[12]~3_combout\);

-- Location: FF_X38_Y26_N29
\gpio_u0|product_info_0|av_data_read[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|product_info_0|av_data_read[12]~3_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|product_info_0|av_data_read\(12));

-- Location: LCCOMB_X38_Y26_N8
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[12]~feeder_combout\ = \gpio_u0|product_info_0|av_data_read\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|product_info_0|av_data_read\(12),
	combout => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[12]~feeder_combout\);

-- Location: FF_X38_Y26_N9
\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[12]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12));

-- Location: FF_X40_Y31_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_en\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(29),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_en~q\);

-- Location: LCCOMB_X40_Y31_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~21\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_en~q\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~21_combout\);

-- Location: LCCOMB_X39_Y31_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[12]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~21_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[12]~feeder_combout\);

-- Location: FF_X39_Y31_N23
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[12]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(12));

-- Location: FF_X38_Y26_N19
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(12),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(12));

-- Location: LCCOMB_X38_Y26_N18
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~35\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~35_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(12)) # 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12) & 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(12),
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~35_combout\);

-- Location: LCCOMB_X25_Y24_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]~feeder_combout\);

-- Location: FF_X25_Y24_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]~q\);

-- Location: FF_X29_Y23_N29
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~22_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][12]~q\);

-- Location: LCCOMB_X29_Y23_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~22_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][12]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][12]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~22_combout\);

-- Location: LCCOMB_X30_Y23_N4
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][12]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~22_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~22_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][12]~feeder_combout\);

-- Location: FF_X30_Y23_N5
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][12]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][12]~q\);

-- Location: LCCOMB_X31_Y23_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[12]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[12]~22_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][12]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][12]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][4]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][12]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[12]~22_combout\);

-- Location: FF_X31_Y23_N9
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[12]~22_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(12));

-- Location: FF_X35_Y23_N17
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(12),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(12));

-- Location: LCCOMB_X39_Y26_N12
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~36_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(12) & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(12),
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~36_combout\);

-- Location: LCCOMB_X39_Y26_N18
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~37\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~37_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~35_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~36_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(12) & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(12),
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~35_combout\,
	datac => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~36_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~37_combout\);

-- Location: FF_X39_Y26_N19
\gpio_u0|master_0|transacto|p2m|read_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~37_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(4));

-- Location: LCCOMB_X39_Y26_N14
\gpio_u0|master_0|transacto|p2m|Mux11~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux11~1_combout\ = (\gpio_u0|master_0|transacto|p2m|Mux11~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(20)) # ((!\gpio_u0|master_0|transacto|p2m|current_byte\(0))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Mux11~0_combout\ & (((\gpio_u0|master_0|transacto|p2m|current_byte\(0) & \gpio_u0|master_0|transacto|p2m|read_data_buffer\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(20),
	datab => \gpio_u0|master_0|transacto|p2m|Mux11~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(4),
	combout => \gpio_u0|master_0|transacto|p2m|Mux11~1_combout\);

-- Location: LCCOMB_X38_Y24_N26
\gpio_u0|master_0|transacto|p2m|Selector76~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector76~1_combout\ = (\gpio_u0|master_0|transacto|p2m|Mux11~1_combout\ & ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\) # ((\gpio_u0|master_0|transacto|p2m|out_data\(4) & 
-- !\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|Mux11~1_combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(4) & (!\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Mux11~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(4),
	datac => \gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector76~1_combout\);

-- Location: LCCOMB_X36_Y27_N20
\gpio_u0|adc1_out|data_out[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|data_out[4]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(4),
	combout => \gpio_u0|adc1_out|data_out[4]~feeder_combout\);

-- Location: FF_X36_Y27_N21
\gpio_u0|adc1_out|data_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|data_out[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|adc1_out|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|data_out\(4));

-- Location: LCCOMB_X36_Y27_N4
\gpio_u0|adc1_out|read_mux_out[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|read_mux_out\(4) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\gpio_u0|adc1_out|data_out\(4) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|adc1_out|data_out\(4),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|adc1_out|read_mux_out\(4));

-- Location: FF_X36_Y27_N5
\gpio_u0|adc1_out|readdata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|read_mux_out\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|readdata\(4));

-- Location: FF_X36_Y27_N23
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc1_out|readdata\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(4));

-- Location: FF_X36_Y31_N15
\gpio_u0|pmod_output|data_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|pmod_output|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|data_out\(4));

-- Location: LCCOMB_X36_Y31_N14
\pmod_out[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_out(4) = LCELL(\gpio_u0|pmod_output|data_out\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|pmod_output|data_out\(4),
	combout => pmod_out(4));

-- Location: LCCOMB_X36_Y31_N16
\gpio_u0|pmod_output|read_mux_out[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_output|read_mux_out\(4) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (pmod_out(4) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => pmod_out(4),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|pmod_output|read_mux_out\(4));

-- Location: FF_X36_Y31_N17
\gpio_u0|pmod_output|readdata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_output|read_mux_out\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|readdata\(4));

-- Location: LCCOMB_X36_Y27_N2
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[4]~feeder_combout\ = \gpio_u0|pmod_output|readdata\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|pmod_output|readdata\(4),
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[4]~feeder_combout\);

-- Location: FF_X36_Y27_N3
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(4));

-- Location: LCCOMB_X36_Y27_N22
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~34_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(4)) # 
-- ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(4))))) # (!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(4),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(4),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~34_combout\);

-- Location: IOIBUF_X34_Y39_N1
\pmoda_io[0]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmoda_io(0),
	o => \pmoda_io[0]~input_o\);

-- Location: LCCOMB_X38_Y28_N28
\pmod_in[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_in(4) = LCELL(\pmoda_io[0]~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \pmoda_io[0]~input_o\,
	combout => pmod_in(4));

-- Location: LCCOMB_X41_Y28_N6
\gpio_u0|pmod_input|read_mux_out[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_input|read_mux_out\(4) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & pmod_in(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => pmod_in(4),
	combout => \gpio_u0|pmod_input|read_mux_out\(4));

-- Location: FF_X41_Y28_N7
\gpio_u0|pmod_input|readdata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_input|read_mux_out\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_input|readdata\(4));

-- Location: LCCOMB_X41_Y28_N2
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[4]~feeder_combout\ = \gpio_u0|pmod_input|readdata\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|pmod_input|readdata\(4),
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[4]~feeder_combout\);

-- Location: FF_X41_Y28_N3
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(4));

-- Location: IOIBUF_X78_Y31_N15
\user_dipsw[4]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(4),
	o => \user_dipsw[4]~input_o\);

-- Location: LCCOMB_X41_Y28_N22
\gpio_u0|user_dipsw|read_mux_out[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_dipsw|read_mux_out\(4) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \user_dipsw[4]~input_o\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \user_dipsw[4]~input_o\,
	combout => \gpio_u0|user_dipsw|read_mux_out\(4));

-- Location: FF_X41_Y28_N23
\gpio_u0|user_dipsw|readdata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_dipsw|read_mux_out\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_dipsw|readdata\(4));

-- Location: FF_X41_Y28_N31
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|user_dipsw|readdata\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(4));

-- Location: LCCOMB_X41_Y28_N30
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~33\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~33_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(4)) # 
-- ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(4) & \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & 
-- (((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(4) & \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(4),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(4),
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~33_combout\);

-- Location: LCCOMB_X38_Y28_N4
\gpio_u0|user_led|data_out[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|data_out[4]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(4),
	combout => \gpio_u0|user_led|data_out[4]~feeder_combout\);

-- Location: FF_X38_Y28_N5
\gpio_u0|user_led|data_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_led|data_out[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|user_led|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_led|data_out\(4));

-- Location: LCCOMB_X39_Y25_N10
\gpio_u0|user_led|readdata[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|readdata\(4) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (\gpio_u0|user_led|data_out\(4) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|user_led|data_out\(4),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|user_led|readdata\(4));

-- Location: FF_X39_Y25_N11
\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_led|readdata\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(4));

-- Location: FF_X42_Y31_N25
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(21),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(4));

-- Location: LCCOMB_X42_Y31_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(22),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[0]~feeder_combout\);

-- Location: FF_X42_Y31_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1\(0));

-- Location: LCCOMB_X42_Y31_N24
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(4),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~12_combout\);

-- Location: LCCOMB_X43_Y31_N6
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(22),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[0]~feeder_combout\);

-- Location: FF_X43_Y31_N7
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2\(0));

-- Location: LCCOMB_X39_Y31_N28
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|product_info_0|Mux0~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~12_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2\(0),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~13_combout\);

-- Location: FF_X39_Y31_N29
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~13_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(4));

-- Location: FF_X39_Y25_N13
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(4));

-- Location: LCCOMB_X39_Y25_N12
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~32_combout\ = (\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(4) & ((\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(4) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(4) & 
-- (((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(4) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(4),
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(4),
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~32_combout\);

-- Location: IOIBUF_X0_Y35_N1
\adc2in[5]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_adc2in(5),
	o => \adc2in[5]~input_o\);

-- Location: LCCOMB_X37_Y27_N26
\gpio_u0|adc2_in|read_mux_out[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc2_in|read_mux_out\(4) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\adc2in[5]~input_o\ & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \adc2in[5]~input_o\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|adc2_in|read_mux_out\(4));

-- Location: FF_X37_Y27_N27
\gpio_u0|adc2_in|readdata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc2_in|read_mux_out\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc2_in|readdata\(4));

-- Location: FF_X37_Y27_N19
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc2_in|readdata\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(4));

-- Location: LCCOMB_X37_Y27_N24
\gpio_u0|dac_ctrl|data_out[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[4]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(4),
	combout => \gpio_u0|dac_ctrl|data_out[4]~feeder_combout\);

-- Location: FF_X37_Y27_N25
\gpio_u0|dac_ctrl|data_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(4));

-- Location: LCCOMB_X37_Y27_N10
\gpio_u0|dac_ctrl|readdata[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(4) = (\gpio_u0|dac_ctrl|data_out\(4) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dac_ctrl|data_out\(4),
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dac_ctrl|readdata\(4));

-- Location: FF_X37_Y27_N11
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(4));

-- Location: LCCOMB_X37_Y27_N18
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~35\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~35_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(4)) # 
-- ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(4))))) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(4),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(4),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~35_combout\);

-- Location: LCCOMB_X38_Y27_N10
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~36_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~34_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~33_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~32_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~35_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~34_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~33_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~32_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~35_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~36_combout\);

-- Location: FF_X29_Y24_N21
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][4]~q\);

-- Location: LCCOMB_X27_Y24_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]~feeder_combout\);

-- Location: FF_X27_Y24_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]~q\);

-- Location: LCCOMB_X29_Y24_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~5_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][4]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][4]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~5_combout\);

-- Location: LCCOMB_X29_Y24_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][4]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~5_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~5_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][4]~feeder_combout\);

-- Location: FF_X29_Y24_N15
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][4]~q\);

-- Location: LCCOMB_X30_Y24_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[4]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[4]~5_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][4]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]~q\))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][4]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][4]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][4]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[4]~5_combout\);

-- Location: FF_X30_Y24_N7
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[4]~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(4));

-- Location: FF_X35_Y24_N19
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(4));

-- Location: FF_X29_Y25_N5
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][4]~q\);

-- Location: FF_X30_Y25_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(4),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(4));

-- Location: LCCOMB_X30_Y25_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~14_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(4)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(4),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~14_combout\);

-- Location: LCCOMB_X26_Y29_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[4]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[4]~feeder_combout\);

-- Location: FF_X26_Y29_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(4));

-- Location: LCCOMB_X29_Y25_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~15_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~14_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\ 
-- & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~14_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~15_combout\);

-- Location: FF_X29_Y25_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~15_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(4));

-- Location: LCCOMB_X29_Y25_N4
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~5_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][4]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][4]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(4),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~5_combout\);

-- Location: FF_X29_Y25_N21
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][4]~q\);

-- Location: LCCOMB_X30_Y25_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[4]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[4]~5_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][4]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(4)))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][4]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(4),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[4]~5_combout\);

-- Location: FF_X30_Y25_N1
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[4]~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(4));

-- Location: FF_X34_Y25_N11
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(4));

-- Location: LCCOMB_X35_Y24_N18
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~37\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~37_combout\ = (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\ & ((\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(4)) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(4))))) # (!\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(4),
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(4),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~37_combout\);

-- Location: FF_X39_Y19_N25
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(4),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(4));

-- Location: LCCOMB_X39_Y19_N24
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[4]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[4]~16_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(4)))) # (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & (\gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|tx_overrun~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(4),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[4]~16_combout\);

-- Location: FF_X38_Y17_N5
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(5),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(4));

-- Location: LCCOMB_X38_Y17_N4
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~15_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(4) & !\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(4),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~15_combout\);

-- Location: LCCOMB_X40_Y20_N28
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[4]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[4]~17_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[4]~16_combout\) # ((\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~15_combout\) # 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\ & \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[4]~16_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~15_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(4),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[4]~17_combout\);

-- Location: FF_X40_Y20_N29
\gpio_u0|uart_0|the_gpio_uart_0_regs|readdata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[4]~17_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(4));

-- Location: LCCOMB_X39_Y20_N26
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[4]~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(4),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[4]~feeder_combout\);

-- Location: FF_X39_Y20_N27
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(4));

-- Location: FF_X39_Y20_N7
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][4]~q\);

-- Location: LCCOMB_X39_Y20_N6
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~5_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][4]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][4]~q\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(4),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~5_combout\);

-- Location: LCCOMB_X38_Y20_N16
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][4]~feeder_combout\ = \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~5_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~5_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][4]~feeder_combout\);

-- Location: FF_X38_Y20_N17
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][4]~q\);

-- Location: LCCOMB_X37_Y20_N16
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[4]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[4]~5_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & (((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][4]~q\)))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(4))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][4]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(4),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][4]~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[4]~5_combout\);

-- Location: FF_X37_Y20_N17
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[4]~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(4));

-- Location: FF_X38_Y24_N25
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(4),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(4));

-- Location: LCCOMB_X38_Y24_N24
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~38_combout\ = (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(27)) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(4) & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\)))) # (!\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(4) & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(27),
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(4),
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~38_combout\);

-- Location: LCCOMB_X38_Y24_N8
\gpio_u0|master_0|transacto|p2m|Selector76~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector76~0_combout\ = (\gpio_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~36_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~37_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~38_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~36_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~37_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[4]~38_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector76~0_combout\);

-- Location: LCCOMB_X46_Y27_N4
\gpio_u0|master_0|transacto|p2m|Selector76~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector76~2_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & ((\gpio_u0|master_0|transacto|p2m|counter\(12))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|counter\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110001001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \gpio_u0|master_0|transacto|p2m|counter\(4),
	datad => \gpio_u0|master_0|transacto|p2m|counter\(12),
	combout => \gpio_u0|master_0|transacto|p2m|Selector76~2_combout\);

-- Location: LCCOMB_X43_Y24_N16
\gpio_u0|master_0|transacto|p2m|Selector76~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector76~3_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector76~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data\(4) & 
-- \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\)))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(4),
	datac => \gpio_u0|master_0|transacto|p2m|Selector76~2_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector76~3_combout\);

-- Location: LCCOMB_X38_Y24_N4
\gpio_u0|master_0|transacto|p2m|Selector76~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector76~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector76~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector76~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector76~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector76~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector76~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector76~3_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector76~4_combout\);

-- Location: LCCOMB_X38_Y24_N2
\gpio_u0|master_0|transacto|p2m|Selector76~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector76~5_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & (\gpio_u0|master_0|transacto|p2m|command\(4))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & ((\gpio_u0|master_0|transacto|p2m|out_data\(4))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|command\(4),
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(4),
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector76~5_combout\);

-- Location: LCCOMB_X38_Y24_N22
\gpio_u0|master_0|transacto|p2m|Selector76~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector76~7_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector76~4_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector76~5_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector76~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector76~6_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector76~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector76~5_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector76~7_combout\);

-- Location: FF_X38_Y24_N23
\gpio_u0|master_0|transacto|p2m|out_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector76~7_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|out_data\(4));

-- Location: LCCOMB_X42_Y29_N6
\gpio_u0|master_0|p2b|out_data[4]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_data[4]~10_combout\ = (\gpio_u0|master_0|p2b|in_ready~5_combout\ & (!\gpio_u0|master_0|p2b|sent_channel_char~q\)) # (!\gpio_u0|master_0|p2b|in_ready~5_combout\ & (((\gpio_u0|master_0|transacto|p2m|out_data\(4)) # 
-- (!\gpio_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101110001011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|sent_channel_char~q\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(4),
	datac => \gpio_u0|master_0|p2b|in_ready~5_combout\,
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|p2b|out_data[4]~10_combout\);

-- Location: FF_X42_Y29_N7
\gpio_u0|master_0|p2b|out_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|out_data[4]~10_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|out_data\(4));

-- Location: LCCOMB_X45_Y32_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\ = \gpio_u0|master_0|p2b|out_data\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|p2b|out_data\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\);

-- Location: FF_X45_Y32_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(4));

-- Location: LCCOMB_X45_Y32_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\);

-- Location: FF_X45_Y32_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4));

-- Location: LCCOMB_X46_Y32_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\);

-- Location: FF_X46_Y32_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(4));

-- Location: LCCOMB_X46_Y32_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(4))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(4),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\);

-- Location: FF_X46_Y32_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4));

-- Location: LCCOMB_X47_Y32_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3) & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\ & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\);

-- Location: LCCOMB_X47_Y32_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\);

-- Location: FF_X47_Y32_N25
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\);

-- Location: LCCOMB_X47_Y32_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ & 
-- ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\);

-- Location: LCCOMB_X47_Y32_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\) # 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~1_combout\);

-- Location: FF_X47_Y32_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~1_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\);

-- Location: LCCOMB_X47_Y30_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\);

-- Location: LCCOMB_X47_Y30_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\);

-- Location: FF_X47_Y30_N19
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\);

-- Location: LCCOMB_X47_Y30_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X47_Y30_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\);

-- Location: LCCOMB_X47_Y30_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X47_Y30_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(0));

-- Location: LCCOMB_X47_Y30_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X47_Y30_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(1));

-- Location: FF_X43_Y29_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(1),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(2));

-- Location: LCCOMB_X43_Y29_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\);

-- Location: FF_X43_Y29_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(3));

-- Location: LCCOMB_X43_Y29_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\);

-- Location: FF_X43_Y29_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(4));

-- Location: LCCOMB_X43_Y29_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\);

-- Location: FF_X43_Y29_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(5));

-- Location: LCCOMB_X43_Y29_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\ = 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\);

-- Location: FF_X43_Y29_N21
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6));

-- Location: LCCOMB_X43_Y29_N18
\gpio_u0|master_0|p2b|in_ready~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|in_ready~1_combout\ = (\gpio_u0|master_0|transacto|p2m|out_valid~q\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6) $ 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\)) # (!\gpio_u0|master_0|p2b|out_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_valid~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datac => \gpio_u0|master_0|p2b|out_valid~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	combout => \gpio_u0|master_0|p2b|in_ready~1_combout\);

-- Location: LCCOMB_X42_Y29_N14
\gpio_u0|master_0|p2b|in_ready~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|in_ready~6_combout\ = (\gpio_u0|master_0|p2b|in_ready~1_combout\ & ((\gpio_u0|master_0|p2b|sent_channel~q\) # ((\gpio_u0|master_0|p2b|stored_channel\(0) & !\gpio_u0|master_0|transacto|p2m|out_startofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|stored_channel\(0),
	datab => \gpio_u0|master_0|p2b|sent_channel~q\,
	datac => \gpio_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datad => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	combout => \gpio_u0|master_0|p2b|in_ready~6_combout\);

-- Location: LCCOMB_X43_Y29_N24
\gpio_u0|master_0|p2b|sent_sop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|sent_sop~0_combout\ = (((!\gpio_u0|master_0|p2b|sent_eop~q\ & \gpio_u0|master_0|transacto|p2m|out_endofpacket~q\)) # (!\gpio_u0|master_0|p2b|in_ready~6_combout\)) # (!\gpio_u0|master_0|p2b|in_ready~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~4_combout\,
	datab => \gpio_u0|master_0|p2b|sent_eop~q\,
	datac => \gpio_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datad => \gpio_u0|master_0|p2b|in_ready~6_combout\,
	combout => \gpio_u0|master_0|p2b|sent_sop~0_combout\);

-- Location: LCCOMB_X43_Y29_N28
\gpio_u0|master_0|p2b|sent_sop~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|sent_sop~1_combout\ = (\gpio_u0|master_0|p2b|sent_sop~q\ & (((\gpio_u0|master_0|p2b|sent_sop~0_combout\)))) # (!\gpio_u0|master_0|p2b|sent_sop~q\ & (\gpio_u0|master_0|transacto|p2m|out_startofpacket~q\ & 
-- ((\gpio_u0|master_0|p2b|in_ready~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datab => \gpio_u0|master_0|p2b|sent_sop~0_combout\,
	datac => \gpio_u0|master_0|p2b|sent_sop~q\,
	datad => \gpio_u0|master_0|p2b|in_ready~6_combout\,
	combout => \gpio_u0|master_0|p2b|sent_sop~1_combout\);

-- Location: FF_X43_Y29_N29
\gpio_u0|master_0|p2b|sent_sop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|sent_sop~1_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|sent_sop~q\);

-- Location: LCCOMB_X43_Y29_N2
\gpio_u0|master_0|p2b|sent_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|sent_eop~0_combout\ = (\gpio_u0|master_0|p2b|in_ready~6_combout\ & ((\gpio_u0|master_0|p2b|sent_sop~q\) # (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datab => \gpio_u0|master_0|p2b|sent_sop~q\,
	datad => \gpio_u0|master_0|p2b|in_ready~6_combout\,
	combout => \gpio_u0|master_0|p2b|sent_eop~0_combout\);

-- Location: LCCOMB_X43_Y29_N16
\gpio_u0|master_0|p2b|sent_eop~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|sent_eop~1_combout\ = (\gpio_u0|master_0|p2b|sent_eop~0_combout\ & ((\gpio_u0|master_0|p2b|sent_eop~q\ & ((!\gpio_u0|master_0|p2b|in_ready~4_combout\))) # (!\gpio_u0|master_0|p2b|sent_eop~q\ & 
-- (\gpio_u0|master_0|transacto|p2m|out_endofpacket~q\)))) # (!\gpio_u0|master_0|p2b|sent_eop~0_combout\ & (((\gpio_u0|master_0|p2b|sent_eop~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datab => \gpio_u0|master_0|p2b|sent_eop~0_combout\,
	datac => \gpio_u0|master_0|p2b|sent_eop~q\,
	datad => \gpio_u0|master_0|p2b|in_ready~4_combout\,
	combout => \gpio_u0|master_0|p2b|sent_eop~1_combout\);

-- Location: FF_X43_Y29_N17
\gpio_u0|master_0|p2b|sent_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|sent_eop~1_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|sent_eop~q\);

-- Location: LCCOMB_X43_Y29_N22
\gpio_u0|master_0|p2b|in_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|in_ready~0_combout\ = (\gpio_u0|master_0|transacto|p2m|out_endofpacket~q\ & (\gpio_u0|master_0|p2b|sent_eop~q\ & ((\gpio_u0|master_0|p2b|sent_sop~q\) # (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~q\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_endofpacket~q\ & (((\gpio_u0|master_0|p2b|sent_sop~q\) # (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110100001101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datab => \gpio_u0|master_0|p2b|sent_eop~q\,
	datac => \gpio_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datad => \gpio_u0|master_0|p2b|sent_sop~q\,
	combout => \gpio_u0|master_0|p2b|in_ready~0_combout\);

-- Location: LCCOMB_X42_Y25_N22
\gpio_u0|master_0|transacto|p2m|Selector73~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector73~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector73~1_combout\ & (\gpio_u0|master_0|p2b|in_ready~7_combout\ & (\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & 
-- \gpio_u0|master_0|p2b|in_ready~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~7_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector73~2_combout\);

-- Location: LCCOMB_X40_Y25_N16
\gpio_u0|master_0|transacto|p2m|Selector73~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector73~3_combout\ = ((!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & (!\gpio_u0|master_0|transacto|p2m|out_data~0_combout\ & !\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Selector70~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector70~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector73~3_combout\);

-- Location: LCCOMB_X42_Y25_N30
\gpio_u0|master_0|transacto|p2m|Selector73~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector73~4_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector73~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & ((\gpio_u0|master_0|transacto|p2m|Equal8~0_combout\) # 
-- (!\gpio_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector73~3_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector73~4_combout\);

-- Location: LCCOMB_X25_Y28_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[7]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[7]~feeder_combout\);

-- Location: FF_X25_Y28_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(7));

-- Location: LCCOMB_X25_Y28_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[7]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[7]~feeder_combout\);

-- Location: FF_X25_Y28_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(7));

-- Location: LCCOMB_X27_Y24_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]~feeder_combout\);

-- Location: FF_X27_Y24_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]~q\);

-- Location: FF_X26_Y23_N7
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~16_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][23]~q\);

-- Location: LCCOMB_X26_Y23_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~16_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][23]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][23]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~16_combout\);

-- Location: LCCOMB_X26_Y23_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][23]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][23]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~16_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~16_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][23]~feeder_combout\);

-- Location: FF_X26_Y23_N15
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][23]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][23]~q\);

-- Location: LCCOMB_X27_Y23_N2
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[23]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[23]~16_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][23]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][23]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][7]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][23]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[23]~16_combout\);

-- Location: FF_X27_Y23_N3
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[23]~16_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(23));

-- Location: LCCOMB_X31_Y23_N4
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[23]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[23]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(23)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(23),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[23]~feeder_combout\);

-- Location: FF_X31_Y23_N5
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[23]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(23));

-- Location: LCCOMB_X38_Y25_N20
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~27_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(23) & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(23),
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~27_combout\);

-- Location: FF_X38_Y25_N21
\gpio_u0|master_0|transacto|p2m|read_data_buffer[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~27_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(15));

-- Location: LCCOMB_X25_Y24_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]~feeder_combout\);

-- Location: FF_X25_Y24_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]~q\);

-- Location: FF_X26_Y23_N19
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~18_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][31]~q\);

-- Location: LCCOMB_X26_Y23_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~18_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][31]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][31]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~18_combout\);

-- Location: LCCOMB_X26_Y23_N4
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][31]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][31]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~18_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~18_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][31]~feeder_combout\);

-- Location: FF_X26_Y23_N5
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][31]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][31]~q\);

-- Location: LCCOMB_X27_Y23_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[31]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[31]~18_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][31]~q\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]~q\))) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][31]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][31]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][7]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[31]~18_combout\);

-- Location: FF_X27_Y23_N13
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[31]~18_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(31));

-- Location: LCCOMB_X27_Y23_N30
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[31]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[31]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(31)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(31),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[31]~feeder_combout\);

-- Location: FF_X27_Y23_N31
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[31]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(31));

-- Location: LCCOMB_X36_Y25_N2
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~30_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(31) & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(31),
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~30_combout\);

-- Location: FF_X36_Y25_N3
\gpio_u0|master_0|transacto|p2m|read_data_buffer[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~30_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(23));

-- Location: FF_X40_Y31_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(32),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs\(2));

-- Location: LCCOMB_X40_Y31_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~19\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|msm_cs\(2),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~19_combout\);

-- Location: LCCOMB_X39_Y27_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[15]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~19_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[15]~feeder_combout\);

-- Location: FF_X39_Y27_N27
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[15]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(15));

-- Location: FF_X39_Y27_N23
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(15),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(15));

-- Location: LCCOMB_X40_Y27_N8
\gpio_u0|dac_ctrl|data_out[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[15]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(15),
	combout => \gpio_u0|dac_ctrl|data_out[15]~feeder_combout\);

-- Location: FF_X40_Y27_N9
\gpio_u0|dac_ctrl|data_out[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[15]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(15));

-- Location: LCCOMB_X39_Y27_N6
\gpio_u0|dac_ctrl|readdata[15]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(15) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\gpio_u0|dac_ctrl|data_out\(15) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datab => \gpio_u0|dac_ctrl|data_out\(15),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dac_ctrl|readdata\(15));

-- Location: FF_X39_Y27_N7
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(15),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(15));

-- Location: LCCOMB_X39_Y27_N22
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~28_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(15)) # 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(15))))) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(15)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(15),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(15),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~28_combout\);

-- Location: LCCOMB_X26_Y24_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]~feeder_combout\);

-- Location: FF_X26_Y24_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]~q\);

-- Location: FF_X26_Y23_N13
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~17_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][15]~q\);

-- Location: LCCOMB_X26_Y23_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~17_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][15]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][15]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~17_combout\);

-- Location: LCCOMB_X26_Y23_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][15]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~17_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~17_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][15]~feeder_combout\);

-- Location: FF_X26_Y23_N11
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][15]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][15]~q\);

-- Location: LCCOMB_X27_Y23_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[15]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[15]~17_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][15]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][15]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][15]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][7]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[15]~17_combout\);

-- Location: FF_X27_Y23_N9
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[15]~17_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(15));

-- Location: LCCOMB_X27_Y23_N10
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[15]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(15),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[15]~feeder_combout\);

-- Location: FF_X27_Y23_N11
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[15]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(15));

-- Location: LCCOMB_X34_Y25_N12
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~29_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~28_combout\) # ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(15) & 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~28_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(15),
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~29_combout\);

-- Location: FF_X34_Y25_N13
\gpio_u0|master_0|transacto|p2m|read_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~29_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(7));

-- Location: LCCOMB_X42_Y25_N0
\gpio_u0|master_0|transacto|p2m|Mux8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux8~0_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (\gpio_u0|master_0|transacto|p2m|current_byte\(0))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & 
-- ((\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|read_data_buffer\(7))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & ((\gpio_u0|master_0|transacto|p2m|out_data\(7))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100111001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(7),
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(7),
	combout => \gpio_u0|master_0|transacto|p2m|Mux8~0_combout\);

-- Location: LCCOMB_X42_Y25_N20
\gpio_u0|master_0|transacto|p2m|Mux8~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux8~1_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & ((\gpio_u0|master_0|transacto|p2m|Mux8~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(23)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Mux8~0_combout\ & (\gpio_u0|master_0|transacto|p2m|read_data_buffer\(15))))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (((\gpio_u0|master_0|transacto|p2m|Mux8~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(15),
	datac => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(23),
	datad => \gpio_u0|master_0|transacto|p2m|Mux8~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Mux8~1_combout\);

-- Location: LCCOMB_X35_Y27_N12
\gpio_u0|adc1_out|data_out[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|data_out[7]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(7),
	combout => \gpio_u0|adc1_out|data_out[7]~feeder_combout\);

-- Location: FF_X35_Y27_N13
\gpio_u0|adc1_out|data_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|data_out[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|adc1_out|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|data_out\(7));

-- Location: LCCOMB_X35_Y27_N30
\gpio_u0|adc1_out|read_mux_out[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|read_mux_out\(7) = (\gpio_u0|adc1_out|data_out\(7) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & !\gpio_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|adc1_out|data_out\(7),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|master_0|transacto|p2m|address\(3),
	combout => \gpio_u0|adc1_out|read_mux_out\(7));

-- Location: FF_X35_Y27_N31
\gpio_u0|adc1_out|readdata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|read_mux_out\(7),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|readdata\(7));

-- Location: FF_X35_Y27_N29
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc1_out|readdata\(7),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(7));

-- Location: FF_X36_Y31_N5
\gpio_u0|pmod_output|data_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(7),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|pmod_output|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|data_out\(7));

-- Location: LCCOMB_X36_Y31_N4
\pmod_out[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_out(7) = LCELL(\gpio_u0|pmod_output|data_out\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|pmod_output|data_out\(7),
	combout => pmod_out(7));

-- Location: LCCOMB_X36_Y31_N2
\gpio_u0|pmod_output|read_mux_out[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_output|read_mux_out\(7) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (pmod_out(7) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => pmod_out(7),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|pmod_output|read_mux_out\(7));

-- Location: FF_X36_Y31_N3
\gpio_u0|pmod_output|readdata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_output|read_mux_out\(7),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|readdata\(7));

-- Location: LCCOMB_X35_Y27_N0
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[7]~feeder_combout\ = \gpio_u0|pmod_output|readdata\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|pmod_output|readdata\(7),
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[7]~feeder_combout\);

-- Location: FF_X35_Y27_N1
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(7));

-- Location: LCCOMB_X35_Y27_N28
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~23_combout\ = (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(7)) # 
-- ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(7))))) # (!\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(7),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(7),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~23_combout\);

-- Location: IOIBUF_X34_Y39_N22
\pmoda_io[3]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmoda_io(3),
	o => \pmoda_io[3]~input_o\);

-- Location: LCCOMB_X39_Y31_N14
\pmod_in[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_in(7) = LCELL(\pmoda_io[3]~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \pmoda_io[3]~input_o\,
	combout => pmod_in(7));

-- Location: LCCOMB_X39_Y28_N18
\gpio_u0|pmod_input|read_mux_out[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_input|read_mux_out\(7) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & pmod_in(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => pmod_in(7),
	combout => \gpio_u0|pmod_input|read_mux_out\(7));

-- Location: FF_X39_Y28_N19
\gpio_u0|pmod_input|readdata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_input|read_mux_out\(7),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_input|readdata\(7));

-- Location: LCCOMB_X39_Y28_N12
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[7]~feeder_combout\ = \gpio_u0|pmod_input|readdata\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|pmod_input|readdata\(7),
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[7]~feeder_combout\);

-- Location: FF_X39_Y28_N13
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(7));

-- Location: FF_X42_Y31_N5
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(24),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(7));

-- Location: LCCOMB_X42_Y31_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(25),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~feeder_combout\);

-- Location: FF_X42_Y31_N1
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1\(3));

-- Location: LCCOMB_X42_Y31_N4
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(7),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1\(3),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~8_combout\);

-- Location: LCCOMB_X41_Y31_N26
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(25),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~feeder_combout\);

-- Location: FF_X41_Y31_N27
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2\(3));

-- Location: LCCOMB_X39_Y31_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|product_info_0|Mux0~0_combout\,
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~8_combout\,
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2\(3),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~9_combout\);

-- Location: FF_X39_Y31_N3
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~9_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(7));

-- Location: FF_X39_Y28_N31
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(7),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(7));

-- Location: LCCOMB_X39_Y28_N30
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~22_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(7) & ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(7) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(7) & 
-- (((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(7) & \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(7),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(7),
	datad => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~22_combout\);

-- Location: IOIBUF_X0_Y37_N8
\adc2in[8]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_adc2in(8),
	o => \adc2in[8]~input_o\);

-- Location: LCCOMB_X36_Y24_N26
\gpio_u0|adc2_in|read_mux_out[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc2_in|read_mux_out\(7) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \adc2in[8]~input_o\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \adc2in[8]~input_o\,
	combout => \gpio_u0|adc2_in|read_mux_out\(7));

-- Location: FF_X36_Y24_N27
\gpio_u0|adc2_in|readdata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc2_in|read_mux_out\(7),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc2_in|readdata\(7));

-- Location: FF_X37_Y24_N11
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc2_in|readdata\(7),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(7));

-- Location: LCCOMB_X38_Y27_N24
\gpio_u0|dac_ctrl|data_out[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[7]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(7),
	combout => \gpio_u0|dac_ctrl|data_out[7]~feeder_combout\);

-- Location: FF_X38_Y27_N25
\gpio_u0|dac_ctrl|data_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(7));

-- Location: LCCOMB_X37_Y24_N12
\gpio_u0|dac_ctrl|readdata[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(7) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & \gpio_u0|dac_ctrl|data_out\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => \gpio_u0|dac_ctrl|data_out\(7),
	combout => \gpio_u0|dac_ctrl|readdata\(7));

-- Location: FF_X37_Y24_N13
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(7),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(7));

-- Location: LCCOMB_X37_Y24_N10
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~25_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(7)) # 
-- ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(7))))) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(7),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(7),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~25_combout\);

-- Location: FF_X39_Y19_N17
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(7),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(7));

-- Location: LCCOMB_X39_Y19_N16
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[7]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[7]~10_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(7)))) # (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & (\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_char_ready~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(7),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[7]~10_combout\);

-- Location: FF_X38_Y17_N17
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(8),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(7));

-- Location: LCCOMB_X38_Y17_N16
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~9_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(7) & !\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(7),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~9_combout\);

-- Location: LCCOMB_X40_Y19_N4
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[7]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[7]~11_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[7]~10_combout\) # ((\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~9_combout\) # 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\ & \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[7]~10_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~9_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(7),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[7]~11_combout\);

-- Location: FF_X40_Y19_N5
\gpio_u0|uart_0|the_gpio_uart_0_regs|readdata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[7]~11_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(7));

-- Location: LCCOMB_X40_Y20_N18
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[7]~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(7),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[7]~feeder_combout\);

-- Location: FF_X40_Y20_N19
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(7));

-- Location: FF_X38_Y20_N1
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][7]~q\);

-- Location: LCCOMB_X38_Y20_N0
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~3_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][7]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(7),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][7]~q\,
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~3_combout\);

-- Location: LCCOMB_X38_Y20_N12
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][7]~feeder_combout\ = \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~3_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~3_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][7]~feeder_combout\);

-- Location: FF_X38_Y20_N13
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][7]~q\);

-- Location: LCCOMB_X37_Y20_N26
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[7]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[7]~3_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & 
-- (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][7]~q\)) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(7)))))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][7]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][7]~q\,
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(7),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[7]~3_combout\);

-- Location: FF_X37_Y20_N27
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[7]~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(7));

-- Location: FF_X37_Y24_N1
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(7),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(7));

-- Location: LCCOMB_X37_Y24_N0
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~26_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~25_combout\) # ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(7) & 
-- (\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~25_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(7),
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~26_combout\);

-- Location: FF_X29_Y23_N3
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][7]~q\);

-- Location: LCCOMB_X27_Y24_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]~feeder_combout\);

-- Location: FF_X27_Y24_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]~q\);

-- Location: LCCOMB_X29_Y23_N2
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~3_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][7]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][7]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~3_combout\);

-- Location: LCCOMB_X30_Y23_N0
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][7]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~3_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~3_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][7]~feeder_combout\);

-- Location: FF_X30_Y23_N1
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][7]~q\);

-- Location: LCCOMB_X30_Y24_N20
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[7]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[7]~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][7]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][7]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][7]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][7]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[7]~3_combout\);

-- Location: FF_X30_Y24_N21
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[7]~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(7));

-- Location: LCCOMB_X30_Y24_N28
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[7]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(7),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[7]~feeder_combout\);

-- Location: FF_X30_Y24_N29
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(7));

-- Location: LCCOMB_X26_Y29_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[7]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[7]~feeder_combout\);

-- Location: FF_X26_Y29_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(7));

-- Location: FF_X30_Y25_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(7),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(7));

-- Location: LCCOMB_X30_Y25_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~10_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(7))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(7))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(7),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~10_combout\);

-- Location: LCCOMB_X29_Y25_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~11_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~10_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\ 
-- & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(7),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~10_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~11_combout\);

-- Location: FF_X29_Y25_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~11_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(7));

-- Location: FF_X27_Y25_N5
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][7]~q\);

-- Location: LCCOMB_X27_Y25_N4
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~3_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][7]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][7]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(7),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~3_combout\);

-- Location: LCCOMB_X27_Y25_N24
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][7]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~3_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~3_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][7]~feeder_combout\);

-- Location: FF_X27_Y25_N25
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][7]~q\);

-- Location: LCCOMB_X30_Y25_N30
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[7]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[7]~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][7]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(7))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][7]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(7),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][7]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[7]~3_combout\);

-- Location: FF_X30_Y25_N31
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[7]~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(7));

-- Location: FF_X34_Y25_N21
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(7),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(7));

-- Location: LCCOMB_X34_Y25_N20
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~24_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(7)) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(7) & \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\)))) # (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & 
-- (((\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(7) & \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(7),
	datac => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(7),
	datad => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~24_combout\);

-- Location: LCCOMB_X35_Y25_N28
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data\(7) = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~23_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~22_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~26_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~24_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~23_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~22_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~26_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[7]~24_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data\(7));

-- Location: LCCOMB_X42_Y25_N18
\gpio_u0|master_0|transacto|p2m|Selector73~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector73~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\gpio_u0|master_0|transacto|p2m|Mux8~1_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data\(7) & 
-- \gpio_u0|master_0|transacto|p2m|out_data~0_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & (((\gpio_u0|mm_interconnect_0|rsp_mux|src_data\(7) & \gpio_u0|master_0|transacto|p2m|out_data~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Mux8~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data\(7),
	datad => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector73~0_combout\);

-- Location: LCCOMB_X42_Y25_N8
\gpio_u0|master_0|transacto|p2m|Selector73~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector73~5_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector73~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector73~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data\(7) & 
-- \gpio_u0|master_0|transacto|p2m|Selector73~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector73~2_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(7),
	datac => \gpio_u0|master_0|transacto|p2m|Selector73~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector73~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector73~5_combout\);

-- Location: LCCOMB_X42_Y25_N16
\gpio_u0|master_0|transacto|p2m|Selector73~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector73~6_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector73~5_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector0~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector73~5_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector0~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector73~6_combout\);

-- Location: FF_X42_Y25_N17
\gpio_u0|master_0|transacto|p2m|out_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector73~6_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|out_data\(7));

-- Location: LCCOMB_X42_Y25_N14
\gpio_u0|master_0|p2b|in_ready~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|in_ready~3_combout\ = (\gpio_u0|master_0|transacto|p2m|out_data\(7)) # (!\gpio_u0|master_0|transacto|p2m|out_data\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(6),
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(7),
	combout => \gpio_u0|master_0|p2b|in_ready~3_combout\);

-- Location: LCCOMB_X43_Y25_N6
\gpio_u0|master_0|p2b|in_ready~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|in_ready~2_combout\ = ((\gpio_u0|master_0|p2b|sent_esc~q\) # (\gpio_u0|master_0|transacto|p2m|out_data\(2) $ (!\gpio_u0|master_0|transacto|p2m|out_data\(1)))) # (!\gpio_u0|master_0|transacto|p2m|out_data\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111010111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(5),
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(2),
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(1),
	datad => \gpio_u0|master_0|p2b|sent_esc~q\,
	combout => \gpio_u0|master_0|p2b|in_ready~2_combout\);

-- Location: LCCOMB_X43_Y25_N14
\gpio_u0|master_0|p2b|in_ready~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|in_ready~4_combout\ = (\gpio_u0|master_0|p2b|in_ready~3_combout\) # (((\gpio_u0|master_0|p2b|in_ready~2_combout\) # (!\gpio_u0|master_0|transacto|p2m|out_data\(4))) # (!\gpio_u0|master_0|transacto|p2m|out_data\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(3),
	datac => \gpio_u0|master_0|transacto|p2m|out_data\(4),
	datad => \gpio_u0|master_0|p2b|in_ready~2_combout\,
	combout => \gpio_u0|master_0|p2b|in_ready~4_combout\);

-- Location: LCCOMB_X42_Y29_N8
\gpio_u0|master_0|p2b|in_ready~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|in_ready~7_combout\ = (\gpio_u0|master_0|p2b|in_ready~4_combout\ & (!\gpio_u0|master_0|p2b|in_ready~5_combout\ & \gpio_u0|master_0|p2b|in_ready~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|p2b|in_ready~4_combout\,
	datac => \gpio_u0|master_0|p2b|in_ready~5_combout\,
	datad => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	combout => \gpio_u0|master_0|p2b|in_ready~7_combout\);

-- Location: LCCOMB_X42_Y25_N26
\gpio_u0|master_0|transacto|p2m|state~51\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~51_combout\ = (\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & (((!\gpio_u0|master_0|p2b|in_ready~0_combout\) # (!\gpio_u0|master_0|p2b|in_ready~7_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|Equal8~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~7_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~51_combout\);

-- Location: LCCOMB_X41_Y25_N20
\gpio_u0|master_0|transacto|p2m|state~53\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~53_combout\ = (!\gpio_u0|master_0|transacto|p2m|always1~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|state~51_combout\) # ((!\gpio_u0|master_0|transacto|p2m|Equal4~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|state~52_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Equal4~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state~52_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state~51_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~53_combout\);

-- Location: LCCOMB_X40_Y25_N10
\gpio_u0|master_0|transacto|p2m|state~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~54_combout\ = (\gpio_u0|master_0|transacto|p2m|state~53_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|always1~0_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state~53_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~54_combout\);

-- Location: FF_X40_Y25_N11
\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~54_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\);

-- Location: LCCOMB_X44_Y25_N16
\gpio_u0|master_0|transacto|p2m|Selector70~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector70~4_combout\ = (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & !\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector70~4_combout\);

-- Location: LCCOMB_X44_Y25_N22
\gpio_u0|master_0|transacto|p2m|Selector70~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector70~3_combout\ = \gpio_u0|master_0|transacto|p2m|current_byte\(1) $ (((\gpio_u0|master_0|p2b|in_ready~combout\ & \gpio_u0|master_0|transacto|p2m|current_byte\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110101001101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \gpio_u0|master_0|transacto|p2m|Selector70~3_combout\);

-- Location: LCCOMB_X44_Y25_N24
\gpio_u0|master_0|transacto|p2m|Selector70~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector70~5_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & ((\gpio_u0|master_0|transacto|p2m|Selector70~2_combout\) # ((!\gpio_u0|master_0|transacto|p2m|Selector70~4_combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector70~3_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (!\gpio_u0|master_0|transacto|p2m|Selector70~4_combout\ & (\gpio_u0|master_0|transacto|p2m|Selector70~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \gpio_u0|master_0|transacto|p2m|Selector70~4_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector70~3_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector70~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector70~5_combout\);

-- Location: LCCOMB_X44_Y25_N8
\gpio_u0|master_0|transacto|p2m|Selector71~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector71~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\gpio_u0|master_0|transacto|p2m|Equal2~1_combout\) # (!\gpio_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Equal2~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector71~0_combout\);

-- Location: LCCOMB_X44_Y25_N28
\gpio_u0|master_0|transacto|p2m|Selector70~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector70~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|current_byte\(1) $ (((\gpio_u0|master_0|transacto|p2m|enable~combout\ & 
-- \gpio_u0|master_0|transacto|p2m|current_byte\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \gpio_u0|master_0|transacto|p2m|Selector70~0_combout\);

-- Location: LCCOMB_X44_Y25_N2
\gpio_u0|master_0|transacto|p2m|Selector70~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector70~6_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector70~5_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector70~0_combout\) # ((\gpio_u0|master_0|fifo|out_payload\(1) & 
-- \gpio_u0|master_0|transacto|p2m|Selector71~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|out_payload\(1),
	datab => \gpio_u0|master_0|transacto|p2m|Selector70~5_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector71~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector70~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector70~6_combout\);

-- Location: LCCOMB_X40_Y25_N24
\gpio_u0|master_0|transacto|p2m|Selector70~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector70~7_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector70~6_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & 
-- !\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector70~7_combout\);

-- Location: FF_X40_Y25_N25
\gpio_u0|master_0|transacto|p2m|current_byte[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector70~7_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|current_byte\(1));

-- Location: LCCOMB_X42_Y26_N20
\gpio_u0|master_0|transacto|p2m|write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|write~0_combout\ = (\gpio_u0|master_0|b2p|out_endofpacket~q\) # ((\gpio_u0|master_0|transacto|p2m|current_byte\(1) & \gpio_u0|master_0|transacto|p2m|current_byte\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \gpio_u0|master_0|b2p|out_endofpacket~q\,
	combout => \gpio_u0|master_0|transacto|p2m|write~0_combout\);

-- Location: LCCOMB_X42_Y26_N12
\gpio_u0|master_0|transacto|p2m|state~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~44_combout\ = (\gpio_u0|master_0|transacto|p2m|enable~combout\ & (\gpio_u0|master_0|transacto|p2m|write~0_combout\ & (!\gpio_u0|master_0|b2p|out_startofpacket~q\ & 
-- \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|write~0_combout\,
	datac => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state~44_combout\);

-- Location: LCCOMB_X42_Y26_N2
\gpio_u0|master_0|transacto|p2m|state~45\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~45_combout\ = (\gpio_u0|master_0|transacto|p2m|state~44_combout\) # ((!\gpio_u0|master_0|transacto|p2m|always1~0_combout\ & (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- !\gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state~44_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~45_combout\);

-- Location: FF_X42_Y26_N3
\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~45_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\);

-- Location: LCCOMB_X42_Y25_N12
\gpio_u0|master_0|transacto|p2m|Selector38~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector38~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\) # ((!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \gpio_u0|master_0|transacto|p2m|first_trans~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datac => \gpio_u0|master_0|transacto|p2m|first_trans~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector38~0_combout\);

-- Location: FF_X42_Y25_N13
\gpio_u0|master_0|transacto|p2m|first_trans\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector38~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|first_trans~q\);

-- Location: LCCOMB_X42_Y25_N10
\gpio_u0|master_0|transacto|p2m|Selector72~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector72~0_combout\ = (\gpio_u0|master_0|transacto|p2m|out_startofpacket~q\ & (((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\) # (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector72~0_combout\);

-- Location: LCCOMB_X42_Y25_N24
\gpio_u0|master_0|transacto|p2m|Selector72~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector72~1_combout\ = (\gpio_u0|master_0|transacto|p2m|first_trans~q\ & ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\) # ((!\gpio_u0|master_0|p2b|in_ready~combout\ & 
-- \gpio_u0|master_0|transacto|p2m|Selector72~0_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|first_trans~q\ & (!\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|Selector72~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|first_trans~q\,
	datab => \gpio_u0|master_0|p2b|in_ready~combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector72~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector72~1_combout\);

-- Location: LCCOMB_X42_Y25_N2
\gpio_u0|master_0|transacto|p2m|Selector72~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector72~2_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector72~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector0~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector72~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector0~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector72~2_combout\);

-- Location: FF_X42_Y25_N3
\gpio_u0|master_0|transacto|p2m|out_startofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector72~2_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|out_startofpacket~q\);

-- Location: LCCOMB_X42_Y29_N10
\gpio_u0|master_0|p2b|sent_channel~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|sent_channel~0_combout\ = (!\gpio_u0|master_0|p2b|sent_channel~q\ & (\gpio_u0|master_0|p2b|sent_channel_char~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~q\) # (!\gpio_u0|master_0|p2b|stored_channel\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|stored_channel\(0),
	datab => \gpio_u0|master_0|p2b|sent_channel~q\,
	datac => \gpio_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datad => \gpio_u0|master_0|p2b|sent_channel_char~q\,
	combout => \gpio_u0|master_0|p2b|sent_channel~0_combout\);

-- Location: LCCOMB_X42_Y29_N20
\gpio_u0|master_0|p2b|sent_channel~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|sent_channel~1_combout\ = (\gpio_u0|master_0|p2b|sent_channel~0_combout\) # ((\gpio_u0|master_0|p2b|sent_channel~q\ & ((!\gpio_u0|master_0|p2b|in_ready~0_combout\) # (!\gpio_u0|master_0|p2b|in_ready~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|sent_channel~0_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~4_combout\,
	datac => \gpio_u0|master_0|p2b|sent_channel~q\,
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|p2b|sent_channel~1_combout\);

-- Location: FF_X42_Y29_N21
\gpio_u0|master_0|p2b|sent_channel\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|sent_channel~1_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|sent_channel~q\);

-- Location: LCCOMB_X42_Y29_N30
\gpio_u0|master_0|p2b|stored_channel[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|stored_channel[0]~0_combout\ = (\gpio_u0|master_0|p2b|sent_channel~q\) # (\gpio_u0|master_0|p2b|stored_channel\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|p2b|sent_channel~q\,
	datac => \gpio_u0|master_0|p2b|stored_channel\(0),
	combout => \gpio_u0|master_0|p2b|stored_channel[0]~0_combout\);

-- Location: FF_X42_Y29_N31
\gpio_u0|master_0|p2b|stored_channel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|stored_channel[0]~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|stored_channel\(0));

-- Location: LCCOMB_X42_Y29_N4
\gpio_u0|master_0|p2b|in_ready~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|in_ready~5_combout\ = (!\gpio_u0|master_0|p2b|sent_channel~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~q\) # (!\gpio_u0|master_0|p2b|stored_channel\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|stored_channel\(0),
	datab => \gpio_u0|master_0|p2b|sent_channel~q\,
	datac => \gpio_u0|master_0|transacto|p2m|out_startofpacket~q\,
	combout => \gpio_u0|master_0|p2b|in_ready~5_combout\);

-- Location: LCCOMB_X42_Y29_N0
\gpio_u0|master_0|p2b|in_ready\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|in_ready~combout\ = (!\gpio_u0|master_0|p2b|in_ready~5_combout\ & (\gpio_u0|master_0|p2b|in_ready~0_combout\ & (\gpio_u0|master_0|p2b|in_ready~4_combout\ & \gpio_u0|master_0|p2b|in_ready~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~5_combout\,
	datab => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	datac => \gpio_u0|master_0|p2b|in_ready~4_combout\,
	datad => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	combout => \gpio_u0|master_0|p2b|in_ready~combout\);

-- Location: LCCOMB_X43_Y24_N2
\gpio_u0|master_0|transacto|p2m|state~64\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~64_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & (!\gpio_u0|master_0|transacto|p2m|Equal8~0_combout\ & (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- !\gpio_u0|master_0|transacto|p2m|Equal10~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|p2b|in_ready~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Equal10~5_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~64_combout\);

-- Location: LCCOMB_X42_Y24_N16
\gpio_u0|master_0|transacto|p2m|state~65\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~65_combout\ = (!\gpio_u0|master_0|transacto|p2m|always1~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|state~64_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state~64_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~65_combout\);

-- Location: FF_X42_Y24_N17
\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~65_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\);

-- Location: LCCOMB_X40_Y25_N20
\gpio_u0|master_0|transacto|p2m|WideOr14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\) # (((\gpio_u0|master_0|transacto|p2m|out_data~0_combout\) # (\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|Selector70~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector70~1_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	combout => \gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\);

-- Location: LCCOMB_X25_Y28_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[1]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_quad_reg\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[1]~feeder_combout\);

-- Location: FF_X25_Y28_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_data_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(1));

-- Location: LCCOMB_X27_Y24_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]~feeder_combout\);

-- Location: FF_X27_Y24_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]~q\);

-- Location: FF_X29_Y24_N3
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~10_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][17]~q\);

-- Location: LCCOMB_X29_Y24_N2
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~10_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][17]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][17]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~10_combout\);

-- Location: LCCOMB_X29_Y24_N28
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][17]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~10_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~10_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][17]~feeder_combout\);

-- Location: FF_X29_Y24_N29
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][17]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][17]~q\);

-- Location: LCCOMB_X31_Y24_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[17]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[17]~10_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][17]~q\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][17]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[2][1]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][17]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[17]~10_combout\);

-- Location: FF_X31_Y24_N15
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[17]~10_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(17));

-- Location: LCCOMB_X32_Y24_N0
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[17]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(17),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[17]~feeder_combout\);

-- Location: FF_X32_Y24_N1
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[17]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(17));

-- Location: LCCOMB_X39_Y27_N30
\gpio_u0|dac_ctrl|readdata[17]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(17) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \gpio_u0|dac_ctrl|data_out\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|dac_ctrl|data_out\(17),
	combout => \gpio_u0|dac_ctrl|readdata\(17));

-- Location: FF_X39_Y27_N31
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(17),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(17));

-- Location: LCCOMB_X39_Y24_N6
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~19_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(17) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19))))) # 
-- (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(17) & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(17),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~19_combout\);

-- Location: LCCOMB_X38_Y25_N12
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~20_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~19_combout\) # ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(17) & 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(17),
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~19_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~20_combout\);

-- Location: FF_X38_Y25_N13
\gpio_u0|master_0|transacto|p2m|read_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~20_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(9));

-- Location: LCCOMB_X25_Y24_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]~feeder_combout\);

-- Location: FF_X25_Y24_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]~q\);

-- Location: FF_X29_Y24_N11
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~12_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][25]~q\);

-- Location: LCCOMB_X29_Y24_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~12_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][25]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][25]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~12_combout\);

-- Location: LCCOMB_X29_Y24_N4
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][25]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][25]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~12_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~12_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][25]~feeder_combout\);

-- Location: FF_X29_Y24_N5
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][25]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][25]~q\);

-- Location: LCCOMB_X30_Y24_N12
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[25]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[25]~12_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][25]~q\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][25]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[3][1]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][25]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[25]~12_combout\);

-- Location: LCCOMB_X31_Y24_N10
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[25]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[25]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[25]~12_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[25]~12_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[25]~feeder_combout\);

-- Location: FF_X31_Y24_N11
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[25]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(25));

-- Location: LCCOMB_X32_Y24_N24
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[25]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[25]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(25)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(25),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[25]~feeder_combout\);

-- Location: FF_X32_Y24_N25
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[25]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(25));

-- Location: LCCOMB_X38_Y25_N24
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~22_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(25) & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\) # 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(25) & \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(25) & (\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(25) & 
-- ((\gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(25),
	datab => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(25),
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datad => \gpio_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~22_combout\);

-- Location: FF_X38_Y25_N25
\gpio_u0|master_0|transacto|p2m|read_data_buffer[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~22_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(17));

-- Location: LCCOMB_X25_Y24_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]~feeder_combout\);

-- Location: FF_X25_Y24_N7
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]~q\);

-- Location: FF_X29_Y24_N23
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~11_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][9]~q\);

-- Location: LCCOMB_X29_Y24_N22
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~11_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][9]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][9]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~11_combout\);

-- Location: LCCOMB_X29_Y24_N6
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][9]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~11_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~11_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][9]~feeder_combout\);

-- Location: FF_X29_Y24_N7
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][9]~q\);

-- Location: LCCOMB_X30_Y24_N26
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[9]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[9]~11_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][9]~q\)))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][9]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[1][1]~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][9]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[9]~11_combout\);

-- Location: LCCOMB_X31_Y24_N26
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[9]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[9]~11_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[9]~11_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[9]~feeder_combout\);

-- Location: FF_X31_Y24_N27
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(9));

-- Location: LCCOMB_X32_Y24_N30
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[9]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(9),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[9]~feeder_combout\);

-- Location: FF_X32_Y24_N31
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(9));

-- Location: LCCOMB_X36_Y25_N26
\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~21_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(9) & (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\ $ 
-- (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(9),
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_to_out_synchronizer|dreg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~21_combout\);

-- Location: FF_X40_Y31_N9
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(26),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(9));

-- Location: LCCOMB_X40_Y31_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~17\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(9),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~17_combout\);

-- Location: LCCOMB_X39_Y31_N10
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~17_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[9]~feeder_combout\);

-- Location: FF_X39_Y31_N11
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(9));

-- Location: FF_X39_Y27_N1
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(9),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(9));

-- Location: LCCOMB_X40_Y27_N22
\gpio_u0|dac_ctrl|data_out[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[9]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(9),
	combout => \gpio_u0|dac_ctrl|data_out[9]~feeder_combout\);

-- Location: FF_X40_Y27_N23
\gpio_u0|dac_ctrl|data_out[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(9));

-- Location: LCCOMB_X39_Y27_N20
\gpio_u0|dac_ctrl|readdata[9]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(9) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\gpio_u0|dac_ctrl|data_out\(9) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datab => \gpio_u0|dac_ctrl|data_out\(9),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dac_ctrl|readdata\(9));

-- Location: FF_X39_Y27_N21
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(9),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(9));

-- Location: LCCOMB_X39_Y27_N0
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[9]~47\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[9]~47_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(9)) # 
-- ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(9))))) # (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(9)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(9),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(9),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[9]~47_combout\);

-- Location: LCCOMB_X41_Y22_N20
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[9]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(9),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[9]~feeder_combout\);

-- Location: FF_X41_Y22_N21
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|take_in_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(9));

-- Location: LCCOMB_X41_Y19_N26
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[9]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|in_data_buffer\(9),
	combout => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[9]~feeder_combout\);

-- Location: FF_X41_Y19_N27
\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(9));

-- Location: LCCOMB_X41_Y19_N4
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[9]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(9),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[9]~feeder_combout\);

-- Location: FF_X41_Y19_N5
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(9));

-- Location: LCCOMB_X39_Y20_N18
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~21_combout\ = (\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & (\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(9) & 
-- (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(9),
	datac => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~21_combout\);

-- Location: FF_X39_Y20_N19
\gpio_u0|uart_0|the_gpio_uart_0_regs|readdata[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~21_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(9));

-- Location: LCCOMB_X38_Y20_N30
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[9]~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(9),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[9]~feeder_combout\);

-- Location: FF_X38_Y20_N31
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(9));

-- Location: LCCOMB_X39_Y20_N28
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][9]~feeder_combout\ = \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~7_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~7_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][9]~feeder_combout\);

-- Location: FF_X39_Y20_N29
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][9]~q\);

-- Location: LCCOMB_X38_Y20_N22
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~7_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][9]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(9),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][9]~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~7_combout\);

-- Location: FF_X38_Y20_N23
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][9]~q\);

-- Location: LCCOMB_X37_Y20_N18
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[9]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[9]~7_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & (((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][9]~q\)))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(9))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][9]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(9),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][9]~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[9]~7_combout\);

-- Location: FF_X37_Y20_N19
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[9]~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(9));

-- Location: LCCOMB_X37_Y21_N10
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[9]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(9),
	combout => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[9]~feeder_combout\);

-- Location: FF_X37_Y21_N11
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(9));

-- Location: LCCOMB_X37_Y25_N10
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[9]~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[9]~48_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~21_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[9]~47_combout\) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(9) & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~21_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[9]~47_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(9),
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[9]~48_combout\);

-- Location: FF_X37_Y25_N11
\gpio_u0|master_0|transacto|p2m|read_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[9]~48_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(1));

-- Location: LCCOMB_X38_Y25_N14
\gpio_u0|master_0|transacto|p2m|Mux14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux14~0_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(1) & (((\gpio_u0|master_0|transacto|p2m|current_byte\(0))))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1) & 
-- ((\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|read_data_buffer\(1))) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & ((\gpio_u0|master_0|transacto|p2m|out_data\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001111100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(1),
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \gpio_u0|master_0|transacto|p2m|out_data\(1),
	combout => \gpio_u0|master_0|transacto|p2m|Mux14~0_combout\);

-- Location: LCCOMB_X38_Y25_N6
\gpio_u0|master_0|transacto|p2m|Mux14~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Mux14~1_combout\ = (\gpio_u0|master_0|transacto|p2m|Mux14~0_combout\ & (((\gpio_u0|master_0|transacto|p2m|read_data_buffer\(17)) # (!\gpio_u0|master_0|transacto|p2m|current_byte\(1))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|Mux14~0_combout\ & (\gpio_u0|master_0|transacto|p2m|read_data_buffer\(9) & ((\gpio_u0|master_0|transacto|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(9),
	datab => \gpio_u0|master_0|transacto|p2m|read_data_buffer\(17),
	datac => \gpio_u0|master_0|transacto|p2m|Mux14~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \gpio_u0|master_0|transacto|p2m|Mux14~1_combout\);

-- Location: LCCOMB_X38_Y25_N26
\gpio_u0|master_0|transacto|p2m|Selector79~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector79~1_combout\ = (\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\ & (((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \gpio_u0|master_0|transacto|p2m|Mux14~1_combout\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\ & ((\gpio_u0|master_0|transacto|p2m|out_data\(1)) # ((\gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \gpio_u0|master_0|transacto|p2m|Mux14~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|out_data\(1),
	datac => \gpio_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \gpio_u0|master_0|transacto|p2m|Mux14~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector79~1_combout\);

-- Location: LCCOMB_X38_Y25_N18
\gpio_u0|master_0|transacto|p2m|Selector79~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector79~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(1))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\ & ((\gpio_u0|master_0|transacto|p2m|command\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(1),
	datab => \gpio_u0|master_0|transacto|p2m|out_startofpacket~5_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|command\(1),
	datad => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector79~0_combout\);

-- Location: LCCOMB_X44_Y25_N6
\gpio_u0|master_0|transacto|p2m|Selector79~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector79~2_combout\ = (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (\gpio_u0|master_0|transacto|p2m|counter\(9) & ((!\gpio_u0|master_0|transacto|p2m|current_byte\(1))))) # 
-- (!\gpio_u0|master_0|transacto|p2m|current_byte\(0) & (((\gpio_u0|master_0|transacto|p2m|counter\(1) & \gpio_u0|master_0|transacto|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|counter\(9),
	datab => \gpio_u0|master_0|transacto|p2m|counter\(1),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \gpio_u0|master_0|transacto|p2m|Selector79~2_combout\);

-- Location: LCCOMB_X43_Y25_N10
\gpio_u0|master_0|transacto|p2m|Selector79~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector79~3_combout\ = (\gpio_u0|master_0|p2b|in_ready~combout\ & ((\gpio_u0|master_0|transacto|p2m|Selector79~2_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data\(1) & 
-- \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\)))) # (!\gpio_u0|master_0|p2b|in_ready~combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(1),
	datab => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	datac => \gpio_u0|master_0|p2b|in_ready~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector79~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector79~3_combout\);

-- Location: LCCOMB_X36_Y22_N12
\gpio_u0|altpll_0|pfdena_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|altpll_0|pfdena_reg~0_combout\ = (\gpio_u0|altpll_0|wire_pfdena_reg_ena~0_combout\ & ((\gpio_u0|mm_interconnect_0|router|Equal9~1_combout\ & ((!\gpio_u0|master_0|transacto|p2m|writedata\(1)))) # 
-- (!\gpio_u0|mm_interconnect_0|router|Equal9~1_combout\ & (\gpio_u0|altpll_0|pfdena_reg~q\)))) # (!\gpio_u0|altpll_0|wire_pfdena_reg_ena~0_combout\ & (((\gpio_u0|altpll_0|pfdena_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|altpll_0|wire_pfdena_reg_ena~0_combout\,
	datab => \gpio_u0|mm_interconnect_0|router|Equal9~1_combout\,
	datac => \gpio_u0|altpll_0|pfdena_reg~q\,
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	combout => \gpio_u0|altpll_0|pfdena_reg~0_combout\);

-- Location: FF_X36_Y22_N13
\gpio_u0|altpll_0|pfdena_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|altpll_0|pfdena_reg~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|altpll_0|pfdena_reg~q\);

-- Location: LCCOMB_X34_Y22_N24
\gpio_u0|altpll_0|readdata[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|altpll_0|readdata[1]~0_combout\ = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~2_combout\ & ((!\gpio_u0|altpll_0|pfdena_reg~q\) # 
-- (!\gpio_u0|master_0|transacto|p2m|address\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(2),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|altpll_0|pfdena_reg~q\,
	datad => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg~2_combout\,
	combout => \gpio_u0|altpll_0|readdata[1]~0_combout\);

-- Location: FF_X34_Y22_N25
\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|altpll_0|readdata[1]~0_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|av_readdata_pre\(1));

-- Location: FF_X42_Y31_N23
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(18),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(1));

-- Location: LCCOMB_X43_Y31_N18
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(29),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[1]~feeder_combout\);

-- Location: FF_X43_Y31_N19
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs2[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2\(1));

-- Location: LCCOMB_X42_Y31_N22
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101010011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|watchdog_timer\(1),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source2\(1),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~3_combout\);

-- Location: FF_X42_Y31_N3
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(29),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_msm_cs1[3]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1\(1));

-- Location: LCCOMB_X42_Y33_N20
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|read_reg|dffs\(13),
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~feeder_combout\);

-- Location: FF_X42_Y33_N21
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~q\);

-- Location: LCCOMB_X42_Y31_N2
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|app_reconfig_source1\(1),
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rd_boot_sel~q\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~4_combout\);

-- Location: LCCOMB_X39_Y31_N8
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(4),
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|always0~1_combout\,
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg~1_combout\,
	datad => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~4_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~5_combout\);

-- Location: LCCOMB_X39_Y31_N0
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~5_combout\,
	combout => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[1]~feeder_combout\);

-- Location: FF_X39_Y31_N1
\gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(1));

-- Location: FF_X38_Y25_N11
\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|dual_boot_0|alt_dual_boot_avmm_comp|avmm_rcv_readdata\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(1));

-- Location: LCCOMB_X38_Y25_N10
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~8_combout\ = (\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(1)) # 
-- ((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|av_readdata_pre\(1) & \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0))))) # 
-- (!\gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|av_readdata_pre\(1) & 
-- ((\gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|av_readdata_pre\(1),
	datac => \gpio_u0|mm_interconnect_0|dual_boot_0_avalon_translator|av_readdata_pre\(1),
	datad => \gpio_u0|mm_interconnect_0|altpll_0_pll_slave_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~8_combout\);

-- Location: IOIBUF_X24_Y39_N29
\pmodb_io[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmodb_io(1),
	o => \pmodb_io[1]~input_o\);

-- Location: LCCOMB_X41_Y35_N8
\pmod_in[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_in(1) = LCELL(\pmodb_io[1]~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \pmodb_io[1]~input_o\,
	combout => pmod_in(1));

-- Location: LCCOMB_X41_Y28_N24
\gpio_u0|pmod_input|read_mux_out[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_input|read_mux_out\(1) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & pmod_in(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => pmod_in(1),
	combout => \gpio_u0|pmod_input|read_mux_out\(1));

-- Location: FF_X41_Y28_N25
\gpio_u0|pmod_input|readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_input|read_mux_out\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_input|readdata\(1));

-- Location: LCCOMB_X41_Y28_N20
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[1]~feeder_combout\ = \gpio_u0|pmod_input|readdata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|pmod_input|readdata\(1),
	combout => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[1]~feeder_combout\);

-- Location: FF_X41_Y28_N21
\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(1));

-- Location: IOIBUF_X78_Y29_N8
\user_dipsw[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(1),
	o => \user_dipsw[1]~input_o\);

-- Location: LCCOMB_X41_Y28_N8
\gpio_u0|user_dipsw|read_mux_out[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_dipsw|read_mux_out\(1) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \user_dipsw[1]~input_o\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \user_dipsw[1]~input_o\,
	combout => \gpio_u0|user_dipsw|read_mux_out\(1));

-- Location: FF_X41_Y28_N9
\gpio_u0|user_dipsw|readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_dipsw|read_mux_out\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_dipsw|readdata\(1));

-- Location: FF_X41_Y28_N15
\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|user_dipsw|readdata\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(1));

-- Location: LCCOMB_X41_Y28_N14
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~10_combout\ = (\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(1)) # 
-- ((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(1) & \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0))))) # (!\gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0) & 
-- (((\gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(1) & \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_input_s1_translator|av_readdata_pre\(1),
	datac => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|av_readdata_pre\(1),
	datad => \gpio_u0|mm_interconnect_0|user_dipsw_s1_translator|read_latency_shift_reg\(0),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~10_combout\);

-- Location: LCCOMB_X36_Y27_N12
\gpio_u0|adc1_out|data_out[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|data_out[1]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	combout => \gpio_u0|adc1_out|data_out[1]~feeder_combout\);

-- Location: FF_X36_Y27_N13
\gpio_u0|adc1_out|data_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|data_out[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|adc1_out|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|data_out\(1));

-- Location: LCCOMB_X36_Y27_N14
\gpio_u0|adc1_out|read_mux_out[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc1_out|read_mux_out\(1) = (!\gpio_u0|master_0|transacto|p2m|address\(2) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & \gpio_u0|adc1_out|data_out\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|address\(2),
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => \gpio_u0|adc1_out|data_out\(1),
	combout => \gpio_u0|adc1_out|read_mux_out\(1));

-- Location: FF_X36_Y27_N15
\gpio_u0|adc1_out|readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc1_out|read_mux_out\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc1_out|readdata\(1));

-- Location: FF_X36_Y27_N25
\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc1_out|readdata\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(1));

-- Location: FF_X36_Y31_N7
\gpio_u0|pmod_output|data_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|pmod_output|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|data_out\(1));

-- Location: LCCOMB_X36_Y31_N6
\pmod_out[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- pmod_out(1) = LCELL(\gpio_u0|pmod_output|data_out\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|pmod_output|data_out\(1),
	combout => pmod_out(1));

-- Location: LCCOMB_X36_Y31_N8
\gpio_u0|pmod_output|read_mux_out[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|pmod_output|read_mux_out\(1) = (pmod_out(1) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => pmod_out(1),
	datab => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|pmod_output|read_mux_out\(1));

-- Location: FF_X36_Y31_N9
\gpio_u0|pmod_output|readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|pmod_output|read_mux_out\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|pmod_output|readdata\(1));

-- Location: LCCOMB_X36_Y27_N16
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[1]~feeder_combout\ = \gpio_u0|pmod_output|readdata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|pmod_output|readdata\(1),
	combout => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[1]~feeder_combout\);

-- Location: FF_X36_Y27_N17
\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(1));

-- Location: LCCOMB_X36_Y27_N24
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~11_combout\ = (\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(1)) # 
-- ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(1))))) # (!\gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc1_out_s1_translator|av_readdata_pre\(1),
	datad => \gpio_u0|mm_interconnect_0|pmod_output_s1_translator|av_readdata_pre\(1),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~11_combout\);

-- Location: IOIBUF_X78_Y25_N22
\user_pb[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(1),
	o => \user_pb[1]~input_o\);

-- Location: LCCOMB_X39_Y25_N4
\gpio_u0|user_pb|read_mux_out[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_pb|read_mux_out\(1) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \user_pb[1]~input_o\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \user_pb[1]~input_o\,
	combout => \gpio_u0|user_pb|read_mux_out\(1));

-- Location: FF_X39_Y25_N5
\gpio_u0|user_pb|readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_pb|read_mux_out\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_pb|readdata\(1));

-- Location: FF_X39_Y25_N7
\gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|user_pb|readdata\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(1));

-- Location: LCCOMB_X38_Y28_N12
\gpio_u0|user_led|data_out[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|data_out[1]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	combout => \gpio_u0|user_led|data_out[1]~feeder_combout\);

-- Location: FF_X38_Y28_N13
\gpio_u0|user_led|data_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_led|data_out[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|user_led|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|user_led|data_out\(1));

-- Location: LCCOMB_X39_Y25_N16
\gpio_u0|user_led|readdata[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|user_led|readdata\(1) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (!\gpio_u0|master_0|transacto|p2m|address\(2) & \gpio_u0|user_led|data_out\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \gpio_u0|master_0|transacto|p2m|address\(2),
	datad => \gpio_u0|user_led|data_out\(1),
	combout => \gpio_u0|user_led|readdata\(1));

-- Location: FF_X39_Y25_N17
\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|user_led|readdata\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(1));

-- Location: LCCOMB_X39_Y25_N6
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~9_combout\ = (\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(1)) # 
-- ((\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(1))))) # (!\gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|user_led_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|user_pb_s1_translator|av_readdata_pre\(1),
	datad => \gpio_u0|mm_interconnect_0|user_led_s1_translator|av_readdata_pre\(1),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~9_combout\);

-- Location: LCCOMB_X38_Y25_N30
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~12_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~8_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~10_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~11_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~8_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~10_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~11_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~9_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~12_combout\);

-- Location: FF_X30_Y25_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(1),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_statreg_out_ena~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(1));

-- Location: LCCOMB_X30_Y25_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~6_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(1))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|always14~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|statreg_out\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~6_combout\);

-- Location: LCCOMB_X35_Y33_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_write_b4out_wire~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_write_b4out_wire~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\(8),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_write_b4out_wire~0_combout\);

-- Location: FF_X35_Y33_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_write_dly_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_write_b4out_wire~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|power_up_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_write_dly_reg~q\);

-- Location: LCCOMB_X35_Y33_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_write_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_write_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_write_dly_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pagewr_buf_not_empty\(8),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|illegal_write_dly_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_write_reg~0_combout\);

-- Location: FF_X35_Y33_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_write_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_write_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_write_reg~q\);

-- Location: LCCOMB_X32_Y29_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_write_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_reg~q\ & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~0_combout\) # (!\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ill_write_reg~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~1_combout\);

-- Location: FF_X32_Y29_N7
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_combi~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_reg~q\);

-- Location: FF_X32_Y29_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|m_illegal_write_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_imr_combi~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|m_illegal_write_reg~q\);

-- Location: LCCOMB_X32_Y29_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~4_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_combi~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|m_illegal_write_reg~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_combi~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_combi~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|illegal_write_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_isr_combi~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|m_illegal_write_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_imr_combi~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~4_combout\);

-- Location: FF_X26_Y29_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_dout_reg\(1),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_load~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(1));

-- Location: LCCOMB_X26_Y29_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~5_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(1) & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_delay_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|rdid_out_reg\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_rdid_en~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~5_combout\);

-- Location: LCCOMB_X32_Y29_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~7_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~4_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~6_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~5_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~6_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~4_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~5_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~7_combout\);

-- Location: FF_X32_Y29_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(1));

-- Location: FF_X27_Y25_N11
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][1]~q\);

-- Location: LCCOMB_X27_Y25_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~1_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][1]~q\))) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[1][1]~q\,
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(1),
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~1_combout\);

-- Location: LCCOMB_X29_Y25_N10
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][1]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][1]~feeder_combout\);

-- Location: FF_X29_Y25_N11
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][1]~q\);

-- Location: LCCOMB_X30_Y25_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[1]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][1]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(1))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\ & (((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][1]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata_valid~combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_csr_rddata\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|mem[0][1]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[1]~1_combout\);

-- Location: FF_X30_Y25_N15
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_csr_agent_rdata_fifo|out_data[1]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(1));

-- Location: FF_X34_Y25_N25
\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_data_buffer\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(1));

-- Location: IOIBUF_X0_Y34_N8
\adc2in[2]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_adc2in(2),
	o => \adc2in[2]~input_o\);

-- Location: LCCOMB_X37_Y27_N22
\gpio_u0|adc2_in|read_mux_out[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|adc2_in|read_mux_out\(1) = (!\gpio_u0|master_0|transacto|p2m|address\(3) & (\adc2in[2]~input_o\ & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|address\(3),
	datac => \adc2in[2]~input_o\,
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|adc2_in|read_mux_out\(1));

-- Location: FF_X37_Y27_N23
\gpio_u0|adc2_in|readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|adc2_in|read_mux_out\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|adc2_in|readdata\(1));

-- Location: FF_X37_Y27_N3
\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|adc2_in|readdata\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(1));

-- Location: LCCOMB_X37_Y27_N28
\gpio_u0|dac_ctrl|data_out[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|data_out[1]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	combout => \gpio_u0|dac_ctrl|data_out[1]~feeder_combout\);

-- Location: FF_X37_Y27_N29
\gpio_u0|dac_ctrl|data_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|data_out[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(1));

-- Location: LCCOMB_X37_Y27_N12
\gpio_u0|dac_ctrl|readdata[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|dac_ctrl|readdata\(1) = (\gpio_u0|dac_ctrl|data_out\(1) & (!\gpio_u0|master_0|transacto|p2m|address\(3) & !\gpio_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|dac_ctrl|data_out\(1),
	datac => \gpio_u0|master_0|transacto|p2m|address\(3),
	datad => \gpio_u0|master_0|transacto|p2m|address\(2),
	combout => \gpio_u0|dac_ctrl|readdata\(1));

-- Location: FF_X37_Y27_N13
\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|dac_ctrl|readdata\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(1));

-- Location: LCCOMB_X37_Y27_N2
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~13_combout\ = (\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(1)) # 
-- ((\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(1))))) # (!\gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0) & (\gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|read_latency_shift_reg\(0),
	datac => \gpio_u0|mm_interconnect_0|adc2_in_s1_translator|av_readdata_pre\(1),
	datad => \gpio_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(1),
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~13_combout\);

-- Location: LCCOMB_X34_Y25_N24
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~14_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~13_combout\) # ((\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(1) & 
-- (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0) $ (\gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|in_to_out_synchronizer|dreg\(0),
	datab => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_toggle_flopped~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_003|clock_xer|out_data_buffer\(1),
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~13_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~14_combout\);

-- Location: FF_X29_Y23_N19
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][1]~q\);

-- Location: LCCOMB_X27_Y24_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_data_reg\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]~feeder_combout\);

-- Location: FF_X27_Y24_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Decoder0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]~q\);

-- Location: LCCOMB_X29_Y23_N18
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~1_combout\ = (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][1]~q\)) # (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(1),
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[1][1]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~1_combout\);

-- Location: LCCOMB_X30_Y23_N8
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][1]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][1]~feeder_combout\);

-- Location: FF_X30_Y23_N9
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][1]~q\);

-- Location: LCCOMB_X30_Y24_N14
\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[1]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & 
-- ((\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][1]~q\)) # 
-- (!\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\ & (\gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|avl_mem_rddata_valid~q\,
	datab => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem[0][1]~q\,
	datac => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|rd_data_reg[0][1]~q\,
	combout => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[1]~1_combout\);

-- Location: LCCOMB_X31_Y24_N16
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[1]~feeder_combout\ = \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[1]~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|generic_quad_spi_controller_0_avl_mem_agent_rdata_fifo|out_data[1]~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[1]~feeder_combout\);

-- Location: FF_X31_Y24_N17
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(1));

-- Location: LCCOMB_X32_Y25_N28
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[1]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|in_data_buffer\(1),
	combout => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[1]~feeder_combout\);

-- Location: FF_X32_Y25_N29
\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(1));

-- Location: FF_X38_Y17_N15
\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|uart_0|the_gpio_uart_0_rx|unxshiftxrxd_shift_regxshift_reg_start_bit_nxx6_out\(2),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_rx|got_new_char~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(1));

-- Location: LCCOMB_X38_Y17_N14
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~3_combout\ = (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39) & (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40) & 
-- (\gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(1) & !\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(39),
	datab => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(40),
	datac => \gpio_u0|uart_0|the_gpio_uart_0_rx|rx_data\(1),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~3_combout\);

-- Location: FF_X39_Y19_N15
\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(1),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_wr_strobe~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(1));

-- Location: LCCOMB_X39_Y19_N14
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[1]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[1]~4_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\ & ((\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(1)))) # (!\gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38) & (\gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_rx|framing_error~q\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal0~0_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(1),
	datad => \gpio_u0|mm_interconnect_0|crosser_002|clock_xer|out_data_buffer\(38),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[1]~4_combout\);

-- Location: LCCOMB_X40_Y19_N30
\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[1]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[1]~5_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~3_combout\) # ((\gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[1]~4_combout\) # 
-- ((\gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(1) & \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_regs|tx_data\(1),
	datab => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data~3_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|Equal2~0_combout\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[1]~4_combout\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[1]~5_combout\);

-- Location: FF_X40_Y19_N31
\gpio_u0|uart_0|the_gpio_uart_0_regs|readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_regs|selected_read_data[1]~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(1));

-- Location: LCCOMB_X37_Y20_N4
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[1]~feeder_combout\ = \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|readdata\(1),
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[1]~feeder_combout\);

-- Location: FF_X37_Y20_N5
\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(1));

-- Location: LCCOMB_X38_Y20_N24
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][1]~feeder_combout\ = \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~1_combout\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][1]~feeder_combout\);

-- Location: FF_X38_Y20_N25
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][1]~q\);

-- Location: LCCOMB_X38_Y20_N26
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~1_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][1]~q\))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(1),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(1),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[1][1]~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~1_combout\);

-- Location: FF_X38_Y20_N27
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][1]~q\);

-- Location: LCCOMB_X37_Y20_N20
\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[1]~1_combout\ = (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & 
-- ((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][1]~q\))) # (!\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0) & (\gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(1))))) # 
-- (!\gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0) & (((\gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][1]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|read_latency_shift_reg\(0),
	datab => \gpio_u0|mm_interconnect_0|uart_0_s1_translator|av_readdata_pre\(1),
	datac => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem_used\(0),
	datad => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|mem[0][1]~q\,
	combout => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[1]~1_combout\);

-- Location: FF_X37_Y20_N21
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|uart_0_s1_agent_rdata_fifo|out_data[1]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(1));

-- Location: FF_X37_Y22_N15
\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|in_data_buffer\(1),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(1));

-- Location: LCCOMB_X37_Y25_N20
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~15_combout\ = (\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & ((\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(1)) # 
-- ((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(1) & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\)))) # (!\gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\ & 
-- (((\gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(1) & \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_valid~combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser_004|clock_xer|out_data_buffer\(1),
	datac => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_data_buffer\(1),
	datad => \gpio_u0|mm_interconnect_0|crosser_005|clock_xer|out_valid~combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~15_combout\);

-- Location: LCCOMB_X38_Y25_N28
\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~16_combout\ = (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~12_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\) # ((\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~14_combout\) # 
-- (\gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~15_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~12_combout\,
	datab => \gpio_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\,
	datac => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~14_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~15_combout\,
	combout => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~16_combout\);

-- Location: LCCOMB_X38_Y25_N22
\gpio_u0|master_0|transacto|p2m|Selector79~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector79~4_combout\ = (\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & ((\gpio_u0|master_0|transacto|p2m|Selector79~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|out_data~0_combout\ & 
-- \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~16_combout\)))) # (!\gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & (((\gpio_u0|master_0|transacto|p2m|out_data~0_combout\ & \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~16_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector79~3_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|out_data~0_combout\,
	datad => \gpio_u0|mm_interconnect_0|rsp_mux|src_data[1]~16_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector79~4_combout\);

-- Location: LCCOMB_X38_Y25_N0
\gpio_u0|master_0|transacto|p2m|Selector79~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector79~5_combout\ = (\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & ((\gpio_u0|master_0|transacto|p2m|command\(1)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\ & (\gpio_u0|master_0|transacto|p2m|out_data\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(1),
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|command\(1),
	datad => \gpio_u0|master_0|transacto|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector79~5_combout\);

-- Location: LCCOMB_X38_Y25_N16
\gpio_u0|master_0|transacto|p2m|Selector79~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector79~6_combout\ = (\gpio_u0|master_0|transacto|p2m|Selector79~1_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector79~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector79~4_combout\) # 
-- (\gpio_u0|master_0|transacto|p2m|Selector79~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|Selector79~1_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector79~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|Selector79~4_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Selector79~5_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector79~6_combout\);

-- Location: FF_X38_Y25_N17
\gpio_u0|master_0|transacto|p2m|out_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|Selector79~6_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|out_data\(1));

-- Location: LCCOMB_X42_Y29_N18
\gpio_u0|master_0|p2b|out_data[1]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|p2b|out_data[1]~4_combout\ = (!\gpio_u0|master_0|p2b|in_ready~5_combout\ & (((\gpio_u0|master_0|transacto|p2m|out_data\(1) & \gpio_u0|master_0|p2b|in_ready~4_combout\)) # (!\gpio_u0|master_0|p2b|in_ready~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|out_data\(1),
	datab => \gpio_u0|master_0|p2b|in_ready~5_combout\,
	datac => \gpio_u0|master_0|p2b|in_ready~4_combout\,
	datad => \gpio_u0|master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|master_0|p2b|out_data[1]~4_combout\);

-- Location: FF_X42_Y29_N19
\gpio_u0|master_0|p2b|out_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|p2b|out_data[1]~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|p2b|out_data\(1));

-- Location: LCCOMB_X45_Y32_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\ = \gpio_u0|master_0|p2b|out_data\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|p2b|out_data\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\);

-- Location: FF_X45_Y32_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(1));

-- Location: LCCOMB_X45_Y32_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\);

-- Location: FF_X45_Y32_N5
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1));

-- Location: LCCOMB_X46_Y32_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]~feeder_combout\);

-- Location: FF_X46_Y32_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(1));

-- Location: LCCOMB_X46_Y32_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(1))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(1),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\);

-- Location: FF_X46_Y32_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1));

-- Location: LCCOMB_X47_Y32_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1) & 
-- !\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\);

-- Location: LCCOMB_X51_Y35_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\);

-- Location: LCCOMB_X50_Y32_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5) $ 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\);

-- Location: LCCOMB_X51_Y36_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\);

-- Location: LCCOMB_X50_Y32_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100111000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\);

-- Location: LCCOMB_X50_Y32_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\);

-- Location: LCCOMB_X50_Y32_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~34_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7) & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\) # 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~34_combout\);

-- Location: LCCOMB_X50_Y36_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\);

-- Location: FF_X50_Y32_N27
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~34_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7));

-- Location: LCCOMB_X50_Y32_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110001110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\);

-- Location: LCCOMB_X51_Y36_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2)) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0)) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\) # 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\);

-- Location: LCCOMB_X50_Y32_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\ = ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101100111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\);

-- Location: LCCOMB_X50_Y32_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\);

-- Location: LCCOMB_X50_Y32_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~31_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~31_combout\);

-- Location: FF_X50_Y32_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~31_combout\,
	sclr => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6));

-- Location: LCCOMB_X50_Y32_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\);

-- Location: LCCOMB_X50_Y32_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\);

-- Location: LCCOMB_X50_Y32_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\);

-- Location: LCCOMB_X50_Y32_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\);

-- Location: FF_X50_Y32_N15
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\,
	sclr => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5));

-- Location: LCCOMB_X51_Y32_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\);

-- Location: LCCOMB_X51_Y32_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5),
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\);

-- Location: LCCOMB_X51_Y32_N28
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\);

-- Location: LCCOMB_X51_Y32_N14
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\);

-- Location: FF_X51_Y32_N29
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\,
	sclr => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4));

-- Location: LCCOMB_X51_Y32_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3)) # ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\);

-- Location: LCCOMB_X51_Y32_N24
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\ = ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4)))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110101011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\);

-- Location: LCCOMB_X51_Y32_N2
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\);

-- Location: LCCOMB_X51_Y32_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3)) # ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\);

-- Location: FF_X51_Y32_N3
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\,
	sclr => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3));

-- Location: LCCOMB_X47_Y32_N20
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2)) # 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\);

-- Location: LCCOMB_X51_Y32_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\);

-- Location: LCCOMB_X51_Y32_N18
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\)) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\);

-- Location: LCCOMB_X51_Y32_N16
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\);

-- Location: LCCOMB_X51_Y32_N4
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\);

-- Location: FF_X51_Y32_N17
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\,
	sclr => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2));

-- Location: LCCOMB_X51_Y32_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\) # ((!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111110110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\);

-- Location: LCCOMB_X51_Y32_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\ = ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2))))) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\);

-- Location: LCCOMB_X51_Y32_N8
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\);

-- Location: LCCOMB_X51_Y32_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\);

-- Location: FF_X51_Y32_N9
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\,
	sclr => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1));

-- Location: LCCOMB_X47_Y32_N6
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0)) # 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\);

-- Location: LCCOMB_X51_Y35_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\);

-- Location: LCCOMB_X51_Y36_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\)))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\);

-- Location: LCCOMB_X51_Y36_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\);

-- Location: LCCOMB_X51_Y36_N0
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\);

-- Location: LCCOMB_X51_Y36_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\)) # (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\);

-- Location: FF_X51_Y36_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	sload => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(0));

-- Location: LCCOMB_X50_Y36_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\) # 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\)))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\);

-- Location: LCCOMB_X49_Y36_N26
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(0))) # 
-- (!\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ & ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(0)))))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- (((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datab => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(0),
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(0),
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\);

-- Location: LCCOMB_X50_Y36_N10
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\);

-- Location: LCCOMB_X50_Y36_N30
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\ = (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\) # ((\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\,
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\);

-- Location: LCCOMB_X49_Y39_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0_combout\);

-- Location: LCCOMB_X50_Y43_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datad => VCC,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~6\);

-- Location: LCCOMB_X50_Y43_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal7~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal7~0_combout\);

-- Location: LCCOMB_X50_Y43_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~12\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~13_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~14\);

-- Location: LCCOMB_X50_Y43_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~14\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~15_combout\);

-- Location: LCCOMB_X51_Y39_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\);

-- Location: FF_X50_Y43_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~15_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4));

-- Location: LCCOMB_X50_Y39_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal7~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\);

-- Location: FF_X50_Y43_N1
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0));

-- Location: LCCOMB_X50_Y43_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~6\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~9_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~10\);

-- Location: FF_X50_Y43_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~9_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1));

-- Location: LCCOMB_X50_Y43_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~10\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~11_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~12\);

-- Location: FF_X50_Y43_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~11_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2));

-- Location: FF_X50_Y43_N7
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~13_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3));

-- Location: LCCOMB_X50_Y43_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2_combout\);

-- Location: LCCOMB_X50_Y43_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1_combout\);

-- Location: LCCOMB_X50_Y40_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder_combout\);

-- Location: LCCOMB_X49_Y39_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\);

-- Location: LCCOMB_X50_Y39_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\);

-- Location: FF_X50_Y40_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(3));

-- Location: LCCOMB_X50_Y40_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder_combout\);

-- Location: FF_X50_Y40_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(2));

-- Location: LCCOMB_X50_Y40_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder_combout\);

-- Location: FF_X50_Y40_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(1));

-- Location: LCCOMB_X50_Y40_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder_combout\);

-- Location: FF_X50_Y40_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(0));

-- Location: LCCOMB_X50_Y39_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\);

-- Location: FF_X50_Y44_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(0),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(0));

-- Location: IOIBUF_X34_Y39_N15
\usb_clk~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_usb_clk,
	o => \usb_clk~input_o\);

-- Location: CLKCTRL_G13
\usb_clk~inputclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \usb_clk~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \usb_clk~inputclkctrl_outclk\);

-- Location: IOIBUF_X56_Y54_N22
\usb_sda~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_sda,
	o => \usb_sda~input_o\);

-- Location: LCCOMB_X52_Y51_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_1~0_combout\ = !\usb_sda~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \usb_sda~input_o\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_1~0_combout\);

-- Location: IOIBUF_X46_Y54_N29
\usb_resetn~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_usb_resetn,
	o => \usb_resetn~input_o\);

-- Location: FF_X52_Y51_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_1~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_1~q\);

-- Location: FF_X52_Y51_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_1~q\,
	clrn => \usb_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\);

-- Location: LCCOMB_X50_Y48_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[0]~1_combout\ = !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[0]~1_combout\);

-- Location: IOIBUF_X49_Y54_N22
\usb_scl~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_scl,
	o => \usb_scl~input_o\);

-- Location: LCCOMB_X49_Y51_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_1~0_combout\ = !\usb_scl~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \usb_scl~input_o\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_1~0_combout\);

-- Location: FF_X49_Y51_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_1~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_1~q\);

-- Location: LCCOMB_X49_Y51_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_1~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~feeder_combout\);

-- Location: FF_X49_Y51_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\);

-- Location: FF_X52_Y51_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	clrn => \usb_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\);

-- Location: LCCOMB_X50_Y50_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~feeder_combout\);

-- Location: FF_X50_Y50_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\);

-- Location: LCCOMB_X51_Y50_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[0]~1_combout\ = !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[0]~1_combout\);

-- Location: LCCOMB_X51_Y50_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00010~q\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00010~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0_combout\);

-- Location: FF_X51_Y50_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[0]~1_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0));

-- Location: LCCOMB_X52_Y51_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~59\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~59_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~59_combout\);

-- Location: LCCOMB_X52_Y51_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~60_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~59_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~59_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~60_combout\);

-- Location: FF_X52_Y51_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~60_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\);

-- Location: LCCOMB_X52_Y51_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~2_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~2_combout\);

-- Location: LCCOMB_X52_Y51_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~3_combout\);

-- Location: LCCOMB_X52_Y51_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~70\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~70_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00010~q\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00010~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~70_combout\);

-- Location: LCCOMB_X52_Y51_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~71\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~71_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~3_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~2_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~70_combout\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~3_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~70_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~71_combout\);

-- Location: FF_X52_Y51_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~71_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\);

-- Location: LCCOMB_X51_Y50_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~57\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~57_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~57_combout\);

-- Location: LCCOMB_X51_Y50_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[1]~feeder_combout\);

-- Location: FF_X51_Y50_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[1]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(1));

-- Location: FF_X51_Y50_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(1),
	clrn => \usb_resetn~input_o\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(2));

-- Location: LCCOMB_X51_Y50_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[3]~feeder_combout\);

-- Location: FF_X51_Y50_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[3]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(3));

-- Location: LCCOMB_X51_Y50_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[4]~feeder_combout\);

-- Location: FF_X51_Y50_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[4]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(4));

-- Location: LCCOMB_X51_Y50_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[5]~feeder_combout\);

-- Location: FF_X51_Y50_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[5]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(5));

-- Location: LCCOMB_X51_Y50_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[6]~feeder_combout\);

-- Location: FF_X51_Y50_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[6]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(6));

-- Location: FF_X51_Y50_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(6),
	clrn => \usb_resetn~input_o\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(7));

-- Location: LCCOMB_X51_Y50_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(4) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(6) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(7) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(6),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(7),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~0_combout\);

-- Location: LCCOMB_X51_Y50_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(1) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(2) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~1_combout\);

-- Location: LCCOMB_X51_Y50_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~56_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00100~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00100~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~56_combout\);

-- Location: LCCOMB_X51_Y50_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~58_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~56_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~57_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~57_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~56_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~58_combout\);

-- Location: FF_X51_Y50_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00100\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~58_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00100~q\);

-- Location: LCCOMB_X51_Y50_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00100~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00100~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~0_combout\);

-- Location: LCCOMB_X50_Y50_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector24~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector24~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~0_combout\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\) # 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector24~0_combout\);

-- Location: FF_X50_Y50_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector24~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\);

-- Location: LCCOMB_X51_Y47_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~feeder_combout\);

-- Location: FF_X51_Y47_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\);

-- Location: LCCOMB_X50_Y50_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~1_combout\);

-- Location: LCCOMB_X50_Y50_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~2_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~1_combout\) # 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~2_combout\);

-- Location: FF_X50_Y50_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~2_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\);

-- Location: LCCOMB_X49_Y51_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~0_combout\);

-- Location: LCCOMB_X52_Y51_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~73\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~73_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~73_combout\);

-- Location: LCCOMB_X49_Y51_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~74\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~74_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~73_combout\) # 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~0_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~73_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~74_combout\);

-- Location: FF_X49_Y51_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~74_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\);

-- Location: LCCOMB_X50_Y50_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~61\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~61_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\) # 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\ & (((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00100~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000111110001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00100~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~61_combout\);

-- Location: LCCOMB_X50_Y50_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~62_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~61_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~61_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~62_combout\);

-- Location: FF_X50_Y50_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~62_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\);

-- Location: LCCOMB_X49_Y51_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\) # ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~0_combout\);

-- Location: LCCOMB_X49_Y51_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~68\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~68_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01110~q\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01110~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~68_combout\);

-- Location: LCCOMB_X49_Y51_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~69\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~69_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~68_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~0_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~68_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~69_combout\);

-- Location: FF_X49_Y51_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01110\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~69_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01110~q\);

-- Location: LCCOMB_X52_Y51_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\)) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\ & ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~q\) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000101010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\);

-- Location: LCCOMB_X50_Y51_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~72\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~72_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01110~q\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01110~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~72_combout\);

-- Location: FF_X50_Y51_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~72_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\);

-- Location: LCCOMB_X49_Y51_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~8_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~8_combout\);

-- Location: LCCOMB_X50_Y51_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~55\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~55_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~55_combout\);

-- Location: FF_X50_Y51_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~55_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\);

-- Location: LCCOMB_X50_Y51_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~48_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00110~q\) # ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00110~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~48_combout\);

-- Location: LCCOMB_X49_Y51_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~47\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~47_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~47_combout\);

-- Location: LCCOMB_X50_Y51_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~50_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~47_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~48_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~48_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~47_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~50_combout\);

-- Location: FF_X50_Y51_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00110\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~50_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00110~q\);

-- Location: LCCOMB_X50_Y51_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~63\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~63_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00110~q\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00110~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~63_combout\);

-- Location: FF_X50_Y51_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~63_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\);

-- Location: LCCOMB_X50_Y51_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~1_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~1_combout\);

-- Location: LCCOMB_X51_Y51_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~7_combout\ = ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~1_combout\ & ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001111100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~7_combout\);

-- Location: LCCOMB_X52_Y51_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~75\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~75_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10010~q\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10010~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~75_combout\);

-- Location: FF_X52_Y51_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10010\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~75_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10010~q\);

-- Location: LCCOMB_X51_Y50_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~80\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~80_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00000~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10010~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00000~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10010~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00000~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~80_combout\);

-- Location: LCCOMB_X51_Y50_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~81\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~81_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\) # ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~80_combout\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~1_combout\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~57_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~57_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~80_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~81_combout\);

-- Location: FF_X51_Y50_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00000\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~81_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00000~q\);

-- Location: LCCOMB_X52_Y51_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~78\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~78_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00000~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00000~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~78_combout\);

-- Location: LCCOMB_X52_Y51_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~79\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~79_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~3_combout\) # ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~2_combout\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00001~q\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~78_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110111011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~3_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00001~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~78_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~79_combout\);

-- Location: FF_X52_Y51_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00001\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~79_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00001~q\);

-- Location: LCCOMB_X52_Y51_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~10_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10010~q\) # (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00001~q\)) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00000~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10010~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00000~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10000~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00001~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~10_combout\);

-- Location: LCCOMB_X50_Y50_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~1_combout\);

-- Location: LCCOMB_X50_Y50_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~1_combout\) # ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~0_combout\);

-- Location: FF_X50_Y50_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~q\);

-- Location: LCCOMB_X50_Y50_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~q\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~1_combout\);

-- Location: LCCOMB_X50_Y50_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~0_combout\);

-- Location: FF_X50_Y50_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~q\);

-- Location: LCCOMB_X50_Y50_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~76\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~76_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~76_combout\);

-- Location: LCCOMB_X50_Y50_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~77\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~77_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~76_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01100~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~76_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01100~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~77_combout\);

-- Location: FF_X50_Y50_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01100\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~77_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01100~q\);

-- Location: LCCOMB_X50_Y50_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~9_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01100~q\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~q\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01100~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~9_combout\);

-- Location: LCCOMB_X51_Y51_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~11_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~8_combout\) # ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~7_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~10_combout\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~8_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~7_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~10_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~9_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~11_combout\);

-- Location: LCCOMB_X49_Y51_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~0_combout\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\);

-- Location: LCCOMB_X49_Y51_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\ & ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~1_combout\);

-- Location: LCCOMB_X49_Y51_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ = ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~1_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~1_combout\ & ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0)) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011011111110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\);

-- Location: LCCOMB_X51_Y48_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~q\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~0_combout\);

-- Location: LCCOMB_X50_Y47_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~6_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~0_combout\ $ (VCC))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~0_combout\ & VCC))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~7\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~0_combout\,
	datad => VCC,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~6_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~7\);

-- Location: LCCOMB_X50_Y47_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~_wirecell\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~_wirecell_combout\ = !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~_wirecell_combout\);

-- Location: LCCOMB_X50_Y51_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address~8_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00110~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00110~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address~8_combout\);

-- Location: FF_X50_Y47_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~6_combout\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~_wirecell_combout\,
	clrn => \usb_resetn~input_o\,
	sload => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0));

-- Location: LCCOMB_X50_Y47_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~9_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~7\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~7\) # (GND)))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~10\ = CARRY((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~7\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[0]~7\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~9_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~10\);

-- Location: FF_X50_Y47_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~9_combout\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	clrn => \usb_resetn~input_o\,
	sload => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1));

-- Location: LCCOMB_X50_Y47_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~11_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~10\ $ (GND))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~10\ & VCC))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~12\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2) & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~10\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[1]~10\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~11_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~12\);

-- Location: FF_X50_Y47_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~11_combout\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	clrn => \usb_resetn~input_o\,
	sload => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2));

-- Location: LCCOMB_X50_Y47_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~13_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~12\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~12\) # (GND)))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~14\ = CARRY((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~12\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[2]~12\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~13_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~14\);

-- Location: FF_X50_Y47_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~13_combout\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	clrn => \usb_resetn~input_o\,
	sload => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3));

-- Location: LCCOMB_X50_Y47_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[4]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[4]~15_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~14\ $ (GND))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~14\ & VCC))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[4]~16\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~14\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[3]~14\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[4]~15_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[4]~16\);

-- Location: FF_X50_Y47_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[4]~15_combout\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	clrn => \usb_resetn~input_o\,
	sload => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4));

-- Location: LCCOMB_X50_Y44_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~1_combout\);

-- Location: LCCOMB_X50_Y44_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~0_combout\);

-- Location: LCCOMB_X50_Y44_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~1_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~2_combout\);

-- Location: LCCOMB_X50_Y47_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[5]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[5]~17_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[4]~16\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[4]~16\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[5]~17_combout\);

-- Location: FF_X50_Y47_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address[5]~17_combout\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	clrn => \usb_resetn~input_o\,
	sload => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5));

-- Location: LCCOMB_X51_Y48_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[1]~feeder_combout\);

-- Location: LCCOMB_X51_Y48_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~0_combout\);

-- Location: LCCOMB_X51_Y47_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\);

-- Location: LCCOMB_X51_Y48_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~1_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~0_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~1_combout\);

-- Location: FF_X51_Y48_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[1]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset\(1));

-- Location: LCCOMB_X55_Y48_N4
\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|din_s1~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X55_Y48_N5
\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|din_s1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|din_s1~q\);

-- Location: LCCOMB_X55_Y48_N22
\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|din_s1~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X55_Y48_N23
\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(0));

-- Location: LCCOMB_X55_Y48_N6
\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X55_Y48_N7
\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1));

-- Location: LCCOMB_X49_Y45_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|parity9~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|parity9~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~0_combout\);

-- Location: LCCOMB_X49_Y45_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~4_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|parity9~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|parity9~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~4_combout\);

-- Location: LCCOMB_X52_Y48_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe15a[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe15a[0]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe15a[0]~feeder_combout\);

-- Location: LCCOMB_X51_Y48_N4
\gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[1]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[1]~feeder_combout\);

-- Location: LCCOMB_X51_Y48_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~feeder_combout\);

-- Location: FF_X51_Y48_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset\(0));

-- Location: FF_X51_Y48_N5
\gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain\(1));

-- Location: LCCOMB_X51_Y48_N14
\gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[0]~feeder_combout\);

-- Location: FF_X51_Y48_N15
\gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain\(0));

-- Location: LCCOMB_X52_Y48_N26
\gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~feeder_combout\);

-- Location: FF_X52_Y48_N27
\gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\);

-- Location: FF_X52_Y48_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe15a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe15a[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe15a\(0));

-- Location: LCCOMB_X52_Y48_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe15a\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe15a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a[0]~feeder_combout\);

-- Location: FF_X52_Y48_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0));

-- Location: FF_X49_Y45_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~4_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\);

-- Location: LCCOMB_X49_Y45_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~0_combout\);

-- Location: FF_X49_Y45_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\);

-- Location: LCCOMB_X49_Y45_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|parity9~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|parity9~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1_combout\);

-- Location: LCCOMB_X52_Y45_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100001111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~0_combout\);

-- Location: FF_X52_Y45_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\);

-- Location: LCCOMB_X52_Y45_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1_combout\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~0_combout\);

-- Location: FF_X52_Y45_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\);

-- Location: LCCOMB_X52_Y45_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~3_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1_combout\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~3_combout\);

-- Location: LCCOMB_X52_Y45_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~2_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~2_combout\);

-- Location: LCCOMB_X52_Y45_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~0_combout\);

-- Location: FF_X52_Y45_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\);

-- Location: LCCOMB_X52_Y45_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~0_combout\);

-- Location: FF_X52_Y45_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\);

-- Location: LCCOMB_X52_Y45_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~3_combout\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011010010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~0_combout\);

-- Location: FF_X52_Y45_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~q\);

-- Location: LCCOMB_X49_Y45_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a[2]~feeder_combout\);

-- Location: FF_X49_Y45_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a\(2));

-- Location: LCCOMB_X49_Y45_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~7_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001101001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~7_combout\);

-- Location: FF_X49_Y45_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~7_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a\(0));

-- Location: LCCOMB_X52_Y45_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~3_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~0_combout\);

-- Location: FF_X52_Y45_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~q\);

-- Location: LCCOMB_X52_Y45_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~6_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~6_combout\);

-- Location: FF_X52_Y45_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~6_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a\(1));

-- Location: LCCOMB_X49_Y45_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~5_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a\(0) $ (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010100101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|sub_parity10a\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~5_combout\);

-- Location: FF_X49_Y45_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|parity9\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|_~5_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|parity9~q\);

-- Location: LCCOMB_X49_Y45_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|parity9~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|parity9~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~0_combout\);

-- Location: FF_X49_Y45_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\);

-- Location: LCCOMB_X49_Y45_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[1]~feeder_combout\);

-- Location: FF_X49_Y45_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(1));

-- Location: LCCOMB_X52_Y46_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~1_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|parity6~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|parity6~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~1_combout\);

-- Location: LCCOMB_X58_Y45_N28
\gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~0_combout\);

-- Location: FF_X58_Y45_N29
\gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~q\);

-- Location: LCCOMB_X58_Y45_N0
\gpio_u0|usb_debug_master_0|master|p2m|state~43\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~43_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (!\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~q\))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~43_combout\);

-- Location: FF_X58_Y45_N1
\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~43_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\);

-- Location: LCCOMB_X58_Y45_N30
\gpio_u0|usb_debug_master_0|master|p2m|state~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~44_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (!\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~44_combout\);

-- Location: FF_X58_Y45_N31
\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~44_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\);

-- Location: LCCOMB_X56_Y46_N8
\gpio_u0|usb_debug_master_0|master|p2m|state~47\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~47_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\ & (!\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	datab => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~47_combout\);

-- Location: FF_X56_Y46_N9
\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~47_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\);

-- Location: IOIBUF_X56_Y54_N1
\usb_data[0]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_data(0),
	o => \usb_data[0]~input_o\);

-- Location: LCCOMB_X49_Y45_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[0]~0_combout\ = !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[0]~0_combout\);

-- Location: FF_X49_Y45_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[0]~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(0));

-- Location: LCCOMB_X52_Y45_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[2]~feeder_combout\);

-- Location: FF_X52_Y45_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2));

-- Location: LCCOMB_X52_Y45_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[3]~feeder_combout\);

-- Location: FF_X52_Y45_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[3]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(3));

-- Location: LCCOMB_X52_Y45_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[4]~feeder_combout\);

-- Location: FF_X52_Y45_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4));

-- Location: LCCOMB_X52_Y45_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[5]~feeder_combout\);

-- Location: FF_X52_Y45_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5));

-- Location: LCCOMB_X52_Y45_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[6]~feeder_combout\);

-- Location: FF_X52_Y45_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[6]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(6));

-- Location: LCCOMB_X49_Y45_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[8]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[8]~feeder_combout\);

-- Location: FF_X49_Y45_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[8]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8));

-- Location: LCCOMB_X52_Y45_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[7]~feeder_combout\);

-- Location: FF_X52_Y45_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7));

-- Location: LCCOMB_X51_Y46_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor7~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor7~combout\);

-- Location: LCCOMB_X52_Y46_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~_wirecell\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~_wirecell_combout\ = !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~_wirecell_combout\);

-- Location: LCCOMB_X52_Y48_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|parity6~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|parity6~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0_combout\);

-- Location: LCCOMB_X52_Y48_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~0_combout\);

-- Location: FF_X52_Y48_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\);

-- Location: LCCOMB_X52_Y48_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~3_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~3_combout\);

-- Location: LCCOMB_X52_Y48_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~0_combout\);

-- Location: FF_X52_Y48_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\);

-- Location: LCCOMB_X52_Y48_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~0_combout\);

-- Location: FF_X52_Y48_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\);

-- Location: LCCOMB_X52_Y46_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ram_address_b[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ram_address_b\(7) = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011001100110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ram_address_b\(7));

-- Location: IOIBUF_X74_Y54_N8
\usb_data[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_data(1),
	o => \usb_data[1]~input_o\);

-- Location: IOIBUF_X74_Y54_N1
\usb_data[2]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_data(2),
	o => \usb_data[2]~input_o\);

-- Location: IOIBUF_X60_Y54_N22
\usb_data[3]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_data(3),
	o => \usb_data[3]~input_o\);

-- Location: IOIBUF_X60_Y54_N29
\usb_data[4]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_data(4),
	o => \usb_data[4]~input_o\);

-- Location: IOIBUF_X58_Y54_N22
\usb_data[5]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_data(5),
	o => \usb_data[5]~input_o\);

-- Location: IOIBUF_X58_Y54_N15
\usb_data[6]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_data(6),
	o => \usb_data[6]~input_o\);

-- Location: IOIBUF_X58_Y54_N29
\usb_data[7]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_data(7),
	o => \usb_data[7]~input_o\);

-- Location: M9K_X53_Y46_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0\ : fiftyfivenm_ram_block
-- pragma translate_off
GENERIC MAP (
	clk0_core_clock_enable => "ena0",
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	logical_ram_name => "gpio:gpio_u0|gpio_usb_debug_master_0:usb_debug_master_0|altera_usb_debug_fifos:fifos|dcfifo:g_use_dcfifo.usbout_fifo|dcfifo_0nq1:auto_generated|altsyncram_5041:fifo_ram|ALTSYNCRAM",
	mixed_port_feed_through_mode => "dont_care",
	operation_mode => "dual_port",
	port_a_address_clear => "none",
	port_a_address_width => 8,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 36,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 255,
	port_a_logical_ram_depth => 256,
	port_a_logical_ram_width => 8,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_b_address_clear => "clear1",
	port_b_address_clock => "clock1",
	port_b_address_width => 8,
	port_b_data_out_clear => "none",
	port_b_data_out_clock => "none",
	port_b_data_width => 36,
	port_b_first_address => 0,
	port_b_first_bit_number => 0,
	port_b_last_address => 255,
	port_b_logical_ram_depth => 256,
	port_b_logical_ram_width => 8,
	port_b_read_during_write_mode => "new_data_with_nbe_read",
	port_b_read_enable_clock => "clock1",
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portawe => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	portbre => VCC,
	portbaddrstall => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|ALT_INV_cntr_cout[0]~0_combout\,
	clk0 => \usb_clk~inputclkctrl_outclk\,
	clk1 => \clk_50_max10~inputclkctrl_outclk\,
	ena0 => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	clr1 => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|ALT_INV_altera_reset_synchronizer_int_chain_out~q\,
	portadatain => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTADATAIN_bus\,
	portaaddr => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTAADDR_bus\,
	portbaddr => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portbdataout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\);

-- Location: LCCOMB_X57_Y46_N16
\gpio_u0|usb_debug_master_0|b2p|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|b2p|Equal0~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(5) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4) & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(3),
	combout => \gpio_u0|usb_debug_master_0|b2p|Equal0~0_combout\);

-- Location: LCCOMB_X56_Y46_N22
\gpio_u0|usb_debug_master_0|b2p|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|b2p|Equal2~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7) & \gpio_u0|usb_debug_master_0|b2p|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7),
	datad => \gpio_u0|usb_debug_master_0|b2p|Equal0~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|b2p|Equal2~0_combout\);

-- Location: LCCOMB_X54_Y46_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[1]~feeder_combout\);

-- Location: FF_X54_Y46_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(1));

-- Location: LCCOMB_X55_Y46_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[1]~feeder_combout\);

-- Location: FF_X55_Y46_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(1));

-- Location: FF_X55_Y46_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(1),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(1));

-- Location: LCCOMB_X52_Y46_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[4]~feeder_combout\);

-- Location: FF_X52_Y46_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(4));

-- Location: LCCOMB_X52_Y46_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[2]~feeder_combout\);

-- Location: FF_X52_Y46_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(2));

-- Location: LCCOMB_X54_Y46_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[4]~feeder_combout\);

-- Location: FF_X54_Y46_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(4));

-- Location: LCCOMB_X54_Y46_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[4]~feeder_combout\);

-- Location: FF_X54_Y46_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(4));

-- Location: LCCOMB_X54_Y46_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[4]~feeder_combout\);

-- Location: FF_X54_Y46_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(4));

-- Location: LCCOMB_X54_Y46_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[2]~feeder_combout\);

-- Location: FF_X54_Y46_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(2));

-- Location: LCCOMB_X54_Y46_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[2]~feeder_combout\);

-- Location: FF_X54_Y46_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(2));

-- Location: LCCOMB_X54_Y46_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[2]~feeder_combout\);

-- Location: FF_X54_Y46_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(2));

-- Location: LCCOMB_X54_Y46_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(4) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(4) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(2) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(2))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(4) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(4) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(2) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(4),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0_combout\);

-- Location: LCCOMB_X55_Y46_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(1))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(1) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(1),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1_combout\);

-- Location: FF_X55_Y46_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(3));

-- Location: LCCOMB_X55_Y46_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[0]~0_combout\ = !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[0]~0_combout\);

-- Location: FF_X55_Y46_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[0]~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(0));

-- Location: LCCOMB_X52_Y45_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[0]~feeder_combout\);

-- Location: FF_X52_Y45_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(0));

-- Location: LCCOMB_X55_Y46_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[0]~feeder_combout\);

-- Location: FF_X55_Y46_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(0));

-- Location: FF_X55_Y46_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(0),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(0));

-- Location: FF_X50_Y46_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(3),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(3));

-- Location: LCCOMB_X55_Y46_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[3]~feeder_combout\);

-- Location: FF_X55_Y46_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[3]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(3));

-- Location: FF_X55_Y46_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(3),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(3));

-- Location: LCCOMB_X55_Y46_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(3) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(3) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(0) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(0))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(3) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(3) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(0) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4_combout\);

-- Location: LCCOMB_X54_Y46_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(4))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(4),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2_combout\);

-- Location: LCCOMB_X55_Y46_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(3) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(0))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(3) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000110000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3_combout\);

-- Location: LCCOMB_X55_Y46_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3_combout\)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5_combout\);

-- Location: LCCOMB_X55_Y46_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~6_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1_combout\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011100111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~6_combout\);

-- Location: FF_X55_Y46_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_aeb\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~6_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\);

-- Location: FF_X52_Y46_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(6));

-- Location: LCCOMB_X52_Y46_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[5]~feeder_combout\);

-- Location: FF_X52_Y46_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(5));

-- Location: LCCOMB_X54_Y46_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[6]~feeder_combout\);

-- Location: FF_X54_Y46_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[6]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(6));

-- Location: LCCOMB_X54_Y46_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[6]~feeder_combout\);

-- Location: FF_X54_Y46_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[6]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(6));

-- Location: FF_X54_Y46_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(6),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(6));

-- Location: LCCOMB_X54_Y46_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[5]~feeder_combout\);

-- Location: FF_X54_Y46_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(5));

-- Location: LCCOMB_X54_Y46_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[5]~feeder_combout\);

-- Location: FF_X54_Y46_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(5));

-- Location: LCCOMB_X54_Y46_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[5]~feeder_combout\);

-- Location: FF_X54_Y46_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(5));

-- Location: LCCOMB_X54_Y46_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(6) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(6) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(5) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(5))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(6) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(6) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(5) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(6),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(6),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3_combout\);

-- Location: FF_X52_Y46_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(8));

-- Location: LCCOMB_X52_Y46_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[7]~feeder_combout\);

-- Location: FF_X52_Y46_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(7));

-- Location: LCCOMB_X51_Y46_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[8]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[8]~feeder_combout\);

-- Location: FF_X51_Y46_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[8]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(8));

-- Location: FF_X52_Y46_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(8),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(8));

-- Location: FF_X52_Y46_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(8),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(8));

-- Location: LCCOMB_X51_Y46_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[7]~feeder_combout\);

-- Location: FF_X51_Y46_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(7));

-- Location: LCCOMB_X52_Y46_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|delayed_wrptr_g\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[7]~feeder_combout\);

-- Location: FF_X52_Y46_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(7));

-- Location: LCCOMB_X52_Y46_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe13a\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[7]~feeder_combout\);

-- Location: FF_X52_Y46_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(7));

-- Location: LCCOMB_X52_Y46_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(8) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(8) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(7) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(7))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(8) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(8) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(7) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(8),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(7),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(8),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4_combout\);

-- Location: LCCOMB_X52_Y46_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(8) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(7))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(8) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(8),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1_combout\);

-- Location: LCCOMB_X54_Y46_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(6) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(5))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(6) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(6),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rs_dgwp|dffpipe12|dffe14a\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0_combout\);

-- Location: LCCOMB_X55_Y46_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2_combout\);

-- Location: LCCOMB_X55_Y46_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~5_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2_combout\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\) # ((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~5_combout\);

-- Location: FF_X55_Y46_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_aeb\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~5_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\);

-- Location: LCCOMB_X55_Y46_N16
\gpio_u0|usb_debug_master_0|b2p|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|b2p|always0~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & (\gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~q\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\,
	combout => \gpio_u0|usb_debug_master_0|b2p|always0~0_combout\);

-- Location: LCCOMB_X55_Y46_N26
\gpio_u0|usb_debug_master_0|master|p2m|always1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\ = (!\gpio_u0|usb_debug_master_0|b2p|Equal0~1_combout\ & (!\gpio_u0|usb_debug_master_0|b2p|Equal2~0_combout\ & (\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\ & 
-- \gpio_u0|usb_debug_master_0|b2p|always0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|b2p|Equal0~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|b2p|Equal2~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datad => \gpio_u0|usb_debug_master_0|b2p|always0~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\);

-- Location: FF_X57_Y46_N5
\gpio_u0|usb_debug_master_0|master|p2m|command[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|command\(1));

-- Location: FF_X57_Y46_N15
\gpio_u0|usb_debug_master_0|master|p2m|command[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|command\(0));

-- Location: FF_X57_Y46_N13
\gpio_u0|usb_debug_master_0|master|p2m|command[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|command\(6));

-- Location: FF_X57_Y46_N3
\gpio_u0|usb_debug_master_0|master|p2m|command[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(3),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|command\(3));

-- Location: FF_X57_Y46_N21
\gpio_u0|usb_debug_master_0|master|p2m|command[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|command\(7));

-- Location: LCCOMB_X56_Y46_N2
\gpio_u0|usb_debug_master_0|b2p|received_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|b2p|received_esc~0_combout\ = (\gpio_u0|usb_debug_master_0|b2p|received_esc~q\ & (((!\gpio_u0|usb_debug_master_0|b2p|always0~0_combout\)))) # (!\gpio_u0|usb_debug_master_0|b2p|received_esc~q\ & 
-- (\gpio_u0|usb_debug_master_0|b2p|Equal2~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0) & \gpio_u0|usb_debug_master_0|b2p|always0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|b2p|Equal2~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0),
	datac => \gpio_u0|usb_debug_master_0|b2p|received_esc~q\,
	datad => \gpio_u0|usb_debug_master_0|b2p|always0~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|b2p|received_esc~0_combout\);

-- Location: FF_X56_Y46_N3
\gpio_u0|usb_debug_master_0|b2p|received_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|b2p|received_esc~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|b2p|received_esc~q\);

-- Location: LCCOMB_X57_Y46_N0
\gpio_u0|usb_debug_master_0|b2p|out_data[5]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|b2p|out_data[5]~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(5) $ (\gpio_u0|usb_debug_master_0|b2p|received_esc~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(5),
	datad => \gpio_u0|usb_debug_master_0|b2p|received_esc~q\,
	combout => \gpio_u0|usb_debug_master_0|b2p|out_data[5]~0_combout\);

-- Location: FF_X57_Y46_N11
\gpio_u0|usb_debug_master_0|master|p2m|command[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|b2p|out_data[5]~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|command\(5));

-- Location: LCCOMB_X57_Y46_N20
\gpio_u0|usb_debug_master_0|master|p2m|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Equal2~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|command\(6) & (!\gpio_u0|usb_debug_master_0|master|p2m|command\(3) & (!\gpio_u0|usb_debug_master_0|master|p2m|command\(7) & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|command\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|command\(6),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|command\(3),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|command\(7),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|command\(5),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Equal2~0_combout\);

-- Location: LCCOMB_X57_Y46_N14
\gpio_u0|usb_debug_master_0|master|p2m|Equal2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|command\(1) & (!\gpio_u0|usb_debug_master_0|master|p2m|command\(0) & \gpio_u0|usb_debug_master_0|master|p2m|Equal2~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|command\(1),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|command\(0),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Equal2~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\);

-- Location: LCCOMB_X57_Y44_N22
\gpio_u0|usb_debug_master_0|master|p2m|Selector71~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\) # (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\);

-- Location: LCCOMB_X56_Y46_N20
\gpio_u0|usb_debug_master_0|b2p|Equal0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|b2p|Equal0~2_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7) & \gpio_u0|usb_debug_master_0|b2p|Equal0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7),
	datad => \gpio_u0|usb_debug_master_0|b2p|Equal0~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|b2p|Equal0~2_combout\);

-- Location: LCCOMB_X56_Y46_N10
\gpio_u0|usb_debug_master_0|b2p|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|b2p|Equal1~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0) & \gpio_u0|usb_debug_master_0|b2p|Equal0~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0),
	datad => \gpio_u0|usb_debug_master_0|b2p|Equal0~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|b2p|Equal1~0_combout\);

-- Location: LCCOMB_X56_Y46_N24
\gpio_u0|usb_debug_master_0|b2p|out_endofpacket~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|b2p|out_endofpacket~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & ((\gpio_u0|usb_debug_master_0|b2p|out_endofpacket~q\) # ((!\gpio_u0|usb_debug_master_0|b2p|received_esc~q\ & 
-- \gpio_u0|usb_debug_master_0|b2p|Equal1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|b2p|received_esc~q\,
	datac => \gpio_u0|usb_debug_master_0|b2p|out_endofpacket~q\,
	datad => \gpio_u0|usb_debug_master_0|b2p|Equal1~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|b2p|out_endofpacket~0_combout\);

-- Location: FF_X56_Y46_N25
\gpio_u0|usb_debug_master_0|b2p|out_endofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|b2p|out_endofpacket~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|b2p|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|b2p|out_endofpacket~q\);

-- Location: LCCOMB_X57_Y45_N12
\gpio_u0|usb_debug_master_0|master|p2m|state~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~40_combout\ = (\gpio_u0|usb_debug_master_0|b2p|out_endofpacket~q\) # ((\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datac => \gpio_u0|usb_debug_master_0|b2p|out_endofpacket~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~40_combout\);

-- Location: LCCOMB_X57_Y45_N26
\gpio_u0|usb_debug_master_0|master|p2m|state~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~52_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state~40_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & 
-- !\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state~40_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~52_combout\);

-- Location: FF_X57_Y45_N27
\gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~52_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\);

-- Location: LCCOMB_X56_Y46_N0
\gpio_u0|usb_debug_master_0|master|p2m|Selector39~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector39~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (((\gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\) # (\gpio_u0|usb_debug_master_0|b2p|out_endofpacket~q\)))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\,
	datad => \gpio_u0|usb_debug_master_0|b2p|out_endofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector39~0_combout\);

-- Location: FF_X56_Y46_N1
\gpio_u0|usb_debug_master_0|master|p2m|last_trans\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector39~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\);

-- Location: LCCOMB_X57_Y45_N30
\gpio_u0|usb_debug_master_0|master|p2m|Selector80~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\ & !\gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\);

-- Location: LCCOMB_X57_Y45_N20
\gpio_u0|usb_debug_master_0|master|p2m|state~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~41_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\ & (((\gpio_u0|usb_debug_master_0|master|p2m|state~40_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state~40_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~41_combout\);

-- Location: FF_X56_Y47_N9
\gpio_u0|usb_debug_master_0|master|p2m|command[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|command\(4));

-- Location: LCCOMB_X57_Y45_N22
\gpio_u0|usb_debug_master_0|master|p2m|state~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~50_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\ & (!\gpio_u0|usb_debug_master_0|master|p2m|command\(4) & \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|command\(4),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~50_combout\);

-- Location: LCCOMB_X57_Y45_N18
\gpio_u0|usb_debug_master_0|master|p2m|state~51\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~51_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (!\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|state~50_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|state~41_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (((!\gpio_u0|usb_debug_master_0|master|p2m|state~41_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101001100010011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state~41_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state~50_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~51_combout\);

-- Location: FF_X57_Y45_N19
\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~51_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\);

-- Location: LCCOMB_X56_Y46_N14
\gpio_u0|usb_debug_master_0|master|p2m|Selector38~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector38~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\) # ((\gpio_u0|usb_debug_master_0|master|p2m|first_trans~q\ & !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|first_trans~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector38~0_combout\);

-- Location: FF_X56_Y46_N15
\gpio_u0|usb_debug_master_0|master|p2m|first_trans\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector38~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|first_trans~q\);

-- Location: LCCOMB_X58_Y46_N12
\gpio_u0|usb_debug_master_0|master|p2m|Selector70~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector70~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & !\gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~0_combout\);

-- Location: LCCOMB_X58_Y48_N26
\gpio_u0|usb_debug_master_0|master|p2m|Selector72~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector72~0_combout\ = (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\ & ((!\gpio_u0|usb_debug_master_0|master|p2m|Selector70~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector72~0_combout\);

-- Location: LCCOMB_X57_Y46_N4
\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\ = ((!\gpio_u0|usb_debug_master_0|master|p2m|command\(0) & (\gpio_u0|usb_debug_master_0|master|p2m|Equal2~0_combout\ & !\gpio_u0|usb_debug_master_0|master|p2m|command\(1)))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|command\(0),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Equal2~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|command\(1),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\);

-- Location: LCCOMB_X57_Y46_N18
\gpio_u0|usb_debug_master_0|master|p2m|Selector0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector0~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\ & ((!\gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & (((!\gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~3_combout\);

-- Location: LCCOMB_X58_Y48_N28
\gpio_u0|usb_debug_master_0|master|p2m|Selector72~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector72~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector72~0_combout\) # (((\gpio_u0|usb_debug_master_0|master|p2m|first_trans~q\ & \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector0~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|first_trans~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector72~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector72~1_combout\);

-- Location: FF_X58_Y48_N29
\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector72~1_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\);

-- Location: LCCOMB_X51_Y48_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe15a[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe15a[0]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe15a[0]~feeder_combout\);

-- Location: FF_X51_Y48_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe15a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe15a[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe15a\(0));

-- Location: LCCOMB_X51_Y48_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe15a\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe15a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a[0]~feeder_combout\);

-- Location: FF_X51_Y48_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0));

-- Location: FF_X54_Y48_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(5));

-- Location: LCCOMB_X56_Y49_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[5]~feeder_combout\);

-- Location: FF_X56_Y49_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(5));

-- Location: FF_X55_Y49_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(5),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(5));

-- Location: LCCOMB_X55_Y49_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[5]~feeder_combout\);

-- Location: FF_X55_Y49_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(5));

-- Location: LCCOMB_X54_Y49_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~2_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|parity6~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|parity6~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~2_combout\);

-- Location: IOIBUF_X56_Y54_N29
\usb_rdn~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_usb_rdn,
	o => \usb_rdn~input_o\);

-- Location: LCCOMB_X55_Y49_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|int_rdempty\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|int_rdempty~combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|int_rdempty~combout\);

-- Location: LCCOMB_X51_Y49_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|int_rdempty~combout\ & (!\usb_rdn~input_o\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\ $ (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|int_rdempty~combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	datac => \usb_rdn~input_o\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5_combout\);

-- Location: LCCOMB_X55_Y50_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|parity9~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|parity9~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0_combout\);

-- Location: LCCOMB_X55_Y50_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~0_combout\);

-- Location: FF_X55_Y50_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\);

-- Location: FF_X54_Y50_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(3));

-- Location: LCCOMB_X56_Y49_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[3]~feeder_combout\);

-- Location: FF_X56_Y49_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[3]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(3));

-- Location: LCCOMB_X52_Y49_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[3]~feeder_combout\);

-- Location: FF_X52_Y49_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[3]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(3));

-- Location: LCCOMB_X52_Y49_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[3]~feeder_combout\);

-- Location: FF_X52_Y49_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[3]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(3));

-- Location: LCCOMB_X54_Y48_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[0]~0_combout\ = !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[0]~0_combout\);

-- Location: FF_X54_Y48_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[0]~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(0));

-- Location: LCCOMB_X56_Y49_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[0]~feeder_combout\);

-- Location: FF_X56_Y49_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(0));

-- Location: LCCOMB_X52_Y49_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[0]~feeder_combout\);

-- Location: FF_X52_Y49_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(0));

-- Location: FF_X52_Y49_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(0),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(0));

-- Location: LCCOMB_X52_Y49_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(3) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(0) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(3) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(0) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100110010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(3),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4_combout\);

-- Location: FF_X54_Y50_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(2));

-- Location: LCCOMB_X52_Y49_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[2]~feeder_combout\);

-- Location: FF_X52_Y49_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(2));

-- Location: FF_X52_Y49_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(2),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(2));

-- Location: FF_X52_Y49_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(2),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(2));

-- Location: FF_X54_Y50_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(4));

-- Location: LCCOMB_X56_Y49_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[4]~feeder_combout\);

-- Location: FF_X56_Y49_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(4));

-- Location: FF_X52_Y49_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(4),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(4));

-- Location: LCCOMB_X52_Y49_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[4]~feeder_combout\);

-- Location: FF_X52_Y49_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(4));

-- Location: LCCOMB_X52_Y49_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(4))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3_combout\);

-- Location: LCCOMB_X50_Y49_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[3]~feeder_combout\);

-- Location: FF_X50_Y49_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[3]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3));

-- Location: LCCOMB_X50_Y49_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[0]~0_combout\ = !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[0]~0_combout\);

-- Location: FF_X50_Y49_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[0]~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(0));

-- Location: LCCOMB_X52_Y49_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(0) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(0) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(3))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(0) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(0) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1_combout\);

-- Location: LCCOMB_X51_Y49_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdempty_eq_comp_lsb|data_wire[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdempty_eq_comp_lsb|data_wire[0]~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(1) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(1),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdempty_eq_comp_lsb|data_wire[0]~0_combout\);

-- Location: LCCOMB_X50_Y49_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[2]~feeder_combout\);

-- Location: FF_X50_Y49_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2));

-- Location: LCCOMB_X50_Y49_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[4]~feeder_combout\);

-- Location: FF_X50_Y49_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4));

-- Location: LCCOMB_X52_Y49_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(4))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0_combout\);

-- Location: LCCOMB_X52_Y49_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|comb~0_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1_combout\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdempty_eq_comp_lsb|data_wire[0]~0_combout\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|comb~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdempty_eq_comp_lsb|data_wire[0]~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2_combout\);

-- Location: LCCOMB_X52_Y49_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~6_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2_combout\ & 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3_combout\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4_combout\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~5_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~4_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~3_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~6_combout\);

-- Location: FF_X52_Y49_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_aeb\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_mux|result_node[0]~6_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\);

-- Location: LCCOMB_X55_Y49_N2
\gpio_u0|usb_debug_master_0|fifos|comb~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|comb~0_combout\ = (\usb_rdn~input_o\) # ((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\,
	datab => \usb_rdn~input_o\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|comb~0_combout\);

-- Location: FF_X54_Y49_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\);

-- Location: LCCOMB_X54_Y49_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~1_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|parity6~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\ & (!\gpio_u0|usb_debug_master_0|fifos|comb~0_combout\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|parity6~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|comb~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~1_combout\);

-- Location: LCCOMB_X54_Y49_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~3_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~3_combout\);

-- Location: LCCOMB_X54_Y49_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100001111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~3_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~0_combout\);

-- Location: FF_X54_Y49_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\);

-- Location: FF_X54_Y48_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(6));

-- Location: LCCOMB_X56_Y49_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[6]~feeder_combout\);

-- Location: FF_X56_Y49_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[6]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(6));

-- Location: LCCOMB_X55_Y49_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[6]~feeder_combout\);

-- Location: FF_X55_Y49_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[6]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(6));

-- Location: LCCOMB_X55_Y49_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[6]~feeder_combout\);

-- Location: FF_X55_Y49_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[6]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(6));

-- Location: LCCOMB_X55_Y49_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(5) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(6))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(5) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000000001001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4_combout\);

-- Location: LCCOMB_X50_Y49_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[5]~feeder_combout\);

-- Location: FF_X50_Y49_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5));

-- Location: FF_X55_Y49_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6));

-- Location: LCCOMB_X55_Y49_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(5) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(6) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(5) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(6) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(6),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(5),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1_combout\);

-- Location: LCCOMB_X54_Y49_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~3_combout\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~3_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~0_combout\);

-- Location: FF_X54_Y49_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\);

-- Location: LCCOMB_X54_Y49_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[7]~feeder_combout\);

-- Location: FF_X54_Y49_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7));

-- Location: FF_X55_Y49_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8));

-- Location: FF_X54_Y48_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(8));

-- Location: LCCOMB_X56_Y49_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[8]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[8]~feeder_combout\);

-- Location: FF_X56_Y49_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[8]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(8));

-- Location: FF_X55_Y49_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(8),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(8));

-- Location: LCCOMB_X55_Y49_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[8]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[8]~feeder_combout\);

-- Location: FF_X55_Y49_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[8]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(8));

-- Location: LCCOMB_X55_Y50_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~2_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~2_combout\);

-- Location: LCCOMB_X55_Y50_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~0_combout\);

-- Location: FF_X55_Y50_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~q\);

-- Location: FF_X54_Y48_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(7));

-- Location: LCCOMB_X56_Y49_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[7]~feeder_combout\);

-- Location: FF_X56_Y49_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(7));

-- Location: LCCOMB_X56_Y49_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[7]~feeder_combout\);

-- Location: FF_X56_Y49_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(7));

-- Location: LCCOMB_X55_Y49_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[7]~feeder_combout\);

-- Location: FF_X55_Y49_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(7));

-- Location: LCCOMB_X55_Y49_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(7) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(8))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(7) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(8),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0_combout\);

-- Location: LCCOMB_X55_Y49_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0_combout\ & ((\usb_rdn~input_o\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|int_rdempty~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \usb_rdn~input_o\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|int_rdempty~combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2_combout\);

-- Location: LCCOMB_X55_Y49_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(8) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(7))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(8) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(8),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3_combout\);

-- Location: LCCOMB_X55_Y49_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~5_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2_combout\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|comb~0_combout\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3_combout\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~4_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|comb~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~5_combout\);

-- Location: FF_X55_Y49_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_aeb\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_mux|result_node[0]~5_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\);

-- Location: LCCOMB_X55_Y49_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|parity6~q\ & (!\usb_rdn~input_o\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|parity6~q\,
	datac => \usb_rdn~input_o\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~0_combout\);

-- Location: LCCOMB_X50_Y49_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~0_combout\);

-- Location: FF_X50_Y49_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\);

-- Location: LCCOMB_X54_Y49_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~0_combout\);

-- Location: FF_X54_Y49_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\);

-- Location: LCCOMB_X54_Y49_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~0_combout\);

-- Location: FF_X54_Y49_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\);

-- Location: LCCOMB_X50_Y49_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~0_combout\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~4_combout\);

-- Location: LCCOMB_X50_Y49_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~4_combout\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~4_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~0_combout\);

-- Location: FF_X50_Y49_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\);

-- Location: LCCOMB_X54_Y49_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~3_combout\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~3_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~0_combout\);

-- Location: FF_X54_Y49_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\);

-- Location: LCCOMB_X54_Y49_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]~feeder_combout\);

-- Location: FF_X54_Y49_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a\(2));

-- Location: LCCOMB_X54_Y49_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~7_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001101001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~7_combout\);

-- Location: FF_X54_Y49_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~7_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a\(0));

-- Location: LCCOMB_X54_Y49_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~6_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~6_combout\);

-- Location: FF_X54_Y49_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~6_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a\(1));

-- Location: LCCOMB_X54_Y49_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~5_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a\(0) $ (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010100101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|sub_parity7a\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~5_combout\);

-- Location: FF_X54_Y49_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|parity6\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|_~5_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|parity6~q\);

-- Location: LCCOMB_X54_Y49_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|parity6~q\ & (!\gpio_u0|usb_debug_master_0|fifos|comb~0_combout\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|parity6~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|comb~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~0_combout\);

-- Location: FF_X54_Y49_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\);

-- Location: LCCOMB_X50_Y49_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[1]~feeder_combout\);

-- Location: FF_X50_Y49_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(1));

-- Location: LCCOMB_X54_Y50_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[1]~feeder_combout\);

-- Location: FF_X54_Y50_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(1));

-- Location: LCCOMB_X54_Y50_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[1]~feeder_combout\);

-- Location: FF_X54_Y50_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(1));

-- Location: LCCOMB_X54_Y50_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[2]~feeder_combout\);

-- Location: FF_X54_Y50_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(2));

-- Location: LCCOMB_X54_Y50_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[2]~feeder_combout\);

-- Location: FF_X54_Y50_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(2));

-- Location: LCCOMB_X54_Y50_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[4]~feeder_combout\);

-- Location: FF_X54_Y50_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(4));

-- Location: LCCOMB_X54_Y50_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[4]~feeder_combout\);

-- Location: FF_X54_Y50_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(4));

-- Location: LCCOMB_X54_Y50_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(2) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(4) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(4))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(2) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(4) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(4),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1_combout\);

-- Location: LCCOMB_X54_Y50_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(1) $ (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(1),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2_combout\);

-- Location: LCCOMB_X54_Y50_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[3]~feeder_combout\);

-- Location: FF_X54_Y50_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[3]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(3));

-- Location: FF_X54_Y50_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(3),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(3));

-- Location: LCCOMB_X54_Y50_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[0]~feeder_combout\);

-- Location: FF_X54_Y50_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(0));

-- Location: LCCOMB_X54_Y50_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[0]~feeder_combout\);

-- Location: FF_X54_Y50_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(0));

-- Location: LCCOMB_X54_Y50_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(3) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(3) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(0) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(0))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(3) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(3) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(0) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0_combout\);

-- Location: LCCOMB_X54_Y50_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(0) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(3) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(0) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(3) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000110000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(3),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4_combout\);

-- Location: LCCOMB_X54_Y50_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(4) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(4) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(4),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3_combout\);

-- Location: LCCOMB_X54_Y50_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(1) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5_combout\);

-- Location: LCCOMB_X54_Y50_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~6_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5_combout\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~6_combout\);

-- Location: FF_X54_Y50_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~6_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg~q\);

-- Location: LCCOMB_X54_Y48_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[7]~feeder_combout\);

-- Location: FF_X54_Y48_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(7));

-- Location: LCCOMB_X54_Y48_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[7]~feeder_combout\);

-- Location: FF_X54_Y48_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(7));

-- Location: LCCOMB_X54_Y48_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[8]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[8]~feeder_combout\);

-- Location: FF_X54_Y48_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[8]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(8));

-- Location: LCCOMB_X54_Y48_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[8]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[8]~feeder_combout\);

-- Location: FF_X54_Y48_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[8]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(8));

-- Location: LCCOMB_X54_Y48_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(8) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(8) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(7) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(7))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(8) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(8) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(7) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(8),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(7),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(7),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2_combout\);

-- Location: LCCOMB_X54_Y48_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(7) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(8))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(7) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011001100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(7),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0_combout\);

-- Location: LCCOMB_X54_Y48_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[6]~feeder_combout\);

-- Location: FF_X54_Y48_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[6]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(6));

-- Location: FF_X54_Y48_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(6),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(6));

-- Location: LCCOMB_X54_Y48_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[5]~feeder_combout\);

-- Location: FF_X54_Y48_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(5));

-- Location: LCCOMB_X54_Y48_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe9a\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[5]~feeder_combout\);

-- Location: FF_X54_Y48_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(5));

-- Location: LCCOMB_X54_Y48_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0_combout\);

-- Location: LCCOMB_X54_Y48_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0_combout\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(6),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1_combout\);

-- Location: LCCOMB_X54_Y48_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(6) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(6) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(5) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(5))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(6) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(6) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(5) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(6),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(6),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ws_dgrp|dffpipe8|dffe10a\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3_combout\);

-- Location: LCCOMB_X54_Y48_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1_combout\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~4_combout\);

-- Location: FF_X54_Y48_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~4_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg~q\);

-- Location: LCCOMB_X54_Y48_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0) & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg~q\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\);

-- Location: LCCOMB_X58_Y48_N2
\gpio_u0|usb_debug_master_0|p2b|in_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_valid~q\ & (((!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\)) # (!\gpio_u0|usb_debug_master_0|p2b|out_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_valid~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|out_valid~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\);

-- Location: LCCOMB_X56_Y48_N18
\gpio_u0|usb_debug_master_0|p2b|sent_channel_char~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~0_combout\ = (\gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\) # ((!\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & (\gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	datab => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~0_combout\);

-- Location: FF_X56_Y48_N19
\gpio_u0|usb_debug_master_0|p2b|sent_channel_char\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\);

-- Location: LCCOMB_X56_Y48_N28
\gpio_u0|usb_debug_master_0|p2b|sent_channel~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|sent_channel~0_combout\ = (\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\) # ((\gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\ & (\gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|sent_channel~0_combout\);

-- Location: FF_X56_Y48_N29
\gpio_u0|usb_debug_master_0|p2b|sent_channel\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|sent_channel~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\);

-- Location: LCCOMB_X58_Y48_N12
\gpio_u0|usb_debug_master_0|p2b|in_ready~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|in_ready~5_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_valid~q\ & (((\gpio_u0|usb_debug_master_0|p2b|sent_sop~q\ & \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_valid~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|in_ready~5_combout\);

-- Location: LCCOMB_X58_Y48_N18
\gpio_u0|usb_debug_master_0|p2b|in_ready~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\ = (\gpio_u0|usb_debug_master_0|p2b|in_ready~5_combout\ & (((!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\)) # (!\gpio_u0|usb_debug_master_0|p2b|out_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~5_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datac => \gpio_u0|usb_debug_master_0|p2b|out_valid~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\);

-- Location: LCCOMB_X58_Y45_N6
\gpio_u0|usb_debug_master_0|master|p2m|state~55\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~55_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\) # ((!\gpio_u0|usb_debug_master_0|p2b|in_ready~4_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\,
	datad => \gpio_u0|usb_debug_master_0|p2b|in_ready~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~55_combout\);

-- Location: LCCOMB_X57_Y45_N24
\gpio_u0|usb_debug_master_0|master|p2m|Selector0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\ & \gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|last_trans~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\);

-- Location: LCCOMB_X57_Y45_N28
\gpio_u0|usb_debug_master_0|master|p2m|state~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~56_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~56_combout\);

-- Location: LCCOMB_X57_Y45_N8
\gpio_u0|usb_debug_master_0|master|p2m|state~57\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~57_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|state~55_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\) # 
-- (\gpio_u0|usb_debug_master_0|master|p2m|state~56_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state~55_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state~56_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~57_combout\);

-- Location: FF_X57_Y45_N9
\gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~57_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\);

-- Location: LCCOMB_X58_Y46_N6
\gpio_u0|usb_debug_master_0|master|p2m|Selector70~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector70~1_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\ & !\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~1_combout\);

-- Location: LCCOMB_X58_Y46_N10
\gpio_u0|usb_debug_master_0|master|p2m|Selector70~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector70~5_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\) # (!\gpio_u0|usb_debug_master_0|master|p2m|Selector70~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~5_combout\);

-- Location: LCCOMB_X58_Y46_N4
\gpio_u0|usb_debug_master_0|master|p2m|Selector71~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector71~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0) & (((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & !\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector70~5_combout\))) # (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0) & (((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101110011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~5_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~2_combout\);

-- Location: LCCOMB_X58_Y45_N2
\gpio_u0|usb_debug_master_0|master|p2m|Selector0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector0~1_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\ & !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~1_combout\);

-- Location: LCCOMB_X58_Y46_N2
\gpio_u0|usb_debug_master_0|master|p2m|Selector71~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector71~1_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|Selector0~1_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0) $ (((\gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\ & 
-- \gpio_u0|usb_debug_master_0|p2b|in_ready~4_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|p2b|in_ready~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~1_combout\);

-- Location: LCCOMB_X58_Y46_N16
\gpio_u0|usb_debug_master_0|master|p2m|Selector71~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector71~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector71~2_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector71~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0) & \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~3_combout\);

-- Location: FF_X58_Y46_N17
\gpio_u0|usb_debug_master_0|master|p2m|current_byte[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~3_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0));

-- Location: LCCOMB_X58_Y46_N22
\gpio_u0|usb_debug_master_0|master|p2m|Selector70~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector70~3_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|Selector0~1_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) $ (((\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0) & 
-- \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datad => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~3_combout\);

-- Location: LCCOMB_X58_Y46_N0
\gpio_u0|usb_debug_master_0|master|p2m|Selector70~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector70~6_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & !\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector70~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~5_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~6_combout\);

-- Location: LCCOMB_X57_Y46_N26
\gpio_u0|usb_debug_master_0|master|p2m|Selector70~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector70~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1) & 
-- \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~2_combout\);

-- Location: LCCOMB_X58_Y46_N20
\gpio_u0|usb_debug_master_0|master|p2m|Selector70~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector70~4_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) $ 
-- (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~4_combout\);

-- Location: LCCOMB_X58_Y46_N8
\gpio_u0|usb_debug_master_0|master|p2m|Selector70~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector70~7_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector70~3_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector70~6_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector70~2_combout\) # (\gpio_u0|usb_debug_master_0|master|p2m|Selector70~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~6_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~7_combout\);

-- Location: FF_X58_Y46_N9
\gpio_u0|usb_debug_master_0|master|p2m|current_byte[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~7_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1));

-- Location: LCCOMB_X58_Y44_N12
\gpio_u0|usb_debug_master_0|master|p2m|Equal6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)) # (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\);

-- Location: LCCOMB_X55_Y47_N0
\gpio_u0|usb_debug_master_0|master|p2m|Selector29~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\ & \gpio_u0|usb_debug_master_0|master|p2m|command\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|command\(4),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\);

-- Location: LCCOMB_X58_Y46_N28
\gpio_u0|usb_debug_master_0|master|p2m|Selector27~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector27~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(10) & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(10),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector27~0_combout\);

-- Location: LCCOMB_X55_Y47_N22
\gpio_u0|usb_debug_master_0|master|p2m|Selector28~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector28~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(9) & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(9),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector28~0_combout\);

-- Location: LCCOMB_X57_Y47_N30
\gpio_u0|usb_debug_master_0|master|p2m|Selector29~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector29~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(8) & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(8),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~0_combout\);

-- Location: LCCOMB_X55_Y47_N20
\gpio_u0|usb_debug_master_0|master|p2m|Selector37~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|command\(4) & \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|command\(4),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\);

-- Location: LCCOMB_X55_Y47_N4
\gpio_u0|usb_debug_master_0|master|p2m|Selector30~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector30~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(7) & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(7),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector30~0_combout\);

-- Location: LCCOMB_X59_Y47_N14
\gpio_u0|usb_debug_master_0|master|p2m|Selector31~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector31~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(6) & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(6),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector31~0_combout\);

-- Location: LCCOMB_X59_Y47_N6
\gpio_u0|usb_debug_master_0|master|p2m|Selector32~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector32~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(5) & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(5),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector32~0_combout\);

-- Location: LCCOMB_X57_Y47_N0
\gpio_u0|usb_debug_master_0|master|p2m|Selector33~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector33~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(4) & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(4),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector33~0_combout\);

-- Location: LCCOMB_X57_Y47_N8
\gpio_u0|usb_debug_master_0|master|p2m|Selector34~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector34~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\ & \gpio_u0|usb_debug_master_0|master|p2m|counter\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|counter\(3),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector34~0_combout\);

-- Location: LCCOMB_X59_Y47_N20
\gpio_u0|usb_debug_master_0|master|p2m|Selector35~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector35~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(2) & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(2),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector35~0_combout\);

-- Location: LCCOMB_X59_Y47_N10
\gpio_u0|usb_debug_master_0|master|p2m|Selector36~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector36~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(1) & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(1),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector36~0_combout\);

-- Location: LCCOMB_X59_Y47_N18
\gpio_u0|usb_debug_master_0|master|p2m|Selector37~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector37~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(0) & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(0),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~0_combout\);

-- Location: LCCOMB_X58_Y47_N0
\gpio_u0|usb_debug_master_0|master|p2m|Add3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~0_combout\ = (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(0) $ (VCC))) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & 
-- (\gpio_u0|usb_debug_master_0|master|p2m|counter\(0) & VCC))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~1\ = CARRY((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|counter\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(0),
	datad => VCC,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~0_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~1\);

-- Location: LCCOMB_X56_Y47_N0
\gpio_u0|usb_debug_master_0|master|p2m|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(0) $ (VCC))) # (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & 
-- (\gpio_u0|usb_debug_master_0|master|p2m|counter\(0) & VCC))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~1\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|counter\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(0),
	datad => VCC,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~0_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~1\);

-- Location: LCCOMB_X59_Y47_N16
\gpio_u0|usb_debug_master_0|master|p2m|Selector37~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector37~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~0_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add3~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add0~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~1_combout\);

-- Location: LCCOMB_X59_Y47_N8
\gpio_u0|usb_debug_master_0|master|p2m|Selector37~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector37~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector37~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector37~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0) & \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~3_combout\);

-- Location: FF_X59_Y47_N9
\gpio_u0|usb_debug_master_0|master|p2m|counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~3_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(0));

-- Location: LCCOMB_X56_Y47_N2
\gpio_u0|usb_debug_master_0|master|p2m|Add0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(1) & (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~1\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(1) & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~1\) # (GND)))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~3\ = CARRY((!\gpio_u0|usb_debug_master_0|master|p2m|Add0~1\) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(1),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~1\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~2_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~3\);

-- Location: LCCOMB_X58_Y47_N2
\gpio_u0|usb_debug_master_0|master|p2m|Add3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~2_combout\ = (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(1) & (\gpio_u0|usb_debug_master_0|master|p2m|Add3~1\ & VCC)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(1) & (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~1\)))) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(1) & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~1\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(1) & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~1\) # (GND)))))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~3\ = CARRY((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(1) & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~1\)) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((!\gpio_u0|usb_debug_master_0|master|p2m|Add3~1\) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(1),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~1\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~2_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~3\);

-- Location: LCCOMB_X59_Y47_N24
\gpio_u0|usb_debug_master_0|master|p2m|Selector36~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector36~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~2_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~2_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|Add0~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add0~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add3~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector36~1_combout\);

-- Location: LCCOMB_X59_Y47_N22
\gpio_u0|usb_debug_master_0|master|p2m|Selector36~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector36~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector36~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector36~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1) & \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector36~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector36~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector36~2_combout\);

-- Location: FF_X59_Y47_N23
\gpio_u0|usb_debug_master_0|master|p2m|counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector36~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(1));

-- Location: LCCOMB_X58_Y47_N4
\gpio_u0|usb_debug_master_0|master|p2m|Add3~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~4_combout\ = ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ $ (\gpio_u0|usb_debug_master_0|master|p2m|counter\(2) $ (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~3\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~5\ = CARRY((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(2)) # (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~3\))) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(2) & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(2),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~3\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~4_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~5\);

-- Location: LCCOMB_X56_Y47_N4
\gpio_u0|usb_debug_master_0|master|p2m|Add0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~4_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(2) & (\gpio_u0|usb_debug_master_0|master|p2m|Add0~3\ $ (GND))) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(2) & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~3\ & VCC))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~5\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(2) & !\gpio_u0|usb_debug_master_0|master|p2m|Add0~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(2),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~3\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~4_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~5\);

-- Location: LCCOMB_X59_Y47_N12
\gpio_u0|usb_debug_master_0|master|p2m|Selector35~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector35~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~4_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~4_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add3~4_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add0~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector35~1_combout\);

-- Location: LCCOMB_X59_Y47_N26
\gpio_u0|usb_debug_master_0|master|p2m|Selector35~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector35~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector35~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector35~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector35~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector35~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector35~2_combout\);

-- Location: FF_X59_Y47_N27
\gpio_u0|usb_debug_master_0|master|p2m|counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector35~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(2));

-- Location: LCCOMB_X56_Y47_N6
\gpio_u0|usb_debug_master_0|master|p2m|Add0~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~6_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(3) & (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~5\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(3) & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~5\) # (GND)))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~7\ = CARRY((!\gpio_u0|usb_debug_master_0|master|p2m|Add0~5\) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(3),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~5\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~6_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~7\);

-- Location: LCCOMB_X58_Y47_N6
\gpio_u0|usb_debug_master_0|master|p2m|Add3~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~6_combout\ = (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(3) & (\gpio_u0|usb_debug_master_0|master|p2m|Add3~5\ & VCC)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(3) & (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~5\)))) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(3) & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~5\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(3) & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~5\) # (GND)))))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~7\ = CARRY((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(3) & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~5\)) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((!\gpio_u0|usb_debug_master_0|master|p2m|Add3~5\) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(3),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~5\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~6_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~7\);

-- Location: LCCOMB_X57_Y47_N24
\gpio_u0|usb_debug_master_0|master|p2m|Selector34~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector34~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~6_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~6_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|Add0~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add0~6_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add3~6_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector34~1_combout\);

-- Location: LCCOMB_X57_Y47_N6
\gpio_u0|usb_debug_master_0|master|p2m|Selector34~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector34~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector34~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector34~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(3) & \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(3),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector34~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector34~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector34~2_combout\);

-- Location: FF_X57_Y47_N7
\gpio_u0|usb_debug_master_0|master|p2m|counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector34~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(3));

-- Location: LCCOMB_X58_Y47_N8
\gpio_u0|usb_debug_master_0|master|p2m|Add3~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~8_combout\ = ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ $ (\gpio_u0|usb_debug_master_0|master|p2m|counter\(4) $ (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~7\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~9\ = CARRY((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(4)) # (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~7\))) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(4) & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(4),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~7\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~8_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~9\);

-- Location: LCCOMB_X56_Y47_N8
\gpio_u0|usb_debug_master_0|master|p2m|Add0~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~8_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(4) & (\gpio_u0|usb_debug_master_0|master|p2m|Add0~7\ $ (GND))) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(4) & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~7\ & VCC))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~9\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(4) & !\gpio_u0|usb_debug_master_0|master|p2m|Add0~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(4),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~7\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~8_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~9\);

-- Location: LCCOMB_X57_Y47_N2
\gpio_u0|usb_debug_master_0|master|p2m|Selector33~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector33~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~8_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~8_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~8_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add3~8_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add0~8_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector33~1_combout\);

-- Location: LCCOMB_X57_Y47_N4
\gpio_u0|usb_debug_master_0|master|p2m|Selector33~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector33~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector33~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector33~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector33~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector33~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector33~2_combout\);

-- Location: FF_X57_Y47_N5
\gpio_u0|usb_debug_master_0|master|p2m|counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector33~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(4));

-- Location: LCCOMB_X56_Y47_N10
\gpio_u0|usb_debug_master_0|master|p2m|Add0~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~10_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(5) & (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~9\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(5) & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~9\) # (GND)))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~11\ = CARRY((!\gpio_u0|usb_debug_master_0|master|p2m|Add0~9\) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(5),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~9\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~10_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~11\);

-- Location: LCCOMB_X58_Y47_N10
\gpio_u0|usb_debug_master_0|master|p2m|Add3~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~10_combout\ = (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(5) & (\gpio_u0|usb_debug_master_0|master|p2m|Add3~9\ & VCC)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(5) & (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~9\)))) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(5) & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~9\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(5) & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~9\) # (GND)))))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~11\ = CARRY((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(5) & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~9\)) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((!\gpio_u0|usb_debug_master_0|master|p2m|Add3~9\) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(5),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~9\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~10_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~11\);

-- Location: LCCOMB_X59_Y47_N28
\gpio_u0|usb_debug_master_0|master|p2m|Selector32~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector32~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~10_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ 
-- & \gpio_u0|usb_debug_master_0|master|p2m|Add0~10_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- (\gpio_u0|usb_debug_master_0|master|p2m|Add0~10_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add0~10_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add3~10_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector32~1_combout\);

-- Location: LCCOMB_X59_Y47_N4
\gpio_u0|usb_debug_master_0|master|p2m|Selector32~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector32~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector32~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector32~1_combout\) # ((\gpio_u0|usb_debug_master_0|b2p|out_data[5]~0_combout\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector32~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|b2p|out_data[5]~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector32~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector32~2_combout\);

-- Location: FF_X59_Y47_N5
\gpio_u0|usb_debug_master_0|master|p2m|counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector32~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(5));

-- Location: LCCOMB_X56_Y47_N12
\gpio_u0|usb_debug_master_0|master|p2m|Add0~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~12_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(6) & (\gpio_u0|usb_debug_master_0|master|p2m|Add0~11\ $ (GND))) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(6) & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~11\ & VCC))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~13\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(6) & !\gpio_u0|usb_debug_master_0|master|p2m|Add0~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(6),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~11\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~12_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~13\);

-- Location: LCCOMB_X58_Y47_N12
\gpio_u0|usb_debug_master_0|master|p2m|Add3~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~12_combout\ = ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(6) $ (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ $ (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~11\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~13\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(6) & ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\) # (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~11\))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(6) & (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~11\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(6),
	datab => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~11\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~12_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~13\);

-- Location: LCCOMB_X59_Y47_N2
\gpio_u0|usb_debug_master_0|master|p2m|Selector31~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector31~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~12_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ 
-- & \gpio_u0|usb_debug_master_0|master|p2m|Add0~12_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- (\gpio_u0|usb_debug_master_0|master|p2m|Add0~12_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add0~12_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add3~12_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector31~1_combout\);

-- Location: LCCOMB_X59_Y47_N30
\gpio_u0|usb_debug_master_0|master|p2m|Selector31~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector31~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector31~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector31~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector31~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector31~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector31~2_combout\);

-- Location: FF_X59_Y47_N31
\gpio_u0|usb_debug_master_0|master|p2m|counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector31~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(6));

-- Location: LCCOMB_X56_Y47_N14
\gpio_u0|usb_debug_master_0|master|p2m|Add0~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~14_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(7) & (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~13\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(7) & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~13\) # (GND)))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~15\ = CARRY((!\gpio_u0|usb_debug_master_0|master|p2m|Add0~13\) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(7),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~13\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~14_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~15\);

-- Location: LCCOMB_X58_Y47_N14
\gpio_u0|usb_debug_master_0|master|p2m|Add3~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~14_combout\ = (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(7) & (\gpio_u0|usb_debug_master_0|master|p2m|Add3~13\ & VCC)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(7) & (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~13\)))) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(7) & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~13\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(7) & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~13\) # (GND)))))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~15\ = CARRY((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(7) & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~13\)) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((!\gpio_u0|usb_debug_master_0|master|p2m|Add3~13\) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(7),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~13\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~14_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~15\);

-- Location: LCCOMB_X55_Y47_N12
\gpio_u0|usb_debug_master_0|master|p2m|Selector30~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector30~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~14_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ 
-- & \gpio_u0|usb_debug_master_0|master|p2m|Add0~14_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- (\gpio_u0|usb_debug_master_0|master|p2m|Add0~14_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add0~14_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add3~14_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector30~1_combout\);

-- Location: LCCOMB_X55_Y47_N24
\gpio_u0|usb_debug_master_0|master|p2m|Selector30~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector30~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector30~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector30~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7) & \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector37~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector30~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector30~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector30~2_combout\);

-- Location: FF_X55_Y47_N25
\gpio_u0|usb_debug_master_0|master|p2m|counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector30~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(7));

-- Location: LCCOMB_X56_Y47_N16
\gpio_u0|usb_debug_master_0|master|p2m|Add0~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~16_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(8) & (\gpio_u0|usb_debug_master_0|master|p2m|Add0~15\ $ (GND))) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(8) & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~15\ & VCC))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~17\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(8) & !\gpio_u0|usb_debug_master_0|master|p2m|Add0~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(8),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~15\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~16_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~17\);

-- Location: LCCOMB_X58_Y47_N16
\gpio_u0|usb_debug_master_0|master|p2m|Add3~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~16_combout\ = ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ $ (\gpio_u0|usb_debug_master_0|master|p2m|counter\(8) $ (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~15\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~17\ = CARRY((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(8)) # (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~15\))) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(8) & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~15\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(8),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~15\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~16_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~17\);

-- Location: LCCOMB_X57_Y47_N12
\gpio_u0|usb_debug_master_0|master|p2m|Selector29~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector29~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~16_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ 
-- & \gpio_u0|usb_debug_master_0|master|p2m|Add0~16_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- (\gpio_u0|usb_debug_master_0|master|p2m|Add0~16_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add0~16_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add3~16_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~1_combout\);

-- Location: LCCOMB_X57_Y47_N28
\gpio_u0|usb_debug_master_0|master|p2m|Selector29~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector29~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector29~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector29~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0) & \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~3_combout\);

-- Location: FF_X57_Y47_N29
\gpio_u0|usb_debug_master_0|master|p2m|counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~3_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(8));

-- Location: LCCOMB_X58_Y47_N18
\gpio_u0|usb_debug_master_0|master|p2m|Add3~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~18_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(9) & ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|Add3~17\ & VCC)) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~17\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(9) & ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~17\)) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~17\) # (GND)))))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~19\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(9) & (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~17\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(9) & ((!\gpio_u0|usb_debug_master_0|master|p2m|Add3~17\) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(9),
	datab => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~17\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~18_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~19\);

-- Location: LCCOMB_X56_Y47_N18
\gpio_u0|usb_debug_master_0|master|p2m|Add0~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~18_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(9) & (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~17\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(9) & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~17\) # (GND)))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~19\ = CARRY((!\gpio_u0|usb_debug_master_0|master|p2m|Add0~17\) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(9),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~17\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~18_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~19\);

-- Location: LCCOMB_X55_Y47_N6
\gpio_u0|usb_debug_master_0|master|p2m|Selector28~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector28~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~18_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ 
-- & \gpio_u0|usb_debug_master_0|master|p2m|Add0~18_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~18_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add3~18_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add0~18_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector28~1_combout\);

-- Location: LCCOMB_X55_Y47_N28
\gpio_u0|usb_debug_master_0|master|p2m|Selector28~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector28~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector28~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector28~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector28~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector28~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector28~2_combout\);

-- Location: FF_X55_Y47_N29
\gpio_u0|usb_debug_master_0|master|p2m|counter[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector28~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(9));

-- Location: LCCOMB_X58_Y47_N20
\gpio_u0|usb_debug_master_0|master|p2m|Add3~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~20_combout\ = ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(10) $ (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ $ (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~19\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~21\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(10) & ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\) # (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~19\))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(10) & (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~19\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(10),
	datab => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~19\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~20_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~21\);

-- Location: LCCOMB_X56_Y47_N20
\gpio_u0|usb_debug_master_0|master|p2m|Add0~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~20_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(10) & (\gpio_u0|usb_debug_master_0|master|p2m|Add0~19\ $ (GND))) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(10) & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~19\ & VCC))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~21\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(10) & !\gpio_u0|usb_debug_master_0|master|p2m|Add0~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(10),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~19\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~20_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~21\);

-- Location: LCCOMB_X57_Y47_N10
\gpio_u0|usb_debug_master_0|master|p2m|Selector27~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector27~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~20_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ 
-- & \gpio_u0|usb_debug_master_0|master|p2m|Add0~20_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~20_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add3~20_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add0~20_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector27~1_combout\);

-- Location: LCCOMB_X57_Y47_N14
\gpio_u0|usb_debug_master_0|master|p2m|Selector27~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector27~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector27~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector27~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector27~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector27~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector27~2_combout\);

-- Location: FF_X57_Y47_N15
\gpio_u0|usb_debug_master_0|master|p2m|counter[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector27~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(10));

-- Location: LCCOMB_X58_Y45_N12
\gpio_u0|usb_debug_master_0|master|p2m|Selector26~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector26~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(11) & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(11),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector26~0_combout\);

-- Location: LCCOMB_X58_Y47_N22
\gpio_u0|usb_debug_master_0|master|p2m|Add3~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~22_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(11) & ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|Add3~21\ & VCC)) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~21\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(11) & ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~21\)) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~21\) # (GND)))))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~23\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(11) & (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~21\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(11) & ((!\gpio_u0|usb_debug_master_0|master|p2m|Add3~21\) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(11),
	datab => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~21\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~22_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~23\);

-- Location: LCCOMB_X56_Y47_N22
\gpio_u0|usb_debug_master_0|master|p2m|Add0~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~22_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(11) & (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~21\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(11) & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~21\) # (GND)))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~23\ = CARRY((!\gpio_u0|usb_debug_master_0|master|p2m|Add0~21\) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(11),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~21\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~22_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~23\);

-- Location: LCCOMB_X57_Y47_N16
\gpio_u0|usb_debug_master_0|master|p2m|Selector26~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector26~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~22_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ 
-- & \gpio_u0|usb_debug_master_0|master|p2m|Add0~22_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~22_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add3~22_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add0~22_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector26~1_combout\);

-- Location: LCCOMB_X57_Y47_N26
\gpio_u0|usb_debug_master_0|master|p2m|Selector26~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector26~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector26~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector26~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(3) & \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(3),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector26~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector26~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector26~2_combout\);

-- Location: FF_X57_Y47_N27
\gpio_u0|usb_debug_master_0|master|p2m|counter[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector26~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(11));

-- Location: LCCOMB_X58_Y44_N22
\gpio_u0|usb_debug_master_0|master|p2m|Equal10~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Equal10~1_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(10) & (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(11) & (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(9) & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|counter\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(10),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(11),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(9),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|counter\(8),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~1_combout\);

-- Location: LCCOMB_X55_Y47_N26
\gpio_u0|usb_debug_master_0|master|p2m|Selector23~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector23~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(14) & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(14),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector23~0_combout\);

-- Location: LCCOMB_X57_Y48_N10
\gpio_u0|usb_debug_master_0|master|p2m|Selector24~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector24~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(13) & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(13),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector24~0_combout\);

-- Location: LCCOMB_X57_Y47_N18
\gpio_u0|usb_debug_master_0|master|p2m|Selector25~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector25~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(12) & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(12),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector25~0_combout\);

-- Location: LCCOMB_X58_Y47_N24
\gpio_u0|usb_debug_master_0|master|p2m|Add3~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~24_combout\ = ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(12) $ (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ $ (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~23\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~25\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(12) & ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\) # (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~23\))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(12) & (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~23\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(12),
	datab => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~23\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~24_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~25\);

-- Location: LCCOMB_X56_Y47_N24
\gpio_u0|usb_debug_master_0|master|p2m|Add0~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~24_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(12) & (\gpio_u0|usb_debug_master_0|master|p2m|Add0~23\ $ (GND))) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(12) & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~23\ & VCC))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~25\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(12) & !\gpio_u0|usb_debug_master_0|master|p2m|Add0~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(12),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~23\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~24_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~25\);

-- Location: LCCOMB_X57_Y47_N20
\gpio_u0|usb_debug_master_0|master|p2m|Selector25~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector25~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~24_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ 
-- & \gpio_u0|usb_debug_master_0|master|p2m|Add0~24_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~24_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add3~24_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add0~24_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector25~1_combout\);

-- Location: LCCOMB_X57_Y47_N22
\gpio_u0|usb_debug_master_0|master|p2m|Selector25~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector25~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector25~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector25~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector25~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector25~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector25~2_combout\);

-- Location: FF_X57_Y47_N23
\gpio_u0|usb_debug_master_0|master|p2m|counter[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector25~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(12));

-- Location: LCCOMB_X58_Y47_N26
\gpio_u0|usb_debug_master_0|master|p2m|Add3~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~26_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(13) & ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|Add3~25\ & VCC)) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~25\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(13) & ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~25\)) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~25\) # (GND)))))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~27\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(13) & (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~25\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(13) & ((!\gpio_u0|usb_debug_master_0|master|p2m|Add3~25\) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(13),
	datab => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~25\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~26_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~27\);

-- Location: LCCOMB_X56_Y47_N26
\gpio_u0|usb_debug_master_0|master|p2m|Add0~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~26_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(13) & (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~25\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(13) & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~25\) # (GND)))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~27\ = CARRY((!\gpio_u0|usb_debug_master_0|master|p2m|Add0~25\) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(13),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~25\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~26_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~27\);

-- Location: LCCOMB_X57_Y48_N24
\gpio_u0|usb_debug_master_0|master|p2m|Selector24~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector24~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~26_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ 
-- & \gpio_u0|usb_debug_master_0|master|p2m|Add0~26_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~26_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Add3~26_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add0~26_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector24~1_combout\);

-- Location: LCCOMB_X57_Y48_N16
\gpio_u0|usb_debug_master_0|master|p2m|Selector24~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector24~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector24~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector24~1_combout\) # ((\gpio_u0|usb_debug_master_0|b2p|out_data[5]~0_combout\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector24~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|b2p|out_data[5]~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector24~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector24~2_combout\);

-- Location: FF_X57_Y48_N17
\gpio_u0|usb_debug_master_0|master|p2m|counter[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector24~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(13));

-- Location: LCCOMB_X58_Y47_N28
\gpio_u0|usb_debug_master_0|master|p2m|Add3~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~28_combout\ = ((\gpio_u0|usb_debug_master_0|master|p2m|counter\(14) $ (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ $ (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~27\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~29\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(14) & ((\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\) # (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~27\))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(14) & (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & !\gpio_u0|usb_debug_master_0|master|p2m|Add3~27\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(14),
	datab => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~27\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~28_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~29\);

-- Location: LCCOMB_X56_Y47_N28
\gpio_u0|usb_debug_master_0|master|p2m|Add0~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~28_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|counter\(14) & (\gpio_u0|usb_debug_master_0|master|p2m|Add0~27\ $ (GND))) # (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(14) & 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Add0~27\ & VCC))
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~29\ = CARRY((\gpio_u0|usb_debug_master_0|master|p2m|counter\(14) & !\gpio_u0|usb_debug_master_0|master|p2m|Add0~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(14),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~27\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~28_combout\,
	cout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~29\);

-- Location: LCCOMB_X55_Y47_N16
\gpio_u0|usb_debug_master_0|master|p2m|Selector23~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector23~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Add3~28_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ 
-- & \gpio_u0|usb_debug_master_0|master|p2m|Add0~28_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Add0~28_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add3~28_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Add0~28_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector23~1_combout\);

-- Location: LCCOMB_X55_Y47_N18
\gpio_u0|usb_debug_master_0|master|p2m|Selector23~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector23~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector23~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector23~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6) & \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector23~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector23~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector23~2_combout\);

-- Location: FF_X55_Y47_N19
\gpio_u0|usb_debug_master_0|master|p2m|counter[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector23~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(14));

-- Location: LCCOMB_X55_Y47_N30
\gpio_u0|usb_debug_master_0|master|p2m|Selector22~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector22~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(15) & (!\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(15),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector22~0_combout\);

-- Location: LCCOMB_X58_Y47_N30
\gpio_u0|usb_debug_master_0|master|p2m|Add3~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add3~30_combout\ = \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ $ (\gpio_u0|usb_debug_master_0|master|p2m|Add3~29\ $ (\gpio_u0|usb_debug_master_0|master|p2m|counter\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010101011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|counter\(15),
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add3~29\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add3~30_combout\);

-- Location: LCCOMB_X56_Y47_N30
\gpio_u0|usb_debug_master_0|master|p2m|Add0~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Add0~30_combout\ = \gpio_u0|usb_debug_master_0|master|p2m|Add0~29\ $ (\gpio_u0|usb_debug_master_0|master|p2m|counter\(15))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|master|p2m|counter\(15),
	cin => \gpio_u0|usb_debug_master_0|master|p2m|Add0~29\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Add0~30_combout\);

-- Location: LCCOMB_X55_Y47_N10
\gpio_u0|usb_debug_master_0|master|p2m|Selector22~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector22~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Add3~30_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ 
-- & \gpio_u0|usb_debug_master_0|master|p2m|Add0~30_combout\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|Add3~30_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|Add0~30_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Add3~30_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Add0~30_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector22~1_combout\);

-- Location: LCCOMB_X55_Y47_N14
\gpio_u0|usb_debug_master_0|master|p2m|Selector22~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector22~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector22~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector22~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7) & \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector29~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector22~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector22~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector22~2_combout\);

-- Location: FF_X55_Y47_N15
\gpio_u0|usb_debug_master_0|master|p2m|counter[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector22~2_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|counter\(15));

-- Location: LCCOMB_X58_Y44_N24
\gpio_u0|usb_debug_master_0|master|p2m|Equal10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Equal10~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(14) & (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(15) & (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(13) & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|counter\(12))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(14),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(15),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(13),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|counter\(12),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~0_combout\);

-- Location: LCCOMB_X58_Y44_N26
\gpio_u0|usb_debug_master_0|master|p2m|Equal10~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Equal10~3_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(1) & (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(2) & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(0) & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|counter\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(1),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(2),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(0),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|counter\(3),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~3_combout\);

-- Location: LCCOMB_X59_Y44_N18
\gpio_u0|usb_debug_master_0|master|p2m|Equal10~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Equal10~2_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(7) & (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(6) & (!\gpio_u0|usb_debug_master_0|master|p2m|counter\(4) & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|counter\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(7),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(6),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(4),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|counter\(5),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~2_combout\);

-- Location: LCCOMB_X58_Y44_N20
\gpio_u0|usb_debug_master_0|master|p2m|Equal10~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Equal10~4_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Equal10~1_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|Equal10~0_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|Equal10~3_combout\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|Equal10~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~3_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~4_combout\);

-- Location: LCCOMB_X58_Y45_N8
\gpio_u0|usb_debug_master_0|master|p2m|state~53\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~53_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|Equal10~4_combout\ & (\gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\ & 
-- \gpio_u0|usb_debug_master_0|p2b|in_ready~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~4_combout\,
	datac => \gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\,
	datad => \gpio_u0|usb_debug_master_0|p2b|in_ready~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~53_combout\);

-- Location: LCCOMB_X58_Y45_N26
\gpio_u0|usb_debug_master_0|master|p2m|state~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~54_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|state~53_combout\ & ((!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state~53_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~54_combout\);

-- Location: FF_X58_Y45_N27
\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~54_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\);

-- Location: LCCOMB_X58_Y45_N22
\gpio_u0|usb_debug_master_0|master|p2m|state~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~58_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\) # ((!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\,
	datab => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~58_combout\);

-- Location: FF_X58_Y45_N23
\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~58_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\);

-- Location: LCCOMB_X58_Y45_N4
\gpio_u0|usb_debug_master_0|master|p2m|state~45\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~45_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Equal10~4_combout\) # ((!\gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\ & (!\gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\ & 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_WAIT~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~4_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~45_combout\);

-- Location: LCCOMB_X58_Y45_N20
\gpio_u0|usb_debug_master_0|master|p2m|state~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~46_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.0000~q\ & ((!\gpio_u0|usb_debug_master_0|master|p2m|state~45_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state~45_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.0000~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~46_combout\);

-- Location: FF_X58_Y45_N21
\gpio_u0|usb_debug_master_0|master|p2m|state.0000\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~46_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.0000~q\);

-- Location: LCCOMB_X58_Y45_N16
\gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\) # (((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\) # (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~q\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|state.0000~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE1~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.0000~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_SIZE2~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_EXTRA~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~1_combout\);

-- Location: LCCOMB_X56_Y46_N16
\gpio_u0|usb_debug_master_0|master|p2m|state~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~48_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (!\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR2~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~48_combout\);

-- Location: FF_X56_Y46_N17
\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~48_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR2~q\);

-- Location: LCCOMB_X56_Y46_N28
\gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR3~q\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\) # ((\gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~1_combout\) # 
-- (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR3~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR1~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR2~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~2_combout\);

-- Location: LCCOMB_X57_Y45_N6
\gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & (((!\gpio_u0|usb_debug_master_0|master|p2m|command\(4) & \gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|command\(4),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~0_combout\);

-- Location: LCCOMB_X57_Y45_N0
\gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~2_combout\) # (((\gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\) # (\gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~0_combout\)) 
-- # (!\gpio_u0|usb_debug_master_0|master|p2m|state~41_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state~41_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~3_combout\);

-- Location: FF_X57_Y45_N1
\gpio_u0|usb_debug_master_0|master|p2m|in_ready_0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~3_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~q\);

-- Location: LCCOMB_X55_Y46_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_rdempty\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_rdempty~combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_lsb_aeb~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdemp_eq_comp_msb_aeb~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_rdempty~combout\);

-- Location: LCCOMB_X55_Y46_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_rdempty~combout\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\))) # (!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & 
-- (\gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|in_ready_0~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_rdempty~combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\);

-- Location: FF_X52_Y46_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~1_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\);

-- Location: LCCOMB_X52_Y48_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~1_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|parity6~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|parity6~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~1_combout\);

-- Location: LCCOMB_X52_Y48_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~0_combout\);

-- Location: FF_X52_Y48_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\);

-- Location: LCCOMB_X52_Y48_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~0_combout\);

-- Location: FF_X52_Y48_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\);

-- Location: LCCOMB_X52_Y48_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~2_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~2_combout\);

-- Location: LCCOMB_X52_Y48_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~0_combout\);

-- Location: FF_X52_Y48_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\);

-- Location: LCCOMB_X52_Y48_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~0_combout\);

-- Location: FF_X52_Y48_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\);

-- Location: LCCOMB_X52_Y46_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a8~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]~feeder_combout\);

-- Location: FF_X52_Y46_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a\(2));

-- Location: LCCOMB_X52_Y46_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~5_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a4~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a5~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a6~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a7~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~5_combout\);

-- Location: FF_X52_Y46_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~5_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a\(1));

-- Location: LCCOMB_X52_Y46_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~6_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001101001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a3~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~6_combout\);

-- Location: FF_X52_Y46_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~6_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a\(0));

-- Location: LCCOMB_X52_Y46_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~4_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a\(1) $ (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101101001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|sub_parity7a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~4_combout\);

-- Location: FF_X52_Y46_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|parity6\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|_~4_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|parity6~q\);

-- Location: LCCOMB_X52_Y46_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|parity6~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|parity6~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~0_combout\);

-- Location: FF_X52_Y46_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\);

-- Location: LCCOMB_X51_Y46_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|counter5a1~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[1]~feeder_combout\);

-- Location: FF_X51_Y46_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(1));

-- Location: LCCOMB_X51_Y46_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[1]~feeder_combout\);

-- Location: FF_X51_Y46_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(1));

-- Location: LCCOMB_X50_Y45_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[1]~feeder_combout\);

-- Location: FF_X50_Y45_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(1));

-- Location: FF_X50_Y45_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(2),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(2));

-- Location: LCCOMB_X50_Y45_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[2]~feeder_combout\);

-- Location: FF_X50_Y45_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[2]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(2));

-- Location: LCCOMB_X49_Y45_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[4]~feeder_combout\);

-- Location: FF_X49_Y45_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(4));

-- Location: LCCOMB_X50_Y45_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[4]~feeder_combout\);

-- Location: FF_X50_Y45_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[4]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(4));

-- Location: LCCOMB_X50_Y45_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(4))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0_combout\);

-- Location: LCCOMB_X50_Y45_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(1))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(1) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(1),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1_combout\);

-- Location: LCCOMB_X51_Y46_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[0]~feeder_combout\);

-- Location: FF_X51_Y46_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(0));

-- Location: LCCOMB_X50_Y45_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[0]~feeder_combout\);

-- Location: FF_X50_Y45_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[0]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(0));

-- Location: LCCOMB_X50_Y45_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[3]~feeder_combout\);

-- Location: FF_X50_Y45_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[3]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(3));

-- Location: FF_X50_Y45_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(3),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(3));

-- Location: LCCOMB_X50_Y45_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(3) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(3) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(0) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(0))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(3) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(3) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(0) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4_combout\);

-- Location: LCCOMB_X50_Y45_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(0) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(3))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(0) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000110000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3_combout\);

-- Location: LCCOMB_X50_Y45_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(4))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(4),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2_combout\);

-- Location: LCCOMB_X50_Y45_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2_combout\)))) 
-- # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~4_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~3_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5_combout\);

-- Location: LCCOMB_X50_Y45_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~6_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1_combout\ $ (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~5_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~6_combout\);

-- Location: FF_X50_Y45_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux|result_node[0]~6_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg~q\);

-- Location: IOIBUF_X56_Y54_N8
\usb_wrn~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_usb_wrn,
	o => \usb_wrn~input_o\);

-- Location: LCCOMB_X51_Y45_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[5]~feeder_combout\);

-- Location: FF_X51_Y45_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(5));

-- Location: LCCOMB_X51_Y45_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[5]~feeder_combout\);

-- Location: FF_X51_Y45_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[5]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(5));

-- Location: LCCOMB_X51_Y45_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(5) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(5),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0_combout\);

-- Location: LCCOMB_X51_Y45_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[6]~feeder_combout\);

-- Location: FF_X51_Y45_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[6]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(6));

-- Location: FF_X51_Y45_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(6),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(6));

-- Location: LCCOMB_X51_Y45_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[8]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[8]~feeder_combout\);

-- Location: FF_X51_Y45_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[8]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(8));

-- Location: LCCOMB_X51_Y45_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[8]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[8]~feeder_combout\);

-- Location: FF_X51_Y45_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[8]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(8));

-- Location: LCCOMB_X51_Y45_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|rdptr_g\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[7]~feeder_combout\);

-- Location: FF_X51_Y45_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(7));

-- Location: LCCOMB_X51_Y45_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe20a\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[7]~feeder_combout\);

-- Location: FF_X51_Y45_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(7));

-- Location: LCCOMB_X51_Y45_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(7) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(8))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(7) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a7~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a8~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(8),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0_combout\);

-- Location: LCCOMB_X51_Y45_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp1_msb|data_wire[0]~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(6),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1_combout\);

-- Location: LCCOMB_X51_Y45_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(8) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(7))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(8) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(8),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(7),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2_combout\);

-- Location: LCCOMB_X51_Y45_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(6) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(6) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(5) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(6) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(6) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(5) $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(6),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(6),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3_combout\);

-- Location: LCCOMB_X51_Y45_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1_combout\)) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~4_combout\);

-- Location: FF_X51_Y45_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux|result_node[0]~4_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg~q\);

-- Location: LCCOMB_X49_Y45_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\ = (!\usb_wrn~input_o\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0) & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg~q\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg~q\,
	datab => \usb_wrn~input_o\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|valid_wrreq~0_combout\);

-- Location: LCCOMB_X56_Y46_N4
\gpio_u0|usb_debug_master_0|b2p|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|b2p|Equal0~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7) & \gpio_u0|usb_debug_master_0|b2p|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7),
	datad => \gpio_u0|usb_debug_master_0|b2p|Equal0~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|b2p|Equal0~1_combout\);

-- Location: LCCOMB_X55_Y46_N6
\gpio_u0|usb_debug_master_0|master|p2m|enable~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ = (!\gpio_u0|usb_debug_master_0|b2p|Equal0~1_combout\ & (!\gpio_u0|usb_debug_master_0|b2p|Equal2~0_combout\ & \gpio_u0|usb_debug_master_0|b2p|always0~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|b2p|Equal0~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|b2p|Equal2~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|b2p|always0~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\);

-- Location: LCCOMB_X56_Y46_N12
\gpio_u0|usb_debug_master_0|b2p|Equal0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|b2p|Equal0~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0) & \gpio_u0|usb_debug_master_0|b2p|Equal0~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0),
	datad => \gpio_u0|usb_debug_master_0|b2p|Equal0~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|b2p|Equal0~3_combout\);

-- Location: LCCOMB_X56_Y46_N30
\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~0_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & ((\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\) # ((!\gpio_u0|usb_debug_master_0|b2p|received_esc~q\ & 
-- \gpio_u0|usb_debug_master_0|b2p|Equal0~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|b2p|received_esc~q\,
	datac => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datad => \gpio_u0|usb_debug_master_0|b2p|Equal0~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~0_combout\);

-- Location: FF_X56_Y46_N31
\gpio_u0|usb_debug_master_0|b2p|out_startofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|b2p|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\);

-- Location: LCCOMB_X56_Y46_N26
\gpio_u0|usb_debug_master_0|master|p2m|state~49\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~49_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (!\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR2~q\))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR3~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR2~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR3~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~49_combout\);

-- Location: FF_X56_Y46_N27
\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~49_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR3~q\);

-- Location: LCCOMB_X56_Y46_N18
\gpio_u0|usb_debug_master_0|master|p2m|state~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~42_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR3~q\ & (!\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR3~q\,
	datab => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~42_combout\);

-- Location: FF_X56_Y46_N19
\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~42_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\);

-- Location: LCCOMB_X57_Y46_N2
\gpio_u0|usb_debug_master_0|master|p2m|Selector77~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector77~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|command\(3) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|command\(3),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector77~0_combout\);

-- Location: LCCOMB_X58_Y44_N18
\gpio_u0|usb_debug_master_0|master|p2m|Selector77~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector77~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (((\gpio_u0|usb_debug_master_0|master|p2m|counter\(3) & !\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0))))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(11) & ((\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(11),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(3),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector77~2_combout\);

-- Location: LCCOMB_X57_Y45_N14
\gpio_u0|usb_debug_master_0|master|p2m|Selector82~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector82~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & !\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~1_combout\);

-- Location: LCCOMB_X58_Y45_N24
\gpio_u0|usb_debug_master_0|master|p2m|Selector82~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector82~2_combout\ = (\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector82~1_combout\)))) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & (((\gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~2_combout\);

-- Location: LCCOMB_X58_Y45_N14
\gpio_u0|usb_debug_master_0|master|p2m|Selector82~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector82~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|Equal10~4_combout\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector82~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Equal10~4_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~3_combout\);

-- Location: FF_X58_Y45_N15
\gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~3_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\);

-- Location: LCCOMB_X57_Y48_N14
\gpio_u0|usb_debug_master_0|p2b|sent_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|sent_eop~0_combout\ = (\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & ((\gpio_u0|usb_debug_master_0|p2b|always0~3_combout\) # ((!\gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\)))) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & (((\gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\ & \gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|always0~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|sent_eop~0_combout\);

-- Location: FF_X57_Y48_N15
\gpio_u0|usb_debug_master_0|p2b|sent_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|sent_eop~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\);

-- Location: LCCOMB_X57_Y48_N4
\gpio_u0|usb_debug_master_0|p2b|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|always0~0_combout\ = (!\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|always0~0_combout\);

-- Location: LCCOMB_X58_Y44_N0
\gpio_u0|usb_debug_master_0|master|p2m|Selector82~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\ = (!\gpio_u0|usb_debug_master_0|p2b|always0~0_combout\ & (!\gpio_u0|usb_debug_master_0|p2b|always0~3_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\ & 
-- \gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|always0~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|p2b|always0~3_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\);

-- Location: LCCOMB_X58_Y45_N18
\gpio_u0|usb_debug_master_0|master|p2m|state~61\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~61_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\ & (\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|command\(4) & 
-- \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Equal2~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|command\(4),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~61_combout\);

-- Location: LCCOMB_X58_Y45_N10
\gpio_u0|usb_debug_master_0|master|p2m|state~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~62_combout\ = (!\gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|state~61_combout\) # ((!\gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|state~53_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state~53_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state~61_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~62_combout\);

-- Location: FF_X58_Y45_N11
\gpio_u0|usb_debug_master_0|master|p2m|state.READ_ASSERT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~62_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_ASSERT~q\);

-- Location: LCCOMB_X58_Y46_N24
\gpio_u0|usb_debug_master_0|master|p2m|state~59\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~59_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_ASSERT~q\ & ((!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\) # (!\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_ASSERT~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~59_combout\);

-- Location: FF_X58_Y46_N25
\gpio_u0|usb_debug_master_0|master|p2m|state.READ_CMD_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~59_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_CMD_WAIT~q\);

-- Location: LCCOMB_X58_Y46_N14
\gpio_u0|usb_debug_master_0|master|p2m|state~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|state~60_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & (!\gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|state.READ_CMD_WAIT~q\) # 
-- (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_DATA_WAIT~q\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|state.READ_CMD_WAIT~q\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|state.READ_DATA_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|enable~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_CMD_WAIT~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_DATA_WAIT~q\,
	datad => \gpio_u0|usb_debug_master_0|b2p|out_startofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|state~60_combout\);

-- Location: FF_X58_Y46_N15
\gpio_u0|usb_debug_master_0|master|p2m|state.READ_DATA_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|state~60_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_DATA_WAIT~q\);

-- Location: LCCOMB_X58_Y46_N26
\gpio_u0|usb_debug_master_0|master|p2m|WideOr14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|WideOr14~0_combout\ = ((\gpio_u0|usb_debug_master_0|master|p2m|state.READ_DATA_WAIT~q\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\) # 
-- (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_CMD_WAIT~q\))) # (!\gpio_u0|usb_debug_master_0|master|p2m|Selector70~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_DATA_WAIT~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_CMD_WAIT~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|WideOr14~0_combout\);

-- Location: LCCOMB_X58_Y46_N30
\gpio_u0|usb_debug_master_0|master|p2m|Selector73~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector73~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|WideOr14~0_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1)) # ((\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|WideOr14~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~0_combout\);

-- Location: LCCOMB_X57_Y44_N0
\gpio_u0|usb_debug_master_0|master|p2m|Selector73~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector73~0_combout\ & (((\gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\ & \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Equal6~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\);

-- Location: LCCOMB_X57_Y44_N10
\gpio_u0|usb_debug_master_0|master|p2m|Selector77~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector77~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(3) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(3),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector77~1_combout\);

-- Location: LCCOMB_X57_Y44_N18
\gpio_u0|usb_debug_master_0|master|p2m|Selector77~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector77~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector77~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector77~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector77~2_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector77~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector77~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector77~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector77~3_combout\);

-- Location: FF_X57_Y44_N19
\gpio_u0|usb_debug_master_0|master|p2m|out_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector77~3_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(3));

-- Location: LCCOMB_X57_Y44_N6
\gpio_u0|usb_debug_master_0|master|p2m|Selector76~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector76~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(4) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(4),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector76~1_combout\);

-- Location: LCCOMB_X58_Y44_N14
\gpio_u0|usb_debug_master_0|master|p2m|Selector76~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector76~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(4) & ((!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0))))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (((\gpio_u0|usb_debug_master_0|master|p2m|counter\(12) & \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(4),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(12),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector76~2_combout\);

-- Location: LCCOMB_X57_Y46_N6
\gpio_u0|usb_debug_master_0|master|p2m|Selector76~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector76~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|command\(4) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|command\(4),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector76~0_combout\);

-- Location: LCCOMB_X57_Y44_N14
\gpio_u0|usb_debug_master_0|master|p2m|Selector76~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector76~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector76~1_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector76~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector76~2_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector76~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector76~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector76~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector76~3_combout\);

-- Location: FF_X57_Y44_N15
\gpio_u0|usb_debug_master_0|master|p2m|out_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector76~3_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(4));

-- Location: LCCOMB_X58_Y44_N4
\gpio_u0|usb_debug_master_0|master|p2m|Selector74~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector74~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(6) & ((!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0))))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (((\gpio_u0|usb_debug_master_0|master|p2m|counter\(14) & \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(6),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(14),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector74~2_combout\);

-- Location: LCCOMB_X57_Y44_N20
\gpio_u0|usb_debug_master_0|master|p2m|Selector74~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector74~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(6) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(6),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector74~1_combout\);

-- Location: LCCOMB_X57_Y46_N12
\gpio_u0|usb_debug_master_0|master|p2m|Selector74~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector74~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|command\(6) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|command\(6),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector74~0_combout\);

-- Location: LCCOMB_X57_Y44_N28
\gpio_u0|usb_debug_master_0|master|p2m|Selector74~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector74~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector74~1_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector74~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector74~2_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector74~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector74~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector74~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector74~3_combout\);

-- Location: FF_X57_Y44_N29
\gpio_u0|usb_debug_master_0|master|p2m|out_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector74~3_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(6));

-- Location: LCCOMB_X57_Y45_N10
\gpio_u0|usb_debug_master_0|master|p2m|Selector73~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector73~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(7) & ((!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0))))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (((\gpio_u0|usb_debug_master_0|master|p2m|counter\(15) & \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(7),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(15),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~3_combout\);

-- Location: LCCOMB_X57_Y45_N4
\gpio_u0|usb_debug_master_0|master|p2m|Selector73~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector73~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(7) & ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(7),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.WRITE_WAIT~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~2_combout\);

-- Location: LCCOMB_X57_Y45_N16
\gpio_u0|usb_debug_master_0|master|p2m|Selector73~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector73~4_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector73~2_combout\) # (((\gpio_u0|usb_debug_master_0|master|p2m|Selector73~3_combout\ & 
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|Selector0~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~4_combout\);

-- Location: FF_X57_Y45_N17
\gpio_u0|usb_debug_master_0|master|p2m|out_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~4_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(7));

-- Location: LCCOMB_X57_Y48_N26
\gpio_u0|usb_debug_master_0|p2b|always0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|always0~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(6) & !\gpio_u0|usb_debug_master_0|master|p2m|out_data\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(6),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(7),
	combout => \gpio_u0|usb_debug_master_0|p2b|always0~2_combout\);

-- Location: LCCOMB_X57_Y44_N26
\gpio_u0|usb_debug_master_0|master|p2m|Selector78~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector78~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(2) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(2),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector78~1_combout\);

-- Location: LCCOMB_X58_Y44_N10
\gpio_u0|usb_debug_master_0|master|p2m|Selector78~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector78~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (((\gpio_u0|usb_debug_master_0|master|p2m|counter\(2) & !\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0))))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(10) & ((\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|counter\(10),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(2),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector78~2_combout\);

-- Location: FF_X57_Y46_N29
\gpio_u0|usb_debug_master_0|master|p2m|command[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|master|p2m|always1~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|command\(2));

-- Location: LCCOMB_X57_Y46_N28
\gpio_u0|usb_debug_master_0|master|p2m|Selector78~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector78~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|command\(2) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|command\(2),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector78~0_combout\);

-- Location: LCCOMB_X57_Y44_N2
\gpio_u0|usb_debug_master_0|master|p2m|Selector78~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector78~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector78~1_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector78~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector78~2_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector78~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector78~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector78~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector78~3_combout\);

-- Location: FF_X57_Y44_N3
\gpio_u0|usb_debug_master_0|master|p2m|out_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector78~3_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(2));

-- Location: LCCOMB_X57_Y44_N30
\gpio_u0|usb_debug_master_0|master|p2m|Selector79~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector79~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(1) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(1),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector79~1_combout\);

-- Location: LCCOMB_X58_Y44_N8
\gpio_u0|usb_debug_master_0|master|p2m|Selector79~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector79~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (((\gpio_u0|usb_debug_master_0|master|p2m|counter\(1) & !\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0))))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(9) & ((\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(9),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(1),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector79~2_combout\);

-- Location: LCCOMB_X57_Y46_N8
\gpio_u0|usb_debug_master_0|master|p2m|Selector79~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector79~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|command\(1) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|command\(1),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector79~0_combout\);

-- Location: LCCOMB_X57_Y44_N12
\gpio_u0|usb_debug_master_0|master|p2m|Selector79~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector79~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector79~1_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector79~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector79~2_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector79~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector79~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector79~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector79~3_combout\);

-- Location: FF_X57_Y44_N13
\gpio_u0|usb_debug_master_0|master|p2m|out_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector79~3_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(1));

-- Location: LCCOMB_X57_Y48_N30
\gpio_u0|usb_debug_master_0|p2b|sent_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|sent_esc~0_combout\ = (\gpio_u0|usb_debug_master_0|p2b|always0~0_combout\ & (((\gpio_u0|usb_debug_master_0|p2b|sent_esc~q\)))) # (!\gpio_u0|usb_debug_master_0|p2b|always0~0_combout\ & 
-- ((\gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\ & (\gpio_u0|usb_debug_master_0|p2b|always0~3_combout\)) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\ & ((\gpio_u0|usb_debug_master_0|p2b|sent_esc~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|always0~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|p2b|always0~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_esc~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|in_ready~6_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|sent_esc~0_combout\);

-- Location: FF_X57_Y48_N31
\gpio_u0|usb_debug_master_0|p2b|sent_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|sent_esc~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|sent_esc~q\);

-- Location: LCCOMB_X58_Y44_N6
\gpio_u0|usb_debug_master_0|master|p2m|Selector75~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector75~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (((\gpio_u0|usb_debug_master_0|master|p2m|counter\(5) & !\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0))))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1) & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(13) & ((\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(13),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(5),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector75~2_combout\);

-- Location: LCCOMB_X57_Y44_N4
\gpio_u0|usb_debug_master_0|master|p2m|Selector75~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector75~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(5) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(5),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector75~1_combout\);

-- Location: LCCOMB_X57_Y46_N10
\gpio_u0|usb_debug_master_0|master|p2m|Selector75~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector75~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|command\(5) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|command\(5),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector75~0_combout\);

-- Location: LCCOMB_X57_Y44_N16
\gpio_u0|usb_debug_master_0|master|p2m|Selector75~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector75~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector75~1_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector75~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector75~2_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector75~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector75~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector75~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector75~3_combout\);

-- Location: FF_X57_Y44_N17
\gpio_u0|usb_debug_master_0|master|p2m|out_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector75~3_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(5));

-- Location: LCCOMB_X57_Y48_N28
\gpio_u0|usb_debug_master_0|p2b|always0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|always0~1_combout\ = (!\gpio_u0|usb_debug_master_0|p2b|sent_esc~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(5) & (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(2) $ 
-- (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(2),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(1),
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_esc~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(5),
	combout => \gpio_u0|usb_debug_master_0|p2b|always0~1_combout\);

-- Location: LCCOMB_X57_Y48_N8
\gpio_u0|usb_debug_master_0|p2b|always0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|always0~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(3) & (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(4) & (\gpio_u0|usb_debug_master_0|p2b|always0~2_combout\ & 
-- \gpio_u0|usb_debug_master_0|p2b|always0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(3),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(4),
	datac => \gpio_u0|usb_debug_master_0|p2b|always0~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|p2b|always0~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|always0~3_combout\);

-- Location: LCCOMB_X58_Y48_N8
\gpio_u0|usb_debug_master_0|p2b|in_ready~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|in_ready~4_combout\ = (!\gpio_u0|usb_debug_master_0|p2b|always0~3_combout\ & ((\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\) # (!\gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|always0~3_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|in_ready~4_combout\);

-- Location: LCCOMB_X58_Y48_N24
\gpio_u0|usb_debug_master_0|p2b|sent_sop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|sent_sop~0_combout\ = (\gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\ & ((\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\) # (!\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|sent_sop~0_combout\);

-- Location: LCCOMB_X58_Y48_N6
\gpio_u0|usb_debug_master_0|p2b|sent_sop~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|sent_sop~1_combout\ = (\gpio_u0|usb_debug_master_0|p2b|sent_sop~q\ & (((!\gpio_u0|usb_debug_master_0|p2b|sent_sop~0_combout\)) # (!\gpio_u0|usb_debug_master_0|p2b|in_ready~4_combout\))) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|sent_sop~q\ & (((\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\ & \gpio_u0|usb_debug_master_0|p2b|sent_sop~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~4_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|sent_sop~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|sent_sop~1_combout\);

-- Location: FF_X58_Y48_N7
\gpio_u0|usb_debug_master_0|p2b|sent_sop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|sent_sop~1_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\);

-- Location: LCCOMB_X57_Y48_N22
\gpio_u0|usb_debug_master_0|p2b|in_ready~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|in_ready~1_combout\ = (((!\gpio_u0|usb_debug_master_0|p2b|always0~1_combout\) # (!\gpio_u0|usb_debug_master_0|p2b|always0~2_combout\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|out_data\(4))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|out_data\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(3),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(4),
	datac => \gpio_u0|usb_debug_master_0|p2b|always0~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|p2b|always0~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|in_ready~1_combout\);

-- Location: LCCOMB_X58_Y48_N10
\gpio_u0|usb_debug_master_0|p2b|in_ready~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|in_ready~2_combout\ = (\gpio_u0|usb_debug_master_0|p2b|in_ready~1_combout\ & (\gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\ & ((\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datab => \gpio_u0|usb_debug_master_0|p2b|in_ready~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|in_ready~2_combout\);

-- Location: LCCOMB_X58_Y48_N30
\gpio_u0|usb_debug_master_0|p2b|in_ready~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ = (\gpio_u0|usb_debug_master_0|p2b|in_ready~2_combout\ & (((\gpio_u0|usb_debug_master_0|p2b|sent_sop~q\ & \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|in_ready~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\);

-- Location: LCCOMB_X58_Y46_N18
\gpio_u0|usb_debug_master_0|master|p2m|Selector0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector0~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\ & ((!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0)) 
-- # (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.RETURN_PACKET~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|state.READ_SEND_ISSUE~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~0_combout\);

-- Location: LCCOMB_X58_Y48_N4
\gpio_u0|usb_debug_master_0|master|p2m|Selector0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector0~2_combout\ = ((\gpio_u0|usb_debug_master_0|master|p2m|out_valid~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|state.0000~q\) # (!\gpio_u0|usb_debug_master_0|master|p2m|Selector70~0_combout\)))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector0~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.0000~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector70~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_valid~q\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~2_combout\);

-- Location: LCCOMB_X58_Y48_N16
\gpio_u0|usb_debug_master_0|master|p2m|Selector0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector0~4_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector0~0_combout\) # (((!\gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|Selector0~2_combout\)) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector0~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|in_ready~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~4_combout\);

-- Location: FF_X58_Y48_N17
\gpio_u0|usb_debug_master_0|master|p2m|out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~4_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|out_valid~q\);

-- Location: LCCOMB_X58_Y48_N14
\gpio_u0|usb_debug_master_0|p2b|out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_valid~0_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_valid~q\) # ((\gpio_u0|usb_debug_master_0|p2b|out_valid~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_valid~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|out_valid~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_valid~0_combout\);

-- Location: FF_X58_Y48_N15
\gpio_u0|usb_debug_master_0|p2b|out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|out_valid~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|out_valid~q\);

-- Location: LCCOMB_X54_Y48_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_rdempty~combout\))) # (!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & 
-- (\gpio_u0|usb_debug_master_0|p2b|out_valid~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datab => \gpio_u0|usb_debug_master_0|p2b|out_valid~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrfull~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_rdempty~combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\);

-- Location: LCCOMB_X55_Y50_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~1_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|parity9~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|parity9~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~1_combout\);

-- Location: LCCOMB_X55_Y50_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~0_combout\);

-- Location: FF_X55_Y50_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\);

-- Location: LCCOMB_X55_Y50_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~0_combout\);

-- Location: FF_X55_Y50_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\);

-- Location: LCCOMB_X55_Y50_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~3_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~3_combout\);

-- Location: LCCOMB_X55_Y50_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~0_combout\);

-- Location: FF_X55_Y50_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\);

-- Location: LCCOMB_X55_Y50_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\ $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~0_combout\);

-- Location: FF_X55_Y50_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\);

-- Location: LCCOMB_X55_Y50_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~0_combout\);

-- Location: FF_X55_Y50_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~q\);

-- Location: FF_X55_Y50_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a8~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a\(2));

-- Location: LCCOMB_X55_Y50_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~5_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a7~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a4~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a5~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a6~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~5_combout\);

-- Location: FF_X55_Y50_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~5_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a\(1));

-- Location: LCCOMB_X55_Y50_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~6_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\ $ 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001101001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a3~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~6_combout\);

-- Location: FF_X55_Y50_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~6_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a\(0));

-- Location: LCCOMB_X55_Y50_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~4_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a\(1) $ (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101101001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|sub_parity10a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~4_combout\);

-- Location: FF_X55_Y50_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|parity9\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~4_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|parity9~q\);

-- Location: LCCOMB_X55_Y50_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~1_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|parity9~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|parity9~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~1_combout\);

-- Location: FF_X55_Y50_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|_~1_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\);

-- Location: LCCOMB_X55_Y50_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\ $ 
-- (((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\ & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|parity9~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a0~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|parity9~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~0_combout\);

-- Location: FF_X55_Y50_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~0_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\);

-- Location: FF_X54_Y50_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|counter8a1~q\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(1));

-- Location: LCCOMB_X51_Y49_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[1]~feeder_combout\);

-- Location: FF_X51_Y49_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(1));

-- Location: LCCOMB_X51_Y49_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|delayed_wrptr_g\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[1]~feeder_combout\);

-- Location: FF_X51_Y49_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(1));

-- Location: LCCOMB_X51_Y49_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe6a\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[1]~feeder_combout\);

-- Location: FF_X51_Y49_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low",
	x_on_violation => "off")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(1));

-- Location: LCCOMB_X51_Y49_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[1]~feeder_combout\);

-- Location: FF_X51_Y49_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[1]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(1));

-- Location: FF_X52_Y49_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(0),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(0));

-- Location: FF_X52_Y49_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(3),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(3));

-- Location: LCCOMB_X52_Y49_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(0) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(3))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(0)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(0) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(0)) # (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111101111011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~3_combout\);

-- Location: FF_X55_Y49_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(5),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(5));

-- Location: FF_X52_Y49_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(2),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(2));

-- Location: LCCOMB_X51_Y49_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(5) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(2))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(5) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5)) # (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111110110111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(5),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~2_combout\);

-- Location: FF_X55_Y49_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(8),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(8));

-- Location: FF_X55_Y49_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(6),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(6));

-- Location: LCCOMB_X55_Y49_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(8) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8)) # (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(6) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(8) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(6) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001111111111001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(8),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(6),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~0_combout\);

-- Location: LCCOMB_X55_Y49_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[7]~feeder_combout\);

-- Location: FF_X55_Y49_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[7]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(7));

-- Location: FF_X52_Y49_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp|dffpipe5|dffe7a\(4),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(4));

-- Location: LCCOMB_X52_Y49_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(7) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7)) # (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(4) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(7) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(4) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001111111111001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(7),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(4),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~1_combout\);

-- Location: LCCOMB_X52_Y49_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~3_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~2_combout\) # ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~0_combout\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~4_combout\);

-- Location: LCCOMB_X51_Y49_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire\(0) = (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~4_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(1) $ (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire[0]~4_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire\(0));

-- Location: FF_X51_Y49_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_eq_comp|aneb_result_wire\(0),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0));

-- Location: LCCOMB_X49_Y45_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_wrfull\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_wrfull~combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_lsb_mux_reg~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_eq_comp_msb_mux_reg~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_wrfull~combout\);

-- Location: FF_X49_Y45_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|int_wrfull~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0));

-- Location: FF_X50_Y45_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(4),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(4));

-- Location: FF_X51_Y45_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(6),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(6));

-- Location: FF_X51_Y45_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(7),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(7));

-- Location: FF_X51_Y45_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(8),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(8));

-- Location: LCCOMB_X51_Y45_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor6~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(6) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(7) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100101100110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(6),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(7),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor6~combout\);

-- Location: FF_X51_Y45_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(5),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(5));

-- Location: LCCOMB_X50_Y45_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor4~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(4) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor6~combout\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011010010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor6~combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor4~combout\);

-- Location: FF_X50_Y45_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor4~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(4));

-- Location: LCCOMB_X51_Y46_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor6~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(6) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(6),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor6~combout\);

-- Location: LCCOMB_X51_Y46_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor4~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor6~combout\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010101011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor6~combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor4~combout\);

-- Location: FF_X51_Y46_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor4~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(4));

-- Location: FF_X50_Y45_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(3),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(3));

-- Location: LCCOMB_X50_Y45_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor3~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(4) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor6~combout\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(3) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor6~combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor3~combout\);

-- Location: FF_X51_Y46_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor3~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(3));

-- Location: LCCOMB_X51_Y46_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor3~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(3) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor6~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor6~combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor3~combout\);

-- Location: LCCOMB_X51_Y46_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor3~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor3~combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[3]~feeder_combout\);

-- Location: FF_X51_Y46_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[3]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(3));

-- Location: FF_X50_Y45_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(2),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(2));

-- Location: LCCOMB_X51_Y45_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor5~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(6) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(7) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(5) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(6),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(7),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(5),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor5~combout\);

-- Location: LCCOMB_X49_Y45_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor2~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(3) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor5~combout\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(3),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor5~combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor2~combout\);

-- Location: FF_X49_Y45_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor2~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(2));

-- Location: LCCOMB_X51_Y46_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor5~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(6) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(7),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(8),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(6),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor5~combout\);

-- Location: LCCOMB_X51_Y46_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor2~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(3) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor5~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(4),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor5~combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor2~combout\);

-- Location: FF_X51_Y46_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor2~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(2));

-- Location: FF_X50_Y45_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(1),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(1));

-- Location: LCCOMB_X50_Y45_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor1~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor3~combout\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100101100110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor3~combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor1~combout\);

-- Location: FF_X50_Y46_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor1~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(1));

-- Location: LCCOMB_X51_Y46_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor1~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(1) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor3~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011010010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor3~combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor1~combout\);

-- Location: FF_X51_Y46_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor1~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(1));

-- Location: LCCOMB_X51_Y46_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor0~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(1) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor3~combout\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor3~combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor0~combout\);

-- Location: FF_X51_Y46_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor0~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(0));

-- Location: FF_X50_Y45_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp|dffpipe19|dffe21a\(0),
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(0));

-- Location: LCCOMB_X50_Y45_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor0~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(1) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(0) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor3~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor3~combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor0~combout\);

-- Location: FF_X50_Y45_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor0~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(0));

-- Location: LCCOMB_X50_Y46_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(0) & ((GND) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(0)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(0) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(0) $ (GND)))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~1\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(0)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(0),
	datad => VCC,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~0_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~1\);

-- Location: LCCOMB_X50_Y46_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(1) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(1) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~1\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(1) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~1\) # (GND))))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(1) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(1) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~1\ & VCC)) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(1) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~1\))))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~3\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(1) & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~1\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(1)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(1) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(1) & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~1\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(1),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~1\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~2_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~3\);

-- Location: LCCOMB_X50_Y46_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~4_combout\ = ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(2) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~3\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~5\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(2) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(2) & !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~3\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(2) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(2)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~3\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(2),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~3\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~4_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~5\);

-- Location: LCCOMB_X50_Y46_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~6_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(3) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(3) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~5\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(3) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~5\) # (GND))))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(3) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(3) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~5\ & VCC)) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(3) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~5\))))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~7\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(3) & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~5\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(3)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(3) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(3) & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~5\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(3),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~5\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~6_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~7\);

-- Location: LCCOMB_X50_Y46_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~8_combout\ = ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(4) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(4) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~7\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~9\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(4) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(4) & !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~7\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(4) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(4)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~7\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(4),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~7\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~8_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~9\);

-- Location: LCCOMB_X49_Y49_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor6~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(6) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(7) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010101011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(6),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(7),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor6~combout\);

-- Location: LCCOMB_X49_Y49_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor4~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(5) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor6~combout\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor6~combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor4~combout\);

-- Location: FF_X49_Y49_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor4~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(4));

-- Location: LCCOMB_X51_Y49_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor6~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor6~combout\);

-- Location: LCCOMB_X50_Y49_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor4~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor6~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor6~combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor4~combout\);

-- Location: FF_X50_Y49_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor4~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(4));

-- Location: LCCOMB_X50_Y49_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor3~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor6~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor6~combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor3~combout\);

-- Location: FF_X49_Y49_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor3~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(3));

-- Location: LCCOMB_X49_Y49_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor3~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(3) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(5) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor6~combout\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor6~combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor3~combout\);

-- Location: FF_X49_Y49_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor3~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(3));

-- Location: LCCOMB_X49_Y49_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor5~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(6) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(5) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(7) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(6),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(7),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor5~combout\);

-- Location: LCCOMB_X49_Y49_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor2~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor5~combout\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(2) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(3) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor5~combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor2~combout\);

-- Location: FF_X49_Y49_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor2~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(2));

-- Location: LCCOMB_X51_Y49_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor5~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor5~combout\);

-- Location: LCCOMB_X50_Y49_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor2~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor5~combout\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor5~combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor2~combout\);

-- Location: FF_X50_Y49_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor2~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(2));

-- Location: LCCOMB_X49_Y49_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor1~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(1) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor3~combout\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor3~combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor1~combout\);

-- Location: FF_X49_Y49_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor1~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(1));

-- Location: LCCOMB_X50_Y49_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor1~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(1) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor3~combout\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011010010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor3~combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor1~combout\);

-- Location: FF_X50_Y49_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor1~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(1));

-- Location: LCCOMB_X50_Y49_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor0~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(0) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor3~combout\ $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor3~combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor0~combout\);

-- Location: FF_X50_Y49_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor0~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(0));

-- Location: LCCOMB_X49_Y49_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor0~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(0) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(1) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor3~combout\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor3~combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor0~combout\);

-- Location: FF_X49_Y49_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor0~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(0));

-- Location: LCCOMB_X49_Y49_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(0) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(0) $ (VCC))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(0) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(0)) # (GND)))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~1\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(0)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011011011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(0),
	datad => VCC,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~0_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~1\);

-- Location: LCCOMB_X49_Y49_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(1) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(1) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~1\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(1) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~1\ & VCC)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(1) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(1) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~1\) # (GND))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(1) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~1\))))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~3\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(1) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(1) & !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~1\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(1) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(1)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~1\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(1),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~1\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~2_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~3\);

-- Location: LCCOMB_X49_Y49_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~4_combout\ = ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(2) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(2) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~3\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~5\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(2) & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~3\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(2)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(2) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(2) & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(2),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~3\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~4_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~5\);

-- Location: LCCOMB_X49_Y49_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~6_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(3) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(3) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~5\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(3) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~5\) # (GND))))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(3) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(3) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~5\ & VCC)) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(3) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~5\))))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~7\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(3) & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~5\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(3)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(3) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(3) & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~5\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(3),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~5\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~6_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~7\);

-- Location: LCCOMB_X49_Y49_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~8_combout\ = ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(4) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(4) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~7\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~9\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(4) & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~7\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(4)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(4) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(4) & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(4),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~7\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~8_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~9\);

-- Location: LCCOMB_X50_Y46_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~8_combout\)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0)) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~8_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~8_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~8_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~0_combout\);

-- Location: LCCOMB_X50_Y47_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~0_combout\);

-- Location: LCCOMB_X50_Y47_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~1_combout\);

-- Location: LCCOMB_X50_Y47_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~2_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~2_combout\);

-- Location: FF_X50_Y47_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector3~2_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(4));

-- Location: LCCOMB_X50_Y47_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|WideOr0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|WideOr0~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3)) # 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010101000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|WideOr0~0_combout\);

-- Location: LCCOMB_X50_Y47_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|WideOr0~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|WideOr0~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~0_combout\);

-- Location: FF_X50_Y47_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\);

-- Location: LCCOMB_X52_Y47_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(4) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(4),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~4_combout\);

-- Location: LCCOMB_X49_Y47_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2) & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0_combout\);

-- Location: LCCOMB_X49_Y47_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\);

-- Location: LCCOMB_X50_Y46_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0)) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~0_combout\);

-- Location: LCCOMB_X49_Y47_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~4_combout\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~4_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~1_combout\);

-- Location: LCCOMB_X49_Y47_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~2_combout\);

-- Location: LCCOMB_X51_Y44_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux9~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux9~0_combout\);

-- Location: LCCOMB_X52_Y44_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux9~0_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux9~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux9~0_wirecell_combout\);

-- Location: LCCOMB_X52_Y47_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~3_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~2_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux9~0_wirecell_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux9~0_wirecell_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~3_combout\);

-- Location: FF_X52_Y47_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector5~3_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(2));

-- Location: LCCOMB_X52_Y47_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~6_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(2))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~6_combout\);

-- Location: LCCOMB_X51_Y47_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0)) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~0_combout\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~1_combout\);

-- Location: LCCOMB_X51_Y47_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0) & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2) & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~2_combout\);

-- Location: LCCOMB_X49_Y47_N8
\gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sense~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sense~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sense~feeder_combout\);

-- Location: LCCOMB_X49_Y47_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~1_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~1_combout\);

-- Location: LCCOMB_X49_Y47_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~1_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~2_combout\);

-- Location: FF_X49_Y47_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~2_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~q\);

-- Location: FF_X49_Y47_N9
\gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sense\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sense~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_sense_reset~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sense~q\);

-- Location: LCCOMB_X51_Y47_N4
\gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|din_s1~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sense~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sense~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X51_Y47_N5
\gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|din_s1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|din_s1~q\);

-- Location: FF_X51_Y47_N9
\gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|din_s1~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|dreg\(0));

-- Location: FF_X51_Y47_N23
\gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|dreg\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|dreg\(1));

-- Location: LCCOMB_X51_Y47_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~2_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|dreg\(1)) # (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1) & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2)))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~2_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1) & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011100110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_cc.clock_sensor_synchronizer|dreg\(1),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~3_combout\);

-- Location: LCCOMB_X51_Y44_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux11~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux11~0_combout\);

-- Location: LCCOMB_X51_Y44_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux11~0_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux11~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux11~0_wirecell_combout\);

-- Location: LCCOMB_X51_Y47_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux11~0_wirecell_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux11~0_wirecell_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~0_combout\);

-- Location: LCCOMB_X51_Y47_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~4_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~3_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~4_combout\);

-- Location: FF_X51_Y47_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector7~4_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(0));

-- Location: LCCOMB_X51_Y47_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector33~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector33~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(0)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector33~0_combout\);

-- Location: LCCOMB_X52_Y47_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector33~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector33~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector33~0_combout\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector33~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector33~1_combout\);

-- Location: FF_X52_Y47_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector33~1_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(0));

-- Location: LCCOMB_X51_Y46_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0)) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~0_combout\);

-- Location: LCCOMB_X51_Y48_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~2_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~1_combout\);

-- Location: LCCOMB_X51_Y48_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~1_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1) & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~2_combout\);

-- Location: LCCOMB_X51_Y44_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux10~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111001011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux10~0_combout\);

-- Location: LCCOMB_X51_Y44_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux10~0_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux10~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux10~0_wirecell_combout\);

-- Location: LCCOMB_X51_Y47_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~3_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~2_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux10~0_wirecell_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~2_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux10~0_wirecell_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~3_combout\);

-- Location: FF_X51_Y47_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector6~3_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(1));

-- Location: LCCOMB_X51_Y47_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~7_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(1)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(1),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~7_combout\);

-- Location: LCCOMB_X52_Y47_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector32~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector32~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(0)) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~7_combout\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~7_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~7_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector32~0_combout\);

-- Location: FF_X52_Y47_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector32~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(1));

-- Location: LCCOMB_X52_Y47_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector31~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector31~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~6_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(1))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~6_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector31~0_combout\);

-- Location: FF_X52_Y47_N3
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector31~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(2));

-- Location: LCCOMB_X51_Y44_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux8~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110110110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux8~0_combout\);

-- Location: LCCOMB_X51_Y44_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux8~0_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux8~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux8~0_wirecell_combout\);

-- Location: LCCOMB_X50_Y46_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~6_combout\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~6_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~0_combout\);

-- Location: LCCOMB_X49_Y47_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~6_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~6_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~1_combout\);

-- Location: LCCOMB_X49_Y47_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~2_combout\);

-- Location: LCCOMB_X51_Y47_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~3_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~2_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux8~0_wirecell_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux8~0_wirecell_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~3_combout\);

-- Location: FF_X51_Y47_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector4~3_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(3));

-- Location: LCCOMB_X52_Y47_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~5_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(3))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~5_combout\);

-- Location: LCCOMB_X52_Y47_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector30~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector30~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~5_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(2) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(2) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~5_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector30~0_combout\);

-- Location: FF_X52_Y47_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector30~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(3));

-- Location: LCCOMB_X52_Y47_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector29~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector29~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(3)) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~4_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~4_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~4_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector29~0_combout\);

-- Location: FF_X52_Y47_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector29~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(4));

-- Location: FF_X50_Y44_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(1),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(1));

-- Location: LCCOMB_X50_Y48_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[5]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[5]~feeder_combout\);

-- Location: FF_X50_Y48_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[5]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(5));

-- Location: LCCOMB_X50_Y48_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[1]~feeder_combout\);

-- Location: LCCOMB_X51_Y48_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|waitrequest~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~0_combout\);

-- Location: LCCOMB_X50_Y48_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~2_combout\);

-- Location: FF_X50_Y48_N27
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[1]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(1));

-- Location: LCCOMB_X50_Y44_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux6~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(1),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux6~0_combout\);

-- Location: LCCOMB_X50_Y47_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux6~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux6~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux6~1_combout\);

-- Location: FF_X51_Y45_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor5~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(5));

-- Location: FF_X51_Y46_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor5~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(5));

-- Location: LCCOMB_X50_Y46_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~10_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(5) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(5) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~9\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~9\) # (GND))))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(5) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~9\ & VCC)) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(5) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~9\))))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~11\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(5) & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~9\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(5)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(5) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(5) & 
-- !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~9\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(5),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(5),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~9\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~10_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~11\);

-- Location: LCCOMB_X50_Y46_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0)) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~10_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~10_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~0_combout\);

-- Location: FF_X49_Y49_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor5~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(5));

-- Location: FF_X51_Y49_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor5~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(5));

-- Location: LCCOMB_X49_Y49_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~10_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(5) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(5) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~9\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(5) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~9\ & VCC)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(5) & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~9\) # (GND))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(5) & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~9\))))
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~11\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(5) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(5) & !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~9\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(5)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~9\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(5),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(5),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~9\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~10_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~11\);

-- Location: LCCOMB_X49_Y47_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~10_combout\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~10_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~1_combout\);

-- Location: LCCOMB_X49_Y47_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~2_combout\);

-- Location: LCCOMB_X51_Y47_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~3_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~2_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux6~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux6~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~3_combout\);

-- Location: FF_X51_Y47_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector2~3_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(5));

-- Location: LCCOMB_X52_Y47_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(5)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(5),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~3_combout\);

-- Location: LCCOMB_X52_Y47_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector28~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector28~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~3_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(4) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(4) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(4),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector28~0_combout\);

-- Location: FF_X52_Y47_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector28~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(5));

-- Location: LCCOMB_X50_Y49_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor6~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor6~combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[6]~feeder_combout\);

-- Location: FF_X50_Y49_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[6]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(6));

-- Location: FF_X49_Y49_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor6~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(6));

-- Location: LCCOMB_X49_Y49_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~12_combout\ = ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(6) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(6) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~11\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~13\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(6) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(6) & !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~11\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(6) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(6)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~11\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(6),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(6),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~11\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~12_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~13\);

-- Location: FF_X50_Y46_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	asdata => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor6~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(6));

-- Location: LCCOMB_X51_Y46_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor6~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor6~combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[6]~feeder_combout\);

-- Location: FF_X51_Y46_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[6]~feeder_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(6));

-- Location: LCCOMB_X50_Y46_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~12_combout\ = ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(6) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(6) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~11\)))) # (GND)
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~13\ = CARRY((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(6) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(6) & !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~11\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(6) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(6)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~11\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(6),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(6),
	datad => VCC,
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~11\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~12_combout\,
	cout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~13\);

-- Location: LCCOMB_X50_Y47_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~12_combout\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~12_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~1_combout\);

-- Location: LCCOMB_X49_Y47_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0)) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~12_combout\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~12_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~2_combout\);

-- Location: LCCOMB_X49_Y47_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|sense_reset~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~3_combout\);

-- Location: LCCOMB_X50_Y48_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[6]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[6]~feeder_combout\);

-- Location: FF_X50_Y48_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[6]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(6));

-- Location: LCCOMB_X50_Y48_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[2]~feeder_combout\);

-- Location: FF_X50_Y48_N23
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[2]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(2));

-- Location: FF_X50_Y44_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(2),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(2));

-- Location: LCCOMB_X50_Y44_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux5~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux5~0_combout\);

-- Location: LCCOMB_X51_Y44_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux5~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001110011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux5~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux5~1_combout\);

-- Location: LCCOMB_X51_Y47_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~4_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~3_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux5~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~3_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux5~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~4_combout\);

-- Location: FF_X51_Y47_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector1~4_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(6));

-- Location: LCCOMB_X52_Y47_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(6))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(6),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~2_combout\);

-- Location: LCCOMB_X52_Y47_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~2_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(5) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(5) & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~3_combout\);

-- Location: FF_X52_Y47_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~3_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(6));

-- Location: LCCOMB_X50_Y44_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux4~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101001101010011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(3),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux4~0_combout\);

-- Location: FF_X50_Y44_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(3),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(3));

-- Location: LCCOMB_X50_Y48_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[7]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[7]~feeder_combout\);

-- Location: FF_X50_Y48_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[7]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(7));

-- Location: LCCOMB_X50_Y48_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[3]~feeder_combout\);

-- Location: FF_X50_Y48_N31
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[3]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(3));

-- Location: LCCOMB_X50_Y44_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux4~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux7~1_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux4~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux4~1_combout\);

-- Location: FF_X51_Y46_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrptr_g_gray2bin|xor7~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(7));

-- Location: LCCOMB_X51_Y45_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor7~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(7) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(7),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_reg\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor7~combout\);

-- Location: FF_X51_Y45_N25
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_dgrp_gray2bin|xor7~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wraclr|dffe16a\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(7));

-- Location: LCCOMB_X50_Y46_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~14_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(7) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(7) $ (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101101001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_bwp|dffe18a\(7),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|ws_brp|dffe18a\(7),
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~13\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~14_combout\);

-- Location: LCCOMB_X49_Y49_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor7~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(7) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(7),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_reg\(8),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor7~combout\);

-- Location: FF_X49_Y49_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_dgwp_gray2bin|xor7~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(7));

-- Location: LCCOMB_X51_Y49_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor7~combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(8),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor7~combout\);

-- Location: FF_X51_Y49_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g_gray2bin|xor7~combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ALT_INV_mgmt_reset\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(7));

-- Location: LCCOMB_X49_Y49_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~14_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(7) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~13\ $ (!\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_bwp|dffe18a\(7),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rs_brp|dffe18a\(7),
	cin => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~13\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~14_combout\);

-- Location: LCCOMB_X50_Y46_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & (((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~14_combout\)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0)) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~14_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~14_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|op_1~14_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~1_combout\);

-- Location: LCCOMB_X50_Y47_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0) & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdfull_reg|dffe17a\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~2_combout\);

-- Location: LCCOMB_X50_Y47_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~3_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~2_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4) & \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux4~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux4~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|address\(5),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~3_combout\);

-- Location: FF_X50_Y47_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|Selector0~3_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(7));

-- Location: LCCOMB_X52_Y47_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(7)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|readvalid~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_select_1~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|reg_readdata_1\(7),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~1_combout\);

-- Location: LCCOMB_X52_Y47_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(6)) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~1_combout\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\ & 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(6),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector27~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~1_combout\);

-- Location: FF_X52_Y47_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector26~1_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(7));

-- Location: LCCOMB_X49_Y51_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\) # ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(7) & 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~0_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(7),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10001~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~2_combout\);

-- Location: LCCOMB_X49_Y51_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~4_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(7)) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(7),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|read_pending~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00101~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|i2caddr\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~4_combout\);

-- Location: LCCOMB_X49_Y51_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~5_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~4_combout\) # ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~4_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|rdata\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~5_combout\);

-- Location: LCCOMB_X50_Y51_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~82\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~82_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01000~q\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01000~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~82_combout\);

-- Location: LCCOMB_X50_Y51_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~83\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~83_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~82_combout\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~82_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~83_combout\);

-- Location: FF_X50_Y51_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01000\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~83_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01000~q\);

-- Location: LCCOMB_X50_Y51_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~64\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~64_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01000~q\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01001~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01000~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01001~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~64_combout\);

-- Location: FF_X50_Y51_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01001\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~64_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01001~q\);

-- Location: LCCOMB_X50_Y50_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~65\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~65_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01101~q\) # 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01100~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|write_pending~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01100~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01101~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~54_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~65_combout\);

-- Location: FF_X50_Y50_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01101\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~65_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01101~q\);

-- Location: LCCOMB_X50_Y51_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01001~q\) # ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01101~q\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10010~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01001~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01101~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.10010~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~3_combout\);

-- Location: LCCOMB_X49_Y51_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~6_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~2_combout\) # ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~5_combout\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~5_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~6_combout\);

-- Location: LCCOMB_X51_Y50_N2
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\ & (((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~1_combout\)) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal0~1_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~0_combout\);

-- Location: LCCOMB_X51_Y51_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~12_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~6_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~q\) # 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~11_combout\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~11_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~6_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~12_combout\);

-- Location: FF_X51_Y51_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~12_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~q\);

-- Location: LCCOMB_X52_Y51_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~q\)) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\);

-- Location: LCCOMB_X52_Y51_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~66\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~66_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~66_combout\);

-- Location: LCCOMB_X52_Y51_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~67\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~67_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00010~q\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~66_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00010~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~66_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~67_combout\);

-- Location: FF_X52_Y51_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00010\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~67_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00010~q\);

-- Location: LCCOMB_X50_Y51_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00010~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00110~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01110~q\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00010~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00110~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01110~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\);

-- Location: LCCOMB_X50_Y51_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\ & 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\ & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00111~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.00011~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1_combout\);

-- Location: LCCOMB_X51_Y51_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector22~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector22~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(0))))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(0))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\ & ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1_combout\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000111110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector22~0_combout\);

-- Location: LCCOMB_X51_Y51_N4
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector22~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector22~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~3_combout\);

-- Location: FF_X51_Y51_N5
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~3_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(0));

-- Location: LCCOMB_X51_Y51_N22
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(0) & !\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~1_combout\);

-- Location: LCCOMB_X51_Y51_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector21~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector21~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~1_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(1)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\ & ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(1)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1_combout\))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~1_combout\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector21~0_combout\);

-- Location: LCCOMB_X51_Y51_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector21~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector21~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~2_combout\);

-- Location: FF_X51_Y51_N21
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~2_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(1));

-- Location: LCCOMB_X51_Y51_N26
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(0) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(0),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~0_combout\);

-- Location: LCCOMB_X51_Y51_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector20~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector20~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(2)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\ & ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(2)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1_combout\))))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~0_combout\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector20~0_combout\);

-- Location: LCCOMB_X51_Y51_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector20~0_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_in_3~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector20~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~1_combout\);

-- Location: FF_X51_Y51_N9
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~1_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(2));

-- Location: LCCOMB_X51_Y51_N30
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\ & (((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\ & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~1_combout\ & 
-- ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101110111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01111~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~1_combout\);

-- Location: LCCOMB_X51_Y51_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~1_combout\) # ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~1_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|sda_out~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~2_combout\);

-- Location: LCCOMB_X51_Y51_N18
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(3) $ 
-- (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~0_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Add1~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(3),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|WideOr0~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~0_combout\);

-- Location: LCCOMB_X51_Y51_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~2_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~0_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~2_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~2_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Selector19~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|always1~2_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~0_combout\);

-- Location: FF_X51_Y51_N1
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count~0_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(3));

-- Location: LCCOMB_X51_Y51_N24
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(2) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(1) & (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(0) & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(2),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|count\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\);

-- Location: LCCOMB_X50_Y51_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~52_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\) # ((!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|Equal1~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01011~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~52_combout\);

-- Location: LCCOMB_X50_Y51_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~51\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~51_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01001~q\ & (((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\) # 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\)))) # (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01001~q\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01101~q\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01001~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01101~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~51_combout\);

-- Location: LCCOMB_X50_Y51_N16
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~53\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~53_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\ & ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~51_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~52_combout\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~52_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~51_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~49_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~53_combout\);

-- Location: FF_X50_Y51_N17
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state~53_combout\,
	clrn => \usb_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\);

-- Location: LCCOMB_X50_Y50_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0_combout\ = (!\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\ & \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|scl_in_2~q\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|state.01010~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0_combout\);

-- Location: FF_X50_Y48_N19
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[0]~1_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(0));

-- Location: LCCOMB_X50_Y48_N14
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[1]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[1]~feeder_combout\);

-- Location: FF_X50_Y48_N15
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[1]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(1));

-- Location: LCCOMB_X50_Y48_N28
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[2]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[2]~feeder_combout\);

-- Location: FF_X50_Y48_N29
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[2]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(2));

-- Location: LCCOMB_X50_Y48_N10
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[3]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(2),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[3]~feeder_combout\);

-- Location: FF_X50_Y48_N11
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[3]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(3));

-- Location: LCCOMB_X50_Y48_N12
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~feeder_combout\);

-- Location: FF_X50_Y48_N13
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(4));

-- Location: LCCOMB_X50_Y48_N6
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~feeder_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c|writedata\(4),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~feeder_combout\);

-- Location: FF_X50_Y48_N7
\gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \usb_clk~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~feeder_combout\,
	clrn => \usb_resetn~input_o\,
	ena => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(0));

-- Location: LCCOMB_X50_Y44_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(0),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~3_combout\);

-- Location: LCCOMB_X50_Y43_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111101001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0_combout\);

-- Location: LCCOMB_X49_Y43_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~3_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0_combout\);

-- Location: LCCOMB_X50_Y43_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010011111100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0_combout\);

-- Location: LCCOMB_X50_Y44_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(1),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1_combout\);

-- Location: LCCOMB_X50_Y43_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2_combout\);

-- Location: LCCOMB_X49_Y43_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101100010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1_combout\);

-- Location: LCCOMB_X50_Y44_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011011111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1_combout\);

-- Location: LCCOMB_X50_Y43_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2_combout\);

-- Location: LCCOMB_X50_Y43_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0_combout\);

-- Location: LCCOMB_X49_Y43_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2_combout\);

-- Location: LCCOMB_X50_Y43_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101010011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0_combout\);

-- Location: LCCOMB_X50_Y43_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1_combout\);

-- Location: LCCOMB_X50_Y44_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|ident_contrib\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2_combout\);

-- Location: LCCOMB_X49_Y43_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110100010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3_combout\);

-- Location: LCCOMB_X49_Y39_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datab => \altera_internal_jtag~TDIUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7_combout\);

-- Location: LCCOMB_X49_Y39_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101111101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\);

-- Location: FF_X49_Y43_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(3));

-- Location: LCCOMB_X49_Y39_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6_combout\);

-- Location: FF_X49_Y43_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(2));

-- Location: LCCOMB_X49_Y39_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5_combout\);

-- Location: FF_X49_Y43_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(1));

-- Location: LCCOMB_X49_Y39_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4_combout\);

-- Location: FF_X49_Y43_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(0));

-- Location: LCCOMB_X49_Y39_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7_combout\);

-- Location: LCCOMB_X50_Y40_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3_combout\);

-- Location: LCCOMB_X51_Y39_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\);

-- Location: FF_X50_Y40_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(3));

-- Location: LCCOMB_X50_Y40_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2_combout\);

-- Location: FF_X50_Y40_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(2));

-- Location: LCCOMB_X50_Y40_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1_combout\);

-- Location: FF_X50_Y40_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(1));

-- Location: LCCOMB_X50_Y40_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0_combout\);

-- Location: FF_X50_Y40_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(0));

-- Location: LCCOMB_X50_Y39_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5_combout\);

-- Location: LCCOMB_X51_Y39_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\);

-- Location: LCCOMB_X52_Y39_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~3\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~5\);

-- Location: LCCOMB_X52_Y39_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~5\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~7\);

-- Location: LCCOMB_X52_Y39_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4_combout\);

-- Location: LCCOMB_X51_Y39_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\);

-- Location: FF_X52_Y39_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3));

-- Location: LCCOMB_X52_Y39_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\);

-- Location: LCCOMB_X52_Y39_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~7\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8_combout\);

-- Location: LCCOMB_X52_Y39_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5_combout\);

-- Location: FF_X52_Y39_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4));

-- Location: LCCOMB_X52_Y39_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datad => VCC,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~1\);

-- Location: LCCOMB_X52_Y39_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0_combout\);

-- Location: FF_X52_Y39_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0));

-- Location: LCCOMB_X52_Y39_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~1\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~3\);

-- Location: LCCOMB_X52_Y39_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2_combout\);

-- Location: FF_X52_Y39_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1));

-- Location: LCCOMB_X52_Y39_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3_combout\);

-- Location: FF_X52_Y39_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2));

-- Location: LCCOMB_X52_Y39_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0_combout\);

-- Location: LCCOMB_X51_Y39_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\);

-- Location: LCCOMB_X52_Y39_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0_combout\);

-- Location: LCCOMB_X51_Y39_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TDIUTAP\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5_combout\);

-- Location: LCCOMB_X51_Y39_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\);

-- Location: FF_X51_Y39_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(3));

-- Location: LCCOMB_X51_Y39_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4_combout\);

-- Location: FF_X51_Y39_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(2));

-- Location: LCCOMB_X52_Y39_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0_combout\);

-- Location: LCCOMB_X51_Y39_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2_combout\);

-- Location: FF_X51_Y39_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(1));

-- Location: LCCOMB_X51_Y39_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~0_combout\);

-- Location: FF_X51_Y39_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~0_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(0));

-- Location: LCCOMB_X50_Y39_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6_combout\);

-- Location: LCCOMB_X51_Y39_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TDIUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~0_combout\);

-- Location: FF_X51_Y39_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\);

-- Location: LCCOMB_X50_Y39_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1_combout\);

-- Location: LCCOMB_X50_Y39_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2_combout\);

-- Location: LCCOMB_X51_Y39_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3_combout\);

-- Location: LCCOMB_X50_Y39_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8_combout\);

-- Location: FF_X50_Y39_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo~q\);

-- Location: CLKCTRL_G14
\altera_internal_jtag~TCKUTAPclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \altera_internal_jtag~TCKUTAPclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\);

-- Location: LCCOMB_X49_Y30_N22
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\);

-- Location: FF_X49_Y30_N23
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(0));

-- Location: LCCOMB_X49_Y30_N12
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\ = \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(0),
	combout => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\);

-- Location: FF_X49_Y30_N13
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(0));

-- Location: FF_X40_Y26_N15
\gpio_u0|master_0|b2p|out_channel[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(6),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|out_channel\(6));

-- Location: FF_X40_Y26_N17
\gpio_u0|master_0|b2p|out_channel[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|b2p|out_data[5]~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|out_channel\(5));

-- Location: FF_X40_Y26_N5
\gpio_u0|master_0|b2p|out_channel[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(7),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|out_channel\(7));

-- Location: LCCOMB_X40_Y26_N2
\gpio_u0|master_0|b2p|out_channel[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|b2p|out_channel[0]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(0),
	combout => \gpio_u0|master_0|b2p|out_channel[0]~feeder_combout\);

-- Location: FF_X40_Y26_N3
\gpio_u0|master_0|b2p|out_channel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|b2p|out_channel[0]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|b2p|out_channel\(0));

-- Location: LCCOMB_X40_Y26_N4
\gpio_u0|master_0|transacto|p2m|enable~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|enable~1_combout\ = (!\gpio_u0|master_0|b2p|out_channel\(6) & (!\gpio_u0|master_0|b2p|out_channel\(5) & (!\gpio_u0|master_0|b2p|out_channel\(7) & !\gpio_u0|master_0|b2p|out_channel\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|out_channel\(6),
	datab => \gpio_u0|master_0|b2p|out_channel\(5),
	datac => \gpio_u0|master_0|b2p|out_channel\(7),
	datad => \gpio_u0|master_0|b2p|out_channel\(0),
	combout => \gpio_u0|master_0|transacto|p2m|enable~1_combout\);

-- Location: LCCOMB_X41_Y26_N0
\gpio_u0|master_0|transacto|p2m|enable\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|enable~combout\ = (\gpio_u0|master_0|transacto|p2m|enable~1_combout\ & (\gpio_u0|master_0|b2p|always0~1_combout\ & \gpio_u0|master_0|transacto|p2m|enable~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|transacto|p2m|enable~1_combout\,
	datac => \gpio_u0|master_0|b2p|always0~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|enable~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|enable~combout\);

-- Location: LCCOMB_X43_Y26_N6
\gpio_u0|master_0|transacto|p2m|state~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~48_combout\ = (\gpio_u0|master_0|transacto|p2m|enable~combout\ & (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\ & ((!\gpio_u0|master_0|b2p|out_startofpacket~q\)))) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\ & (((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	combout => \gpio_u0|master_0|transacto|p2m|state~48_combout\);

-- Location: FF_X43_Y26_N7
\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~48_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\);

-- Location: LCCOMB_X41_Y25_N16
\gpio_u0|master_0|transacto|p2m|state~47\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|state~47_combout\ = (\gpio_u0|master_0|transacto|p2m|enable~combout\ & (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & (!\gpio_u0|master_0|b2p|out_startofpacket~q\))) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\ & (((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datab => \gpio_u0|master_0|b2p|out_startofpacket~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|state~47_combout\);

-- Location: FF_X41_Y25_N17
\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|state~47_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\);

-- Location: LCCOMB_X42_Y24_N4
\gpio_u0|master_0|transacto|p2m|in_ready_0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|in_ready_0~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (((!\gpio_u0|master_0|transacto|p2m|command\(4) & \gpio_u0|master_0|transacto|p2m|Equal2~1_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|master_0|transacto|p2m|command\(4),
	datac => \gpio_u0|master_0|transacto|p2m|Equal2~1_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|in_ready_0~0_combout\);

-- Location: LCCOMB_X42_Y26_N24
\gpio_u0|master_0|transacto|p2m|Selector14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|Selector14~0_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((!\gpio_u0|master_0|b2p|out_endofpacket~q\ & !\gpio_u0|master_0|transacto|p2m|Equal8~0_combout\)) # 
-- (!\gpio_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|b2p|out_endofpacket~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \gpio_u0|master_0|transacto|p2m|enable~combout\,
	datad => \gpio_u0|master_0|transacto|p2m|Equal8~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|Selector14~0_combout\);

-- Location: LCCOMB_X43_Y26_N10
\gpio_u0|master_0|transacto|p2m|in_ready_0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|in_ready_0~1_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~q\) # 
-- (!\gpio_u0|master_0|transacto|p2m|state.0000~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_EXTRA~q\,
	datad => \gpio_u0|master_0|transacto|p2m|state.0000~q\,
	combout => \gpio_u0|master_0|transacto|p2m|in_ready_0~1_combout\);

-- Location: LCCOMB_X43_Y26_N18
\gpio_u0|master_0|transacto|p2m|in_ready_0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|in_ready_0~2_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\) # ((\gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\) # 
-- (\gpio_u0|master_0|transacto|p2m|in_ready_0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datab => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datac => \gpio_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datad => \gpio_u0|master_0|transacto|p2m|in_ready_0~1_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|in_ready_0~2_combout\);

-- Location: LCCOMB_X42_Y26_N26
\gpio_u0|master_0|transacto|p2m|in_ready_0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|in_ready_0~3_combout\ = (\gpio_u0|master_0|transacto|p2m|in_ready_0~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|Selector14~0_combout\) # ((\gpio_u0|master_0|transacto|p2m|always1~0_combout\) # 
-- (\gpio_u0|master_0|transacto|p2m|in_ready_0~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|in_ready_0~0_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|Selector14~0_combout\,
	datac => \gpio_u0|master_0|transacto|p2m|always1~0_combout\,
	datad => \gpio_u0|master_0|transacto|p2m|in_ready_0~2_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|in_ready_0~3_combout\);

-- Location: LCCOMB_X42_Y26_N0
\gpio_u0|master_0|transacto|p2m|in_ready_0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|in_ready_0~4_combout\ = (\gpio_u0|master_0|transacto|p2m|in_ready_0~3_combout\) # ((\gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\gpio_u0|master_0|transacto|p2m|last_trans~q\ & 
-- \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|in_ready_0~3_combout\,
	datab => \gpio_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \gpio_u0|master_0|transacto|p2m|last_trans~q\,
	datad => \gpio_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	combout => \gpio_u0|master_0|transacto|p2m|in_ready_0~4_combout\);

-- Location: FF_X42_Y26_N1
\gpio_u0|master_0|transacto|p2m|in_ready_0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|in_ready_0~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|in_ready_0~q\);

-- Location: LCCOMB_X52_Y27_N18
\gpio_u0|master_0|fifo|mem_rd_ptr[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\ = \gpio_u0|master_0|fifo|rd_ptr\(0) $ (((\gpio_u0|master_0|fifo|internal_out_valid~q\ & ((\gpio_u0|master_0|transacto|p2m|in_ready_0~q\) # (!\gpio_u0|master_0|fifo|out_valid~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100101111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|in_ready_0~q\,
	datab => \gpio_u0|master_0|fifo|out_valid~q\,
	datac => \gpio_u0|master_0|fifo|rd_ptr\(0),
	datad => \gpio_u0|master_0|fifo|internal_out_valid~q\,
	combout => \gpio_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\);

-- Location: FF_X52_Y27_N19
\gpio_u0|master_0|fifo|rd_ptr[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|rd_ptr\(0));

-- Location: LCCOMB_X52_Y27_N6
\gpio_u0|master_0|fifo|mem_rd_ptr[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\ = \gpio_u0|master_0|fifo|rd_ptr\(1) $ (((\gpio_u0|master_0|fifo|internal_out_valid~q\ & (\gpio_u0|master_0|fifo|rd_ptr\(0) & \gpio_u0|master_0|fifo|internal_out_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|internal_out_valid~q\,
	datab => \gpio_u0|master_0|fifo|rd_ptr\(0),
	datac => \gpio_u0|master_0|fifo|rd_ptr\(1),
	datad => \gpio_u0|master_0|fifo|internal_out_ready~combout\,
	combout => \gpio_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\);

-- Location: FF_X52_Y27_N7
\gpio_u0|master_0|fifo|rd_ptr[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|rd_ptr\(1));

-- Location: LCCOMB_X52_Y27_N24
\gpio_u0|master_0|fifo|Add1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Add1~2_combout\ = \gpio_u0|master_0|fifo|rd_ptr\(3) $ (((\gpio_u0|master_0|fifo|rd_ptr\(1) & (\gpio_u0|master_0|fifo|rd_ptr\(2) & \gpio_u0|master_0|fifo|rd_ptr\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|rd_ptr\(1),
	datab => \gpio_u0|master_0|fifo|rd_ptr\(3),
	datac => \gpio_u0|master_0|fifo|rd_ptr\(2),
	datad => \gpio_u0|master_0|fifo|rd_ptr\(0),
	combout => \gpio_u0|master_0|fifo|Add1~2_combout\);

-- Location: LCCOMB_X52_Y27_N14
\gpio_u0|master_0|fifo|internal_out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|internal_out_valid~0_combout\ = (\gpio_u0|master_0|fifo|rd_ptr\(0) & (!\gpio_u0|master_0|fifo|wr_ptr\(0) & (\gpio_u0|master_0|fifo|rd_ptr\(1) $ (\gpio_u0|master_0|fifo|wr_ptr\(1))))) # (!\gpio_u0|master_0|fifo|rd_ptr\(0) & 
-- (\gpio_u0|master_0|fifo|wr_ptr\(0) & (\gpio_u0|master_0|fifo|rd_ptr\(1) $ (!\gpio_u0|master_0|fifo|wr_ptr\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000101001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|rd_ptr\(1),
	datab => \gpio_u0|master_0|fifo|rd_ptr\(0),
	datac => \gpio_u0|master_0|fifo|wr_ptr\(1),
	datad => \gpio_u0|master_0|fifo|wr_ptr\(0),
	combout => \gpio_u0|master_0|fifo|internal_out_valid~0_combout\);

-- Location: LCCOMB_X52_Y27_N4
\gpio_u0|master_0|fifo|internal_out_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|internal_out_valid~1_combout\ = (\gpio_u0|master_0|fifo|internal_out_valid~0_combout\ & (\gpio_u0|master_0|fifo|read~0_combout\ & (\gpio_u0|master_0|fifo|wr_ptr\(3) $ (!\gpio_u0|master_0|fifo|Add1~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|wr_ptr\(3),
	datab => \gpio_u0|master_0|fifo|Add1~2_combout\,
	datac => \gpio_u0|master_0|fifo|internal_out_valid~0_combout\,
	datad => \gpio_u0|master_0|fifo|read~0_combout\,
	combout => \gpio_u0|master_0|fifo|internal_out_valid~1_combout\);

-- Location: LCCOMB_X51_Y27_N24
\gpio_u0|master_0|fifo|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Equal0~0_combout\ = \gpio_u0|master_0|fifo|wr_ptr\(5) $ (\gpio_u0|master_0|fifo|rd_ptr\(5) $ (((\gpio_u0|master_0|fifo|rd_ptr\(4) & \gpio_u0|master_0|fifo|Add1~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001010101101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|wr_ptr\(5),
	datab => \gpio_u0|master_0|fifo|rd_ptr\(4),
	datac => \gpio_u0|master_0|fifo|Add1~1_combout\,
	datad => \gpio_u0|master_0|fifo|rd_ptr\(5),
	combout => \gpio_u0|master_0|fifo|Equal0~0_combout\);

-- Location: LCCOMB_X51_Y27_N8
\gpio_u0|master_0|fifo|Equal0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Equal0~2_combout\ = \gpio_u0|master_0|fifo|Add1~1_combout\ $ (\gpio_u0|master_0|fifo|wr_ptr\(4) $ (\gpio_u0|master_0|fifo|rd_ptr\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|fifo|Add1~1_combout\,
	datac => \gpio_u0|master_0|fifo|wr_ptr\(4),
	datad => \gpio_u0|master_0|fifo|rd_ptr\(4),
	combout => \gpio_u0|master_0|fifo|Equal0~2_combout\);

-- Location: LCCOMB_X52_Y27_N2
\gpio_u0|master_0|fifo|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|Equal0~1_combout\ = \gpio_u0|master_0|fifo|wr_ptr\(2) $ (\gpio_u0|master_0|fifo|rd_ptr\(2) $ (((\gpio_u0|master_0|fifo|rd_ptr\(1) & \gpio_u0|master_0|fifo|rd_ptr\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|rd_ptr\(1),
	datab => \gpio_u0|master_0|fifo|wr_ptr\(2),
	datac => \gpio_u0|master_0|fifo|rd_ptr\(2),
	datad => \gpio_u0|master_0|fifo|rd_ptr\(0),
	combout => \gpio_u0|master_0|fifo|Equal0~1_combout\);

-- Location: LCCOMB_X51_Y27_N14
\gpio_u0|master_0|fifo|internal_out_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|internal_out_valid~2_combout\ = (\gpio_u0|master_0|fifo|internal_out_valid~1_combout\ & (!\gpio_u0|master_0|fifo|Equal0~0_combout\ & (!\gpio_u0|master_0|fifo|Equal0~2_combout\ & !\gpio_u0|master_0|fifo|Equal0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|internal_out_valid~1_combout\,
	datab => \gpio_u0|master_0|fifo|Equal0~0_combout\,
	datac => \gpio_u0|master_0|fifo|Equal0~2_combout\,
	datad => \gpio_u0|master_0|fifo|Equal0~1_combout\,
	combout => \gpio_u0|master_0|fifo|internal_out_valid~2_combout\);

-- Location: LCCOMB_X51_Y27_N4
\gpio_u0|master_0|fifo|next_empty~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|next_empty~0_combout\ = (\gpio_u0|master_0|fifo|write~combout\ & (((\gpio_u0|master_0|fifo|empty~q\)) # (!\gpio_u0|master_0|fifo|read~0_combout\))) # (!\gpio_u0|master_0|fifo|write~combout\ & (((\gpio_u0|master_0|fifo|empty~q\ & 
-- !\gpio_u0|master_0|fifo|internal_out_valid~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|read~0_combout\,
	datab => \gpio_u0|master_0|fifo|write~combout\,
	datac => \gpio_u0|master_0|fifo|empty~q\,
	datad => \gpio_u0|master_0|fifo|internal_out_valid~2_combout\,
	combout => \gpio_u0|master_0|fifo|next_empty~0_combout\);

-- Location: FF_X51_Y27_N5
\gpio_u0|master_0|fifo|empty\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|next_empty~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|empty~q\);

-- Location: LCCOMB_X51_Y27_N10
\gpio_u0|master_0|fifo|internal_out_valid~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|internal_out_valid~3_combout\ = (!\gpio_u0|master_0|fifo|internal_out_valid~2_combout\ & \gpio_u0|master_0|fifo|empty~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|master_0|fifo|internal_out_valid~2_combout\,
	datac => \gpio_u0|master_0|fifo|empty~q\,
	combout => \gpio_u0|master_0|fifo|internal_out_valid~3_combout\);

-- Location: FF_X51_Y27_N11
\gpio_u0|master_0|fifo|internal_out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|internal_out_valid~3_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|internal_out_valid~q\);

-- Location: LCCOMB_X52_Y27_N22
\gpio_u0|master_0|fifo|next_full~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|next_full~1_combout\ = (\gpio_u0|master_0|fifo|rd_ptr\(0) & (!\gpio_u0|master_0|fifo|wr_ptr\(0) & (\gpio_u0|master_0|fifo|rd_ptr\(1) $ (!\gpio_u0|master_0|fifo|wr_ptr\(1))))) # (!\gpio_u0|master_0|fifo|rd_ptr\(0) & 
-- (\gpio_u0|master_0|fifo|wr_ptr\(0) & (\gpio_u0|master_0|fifo|rd_ptr\(1) $ (\gpio_u0|master_0|fifo|wr_ptr\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001010000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|rd_ptr\(1),
	datab => \gpio_u0|master_0|fifo|rd_ptr\(0),
	datac => \gpio_u0|master_0|fifo|wr_ptr\(1),
	datad => \gpio_u0|master_0|fifo|wr_ptr\(0),
	combout => \gpio_u0|master_0|fifo|next_full~1_combout\);

-- Location: FF_X50_Y30_N7
\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\);

-- Location: LCCOMB_X51_Y27_N26
\gpio_u0|master_0|fifo|next_full~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|next_full~2_combout\ = (\gpio_u0|master_0|fifo|next_full~1_combout\ & (\gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\ & (\gpio_u0|master_0|fifo|rd_ptr\(3) $ 
-- (!\gpio_u0|master_0|fifo|Add0~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|rd_ptr\(3),
	datab => \gpio_u0|master_0|fifo|next_full~1_combout\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\,
	datad => \gpio_u0|master_0|fifo|Add0~3_combout\,
	combout => \gpio_u0|master_0|fifo|next_full~2_combout\);

-- Location: LCCOMB_X51_Y27_N20
\gpio_u0|master_0|fifo|next_full~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|next_full~0_combout\ = (\gpio_u0|master_0|fifo|rd_ptr\(2) & (\gpio_u0|master_0|fifo|Add0~2_combout\ & (\gpio_u0|master_0|fifo|rd_ptr\(4) $ (!\gpio_u0|master_0|fifo|Add0~1_combout\)))) # (!\gpio_u0|master_0|fifo|rd_ptr\(2) & 
-- (!\gpio_u0|master_0|fifo|Add0~2_combout\ & (\gpio_u0|master_0|fifo|rd_ptr\(4) $ (!\gpio_u0|master_0|fifo|Add0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|rd_ptr\(2),
	datab => \gpio_u0|master_0|fifo|rd_ptr\(4),
	datac => \gpio_u0|master_0|fifo|Add0~1_combout\,
	datad => \gpio_u0|master_0|fifo|Add0~2_combout\,
	combout => \gpio_u0|master_0|fifo|next_full~0_combout\);

-- Location: LCCOMB_X51_Y27_N0
\gpio_u0|master_0|fifo|next_full~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|next_full~3_combout\ = (\gpio_u0|master_0|fifo|next_full~2_combout\ & (\gpio_u0|master_0|fifo|next_full~0_combout\ & (\gpio_u0|master_0|fifo|Add0~4_combout\ $ (!\gpio_u0|master_0|fifo|rd_ptr\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|Add0~4_combout\,
	datab => \gpio_u0|master_0|fifo|rd_ptr\(5),
	datac => \gpio_u0|master_0|fifo|next_full~2_combout\,
	datad => \gpio_u0|master_0|fifo|next_full~0_combout\,
	combout => \gpio_u0|master_0|fifo|next_full~3_combout\);

-- Location: LCCOMB_X51_Y27_N18
\gpio_u0|master_0|fifo|next_full~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|next_full~4_combout\ = (\gpio_u0|master_0|fifo|internal_out_valid~q\ & (!\gpio_u0|master_0|fifo|internal_out_ready~combout\ & ((\gpio_u0|master_0|fifo|full~q\) # (\gpio_u0|master_0|fifo|next_full~3_combout\)))) # 
-- (!\gpio_u0|master_0|fifo|internal_out_valid~q\ & (((\gpio_u0|master_0|fifo|full~q\) # (\gpio_u0|master_0|fifo|next_full~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111011101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|internal_out_valid~q\,
	datab => \gpio_u0|master_0|fifo|internal_out_ready~combout\,
	datac => \gpio_u0|master_0|fifo|full~q\,
	datad => \gpio_u0|master_0|fifo|next_full~3_combout\,
	combout => \gpio_u0|master_0|fifo|next_full~4_combout\);

-- Location: FF_X51_Y27_N19
\gpio_u0|master_0|fifo|full\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|fifo|next_full~4_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|fifo|full~q\);

-- Location: LCCOMB_X50_Y30_N6
\gpio_u0|master_0|fifo|write\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|fifo|write~combout\ = (!\gpio_u0|master_0|fifo|full~q\ & \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|fifo|full~q\,
	datac => \gpio_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\,
	combout => \gpio_u0|master_0|fifo|write~combout\);

-- Location: LCCOMB_X41_Y27_N26
\gpio_u0|master_0|transacto|p2m|writedata[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[17]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(1),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[17]~feeder_combout\);

-- Location: FF_X41_Y27_N27
\gpio_u0|master_0|transacto|p2m|writedata[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[17]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[16]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(17));

-- Location: FF_X38_Y27_N31
\gpio_u0|dac_ctrl|data_out[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|transacto|p2m|writedata\(17),
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|dac_ctrl|data_out\(17));

-- Location: LCCOMB_X38_Y27_N30
\dac_ctrl[17]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(17) = LCELL(\gpio_u0|dac_ctrl|data_out\(17))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dac_ctrl|data_out\(17),
	combout => dac_ctrl(17));

-- Location: LCCOMB_X46_Y49_N16
enable : fiftyfivenm_lcell_comb
-- Equation(s):
-- \enable~combout\ = LCELL(dac_ctrl(17))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => dac_ctrl(17),
	combout => \enable~combout\);

-- Location: LCCOMB_X46_Y53_N26
\spi_master_dac|count[31]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|count[31]~0_combout\ = (\fpga_resetn~input_o\ & ((\spi_master_dac|state~q\) # (\enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \fpga_resetn~input_o\,
	datab => \spi_master_dac|state~q\,
	datac => \enable~combout\,
	combout => \spi_master_dac|count[31]~0_combout\);

-- Location: FF_X47_Y50_N25
\spi_master_dac|count[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~65_combout\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(0));

-- Location: LCCOMB_X46_Y51_N0
\spi_master_dac|Add5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~1\ = CARRY(!\spi_master_dac|count\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(0),
	datad => VCC,
	cout => \spi_master_dac|Add5~1\);

-- Location: LCCOMB_X46_Y51_N2
\spi_master_dac|Add5~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~2_combout\ = (\spi_master_dac|count\(1) & (!\spi_master_dac|Add5~1\)) # (!\spi_master_dac|count\(1) & ((\spi_master_dac|Add5~1\) # (GND)))
-- \spi_master_dac|Add5~3\ = CARRY((!\spi_master_dac|Add5~1\) # (!\spi_master_dac|count\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(1),
	datad => VCC,
	cin => \spi_master_dac|Add5~1\,
	combout => \spi_master_dac|Add5~2_combout\,
	cout => \spi_master_dac|Add5~3\);

-- Location: LCCOMB_X46_Y51_N4
\spi_master_dac|Add5~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~4_combout\ = (\spi_master_dac|count\(2) & (\spi_master_dac|Add5~3\ $ (GND))) # (!\spi_master_dac|count\(2) & (!\spi_master_dac|Add5~3\ & VCC))
-- \spi_master_dac|Add5~5\ = CARRY((\spi_master_dac|count\(2) & !\spi_master_dac|Add5~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(2),
	datad => VCC,
	cin => \spi_master_dac|Add5~3\,
	combout => \spi_master_dac|Add5~4_combout\,
	cout => \spi_master_dac|Add5~5\);

-- Location: LCCOMB_X47_Y51_N26
\spi_master_dac|Add5~94\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~94_combout\ = (\spi_master_dac|Add5~4_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Add5~4_combout\,
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~94_combout\);

-- Location: FF_X47_Y51_N27
\spi_master_dac|count[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~94_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(2));

-- Location: LCCOMB_X46_Y51_N6
\spi_master_dac|Add5~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~6_combout\ = (\spi_master_dac|count\(3) & (!\spi_master_dac|Add5~5\)) # (!\spi_master_dac|count\(3) & ((\spi_master_dac|Add5~5\) # (GND)))
-- \spi_master_dac|Add5~7\ = CARRY((!\spi_master_dac|Add5~5\) # (!\spi_master_dac|count\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(3),
	datad => VCC,
	cin => \spi_master_dac|Add5~5\,
	combout => \spi_master_dac|Add5~6_combout\,
	cout => \spi_master_dac|Add5~7\);

-- Location: LCCOMB_X47_Y51_N4
\spi_master_dac|Add5~93\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~93_combout\ = (\spi_master_dac|Add5~6_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Add5~6_combout\,
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~93_combout\);

-- Location: FF_X47_Y51_N5
\spi_master_dac|count[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~93_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(3));

-- Location: LCCOMB_X46_Y51_N8
\spi_master_dac|Add5~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~8_combout\ = (\spi_master_dac|count\(4) & (\spi_master_dac|Add5~7\ $ (GND))) # (!\spi_master_dac|count\(4) & (!\spi_master_dac|Add5~7\ & VCC))
-- \spi_master_dac|Add5~9\ = CARRY((\spi_master_dac|count\(4) & !\spi_master_dac|Add5~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(4),
	datad => VCC,
	cin => \spi_master_dac|Add5~7\,
	combout => \spi_master_dac|Add5~8_combout\,
	cout => \spi_master_dac|Add5~9\);

-- Location: LCCOMB_X47_Y51_N20
\spi_master_dac|Add5~92\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~92_combout\ = (\spi_master_dac|Add5~8_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~9_combout\,
	datab => \spi_master_dac|Add5~8_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Add5~92_combout\);

-- Location: FF_X47_Y51_N21
\spi_master_dac|count[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~92_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(4));

-- Location: LCCOMB_X46_Y51_N10
\spi_master_dac|Add5~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~10_combout\ = (\spi_master_dac|count\(5) & (!\spi_master_dac|Add5~9\)) # (!\spi_master_dac|count\(5) & ((\spi_master_dac|Add5~9\) # (GND)))
-- \spi_master_dac|Add5~11\ = CARRY((!\spi_master_dac|Add5~9\) # (!\spi_master_dac|count\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(5),
	datad => VCC,
	cin => \spi_master_dac|Add5~9\,
	combout => \spi_master_dac|Add5~10_combout\,
	cout => \spi_master_dac|Add5~11\);

-- Location: LCCOMB_X47_Y51_N0
\spi_master_dac|Add5~91\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~91_combout\ = (\spi_master_dac|Add5~10_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~9_combout\,
	datab => \spi_master_dac|Add5~10_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Add5~91_combout\);

-- Location: FF_X47_Y51_N1
\spi_master_dac|count[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~91_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(5));

-- Location: LCCOMB_X46_Y51_N12
\spi_master_dac|Add5~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~12_combout\ = (\spi_master_dac|count\(6) & (\spi_master_dac|Add5~11\ $ (GND))) # (!\spi_master_dac|count\(6) & (!\spi_master_dac|Add5~11\ & VCC))
-- \spi_master_dac|Add5~13\ = CARRY((\spi_master_dac|count\(6) & !\spi_master_dac|Add5~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(6),
	datad => VCC,
	cin => \spi_master_dac|Add5~11\,
	combout => \spi_master_dac|Add5~12_combout\,
	cout => \spi_master_dac|Add5~13\);

-- Location: LCCOMB_X47_Y51_N8
\spi_master_dac|Add5~90\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~90_combout\ = (\spi_master_dac|Add5~12_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~9_combout\,
	datab => \spi_master_dac|Add5~12_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Add5~90_combout\);

-- Location: FF_X47_Y51_N9
\spi_master_dac|count[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~90_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(6));

-- Location: LCCOMB_X46_Y51_N14
\spi_master_dac|Add5~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~14_combout\ = (\spi_master_dac|count\(7) & (!\spi_master_dac|Add5~13\)) # (!\spi_master_dac|count\(7) & ((\spi_master_dac|Add5~13\) # (GND)))
-- \spi_master_dac|Add5~15\ = CARRY((!\spi_master_dac|Add5~13\) # (!\spi_master_dac|count\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(7),
	datad => VCC,
	cin => \spi_master_dac|Add5~13\,
	combout => \spi_master_dac|Add5~14_combout\,
	cout => \spi_master_dac|Add5~15\);

-- Location: LCCOMB_X47_Y51_N28
\spi_master_dac|Add5~89\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~89_combout\ = (\spi_master_dac|Add5~14_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~9_combout\,
	datab => \spi_master_dac|Add5~14_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Add5~89_combout\);

-- Location: FF_X47_Y51_N29
\spi_master_dac|count[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~89_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(7));

-- Location: LCCOMB_X46_Y51_N16
\spi_master_dac|Add5~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~16_combout\ = (\spi_master_dac|count\(8) & (\spi_master_dac|Add5~15\ $ (GND))) # (!\spi_master_dac|count\(8) & (!\spi_master_dac|Add5~15\ & VCC))
-- \spi_master_dac|Add5~17\ = CARRY((\spi_master_dac|count\(8) & !\spi_master_dac|Add5~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(8),
	datad => VCC,
	cin => \spi_master_dac|Add5~15\,
	combout => \spi_master_dac|Add5~16_combout\,
	cout => \spi_master_dac|Add5~17\);

-- Location: LCCOMB_X47_Y51_N16
\spi_master_dac|Add5~88\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~88_combout\ = (\spi_master_dac|Add5~16_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Add5~16_combout\,
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~88_combout\);

-- Location: FF_X47_Y51_N17
\spi_master_dac|count[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~88_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(8));

-- Location: LCCOMB_X46_Y51_N18
\spi_master_dac|Add5~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~18_combout\ = (\spi_master_dac|count\(9) & (!\spi_master_dac|Add5~17\)) # (!\spi_master_dac|count\(9) & ((\spi_master_dac|Add5~17\) # (GND)))
-- \spi_master_dac|Add5~19\ = CARRY((!\spi_master_dac|Add5~17\) # (!\spi_master_dac|count\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(9),
	datad => VCC,
	cin => \spi_master_dac|Add5~17\,
	combout => \spi_master_dac|Add5~18_combout\,
	cout => \spi_master_dac|Add5~19\);

-- Location: LCCOMB_X47_Y51_N30
\spi_master_dac|Add5~87\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~87_combout\ = (\spi_master_dac|Add5~18_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Add5~18_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~87_combout\);

-- Location: FF_X47_Y51_N31
\spi_master_dac|count[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~87_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(9));

-- Location: LCCOMB_X47_Y51_N12
\spi_master_dac|Equal1~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~7_combout\ = (!\spi_master_dac|count\(9) & (!\spi_master_dac|count\(7) & (!\spi_master_dac|count\(6) & !\spi_master_dac|count\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(9),
	datab => \spi_master_dac|count\(7),
	datac => \spi_master_dac|count\(6),
	datad => \spi_master_dac|count\(8),
	combout => \spi_master_dac|Equal1~7_combout\);

-- Location: LCCOMB_X46_Y51_N20
\spi_master_dac|Add5~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~20_combout\ = (\spi_master_dac|count\(10) & (\spi_master_dac|Add5~19\ $ (GND))) # (!\spi_master_dac|count\(10) & (!\spi_master_dac|Add5~19\ & VCC))
-- \spi_master_dac|Add5~21\ = CARRY((\spi_master_dac|count\(10) & !\spi_master_dac|Add5~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(10),
	datad => VCC,
	cin => \spi_master_dac|Add5~19\,
	combout => \spi_master_dac|Add5~20_combout\,
	cout => \spi_master_dac|Add5~21\);

-- Location: LCCOMB_X47_Y51_N14
\spi_master_dac|Add5~86\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~86_combout\ = (\spi_master_dac|Add5~20_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Add5~20_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~86_combout\);

-- Location: FF_X47_Y51_N15
\spi_master_dac|count[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~86_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(10));

-- Location: LCCOMB_X46_Y51_N22
\spi_master_dac|Add5~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~22_combout\ = (\spi_master_dac|count\(11) & (!\spi_master_dac|Add5~21\)) # (!\spi_master_dac|count\(11) & ((\spi_master_dac|Add5~21\) # (GND)))
-- \spi_master_dac|Add5~23\ = CARRY((!\spi_master_dac|Add5~21\) # (!\spi_master_dac|count\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(11),
	datad => VCC,
	cin => \spi_master_dac|Add5~21\,
	combout => \spi_master_dac|Add5~22_combout\,
	cout => \spi_master_dac|Add5~23\);

-- Location: LCCOMB_X47_Y51_N24
\spi_master_dac|Add5~85\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~85_combout\ = (\spi_master_dac|Add5~22_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Add5~22_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~85_combout\);

-- Location: FF_X47_Y51_N25
\spi_master_dac|count[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~85_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(11));

-- Location: LCCOMB_X46_Y51_N24
\spi_master_dac|Add5~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~24_combout\ = (\spi_master_dac|count\(12) & (\spi_master_dac|Add5~23\ $ (GND))) # (!\spi_master_dac|count\(12) & (!\spi_master_dac|Add5~23\ & VCC))
-- \spi_master_dac|Add5~25\ = CARRY((\spi_master_dac|count\(12) & !\spi_master_dac|Add5~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(12),
	datad => VCC,
	cin => \spi_master_dac|Add5~23\,
	combout => \spi_master_dac|Add5~24_combout\,
	cout => \spi_master_dac|Add5~25\);

-- Location: LCCOMB_X47_Y51_N18
\spi_master_dac|Add5~84\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~84_combout\ = (\spi_master_dac|Add5~24_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Add5~24_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~84_combout\);

-- Location: FF_X47_Y51_N19
\spi_master_dac|count[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~84_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(12));

-- Location: LCCOMB_X46_Y51_N26
\spi_master_dac|Add5~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~26_combout\ = (\spi_master_dac|count\(13) & (!\spi_master_dac|Add5~25\)) # (!\spi_master_dac|count\(13) & ((\spi_master_dac|Add5~25\) # (GND)))
-- \spi_master_dac|Add5~27\ = CARRY((!\spi_master_dac|Add5~25\) # (!\spi_master_dac|count\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(13),
	datad => VCC,
	cin => \spi_master_dac|Add5~25\,
	combout => \spi_master_dac|Add5~26_combout\,
	cout => \spi_master_dac|Add5~27\);

-- Location: LCCOMB_X47_Y51_N2
\spi_master_dac|Add5~83\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~83_combout\ = (\spi_master_dac|Add5~26_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Add5~26_combout\,
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~83_combout\);

-- Location: FF_X47_Y51_N3
\spi_master_dac|count[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~83_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(13));

-- Location: LCCOMB_X46_Y51_N28
\spi_master_dac|Add5~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~28_combout\ = (\spi_master_dac|count\(14) & (\spi_master_dac|Add5~27\ $ (GND))) # (!\spi_master_dac|count\(14) & (!\spi_master_dac|Add5~27\ & VCC))
-- \spi_master_dac|Add5~29\ = CARRY((\spi_master_dac|count\(14) & !\spi_master_dac|Add5~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(14),
	datad => VCC,
	cin => \spi_master_dac|Add5~27\,
	combout => \spi_master_dac|Add5~28_combout\,
	cout => \spi_master_dac|Add5~29\);

-- Location: LCCOMB_X45_Y51_N30
\spi_master_dac|Add5~82\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~82_combout\ = (\spi_master_dac|Add5~28_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Add5~28_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~82_combout\);

-- Location: FF_X45_Y51_N31
\spi_master_dac|count[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~82_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(14));

-- Location: LCCOMB_X46_Y51_N30
\spi_master_dac|Add5~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~30_combout\ = (\spi_master_dac|count\(15) & (!\spi_master_dac|Add5~29\)) # (!\spi_master_dac|count\(15) & ((\spi_master_dac|Add5~29\) # (GND)))
-- \spi_master_dac|Add5~31\ = CARRY((!\spi_master_dac|Add5~29\) # (!\spi_master_dac|count\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(15),
	datad => VCC,
	cin => \spi_master_dac|Add5~29\,
	combout => \spi_master_dac|Add5~30_combout\,
	cout => \spi_master_dac|Add5~31\);

-- Location: LCCOMB_X47_Y50_N12
\spi_master_dac|Add5~81\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~81_combout\ = (\spi_master_dac|Add5~30_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|Add5~30_combout\,
	combout => \spi_master_dac|Add5~81_combout\);

-- Location: FF_X47_Y50_N13
\spi_master_dac|count[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~81_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(15));

-- Location: LCCOMB_X46_Y50_N0
\spi_master_dac|Add5~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~32_combout\ = (\spi_master_dac|count\(16) & (\spi_master_dac|Add5~31\ $ (GND))) # (!\spi_master_dac|count\(16) & (!\spi_master_dac|Add5~31\ & VCC))
-- \spi_master_dac|Add5~33\ = CARRY((\spi_master_dac|count\(16) & !\spi_master_dac|Add5~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(16),
	datad => VCC,
	cin => \spi_master_dac|Add5~31\,
	combout => \spi_master_dac|Add5~32_combout\,
	cout => \spi_master_dac|Add5~33\);

-- Location: LCCOMB_X47_Y50_N22
\spi_master_dac|Add5~80\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~80_combout\ = (\spi_master_dac|Add5~32_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~4_combout\,
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Add5~32_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Add5~80_combout\);

-- Location: FF_X47_Y50_N23
\spi_master_dac|count[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~80_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(16));

-- Location: LCCOMB_X47_Y50_N0
\spi_master_dac|Equal1~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~5_combout\ = (!\spi_master_dac|count\(15) & (!\spi_master_dac|count\(14) & (!\spi_master_dac|count\(16) & !\spi_master_dac|count\(17))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(15),
	datab => \spi_master_dac|count\(14),
	datac => \spi_master_dac|count\(16),
	datad => \spi_master_dac|count\(17),
	combout => \spi_master_dac|Equal1~5_combout\);

-- Location: LCCOMB_X47_Y51_N22
\spi_master_dac|Equal1~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~8_combout\ = (!\spi_master_dac|count\(2) & (!\spi_master_dac|count\(4) & (!\spi_master_dac|count\(3) & !\spi_master_dac|count\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(2),
	datab => \spi_master_dac|count\(4),
	datac => \spi_master_dac|count\(3),
	datad => \spi_master_dac|count\(5),
	combout => \spi_master_dac|Equal1~8_combout\);

-- Location: LCCOMB_X47_Y51_N10
\spi_master_dac|Equal1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~6_combout\ = (!\spi_master_dac|count\(11) & (!\spi_master_dac|count\(12) & (!\spi_master_dac|count\(10) & !\spi_master_dac|count\(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(11),
	datab => \spi_master_dac|count\(12),
	datac => \spi_master_dac|count\(10),
	datad => \spi_master_dac|count\(13),
	combout => \spi_master_dac|Equal1~6_combout\);

-- Location: LCCOMB_X47_Y51_N6
\spi_master_dac|Equal1~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~9_combout\ = (\spi_master_dac|Equal1~7_combout\ & (\spi_master_dac|Equal1~5_combout\ & (\spi_master_dac|Equal1~8_combout\ & \spi_master_dac|Equal1~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~7_combout\,
	datab => \spi_master_dac|Equal1~5_combout\,
	datac => \spi_master_dac|Equal1~8_combout\,
	datad => \spi_master_dac|Equal1~6_combout\,
	combout => \spi_master_dac|Equal1~9_combout\);

-- Location: LCCOMB_X45_Y51_N6
\spi_master_dac|Add5~95\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~95_combout\ = (\spi_master_dac|Add5~2_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~2_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~95_combout\);

-- Location: FF_X45_Y51_N7
\spi_master_dac|count[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~95_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(1));

-- Location: LCCOMB_X46_Y50_N2
\spi_master_dac|Add5~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~34_combout\ = (\spi_master_dac|count\(17) & (!\spi_master_dac|Add5~33\)) # (!\spi_master_dac|count\(17) & ((\spi_master_dac|Add5~33\) # (GND)))
-- \spi_master_dac|Add5~35\ = CARRY((!\spi_master_dac|Add5~33\) # (!\spi_master_dac|count\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(17),
	datad => VCC,
	cin => \spi_master_dac|Add5~33\,
	combout => \spi_master_dac|Add5~34_combout\,
	cout => \spi_master_dac|Add5~35\);

-- Location: LCCOMB_X47_Y50_N2
\spi_master_dac|Add5~79\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~79_combout\ = (\spi_master_dac|Add5~34_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|Add5~34_combout\,
	combout => \spi_master_dac|Add5~79_combout\);

-- Location: FF_X47_Y50_N3
\spi_master_dac|count[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~79_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(17));

-- Location: LCCOMB_X46_Y50_N4
\spi_master_dac|Add5~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~36_combout\ = (\spi_master_dac|count\(18) & (\spi_master_dac|Add5~35\ $ (GND))) # (!\spi_master_dac|count\(18) & (!\spi_master_dac|Add5~35\ & VCC))
-- \spi_master_dac|Add5~37\ = CARRY((\spi_master_dac|count\(18) & !\spi_master_dac|Add5~35\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(18),
	datad => VCC,
	cin => \spi_master_dac|Add5~35\,
	combout => \spi_master_dac|Add5~36_combout\,
	cout => \spi_master_dac|Add5~37\);

-- Location: LCCOMB_X45_Y50_N4
\spi_master_dac|Add5~78\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~78_combout\ = (\spi_master_dac|Add5~36_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~36_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~78_combout\);

-- Location: FF_X45_Y50_N5
\spi_master_dac|count[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~78_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(18));

-- Location: LCCOMB_X46_Y50_N6
\spi_master_dac|Add5~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~38_combout\ = (\spi_master_dac|count\(19) & (!\spi_master_dac|Add5~37\)) # (!\spi_master_dac|count\(19) & ((\spi_master_dac|Add5~37\) # (GND)))
-- \spi_master_dac|Add5~39\ = CARRY((!\spi_master_dac|Add5~37\) # (!\spi_master_dac|count\(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(19),
	datad => VCC,
	cin => \spi_master_dac|Add5~37\,
	combout => \spi_master_dac|Add5~38_combout\,
	cout => \spi_master_dac|Add5~39\);

-- Location: LCCOMB_X45_Y50_N12
\spi_master_dac|Add5~77\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~77_combout\ = (\spi_master_dac|Add5~38_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~38_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~77_combout\);

-- Location: FF_X45_Y50_N13
\spi_master_dac|count[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~77_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(19));

-- Location: LCCOMB_X46_Y50_N8
\spi_master_dac|Add5~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~40_combout\ = (\spi_master_dac|count\(20) & (\spi_master_dac|Add5~39\ $ (GND))) # (!\spi_master_dac|count\(20) & (!\spi_master_dac|Add5~39\ & VCC))
-- \spi_master_dac|Add5~41\ = CARRY((\spi_master_dac|count\(20) & !\spi_master_dac|Add5~39\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(20),
	datad => VCC,
	cin => \spi_master_dac|Add5~39\,
	combout => \spi_master_dac|Add5~40_combout\,
	cout => \spi_master_dac|Add5~41\);

-- Location: LCCOMB_X45_Y50_N16
\spi_master_dac|Add5~76\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~76_combout\ = (\spi_master_dac|Add5~40_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~40_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~76_combout\);

-- Location: FF_X45_Y50_N17
\spi_master_dac|count[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~76_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(20));

-- Location: LCCOMB_X46_Y50_N10
\spi_master_dac|Add5~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~42_combout\ = (\spi_master_dac|count\(21) & (!\spi_master_dac|Add5~41\)) # (!\spi_master_dac|count\(21) & ((\spi_master_dac|Add5~41\) # (GND)))
-- \spi_master_dac|Add5~43\ = CARRY((!\spi_master_dac|Add5~41\) # (!\spi_master_dac|count\(21)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(21),
	datad => VCC,
	cin => \spi_master_dac|Add5~41\,
	combout => \spi_master_dac|Add5~42_combout\,
	cout => \spi_master_dac|Add5~43\);

-- Location: LCCOMB_X45_Y50_N28
\spi_master_dac|Add5~75\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~75_combout\ = (\spi_master_dac|Add5~42_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~42_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~75_combout\);

-- Location: FF_X45_Y50_N29
\spi_master_dac|count[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~75_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(21));

-- Location: LCCOMB_X46_Y50_N12
\spi_master_dac|Add5~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~44_combout\ = (\spi_master_dac|count\(22) & (\spi_master_dac|Add5~43\ $ (GND))) # (!\spi_master_dac|count\(22) & (!\spi_master_dac|Add5~43\ & VCC))
-- \spi_master_dac|Add5~45\ = CARRY((\spi_master_dac|count\(22) & !\spi_master_dac|Add5~43\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(22),
	datad => VCC,
	cin => \spi_master_dac|Add5~43\,
	combout => \spi_master_dac|Add5~44_combout\,
	cout => \spi_master_dac|Add5~45\);

-- Location: LCCOMB_X45_Y50_N26
\spi_master_dac|Add5~74\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~74_combout\ = (\spi_master_dac|Add5~44_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~44_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~74_combout\);

-- Location: FF_X45_Y50_N27
\spi_master_dac|count[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~74_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(22));

-- Location: LCCOMB_X46_Y50_N14
\spi_master_dac|Add5~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~46_combout\ = (\spi_master_dac|count\(23) & (!\spi_master_dac|Add5~45\)) # (!\spi_master_dac|count\(23) & ((\spi_master_dac|Add5~45\) # (GND)))
-- \spi_master_dac|Add5~47\ = CARRY((!\spi_master_dac|Add5~45\) # (!\spi_master_dac|count\(23)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(23),
	datad => VCC,
	cin => \spi_master_dac|Add5~45\,
	combout => \spi_master_dac|Add5~46_combout\,
	cout => \spi_master_dac|Add5~47\);

-- Location: LCCOMB_X45_Y50_N30
\spi_master_dac|Add5~73\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~73_combout\ = (\spi_master_dac|Add5~46_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~46_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~73_combout\);

-- Location: FF_X45_Y50_N31
\spi_master_dac|count[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~73_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(23));

-- Location: LCCOMB_X46_Y50_N16
\spi_master_dac|Add5~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~48_combout\ = (\spi_master_dac|count\(24) & (\spi_master_dac|Add5~47\ $ (GND))) # (!\spi_master_dac|count\(24) & (!\spi_master_dac|Add5~47\ & VCC))
-- \spi_master_dac|Add5~49\ = CARRY((\spi_master_dac|count\(24) & !\spi_master_dac|Add5~47\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(24),
	datad => VCC,
	cin => \spi_master_dac|Add5~47\,
	combout => \spi_master_dac|Add5~48_combout\,
	cout => \spi_master_dac|Add5~49\);

-- Location: LCCOMB_X45_Y50_N18
\spi_master_dac|Add5~72\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~72_combout\ = (\spi_master_dac|Add5~48_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~48_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~72_combout\);

-- Location: FF_X45_Y50_N19
\spi_master_dac|count[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~72_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(24));

-- Location: LCCOMB_X46_Y50_N18
\spi_master_dac|Add5~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~50_combout\ = (\spi_master_dac|count\(25) & (!\spi_master_dac|Add5~49\)) # (!\spi_master_dac|count\(25) & ((\spi_master_dac|Add5~49\) # (GND)))
-- \spi_master_dac|Add5~51\ = CARRY((!\spi_master_dac|Add5~49\) # (!\spi_master_dac|count\(25)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(25),
	datad => VCC,
	cin => \spi_master_dac|Add5~49\,
	combout => \spi_master_dac|Add5~50_combout\,
	cout => \spi_master_dac|Add5~51\);

-- Location: LCCOMB_X45_Y50_N6
\spi_master_dac|Add5~71\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~71_combout\ = (\spi_master_dac|Add5~50_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~50_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~71_combout\);

-- Location: FF_X45_Y50_N7
\spi_master_dac|count[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~71_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(25));

-- Location: LCCOMB_X45_Y50_N10
\spi_master_dac|Equal1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~2_combout\ = (!\spi_master_dac|count\(23) & (!\spi_master_dac|count\(24) & (!\spi_master_dac|count\(22) & !\spi_master_dac|count\(25))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(23),
	datab => \spi_master_dac|count\(24),
	datac => \spi_master_dac|count\(22),
	datad => \spi_master_dac|count\(25),
	combout => \spi_master_dac|Equal1~2_combout\);

-- Location: LCCOMB_X46_Y50_N20
\spi_master_dac|Add5~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~52_combout\ = (\spi_master_dac|count\(26) & (\spi_master_dac|Add5~51\ $ (GND))) # (!\spi_master_dac|count\(26) & (!\spi_master_dac|Add5~51\ & VCC))
-- \spi_master_dac|Add5~53\ = CARRY((\spi_master_dac|count\(26) & !\spi_master_dac|Add5~51\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(26),
	datad => VCC,
	cin => \spi_master_dac|Add5~51\,
	combout => \spi_master_dac|Add5~52_combout\,
	cout => \spi_master_dac|Add5~53\);

-- Location: LCCOMB_X45_Y50_N8
\spi_master_dac|Add5~70\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~70_combout\ = (\spi_master_dac|Add5~52_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~52_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~70_combout\);

-- Location: FF_X45_Y50_N9
\spi_master_dac|count[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~70_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(26));

-- Location: LCCOMB_X46_Y50_N22
\spi_master_dac|Add5~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~54_combout\ = (\spi_master_dac|count\(27) & (!\spi_master_dac|Add5~53\)) # (!\spi_master_dac|count\(27) & ((\spi_master_dac|Add5~53\) # (GND)))
-- \spi_master_dac|Add5~55\ = CARRY((!\spi_master_dac|Add5~53\) # (!\spi_master_dac|count\(27)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(27),
	datad => VCC,
	cin => \spi_master_dac|Add5~53\,
	combout => \spi_master_dac|Add5~54_combout\,
	cout => \spi_master_dac|Add5~55\);

-- Location: LCCOMB_X45_Y50_N22
\spi_master_dac|Add5~69\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~69_combout\ = (\spi_master_dac|Add5~54_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~54_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~69_combout\);

-- Location: FF_X45_Y50_N23
\spi_master_dac|count[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~69_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(27));

-- Location: LCCOMB_X46_Y50_N24
\spi_master_dac|Add5~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~56_combout\ = (\spi_master_dac|count\(28) & (\spi_master_dac|Add5~55\ $ (GND))) # (!\spi_master_dac|count\(28) & (!\spi_master_dac|Add5~55\ & VCC))
-- \spi_master_dac|Add5~57\ = CARRY((\spi_master_dac|count\(28) & !\spi_master_dac|Add5~55\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(28),
	datad => VCC,
	cin => \spi_master_dac|Add5~55\,
	combout => \spi_master_dac|Add5~56_combout\,
	cout => \spi_master_dac|Add5~57\);

-- Location: LCCOMB_X45_Y50_N20
\spi_master_dac|Add5~68\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~68_combout\ = (\spi_master_dac|Add5~56_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~56_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~68_combout\);

-- Location: FF_X45_Y50_N21
\spi_master_dac|count[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~68_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(28));

-- Location: LCCOMB_X46_Y50_N26
\spi_master_dac|Add5~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~58_combout\ = (\spi_master_dac|count\(29) & (!\spi_master_dac|Add5~57\)) # (!\spi_master_dac|count\(29) & ((\spi_master_dac|Add5~57\) # (GND)))
-- \spi_master_dac|Add5~59\ = CARRY((!\spi_master_dac|Add5~57\) # (!\spi_master_dac|count\(29)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(29),
	datad => VCC,
	cin => \spi_master_dac|Add5~57\,
	combout => \spi_master_dac|Add5~58_combout\,
	cout => \spi_master_dac|Add5~59\);

-- Location: LCCOMB_X45_Y50_N14
\spi_master_dac|Add5~67\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~67_combout\ = (\spi_master_dac|Add5~58_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~58_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~9_combout\,
	combout => \spi_master_dac|Add5~67_combout\);

-- Location: FF_X45_Y50_N15
\spi_master_dac|count[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~67_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(29));

-- Location: LCCOMB_X45_Y50_N0
\spi_master_dac|Equal1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~1_combout\ = (!\spi_master_dac|count\(27) & (!\spi_master_dac|count\(26) & (!\spi_master_dac|count\(29) & !\spi_master_dac|count\(28))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(27),
	datab => \spi_master_dac|count\(26),
	datac => \spi_master_dac|count\(29),
	datad => \spi_master_dac|count\(28),
	combout => \spi_master_dac|Equal1~1_combout\);

-- Location: LCCOMB_X46_Y50_N28
\spi_master_dac|Add5~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~60_combout\ = (\spi_master_dac|count\(30) & (\spi_master_dac|Add5~59\ $ (GND))) # (!\spi_master_dac|count\(30) & (!\spi_master_dac|Add5~59\ & VCC))
-- \spi_master_dac|Add5~61\ = CARRY((\spi_master_dac|count\(30) & !\spi_master_dac|Add5~59\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(30),
	datad => VCC,
	cin => \spi_master_dac|Add5~59\,
	combout => \spi_master_dac|Add5~60_combout\,
	cout => \spi_master_dac|Add5~61\);

-- Location: LCCOMB_X47_Y50_N10
\spi_master_dac|Add5~66\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~66_combout\ = (\spi_master_dac|Add5~60_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~4_combout\,
	datab => \spi_master_dac|Add5~60_combout\,
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Add5~66_combout\);

-- Location: FF_X47_Y50_N11
\spi_master_dac|count[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~66_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(30));

-- Location: LCCOMB_X47_Y53_N16
\spi_master_dac|clk_ratio[31]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|clk_ratio[31]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \spi_master_dac|clk_ratio[31]~feeder_combout\);

-- Location: FF_X47_Y53_N17
\spi_master_dac|clk_ratio[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|clk_ratio[31]~feeder_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_ratio\(31));

-- Location: LCCOMB_X46_Y50_N30
\spi_master_dac|Add5~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~62_combout\ = \spi_master_dac|Add5~61\ $ (!\spi_master_dac|count\(31))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \spi_master_dac|count\(31),
	cin => \spi_master_dac|Add5~61\,
	combout => \spi_master_dac|Add5~62_combout\);

-- Location: LCCOMB_X47_Y50_N28
\spi_master_dac|Add5~64\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~64_combout\ = ((\spi_master_dac|Equal1~10_combout\) # (!\spi_master_dac|Add5~62_combout\)) # (!\spi_master_dac|state~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datab => \spi_master_dac|Add5~62_combout\,
	datad => \spi_master_dac|Equal1~10_combout\,
	combout => \spi_master_dac|Add5~64_combout\);

-- Location: FF_X47_Y50_N29
\spi_master_dac|count[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~64_combout\,
	ena => \spi_master_dac|count[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(31));

-- Location: LCCOMB_X47_Y50_N8
\spi_master_dac|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~0_combout\ = (!\spi_master_dac|count\(30) & (!\spi_master_dac|count\(0) & (\spi_master_dac|clk_ratio\(31) $ (!\spi_master_dac|count\(31)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(30),
	datab => \spi_master_dac|count\(0),
	datac => \spi_master_dac|clk_ratio\(31),
	datad => \spi_master_dac|count\(31),
	combout => \spi_master_dac|Equal1~0_combout\);

-- Location: LCCOMB_X45_Y50_N2
\spi_master_dac|Equal1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~3_combout\ = (!\spi_master_dac|count\(19) & (!\spi_master_dac|count\(20) & (!\spi_master_dac|count\(18) & !\spi_master_dac|count\(21))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(19),
	datab => \spi_master_dac|count\(20),
	datac => \spi_master_dac|count\(18),
	datad => \spi_master_dac|count\(21),
	combout => \spi_master_dac|Equal1~3_combout\);

-- Location: LCCOMB_X45_Y50_N24
\spi_master_dac|Equal1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~4_combout\ = (\spi_master_dac|Equal1~2_combout\ & (\spi_master_dac|Equal1~1_combout\ & (\spi_master_dac|Equal1~0_combout\ & \spi_master_dac|Equal1~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~2_combout\,
	datab => \spi_master_dac|Equal1~1_combout\,
	datac => \spi_master_dac|Equal1~0_combout\,
	datad => \spi_master_dac|Equal1~3_combout\,
	combout => \spi_master_dac|Equal1~4_combout\);

-- Location: LCCOMB_X47_Y50_N6
\spi_master_dac|Equal1~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~10_combout\ = (\spi_master_dac|Equal1~4_combout\ & (\spi_master_dac|Equal1~9_combout\ & !\spi_master_dac|count\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Equal1~10_combout\);

-- Location: LCCOMB_X40_Y27_N30
\dac_ctrl[16]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(16) = LCELL(\gpio_u0|dac_ctrl|data_out\(16))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dac_ctrl|data_out\(16),
	combout => dac_ctrl(16));

-- Location: LCCOMB_X41_Y27_N4
cont : fiftyfivenm_lcell_comb
-- Equation(s):
-- \cont~combout\ = LCELL(dac_ctrl(16))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => dac_ctrl(16),
	combout => \cont~combout\);

-- Location: LCCOMB_X46_Y53_N12
\spi_master_dac|ss_n~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|ss_n~0_combout\ = ((\cont~combout\) # (!\spi_master_dac|Equal3~1_combout\)) # (!\spi_master_dac|Equal1~10_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~10_combout\,
	datab => \cont~combout\,
	datad => \spi_master_dac|Equal3~1_combout\,
	combout => \spi_master_dac|ss_n~0_combout\);

-- Location: FF_X46_Y53_N13
\spi_master_dac|state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|ss_n~0_combout\,
	asdata => \enable~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => \spi_master_dac|ALT_INV_state~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|state~q\);

-- Location: LCCOMB_X46_Y53_N14
\spi_master_dac|slave[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|slave[0]~0_combout\ = (\fpga_resetn~input_o\ & (!\spi_master_dac|state~q\ & \enable~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \fpga_resetn~input_o\,
	datab => \spi_master_dac|state~q\,
	datac => \enable~combout\,
	combout => \spi_master_dac|slave[0]~0_combout\);

-- Location: FF_X51_Y53_N31
\spi_master_dac|last_bit_rx[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|last_bit_rx[3]~0_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(3));

-- Location: LCCOMB_X51_Y53_N10
\spi_master_dac|last_bit_rx[2]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|last_bit_rx[2]~1_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \spi_master_dac|last_bit_rx[2]~1_combout\);

-- Location: FF_X51_Y53_N11
\spi_master_dac|last_bit_rx[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|last_bit_rx[2]~1_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(2));

-- Location: LCCOMB_X51_Y53_N28
\spi_master_dac|last_bit_rx[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|last_bit_rx[1]~2_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \spi_master_dac|last_bit_rx[1]~2_combout\);

-- Location: FF_X51_Y53_N29
\spi_master_dac|last_bit_rx[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|last_bit_rx[1]~2_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(1));

-- Location: LCCOMB_X51_Y53_N22
\spi_master_dac|last_bit_rx[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|last_bit_rx[0]~3_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \spi_master_dac|last_bit_rx[0]~3_combout\);

-- Location: FF_X51_Y53_N23
\spi_master_dac|last_bit_rx[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|last_bit_rx[0]~3_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(0));

-- Location: LCCOMB_X50_Y53_N4
\spi_master_dac|Add4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~1\ = CARRY(\spi_master_dac|last_bit_rx\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|last_bit_rx\(0),
	datad => VCC,
	cout => \spi_master_dac|Add4~1\);

-- Location: LCCOMB_X50_Y53_N6
\spi_master_dac|Add4~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~2_combout\ = (\spi_master_dac|last_bit_rx\(1) & (!\spi_master_dac|Add4~1\)) # (!\spi_master_dac|last_bit_rx\(1) & ((\spi_master_dac|Add4~1\) # (GND)))
-- \spi_master_dac|Add4~3\ = CARRY((!\spi_master_dac|Add4~1\) # (!\spi_master_dac|last_bit_rx\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|last_bit_rx\(1),
	datad => VCC,
	cin => \spi_master_dac|Add4~1\,
	combout => \spi_master_dac|Add4~2_combout\,
	cout => \spi_master_dac|Add4~3\);

-- Location: LCCOMB_X50_Y53_N8
\spi_master_dac|Add4~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~4_combout\ = (\spi_master_dac|last_bit_rx\(2) & (\spi_master_dac|Add4~3\ $ (GND))) # (!\spi_master_dac|last_bit_rx\(2) & (!\spi_master_dac|Add4~3\ & VCC))
-- \spi_master_dac|Add4~5\ = CARRY((\spi_master_dac|last_bit_rx\(2) & !\spi_master_dac|Add4~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|last_bit_rx\(2),
	datad => VCC,
	cin => \spi_master_dac|Add4~3\,
	combout => \spi_master_dac|Add4~4_combout\,
	cout => \spi_master_dac|Add4~5\);

-- Location: LCCOMB_X50_Y53_N10
\spi_master_dac|Add4~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~6_combout\ = (\spi_master_dac|last_bit_rx\(3) & (!\spi_master_dac|Add4~5\)) # (!\spi_master_dac|last_bit_rx\(3) & ((\spi_master_dac|Add4~5\) # (GND)))
-- \spi_master_dac|Add4~7\ = CARRY((!\spi_master_dac|Add4~5\) # (!\spi_master_dac|last_bit_rx\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|last_bit_rx\(3),
	datad => VCC,
	cin => \spi_master_dac|Add4~5\,
	combout => \spi_master_dac|Add4~6_combout\,
	cout => \spi_master_dac|Add4~7\);

-- Location: LCCOMB_X49_Y53_N0
\spi_master_dac|Add4~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~14_combout\ = (\spi_master_dac|process_0~3_combout\ & ((!\spi_master_dac|last_bit_rx\(0)))) # (!\spi_master_dac|process_0~3_combout\ & (!\spi_master_dac|clk_toggles\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010110101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|clk_toggles\(0),
	datad => \spi_master_dac|last_bit_rx\(0),
	combout => \spi_master_dac|Add4~14_combout\);

-- Location: LCCOMB_X46_Y53_N16
\spi_master_dac|tx_buffer[23]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[23]~0_combout\ = (\fpga_resetn~input_o\ & ((\spi_master_dac|state~q\ & ((\spi_master_dac|Equal1~10_combout\))) # (!\spi_master_dac|state~q\ & (\enable~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \fpga_resetn~input_o\,
	datab => \spi_master_dac|state~q\,
	datac => \enable~combout\,
	datad => \spi_master_dac|Equal1~10_combout\,
	combout => \spi_master_dac|tx_buffer[23]~0_combout\);

-- Location: FF_X49_Y53_N1
\spi_master_dac|clk_toggles[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~14_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(0));

-- Location: LCCOMB_X49_Y53_N6
\spi_master_dac|Add1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~1\ = CARRY(\spi_master_dac|clk_toggles\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|clk_toggles\(0),
	datad => VCC,
	cout => \spi_master_dac|Add1~1\);

-- Location: LCCOMB_X49_Y53_N8
\spi_master_dac|Add1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~2_combout\ = (\spi_master_dac|clk_toggles\(1) & (!\spi_master_dac|Add1~1\)) # (!\spi_master_dac|clk_toggles\(1) & ((\spi_master_dac|Add1~1\) # (GND)))
-- \spi_master_dac|Add1~3\ = CARRY((!\spi_master_dac|Add1~1\) # (!\spi_master_dac|clk_toggles\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|clk_toggles\(1),
	datad => VCC,
	cin => \spi_master_dac|Add1~1\,
	combout => \spi_master_dac|Add1~2_combout\,
	cout => \spi_master_dac|Add1~3\);

-- Location: LCCOMB_X49_Y53_N10
\spi_master_dac|Add1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~4_combout\ = (\spi_master_dac|clk_toggles\(2) & (\spi_master_dac|Add1~3\ $ (GND))) # (!\spi_master_dac|clk_toggles\(2) & (!\spi_master_dac|Add1~3\ & VCC))
-- \spi_master_dac|Add1~5\ = CARRY((\spi_master_dac|clk_toggles\(2) & !\spi_master_dac|Add1~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|clk_toggles\(2),
	datad => VCC,
	cin => \spi_master_dac|Add1~3\,
	combout => \spi_master_dac|Add1~4_combout\,
	cout => \spi_master_dac|Add1~5\);

-- Location: LCCOMB_X49_Y53_N28
\spi_master_dac|Add4~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~16_combout\ = (\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|Add4~4_combout\)) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|Add1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|Add4~4_combout\,
	datad => \spi_master_dac|Add1~4_combout\,
	combout => \spi_master_dac|Add4~16_combout\);

-- Location: FF_X49_Y53_N29
\spi_master_dac|clk_toggles[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~16_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(2));

-- Location: LCCOMB_X49_Y53_N12
\spi_master_dac|Add1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~6_combout\ = (\spi_master_dac|clk_toggles\(3) & (!\spi_master_dac|Add1~5\)) # (!\spi_master_dac|clk_toggles\(3) & ((\spi_master_dac|Add1~5\) # (GND)))
-- \spi_master_dac|Add1~7\ = CARRY((!\spi_master_dac|Add1~5\) # (!\spi_master_dac|clk_toggles\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(3),
	datad => VCC,
	cin => \spi_master_dac|Add1~5\,
	combout => \spi_master_dac|Add1~6_combout\,
	cout => \spi_master_dac|Add1~7\);

-- Location: LCCOMB_X49_Y53_N22
\spi_master_dac|Add4~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~15_combout\ = (\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|Add4~6_combout\)) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|Add1~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|Add4~6_combout\,
	datad => \spi_master_dac|Add1~6_combout\,
	combout => \spi_master_dac|Add4~15_combout\);

-- Location: FF_X49_Y53_N23
\spi_master_dac|clk_toggles[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~15_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(3));

-- Location: LCCOMB_X49_Y53_N14
\spi_master_dac|Add1~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~8_combout\ = (\spi_master_dac|clk_toggles\(4) & (\spi_master_dac|Add1~7\ $ (GND))) # (!\spi_master_dac|clk_toggles\(4) & (!\spi_master_dac|Add1~7\ & VCC))
-- \spi_master_dac|Add1~9\ = CARRY((\spi_master_dac|clk_toggles\(4) & !\spi_master_dac|Add1~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|clk_toggles\(4),
	datad => VCC,
	cin => \spi_master_dac|Add1~7\,
	combout => \spi_master_dac|Add1~8_combout\,
	cout => \spi_master_dac|Add1~9\);

-- Location: LCCOMB_X51_Y53_N2
cpha : fiftyfivenm_lcell_comb
-- Equation(s):
-- \cpha~combout\ = LCELL(GND)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \cpha~combout\);

-- Location: FF_X51_Y53_N3
\spi_master_dac|last_bit_rx[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \cpha~combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(4));

-- Location: LCCOMB_X50_Y53_N12
\spi_master_dac|Add4~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~8_combout\ = (\spi_master_dac|last_bit_rx\(4) & (!\spi_master_dac|Add4~7\ & VCC)) # (!\spi_master_dac|last_bit_rx\(4) & (\spi_master_dac|Add4~7\ $ (GND)))
-- \spi_master_dac|Add4~9\ = CARRY((!\spi_master_dac|last_bit_rx\(4) & !\spi_master_dac|Add4~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101000000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|last_bit_rx\(4),
	datad => VCC,
	cin => \spi_master_dac|Add4~7\,
	combout => \spi_master_dac|Add4~8_combout\,
	cout => \spi_master_dac|Add4~9\);

-- Location: LCCOMB_X49_Y53_N20
\spi_master_dac|Add4~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~13_combout\ = (\spi_master_dac|process_0~3_combout\ & (((\spi_master_dac|Add4~8_combout\)))) # (!\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|Add1~8_combout\ & ((!\spi_master_dac|Equal3~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|Add1~8_combout\,
	datac => \spi_master_dac|Add4~8_combout\,
	datad => \spi_master_dac|Equal3~1_combout\,
	combout => \spi_master_dac|Add4~13_combout\);

-- Location: FF_X49_Y53_N21
\spi_master_dac|clk_toggles[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~13_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(4));

-- Location: LCCOMB_X49_Y53_N16
\spi_master_dac|Add1~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~10_combout\ = \spi_master_dac|Add1~9\ $ (\spi_master_dac|clk_toggles\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \spi_master_dac|clk_toggles\(5),
	cin => \spi_master_dac|Add1~9\,
	combout => \spi_master_dac|Add1~10_combout\);

-- Location: LCCOMB_X51_Y53_N12
\spi_master_dac|last_bit_rx[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|last_bit_rx[5]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \spi_master_dac|last_bit_rx[5]~feeder_combout\);

-- Location: FF_X51_Y53_N13
\spi_master_dac|last_bit_rx[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|last_bit_rx[5]~feeder_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(5));

-- Location: LCCOMB_X50_Y53_N14
\spi_master_dac|Add4~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~10_combout\ = \spi_master_dac|last_bit_rx\(5) $ (\spi_master_dac|Add4~9\ $ (\spi_master_dac|last_bit_rx\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|last_bit_rx\(5),
	datad => \spi_master_dac|last_bit_rx\(4),
	cin => \spi_master_dac|Add4~9\,
	combout => \spi_master_dac|Add4~10_combout\);

-- Location: LCCOMB_X49_Y53_N4
\spi_master_dac|Add4~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~12_combout\ = (\spi_master_dac|process_0~3_combout\ & (((\spi_master_dac|Add4~10_combout\)))) # (!\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|Add1~10_combout\ & ((!\spi_master_dac|Equal3~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|Add1~10_combout\,
	datac => \spi_master_dac|Add4~10_combout\,
	datad => \spi_master_dac|Equal3~1_combout\,
	combout => \spi_master_dac|Add4~12_combout\);

-- Location: FF_X49_Y53_N5
\spi_master_dac|clk_toggles[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~12_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(5));

-- Location: LCCOMB_X49_Y53_N26
\spi_master_dac|Equal3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal3~0_combout\ = (!\spi_master_dac|clk_toggles\(2) & (!\spi_master_dac|clk_toggles\(3) & !\spi_master_dac|clk_toggles\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|clk_toggles\(2),
	datac => \spi_master_dac|clk_toggles\(3),
	datad => \spi_master_dac|clk_toggles\(1),
	combout => \spi_master_dac|Equal3~0_combout\);

-- Location: LCCOMB_X49_Y53_N24
\spi_master_dac|Equal3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal3~1_combout\ = (\spi_master_dac|clk_toggles\(5) & (\spi_master_dac|clk_toggles\(4) & (\spi_master_dac|Equal3~0_combout\ & \spi_master_dac|clk_toggles\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(5),
	datab => \spi_master_dac|clk_toggles\(4),
	datac => \spi_master_dac|Equal3~0_combout\,
	datad => \spi_master_dac|clk_toggles\(0),
	combout => \spi_master_dac|Equal3~1_combout\);

-- Location: LCCOMB_X49_Y53_N2
\spi_master_dac|Add4~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~17_combout\ = (\spi_master_dac|process_0~3_combout\ & (((\spi_master_dac|Add4~2_combout\)))) # (!\spi_master_dac|process_0~3_combout\ & (!\spi_master_dac|Equal3~1_combout\ & (\spi_master_dac|Add1~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|Equal3~1_combout\,
	datac => \spi_master_dac|Add1~2_combout\,
	datad => \spi_master_dac|Add4~2_combout\,
	combout => \spi_master_dac|Add4~17_combout\);

-- Location: FF_X49_Y53_N3
\spi_master_dac|clk_toggles[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~17_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(1));

-- Location: LCCOMB_X50_Y53_N16
\spi_master_dac|process_0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|process_0~0_combout\ = (\spi_master_dac|clk_toggles\(1) & (\spi_master_dac|last_bit_rx\(1) & (\spi_master_dac|last_bit_rx\(0) $ (!\spi_master_dac|clk_toggles\(0))))) # (!\spi_master_dac|clk_toggles\(1) & (!\spi_master_dac|last_bit_rx\(1) & 
-- (\spi_master_dac|last_bit_rx\(0) $ (!\spi_master_dac|clk_toggles\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(1),
	datab => \spi_master_dac|last_bit_rx\(0),
	datac => \spi_master_dac|clk_toggles\(0),
	datad => \spi_master_dac|last_bit_rx\(1),
	combout => \spi_master_dac|process_0~0_combout\);

-- Location: LCCOMB_X50_Y53_N2
\spi_master_dac|process_0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|process_0~1_combout\ = (\spi_master_dac|last_bit_rx\(3) & (\spi_master_dac|clk_toggles\(3) & (\spi_master_dac|clk_toggles\(2) $ (!\spi_master_dac|last_bit_rx\(2))))) # (!\spi_master_dac|last_bit_rx\(3) & (!\spi_master_dac|clk_toggles\(3) & 
-- (\spi_master_dac|clk_toggles\(2) $ (!\spi_master_dac|last_bit_rx\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|last_bit_rx\(3),
	datab => \spi_master_dac|clk_toggles\(2),
	datac => \spi_master_dac|last_bit_rx\(2),
	datad => \spi_master_dac|clk_toggles\(3),
	combout => \spi_master_dac|process_0~1_combout\);

-- Location: LCCOMB_X50_Y53_N30
\spi_master_dac|process_0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|process_0~2_combout\ = (\spi_master_dac|last_bit_rx\(4) & (\spi_master_dac|clk_toggles\(4) & (\spi_master_dac|clk_toggles\(5) $ (!\spi_master_dac|last_bit_rx\(5))))) # (!\spi_master_dac|last_bit_rx\(4) & (!\spi_master_dac|clk_toggles\(4) & 
-- (\spi_master_dac|clk_toggles\(5) $ (!\spi_master_dac|last_bit_rx\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|last_bit_rx\(4),
	datab => \spi_master_dac|clk_toggles\(5),
	datac => \spi_master_dac|last_bit_rx\(5),
	datad => \spi_master_dac|clk_toggles\(4),
	combout => \spi_master_dac|process_0~2_combout\);

-- Location: LCCOMB_X46_Y53_N24
\spi_master_dac|process_0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|process_0~3_combout\ = (\spi_master_dac|process_0~0_combout\ & (\spi_master_dac|process_0~1_combout\ & (\cont~combout\ & \spi_master_dac|process_0~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~0_combout\,
	datab => \spi_master_dac|process_0~1_combout\,
	datac => \cont~combout\,
	datad => \spi_master_dac|process_0~2_combout\,
	combout => \spi_master_dac|process_0~3_combout\);

-- Location: LCCOMB_X39_Y27_N18
\dac_ctrl[14]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(14) = LCELL(\gpio_u0|dac_ctrl|data_out\(14))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|data_out\(14),
	combout => dac_ctrl(14));

-- Location: LCCOMB_X39_Y27_N4
\dac_ctrl[13]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(13) = LCELL(\gpio_u0|dac_ctrl|data_out\(13))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|data_out\(13),
	combout => dac_ctrl(13));

-- Location: LCCOMB_X41_Y27_N10
\dac_ctrl[11]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(11) = LCELL(\gpio_u0|dac_ctrl|data_out\(11))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|data_out\(11),
	combout => dac_ctrl(11));

-- Location: LCCOMB_X41_Y27_N18
\dac_ctrl[10]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(10) = LCELL(\gpio_u0|dac_ctrl|data_out\(10))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|data_out\(10),
	combout => dac_ctrl(10));

-- Location: LCCOMB_X40_Y27_N10
\dac_ctrl[9]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(9) = LCELL(\gpio_u0|dac_ctrl|data_out\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dac_ctrl|data_out\(9),
	combout => dac_ctrl(9));

-- Location: LCCOMB_X38_Y27_N16
\dac_ctrl[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(7) = LCELL(\gpio_u0|dac_ctrl|data_out\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|data_out\(7),
	combout => dac_ctrl(7));

-- Location: LCCOMB_X40_Y27_N0
\dac_ctrl[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(3) = LCELL(\gpio_u0|dac_ctrl|data_out\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|data_out\(3),
	combout => dac_ctrl(3));

-- Location: LCCOMB_X39_Y30_N14
\dac_ctrl[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(2) = LCELL(\gpio_u0|dac_ctrl|data_out\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dac_ctrl|data_out\(2),
	combout => dac_ctrl(2));

-- Location: LCCOMB_X37_Y27_N20
\dac_ctrl[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(1) = LCELL(\gpio_u0|dac_ctrl|data_out\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|data_out\(1),
	combout => dac_ctrl(1));

-- Location: LCCOMB_X39_Y29_N4
\dac_ctrl[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(0) = LCELL(\gpio_u0|dac_ctrl|data_out\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|data_out\(0),
	combout => dac_ctrl(0));

-- Location: LCCOMB_X40_Y30_N2
\spi_master_dac|tx_buffer[0]~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[0]~26_combout\ = (dac_ctrl(0) & ((\spi_master_dac|process_0~3_combout\) # (!\spi_master_dac|state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|process_0~3_combout\,
	datad => dac_ctrl(0),
	combout => \spi_master_dac|tx_buffer[0]~26_combout\);

-- Location: LCCOMB_X46_Y53_N22
\spi_master_dac|assert_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|assert_data~0_combout\ = (\spi_master_dac|assert_data~q\ & ((!\spi_master_dac|tx_buffer[23]~0_combout\) # (!\spi_master_dac|state~q\))) # (!\spi_master_dac|assert_data~q\ & ((\spi_master_dac|tx_buffer[23]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|assert_data~q\,
	datad => \spi_master_dac|tx_buffer[23]~0_combout\,
	combout => \spi_master_dac|assert_data~0_combout\);

-- Location: FF_X46_Y53_N23
\spi_master_dac|assert_data\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|assert_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|assert_data~q\);

-- Location: LCCOMB_X50_Y53_N18
\spi_master_dac|LessThan3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~1_cout\ = CARRY((!\spi_master_dac|clk_toggles\(0) & \spi_master_dac|last_bit_rx\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(0),
	datab => \spi_master_dac|last_bit_rx\(0),
	datad => VCC,
	cout => \spi_master_dac|LessThan3~1_cout\);

-- Location: LCCOMB_X50_Y53_N20
\spi_master_dac|LessThan3~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~3_cout\ = CARRY((\spi_master_dac|clk_toggles\(1) & ((!\spi_master_dac|LessThan3~1_cout\) # (!\spi_master_dac|last_bit_rx\(1)))) # (!\spi_master_dac|clk_toggles\(1) & (!\spi_master_dac|last_bit_rx\(1) & 
-- !\spi_master_dac|LessThan3~1_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(1),
	datab => \spi_master_dac|last_bit_rx\(1),
	datad => VCC,
	cin => \spi_master_dac|LessThan3~1_cout\,
	cout => \spi_master_dac|LessThan3~3_cout\);

-- Location: LCCOMB_X50_Y53_N22
\spi_master_dac|LessThan3~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~5_cout\ = CARRY((\spi_master_dac|clk_toggles\(2) & (\spi_master_dac|last_bit_rx\(2) & !\spi_master_dac|LessThan3~3_cout\)) # (!\spi_master_dac|clk_toggles\(2) & ((\spi_master_dac|last_bit_rx\(2)) # 
-- (!\spi_master_dac|LessThan3~3_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(2),
	datab => \spi_master_dac|last_bit_rx\(2),
	datad => VCC,
	cin => \spi_master_dac|LessThan3~3_cout\,
	cout => \spi_master_dac|LessThan3~5_cout\);

-- Location: LCCOMB_X50_Y53_N24
\spi_master_dac|LessThan3~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~7_cout\ = CARRY((\spi_master_dac|last_bit_rx\(3) & (\spi_master_dac|clk_toggles\(3) & !\spi_master_dac|LessThan3~5_cout\)) # (!\spi_master_dac|last_bit_rx\(3) & ((\spi_master_dac|clk_toggles\(3)) # 
-- (!\spi_master_dac|LessThan3~5_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|last_bit_rx\(3),
	datab => \spi_master_dac|clk_toggles\(3),
	datad => VCC,
	cin => \spi_master_dac|LessThan3~5_cout\,
	cout => \spi_master_dac|LessThan3~7_cout\);

-- Location: LCCOMB_X50_Y53_N26
\spi_master_dac|LessThan3~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~9_cout\ = CARRY((\spi_master_dac|last_bit_rx\(4) & ((!\spi_master_dac|LessThan3~7_cout\) # (!\spi_master_dac|clk_toggles\(4)))) # (!\spi_master_dac|last_bit_rx\(4) & (!\spi_master_dac|clk_toggles\(4) & 
-- !\spi_master_dac|LessThan3~7_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|last_bit_rx\(4),
	datab => \spi_master_dac|clk_toggles\(4),
	datad => VCC,
	cin => \spi_master_dac|LessThan3~7_cout\,
	cout => \spi_master_dac|LessThan3~9_cout\);

-- Location: LCCOMB_X50_Y53_N28
\spi_master_dac|LessThan3~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~10_combout\ = (\spi_master_dac|clk_toggles\(5) & (\spi_master_dac|LessThan3~9_cout\ & \spi_master_dac|last_bit_rx\(5))) # (!\spi_master_dac|clk_toggles\(5) & ((\spi_master_dac|LessThan3~9_cout\) # 
-- (\spi_master_dac|last_bit_rx\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|clk_toggles\(5),
	datad => \spi_master_dac|last_bit_rx\(5),
	cin => \spi_master_dac|LessThan3~9_cout\,
	combout => \spi_master_dac|LessThan3~10_combout\);

-- Location: LCCOMB_X46_Y53_N10
\spi_master_dac|tx_buffer[23]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[23]~2_combout\ = (\spi_master_dac|Equal1~10_combout\ & ((\spi_master_dac|process_0~3_combout\) # ((\spi_master_dac|assert_data~q\ & \spi_master_dac|LessThan3~10_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|assert_data~q\,
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|LessThan3~10_combout\,
	datad => \spi_master_dac|Equal1~10_combout\,
	combout => \spi_master_dac|tx_buffer[23]~2_combout\);

-- Location: LCCOMB_X46_Y53_N18
\spi_master_dac|tx_buffer[23]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[23]~3_combout\ = (\fpga_resetn~input_o\ & ((\spi_master_dac|state~q\ & ((\spi_master_dac|tx_buffer[23]~2_combout\))) # (!\spi_master_dac|state~q\ & (\enable~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \fpga_resetn~input_o\,
	datab => \spi_master_dac|state~q\,
	datac => \enable~combout\,
	datad => \spi_master_dac|tx_buffer[23]~2_combout\,
	combout => \spi_master_dac|tx_buffer[23]~3_combout\);

-- Location: FF_X40_Y30_N3
\spi_master_dac|tx_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[0]~26_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(0));

-- Location: LCCOMB_X40_Y30_N16
\spi_master_dac|tx_buffer[1]~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[1]~25_combout\ = (\spi_master_dac|process_0~3_combout\ & (dac_ctrl(1))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & ((\spi_master_dac|tx_buffer\(0)))) # (!\spi_master_dac|state~q\ & (dac_ctrl(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => dac_ctrl(1),
	datac => \spi_master_dac|state~q\,
	datad => \spi_master_dac|tx_buffer\(0),
	combout => \spi_master_dac|tx_buffer[1]~25_combout\);

-- Location: FF_X40_Y30_N17
\spi_master_dac|tx_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[1]~25_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(1));

-- Location: LCCOMB_X40_Y30_N20
\spi_master_dac|tx_buffer[2]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[2]~24_combout\ = (\spi_master_dac|state~q\ & ((\spi_master_dac|process_0~3_combout\ & (dac_ctrl(2))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|tx_buffer\(1)))))) # (!\spi_master_dac|state~q\ & (dac_ctrl(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => dac_ctrl(2),
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(1),
	combout => \spi_master_dac|tx_buffer[2]~24_combout\);

-- Location: FF_X40_Y30_N21
\spi_master_dac|tx_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[2]~24_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(2));

-- Location: LCCOMB_X40_Y30_N8
\spi_master_dac|tx_buffer[3]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[3]~23_combout\ = (\spi_master_dac|state~q\ & ((\spi_master_dac|process_0~3_combout\ & (dac_ctrl(3))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|tx_buffer\(2)))))) # (!\spi_master_dac|state~q\ & (dac_ctrl(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => dac_ctrl(3),
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(2),
	combout => \spi_master_dac|tx_buffer[3]~23_combout\);

-- Location: FF_X40_Y30_N9
\spi_master_dac|tx_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[3]~23_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(3));

-- Location: LCCOMB_X37_Y27_N4
\dac_ctrl[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(4) = LCELL(\gpio_u0|dac_ctrl|data_out\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|data_out\(4),
	combout => dac_ctrl(4));

-- Location: LCCOMB_X40_Y30_N14
\spi_master_dac|tx_buffer[4]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[4]~22_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(4))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|tx_buffer\(3))) # (!\spi_master_dac|state~q\ & 
-- ((dac_ctrl(4))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|tx_buffer\(3),
	datad => dac_ctrl(4),
	combout => \spi_master_dac|tx_buffer[4]~22_combout\);

-- Location: FF_X40_Y30_N15
\spi_master_dac|tx_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[4]~22_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(4));

-- Location: LCCOMB_X40_Y30_N10
\dac_ctrl[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(5) = LCELL(\gpio_u0|dac_ctrl|data_out\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|data_out\(5),
	combout => dac_ctrl(5));

-- Location: LCCOMB_X40_Y30_N22
\spi_master_dac|tx_buffer[5]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[5]~21_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(5))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|tx_buffer\(4))) # (!\spi_master_dac|state~q\ & 
-- ((dac_ctrl(5))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|tx_buffer\(4),
	datad => dac_ctrl(5),
	combout => \spi_master_dac|tx_buffer[5]~21_combout\);

-- Location: FF_X40_Y30_N23
\spi_master_dac|tx_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[5]~21_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(5));

-- Location: LCCOMB_X40_Y30_N12
\dac_ctrl[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(6) = LCELL(\gpio_u0|dac_ctrl|data_out\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dac_ctrl|data_out\(6),
	combout => dac_ctrl(6));

-- Location: LCCOMB_X40_Y30_N24
\spi_master_dac|tx_buffer[6]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[6]~20_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(6))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|tx_buffer\(5))) # (!\spi_master_dac|state~q\ & 
-- ((dac_ctrl(6))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|tx_buffer\(5),
	datad => dac_ctrl(6),
	combout => \spi_master_dac|tx_buffer[6]~20_combout\);

-- Location: FF_X40_Y30_N25
\spi_master_dac|tx_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[6]~20_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(6));

-- Location: LCCOMB_X40_Y30_N26
\spi_master_dac|tx_buffer[7]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[7]~19_combout\ = (\spi_master_dac|state~q\ & ((\spi_master_dac|process_0~3_combout\ & (dac_ctrl(7))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|tx_buffer\(6)))))) # (!\spi_master_dac|state~q\ & (dac_ctrl(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => dac_ctrl(7),
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(6),
	combout => \spi_master_dac|tx_buffer[7]~19_combout\);

-- Location: FF_X40_Y30_N27
\spi_master_dac|tx_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[7]~19_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(7));

-- Location: LCCOMB_X40_Y30_N18
\dac_ctrl[8]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(8) = LCELL(\gpio_u0|dac_ctrl|data_out\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|dac_ctrl|data_out\(8),
	combout => dac_ctrl(8));

-- Location: LCCOMB_X40_Y30_N0
\spi_master_dac|tx_buffer[8]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[8]~18_combout\ = (\spi_master_dac|state~q\ & ((\spi_master_dac|process_0~3_combout\ & ((dac_ctrl(8)))) # (!\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|tx_buffer\(7))))) # (!\spi_master_dac|state~q\ & 
-- (((dac_ctrl(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|tx_buffer\(7),
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|process_0~3_combout\,
	datad => dac_ctrl(8),
	combout => \spi_master_dac|tx_buffer[8]~18_combout\);

-- Location: FF_X40_Y30_N1
\spi_master_dac|tx_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[8]~18_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(8));

-- Location: LCCOMB_X40_Y30_N4
\spi_master_dac|tx_buffer[9]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[9]~17_combout\ = (\spi_master_dac|state~q\ & ((\spi_master_dac|process_0~3_combout\ & (dac_ctrl(9))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|tx_buffer\(8)))))) # (!\spi_master_dac|state~q\ & (dac_ctrl(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => dac_ctrl(9),
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(8),
	combout => \spi_master_dac|tx_buffer[9]~17_combout\);

-- Location: FF_X40_Y30_N5
\spi_master_dac|tx_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[9]~17_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(9));

-- Location: LCCOMB_X41_Y30_N12
\spi_master_dac|tx_buffer[10]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[10]~16_combout\ = (\spi_master_dac|process_0~3_combout\ & (dac_ctrl(10))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & ((\spi_master_dac|tx_buffer\(9)))) # (!\spi_master_dac|state~q\ & (dac_ctrl(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => dac_ctrl(10),
	datac => \spi_master_dac|tx_buffer\(9),
	datad => \spi_master_dac|state~q\,
	combout => \spi_master_dac|tx_buffer[10]~16_combout\);

-- Location: FF_X41_Y30_N13
\spi_master_dac|tx_buffer[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[10]~16_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(10));

-- Location: LCCOMB_X41_Y30_N26
\spi_master_dac|tx_buffer[11]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[11]~15_combout\ = (\spi_master_dac|state~q\ & ((\spi_master_dac|process_0~3_combout\ & (dac_ctrl(11))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|tx_buffer\(10)))))) # (!\spi_master_dac|state~q\ & 
-- (dac_ctrl(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datab => dac_ctrl(11),
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(10),
	combout => \spi_master_dac|tx_buffer[11]~15_combout\);

-- Location: FF_X41_Y30_N27
\spi_master_dac|tx_buffer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[11]~15_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(11));

-- Location: LCCOMB_X40_Y30_N30
\dac_ctrl[12]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(12) = LCELL(\gpio_u0|dac_ctrl|data_out\(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dac_ctrl|data_out\(12),
	combout => dac_ctrl(12));

-- Location: LCCOMB_X41_Y30_N28
\spi_master_dac|tx_buffer[12]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[12]~14_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(12))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|tx_buffer\(11))) # (!\spi_master_dac|state~q\ & 
-- ((dac_ctrl(12))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|tx_buffer\(11),
	datab => dac_ctrl(12),
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|state~q\,
	combout => \spi_master_dac|tx_buffer[12]~14_combout\);

-- Location: FF_X41_Y30_N29
\spi_master_dac|tx_buffer[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[12]~14_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(12));

-- Location: LCCOMB_X40_Y30_N28
\spi_master_dac|tx_buffer[13]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[13]~13_combout\ = (\spi_master_dac|state~q\ & ((\spi_master_dac|process_0~3_combout\ & (dac_ctrl(13))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|tx_buffer\(12)))))) # (!\spi_master_dac|state~q\ & 
-- (dac_ctrl(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => dac_ctrl(13),
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(12),
	combout => \spi_master_dac|tx_buffer[13]~13_combout\);

-- Location: FF_X40_Y30_N29
\spi_master_dac|tx_buffer[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[13]~13_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(13));

-- Location: LCCOMB_X40_Y30_N6
\spi_master_dac|tx_buffer[14]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[14]~12_combout\ = (\spi_master_dac|process_0~3_combout\ & (dac_ctrl(14))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & ((\spi_master_dac|tx_buffer\(13)))) # (!\spi_master_dac|state~q\ & 
-- (dac_ctrl(14)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => dac_ctrl(14),
	datac => \spi_master_dac|state~q\,
	datad => \spi_master_dac|tx_buffer\(13),
	combout => \spi_master_dac|tx_buffer[14]~12_combout\);

-- Location: FF_X40_Y30_N7
\spi_master_dac|tx_buffer[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[14]~12_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(14));

-- Location: LCCOMB_X40_Y27_N2
\dac_ctrl[15]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(15) = LCELL(\gpio_u0|dac_ctrl|data_out\(15))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|dac_ctrl|data_out\(15),
	combout => dac_ctrl(15));

-- Location: LCCOMB_X41_Y30_N20
\spi_master_dac|tx_buffer[15]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[15]~11_combout\ = (\spi_master_dac|state~q\ & ((\spi_master_dac|process_0~3_combout\ & ((dac_ctrl(15)))) # (!\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|tx_buffer\(14))))) # (!\spi_master_dac|state~q\ & 
-- (((dac_ctrl(15)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datab => \spi_master_dac|tx_buffer\(14),
	datac => \spi_master_dac|process_0~3_combout\,
	datad => dac_ctrl(15),
	combout => \spi_master_dac|tx_buffer[15]~11_combout\);

-- Location: FF_X41_Y30_N21
\spi_master_dac|tx_buffer[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[15]~11_combout\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(15));

-- Location: LCCOMB_X41_Y30_N10
\spi_master_dac|tx_buffer[16]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[16]~10_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(15))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(15),
	combout => \spi_master_dac|tx_buffer[16]~10_combout\);

-- Location: FF_X41_Y30_N11
\spi_master_dac|tx_buffer[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[16]~10_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(16));

-- Location: LCCOMB_X41_Y30_N24
\spi_master_dac|tx_buffer[17]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[17]~9_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(16))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(16),
	combout => \spi_master_dac|tx_buffer[17]~9_combout\);

-- Location: FF_X41_Y30_N25
\spi_master_dac|tx_buffer[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[17]~9_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(17));

-- Location: LCCOMB_X41_Y30_N4
\spi_master_dac|tx_buffer[18]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[18]~8_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(17))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(17),
	combout => \spi_master_dac|tx_buffer[18]~8_combout\);

-- Location: FF_X41_Y30_N5
\spi_master_dac|tx_buffer[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[18]~8_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(18));

-- Location: LCCOMB_X41_Y30_N8
\spi_master_dac|tx_buffer[19]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[19]~7_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(18))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|tx_buffer\(18),
	combout => \spi_master_dac|tx_buffer[19]~7_combout\);

-- Location: FF_X41_Y30_N9
\spi_master_dac|tx_buffer[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[19]~7_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(19));

-- Location: LCCOMB_X41_Y30_N22
\spi_master_dac|tx_buffer[20]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[20]~6_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(19))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|tx_buffer\(19),
	combout => \spi_master_dac|tx_buffer[20]~6_combout\);

-- Location: FF_X41_Y30_N23
\spi_master_dac|tx_buffer[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[20]~6_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(20));

-- Location: LCCOMB_X41_Y30_N30
\spi_master_dac|tx_buffer[21]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[21]~5_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(20))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|tx_buffer\(20),
	combout => \spi_master_dac|tx_buffer[21]~5_combout\);

-- Location: FF_X41_Y30_N31
\spi_master_dac|tx_buffer[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[21]~5_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(21));

-- Location: LCCOMB_X41_Y30_N18
\spi_master_dac|tx_buffer[22]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[22]~4_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(21))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|tx_buffer\(21),
	combout => \spi_master_dac|tx_buffer[22]~4_combout\);

-- Location: FF_X41_Y30_N19
\spi_master_dac|tx_buffer[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[22]~4_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(22));

-- Location: LCCOMB_X41_Y30_N16
\spi_master_dac|tx_buffer[23]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[23]~1_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(22))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(22),
	combout => \spi_master_dac|tx_buffer[23]~1_combout\);

-- Location: FF_X41_Y30_N17
\spi_master_dac|tx_buffer[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[23]~1_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(23));

-- Location: LCCOMB_X46_Y53_N0
\spi_master_dac|mosi~reg0feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|mosi~reg0feeder_combout\ = \spi_master_dac|tx_buffer\(23)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|tx_buffer\(23),
	combout => \spi_master_dac|mosi~reg0feeder_combout\);

-- Location: LCCOMB_X46_Y53_N20
\spi_master_dac|mosi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|mosi~0_combout\ = (\spi_master_dac|assert_data~q\ & ((\spi_master_dac|LessThan3~10_combout\) # ((!\cont~combout\ & \spi_master_dac|Equal3~1_combout\)))) # (!\spi_master_dac|assert_data~q\ & (!\cont~combout\ & 
-- ((\spi_master_dac|Equal3~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|assert_data~q\,
	datab => \cont~combout\,
	datac => \spi_master_dac|LessThan3~10_combout\,
	datad => \spi_master_dac|Equal3~1_combout\,
	combout => \spi_master_dac|mosi~0_combout\);

-- Location: LCCOMB_X46_Y53_N6
\spi_master_dac|mosi~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|mosi~1_combout\ = ((\spi_master_dac|mosi~0_combout\ & \spi_master_dac|Equal1~10_combout\)) # (!\spi_master_dac|state~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|mosi~0_combout\,
	datac => \spi_master_dac|state~q\,
	datad => \spi_master_dac|Equal1~10_combout\,
	combout => \spi_master_dac|mosi~1_combout\);

-- Location: FF_X46_Y53_N1
\spi_master_dac|mosi~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|mosi~reg0feeder_combout\,
	ena => \spi_master_dac|mosi~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|mosi~reg0_q\);

-- Location: LCCOMB_X46_Y53_N8
\spi_master_dac|mosi~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|mosi~2_combout\ = (\spi_master_dac|state~q\ & ((\cont~combout\) # (!\spi_master_dac|Equal3~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|state~q\,
	datac => \cont~combout\,
	datad => \spi_master_dac|Equal3~1_combout\,
	combout => \spi_master_dac|mosi~2_combout\);

-- Location: FF_X46_Y53_N9
\spi_master_dac|mosi~en\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|mosi~2_combout\,
	clrn => \fpga_resetn~input_o\,
	ena => \spi_master_dac|mosi~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|mosi~en_q\);

-- Location: LCCOMB_X52_Y49_N16
\gpio_u0|usb_debug_master_0|fifos|comb~0_wirecell\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|comb~0_wirecell_combout\ = !\gpio_u0|usb_debug_master_0|fifos|comb~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|comb~0_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|comb~0_wirecell_combout\);

-- Location: LCCOMB_X58_Y48_N20
\gpio_u0|usb_debug_master_0|p2b|out_data[7]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[7]~5_combout\ = ((\gpio_u0|usb_debug_master_0|p2b|sent_sop~q\ & \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\)) # (!\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[7]~5_combout\);

-- Location: LCCOMB_X58_Y44_N16
\gpio_u0|usb_debug_master_0|master|p2m|Selector80~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector80~3_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0) & (\gpio_u0|usb_debug_master_0|master|p2m|counter\(8) & ((!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1))))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0) & (((\gpio_u0|usb_debug_master_0|master|p2m|counter\(0) & \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(0),
	datab => \gpio_u0|usb_debug_master_0|master|p2m|counter\(8),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|counter\(0),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|current_byte\(1),
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~3_combout\);

-- Location: LCCOMB_X57_Y44_N8
\gpio_u0|usb_debug_master_0|master|p2m|Selector80~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector80~2_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(0) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(0),
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector71~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector73~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~2_combout\);

-- Location: LCCOMB_X57_Y46_N22
\gpio_u0|usb_debug_master_0|master|p2m|Selector80~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector80~1_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|command\(0) & ((\gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\ & 
-- !\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|state.GET_ADDR4~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector0~5_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|command\(0),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~4_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~1_combout\);

-- Location: LCCOMB_X57_Y44_N24
\gpio_u0|usb_debug_master_0|master|p2m|Selector80~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|master|p2m|Selector80~4_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|Selector80~2_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|Selector80~1_combout\) # 
-- ((\gpio_u0|usb_debug_master_0|master|p2m|Selector80~3_combout\ & \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|Selector82~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~1_combout\,
	combout => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~4_combout\);

-- Location: FF_X57_Y44_N25
\gpio_u0|usb_debug_master_0|master|p2m|out_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|master|p2m|Selector80~4_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(0));

-- Location: LCCOMB_X57_Y46_N24
\gpio_u0|usb_debug_master_0|p2b|out_data[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[0]~6_combout\ = (\gpio_u0|usb_debug_master_0|p2b|out_data[7]~5_combout\ & ((\gpio_u0|usb_debug_master_0|p2b|always0~0_combout\) # ((\gpio_u0|usb_debug_master_0|master|p2m|out_data\(0)) # 
-- (\gpio_u0|usb_debug_master_0|p2b|always0~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|out_data[7]~5_combout\,
	datab => \gpio_u0|usb_debug_master_0|p2b|always0~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(0),
	datad => \gpio_u0|usb_debug_master_0|p2b|always0~3_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[0]~6_combout\);

-- Location: FF_X57_Y46_N25
\gpio_u0|usb_debug_master_0|p2b|out_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|out_data[0]~6_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|out_data\(0));

-- Location: LCCOMB_X56_Y46_N6
\gpio_u0|usb_debug_master_0|fifos|usbin_wdata[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[0]~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & ((\gpio_u0|usb_debug_master_0|p2b|out_data\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(1),
	datad => \gpio_u0|usb_debug_master_0|p2b|out_data\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[0]~0_combout\);

-- Location: LCCOMB_X54_Y49_N8
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ram_address_a[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ram_address_a\(7) = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(8) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(8),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ram_address_a\(7));

-- Location: LCCOMB_X52_Y49_N20
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~_wirecell\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~_wirecell_combout\ = !\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a0~_wirecell_combout\);

-- Location: LCCOMB_X54_Y49_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ram_address_b[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ram_address_b\(7) = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\ $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011001100110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a8~q\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|rdptr_g1p|counter5a7~q\,
	combout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|ram_address_b\(7));

-- Location: LCCOMB_X57_Y48_N18
\gpio_u0|usb_debug_master_0|p2b|out_data[1]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[1]~7_combout\ = (\gpio_u0|usb_debug_master_0|p2b|always0~3_combout\ & (((!\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\)))) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|always0~3_combout\ & ((\gpio_u0|usb_debug_master_0|master|p2m|out_data\(1)) # ((!\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100111101000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|always0~3_combout\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(1),
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[1]~7_combout\);

-- Location: LCCOMB_X58_Y48_N22
\gpio_u0|usb_debug_master_0|p2b|out_data[1]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[1]~8_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\ & (\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & ((\gpio_u0|usb_debug_master_0|p2b|out_data[1]~7_combout\) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|sent_sop~q\)))) # (!\gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\ & (((\gpio_u0|usb_debug_master_0|p2b|out_data[1]~7_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\,
	datab => \gpio_u0|usb_debug_master_0|p2b|out_data[1]~7_combout\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_startofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[1]~8_combout\);

-- Location: FF_X58_Y48_N23
\gpio_u0|usb_debug_master_0|p2b|out_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|out_data[1]~8_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|out_data\(1));

-- Location: LCCOMB_X55_Y48_N0
\gpio_u0|usb_debug_master_0|fifos|usbin_wdata[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[1]~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & ((\gpio_u0|usb_debug_master_0|p2b|out_data\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(2),
	datad => \gpio_u0|usb_debug_master_0|p2b|out_data\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[1]~1_combout\);

-- Location: LCCOMB_X57_Y48_N20
\gpio_u0|usb_debug_master_0|p2b|out_data[2]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[2]~9_combout\ = (!\gpio_u0|usb_debug_master_0|p2b|always0~0_combout\ & (\gpio_u0|usb_debug_master_0|p2b|sent_sop~q\ & ((\gpio_u0|usb_debug_master_0|master|p2m|out_data\(2)) # 
-- (\gpio_u0|usb_debug_master_0|p2b|always0~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(2),
	datab => \gpio_u0|usb_debug_master_0|p2b|always0~3_combout\,
	datac => \gpio_u0|usb_debug_master_0|p2b|always0~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[2]~9_combout\);

-- Location: LCCOMB_X56_Y48_N16
\gpio_u0|usb_debug_master_0|p2b|out_data[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[2]~0_combout\ = (\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & (\gpio_u0|usb_debug_master_0|p2b|out_data[2]~9_combout\)) # (!\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & 
-- ((!\gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|out_data[2]~9_combout\,
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[2]~0_combout\);

-- Location: LCCOMB_X57_Y48_N0
\gpio_u0|usb_debug_master_0|p2b|out_data~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data~10_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(2) & ((\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\) # ((!\gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\)))) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|out_data\(2) & (\gpio_u0|usb_debug_master_0|p2b|always0~3_combout\ & ((\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\) # (!\gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(2),
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|always0~3_combout\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data~10_combout\);

-- Location: FF_X56_Y48_N17
\gpio_u0|usb_debug_master_0|p2b|out_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|out_data[2]~0_combout\,
	asdata => \gpio_u0|usb_debug_master_0|p2b|out_data~10_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => \gpio_u0|usb_debug_master_0|master|p2m|ALT_INV_out_startofpacket~q\,
	ena => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|out_data\(2));

-- Location: LCCOMB_X56_Y48_N0
\gpio_u0|usb_debug_master_0|fifos|usbin_wdata[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[2]~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(3)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & (\gpio_u0|usb_debug_master_0|p2b|out_data\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datab => \gpio_u0|usb_debug_master_0|p2b|out_data\(2),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(3),
	combout => \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[2]~2_combout\);

-- Location: LCCOMB_X57_Y48_N2
\gpio_u0|usb_debug_master_0|p2b|out_data[3]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[3]~11_combout\ = ((\gpio_u0|usb_debug_master_0|master|p2m|out_data\(3)) # ((!\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\))) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|sent_sop~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\,
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(3),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[3]~11_combout\);

-- Location: LCCOMB_X56_Y48_N26
\gpio_u0|usb_debug_master_0|p2b|out_data[3]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[3]~1_combout\ = (\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & (\gpio_u0|usb_debug_master_0|p2b|out_data[3]~11_combout\)) # (!\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & 
-- ((!\gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|out_data[3]~11_combout\,
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[3]~1_combout\);

-- Location: LCCOMB_X56_Y48_N14
\gpio_u0|usb_debug_master_0|p2b|out_data~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data~12_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(3)) # ((!\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(3),
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data~12_combout\);

-- Location: FF_X56_Y48_N27
\gpio_u0|usb_debug_master_0|p2b|out_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|out_data[3]~1_combout\,
	asdata => \gpio_u0|usb_debug_master_0|p2b|out_data~12_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => \gpio_u0|usb_debug_master_0|master|p2m|ALT_INV_out_startofpacket~q\,
	ena => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|out_data\(3));

-- Location: LCCOMB_X56_Y48_N24
\gpio_u0|usb_debug_master_0|fifos|usbin_wdata[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[3]~3_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & ((\gpio_u0|usb_debug_master_0|p2b|out_data\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4),
	datac => \gpio_u0|usb_debug_master_0|p2b|out_data\(3),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	combout => \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[3]~3_combout\);

-- Location: LCCOMB_X56_Y48_N6
\gpio_u0|usb_debug_master_0|p2b|out_data[4]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[4]~13_combout\ = ((\gpio_u0|usb_debug_master_0|master|p2m|out_data\(4)) # ((!\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\))) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|sent_sop~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\,
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(4),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[4]~13_combout\);

-- Location: LCCOMB_X56_Y48_N22
\gpio_u0|usb_debug_master_0|p2b|out_data[4]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[4]~2_combout\ = (\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & (\gpio_u0|usb_debug_master_0|p2b|out_data[4]~13_combout\)) # (!\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & 
-- ((!\gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|out_data[4]~13_combout\,
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[4]~2_combout\);

-- Location: LCCOMB_X56_Y48_N30
\gpio_u0|usb_debug_master_0|p2b|out_data~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data~14_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(4)) # ((!\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(4),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data~14_combout\);

-- Location: FF_X56_Y48_N23
\gpio_u0|usb_debug_master_0|p2b|out_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|out_data[4]~2_combout\,
	asdata => \gpio_u0|usb_debug_master_0|p2b|out_data~14_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => \gpio_u0|usb_debug_master_0|master|p2m|ALT_INV_out_startofpacket~q\,
	ena => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|out_data\(4));

-- Location: LCCOMB_X56_Y48_N20
\gpio_u0|usb_debug_master_0|fifos|usbin_wdata[4]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[4]~4_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(5)))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & (\gpio_u0|usb_debug_master_0|p2b|out_data\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datac => \gpio_u0|usb_debug_master_0|p2b|out_data\(4),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[4]~4_combout\);

-- Location: LCCOMB_X57_Y48_N6
\gpio_u0|usb_debug_master_0|p2b|out_data[5]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[5]~15_combout\ = ((\gpio_u0|usb_debug_master_0|p2b|always0~0_combout\) # (\gpio_u0|usb_debug_master_0|p2b|sent_esc~q\ $ (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(5)))) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|sent_sop~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\,
	datab => \gpio_u0|usb_debug_master_0|p2b|always0~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_esc~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(5),
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[5]~15_combout\);

-- Location: LCCOMB_X56_Y48_N10
\gpio_u0|usb_debug_master_0|p2b|out_data[5]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[5]~3_combout\ = (\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & (\gpio_u0|usb_debug_master_0|p2b|out_data[5]~15_combout\)) # (!\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & 
-- ((!\gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|out_data[5]~15_combout\,
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[5]~3_combout\);

-- Location: LCCOMB_X57_Y48_N12
\gpio_u0|usb_debug_master_0|p2b|out_data~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data~16_combout\ = (\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(5) $ ((\gpio_u0|usb_debug_master_0|p2b|sent_esc~q\)))) # (!\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ 
-- & ((\gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\) # (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(5) $ (\gpio_u0|usb_debug_master_0|p2b|sent_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111101101011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(5),
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datac => \gpio_u0|usb_debug_master_0|p2b|sent_esc~q\,
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data~16_combout\);

-- Location: FF_X56_Y48_N11
\gpio_u0|usb_debug_master_0|p2b|out_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|out_data[5]~3_combout\,
	asdata => \gpio_u0|usb_debug_master_0|p2b|out_data~16_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => \gpio_u0|usb_debug_master_0|master|p2m|ALT_INV_out_startofpacket~q\,
	ena => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|out_data\(5));

-- Location: LCCOMB_X56_Y48_N4
\gpio_u0|usb_debug_master_0|fifos|usbin_wdata[5]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[5]~5_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & ((\gpio_u0|usb_debug_master_0|p2b|out_data\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6),
	datad => \gpio_u0|usb_debug_master_0|p2b|out_data\(5),
	combout => \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[5]~5_combout\);

-- Location: LCCOMB_X56_Y48_N12
\gpio_u0|usb_debug_master_0|p2b|out_data[6]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[6]~17_combout\ = ((\gpio_u0|usb_debug_master_0|master|p2m|out_data\(6)) # ((!\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\))) # 
-- (!\gpio_u0|usb_debug_master_0|p2b|sent_sop~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|sent_sop~q\,
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(6),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[6]~17_combout\);

-- Location: LCCOMB_X56_Y48_N2
\gpio_u0|usb_debug_master_0|p2b|out_data[6]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[6]~4_combout\ = (\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & (\gpio_u0|usb_debug_master_0|p2b|out_data[6]~17_combout\)) # (!\gpio_u0|usb_debug_master_0|p2b|sent_channel~q\ & 
-- ((!\gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|out_data[6]~17_combout\,
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_channel_char~q\,
	datad => \gpio_u0|usb_debug_master_0|p2b|sent_channel~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[6]~4_combout\);

-- Location: LCCOMB_X56_Y48_N8
\gpio_u0|usb_debug_master_0|p2b|out_data~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data~18_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(6)) # ((!\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\ & \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(6),
	datad => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data~18_combout\);

-- Location: FF_X56_Y48_N3
\gpio_u0|usb_debug_master_0|p2b|out_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|out_data[6]~4_combout\,
	asdata => \gpio_u0|usb_debug_master_0|p2b|out_data~18_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	sload => \gpio_u0|usb_debug_master_0|master|p2m|ALT_INV_out_startofpacket~q\,
	ena => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|out_data\(6));

-- Location: LCCOMB_X55_Y48_N12
\gpio_u0|usb_debug_master_0|fifos|usbin_wdata[6]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[6]~6_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7))) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & ((\gpio_u0|usb_debug_master_0|p2b|out_data\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(7),
	datad => \gpio_u0|usb_debug_master_0|p2b|out_data\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[6]~6_combout\);

-- Location: LCCOMB_X57_Y46_N30
\gpio_u0|usb_debug_master_0|fifos|g_enable_loopback.prbs8|out_prbs[7]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|g_enable_loopback.prbs8|out_prbs[7]~0_combout\ = \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(5) $ (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4) $ 
-- (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(0),
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(5),
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(4),
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|fifo_ram|q_b\(6),
	combout => \gpio_u0|usb_debug_master_0|fifos|g_enable_loopback.prbs8|out_prbs[7]~0_combout\);

-- Location: LCCOMB_X58_Y48_N0
\gpio_u0|usb_debug_master_0|p2b|out_data[7]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|p2b|out_data[7]~19_combout\ = (\gpio_u0|usb_debug_master_0|master|p2m|out_data\(7) & (\gpio_u0|usb_debug_master_0|p2b|out_data[7]~5_combout\ & ((\gpio_u0|usb_debug_master_0|p2b|sent_eop~q\) # 
-- (!\gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|p2b|sent_eop~q\,
	datab => \gpio_u0|usb_debug_master_0|master|p2m|out_endofpacket~q\,
	datac => \gpio_u0|usb_debug_master_0|master|p2m|out_data\(7),
	datad => \gpio_u0|usb_debug_master_0|p2b|out_data[7]~5_combout\,
	combout => \gpio_u0|usb_debug_master_0|p2b|out_data[7]~19_combout\);

-- Location: FF_X58_Y48_N1
\gpio_u0|usb_debug_master_0|p2b|out_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|usb_debug_master_0|p2b|out_data[7]~19_combout\,
	clrn => \gpio_u0|usb_debug_master_0|fifos|g_cc.reset_synchroniser|altera_reset_synchronizer_int_chain_out~q\,
	ena => \gpio_u0|usb_debug_master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|usb_debug_master_0|p2b|out_data\(7));

-- Location: LCCOMB_X58_Y49_N20
\gpio_u0|usb_debug_master_0|fifos|usbin_wdata[7]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[7]~7_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & (\gpio_u0|usb_debug_master_0|fifos|g_enable_loopback.prbs8|out_prbs[7]~0_combout\)) # 
-- (!\gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1) & ((\gpio_u0|usb_debug_master_0|p2b|out_data\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_enable_loopback.prbs8|out_prbs[7]~0_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_cc.loopback_synchronizer|dreg\(1),
	datad => \gpio_u0|usb_debug_master_0|p2b|out_data\(7),
	combout => \gpio_u0|usb_debug_master_0|fifos|usbin_wdata[7]~7_combout\);

-- Location: M9K_X53_Y49_N0
\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0\ : fiftyfivenm_ram_block
-- pragma translate_off
GENERIC MAP (
	clk0_core_clock_enable => "ena0",
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	logical_ram_name => "gpio:gpio_u0|gpio_usb_debug_master_0:usb_debug_master_0|altera_usb_debug_fifos:fifos|dcfifo:g_use_dcfifo.usbin_fifo|dcfifo_dmq1:auto_generated|altsyncram_5041:fifo_ram|ALTSYNCRAM",
	mixed_port_feed_through_mode => "dont_care",
	operation_mode => "dual_port",
	port_a_address_clear => "none",
	port_a_address_width => 8,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 36,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 255,
	port_a_logical_ram_depth => 256,
	port_a_logical_ram_width => 8,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_b_address_clear => "clear1",
	port_b_address_clock => "clock1",
	port_b_address_width => 8,
	port_b_data_out_clear => "none",
	port_b_data_out_clock => "none",
	port_b_data_width => 36,
	port_b_first_address => 0,
	port_b_first_bit_number => 0,
	port_b_last_address => 255,
	port_b_logical_ram_depth => 256,
	port_b_logical_ram_width => 8,
	port_b_read_during_write_mode => "new_data_with_nbe_read",
	port_b_read_enable_clock => "clock1",
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portawe => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	portbre => VCC,
	portbaddrstall => \gpio_u0|usb_debug_master_0|fifos|ALT_INV_comb~0_wirecell_combout\,
	clk0 => \clk_50_max10~inputclkctrl_outclk\,
	clk1 => \usb_clk~inputclkctrl_outclk\,
	ena0 => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|wrptr_g1p|cntr_cout[0]~0_combout\,
	clr1 => \gpio_u0|usb_debug_master_0|fifos|g_use_i2c.i2c_slave|mgmt_reset\(0),
	portadatain => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTADATAIN_bus\,
	portaaddr => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTAADDR_bus\,
	portbaddr => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portbdataout => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbin_fifo|auto_generated|fifo_ram|ram_block11a0_PORTBDATAOUT_bus\);

-- Location: IOIBUF_X46_Y54_N22
\usb_oen~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_usb_oen,
	o => \usb_oen~input_o\);

-- Location: LCCOMB_X29_Y31_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(27) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(27) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(27)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(27),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita26~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27~COUT\);

-- Location: LCCOMB_X30_Y27_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\) # (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\)) 
-- # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux0~1_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|detect_addroffset_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|read_mem_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\);

-- Location: LCCOMB_X41_Y27_N28
\gpio_u0|master_0|transacto|p2m|writedata[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[19]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(3),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[19]~feeder_combout\);

-- Location: FF_X41_Y27_N29
\gpio_u0|master_0|transacto|p2m|writedata[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[19]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[16]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(19));

-- Location: LCCOMB_X35_Y31_N0
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[19]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(19)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(19),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[19]~feeder_combout\);

-- Location: FF_X35_Y31_N1
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[19]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(19));

-- Location: LCCOMB_X31_Y31_N24
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[19]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(19)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(19),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[19]~feeder_combout\);

-- Location: FF_X31_Y31_N25
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[19]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(19));

-- Location: LCCOMB_X30_Y31_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~41_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(19)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(27)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(27),
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(19),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~41_combout\);

-- Location: FF_X30_Y31_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~41_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(27));

-- Location: LCCOMB_X30_Y31_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[27]~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[27]~32_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(27) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(27),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[27]~32_combout\);

-- Location: FF_X29_Y31_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[27]~32_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(27));

-- Location: LCCOMB_X29_Y31_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(28) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(28) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(28) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(28),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita27~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28~COUT\);

-- Location: LCCOMB_X41_Y27_N24
\gpio_u0|master_0|transacto|p2m|writedata[20]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[20]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|fifo|out_payload\(4),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[20]~feeder_combout\);

-- Location: FF_X41_Y27_N25
\gpio_u0|master_0|transacto|p2m|writedata[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[20]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[16]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(20));

-- Location: LCCOMB_X35_Y31_N4
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[20]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[20]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(20)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(20),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[20]~feeder_combout\);

-- Location: FF_X35_Y31_N5
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[20]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(20));

-- Location: LCCOMB_X31_Y31_N0
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[20]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[20]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(20)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(20),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[20]~feeder_combout\);

-- Location: FF_X31_Y31_N1
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[20]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(20));

-- Location: LCCOMB_X31_Y31_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~37\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~37_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(20))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(28))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(20),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(28),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~37_combout\);

-- Location: FF_X31_Y31_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~37_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(28));

-- Location: LCCOMB_X30_Y31_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[28]~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[28]~28_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(28))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(28),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[28]~28_combout\);

-- Location: FF_X29_Y31_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[28]~28_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(28));

-- Location: LCCOMB_X29_Y31_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(29) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(29) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(29)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(29),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita28~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29~COUT\);

-- Location: LCCOMB_X41_Y27_N8
\gpio_u0|master_0|transacto|p2m|writedata[21]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[21]~feeder_combout\ = \gpio_u0|master_0|b2p|out_data[5]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|b2p|out_data[5]~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|writedata[21]~feeder_combout\);

-- Location: FF_X41_Y27_N9
\gpio_u0|master_0|transacto|p2m|writedata[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[21]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[16]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(21));

-- Location: LCCOMB_X34_Y27_N4
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[21]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[21]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(21)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(21),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[21]~feeder_combout\);

-- Location: FF_X34_Y27_N5
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[21]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(21));

-- Location: LCCOMB_X34_Y30_N0
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[21]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[21]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(21)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(21),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[21]~feeder_combout\);

-- Location: FF_X34_Y30_N1
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[21]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(21));

-- Location: LCCOMB_X31_Y31_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~39\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~39_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(21))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(29))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(21),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(29),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~39_combout\);

-- Location: FF_X31_Y31_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~39_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(29));

-- Location: LCCOMB_X30_Y31_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[29]~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[29]~30_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(29))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(29),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[29]~30_combout\);

-- Location: FF_X29_Y31_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[29]~30_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(29));

-- Location: LCCOMB_X29_Y31_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita30~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(30) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(30) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita30~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(30) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(30),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita29~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita30~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita30~COUT\);

-- Location: LCCOMB_X41_Y27_N6
\gpio_u0|master_0|transacto|p2m|writedata[22]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[22]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(6),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[22]~feeder_combout\);

-- Location: FF_X41_Y27_N7
\gpio_u0|master_0|transacto|p2m|writedata[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[22]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[16]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(22));

-- Location: LCCOMB_X35_Y28_N10
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[22]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[22]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(22)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(22),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[22]~feeder_combout\);

-- Location: FF_X35_Y28_N11
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[22]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(22));

-- Location: LCCOMB_X35_Y28_N4
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[22]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[22]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(22)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(22),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[22]~feeder_combout\);

-- Location: FF_X35_Y28_N5
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[22]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(22));

-- Location: LCCOMB_X30_Y31_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~40_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(22))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(30))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(22),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(30),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~40_combout\);

-- Location: FF_X30_Y31_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~40_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(30));

-- Location: LCCOMB_X30_Y31_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[30]~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[30]~31_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(30) & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(30),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[30]~31_combout\);

-- Location: FF_X29_Y31_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita30~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[30]~31_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(30));

-- Location: LCCOMB_X29_Y31_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita31~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(31) $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita30~COUT\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(31),
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita30~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita31~combout\);

-- Location: LCCOMB_X41_Y27_N12
\gpio_u0|master_0|transacto|p2m|writedata[23]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[23]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(7),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[23]~feeder_combout\);

-- Location: FF_X41_Y27_N13
\gpio_u0|master_0|transacto|p2m|writedata[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[23]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[16]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(23));

-- Location: LCCOMB_X35_Y31_N10
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[23]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[23]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(23)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(23),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[23]~feeder_combout\);

-- Location: FF_X35_Y31_N11
\gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer[23]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(23));

-- Location: LCCOMB_X32_Y31_N28
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[23]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[23]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(23)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser|clock_xer|in_data_buffer\(23),
	combout => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[23]~feeder_combout\);

-- Location: FF_X32_Y31_N29
\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer[23]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(23));

-- Location: LCCOMB_X31_Y31_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~38_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(23))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(31))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~1_combout\,
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(23),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(31),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Add4~52_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~38_combout\);

-- Location: FF_X31_Y31_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr~38_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(31));

-- Location: LCCOMB_X31_Y31_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[31]~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[31]~29_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(31))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_rollover_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(31),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[31]~29_combout\);

-- Location: FF_X29_Y31_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_comb_bita31~combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[31]~29_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit[32]~1_combout\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|comb~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(31));

-- Location: LCCOMB_X27_Y31_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[31]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[31]~11_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(31) & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(31))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(31))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(31),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(31),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[31]~11_combout\);

-- Location: LCCOMB_X27_Y31_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[26]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[26]~15_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26) & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(26))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26) & (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(26))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(26),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(26),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[26]~15_combout\);

-- Location: LCCOMB_X26_Y31_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[26]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(26) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(25) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[26]~15_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(25),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[26]~15_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(26));

-- Location: FF_X26_Y31_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(26),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(26));

-- Location: LCCOMB_X30_Y31_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[27]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[27]~16_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(27) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(27)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(27) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(27)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(27),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(27),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[27]~16_combout\);

-- Location: LCCOMB_X26_Y31_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[27]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(27) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(26) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[27]~16_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(26),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[27]~16_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(27));

-- Location: FF_X26_Y31_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(27),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(27));

-- Location: LCCOMB_X31_Y31_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[28]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[28]~10_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(28) & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(28)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(28) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(28)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(28),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(28),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[28]~10_combout\);

-- Location: LCCOMB_X26_Y31_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[28]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(28) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(27))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[28]~10_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(27),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[28]~10_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(28));

-- Location: FF_X26_Y31_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(28),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(28));

-- Location: LCCOMB_X31_Y31_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[29]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[29]~12_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(29) & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\ & 
-- ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(29)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(29) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(29))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(29),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(29),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[29]~12_combout\);

-- Location: LCCOMB_X26_Y31_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[29]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(29) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(28))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[29]~12_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(28),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[29]~12_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(29));

-- Location: FF_X26_Y31_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(29),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(29));

-- Location: LCCOMB_X30_Y31_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[30]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[30]~13_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(30) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(30)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(30) & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(30)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_addr\(30),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie~combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_add_cntr|auto_generated|counter_reg_bit\(30),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[30]~13_combout\);

-- Location: LCCOMB_X26_Y31_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[30]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(30) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(29) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[30]~13_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(29),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[30]~13_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(30));

-- Location: FF_X26_Y31_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(30),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(30));

-- Location: LCCOMB_X27_Y31_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[31]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(31) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(30))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[31]~11_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[31]~11_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(30),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(31));

-- Location: FF_X27_Y31_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d\(31),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(31));

-- Location: LCCOMB_X29_Y34_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~0_combout\);

-- Location: LCCOMB_X29_Y34_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux213_dataout~0_combout\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux213_dataout~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux213_dataout~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~1_combout\);

-- Location: LCCOMB_X29_Y34_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~1_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\);

-- Location: LCCOMB_X29_Y35_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~0_combout\);

-- Location: LCCOMB_X29_Y35_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~1_combout\);

-- Location: LCCOMB_X29_Y35_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(31))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_reg\(31),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_reg_ena~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg~0_combout\);

-- Location: FF_X29_Y35_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg~q\);

-- Location: LCCOMB_X26_Y32_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[0]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[0]~feeder_combout\);

-- Location: LCCOMB_X29_Y35_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\) # ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\ & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000111110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_rdid_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~0_combout\);

-- Location: LCCOMB_X27_Y33_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~0_combout\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_ena~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\);

-- Location: FF_X26_Y32_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(0));

-- Location: LCCOMB_X26_Y32_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(4) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[4]~24_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000111110001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[4]~24_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(4));

-- Location: FF_X26_Y32_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(4),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(4));

-- Location: LCCOMB_X25_Y32_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[8]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(8) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(4) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[8]~21_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(4),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[8]~21_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(8));

-- Location: FF_X25_Y32_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(8),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(8));

-- Location: LCCOMB_X25_Y32_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[12]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(12) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(8))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[12]~19_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[12]~19_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(8),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(12));

-- Location: FF_X25_Y32_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(12),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(12));

-- Location: LCCOMB_X25_Y32_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[16]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(16) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(12) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[16]~7_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[16]~7_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(12),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(16));

-- Location: FF_X25_Y32_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(16),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(16));

-- Location: LCCOMB_X26_Y31_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[20]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(20) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(16) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[20]~5_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(16),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[20]~5_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(20));

-- Location: FF_X26_Y31_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(20),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(20));

-- Location: LCCOMB_X26_Y31_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[24]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(24) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(20) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[24]~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(20),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[24]~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(24));

-- Location: FF_X26_Y31_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(24),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(24));

-- Location: LCCOMB_X26_Y31_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[28]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(28) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(24) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[28]~10_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(24),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[28]~10_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(28));

-- Location: FF_X26_Y31_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(28),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(28));

-- Location: LCCOMB_X29_Y35_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(28) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(28),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~0_combout\);

-- Location: LCCOMB_X30_Y35_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~0_combout\);

-- Location: LCCOMB_X29_Y35_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~1_combout\);

-- Location: FF_X29_Y35_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(0));

-- Location: LCCOMB_X31_Y34_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~0_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~1_combout\);

-- Location: FF_X31_Y34_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\);

-- Location: LCCOMB_X36_Y34_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|max_cnt_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|max_cnt_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~1_combout\);

-- Location: FF_X36_Y34_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~q\);

-- Location: FF_X31_Y34_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~q\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg2~q\);

-- Location: LCCOMB_X32_Y34_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0) $ (((VCC) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\ = 
-- CARRY(\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\ $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001110011001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0),
	datad => VCC,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X32_Y34_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2) & VCC)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2) $ (((VCC) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\)))))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\ $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\);

-- Location: LCCOMB_X32_Y34_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3) $ 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\) # (VCC))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3)) # (GND))))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\ $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\);

-- Location: FF_X32_Y34_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3));

-- Location: LCCOMB_X32_Y34_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4) & VCC)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4) $ (((VCC) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\)))))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\ $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\);

-- Location: FF_X32_Y34_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4));

-- Location: LCCOMB_X32_Y34_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5) $ 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\) # (VCC))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5)) # (GND))))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\ $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~COUT\);

-- Location: FF_X32_Y34_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5));

-- Location: LCCOMB_X32_Y34_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~COUT\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(6) & VCC)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~COUT\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(6) $ (((VCC) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\)))))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~COUT\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\ $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(6),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6~COUT\);

-- Location: FF_X32_Y34_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(6));

-- Location: LCCOMB_X32_Y34_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita7~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6~COUT\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(7) $ 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\) # (VCC))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6~COUT\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(7)) # (GND))))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita7~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\ $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(7))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(7),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita6~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita7~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita7~COUT\);

-- Location: FF_X32_Y34_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita7~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(7));

-- Location: LCCOMB_X32_Y34_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita8~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita7~COUT\ $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(8),
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita7~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita8~combout\);

-- Location: FF_X32_Y34_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita8~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(8));

-- Location: LCCOMB_X32_Y34_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~0_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(8)) # 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg2~q\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~1_combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg2~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(8),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~3_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~0_combout\);

-- Location: LCCOMB_X36_Y34_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~0_combout\);

-- Location: LCCOMB_X36_Y34_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~1_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~1_combout\);

-- Location: FF_X36_Y34_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~q\);

-- Location: LCCOMB_X31_Y34_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_rreq~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_rreq~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg2~q\ & 
-- (((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4_combout\) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_rreq~0_combout\);

-- Location: LCCOMB_X32_Y34_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\) # (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\ $ 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~q\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_rreq~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_rreq~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\);

-- Location: FF_X32_Y34_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0));

-- Location: LCCOMB_X32_Y34_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1) $ 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\) # (VCC))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1)) # (GND))))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\ $ 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\);

-- Location: FF_X32_Y34_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1));

-- Location: FF_X32_Y34_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2));

-- Location: LCCOMB_X31_Y34_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~2_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~2_combout\);

-- Location: LCCOMB_X32_Y34_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~1_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(7) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(7),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~1_combout\);

-- Location: LCCOMB_X32_Y34_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~3_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~2_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~1_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~3_combout\);

-- Location: LCCOMB_X32_Y34_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~4_combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~3_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(8) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~3_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(8),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~4_combout\);

-- Location: LCCOMB_X32_Y34_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~5_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg2~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~q\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg2~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~5_combout\);

-- Location: FF_X32_Y34_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~q\);

-- Location: LCCOMB_X32_Y35_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\ = 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\);

-- Location: LCCOMB_X32_Y34_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg2~q\) # (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|maxcnt_shift_reg2~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_non_empty~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\);

-- Location: LCCOMB_X38_Y28_N14
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[0]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[0]~feeder_combout\);

-- Location: FF_X38_Y28_N15
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(0));

-- Location: LCCOMB_X39_Y28_N14
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(0),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[0]~feeder_combout\);

-- Location: FF_X39_Y28_N15
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(0));

-- Location: LCCOMB_X36_Y28_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[0]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[0]~feeder_combout\);

-- Location: FF_X36_Y28_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[0]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(0));

-- Location: LCCOMB_X36_Y28_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~18_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(0)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~18_combout\);

-- Location: FF_X36_Y28_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~18_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][0]~q\);

-- Location: LCCOMB_X37_Y28_N20
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[8]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(8),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[8]~feeder_combout\);

-- Location: FF_X37_Y28_N21
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[8]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(8));

-- Location: LCCOMB_X37_Y28_N22
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[8]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(8),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[8]~feeder_combout\);

-- Location: FF_X37_Y28_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[8]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(8));

-- Location: LCCOMB_X36_Y28_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[8]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(8),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[8]~feeder_combout\);

-- Location: FF_X36_Y28_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[8]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(8));

-- Location: LCCOMB_X36_Y28_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~17_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(8))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(8),
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(8),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~17_combout\);

-- Location: FF_X36_Y28_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~17_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][0]~q\);

-- Location: LCCOMB_X35_Y28_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1)) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][0]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101010011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][0]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][0]~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~0_combout\);

-- Location: LCCOMB_X41_Y27_N30
\gpio_u0|master_0|transacto|p2m|writedata[28]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[28]~4_combout\ = (\gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\gpio_u0|master_0|transacto|p2m|current_byte\(0) & \gpio_u0|master_0|transacto|p2m|current_byte\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \gpio_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \gpio_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[28]~4_combout\);

-- Location: FF_X41_Y26_N27
\gpio_u0|master_0|transacto|p2m|writedata[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(0),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[28]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(24));

-- Location: LCCOMB_X37_Y26_N6
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[24]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[24]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(24)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(24),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[24]~feeder_combout\);

-- Location: FF_X37_Y26_N7
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[24]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(24));

-- Location: LCCOMB_X36_Y26_N12
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[24]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[24]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(24)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(24),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[24]~feeder_combout\);

-- Location: FF_X36_Y26_N13
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[24]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(24));

-- Location: LCCOMB_X36_Y28_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[24]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[24]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(24)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(24),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[24]~feeder_combout\);

-- Location: FF_X36_Y28_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[24]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(24));

-- Location: LCCOMB_X36_Y28_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~19_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(24))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(24))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(24),
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(24),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~19_combout\);

-- Location: FF_X36_Y28_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~19_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][0]~q\);

-- Location: LCCOMB_X37_Y28_N24
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[16]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[16]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(16),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[16]~feeder_combout\);

-- Location: FF_X37_Y28_N25
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[16]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(16));

-- Location: LCCOMB_X37_Y28_N4
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[16]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[16]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(16),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[16]~feeder_combout\);

-- Location: FF_X37_Y28_N5
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[16]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(16));

-- Location: LCCOMB_X36_Y28_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[16]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[16]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(16),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[16]~feeder_combout\);

-- Location: FF_X36_Y28_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[16]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(16));

-- Location: LCCOMB_X36_Y28_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~16_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(16)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(16)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(16),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(16),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~16_combout\);

-- Location: FF_X36_Y28_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~16_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][0]~q\);

-- Location: LCCOMB_X35_Y28_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][0]~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][0]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110011010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][0]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][0]~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~1_combout\);

-- Location: LCCOMB_X34_Y32_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~7_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux8~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~7_combout\);

-- Location: LCCOMB_X34_Y32_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~6_combout\ = ((\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0) & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1) & \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	datac => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|sector_erase_combi~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~6_combout\);

-- Location: FF_X34_Y32_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(0));

-- Location: LCCOMB_X34_Y35_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(0) $ (VCC)
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\ = 
-- CARRY(\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(0),
	datad => VCC,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X32_Y35_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_shift_bytes~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|fifo_state|b_full~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\);

-- Location: FF_X34_Y35_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(0));

-- Location: LCCOMB_X34_Y35_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\);

-- Location: FF_X34_Y35_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1));

-- Location: LCCOMB_X34_Y35_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\);

-- Location: FF_X34_Y35_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2));

-- Location: LCCOMB_X34_Y35_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\);

-- Location: FF_X34_Y35_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3));

-- Location: LCCOMB_X34_Y35_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\);

-- Location: FF_X34_Y35_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4));

-- Location: LCCOMB_X34_Y35_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(5) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(5),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~COUT\);

-- Location: FF_X34_Y35_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(5));

-- Location: LCCOMB_X34_Y35_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(6) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(6) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(6) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(6),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6~COUT\);

-- Location: FF_X34_Y35_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(6));

-- Location: LCCOMB_X34_Y35_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita7~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(7) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita7~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(7),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita6~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita7~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita7~COUT\);

-- Location: FF_X34_Y35_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita7~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(7));

-- Location: LCCOMB_X34_Y35_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita8~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita7~COUT\ $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(8),
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita7~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita8~combout\);

-- Location: FF_X34_Y35_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_comb_bita8~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(8));

-- Location: LCCOMB_X35_Y35_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0) $ (VCC)
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\ = 
-- CARRY(\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0),
	datad => VCC,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\);

-- Location: FF_X35_Y35_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0));

-- Location: LCCOMB_X35_Y35_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~1_combout\);

-- Location: LCCOMB_X35_Y35_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\);

-- Location: FF_X35_Y35_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1));

-- Location: LCCOMB_X34_Y35_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~2_combout\);

-- Location: LCCOMB_X35_Y35_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\);

-- Location: FF_X35_Y35_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2));

-- Location: LCCOMB_X35_Y35_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~3_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~3_combout\);

-- Location: LCCOMB_X35_Y35_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\);

-- Location: FF_X35_Y35_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3));

-- Location: LCCOMB_X34_Y35_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~4_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~4_combout\);

-- Location: LCCOMB_X35_Y35_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\);

-- Location: FF_X35_Y35_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4));

-- Location: LCCOMB_X34_Y35_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~5_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~5_combout\);

-- Location: LCCOMB_X35_Y35_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~COUT\);

-- Location: FF_X35_Y35_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5));

-- Location: LCCOMB_X35_Y35_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~6_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~6_combout\);

-- Location: LCCOMB_X35_Y35_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(6) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~COUT\ $ (GND))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(6) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~COUT\ & VCC))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6~COUT\ = 
-- CARRY((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(6) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(6),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6~COUT\);

-- Location: FF_X35_Y35_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(6));

-- Location: LCCOMB_X34_Y35_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~7_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~7_combout\);

-- Location: LCCOMB_X35_Y35_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita7~combout\ = 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(7) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6~COUT\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6~COUT\) # (GND)))
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita7~COUT\ = 
-- CARRY((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6~COUT\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(7),
	datad => VCC,
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita6~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita7~combout\,
	cout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita7~COUT\);

-- Location: FF_X35_Y35_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita7~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(7));

-- Location: LCCOMB_X34_Y35_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~8_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~8_combout\);

-- Location: LCCOMB_X35_Y35_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita8~combout\ = 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita7~COUT\ $ 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(8),
	cin => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita7~COUT\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita8~combout\);

-- Location: FF_X35_Y35_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita8~combout\,
	asdata => \~GND~combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(8));

-- Location: LCCOMB_X35_Y35_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~9_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg2~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(8),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~9_combout\);

-- Location: FF_X41_Y26_N19
\gpio_u0|master_0|transacto|p2m|writedata[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(1),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[28]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(25));

-- Location: LCCOMB_X37_Y26_N10
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[25]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[25]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(25)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(25),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[25]~feeder_combout\);

-- Location: FF_X37_Y26_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[25]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(25));

-- Location: LCCOMB_X36_Y26_N10
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[25]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[25]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(25)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(25),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[25]~feeder_combout\);

-- Location: FF_X36_Y26_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[25]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(25));

-- Location: LCCOMB_X35_Y30_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[25]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[25]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(25)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(25),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[25]~feeder_combout\);

-- Location: FF_X35_Y30_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[25]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(25));

-- Location: LCCOMB_X35_Y30_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~23_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(25)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(25)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(25),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(25),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~23_combout\);

-- Location: FF_X35_Y30_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~23_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][1]~q\);

-- Location: LCCOMB_X38_Y27_N12
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[17]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(17),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[17]~feeder_combout\);

-- Location: FF_X38_Y27_N13
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[17]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(17));

-- Location: LCCOMB_X38_Y30_N22
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[17]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(17),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[17]~feeder_combout\);

-- Location: FF_X38_Y30_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[17]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(17));

-- Location: LCCOMB_X35_Y30_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[17]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(17),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[17]~feeder_combout\);

-- Location: FF_X35_Y30_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[17]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(17));

-- Location: LCCOMB_X35_Y30_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~21_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(17))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(17))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(17),
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(17),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~21_combout\);

-- Location: FF_X35_Y30_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~21_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][1]~q\);

-- Location: LCCOMB_X38_Y28_N0
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[1]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(1),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[1]~feeder_combout\);

-- Location: FF_X38_Y28_N1
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(1));

-- Location: LCCOMB_X38_Y30_N10
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[1]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(1),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[1]~feeder_combout\);

-- Location: FF_X38_Y30_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(1));

-- Location: LCCOMB_X35_Y30_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[1]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[1]~feeder_combout\);

-- Location: FF_X35_Y30_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[1]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(1));

-- Location: LCCOMB_X35_Y30_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~22_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(1))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(1),
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~22_combout\);

-- Location: FF_X35_Y30_N7
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~22_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][1]~q\);

-- Location: LCCOMB_X35_Y30_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1))))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][1]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][1]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010111100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][1]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][1]~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~0_combout\);

-- Location: LCCOMB_X37_Y26_N30
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[9]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(9),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[9]~feeder_combout\);

-- Location: FF_X37_Y26_N31
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(9));

-- Location: LCCOMB_X36_Y26_N4
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[9]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(9),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[9]~feeder_combout\);

-- Location: FF_X36_Y26_N5
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(9));

-- Location: LCCOMB_X35_Y30_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[9]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(9),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[9]~feeder_combout\);

-- Location: FF_X35_Y30_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[9]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(9));

-- Location: LCCOMB_X35_Y30_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~20_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(9)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(9),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(9),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~20_combout\);

-- Location: FF_X35_Y30_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~20_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][1]~q\);

-- Location: LCCOMB_X35_Y30_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][1]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][1]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101101011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][1]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][1]~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~1_combout\);

-- Location: LCCOMB_X34_Y32_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~8_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux7~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~8_combout\);

-- Location: FF_X34_Y32_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(1));

-- Location: LCCOMB_X30_Y33_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[2]~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(8))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(8),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[2]~3_combout\);

-- Location: LCCOMB_X38_Y27_N22
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[2]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(2),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[2]~feeder_combout\);

-- Location: FF_X38_Y27_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(2));

-- Location: LCCOMB_X38_Y30_N4
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[2]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(2),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[2]~feeder_combout\);

-- Location: FF_X38_Y30_N5
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(2));

-- Location: LCCOMB_X36_Y30_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[2]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[2]~feeder_combout\);

-- Location: FF_X36_Y30_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[2]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(2));

-- Location: LCCOMB_X36_Y30_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~26_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(2)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~26_combout\);

-- Location: FF_X36_Y30_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~26_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][2]~q\);

-- Location: LCCOMB_X37_Y26_N12
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[10]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(10),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[10]~feeder_combout\);

-- Location: FF_X37_Y26_N13
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[10]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(10));

-- Location: LCCOMB_X38_Y30_N8
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[10]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(10),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[10]~feeder_combout\);

-- Location: FF_X38_Y30_N9
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[10]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(10));

-- Location: LCCOMB_X36_Y30_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[10]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(10),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[10]~feeder_combout\);

-- Location: FF_X36_Y30_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[10]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(10));

-- Location: LCCOMB_X36_Y30_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~25_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(10)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(10),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(10),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~25_combout\);

-- Location: FF_X36_Y30_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~25_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][2]~q\);

-- Location: LCCOMB_X36_Y30_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1)) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][2]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101010011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][2]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][2]~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~0_combout\);

-- Location: FF_X41_Y26_N5
\gpio_u0|master_0|transacto|p2m|writedata[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(2),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[28]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(26));

-- Location: LCCOMB_X37_Y26_N14
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[26]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[26]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(26)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(26),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[26]~feeder_combout\);

-- Location: FF_X37_Y26_N15
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[26]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(26));

-- Location: LCCOMB_X37_Y26_N22
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[26]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[26]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(26)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(26),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[26]~feeder_combout\);

-- Location: FF_X37_Y26_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[26]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(26));

-- Location: LCCOMB_X37_Y29_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[26]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[26]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(26)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(26),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[26]~feeder_combout\);

-- Location: FF_X37_Y29_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[26]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(26));

-- Location: LCCOMB_X36_Y29_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~27_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(26)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(26)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(26),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(26),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~27_combout\);

-- Location: FF_X36_Y29_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~27_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][2]~q\);

-- Location: LCCOMB_X38_Y29_N28
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[18]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[18]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(18)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(18),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[18]~feeder_combout\);

-- Location: FF_X38_Y29_N29
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[18]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(18));

-- Location: LCCOMB_X37_Y29_N30
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[18]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[18]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(18)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(18),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[18]~feeder_combout\);

-- Location: FF_X37_Y29_N31
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[18]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(18));

-- Location: LCCOMB_X37_Y29_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[18]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[18]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(18)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(18),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[18]~feeder_combout\);

-- Location: FF_X37_Y29_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[18]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(18));

-- Location: LCCOMB_X36_Y29_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~24_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(18)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(18)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(18),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(18),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~24_combout\);

-- Location: FF_X36_Y29_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~24_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][2]~q\);

-- Location: LCCOMB_X35_Y29_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][2]~q\) # ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~0_combout\ & (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][2]~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][2]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][2]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~1_combout\);

-- Location: FF_X30_Y33_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[2]~3_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux6~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|ALT_INV_WideOr0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(2));

-- Location: LCCOMB_X30_Y33_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[3]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[3]~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(9))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(9),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[3]~4_combout\);

-- Location: LCCOMB_X37_Y26_N4
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[11]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(11),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[11]~feeder_combout\);

-- Location: FF_X37_Y26_N5
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[11]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(11));

-- Location: LCCOMB_X36_Y26_N0
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[11]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(11),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[11]~feeder_combout\);

-- Location: FF_X36_Y26_N1
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[11]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(11));

-- Location: LCCOMB_X35_Y30_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[11]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(11),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[11]~feeder_combout\);

-- Location: FF_X35_Y30_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[11]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(11));

-- Location: LCCOMB_X35_Y30_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~28_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(11)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(11),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(11),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~28_combout\);

-- Location: FF_X35_Y30_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~28_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][3]~q\);

-- Location: LCCOMB_X38_Y29_N18
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[19]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(19)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(19),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[19]~feeder_combout\);

-- Location: FF_X38_Y29_N19
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[19]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(19));

-- Location: LCCOMB_X37_Y29_N2
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[19]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(19)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(19),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[19]~feeder_combout\);

-- Location: FF_X37_Y29_N3
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[19]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(19));

-- Location: LCCOMB_X37_Y29_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[19]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(19)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(19),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[19]~feeder_combout\);

-- Location: FF_X37_Y29_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[19]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(19));

-- Location: LCCOMB_X36_Y29_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~29_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(19)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(19),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(19),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~29_combout\);

-- Location: FF_X36_Y29_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~29_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][3]~q\);

-- Location: LCCOMB_X37_Y26_N18
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[3]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(3),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[3]~feeder_combout\);

-- Location: FF_X37_Y26_N19
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(3));

-- Location: LCCOMB_X37_Y26_N16
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(3),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[3]~feeder_combout\);

-- Location: FF_X37_Y26_N17
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(3));

-- Location: LCCOMB_X36_Y30_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[3]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[3]~feeder_combout\);

-- Location: FF_X36_Y30_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[3]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(3));

-- Location: LCCOMB_X36_Y30_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~30_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(3))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(3),
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~30_combout\);

-- Location: FF_X36_Y30_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~30_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][3]~q\);

-- Location: LCCOMB_X36_Y30_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1))))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][3]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][3]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010111100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][3]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][3]~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~0_combout\);

-- Location: FF_X41_Y26_N23
\gpio_u0|master_0|transacto|p2m|writedata[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(3),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[28]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(27));

-- Location: LCCOMB_X37_Y26_N8
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[27]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[27]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(27)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(27),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[27]~feeder_combout\);

-- Location: FF_X37_Y26_N9
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[27]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(27));

-- Location: LCCOMB_X36_Y26_N6
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[27]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[27]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(27)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(27),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[27]~feeder_combout\);

-- Location: FF_X36_Y26_N7
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[27]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(27));

-- Location: LCCOMB_X35_Y30_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[27]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[27]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(27)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(27),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[27]~feeder_combout\);

-- Location: FF_X35_Y30_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[27]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(27));

-- Location: LCCOMB_X35_Y30_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~31_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(27))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(27))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(27),
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(27),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~31_combout\);

-- Location: FF_X35_Y30_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~31_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][3]~q\);

-- Location: LCCOMB_X35_Y30_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][3]~q\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][3]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][3]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][3]~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~1_combout\);

-- Location: FF_X30_Y33_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[3]~4_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux5~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|ALT_INV_WideOr0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(3));

-- Location: LCCOMB_X30_Y33_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[4]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[4]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(10))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(10),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[4]~0_combout\);

-- Location: LCCOMB_X38_Y29_N4
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[20]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[20]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(20)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(20),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[20]~feeder_combout\);

-- Location: FF_X38_Y29_N5
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[20]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(20));

-- Location: LCCOMB_X37_Y29_N0
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[20]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[20]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(20)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(20),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[20]~feeder_combout\);

-- Location: FF_X37_Y29_N1
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[20]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(20));

-- Location: LCCOMB_X37_Y30_N16
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[20]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[20]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(20)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(20),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[20]~feeder_combout\);

-- Location: FF_X37_Y30_N17
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[20]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(20));

-- Location: LCCOMB_X37_Y30_N12
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~5_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(20)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(20)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(20),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(20),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~5_combout\);

-- Location: FF_X37_Y30_N13
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][4]~q\);

-- Location: LCCOMB_X38_Y28_N18
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[4]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(4),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[4]~feeder_combout\);

-- Location: FF_X38_Y28_N19
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(4));

-- Location: LCCOMB_X37_Y28_N2
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[4]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(4),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[4]~feeder_combout\);

-- Location: FF_X37_Y28_N3
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(4));

-- Location: LCCOMB_X37_Y30_N20
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[4]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[4]~feeder_combout\);

-- Location: FF_X37_Y30_N21
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[4]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(4));

-- Location: LCCOMB_X37_Y30_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~6_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(4))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(4),
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~6_combout\);

-- Location: FF_X37_Y30_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][4]~q\);

-- Location: LCCOMB_X37_Y30_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1))))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][4]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][4]~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001111100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][4]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][4]~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~0_combout\);

-- Location: FF_X41_Y26_N3
\gpio_u0|master_0|transacto|p2m|writedata[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \gpio_u0|master_0|fifo|out_payload\(4),
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[28]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(28));

-- Location: LCCOMB_X40_Y23_N6
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[28]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[28]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(28)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(28),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[28]~feeder_combout\);

-- Location: FF_X40_Y23_N7
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[28]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(28));

-- Location: LCCOMB_X40_Y23_N24
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[28]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[28]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(28)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(28),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[28]~feeder_combout\);

-- Location: FF_X40_Y23_N25
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[28]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(28));

-- Location: LCCOMB_X37_Y30_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[28]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[28]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(28)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(28),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[28]~feeder_combout\);

-- Location: FF_X37_Y30_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[28]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(28));

-- Location: LCCOMB_X37_Y30_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~7_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(28)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(28)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(28),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(28),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~7_combout\);

-- Location: FF_X37_Y30_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~7_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][4]~q\);

-- Location: LCCOMB_X38_Y29_N12
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[12]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(12),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[12]~feeder_combout\);

-- Location: FF_X38_Y29_N13
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[12]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(12));

-- Location: LCCOMB_X37_Y29_N10
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[12]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(12),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[12]~feeder_combout\);

-- Location: FF_X37_Y29_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[12]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(12));

-- Location: LCCOMB_X37_Y29_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[12]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(12),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[12]~feeder_combout\);

-- Location: FF_X37_Y29_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[12]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(12));

-- Location: LCCOMB_X36_Y29_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(12)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(12)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(12),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(12),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~4_combout\);

-- Location: FF_X36_Y29_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~4_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][4]~q\);

-- Location: LCCOMB_X37_Y30_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][4]~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][4]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110011010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][4]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][4]~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~1_combout\);

-- Location: FF_X30_Y33_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[4]~0_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux4~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|ALT_INV_WideOr0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(4));

-- Location: LCCOMB_X30_Y33_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[5]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[5]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(12))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(12),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[5]~1_combout\);

-- Location: LCCOMB_X41_Y27_N0
\gpio_u0|master_0|transacto|p2m|writedata[29]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[29]~feeder_combout\ = \gpio_u0|master_0|b2p|out_data[5]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|b2p|out_data[5]~0_combout\,
	combout => \gpio_u0|master_0|transacto|p2m|writedata[29]~feeder_combout\);

-- Location: FF_X41_Y27_N1
\gpio_u0|master_0|transacto|p2m|writedata[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[29]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[28]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(29));

-- Location: LCCOMB_X37_Y28_N28
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[29]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[29]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(29)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(29),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[29]~feeder_combout\);

-- Location: FF_X37_Y28_N29
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[29]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(29));

-- Location: LCCOMB_X37_Y28_N26
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[29]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[29]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(29)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(29),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[29]~feeder_combout\);

-- Location: FF_X37_Y28_N27
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[29]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(29));

-- Location: LCCOMB_X36_Y28_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[29]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[29]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(29)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(29),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[29]~feeder_combout\);

-- Location: FF_X36_Y28_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[29]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(29));

-- Location: LCCOMB_X36_Y28_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~11_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(29))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(29))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(29),
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(29),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~11_combout\);

-- Location: FF_X36_Y28_N19
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~11_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][5]~q\);

-- Location: LCCOMB_X34_Y27_N30
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[21]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[21]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(21)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(21),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[21]~feeder_combout\);

-- Location: FF_X34_Y27_N31
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[21]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(21));

-- Location: LCCOMB_X35_Y26_N28
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[21]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[21]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(21)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(21),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[21]~feeder_combout\);

-- Location: FF_X35_Y26_N29
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[21]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(21));

-- Location: LCCOMB_X36_Y28_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[21]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[21]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(21)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(21),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[21]~feeder_combout\);

-- Location: FF_X36_Y28_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[21]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(21));

-- Location: LCCOMB_X36_Y28_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~8_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(21))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(21))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(21),
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(21),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~8_combout\);

-- Location: FF_X36_Y28_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~8_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][5]~q\);

-- Location: LCCOMB_X37_Y28_N30
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[5]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(5),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[5]~feeder_combout\);

-- Location: FF_X37_Y28_N31
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(5));

-- Location: LCCOMB_X37_Y28_N6
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[5]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(5),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[5]~feeder_combout\);

-- Location: FF_X37_Y28_N7
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(5));

-- Location: LCCOMB_X36_Y28_N8
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[5]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(5),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[5]~feeder_combout\);

-- Location: FF_X36_Y28_N9
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[5]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(5));

-- Location: LCCOMB_X36_Y28_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~10_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(5)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(5),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(5),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~10_combout\);

-- Location: FF_X36_Y28_N7
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~10_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][5]~q\);

-- Location: LCCOMB_X37_Y28_N16
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[13]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(13),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[13]~feeder_combout\);

-- Location: FF_X37_Y28_N17
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[13]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(13));

-- Location: LCCOMB_X37_Y28_N0
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[13]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(13),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[13]~feeder_combout\);

-- Location: FF_X37_Y28_N1
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[13]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(13));

-- Location: FF_X36_Y28_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(13),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(13));

-- Location: LCCOMB_X36_Y28_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~9_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(13)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(13),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(13),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~9_combout\);

-- Location: FF_X36_Y29_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][5]~q\);

-- Location: LCCOMB_X35_Y29_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0))))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][5]~q\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][5]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][5]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][5]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~0_combout\);

-- Location: LCCOMB_X35_Y29_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][5]~q\) # ((!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~0_combout\ & (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][5]~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][5]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][5]~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~1_combout\);

-- Location: FF_X30_Y33_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[5]~1_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux3~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|ALT_INV_WideOr0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(5));

-- Location: LCCOMB_X30_Y33_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[6]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[6]~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ & 
-- (\gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(11))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser|clock_xer|out_data_buffer\(11),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(6),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Equal6~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[6]~2_combout\);

-- Location: LCCOMB_X41_Y27_N22
\gpio_u0|master_0|transacto|p2m|writedata[30]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[30]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(6),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[30]~feeder_combout\);

-- Location: FF_X41_Y27_N23
\gpio_u0|master_0|transacto|p2m|writedata[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[30]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[28]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(30));

-- Location: LCCOMB_X40_Y28_N24
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[30]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[30]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(30)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(30),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[30]~feeder_combout\);

-- Location: FF_X40_Y28_N25
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[30]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(30));

-- Location: LCCOMB_X40_Y28_N12
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[30]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[30]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(30)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(30),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[30]~feeder_combout\);

-- Location: FF_X40_Y28_N13
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[30]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(30));

-- Location: LCCOMB_X37_Y30_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[30]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[30]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(30)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(30),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[30]~feeder_combout\);

-- Location: FF_X37_Y30_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[30]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(30));

-- Location: LCCOMB_X37_Y30_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~15_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(30)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(30)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(30),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(30),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~15_combout\);

-- Location: FF_X37_Y30_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~15_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][6]~q\);

-- Location: LCCOMB_X38_Y29_N10
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[14]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(14),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[14]~feeder_combout\);

-- Location: FF_X38_Y29_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[14]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(14));

-- Location: LCCOMB_X37_Y29_N8
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[14]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(14),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[14]~feeder_combout\);

-- Location: FF_X37_Y29_N9
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[14]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(14));

-- Location: LCCOMB_X37_Y29_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[14]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(14),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[14]~feeder_combout\);

-- Location: FF_X37_Y29_N15
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[14]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(14));

-- Location: LCCOMB_X36_Y29_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~12_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(14)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(14)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(14),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(14),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~12_combout\);

-- Location: FF_X36_Y29_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~12_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][6]~q\);

-- Location: LCCOMB_X40_Y28_N10
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[6]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(6),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[6]~feeder_combout\);

-- Location: FF_X40_Y28_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(6));

-- Location: LCCOMB_X40_Y28_N22
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[6]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(6),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[6]~feeder_combout\);

-- Location: FF_X40_Y28_N23
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(6));

-- Location: LCCOMB_X37_Y30_N4
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[6]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[6]~feeder_combout\);

-- Location: FF_X37_Y30_N5
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[6]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(6));

-- Location: LCCOMB_X37_Y30_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~14_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(6)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(6),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(6),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~14_combout\);

-- Location: FF_X37_Y30_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~14_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][6]~q\);

-- Location: LCCOMB_X40_Y28_N16
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[22]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[22]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(22)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(22),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[22]~feeder_combout\);

-- Location: FF_X40_Y28_N17
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[22]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(22));

-- Location: FF_X40_Y30_N11
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(22),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(22));

-- Location: LCCOMB_X37_Y30_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[22]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[22]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(22)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(22),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[22]~feeder_combout\);

-- Location: FF_X37_Y30_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[22]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(22));

-- Location: LCCOMB_X37_Y30_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~13_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(22)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(22)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(22),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(22),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~13_combout\);

-- Location: FF_X37_Y30_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~13_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][6]~q\);

-- Location: LCCOMB_X37_Y30_N18
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0)) # (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][6]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][6]~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][6]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][6]~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~0_combout\);

-- Location: LCCOMB_X37_Y30_N10
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][6]~q\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][6]~q\))))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][6]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][6]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~1_combout\);

-- Location: FF_X30_Y33_N11
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[6]~2_combout\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux2~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|ALT_INV_WideOr0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(6));

-- Location: LCCOMB_X37_Y26_N24
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[23]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[23]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(23)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|master_0|transacto|p2m|writedata\(23),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[23]~feeder_combout\);

-- Location: FF_X37_Y26_N25
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[23]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(23));

-- Location: LCCOMB_X36_Y26_N8
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[23]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[23]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(23)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(23),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[23]~feeder_combout\);

-- Location: FF_X36_Y26_N9
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[23]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(23));

-- Location: FF_X36_Y30_N29
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(23),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(23));

-- Location: LCCOMB_X36_Y30_N28
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(23)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(23)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(23),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(23),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~0_combout\);

-- Location: LCCOMB_X35_Y30_N30
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][7]~feeder_combout\ = \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][7]~feeder_combout\);

-- Location: FF_X35_Y30_N31
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][7]~q\);

-- Location: LCCOMB_X38_Y29_N8
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[7]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(7),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[7]~feeder_combout\);

-- Location: FF_X38_Y29_N9
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(7));

-- Location: LCCOMB_X37_Y29_N6
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[7]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(7),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[7]~feeder_combout\);

-- Location: FF_X37_Y29_N7
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(7));

-- Location: LCCOMB_X37_Y29_N22
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[7]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[7]~feeder_combout\);

-- Location: FF_X37_Y29_N23
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[7]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(7));

-- Location: LCCOMB_X36_Y29_N2
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(7))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(7),
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~2_combout\);

-- Location: FF_X36_Y29_N3
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][7]~q\);

-- Location: LCCOMB_X35_Y25_N2
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[15]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(15),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[15]~feeder_combout\);

-- Location: FF_X35_Y25_N3
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[15]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(15));

-- Location: LCCOMB_X35_Y25_N12
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[15]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(15),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[15]~feeder_combout\);

-- Location: FF_X35_Y25_N13
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[15]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(15));

-- Location: LCCOMB_X36_Y28_N0
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[15]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(15),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[15]~feeder_combout\);

-- Location: FF_X36_Y28_N1
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[15]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(15));

-- Location: LCCOMB_X36_Y29_N6
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(15))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(15))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(15),
	datac => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(15),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~1_combout\);

-- Location: FF_X36_Y29_N7
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][7]~q\);

-- Location: LCCOMB_X35_Y29_N14
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & 
-- (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0))))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][7]~q\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0) & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][7]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[0][7]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[1][7]~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~0_combout\);

-- Location: LCCOMB_X41_Y27_N20
\gpio_u0|master_0|transacto|p2m|writedata[31]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|master_0|transacto|p2m|writedata[31]~feeder_combout\ = \gpio_u0|master_0|fifo|out_payload\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|fifo|out_payload\(7),
	combout => \gpio_u0|master_0|transacto|p2m|writedata[31]~feeder_combout\);

-- Location: FF_X41_Y27_N21
\gpio_u0|master_0|transacto|p2m|writedata[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|master_0|transacto|p2m|writedata[31]~feeder_combout\,
	clrn => \gpio_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|master_0|transacto|p2m|writedata[28]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|master_0|transacto|p2m|writedata\(31));

-- Location: LCCOMB_X38_Y27_N26
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[31]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[31]~feeder_combout\ = \gpio_u0|master_0|transacto|p2m|writedata\(31)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|master_0|transacto|p2m|writedata\(31),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[31]~feeder_combout\);

-- Location: FF_X38_Y27_N27
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer[31]~feeder_combout\,
	clrn => \gpio_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|take_in_data~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(31));

-- Location: LCCOMB_X37_Y29_N20
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[31]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[31]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(31)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|in_data_buffer\(31),
	combout => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[31]~feeder_combout\);

-- Location: FF_X37_Y29_N21
\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer[31]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(31));

-- Location: LCCOMB_X37_Y29_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[31]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[31]~feeder_combout\ = \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(31)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(31),
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[31]~feeder_combout\);

-- Location: FF_X37_Y29_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata[31]~feeder_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|always1~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(31));

-- Location: LCCOMB_X36_Y29_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(31)))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\ & 
-- (\gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(31)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|mm_interconnect_0|crosser_001|clock_xer|out_data_buffer\(31),
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|mem_wrdata\(31),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|back_pressured_ctrl~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~3_combout\);

-- Location: FF_X36_Y29_N27
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|temp_mem_wrdata~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|write_mem_combi~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][7]~q\);

-- Location: LCCOMB_X35_Y29_N26
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][7]~q\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][7]~q\)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1) & (((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[2][7]~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_cnt\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|wr_data_reg[3][7]~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~1_combout\);

-- Location: LCCOMB_X34_Y32_N24
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~5_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|WideOr0~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|Mux1~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~5_combout\);

-- Location: FF_X34_Y32_N25
\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~5_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(7));

-- Location: M9K_X33_Y35_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0\ : fiftyfivenm_ram_block
-- pragma translate_off
GENERIC MAP (
	clk0_core_clock_enable => "ena0",
	clk1_core_clock_enable => "ena1",
	clk1_input_clock_enable => "ena1",
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	logical_ram_name => "gpio:gpio_u0|gpio_generic_quad_spi_controller_0:generic_quad_spi_controller_0|gpio_generic_quad_spi_controller_0_asmi_parallel_instance_name:asmi_parallel_inst|gpio_generic_quad_spi_controller_0_asmi_parallel_instance_name_asmi_parallel_instance_name:asmi_parallel_instance_name|scfifo:scfifo13|scfifo_pol:auto_generated|a_dpfifo_0mr:dpfifo|altsyncram_ovl1:FIFOram|ALTSYNCRAM",
	mixed_port_feed_through_mode => "dont_care",
	operation_mode => "dual_port",
	port_a_address_clear => "none",
	port_a_address_width => 9,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 18,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 511,
	port_a_logical_ram_depth => 258,
	port_a_logical_ram_width => 8,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_b_address_clear => "none",
	port_b_address_clock => "clock1",
	port_b_address_width => 9,
	port_b_data_out_clear => "none",
	port_b_data_out_clock => "none",
	port_b_data_width => 18,
	port_b_first_address => 0,
	port_b_first_bit_number => 0,
	port_b_last_address => 511,
	port_b_logical_ram_depth => 258,
	port_b_logical_ram_width => 8,
	port_b_read_during_write_mode => "new_data_with_nbe_read",
	port_b_read_enable_clock => "clock1",
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portawe => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\,
	portbre => VCC,
	clk0 => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	clk1 => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	ena0 => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|valid_wreq~0_combout\,
	ena1 => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|_~0_combout\,
	portadatain => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTADATAIN_bus\,
	portaaddr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTAADDR_bus\,
	portbaddr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portbdataout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\);

-- Location: LCCOMB_X32_Y35_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(0) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(0));

-- Location: LCCOMB_X32_Y35_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\) # (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shftpgwr_data_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0_combout\);

-- Location: FF_X32_Y35_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(0),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(0));

-- Location: LCCOMB_X32_Y35_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[4]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[4]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(4))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(0),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[4]~0_combout\);

-- Location: FF_X32_Y35_N9
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[4]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(4));

-- Location: LCCOMB_X30_Y35_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(4) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(4),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~1_combout\);

-- Location: LCCOMB_X31_Y33_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~2_combout\);

-- Location: LCCOMB_X31_Y33_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1) & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|gen_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_rbyte_reg~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\);

-- Location: FF_X32_Y33_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	asdata => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\);

-- Location: LCCOMB_X32_Y33_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0));

-- Location: FF_X34_Y33_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[7]_OTERM3\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(7));

-- Location: LCCOMB_X31_Y34_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_erase~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0_combout\);

-- Location: LCCOMB_X32_Y33_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[6]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[6]~5_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[6]~5_combout\);

-- Location: LCCOMB_X31_Y32_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~2_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~2_combout\);

-- Location: LCCOMB_X32_Y33_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~8_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~2_combout\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_buf~2_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~8_combout\);

-- Location: LCCOMB_X31_Y34_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~12_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_nonvdummyclk_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~12_combout\);

-- Location: LCCOMB_X31_Y34_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~13_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4_combout\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~12_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~12_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~4_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~13_combout\);

-- Location: LCCOMB_X31_Y34_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~19_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010101011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~19_combout\);

-- Location: LCCOMB_X32_Y33_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\);

-- Location: LCCOMB_X32_Y33_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~17_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_polling~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~17_combout\);

-- Location: LCCOMB_X32_Y33_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~20_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~19_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~17_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~19_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~17_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~20_combout\);

-- Location: FF_X32_Y33_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~20_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(0));

-- Location: LCCOMB_X31_Y34_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[1]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[1]~17_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~12_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111111011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~12_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_4baddr~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[1]~17_combout\);

-- Location: LCCOMB_X32_Y33_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[1]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[1]~18_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[1]~17_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(0) & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[1]~17_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[1]~18_combout\);

-- Location: FF_X32_Y33_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[1]~18_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(1));

-- Location: LCCOMB_X32_Y33_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[2]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[2]~15_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~17_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~17_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wren~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[2]~15_combout\);

-- Location: LCCOMB_X32_Y33_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[2]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[2]~16_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[2]~15_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(1) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[2]~15_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[2]~16_combout\);

-- Location: FF_X32_Y33_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[2]~16_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(2));

-- Location: LCCOMB_X32_Y33_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~14_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~13_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(2) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~13_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~14_combout\);

-- Location: FF_X32_Y33_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[3]~14_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(3));

-- Location: LCCOMB_X32_Y33_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[4]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[4]~10_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(3) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(3),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[4]~10_combout\);

-- Location: LCCOMB_X32_Y33_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[4]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[4]~11_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[4]~10_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~8_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_rdid_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~8_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[4]~10_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[4]~11_combout\);

-- Location: FF_X32_Y33_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[4]~11_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(4));

-- Location: LCCOMB_X32_Y33_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~7_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(4) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(4),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~7_combout\);

-- Location: LCCOMB_X32_Y33_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~9_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~7_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~8_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~7_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~8_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~9_combout\);

-- Location: FF_X32_Y33_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[5]~9_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(5));

-- Location: LCCOMB_X32_Y33_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[6]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[6]~6_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[6]~5_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(5) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[6]~5_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[6]~6_combout\);

-- Location: FF_X32_Y33_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[6]~6_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(6));

-- Location: LCCOMB_X32_Y33_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(6))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\ & 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|load_opcode~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_wire~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|shift_op_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~2_combout\);

-- Location: LCCOMB_X34_Y33_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~2_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0_combout\) # (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~2_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~3_combout\);

-- Location: LCCOMB_X34_Y33_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[7]_NEW2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[7]_OTERM3\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~3_combout\))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_ena\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg\(7),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_asmi_opcode_reg_d[7]~3_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[7]_OTERM3\);

-- Location: LCCOMB_X34_Y33_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0) & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1) 
-- & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~0_combout\);

-- Location: FF_X34_Y33_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg~q\);

-- Location: LCCOMB_X34_Y33_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(0) = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(0));

-- Location: LCCOMB_X34_Y33_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|spstage_cntr|auto_generated|dffe2a\(0),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~1_combout\);

-- Location: LCCOMB_X34_Y33_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena\(0) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~1_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_wren~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena\(0));

-- Location: FF_X34_Y33_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(0),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(0));

-- Location: LCCOMB_X34_Y33_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(1) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(0) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(1))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(1));

-- Location: FF_X34_Y33_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(1),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(1));

-- Location: LCCOMB_X34_Y33_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(2) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(1) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(2))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(1) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(1),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(2));

-- Location: FF_X34_Y33_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(2),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(2));

-- Location: LCCOMB_X34_Y33_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(3) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(2)) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(3))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(3));

-- Location: FF_X34_Y33_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(3),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(3));

-- Location: LCCOMB_X34_Y33_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(4) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(3)) # ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(4) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(4) & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(4),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(3),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(4));

-- Location: FF_X34_Y33_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(4),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(4));

-- Location: LCCOMB_X34_Y33_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(5) = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(5) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(4))))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(5) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(5),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(4),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(5));

-- Location: FF_X34_Y33_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(5),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(5));

-- Location: LCCOMB_X34_Y33_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(6) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(5)) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(6))))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(6));

-- Location: FF_X34_Y33_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(6),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(6));

-- Location: LCCOMB_X34_Y33_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(7) = (\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(7) & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(6))))) # (!\gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(7) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|epcq_controller_inst|epcq_controller_instance_name|controller|asmi_datain\(7),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|busy_det_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(6),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(7));

-- Location: FF_X34_Y33_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_d\(7),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_secprot_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(7));

-- Location: LCCOMB_X34_Y33_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~0_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(7)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~0_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_wrstat_dreg_ena~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wrstat_dreg\(7),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg~0_combout\);

-- Location: LCCOMB_X34_Y33_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg~0_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[7]_OTERM3\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~2_combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[7]_OTERM3\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~6_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_opcode_reg[7]_OTERM3\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_wire~2_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|streg_datain_reg~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~0_combout\);

-- Location: FF_X34_Y33_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~0_NEW_REG12\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~0_OTERM13\);

-- Location: LCCOMB_X30_Y35_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~0_OTERM13\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_OTERM25\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~1_combout\ & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_OTERM25\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~0_OTERM13\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~2_combout\);

-- Location: LCCOMB_X30_Y35_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\ & (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~0_combout\);

-- Location: LCCOMB_X30_Y35_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\) # ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~0_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\);

-- Location: LCCOMB_X29_Y35_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin\(0) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~2_combout\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(0)))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[0]~2_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin\(0));

-- Location: LCCOMB_X29_Y36_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_dataoe[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_dataoe\(0) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\) # 
-- ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_dataoe\(0));

-- Location: LCCOMB_X30_Y35_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_datain~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_datain~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_OTERM25\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\ & (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_OTERM25\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_write~0_OTERM17\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_datain~0_combout\);

-- Location: FF_X27_Y32_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[1]~28_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(1));

-- Location: LCCOMB_X27_Y32_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(5) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(1) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[5]~25_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[5]~25_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(5));

-- Location: FF_X27_Y32_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(5),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(5));

-- Location: LCCOMB_X27_Y32_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[9]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(9) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(5))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[9]~22_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[9]~22_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(9));

-- Location: FF_X27_Y32_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(9),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(9));

-- Location: LCCOMB_X27_Y32_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[13]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(13) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(9) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[13]~18_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(9),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[13]~18_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(13));

-- Location: FF_X27_Y32_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(13),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(13));

-- Location: LCCOMB_X27_Y32_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[17]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(17) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(13))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[17]~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[17]~4_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(13),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(17));

-- Location: FF_X27_Y32_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(17),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(17));

-- Location: LCCOMB_X27_Y32_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[21]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(21) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(17))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[21]~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[21]~2_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(17),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(21));

-- Location: FF_X27_Y32_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(21),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(21));

-- Location: LCCOMB_X27_Y32_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[25]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(25) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(21))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[25]~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[25]~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(21),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(25));

-- Location: FF_X27_Y32_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(25),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(25));

-- Location: LCCOMB_X27_Y32_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[29]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(29) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(25) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[29]~12_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(25),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[29]~12_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(29));

-- Location: FF_X27_Y32_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(29),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(29));

-- Location: LCCOMB_X29_Y35_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(29) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(29),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~1_combout\);

-- Location: FF_X29_Y35_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(1));

-- Location: LCCOMB_X32_Y35_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(1) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(1) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(1));

-- Location: FF_X32_Y35_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(1),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(1));

-- Location: LCCOMB_X32_Y35_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[5]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[5]~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(5))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[5]~1_combout\);

-- Location: FF_X32_Y35_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[5]~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(5));

-- Location: LCCOMB_X29_Y35_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin\(1) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_datain~0_combout\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(5)) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(1) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\)))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_datain~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(1) & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_datain~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(1),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(5),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin\(1));

-- Location: LCCOMB_X29_Y35_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|inout_wire~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|inout_wire~0_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\ & ((!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_read_dout_quad_reg_ena[0]~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_read_stat~1_OTERM29\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|inout_wire~0_combout\);

-- Location: LCCOMB_X26_Y32_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(2) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[2]~29_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[2]~29_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(2));

-- Location: FF_X26_Y32_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(2),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(2));

-- Location: LCCOMB_X26_Y32_N12
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(6) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(2) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[6]~26_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[6]~26_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(6));

-- Location: FF_X26_Y32_N13
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(6),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(6));

-- Location: LCCOMB_X26_Y32_N18
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[10]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(10) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(6) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[10]~23_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(6),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[10]~23_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(10));

-- Location: FF_X26_Y32_N19
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(10),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(10));

-- Location: LCCOMB_X25_Y32_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[14]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(14) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(10))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[14]~17_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[14]~17_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(10),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(14));

-- Location: FF_X25_Y32_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(14),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(14));

-- Location: LCCOMB_X25_Y32_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[18]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(18) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(14))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[18]~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[18]~8_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(14),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(18));

-- Location: FF_X25_Y32_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(18),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(18));

-- Location: LCCOMB_X26_Y31_N10
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[22]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(22) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(18))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[22]~6_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(18),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[22]~6_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(22));

-- Location: FF_X26_Y31_N11
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(22),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(22));

-- Location: LCCOMB_X26_Y31_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[26]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(26) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(22) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[26]~15_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(22),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[26]~15_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(26));

-- Location: FF_X26_Y31_N29
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(26),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(26));

-- Location: LCCOMB_X26_Y31_N0
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[30]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(30) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(26) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[30]~13_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(26),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[30]~13_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(30));

-- Location: FF_X26_Y31_N1
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(30),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(30));

-- Location: LCCOMB_X29_Y35_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(30) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(30),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~2_combout\);

-- Location: FF_X29_Y35_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(2));

-- Location: LCCOMB_X32_Y35_N4
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(2) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(2) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(2));

-- Location: FF_X32_Y35_N5
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(2),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(2));

-- Location: LCCOMB_X32_Y35_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[6]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[6]~2_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(6))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(6),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(2),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[6]~2_combout\);

-- Location: FF_X32_Y35_N25
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[6]~2_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(6));

-- Location: LCCOMB_X30_Y35_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(6)) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(6),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~3_combout\);

-- Location: LCCOMB_X30_Y35_N8
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~4_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~3_combout\) # 
-- (((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_OTERM25\)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~3_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_OTERM25\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~4_combout\);

-- Location: LCCOMB_X29_Y33_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1) & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(0),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(1),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~0_combout\);

-- Location: LCCOMB_X29_Y33_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~1_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~0_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\ & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~0_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_fast_read~0_OTERM15\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addbyte_cntr|auto_generated|dffe2a\(2),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~1_combout\);

-- Location: LCCOMB_X29_Y35_N28
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~5_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~4_combout\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~1_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(2)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(2),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~4_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~1_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[2]~5_combout\);

-- Location: LCCOMB_X26_Y32_N26
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(3) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[3]~30_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[3]~30_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(3));

-- Location: FF_X26_Y32_N27
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(3),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(3));

-- Location: LCCOMB_X26_Y32_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(7) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(3) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[7]~27_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(3),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[7]~27_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(7));

-- Location: FF_X26_Y32_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(7),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(7));

-- Location: LCCOMB_X25_Y32_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[11]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(11) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(7) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[11]~20_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[11]~20_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(7),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(11));

-- Location: FF_X25_Y32_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(11),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(11));

-- Location: LCCOMB_X25_Y32_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[15]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(15) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(11))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[15]~14_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[15]~14_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(11),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(15));

-- Location: FF_X25_Y32_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(15),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(15));

-- Location: LCCOMB_X25_Y32_N2
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[19]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(19) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(15))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[19]~9_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[19]~9_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(15),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(19));

-- Location: FF_X25_Y32_N3
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(19),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(19));

-- Location: LCCOMB_X25_Y32_N30
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[23]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(23) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\ & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(19))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[23]~3_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[23]~3_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(19),
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(23));

-- Location: FF_X25_Y32_N31
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(23),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(23));

-- Location: LCCOMB_X26_Y31_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[27]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(27) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(23) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[27]~16_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(23),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[27]~16_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(27));

-- Location: FF_X26_Y31_N23
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(27),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(27));

-- Location: LCCOMB_X26_Y31_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d[31]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(31) = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(27) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\)) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[31]~11_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(27),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage3_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_addr_reg_d[31]~11_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(31));

-- Location: FF_X26_Y31_N17
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_d\(31),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_quad_addr_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(31));

-- Location: LCCOMB_X29_Y35_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(31) & 
-- !\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|quad_addr_reg\(31),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_addmsb_wire~combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~3_combout\);

-- Location: FF_X29_Y35_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_add_msb_quad_reg_ena[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(3));

-- Location: LCCOMB_X32_Y35_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(3) = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(3) & 
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(3));

-- Location: FF_X32_Y35_N21
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d\(3),
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(3));

-- Location: LCCOMB_X32_Y35_N14
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[7]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[7]~3_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(7))) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\ & 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|scfifo13|auto_generated|dpfifo|FIFOram|q_b\(7),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(3),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|read_bufdly_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[7]~3_combout\);

-- Location: FF_X32_Y35_N15
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_d[7]~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|clr_write_reg~q\,
	ena => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_pgwrbuf_quad_dataout_ena[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(7));

-- Location: LCCOMB_X30_Y35_N24
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~6_combout\ = ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\) # (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\))) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage4_reg~q\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|fast_read_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|sec_prot_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|write_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~6_combout\);

-- Location: LCCOMB_X30_Y35_N20
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~7_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(7)) # 
-- ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~6_combout\) # ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_OTERM25\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|pgwrbuf_quad_dataout\(7),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~6_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_sec_prot~0_OTERM21\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|do_wrmemadd_reg~0_OTERM25\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~7_combout\);

-- Location: LCCOMB_X30_Y35_N16
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~8_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~1_combout\ & 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~7_combout\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(3)) # 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|add_msb_quad_reg\(3),
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|datain_wire~1_combout\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|wire_mux214a_dataout~1_combout\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~7_combout\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|asmi_sdoin[3]~8_combout\);

-- Location: LCCOMB_X50_Y46_N24
\gpio_u0|usb_debug_master_0|fifos|LessThan0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|LessThan0~1_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~8_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~10_combout\ & 
-- ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~0_combout\) # (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~0_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~8_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~2_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~10_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|LessThan0~1_combout\);

-- Location: LCCOMB_X50_Y46_N26
\gpio_u0|usb_debug_master_0|fifos|LessThan0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|LessThan0~0_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~6_combout\ & (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~12_combout\ & 
-- \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~14_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~6_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~12_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~14_combout\,
	combout => \gpio_u0|usb_debug_master_0|fifos|LessThan0~0_combout\);

-- Location: LCCOMB_X50_Y46_N22
\gpio_u0|usb_debug_master_0|fifos|LessThan0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|usb_debug_master_0|fifos|LessThan0~2_combout\ = (\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0)) # ((\gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~4_combout\ & 
-- (\gpio_u0|usb_debug_master_0|fifos|LessThan0~1_combout\ & \gpio_u0|usb_debug_master_0|fifos|LessThan0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|op_1~4_combout\,
	datab => \gpio_u0|usb_debug_master_0|fifos|LessThan0~1_combout\,
	datac => \gpio_u0|usb_debug_master_0|fifos|LessThan0~0_combout\,
	datad => \gpio_u0|usb_debug_master_0|fifos|g_use_dcfifo.usbout_fifo|auto_generated|wrfull_reg|dffe17a\(0),
	combout => \gpio_u0|usb_debug_master_0|fifos|LessThan0~2_combout\);

-- Location: LCCOMB_X29_Y33_N22
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~0_combout\ = (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0) & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1) & \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(0),
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|stage_cntr|auto_generated|dffe2a\(1),
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end1_cyc_reg2~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~0_combout\);

-- Location: LCCOMB_X29_Y33_N6
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~1_combout\ = (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_delay_reg~q\ & 
-- (!\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\ & ((\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~0_combout\) # 
-- (\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~0_combout\,
	datab => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|addr_overdie_delay_reg~q\,
	datac => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~q\,
	datad => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|end_op_reg~q\,
	combout => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~1_combout\);

-- Location: FF_X29_Y33_N7
\gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|ALT_INV_wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~1_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|generic_quad_spi_controller_0|asmi_parallel_inst|asmi_parallel_instance_name|ncs_reg~q\);

-- Location: LCCOMB_X51_Y53_N18
\spi_master_dac|slave[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|slave[0]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \spi_master_dac|slave[0]~feeder_combout\);

-- Location: FF_X51_Y53_N19
\spi_master_dac|slave[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|slave[0]~feeder_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|slave\(0));

-- Location: LCCOMB_X46_Y53_N4
\spi_master_dac|ss_n~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|ss_n~1_combout\ = (\spi_master_dac|ss_n~0_combout\ & (\spi_master_dac|state~q\ & ((\spi_master_dac|ss_n\(0)) # (\spi_master_dac|slave\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|ss_n~0_combout\,
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|ss_n\(0),
	datad => \spi_master_dac|slave\(0),
	combout => \spi_master_dac|ss_n~1_combout\);

-- Location: FF_X46_Y53_N5
\spi_master_dac|ss_n[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|ss_n~1_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|ss_n\(0));

-- Location: LCCOMB_X49_Y53_N30
\spi_master_dac|sclk~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|sclk~1_combout\ = (!\spi_master_dac|clk_toggles\(0) & (!\spi_master_dac|clk_toggles\(1) & (!\spi_master_dac|clk_toggles\(3) & !\spi_master_dac|clk_toggles\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(0),
	datab => \spi_master_dac|clk_toggles\(1),
	datac => \spi_master_dac|clk_toggles\(3),
	datad => \spi_master_dac|clk_toggles\(2),
	combout => \spi_master_dac|sclk~1_combout\);

-- Location: LCCOMB_X49_Y53_N18
\spi_master_dac|sclk~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|sclk~2_combout\ = (\spi_master_dac|ss_n\(0) & ((\spi_master_dac|sclk~1_combout\) # ((!\spi_master_dac|clk_toggles\(5)) # (!\spi_master_dac|clk_toggles\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|sclk~1_combout\,
	datab => \spi_master_dac|clk_toggles\(4),
	datac => \spi_master_dac|ss_n\(0),
	datad => \spi_master_dac|clk_toggles\(5),
	combout => \spi_master_dac|sclk~2_combout\);

-- Location: LCCOMB_X46_Y53_N28
\spi_master_dac|sclk~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|sclk~3_combout\ = (\spi_master_dac|state~q\ & (\spi_master_dac|Equal1~10_combout\ & ((\spi_master_dac|sclk~2_combout\)))) # (!\spi_master_dac|state~q\ & (((\enable~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~10_combout\,
	datab => \spi_master_dac|state~q\,
	datac => \enable~combout\,
	datad => \spi_master_dac|sclk~2_combout\,
	combout => \spi_master_dac|sclk~3_combout\);

-- Location: LCCOMB_X46_Y53_N30
\spi_master_dac|sclk~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|sclk~4_combout\ = (\fpga_resetn~input_o\ & ((\spi_master_dac|sclk~q\ & ((!\spi_master_dac|sclk~3_combout\) # (!\spi_master_dac|state~q\))) # (!\spi_master_dac|sclk~q\ & ((\spi_master_dac|sclk~3_combout\))))) # (!\fpga_resetn~input_o\ & 
-- (\spi_master_dac|sclk~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \fpga_resetn~input_o\,
	datab => \spi_master_dac|sclk~q\,
	datac => \spi_master_dac|state~q\,
	datad => \spi_master_dac|sclk~3_combout\,
	combout => \spi_master_dac|sclk~4_combout\);

-- Location: LCCOMB_X50_Y53_N0
\spi_master_dac|sclk~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|sclk~feeder_combout\ = \spi_master_dac|sclk~4_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \spi_master_dac|sclk~4_combout\,
	combout => \spi_master_dac|sclk~feeder_combout\);

-- Location: FF_X50_Y53_N1
\spi_master_dac|sclk\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|sclk~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|sclk~q\);

-- Location: LCCOMB_X41_Y19_N10
\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~3_combout\ = (!\gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(0) & (((\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~q\) # 
-- (!\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0_combout\)) # (!\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~2_combout\,
	datab => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~0_combout\,
	datac => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~q\,
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|unxshiftxtx_shift_register_contentsxtx_shift_reg_outxx5_out\(0),
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~3_combout\);

-- Location: FF_X41_Y19_N11
\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~3_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~q\);

-- Location: LCCOMB_X41_Y19_N18
\gpio_u0|uart_0|the_gpio_uart_0_tx|txd~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \gpio_u0|uart_0|the_gpio_uart_0_tx|txd~0_combout\ = (\gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(9)) # (\gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \gpio_u0|uart_0|the_gpio_uart_0_regs|control_reg\(9),
	datad => \gpio_u0|uart_0|the_gpio_uart_0_tx|pre_txd~q\,
	combout => \gpio_u0|uart_0|the_gpio_uart_0_tx|txd~0_combout\);

-- Location: FF_X41_Y19_N19
\gpio_u0|uart_0|the_gpio_uart_0_tx|txd\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \gpio_u0|altpll_0|sd1|wire_pll7_clk[0]~clkctrl_outclk\,
	d => \gpio_u0|uart_0|the_gpio_uart_0_tx|txd~0_combout\,
	clrn => \gpio_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \gpio_u0|uart_0|the_gpio_uart_0_tx|txd~q\);

-- Location: IOIBUF_X78_Y29_N22
\clk_ddr3_100_p~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_ddr3_100_p,
	ibar => \ww_clk_ddr3_100_p(n)\,
	o => \clk_ddr3_100_p~input_o\);

-- Location: IOIBUF_X34_Y0_N29
\clk_lvds_125_p~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_lvds_125_p,
	ibar => \ww_clk_lvds_125_p(n)\,
	o => \clk_lvds_125_p~input_o\);

-- Location: IOIBUF_X0_Y23_N22
\clk_10_adc~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_10_adc,
	o => \clk_10_adc~input_o\);

-- Location: IOIBUF_X74_Y54_N15
\usb_addr[0]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_addr(0),
	o => \usb_addr[0]~input_o\);

-- Location: IOIBUF_X56_Y54_N15
\usb_addr[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => usb_addr(1),
	o => \usb_addr[1]~input_o\);

-- Location: IOIBUF_X31_Y39_N1
\pmoda_io[4]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmoda_io(4),
	o => \pmoda_io[4]~input_o\);

-- Location: IOIBUF_X31_Y39_N22
\pmoda_io[5]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmoda_io(5),
	o => \pmoda_io[5]~input_o\);

-- Location: IOIBUF_X31_Y39_N15
\pmoda_io[6]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmoda_io(6),
	o => \pmoda_io[6]~input_o\);

-- Location: IOIBUF_X29_Y39_N1
\pmoda_io[7]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmoda_io(7),
	o => \pmoda_io[7]~input_o\);

-- Location: IOIBUF_X26_Y39_N1
\pmodb_io[4]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmodb_io(4),
	o => \pmodb_io[4]~input_o\);

-- Location: IOIBUF_X26_Y39_N8
\pmodb_io[5]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmodb_io(5),
	o => \pmodb_io[5]~input_o\);

-- Location: IOIBUF_X26_Y39_N22
\pmodb_io[6]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmodb_io(6),
	o => \pmodb_io[6]~input_o\);

-- Location: IOIBUF_X26_Y39_N15
\pmodb_io[7]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => pmodb_io(7),
	o => \pmodb_io[7]~input_o\);

-- Location: UNVM_X0_Y40_N40
\~QUARTUS_CREATED_UNVM~\ : fiftyfivenm_unvm
-- pragma translate_off
GENERIC MAP (
	addr_range1_end_addr => -1,
	addr_range1_offset => -1,
	addr_range2_end_addr => -1,
	addr_range2_offset => -1,
	addr_range3_offset => -1,
	is_compressed_image => "false",
	is_dual_boot => "false",
	is_eram_skip => "false",
	max_ufm_valid_addr => -1,
	max_valid_addr => -1,
	min_ufm_valid_addr => -1,
	min_valid_addr => -1,
	part_name => "quartus_created_unvm",
	reserve_block => "true")
-- pragma translate_on
PORT MAP (
	nosc_ena => \~QUARTUS_CREATED_GND~I_combout\,
	xe_ye => \~QUARTUS_CREATED_GND~I_combout\,
	se => \~QUARTUS_CREATED_GND~I_combout\,
	busy => \~QUARTUS_CREATED_UNVM~~busy\);

-- Location: ADCBLOCK_X43_Y52_N0
\~QUARTUS_CREATED_ADC1~\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 0,
	clkdiv => 1,
	device_partname_fivechar_prefix => "none",
	is_this_first_or_second_adc => 1,
	prescalar => 0,
	pwd => 1,
	refsel => 0,
	reserve_block => "true",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 0)
-- pragma translate_on
PORT MAP (
	soc => \~QUARTUS_CREATED_GND~I_combout\,
	usr_pwd => VCC,
	tsen => \~QUARTUS_CREATED_GND~I_combout\,
	chsel => \~QUARTUS_CREATED_ADC1~_CHSEL_bus\,
	eoc => \~QUARTUS_CREATED_ADC1~~eoc\);

-- Location: ADCBLOCK_X43_Y51_N0
\~QUARTUS_CREATED_ADC2~\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 0,
	clkdiv => 1,
	device_partname_fivechar_prefix => "none",
	is_this_first_or_second_adc => 2,
	prescalar => 0,
	pwd => 1,
	refsel => 0,
	reserve_block => "true",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 0)
-- pragma translate_on
PORT MAP (
	soc => \~QUARTUS_CREATED_GND~I_combout\,
	usr_pwd => VCC,
	tsen => \~QUARTUS_CREATED_GND~I_combout\,
	chsel => \~QUARTUS_CREATED_ADC2~_CHSEL_bus\,
	eoc => \~QUARTUS_CREATED_ADC2~~eoc\);

-- Location: LCCOMB_X44_Y10_N0
\auto_hub|~GND\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
;

-- Location: LCCOMB_X47_Y39_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~_wirecell_combout\);

-- Location: LCCOMB_X44_Y39_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]~_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]~_wirecell_combout\);
END structure;


